!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-10 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 511

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(3174)
  integer, parameter :: nGC_21921 = 1
  integer, parameter :: nGC_21920 = 2
  integer, parameter :: nGC_21922 = 3
  integer, parameter :: nGC_21760 = 4
  integer, parameter :: nGC_68 = 5
  integer, parameter :: nGC_21649 = 6
  integer, parameter :: nGC_21767 = 7
  integer, parameter :: nGC_21811 = 8
  integer, parameter :: nGC_21813 = 9
  integer, parameter :: nGC_21928 = 10
  integer, parameter :: nGC_21681 = 11
  integer, parameter :: nGC_21923 = 12
  integer, parameter :: nGC_21787 = 13
  integer, parameter :: nGC_21786 = 14
  integer, parameter :: nGC_20804 = 15
  integer, parameter :: nGC_21789 = 16
  integer, parameter :: nGC_300 = 17
  integer, parameter :: nGC_21788 = 18
  integer, parameter :: nGC_20806 = 19
  integer, parameter :: nGC_306 = 20
  integer, parameter :: nGC_20776 = 21
  integer, parameter :: nGC_21491 = 22
  integer, parameter :: nGC_21490 = 23
  integer, parameter :: nGC_21493 = 24
  integer, parameter :: nGC_21492 = 25
  integer, parameter :: nGC_21495 = 26
  integer, parameter :: nGC_21494 = 27
  integer, parameter :: nGC_21497 = 28
  integer, parameter :: nGC_74 = 29
  integer, parameter :: nGC_21499 = 30
  integer, parameter :: nGC_21498 = 31
  integer, parameter :: nGC_305 = 32
  integer, parameter :: nGC_21547 = 33
  integer, parameter :: nGC_21546 = 34
  integer, parameter :: nGC_309 = 35
  integer, parameter :: nGC_21544 = 36
  integer, parameter :: nGC_232 = 37
  integer, parameter :: nGC_233 = 38
  integer, parameter :: nGC_230 = 39
  integer, parameter :: nGC_231 = 40
  integer, parameter :: nGC_236 = 41
  integer, parameter :: nGC_237 = 42
  integer, parameter :: nGC_234 = 43
  integer, parameter :: nGC_21140 = 44
  integer, parameter :: nGC_79 = 45
  integer, parameter :: nGC_238 = 46
  integer, parameter :: nGC_239 = 47
  integer, parameter :: nGC_21149 = 48
  integer, parameter :: nGC_78 = 49
  integer, parameter :: nGC_73 = 50
  integer, parameter :: nGC_21002 = 51
  integer, parameter :: nGC_21003 = 52
  integer, parameter :: nGC_21000 = 53
  integer, parameter :: nGC_21001 = 54
  integer, parameter :: nGC_21006 = 55
  integer, parameter :: nGC_21007 = 56
  integer, parameter :: nGC_21004 = 57
  integer, parameter :: nGC_21005 = 58
  integer, parameter :: nGC_21008 = 59
  integer, parameter :: nGC_20848 = 60
  integer, parameter :: nGC_589 = 61
  integer, parameter :: nGC_587 = 62
  integer, parameter :: nGC_20845 = 63
  integer, parameter :: nGC_20844 = 64
  integer, parameter :: nGC_20847 = 65
  integer, parameter :: nGC_20846 = 66
  integer, parameter :: nGC_348 = 67
  integer, parameter :: nGC_349 = 68
  integer, parameter :: nGC_346 = 69
  integer, parameter :: nGC_347 = 70
  integer, parameter :: nGC_344 = 71
  integer, parameter :: nGC_345 = 72
  integer, parameter :: nGC_342 = 73
  integer, parameter :: nGC_343 = 74
  integer, parameter :: nGC_340 = 75
  integer, parameter :: nGC_567 = 76
  integer, parameter :: nGC_565 = 77
  integer, parameter :: nGC_563 = 78
  integer, parameter :: nGC_561 = 79
  integer, parameter :: nGC_21316 = 80
  integer, parameter :: nGC_21317 = 81
  integer, parameter :: nGC_21314 = 82
  integer, parameter :: nGC_21315 = 83
  integer, parameter :: nGC_21312 = 84
  integer, parameter :: nGC_21313 = 85
  integer, parameter :: nGC_21310 = 86
  integer, parameter :: nGC_21311 = 87
  integer, parameter :: nGC_21318 = 88
  integer, parameter :: nGC_21319 = 89
  integer, parameter :: nGC_168 = 90
  integer, parameter :: nGC_169 = 91
  integer, parameter :: nGC_162 = 92
  integer, parameter :: nGC_163 = 93
  integer, parameter :: nGC_160 = 94
  integer, parameter :: nGC_161 = 95
  integer, parameter :: nGC_166 = 96
  integer, parameter :: nGC_167 = 97
  integer, parameter :: nGC_164 = 98
  integer, parameter :: nGC_165 = 99
  integer, parameter :: nGC_1415 = 100
  integer, parameter :: nGC_21358 = 101
  integer, parameter :: nGC_MHA = 102
  integer, parameter :: nGC_MHC = 103
  integer, parameter :: nGC_MHL = 104
  integer, parameter :: nGC_MHH = 105
  integer, parameter :: nGC_21812 = 106
  integer, parameter :: nGC_21792 = 107
  integer, parameter :: nGC_21793 = 108
  integer, parameter :: nGC_21790 = 109
  integer, parameter :: nGC_21791 = 110
  integer, parameter :: nGC_21796 = 111
  integer, parameter :: nGC_21797 = 112
  integer, parameter :: nGC_21794 = 113
  integer, parameter :: nGC_21795 = 114
  integer, parameter :: nGC_21798 = 115
  integer, parameter :: nGC_21555 = 116
  integer, parameter :: nGC_21556 = 117
  integer, parameter :: nGC_21557 = 118
  integer, parameter :: nGC_21558 = 119
  integer, parameter :: nGC_21559 = 120
  integer, parameter :: nGC_21172 = 121
  integer, parameter :: nGC_21173 = 122
  integer, parameter :: nGC_21170 = 123
  integer, parameter :: nGC_21171 = 124
  integer, parameter :: nGC_21176 = 125
  integer, parameter :: nGC_21174 = 126
  integer, parameter :: nGC_21175 = 127
  integer, parameter :: nGC_21778 = 128
  integer, parameter :: nGC_220 = 129
  integer, parameter :: nGC_223 = 130
  integer, parameter :: nGC_222 = 131
  integer, parameter :: nGC_225 = 132
  integer, parameter :: nGC_224 = 133
  integer, parameter :: nGC_227 = 134
  integer, parameter :: nGC_226 = 135
  integer, parameter :: nGC_229 = 136
  integer, parameter :: nGC_228 = 137
  integer, parameter :: nGC_21774 = 138
  integer, parameter :: nGC_21775 = 139
  integer, parameter :: nGC_21776 = 140
  integer, parameter :: nGC_21777 = 141
  integer, parameter :: nGC_21014 = 142
  integer, parameter :: nGC_21011 = 143
  integer, parameter :: nGC_21013 = 144
  integer, parameter :: nGC_21012 = 145
  integer, parameter :: nGC_593 = 146
  integer, parameter :: nGC_591 = 147
  integer, parameter :: nGC_597 = 148
  integer, parameter :: nGC_595 = 149
  integer, parameter :: nGC_359 = 150
  integer, parameter :: nGC_358 = 151
  integer, parameter :: nGC_355 = 152
  integer, parameter :: nGC_354 = 153
  integer, parameter :: nGC_357 = 154
  integer, parameter :: nGC_356 = 155
  integer, parameter :: nGC_351 = 156
  integer, parameter :: nGC_350 = 157
  integer, parameter :: nGC_353 = 158
  integer, parameter :: nGC_352 = 159
  integer, parameter :: nGC_575 = 160
  integer, parameter :: nGC_571 = 161
  integer, parameter :: nGC_573 = 162
  integer, parameter :: nGC_579 = 163
  integer, parameter :: nGC_20830 = 164
  integer, parameter :: nGC_21309 = 165
  integer, parameter :: nGC_21308 = 166
  integer, parameter :: nGC_21307 = 167
  integer, parameter :: nGC_179 = 168
  integer, parameter :: nGC_178 = 169
  integer, parameter :: nGC_171 = 170
  integer, parameter :: nGC_170 = 171
  integer, parameter :: nGC_173 = 172
  integer, parameter :: nGC_172 = 173
  integer, parameter :: nGC_175 = 174
  integer, parameter :: nGC_174 = 175
  integer, parameter :: nGC_177 = 176
  integer, parameter :: nGC_176 = 177
  integer, parameter :: nGC_20832 = 178
  integer, parameter :: nGC_773 = 179
  integer, parameter :: nGC_777 = 180
  integer, parameter :: nGC_TS_GC_236_Hh = 181
  integer, parameter :: nGC_TS_GC_236_Hl = 182
  integer, parameter :: nGC_21763 = 183
  integer, parameter :: nGC_215 = 184
  integer, parameter :: nGC_21761 = 185
  integer, parameter :: nGC_22521 = 186
  integer, parameter :: nGC_21766 = 187
  integer, parameter :: nGC_21765 = 188
  integer, parameter :: nGC_21764 = 189
  integer, parameter :: nGC_20 = 190
  integer, parameter :: nGC_33436 = 191
  integer, parameter :: nGC_35576 = 192
  integer, parameter :: nGC_32250 = 193
  integer, parameter :: nGC_99 = 194
  integer, parameter :: nGC_98 = 195
  integer, parameter :: nGC_97 = 196
  integer, parameter :: nGC_96 = 197
  integer, parameter :: nGC_95 = 198
  integer, parameter :: nGC_94 = 199
  integer, parameter :: nGC_93 = 200
  integer, parameter :: nGC_92 = 201
  integer, parameter :: nGC_91 = 202
  integer, parameter :: nGC_90 = 203
  integer, parameter :: nGC_21785 = 204
  integer, parameter :: nGC_21784 = 205
  integer, parameter :: nGC_21781 = 206
  integer, parameter :: nGC_21780 = 207
  integer, parameter :: nGC_21783 = 208
  integer, parameter :: nGC_21782 = 209
  integer, parameter :: nGC_75 = 210
  integer, parameter :: nGC_77 = 211
  integer, parameter :: nGC_76 = 212
  integer, parameter :: nGC_71 = 213
  integer, parameter :: nGC_70 = 214
  integer, parameter :: nGC_21545 = 215
  integer, parameter :: nGC_72 = 216
  integer, parameter :: nGC_34714 = 217
  integer, parameter :: nGC_21548 = 218
  integer, parameter :: nGC_36571 = 219
  integer, parameter :: nGC_38294 = 220
  integer, parameter :: nGC_21929 = 221
  integer, parameter :: nGC_TS_GC_345_Hl = 222
  integer, parameter :: nGC_21769 = 223
  integer, parameter :: nGC_21768 = 224
  integer, parameter :: nGC_218 = 225
  integer, parameter :: nGC_219 = 226
  integer, parameter :: nGC_214 = 227
  integer, parameter :: nGC_21762 = 228
  integer, parameter :: nGC_216 = 229
  integer, parameter :: nGC_217 = 230
  integer, parameter :: nGC_210 = 231
  integer, parameter :: nGC_211 = 232
  integer, parameter :: nGC_212 = 233
  integer, parameter :: nGC_213 = 234
  integer, parameter :: nGC_333 = 235
  integer, parameter :: nGC_21905 = 236
  integer, parameter :: nGC_20829 = 237
  integer, parameter :: nGC_20828 = 238
  integer, parameter :: nGC_20827 = 239
  integer, parameter :: nGC_20794 = 240
  integer, parameter :: nGC_20791 = 241
  integer, parameter :: nGC_20790 = 242
  integer, parameter :: nGC_20793 = 243
  integer, parameter :: nGC_20792 = 244
  integer, parameter :: nGC_368 = 245
  integer, parameter :: nGC_369 = 246
  integer, parameter :: nGC_360 = 247
  integer, parameter :: nGC_361 = 248
  integer, parameter :: nGC_362 = 249
  integer, parameter :: nGC_363 = 250
  integer, parameter :: nGC_364 = 251
  integer, parameter :: nGC_365 = 252
  integer, parameter :: nGC_366 = 253
  integer, parameter :: nGC_367 = 254
  integer, parameter :: nGC_543 = 255
  integer, parameter :: nGC_545 = 256
  integer, parameter :: nGC_547 = 257
  integer, parameter :: nGC_32411 = 258
  integer, parameter :: nGC_21378 = 259
  integer, parameter :: nGC_21379 = 260
  integer, parameter :: nGC_21377 = 261
  integer, parameter :: nGC_144 = 262
  integer, parameter :: nGC_146 = 263
  integer, parameter :: nGC_147 = 264
  integer, parameter :: nGC_140 = 265
  integer, parameter :: nGC_141 = 266
  integer, parameter :: nGC_32826 = 267
  integer, parameter :: nGC_33389 = 268
  integer, parameter :: nGC_148 = 269
  integer, parameter :: nGC_149 = 270
  integer, parameter :: nGC_280 = 271
  integer, parameter :: nGC_337 = 272
  integer, parameter :: nGC_286 = 273
  integer, parameter :: nGC_21204 = 274
  integer, parameter :: nGC_21208 = 275
  integer, parameter :: nGC_21209 = 276
  integer, parameter :: nGC_781 = 277
  integer, parameter :: nGC_MI = 278
  integer, parameter :: nGC_MM = 279
  integer, parameter :: nGC_541 = 280
  integer, parameter :: nGC_MB = 281
  integer, parameter :: nGC_MZ = 282
  integer, parameter :: nGC_334 = 283
  integer, parameter :: nGC_MS = 284
  integer, parameter :: nGC_MW = 285
  integer, parameter :: nGC_33404 = 286
  integer, parameter :: nGC_22623 = 287
  integer, parameter :: nGC_22622 = 288
  integer, parameter :: nGC_22625 = 289
  integer, parameter :: nGC_22624 = 290
  integer, parameter :: nGC_TS_GC_172_Hl = 291
  integer, parameter :: nGC_89 = 292
  integer, parameter :: nGC_TS_GC_172_Hh = 293
  integer, parameter :: nGC_80 = 294
  integer, parameter :: nGC_81 = 295
  integer, parameter :: nGC_82 = 296
  integer, parameter :: nGC_83 = 297
  integer, parameter :: nGC_84 = 298
  integer, parameter :: nGC_85 = 299
  integer, parameter :: nGC_86 = 300
  integer, parameter :: nGC_87 = 301
  integer, parameter :: nGC_145 = 302
  integer, parameter :: nGC_66 = 303
  integer, parameter :: nGC_67 = 304
  integer, parameter :: nGC_64 = 305
  integer, parameter :: nGC_65 = 306
  integer, parameter :: nGC_62 = 307
  integer, parameter :: nGC_63 = 308
  integer, parameter :: nGC_21570 = 309
  integer, parameter :: nGC_61 = 310
  integer, parameter :: nGC_21578 = 311
  integer, parameter :: nGC_21579 = 312
  integer, parameter :: nGC_142 = 313
  integer, parameter :: nGC_143 = 314
  integer, parameter :: nGC_35491 = 315
  integer, parameter :: nGC_21688 = 316
  integer, parameter :: nGC_21689 = 317
  integer, parameter :: nGC_21684 = 318
  integer, parameter :: nGC_21685 = 319
  integer, parameter :: nGC_21686 = 320
  integer, parameter :: nGC_21687 = 321
  integer, parameter :: nGC_39357 = 322
  integer, parameter :: nGC_39356 = 323
  integer, parameter :: nGC_39355 = 324
  integer, parameter :: nGC_21683 = 325
  integer, parameter :: nGC_22849 = 326
  integer, parameter :: nGC_22848 = 327
  integer, parameter :: nGC_34638 = 328
  integer, parameter :: nGC_32284 = 329
  integer, parameter :: nGC_21195 = 330
  integer, parameter :: nGC_21196 = 331
  integer, parameter :: nGC_209 = 332
  integer, parameter :: nGC_208 = 333
  integer, parameter :: nGC_21758 = 334
  integer, parameter :: nGC_21759 = 335
  integer, parameter :: nGC_203 = 336
  integer, parameter :: nGC_202 = 337
  integer, parameter :: nGC_201 = 338
  integer, parameter :: nGC_200 = 339
  integer, parameter :: nGC_207 = 340
  integer, parameter :: nGC_206 = 341
  integer, parameter :: nGC_205 = 342
  integer, parameter :: nGC_204 = 343
  integer, parameter :: nGC_34175 = 344
  integer, parameter :: nGC_TS_GC_366_Hh = 345
  integer, parameter :: nGC_377 = 346
  integer, parameter :: nGC_20761 = 347
  integer, parameter :: nGC_375 = 348
  integer, parameter :: nGC_20763 = 349
  integer, parameter :: nGC_373 = 350
  integer, parameter :: nGC_372 = 351
  integer, parameter :: nGC_371 = 352
  integer, parameter :: nGC_370 = 353
  integer, parameter :: nGC_20768 = 354
  integer, parameter :: nGC_20769 = 355
  integer, parameter :: nGC_379 = 356
  integer, parameter :: nGC_378 = 357
  integer, parameter :: nGC_559 = 358
  integer, parameter :: nGC_557 = 359
  integer, parameter :: nGC_555 = 360
  integer, parameter :: nGC_32467 = 361
  integer, parameter :: nGC_551 = 362
  integer, parameter :: nGC_102 = 363
  integer, parameter :: nGC_153 = 364
  integer, parameter :: nGC_152 = 365
  integer, parameter :: nGC_150 = 366
  integer, parameter :: nGC_157 = 367
  integer, parameter :: nGC_156 = 368
  integer, parameter :: nGC_155 = 369
  integer, parameter :: nGC_154 = 370
  integer, parameter :: nGC_159 = 371
  integer, parameter :: nGC_158 = 372
  integer, parameter :: nGC_20962 = 373
  integer, parameter :: nGC_20960 = 374
  integer, parameter :: nGC_20961 = 375
  integer, parameter :: nGC_21212 = 376
  integer, parameter :: nGC_21210 = 377
  integer, parameter :: nGC_21214 = 378
  integer, parameter :: nGC_22695 = 379
  integer, parameter :: nGC_22692 = 380
  integer, parameter :: nGC_22693 = 381
  integer, parameter :: nGC_1449 = 382
  integer, parameter :: nGC_21205 = 383
  integer, parameter :: nGC_22863 = 384
  integer, parameter :: nGC_22862 = 385
  integer, parameter :: nGC_339 = 386
  integer, parameter :: nGC_22867 = 387
  integer, parameter :: nGC_32278 = 388
  integer, parameter :: nGC_21142 = 389
  integer, parameter :: nGC_21141 = 390
  integer, parameter :: nGC_235 = 391
  integer, parameter :: nGC_TS_GC_342_Hl = 392
  integer, parameter :: nGC_332 = 393
  integer, parameter :: nGC_22502 = 394
  integer, parameter :: nGC_21569 = 395
  integer, parameter :: nGC_21568 = 396
  integer, parameter :: nGC_330 = 397
  integer, parameter :: nGC_21560 = 398
  integer, parameter :: nGC_21563 = 399
  integer, parameter :: nGC_21562 = 400
  integer, parameter :: nGC_21565 = 401
  integer, parameter :: nGC_21567 = 402
  integer, parameter :: nGC_336 = 403
  integer, parameter :: nGC_53 = 404
  integer, parameter :: nGC_52 = 405
  integer, parameter :: nGC_51 = 406
  integer, parameter :: nGC_50 = 407
  integer, parameter :: nGC_57 = 408
  integer, parameter :: nGC_56 = 409
  integer, parameter :: nGC_55 = 410
  integer, parameter :: nGC_54 = 411
  integer, parameter :: nGC_58 = 412
  integer, parameter :: nGC_21856 = 413
  integer, parameter :: nGC_MC = 414
  integer, parameter :: nGC_21699 = 415
  integer, parameter :: nGC_21698 = 416
  integer, parameter :: nGC_21697 = 417
  integer, parameter :: nGC_21696 = 418
  integer, parameter :: nGC_21695 = 419
  integer, parameter :: nGC_21694 = 420
  integer, parameter :: nGC_39362 = 421
  integer, parameter :: nGC_21692 = 422
  integer, parameter :: nGC_39361 = 423
  integer, parameter :: nGC_ME = 424
  integer, parameter :: nGC_MD = 425
  integer, parameter :: nGC_TS_GC_363_Hl = 426
  integer, parameter :: nGC_32297 = 427
  integer, parameter :: nGC_32296 = 428
  integer, parameter :: nGC_38168 = 429
  integer, parameter :: nGC_38162 = 430
  integer, parameter :: nGC_38161 = 431
  integer, parameter :: nGC_38167 = 432
  integer, parameter :: nGC_21183 = 433
  integer, parameter :: nGC_35935 = 434
  integer, parameter :: nGC_21187 = 435
  integer, parameter :: nGC_21186 = 436
  integer, parameter :: nGC_21185 = 437
  integer, parameter :: nGC_21184 = 438
  integer, parameter :: nGC_21500 = 439
  integer, parameter :: nGC_21743 = 440
  integer, parameter :: nGC_21745 = 441
  integer, parameter :: nGC_21744 = 442
  integer, parameter :: nGC_21747 = 443
  integer, parameter :: nGC_21746 = 444
  integer, parameter :: nGC_21749 = 445
  integer, parameter :: nGC_2011 = 446
  integer, parameter :: nGC_MU = 447
  integer, parameter :: nGC_TS_GC_224_Hl = 448
  integer, parameter :: nGC_302 = 449
  integer, parameter :: nGC_303 = 450
  integer, parameter :: nGC_20807 = 451
  integer, parameter :: nGC_301 = 452
  integer, parameter :: nGC_20801 = 453
  integer, parameter :: nGC_304 = 454
  integer, parameter :: nGC_20802 = 455
  integer, parameter :: nGC_308 = 456
  integer, parameter :: nGC_20809 = 457
  integer, parameter :: nGC_20808 = 458
  integer, parameter :: nGC_32478 = 459
  integer, parameter :: nGC_523 = 460
  integer, parameter :: nGC_521 = 461
  integer, parameter :: nGC_32473 = 462
  integer, parameter :: nGC_527 = 463
  integer, parameter :: nGC_525 = 464
  integer, parameter :: nGC_21352 = 465
  integer, parameter :: nGC_21353 = 466
  integer, parameter :: nGC_21350 = 467
  integer, parameter :: nGC_21351 = 468
  integer, parameter :: nGC_21356 = 469
  integer, parameter :: nGC_21357 = 470
  integer, parameter :: nGC_21354 = 471
  integer, parameter :: nGC_21355 = 472
  integer, parameter :: nGC_TS_GC_215_Hl = 473
  integer, parameter :: nGC_TS_GC_215_Hh = 474
  integer, parameter :: nGC_20979 = 475
  integer, parameter :: nGC_20978 = 476
  integer, parameter :: nGC_20975 = 477
  integer, parameter :: nGC_20977 = 478
  integer, parameter :: nGC_20976 = 479
  integer, parameter :: nGC_40086 = 480
  integer, parameter :: nGC_21423 = 481
  integer, parameter :: nGC_MW_GF = 482
  integer, parameter :: nGC_47533 = 483
  integer, parameter :: nGC_581 = 484
  integer, parameter :: nGC_583 = 485
  integer, parameter :: nGC_33548 = 486
  integer, parameter :: nGC_341 = 487
  integer, parameter :: nGC_22601 = 488
  integer, parameter :: nGC_22600 = 489
  integer, parameter :: nGC_22607 = 490
  integer, parameter :: nGC_TS_GC_375_Hl = 491
  integer, parameter :: nGC_22519 = 492
  integer, parameter :: nGC_TS_GC_173_Hl = 493
  integer, parameter :: nGC_21510 = 494
  integer, parameter :: nGC_21511 = 495
  integer, parameter :: nGC_TS_GC_173_Hh = 496
  integer, parameter :: nGC_48 = 497
  integer, parameter :: nGC_49 = 498
  integer, parameter :: nGC_44 = 499
  integer, parameter :: nGC_45 = 500
  integer, parameter :: nGC_46 = 501
  integer, parameter :: nGC_47 = 502
  integer, parameter :: nGC_40 = 503
  integer, parameter :: nGC_41 = 504
  integer, parameter :: nGC_42 = 505
  integer, parameter :: nGC_43 = 506
  integer, parameter :: nGC_35129 = 507
  integer, parameter :: nGC_TS_GC_20_Hl = 508
  integer, parameter :: nGC_TS_GC_20_Hh = 509
  integer, parameter :: nGC_32825 = 510
  integer, parameter :: nGC_35830 = 511
  integer, parameter :: nGC_35831 = 512
  integer, parameter :: nGC_21420 = 513
  integer, parameter :: nGC_21421 = 514
  integer, parameter :: nGC_21424 = 515
  integer, parameter :: nGC_21425 = 516
  integer, parameter :: nGC_21426 = 517
  integer, parameter :: nGC_21427 = 518
  integer, parameter :: nGC_21428 = 519
  integer, parameter :: nGC_21429 = 520
  integer, parameter :: nGC_38159 = 521
  integer, parameter :: nGC_39976 = 522
  integer, parameter :: nGC_39975 = 523
  integer, parameter :: nGC_39974 = 524
  integer, parameter :: nGC_39973 = 525
  integer, parameter :: nGC_21734 = 526
  integer, parameter :: nGC_21735 = 527
  integer, parameter :: nGC_21736 = 528
  integer, parameter :: nGC_21737 = 529
  integer, parameter :: nGC_21730 = 530
  integer, parameter :: nGC_21732 = 531
  integer, parameter :: nGC_21733 = 532
  integer, parameter :: nGC_21738 = 533
  integer, parameter :: nGC_33249 = 534
  integer, parameter :: nGC_TS_GC_348_Hh = 535
  integer, parameter :: nGC_311 = 536
  integer, parameter :: nGC_310 = 537
  integer, parameter :: nGC_313 = 538
  integer, parameter :: nGC_312 = 539
  integer, parameter :: nGC_315 = 540
  integer, parameter :: nGC_314 = 541
  integer, parameter :: nGC_317 = 542
  integer, parameter :: nGC_316 = 543
  integer, parameter :: nGC_319 = 544
  integer, parameter :: nGC_318 = 545
  integer, parameter :: nGC_21642 = 546
  integer, parameter :: nGC_21643 = 547
  integer, parameter :: nGC_21644 = 548
  integer, parameter :: nGC_21645 = 549
  integer, parameter :: nGC_21646 = 550
  integer, parameter :: nGC_21647 = 551
  integer, parameter :: nGC_307 = 552
  integer, parameter :: nGC_TS_GC_339_Hh = 553
  integer, parameter :: nGC_539 = 554
  integer, parameter :: nGC_32447 = 555
  integer, parameter :: nGC_531 = 556
  integer, parameter :: nGC_32448 = 557
  integer, parameter :: nGC_32449 = 558
  integer, parameter :: nGC_535 = 559
  integer, parameter :: nGC_537 = 560
  integer, parameter :: nGC_21345 = 561
  integer, parameter :: nGC_21344 = 562
  integer, parameter :: nGC_21341 = 563
  integer, parameter :: nGC_21340 = 564
  integer, parameter :: nGC_21343 = 565
  integer, parameter :: nGC_21342 = 566
  integer, parameter :: nGC_21349 = 567
  integer, parameter :: nGC_21348 = 568
  integer, parameter :: nGC_TS_GC_234_Hl = 569
  integer, parameter :: nGC_40520 = 570
  integer, parameter :: nGC_40250 = 571
  integer, parameter :: nGC_20909 = 572
  integer, parameter :: nGC_40527 = 573
  integer, parameter :: nGC_20906 = 574
  integer, parameter :: nGC_20907 = 575
  integer, parameter :: nGC_20900 = 576
  integer, parameter :: nGC_34986 = 577
  integer, parameter :: nGC_37355 = 578
  integer, parameter :: nGC_37357 = 579
  integer, parameter :: nGC_37356 = 580
  integer, parameter :: nGC_37359 = 581
  integer, parameter :: nGC_37358 = 582
  integer, parameter :: nGC_33666 = 583
  integer, parameter :: nGC_33663 = 584
  integer, parameter :: nGC_21840 = 585
  integer, parameter :: nGC_240 = 586
  integer, parameter :: nGC_88 = 587
  integer, parameter :: nGC_22676 = 588
  integer, parameter :: nGC_22670 = 589
  integer, parameter :: nGC_33981 = 590
  integer, parameter :: nGC_21505 = 591
  integer, parameter :: nGC_TS_GC_174_Hl = 592
  integer, parameter :: nGC_21509 = 593
  integer, parameter :: nGC_21508 = 594
  integer, parameter :: nGC_21507 = 595
  integer, parameter :: nGC_21501 = 596
  integer, parameter :: nGC_39 = 597
  integer, parameter :: nGC_38 = 598
  integer, parameter :: nGC_31 = 599
  integer, parameter :: nGC_30 = 600
  integer, parameter :: nGC_33 = 601
  integer, parameter :: nGC_32 = 602
  integer, parameter :: nGC_35 = 603
  integer, parameter :: nGC_34 = 604
  integer, parameter :: nGC_37 = 605
  integer, parameter :: nGC_36 = 606
  integer, parameter :: nGC_TS_GC_43_Hh = 607
  integer, parameter :: nGC_21648 = 608
  integer, parameter :: nGC_20747 = 609
  integer, parameter :: nGC_20744 = 610
  integer, parameter :: nGC_21433 = 611
  integer, parameter :: nGC_21432 = 612
  integer, parameter :: nGC_21431 = 613
  integer, parameter :: nGC_20745 = 614
  integer, parameter :: nGC_21437 = 615
  integer, parameter :: nGC_21436 = 616
  integer, parameter :: nGC_21435 = 617
  integer, parameter :: nGC_21434 = 618
  integer, parameter :: nGC_20742 = 619
  integer, parameter :: nGC_21439 = 620
  integer, parameter :: nGC_21438 = 621
  integer, parameter :: nGC_20743 = 622
  integer, parameter :: nGC_MT = 623
  integer, parameter :: nGC_21576 = 624
  integer, parameter :: nGC_20740 = 625
  integer, parameter :: nGC_21577 = 626
  integer, parameter :: nGC_20741 = 627
  integer, parameter :: nGC_21574 = 628
  integer, parameter :: nGC_32902 = 629
  integer, parameter :: nGC_21575 = 630
  integer, parameter :: nGC_32907 = 631
  integer, parameter :: nGC_21572 = 632
  integer, parameter :: nGC_21573 = 633
  integer, parameter :: nGC_34709 = 634
  integer, parameter :: nGC_21571 = 635
  integer, parameter :: nGC_22850 = 636
  integer, parameter :: nGC_22851 = 637
  integer, parameter :: nGC_22852 = 638
  integer, parameter :: nGC_22854 = 639
  integer, parameter :: nGC_22855 = 640
  integer, parameter :: nGC_22856 = 641
  integer, parameter :: nGC_22857 = 642
  integer, parameter :: nGC_22858 = 643
  integer, parameter :: nGC_22859 = 644
  integer, parameter :: nGC_20749 = 645
  integer, parameter :: nGC_21727 = 646
  integer, parameter :: nGC_21726 = 647
  integer, parameter :: nGC_21725 = 648
  integer, parameter :: nGC_21724 = 649
  integer, parameter :: nGC_21723 = 650
  integer, parameter :: nGC_21722 = 651
  integer, parameter :: nGC_21721 = 652
  integer, parameter :: nGC_21720 = 653
  integer, parameter :: nGC_21729 = 654
  integer, parameter :: nGC_21728 = 655
  integer, parameter :: nGC_69 = 656
  integer, parameter :: nGC_34081 = 657
  integer, parameter :: nGC_20759 = 658
  integer, parameter :: nGC_20758 = 659
  integer, parameter :: nGC_33274 = 660
  integer, parameter :: nGC_33270 = 661
  integer, parameter :: nGC_20751 = 662
  integer, parameter :: nGC_20750 = 663
  integer, parameter :: nGC_20753 = 664
  integer, parameter :: nGC_20752 = 665
  integer, parameter :: nGC_20757 = 666
  integer, parameter :: nGC_20756 = 667
  integer, parameter :: nGC_21659 = 668
  integer, parameter :: nGC_21658 = 669
  integer, parameter :: nGC_328 = 670
  integer, parameter :: nGC_329 = 671
  integer, parameter :: nGC_324 = 672
  integer, parameter :: nGC_325 = 673
  integer, parameter :: nGC_326 = 674
  integer, parameter :: nGC_327 = 675
  integer, parameter :: nGC_21657 = 676
  integer, parameter :: nGC_321 = 677
  integer, parameter :: nGC_322 = 678
  integer, parameter :: nGC_323 = 679
  integer, parameter :: nGC_32451 = 680
  integer, parameter :: nGC_32450 = 681
  integer, parameter :: nGC_32453 = 682
  integer, parameter :: nGC_32452 = 683
  integer, parameter :: nGC_MTA = 684
  integer, parameter :: nGC_188 = 685
  integer, parameter :: nGC_189 = 686
  integer, parameter :: nGC_20919 = 687
  integer, parameter :: nGC_20918 = 688
  integer, parameter :: nGC_180 = 689
  integer, parameter :: nGC_20916 = 690
  integer, parameter :: nGC_182 = 691
  integer, parameter :: nGC_183 = 692
  integer, parameter :: nGC_184 = 693
  integer, parameter :: nGC_20912 = 694
  integer, parameter :: nGC_186 = 695
  integer, parameter :: nGC_20910 = 696
  integer, parameter :: nGC_35145 = 697
  integer, parameter :: nGC_533 = 698
  integer, parameter :: nGC_615 = 699
  integer, parameter :: nGC_21248 = 700
  integer, parameter :: nGC_21249 = 701
  integer, parameter :: nGC_21245 = 702
  integer, parameter :: nGC_21246 = 703
  integer, parameter :: nGC_21247 = 704
  integer, parameter :: nGC_21241 = 705
  integer, parameter :: nGC_21242 = 706
  integer, parameter :: nGC_21243 = 707
  integer, parameter :: nGC_21848 = 708
  integer, parameter :: nGC_32586 = 709
  integer, parameter :: nGC_21088 = 710
  integer, parameter :: nGC_21089 = 711
  integer, parameter :: nGC_32583 = 712
  integer, parameter :: nGC_21082 = 713
  integer, parameter :: nGC_21083 = 714
  integer, parameter :: nGC_21080 = 715
  integer, parameter :: nGC_21081 = 716
  integer, parameter :: nGC_21086 = 717
  integer, parameter :: nGC_21087 = 718
  integer, parameter :: nGC_21084 = 719
  integer, parameter :: nGC_21085 = 720
  integer, parameter :: nGC_39985 = 721
  integer, parameter :: nGC_20777 = 722
  integer, parameter :: nGC_32637 = 723
  integer, parameter :: nGC_21882 = 724
  integer, parameter :: nGC_21883 = 725
  integer, parameter :: nGC_21880 = 726
  integer, parameter :: nGC_21881 = 727
  integer, parameter :: nGC_21886 = 728
  integer, parameter :: nGC_21887 = 729
  integer, parameter :: nGC_21884 = 730
  integer, parameter :: nGC_21885 = 731
  integer, parameter :: nGC_21888 = 732
  integer, parameter :: nGC_21889 = 733
  integer, parameter :: nGC_1583 = 734
  integer, parameter :: nGC_21398 = 735
  integer, parameter :: nGC_21399 = 736
  integer, parameter :: nGC_21397 = 737
  integer, parameter :: nGC_21390 = 738
  integer, parameter :: nGC_21868 = 739
  integer, parameter :: nGC_21869 = 740
  integer, parameter :: nGC_21860 = 741
  integer, parameter :: nGC_21861 = 742
  integer, parameter :: nGC_21862 = 743
  integer, parameter :: nGC_21863 = 744
  integer, parameter :: nGC_21864 = 745
  integer, parameter :: nGC_21865 = 746
  integer, parameter :: nGC_21866 = 747
  integer, parameter :: nGC_21867 = 748
  integer, parameter :: nGC_20775 = 749
  integer, parameter :: nGC_22728 = 750
  integer, parameter :: nGC_40523 = 751
  integer, parameter :: nGC_21682 = 752
  integer, parameter :: nGC_20908 = 753
  integer, parameter :: nGC_39354 = 754
  integer, parameter :: nGC_32123 = 755
  integer, parameter :: nGC_22729 = 756
  integer, parameter :: nGC_22663 = 757
  integer, parameter :: nGC_22669 = 758
  integer, parameter :: nGC_22668 = 759
  integer, parameter :: nGC_33512 = 760
  integer, parameter :: nGC_22067 = 761
  integer, parameter :: nGC_22069 = 762
  integer, parameter :: nGC_22068 = 763
  integer, parameter :: nGC_22719 = 764
  integer, parameter :: nGC_22711 = 765
  integer, parameter :: nGC_28 = 766
  integer, parameter :: nGC_29 = 767
  integer, parameter :: nGC_35695 = 768
  integer, parameter :: nGC_22 = 769
  integer, parameter :: nGC_23 = 770
  integer, parameter :: nGC_21 = 771
  integer, parameter :: nGC_26 = 772
  integer, parameter :: nGC_27 = 773
  integer, parameter :: nGC_24 = 774
  integer, parameter :: nGC_25 = 775
  integer, parameter :: nGC_21841 = 776
  integer, parameter :: nGC_3617 = 777
  integer, parameter :: nGC_21406 = 778
  integer, parameter :: nGC_21407 = 779
  integer, parameter :: nGC_21404 = 780
  integer, parameter :: nGC_21405 = 781
  integer, parameter :: nGC_21402 = 782
  integer, parameter :: nGC_21403 = 783
  integer, parameter :: nGC_21400 = 784
  integer, parameter :: nGC_21401 = 785
  integer, parameter :: nGC_53968 = 786
  integer, parameter :: nGC_53969 = 787
  integer, parameter :: nGC_21408 = 788
  integer, parameter :: nGC_TS_GC_235_Hh = 789
  integer, parameter :: nGC_22843 = 790
  integer, parameter :: nGC_21718 = 791
  integer, parameter :: nGC_21719 = 792
  integer, parameter :: nGC_22846 = 793
  integer, parameter :: nGC_22845 = 794
  integer, parameter :: nGC_22844 = 795
  integer, parameter :: nGC_21712 = 796
  integer, parameter :: nGC_21713 = 797
  integer, parameter :: nGC_21710 = 798
  integer, parameter :: nGC_21711 = 799
  integer, parameter :: nGC_21716 = 800
  integer, parameter :: nGC_21717 = 801
  integer, parameter :: nGC_21714 = 802
  integer, parameter :: nGC_21715 = 803
  integer, parameter :: nGC_34074 = 804
  integer, parameter :: nGC_32809 = 805
  integer, parameter :: nGC_34276 = 806
  integer, parameter :: nGC_TS_GC_178_Hh = 807
  integer, parameter :: nGC_35675 = 808
  integer, parameter :: nGC_34091 = 809
  integer, parameter :: nGC_20724 = 810
  integer, parameter :: nGC_20725 = 811
  integer, parameter :: nGC_20720 = 812
  integer, parameter :: nGC_20721 = 813
  integer, parameter :: nGC_20722 = 814
  integer, parameter :: nGC_20723 = 815
  integer, parameter :: nGC_TS_GC_32_Hl = 816
  integer, parameter :: nGC_338 = 817
  integer, parameter :: nGC_21668 = 818
  integer, parameter :: nGC_21669 = 819
  integer, parameter :: nGC_21666 = 820
  integer, parameter :: nGC_21667 = 821
  integer, parameter :: nGC_21664 = 822
  integer, parameter :: nGC_21665 = 823
  integer, parameter :: nGC_21662 = 824
  integer, parameter :: nGC_21663 = 825
  integer, parameter :: nGC_335 = 826
  integer, parameter :: nGC_21661 = 827
  integer, parameter :: nGC_54425 = 828
  integer, parameter :: nGC_197 = 829
  integer, parameter :: nGC_196 = 830
  integer, parameter :: nGC_195 = 831
  integer, parameter :: nGC_194 = 832
  integer, parameter :: nGC_193 = 833
  integer, parameter :: nGC_192 = 834
  integer, parameter :: nGC_191 = 835
  integer, parameter :: nGC_190 = 836
  integer, parameter :: nGC_199 = 837
  integer, parameter :: nGC_198 = 838
  integer, parameter :: nGC_20922 = 839
  integer, parameter :: nGC_20920 = 840
  integer, parameter :: nGC_20921 = 841
  integer, parameter :: nGC_21194 = 842
  integer, parameter :: nGC_17 = 843
  integer, parameter :: nGC_609 = 844
  integer, parameter :: nGC_16 = 845
  integer, parameter :: nGC_607 = 846
  integer, parameter :: nGC_605 = 847
  integer, parameter :: nGC_603 = 848
  integer, parameter :: nGC_15 = 849
  integer, parameter :: nGC_601 = 850
  integer, parameter :: nGC_14 = 851
  integer, parameter :: nGC_21255 = 852
  integer, parameter :: nGC_21254 = 853
  integer, parameter :: nGC_21253 = 854
  integer, parameter :: nGC_21252 = 855
  integer, parameter :: nGC_21251 = 856
  integer, parameter :: nGC_21250 = 857
  integer, parameter :: nGC_21099 = 858
  integer, parameter :: nGC_21098 = 859
  integer, parameter :: nGC_21095 = 860
  integer, parameter :: nGC_21094 = 861
  integer, parameter :: nGC_21097 = 862
  integer, parameter :: nGC_21096 = 863
  integer, parameter :: nGC_21091 = 864
  integer, parameter :: nGC_21090 = 865
  integer, parameter :: nGC_21093 = 866
  integer, parameter :: nGC_21092 = 867
  integer, parameter :: nGC_513 = 868
  integer, parameter :: nGC_511 = 869
  integer, parameter :: nGC_517 = 870
  integer, parameter :: nGC_515 = 871
  integer, parameter :: nGC_519 = 872
  integer, parameter :: nGC_1489 = 873
  integer, parameter :: nGC_TS_GC_39_Hh = 874
  integer, parameter :: nGC_22723 = 875
  integer, parameter :: nGC_19 = 876
  integer, parameter :: nGC_109 = 877
  integer, parameter :: nGC_18 = 878
  integer, parameter :: nGC_21895 = 879
  integer, parameter :: nGC_21894 = 880
  integer, parameter :: nGC_21897 = 881
  integer, parameter :: nGC_21896 = 882
  integer, parameter :: nGC_45116 = 883
  integer, parameter :: nGC_21893 = 884
  integer, parameter :: nGC_21892 = 885
  integer, parameter :: nGC_32487 = 886
  integer, parameter :: nGC_21899 = 887
  integer, parameter :: nGC_21898 = 888
  integer, parameter :: nGC_41107 = 889
  integer, parameter :: nGC_41106 = 890
  integer, parameter :: nGC_21381 = 891
  integer, parameter :: nGC_21380 = 892
  integer, parameter :: nGC_21383 = 893
  integer, parameter :: nGC_21382 = 894
  integer, parameter :: nGC_21385 = 895
  integer, parameter :: nGC_21384 = 896
  integer, parameter :: nGC_21387 = 897
  integer, parameter :: nGC_21386 = 898
  integer, parameter :: nGC_21389 = 899
  integer, parameter :: nGC_21388 = 900
  integer, parameter :: nGC_21879 = 901
  integer, parameter :: nGC_21878 = 902
  integer, parameter :: nGC_21873 = 903
  integer, parameter :: nGC_21872 = 904
  integer, parameter :: nGC_21871 = 905
  integer, parameter :: nGC_21870 = 906
  integer, parameter :: nGC_21877 = 907
  integer, parameter :: nGC_21876 = 908
  integer, parameter :: nGC_21875 = 909
  integer, parameter :: nGC_21874 = 910
  integer, parameter :: nGC_21750 = 911
  integer, parameter :: nGC_33459 = 912
  integer, parameter :: nGC_22273 = 913
  integer, parameter :: nGC_22274 = 914
  integer, parameter :: nGC_1313 = 915
  integer, parameter :: nGC_21525 = 916
  integer, parameter :: nGC_21524 = 917
  integer, parameter :: nGC_21527 = 918
  integer, parameter :: nGC_21526 = 919
  integer, parameter :: nGC_13 = 920
  integer, parameter :: nGC_12 = 921
  integer, parameter :: nGC_11 = 922
  integer, parameter :: nGC_10 = 923
  integer, parameter :: nGC_22726 = 924
  integer, parameter :: nGC_22727 = 925
  integer, parameter :: nGC_22725 = 926
  integer, parameter :: nGC_22722 = 927
  integer, parameter :: nGC_21528 = 928
  integer, parameter :: nGC_36644 = 929
  integer, parameter :: nGC_36645 = 930
  integer, parameter :: nGC_36646 = 931
  integer, parameter :: nGC_36647 = 932
  integer, parameter :: nGC_21206 = 933
  integer, parameter :: nGC_22659 = 934
  integer, parameter :: nGC_22653 = 935
  integer, parameter :: nGC_22650 = 936
  integer, parameter :: nGC_22654 = 937
  integer, parameter :: nGC_21419 = 938
  integer, parameter :: nGC_21418 = 939
  integer, parameter :: nGC_21207 = 940
  integer, parameter :: nGC_34642 = 941
  integer, parameter :: nGC_53975 = 942
  integer, parameter :: nGC_34644 = 943
  integer, parameter :: nGC_32922 = 944
  integer, parameter :: nGC_35204 = 945
  integer, parameter :: nGC_40522 = 946
  integer, parameter :: nGC_21709 = 947
  integer, parameter :: nGC_21708 = 948
  integer, parameter :: nGC_21705 = 949
  integer, parameter :: nGC_21704 = 950
  integer, parameter :: nGC_21707 = 951
  integer, parameter :: nGC_21706 = 952
  integer, parameter :: nGC_21701 = 953
  integer, parameter :: nGC_21700 = 954
  integer, parameter :: nGC_21703 = 955
  integer, parameter :: nGC_21702 = 956
  integer, parameter :: nGC_35064 = 957
  integer, parameter :: nGC_35063 = 958
  integer, parameter :: nGC_39326 = 959
  integer, parameter :: nGC_34799 = 960
  integer, parameter :: nGC_39893 = 961
  integer, parameter :: nGC_20760 = 962
  integer, parameter :: nGC_376 = 963
  integer, parameter :: nGC_21931 = 964
  integer, parameter :: nGC_20762 = 965
  integer, parameter :: nGC_374 = 966
  integer, parameter :: nGC_20739 = 967
  integer, parameter :: nGC_20738 = 968
  integer, parameter :: nGC_20737 = 969
  integer, parameter :: nGC_20764 = 970
  integer, parameter :: nGC_20735 = 971
  integer, parameter :: nGC_TS_GC_44_Hh = 972
  integer, parameter :: nGC_20733 = 973
  integer, parameter :: nGC_20732 = 974
  integer, parameter :: nGC_20731 = 975
  integer, parameter :: nGC_20765 = 976
  integer, parameter :: nGC_21671 = 977
  integer, parameter :: nGC_21673 = 978
  integer, parameter :: nGC_21672 = 979
  integer, parameter :: nGC_21675 = 980
  integer, parameter :: nGC_20766 = 981
  integer, parameter :: nGC_20767 = 982
  integer, parameter :: nGC_53974 = 983
  integer, parameter :: nGC_36485 = 984
  integer, parameter :: nGC_TS_GC_233_Hh = 985
  integer, parameter :: nGC_TS_GC_233_Hl = 986
  integer, parameter :: nGC_33328 = 987
  integer, parameter :: nGC_33329 = 988
  integer, parameter :: nGC_331 = 989
  integer, parameter :: nGC_20934 = 990
  integer, parameter :: nGC_20931 = 991
  integer, parameter :: nGC_20930 = 992
  integer, parameter :: nGC_20933 = 993
  integer, parameter :: nGC_20932 = 994
  integer, parameter :: nGC_294 = 995
  integer, parameter :: nGC_295 = 996
  integer, parameter :: nGC_296 = 997
  integer, parameter :: nGC_297 = 998
  integer, parameter :: nGC_290 = 999
  integer, parameter :: nGC_291 = 1000
  integer, parameter :: nGC_292 = 1001
  integer, parameter :: nGC_293 = 1002
  integer, parameter :: nGC_298 = 1003
  integer, parameter :: nGC_299 = 1004
  integer, parameter :: nGC_35454 = 1005
  integer, parameter :: nGC_TS_GC_354_Hh = 1006
  integer, parameter :: nGC_TS_GC_53_Hl = 1007
  integer, parameter :: nGC_TS_GC_329_Hl = 1008
  integer, parameter :: nGC_34936 = 1009
  integer, parameter :: nGC_21060 = 1010
  integer, parameter :: nGC_21062 = 1011
  integer, parameter :: nGC_21063 = 1012
  integer, parameter :: nGC_21064 = 1013
  integer, parameter :: nGC_21065 = 1014
  integer, parameter :: nGC_21066 = 1015
  integer, parameter :: nGC_21067 = 1016
  integer, parameter :: nGC_21068 = 1017
  integer, parameter :: nGC_21148 = 1018
  integer, parameter :: nGC_MZ_GF = 1019
  integer, parameter :: nGC_TS_GC_19_Hh = 1020
  integer, parameter :: nGC_TS_GC_336_Hh = 1021
  integer, parameter :: nGC_32499 = 1022
  integer, parameter :: nGC_32498 = 1023
  integer, parameter :: nGC_33390 = 1024
  integer, parameter :: nGC_259 = 1025
  integer, parameter :: nGC_14649 = 1026
  integer, parameter :: nGC_37304 = 1027
  integer, parameter :: nGC_21849 = 1028
  integer, parameter :: nGC_21846 = 1029
  integer, parameter :: nGC_21844 = 1030
  integer, parameter :: nGC_21845 = 1031
  integer, parameter :: nGC_21842 = 1032
  integer, parameter :: nGC_21843 = 1033
  integer, parameter :: nGC_33440 = 1034
  integer, parameter :: nGC_33801 = 1035
  integer, parameter :: nGC_32144 = 1036
  integer, parameter :: nGC_32143 = 1037
  integer, parameter :: nGC_41396 = 1038
  integer, parameter :: nGC_33802 = 1039
  integer, parameter :: nGC_21288 = 1040
  integer, parameter :: nGC_21289 = 1041
  integer, parameter :: nGC_22260 = 1042
  integer, parameter :: nGC_22266 = 1043
  integer, parameter :: nGC_22264 = 1044
  integer, parameter :: nGC_21280 = 1045
  integer, parameter :: nGC_21281 = 1046
  integer, parameter :: nGC_21282 = 1047
  integer, parameter :: nGC_21283 = 1048
  integer, parameter :: nGC_21284 = 1049
  integer, parameter :: nGC_21285 = 1050
  integer, parameter :: nGC_21286 = 1051
  integer, parameter :: nGC_21287 = 1052
  integer, parameter :: nGC_22488 = 1053
  integer, parameter :: nGC_187 = 1054
  integer, parameter :: nGC_44701 = 1055
  integer, parameter :: nGC_22487 = 1056
  integer, parameter :: nGC_22486 = 1057
  integer, parameter :: nGC_22485 = 1058
  integer, parameter :: nGC_22484 = 1059
  integer, parameter :: nGC_34915 = 1060
  integer, parameter :: nGC_22005 = 1061
  integer, parameter :: nGC_22002 = 1062
  integer, parameter :: nGC_22000 = 1063
  integer, parameter :: nGC_22733 = 1064
  integer, parameter :: nGC_22732 = 1065
  integer, parameter :: nGC_22735 = 1066
  integer, parameter :: nGC_22734 = 1067
  integer, parameter :: nGC_151 = 1068
  integer, parameter :: nGC_22139 = 1069
  integer, parameter :: nGC_22133 = 1070
  integer, parameter :: nGC_22131 = 1071
  integer, parameter :: nGC_22641 = 1072
  integer, parameter :: nGC_22643 = 1073
  integer, parameter :: nGC_22674 = 1074
  integer, parameter :: nGC_21468 = 1075
  integer, parameter :: nGC_21469 = 1076
  integer, parameter :: nGC_22675 = 1077
  integer, parameter :: nGC_21466 = 1078
  integer, parameter :: nGC_21467 = 1079
  integer, parameter :: nGC_251 = 1080
  integer, parameter :: nGC_22671 = 1081
  integer, parameter :: nGC_33982 = 1082
  integer, parameter :: nGC_TS_GC_33_Hl = 1083
  integer, parameter :: nGC_TS_GC_33_Hh = 1084
  integer, parameter :: nGC_22861 = 1085
  integer, parameter :: nGC_22860 = 1086
  integer, parameter :: nGC_38680 = 1087
  integer, parameter :: nGC_37886 = 1088
  integer, parameter :: nGC_22865 = 1089
  integer, parameter :: nGC_22864 = 1090
  integer, parameter :: nGC_22866 = 1091
  integer, parameter :: nGC_3367 = 1092
  integer, parameter :: nGC_TS_GC_17_Hl = 1093
  integer, parameter :: nGC_TS_GC_17_Hh = 1094
  integer, parameter :: nGC_20746 = 1095
  integer, parameter :: nGC_33206 = 1096
  integer, parameter :: nGC_20702 = 1097
  integer, parameter :: nGC_20703 = 1098
  integer, parameter :: nGC_20700 = 1099
  integer, parameter :: nGC_20701 = 1100
  integer, parameter :: nGC_3419 = 1101
  integer, parameter :: nGC_38594 = 1102
  integer, parameter :: nGC_20709 = 1103
  integer, parameter :: nGC_38593 = 1104
  integer, parameter :: nGC_3141 = 1105
  integer, parameter :: nGC_21604 = 1106
  integer, parameter :: nGC_21605 = 1107
  integer, parameter :: nGC_21606 = 1108
  integer, parameter :: nGC_21607 = 1109
  integer, parameter :: nGC_21602 = 1110
  integer, parameter :: nGC_21603 = 1111
  integer, parameter :: nGC_34435 = 1112
  integer, parameter :: nGC_34434 = 1113
  integer, parameter :: nGC_34436 = 1114
  integer, parameter :: nGC_21608 = 1115
  integer, parameter :: nGC_21609 = 1116
  integer, parameter :: nGC_553 = 1117
  integer, parameter :: nGC_TS_GC_175_Hh = 1118
  integer, parameter :: nGC_33333 = 1119
  integer, parameter :: nGC_33332 = 1120
  integer, parameter :: nGC_33331 = 1121
  integer, parameter :: nGC_33330 = 1122
  integer, parameter :: nGC_33336 = 1123
  integer, parameter :: nGC_33334 = 1124
  integer, parameter :: nGC_21118 = 1125
  integer, parameter :: nGC_21119 = 1126
  integer, parameter :: nGC_21112 = 1127
  integer, parameter :: nGC_21113 = 1128
  integer, parameter :: nGC_21114 = 1129
  integer, parameter :: nGC_21115 = 1130
  integer, parameter :: nGC_21116 = 1131
  integer, parameter :: nGC_21117 = 1132
  integer, parameter :: nGC_283 = 1133
  integer, parameter :: nGC_282 = 1134
  integer, parameter :: nGC_281 = 1135
  integer, parameter :: nGC_287 = 1136
  integer, parameter :: nGC_285 = 1137
  integer, parameter :: nGC_284 = 1138
  integer, parameter :: nGC_289 = 1139
  integer, parameter :: nGC_288 = 1140
  integer, parameter :: nGC_32799 = 1141
  integer, parameter :: nGC_21275 = 1142
  integer, parameter :: nGC_21274 = 1143
  integer, parameter :: nGC_21277 = 1144
  integer, parameter :: nGC_21276 = 1145
  integer, parameter :: nGC_32554 = 1146
  integer, parameter :: nGC_33977 = 1147
  integer, parameter :: nGC_21279 = 1148
  integer, parameter :: nGC_21278 = 1149
  integer, parameter :: nGC_21077 = 1150
  integer, parameter :: nGC_21076 = 1151
  integer, parameter :: nGC_21075 = 1152
  integer, parameter :: nGC_21074 = 1153
  integer, parameter :: nGC_21079 = 1154
  integer, parameter :: nGC_21078 = 1155
  integer, parameter :: nGC_20898 = 1156
  integer, parameter :: nGC_20899 = 1157
  integer, parameter :: nGC_20893 = 1158
  integer, parameter :: nGC_20896 = 1159
  integer, parameter :: nGC_20897 = 1160
  integer, parameter :: nGC_20894 = 1161
  integer, parameter :: nGC_20895 = 1162
  integer, parameter :: nGC_21213 = 1163
  integer, parameter :: nGC_21211 = 1164
  integer, parameter :: nGC_33644 = 1165
  integer, parameter :: nGC_22481 = 1166
  integer, parameter :: nGC_14651 = 1167
  integer, parameter :: nGC_22507 = 1168
  integer, parameter :: nGC_21851 = 1169
  integer, parameter :: nGC_21850 = 1170
  integer, parameter :: nGC_21853 = 1171
  integer, parameter :: nGC_21852 = 1172
  integer, parameter :: nGC_21855 = 1173
  integer, parameter :: nGC_21854 = 1174
  integer, parameter :: nGC_21857 = 1175
  integer, parameter :: nGC_TS_GC_32_Hh = 1176
  integer, parameter :: nGC_21859 = 1177
  integer, parameter :: nGC_21858 = 1178
  integer, parameter :: nGC_44187 = 1179
  integer, parameter :: nGC_32179 = 1180
  integer, parameter :: nGC_20736 = 1181
  integer, parameter :: nGC_TS_GC_45_Hl = 1182
  integer, parameter :: nGC_20734 = 1183
  integer, parameter :: nGC_127 = 1184
  integer, parameter :: nGC_32771 = 1185
  integer, parameter :: nGC_21506 = 1186
  integer, parameter :: nGC_21293 = 1187
  integer, parameter :: nGC_21292 = 1188
  integer, parameter :: nGC_21291 = 1189
  integer, parameter :: nGC_21290 = 1190
  integer, parameter :: nGC_21296 = 1191
  integer, parameter :: nGC_21295 = 1192
  integer, parameter :: nGC_221 = 1193
  integer, parameter :: nGC_21504 = 1194
  integer, parameter :: nGC_47534 = 1195
  integer, parameter :: nGC_21779 = 1196
  integer, parameter :: nGC_21503 = 1197
  integer, parameter :: nGC_47538 = 1198
  integer, parameter :: nGC_21502 = 1199
  integer, parameter :: nGC_849 = 1200
  integer, parameter :: nGC_22706 = 1201
  integer, parameter :: nGC_33542 = 1202
  integer, parameter :: nGC_21674 = 1203
  integer, parameter :: nGC_21770 = 1204
  integer, parameter :: nGC_129 = 1205
  integer, parameter :: nGC_32301 = 1206
  integer, parameter :: nGC_32306 = 1207
  integer, parameter :: nGC_1201 = 1208
  integer, parameter :: nGC_36465 = 1209
  integer, parameter :: nGC_22104 = 1210
  integer, parameter :: nGC_22100 = 1211
  integer, parameter :: nGC_39631 = 1212
  integer, parameter :: nGC_21479 = 1213
  integer, parameter :: nGC_21478 = 1214
  integer, parameter :: nGC_21987 = 1215
  integer, parameter :: nGC_21471 = 1216
  integer, parameter :: nGC_21470 = 1217
  integer, parameter :: nGC_2573 = 1218
  integer, parameter :: nGC_32945 = 1219
  integer, parameter :: nGC_32944 = 1220
  integer, parameter :: nGC_39982 = 1221
  integer, parameter :: nGC_39981 = 1222
  integer, parameter :: nGC_20679 = 1223
  integer, parameter :: nGC_32228 = 1224
  integer, parameter :: nGC_35082 = 1225
  integer, parameter :: nGC_34228 = 1226
  integer, parameter :: nGC_34229 = 1227
  integer, parameter :: nGC_38210 = 1228
  integer, parameter :: nGC_38213 = 1229
  integer, parameter :: nGC_38214 = 1230
  integer, parameter :: nGC_21731 = 1231
  integer, parameter :: nGC_20715 = 1232
  integer, parameter :: nGC_20714 = 1233
  integer, parameter :: nGC_20717 = 1234
  integer, parameter :: nGC_20716 = 1235
  integer, parameter :: nGC_20711 = 1236
  integer, parameter :: nGC_20710 = 1237
  integer, parameter :: nGC_20713 = 1238
  integer, parameter :: nGC_20712 = 1239
  integer, parameter :: nGC_21655 = 1240
  integer, parameter :: nGC_20719 = 1241
  integer, parameter :: nGC_20718 = 1242
  integer, parameter :: nGC_21617 = 1243
  integer, parameter :: nGC_21616 = 1244
  integer, parameter :: nGC_21615 = 1245
  integer, parameter :: nGC_21614 = 1246
  integer, parameter :: nGC_21613 = 1247
  integer, parameter :: nGC_21612 = 1248
  integer, parameter :: nGC_21611 = 1249
  integer, parameter :: nGC_21610 = 1250
  integer, parameter :: nGC_21619 = 1251
  integer, parameter :: nGC_21618 = 1252
  integer, parameter :: nGC_382 = 1253
  integer, parameter :: nGC_383 = 1254
  integer, parameter :: nGC_380 = 1255
  integer, parameter :: nGC_381 = 1256
  integer, parameter :: nGC_386 = 1257
  integer, parameter :: nGC_384 = 1258
  integer, parameter :: nGC_385 = 1259
  integer, parameter :: nGC_33305 = 1260
  integer, parameter :: nGC_4799 = 1261
  integer, parameter :: nGC_38160 = 1262
  integer, parameter :: nGC_21100 = 1263
  integer, parameter :: nGC_279 = 1264
  integer, parameter :: nGC_276 = 1265
  integer, parameter :: nGC_277 = 1266
  integer, parameter :: nGC_274 = 1267
  integer, parameter :: nGC_275 = 1268
  integer, parameter :: nGC_272 = 1269
  integer, parameter :: nGC_273 = 1270
  integer, parameter :: nGC_270 = 1271
  integer, parameter :: nGC_271 = 1272
  integer, parameter :: nGC_32781 = 1273
  integer, parameter :: nGC_32780 = 1274
  integer, parameter :: nGC_32783 = 1275
  integer, parameter :: nGC_32782 = 1276
  integer, parameter :: nGC_32543 = 1277
  integer, parameter :: nGC_34918 = 1278
  integer, parameter :: nGC_33012 = 1279
  integer, parameter :: nGC_33013 = 1280
  integer, parameter :: nGC_33010 = 1281
  integer, parameter :: nGC_33011 = 1282
  integer, parameter :: nGC_33014 = 1283
  integer, parameter :: nGC_33015 = 1284
  integer, parameter :: nGC_21046 = 1285
  integer, parameter :: nGC_21047 = 1286
  integer, parameter :: nGC_21045 = 1287
  integer, parameter :: nGC_21048 = 1288
  integer, parameter :: nGC_21049 = 1289
  integer, parameter :: nGC_21430 = 1290
  integer, parameter :: nGC_20885 = 1291
  integer, parameter :: nGC_20884 = 1292
  integer, parameter :: nGC_20887 = 1293
  integer, parameter :: nGC_20886 = 1294
  integer, parameter :: nGC_20881 = 1295
  integer, parameter :: nGC_20880 = 1296
  integer, parameter :: nGC_20883 = 1297
  integer, parameter :: nGC_20882 = 1298
  integer, parameter :: nGC_21670 = 1299
  integer, parameter :: nGC_20831 = 1300
  integer, parameter :: nGC_21294 = 1301
  integer, parameter :: nGC_2221 = 1302
  integer, parameter :: nGC_22680 = 1303
  integer, parameter :: nGC_126 = 1304
  integer, parameter :: nGC_14667 = 1305
  integer, parameter :: nGC_124 = 1306
  integer, parameter :: nGC_125 = 1307
  integer, parameter :: nGC_122 = 1308
  integer, parameter :: nGC_123 = 1309
  integer, parameter :: nGC_120 = 1310
  integer, parameter :: nGC_121 = 1311
  integer, parameter :: nGC_128 = 1312
  integer, parameter :: nGC_TS_GC_180_Hl = 1313
  integer, parameter :: nGC_TS_GC_180_Hh = 1314
  integer, parameter :: nGC_21828 = 1315
  integer, parameter :: nGC_21829 = 1316
  integer, parameter :: nGC_MMW_GF = 1317
  integer, parameter :: nGC_22248 = 1318
  integer, parameter :: nGC_32769 = 1319
  integer, parameter :: nGC_22240 = 1320
  integer, parameter :: nGC_22243 = 1321
  integer, parameter :: nGC_21910 = 1322
  integer, parameter :: nGC_21911 = 1323
  integer, parameter :: nGC_21912 = 1324
  integer, parameter :: nGC_21913 = 1325
  integer, parameter :: nGC_21914 = 1326
  integer, parameter :: nGC_21915 = 1327
  integer, parameter :: nGC_21916 = 1328
  integer, parameter :: nGC_21917 = 1329
  integer, parameter :: nGC_21918 = 1330
  integer, parameter :: nGC_21919 = 1331
  integer, parameter :: nGC_TS_GC_16_Hh = 1332
  integer, parameter :: nGC_TS_GC_16_Hl = 1333
  integer, parameter :: nGC_I = 1334
  integer, parameter :: nGC_21676 = 1335
  integer, parameter :: nGC_40248 = 1336
  integer, parameter :: nGC_TS_GC_62_Hl = 1337
  integer, parameter :: nGC_TS_GC_62_Hh = 1338
  integer, parameter :: nGC_181 = 1339
  integer, parameter :: nGC_35416 = 1340
  integer, parameter :: nGC_32370 = 1341
  integer, parameter :: nGC_32373 = 1342
  integer, parameter :: nGC_3 = 1343
  integer, parameter :: nGC_2 = 1344
  integer, parameter :: nGC_1 = 1345
  integer, parameter :: nGC_7 = 1346
  integer, parameter :: nGC_6 = 1347
  integer, parameter :: nGC_5 = 1348
  integer, parameter :: nGC_4 = 1349
  integer, parameter :: nGC_9 = 1350
  integer, parameter :: nGC_8 = 1351
  integer, parameter :: nGC_22112 = 1352
  integer, parameter :: nGC_22024 = 1353
  integer, parameter :: nGC_21442 = 1354
  integer, parameter :: nGC_21443 = 1355
  integer, parameter :: nGC_21440 = 1356
  integer, parameter :: nGC_21441 = 1357
  integer, parameter :: nGC_21446 = 1358
  integer, parameter :: nGC_21447 = 1359
  integer, parameter :: nGC_21444 = 1360
  integer, parameter :: nGC_21445 = 1361
  integer, parameter :: nGC_21448 = 1362
  integer, parameter :: nGC_TS_GC_34_Hl = 1363
  integer, parameter :: nGC_278 = 1364
  integer, parameter :: nGC_32200 = 1365
  integer, parameter :: nGC_32975 = 1366
  integer, parameter :: nGC_1999 = 1367
  integer, parameter :: nGC_2147 = 1368
  integer, parameter :: nGC_21061 = 1369
  integer, parameter :: nGC_22031 = 1370
  integer, parameter :: nGC_21590 = 1371
  integer, parameter :: nGC_21591 = 1372
  integer, parameter :: nGC_21592 = 1373
  integer, parameter :: nGC_21593 = 1374
  integer, parameter :: nGC_22853 = 1375
  integer, parameter :: nGC_35632 = 1376
  integer, parameter :: nGC_3309 = 1377
  integer, parameter :: nGC_TS_GC_36_Hh = 1378
  integer, parameter :: nGC_TS_GC_36_Hl = 1379
  integer, parameter :: nGC_34123 = 1380
  integer, parameter :: nGC_34122 = 1381
  integer, parameter :: nGC_34121 = 1382
  integer, parameter :: nGC_TS_GC_372_Hh = 1383
  integer, parameter :: nGC_22613 = 1384
  integer, parameter :: nGC_21138 = 1385
  integer, parameter :: nGC_21139 = 1386
  integer, parameter :: nGC_TS_GC_35_Hh = 1387
  integer, parameter :: nGC_269 = 1388
  integer, parameter :: nGC_268 = 1389
  integer, parameter :: nGC_265 = 1390
  integer, parameter :: nGC_264 = 1391
  integer, parameter :: nGC_267 = 1392
  integer, parameter :: nGC_266 = 1393
  integer, parameter :: nGC_261 = 1394
  integer, parameter :: nGC_260 = 1395
  integer, parameter :: nGC_263 = 1396
  integer, parameter :: nGC_262 = 1397
  integer, parameter :: nGC_20980 = 1398
  integer, parameter :: nGC_20981 = 1399
  integer, parameter :: nGC_20982 = 1400
  integer, parameter :: nGC_21059 = 1401
  integer, parameter :: nGC_21058 = 1402
  integer, parameter :: nGC_21051 = 1403
  integer, parameter :: nGC_21050 = 1404
  integer, parameter :: nGC_21053 = 1405
  integer, parameter :: nGC_21052 = 1406
  integer, parameter :: nGC_21055 = 1407
  integer, parameter :: nGC_21054 = 1408
  integer, parameter :: nGC_21057 = 1409
  integer, parameter :: nGC_21056 = 1410
  integer, parameter :: nGC_20870 = 1411
  integer, parameter :: nGC_20871 = 1412
  integer, parameter :: nGC_20872 = 1413
  integer, parameter :: nGC_20873 = 1414
  integer, parameter :: nGC_20874 = 1415
  integer, parameter :: nGC_20875 = 1416
  integer, parameter :: nGC_20876 = 1417
  integer, parameter :: nGC_21422 = 1418
  integer, parameter :: nGC_40816 = 1419
  integer, parameter :: nGC_21891 = 1420
  integer, parameter :: nGC_33171 = 1421
  integer, parameter :: nGC_35765 = 1422
  integer, parameter :: nGC_1213 = 1423
  integer, parameter :: nGC_21890 = 1424
  integer, parameter :: nGC_135 = 1425
  integer, parameter :: nGC_134 = 1426
  integer, parameter :: nGC_137 = 1427
  integer, parameter :: nGC_136 = 1428
  integer, parameter :: nGC_131 = 1429
  integer, parameter :: nGC_130 = 1430
  integer, parameter :: nGC_133 = 1431
  integer, parameter :: nGC_132 = 1432
  integer, parameter :: nGC_139 = 1433
  integer, parameter :: nGC_138 = 1434
  integer, parameter :: nGC_21837 = 1435
  integer, parameter :: nGC_21836 = 1436
  integer, parameter :: nGC_21835 = 1437
  integer, parameter :: nGC_21834 = 1438
  integer, parameter :: nGC_21833 = 1439
  integer, parameter :: nGC_21832 = 1440
  integer, parameter :: nGC_21831 = 1441
  integer, parameter :: nGC_21830 = 1442
  integer, parameter :: nGC_21839 = 1443
  integer, parameter :: nGC_21838 = 1444
  integer, parameter :: nGC_32190 = 1445
  integer, parameter :: nGC_TS_GC_23_Hl = 1446
  integer, parameter :: nGC_32199 = 1447
  integer, parameter :: nGC_32481 = 1448
  integer, parameter :: nGC_TS_GC_23_Hh = 1449
  integer, parameter :: nGC_20805 = 1450
  integer, parameter :: nGC_22239 = 1451
  integer, parameter :: nGC_22234 = 1452
  integer, parameter :: nGC_22235 = 1453
  integer, parameter :: nGC_22236 = 1454
  integer, parameter :: nGC_22237 = 1455
  integer, parameter :: nGC_22230 = 1456
  integer, parameter :: nGC_22231 = 1457
  integer, parameter :: nGC_22232 = 1458
  integer, parameter :: nGC_21903 = 1459
  integer, parameter :: nGC_21902 = 1460
  integer, parameter :: nGC_21901 = 1461
  integer, parameter :: nGC_21900 = 1462
  integer, parameter :: nGC_21907 = 1463
  integer, parameter :: nGC_21906 = 1464
  integer, parameter :: nGC_21904 = 1465
  integer, parameter :: nGC_TS_GC_46_Hh = 1466
  integer, parameter :: nGC_21909 = 1467
  integer, parameter :: nGC_21908 = 1468
  integer, parameter :: nGC_TS_GC_46_Hl = 1469
  integer, parameter :: nGC_22116 = 1470
  integer, parameter :: nGC_36043 = 1471
  integer, parameter :: nGC_33569 = 1472
  integer, parameter :: nGC_22052 = 1473
  integer, parameter :: nGC_22582 = 1474
  integer, parameter :: nGC_22586 = 1475
  integer, parameter :: nGC_22587 = 1476
  integer, parameter :: nGC_22585 = 1477
  integer, parameter :: nGC_22054 = 1478
  integer, parameter :: nGC_22589 = 1479
  integer, parameter :: nGC_22057 = 1480
  integer, parameter :: nGC_22568 = 1481
  integer, parameter :: nGC_22569 = 1482
  integer, parameter :: nGC_22561 = 1483
  integer, parameter :: nGC_22562 = 1484
  integer, parameter :: nGC_22563 = 1485
  integer, parameter :: nGC_22564 = 1486
  integer, parameter :: nGC_22565 = 1487
  integer, parameter :: nGC_22566 = 1488
  integer, parameter :: nGC_21965 = 1489
  integer, parameter :: nGC_32366 = 1490
  integer, parameter :: nGC_32365 = 1491
  integer, parameter :: nGC_35401 = 1492
  integer, parameter :: nGC_21496 = 1493
  integer, parameter :: nGC_20755 = 1494
  integer, parameter :: nGC_20754 = 1495
  integer, parameter :: nGC_42553 = 1496
  integer, parameter :: nGC_21561 = 1497
  integer, parameter :: nGC_22694 = 1498
  integer, parameter :: nGC_20800 = 1499
  integer, parameter :: nGC_42556 = 1500
  integer, parameter :: nGC_42555 = 1501
  integer, parameter :: nGC_42554 = 1502
  integer, parameter :: nGC_22168 = 1503
  integer, parameter :: nGC_22699 = 1504
  integer, parameter :: nGC_21455 = 1505
  integer, parameter :: nGC_21454 = 1506
  integer, parameter :: nGC_48737 = 1507
  integer, parameter :: nGC_21456 = 1508
  integer, parameter :: nGC_246 = 1509
  integer, parameter :: nGC_39586 = 1510
  integer, parameter :: nGC_32270 = 1511
  integer, parameter :: nGC_TS_GC_21_Hl = 1512
  integer, parameter :: nGC_43931 = 1513
  integer, parameter :: nGC_21564 = 1514
  integer, parameter :: nGC_20803 = 1515
  integer, parameter :: nGC_21523 = 1516
  integer, parameter :: nGC_243 = 1517
  integer, parameter :: nGC_21566 = 1518
  integer, parameter :: nGC_242 = 1519
  integer, parameter :: nGC_241 = 1520
  integer, parameter :: nGC_21966 = 1521
  integer, parameter :: nGC_21153 = 1522
  integer, parameter :: nGC_21653 = 1523
  integer, parameter :: nGC_21652 = 1524
  integer, parameter :: nGC_TS_GC_351_Hl = 1525
  integer, parameter :: nGC_9313 = 1526
  integer, parameter :: nGC_21651 = 1527
  integer, parameter :: nGC_TS_GC_42_Hh = 1528
  integer, parameter :: nGC_21650 = 1529
  integer, parameter :: nGC_320 = 1530
  integer, parameter :: nGC_21656 = 1531
  integer, parameter :: nGC_20690 = 1532
  integer, parameter :: nGC_20691 = 1533
  integer, parameter :: nGC_20692 = 1534
  integer, parameter :: nGC_20693 = 1535
  integer, parameter :: nGC_20694 = 1536
  integer, parameter :: nGC_20695 = 1537
  integer, parameter :: nGC_20696 = 1538
  integer, parameter :: nGC_20697 = 1539
  integer, parameter :: nGC_20698 = 1540
  integer, parameter :: nGC_20699 = 1541
  integer, parameter :: nGC_21654 = 1542
  integer, parameter :: nGC_59 = 1543
  integer, parameter :: nGC_22392 = 1544
  integer, parameter :: nGC_21587 = 1545
  integer, parameter :: nGC_21586 = 1546
  integer, parameter :: nGC_21585 = 1547
  integer, parameter :: nGC_21584 = 1548
  integer, parameter :: nGC_21583 = 1549
  integer, parameter :: nGC_21582 = 1550
  integer, parameter :: nGC_21581 = 1551
  integer, parameter :: nGC_21580 = 1552
  integer, parameter :: nGC_22390 = 1553
  integer, parameter :: nGC_21589 = 1554
  integer, parameter :: nGC_21588 = 1555
  integer, parameter :: nGC_35627 = 1556
  integer, parameter :: nGC_35626 = 1557
  integer, parameter :: nGC_21847 = 1558
  integer, parameter :: nGC_21638 = 1559
  integer, parameter :: nGC_21635 = 1560
  integer, parameter :: nGC_21634 = 1561
  integer, parameter :: nGC_21637 = 1562
  integer, parameter :: nGC_21636 = 1563
  integer, parameter :: nGC_21633 = 1564
  integer, parameter :: nGC_21632 = 1565
  integer, parameter :: nGC_TS_GC_243_Hl = 1566
  integer, parameter :: nGC_21660 = 1567
  integer, parameter :: nGC_33368 = 1568
  integer, parameter :: nGC_37879 = 1569
  integer, parameter :: nGC_53976 = 1570
  integer, parameter :: nGC_21120 = 1571
  integer, parameter :: nGC_258 = 1572
  integer, parameter :: nGC_34579 = 1573
  integer, parameter :: nGC_250 = 1574
  integer, parameter :: nGC_20780 = 1575
  integer, parameter :: nGC_252 = 1576
  integer, parameter :: nGC_253 = 1577
  integer, parameter :: nGC_254 = 1578
  integer, parameter :: nGC_255 = 1579
  integer, parameter :: nGC_256 = 1580
  integer, parameter :: nGC_257 = 1581
  integer, parameter :: nGC_20997 = 1582
  integer, parameter :: nGC_22465 = 1583
  integer, parameter :: nGC_20995 = 1584
  integer, parameter :: nGC_20994 = 1585
  integer, parameter :: nGC_20992 = 1586
  integer, parameter :: nGC_20999 = 1587
  integer, parameter :: nGC_20998 = 1588
  integer, parameter :: nGC_22466 = 1589
  integer, parameter :: nGC_21024 = 1590
  integer, parameter :: nGC_21025 = 1591
  integer, parameter :: nGC_21026 = 1592
  integer, parameter :: nGC_21027 = 1593
  integer, parameter :: nGC_37270 = 1594
  integer, parameter :: nGC_22462 = 1595
  integer, parameter :: nGC_20863 = 1596
  integer, parameter :: nGC_20862 = 1597
  integer, parameter :: nGC_20861 = 1598
  integer, parameter :: nGC_20860 = 1599
  integer, parameter :: nGC_20867 = 1600
  integer, parameter :: nGC_20866 = 1601
  integer, parameter :: nGC_20865 = 1602
  integer, parameter :: nGC_20864 = 1603
  integer, parameter :: nGC_20869 = 1604
  integer, parameter :: nGC_20868 = 1605
  integer, parameter :: nGC_32694 = 1606
  integer, parameter :: nGC_3923 = 1607
  integer, parameter :: nGC_21757 = 1608
  integer, parameter :: nGC_TS_GC_63_Hh = 1609
  integer, parameter :: nGC_TS_GC_63_Hl = 1610
  integer, parameter :: nGC_21330 = 1611
  integer, parameter :: nGC_21331 = 1612
  integer, parameter :: nGC_21332 = 1613
  integer, parameter :: nGC_21333 = 1614
  integer, parameter :: nGC_22262 = 1615
  integer, parameter :: nGC_100 = 1616
  integer, parameter :: nGC_101 = 1617
  integer, parameter :: nGC_103 = 1618
  integer, parameter :: nGC_104 = 1619
  integer, parameter :: nGC_105 = 1620
  integer, parameter :: nGC_106 = 1621
  integer, parameter :: nGC_107 = 1622
  integer, parameter :: nGC_108 = 1623
  integer, parameter :: nGC_40245 = 1624
  integer, parameter :: nGC_21693 = 1625
  integer, parameter :: nGC_22594 = 1626
  integer, parameter :: nGC_21690 = 1627
  integer, parameter :: nGC_22228 = 1628
  integer, parameter :: nGC_22227 = 1629
  integer, parameter :: nGC_22225 = 1630
  integer, parameter :: nGC_22224 = 1631
  integer, parameter :: nGC_22222 = 1632
  integer, parameter :: nGC_22220 = 1633
  integer, parameter :: nGC_21936 = 1634
  integer, parameter :: nGC_20917 = 1635
  integer, parameter :: nGC_21934 = 1636
  integer, parameter :: nGC_21935 = 1637
  integer, parameter :: nGC_21932 = 1638
  integer, parameter :: nGC_21933 = 1639
  integer, parameter :: nGC_21930 = 1640
  integer, parameter :: nGC_TS_GC_214_Hh = 1641
  integer, parameter :: nGC_20915 = 1642
  integer, parameter :: nGC_917 = 1643
  integer, parameter :: nGC_TS_GC_242_Hl = 1644
  integer, parameter :: nGC_20914 = 1645
  integer, parameter :: nGC_20913 = 1646
  integer, parameter :: nGC_20812 = 1647
  integer, parameter :: nGC_185 = 1648
  integer, parameter :: nGC_20911 = 1649
  integer, parameter :: nGC_TS_GC_357_Hl = 1650
  integer, parameter :: nGC_22595 = 1651
  integer, parameter :: nGC_1185 = 1652
  integer, parameter :: nGC_22597 = 1653
  integer, parameter :: nGC_22596 = 1654
  integer, parameter :: nGC_22591 = 1655
  integer, parameter :: nGC_22590 = 1656
  integer, parameter :: nGC_22593 = 1657
  integer, parameter :: nGC_22592 = 1658
  integer, parameter :: nGC_20813 = 1659
  integer, parameter :: nGC_22599 = 1660
  integer, parameter :: nGC_22598 = 1661
  integer, parameter :: nGC_22351 = 1662
  integer, parameter :: nGC_22350 = 1663
  integer, parameter :: nGC_22355 = 1664
  integer, parameter :: nGC_21803 = 1665
  integer, parameter :: nGC_20748 = 1666
  integer, parameter :: nGC_21806 = 1667
  integer, parameter :: nGC_21807 = 1668
  integer, parameter :: nGC_21804 = 1669
  integer, parameter :: nGC_21805 = 1670
  integer, parameter :: nGC_22579 = 1671
  integer, parameter :: nGC_22578 = 1672
  integer, parameter :: nGC_20810 = 1673
  integer, parameter :: nGC_22573 = 1674
  integer, parameter :: nGC_22572 = 1675
  integer, parameter :: nGC_22571 = 1676
  integer, parameter :: nGC_22570 = 1677
  integer, parameter :: nGC_22577 = 1678
  integer, parameter :: nGC_22576 = 1679
  integer, parameter :: nGC_22575 = 1680
  integer, parameter :: nGC_22574 = 1681
  integer, parameter :: nGC_35433 = 1682
  integer, parameter :: nGC_32350 = 1683
  integer, parameter :: nGC_32356 = 1684
  integer, parameter :: nGC_22689 = 1685
  integer, parameter :: nGC_20811 = 1686
  integer, parameter :: nGC_22681 = 1687
  integer, parameter :: nGC_33970 = 1688
  integer, parameter :: nGC_22683 = 1689
  integer, parameter :: nGC_22682 = 1690
  integer, parameter :: nGC_1233 = 1691
  integer, parameter :: nGC_22687 = 1692
  integer, parameter :: nGC_22686 = 1693
  integer, parameter :: nGC_22177 = 1694
  integer, parameter :: nGC_22176 = 1695
  integer, parameter :: nGC_22174 = 1696
  integer, parameter :: nGC_22173 = 1697
  integer, parameter :: nGC_22172 = 1698
  integer, parameter :: nGC_22170 = 1699
  integer, parameter :: nGC_21691 = 1700
  integer, parameter :: nGC_22178 = 1701
  integer, parameter :: nGC_611 = 1702
  integer, parameter :: nGC_35506 = 1703
  integer, parameter :: nGC_35507 = 1704
  integer, parameter :: nGC_32222 = 1705
  integer, parameter :: nGC_32221 = 1706
  integer, parameter :: nGC_36985 = 1707
  integer, parameter :: nGC_35508 = 1708
  integer, parameter :: nGC_35509 = 1709
  integer, parameter :: nGC_20814 = 1710
  integer, parameter :: nGC_22166 = 1711
  integer, parameter :: nGC_20683 = 1712
  integer, parameter :: nGC_20682 = 1713
  integer, parameter :: nGC_20681 = 1714
  integer, parameter :: nGC_20680 = 1715
  integer, parameter :: nGC_20687 = 1716
  integer, parameter :: nGC_20686 = 1717
  integer, parameter :: nGC_20685 = 1718
  integer, parameter :: nGC_20684 = 1719
  integer, parameter :: nGC_32630 = 1720
  integer, parameter :: nGC_20689 = 1721
  integer, parameter :: nGC_20688 = 1722
  integer, parameter :: nGC_34215 = 1723
  integer, parameter :: nGC_22167 = 1724
  integer, parameter :: nGC_TS_GC_178_Hl = 1725
  integer, parameter :: nGC_21976 = 1726
  integer, parameter :: nGC_35182 = 1727
  integer, parameter :: nGC_41588 = 1728
  integer, parameter :: nGC_20996 = 1729
  integer, parameter :: nGC_22160 = 1730
  integer, parameter :: nGC_21244 = 1731
  integer, parameter :: nGC_22161 = 1732
  integer, parameter :: nGC_TS_GC_35_Hl = 1733
  integer, parameter :: nGC_21488 = 1734
  integer, parameter :: nGC_21489 = 1735
  integer, parameter :: nGC_21486 = 1736
  integer, parameter :: nGC_21487 = 1737
  integer, parameter :: nGC_21484 = 1738
  integer, parameter :: nGC_21485 = 1739
  integer, parameter :: nGC_21482 = 1740
  integer, parameter :: nGC_21483 = 1741
  integer, parameter :: nGC_21480 = 1742
  integer, parameter :: nGC_21481 = 1743
  integer, parameter :: nGC_22162 = 1744
  integer, parameter :: nGC_33371 = 1745
  integer, parameter :: nGC_21975 = 1746
  integer, parameter :: nGC_60 = 1747
  integer, parameter :: nGC_35961 = 1748
  integer, parameter :: nGC_247 = 1749
  integer, parameter :: nGC_245 = 1750
  integer, parameter :: nGC_244 = 1751
  integer, parameter :: nGC_21150 = 1752
  integer, parameter :: nGC_21151 = 1753
  integer, parameter :: nGC_21152 = 1754
  integer, parameter :: nGC_21182 = 1755
  integer, parameter :: nGC_249 = 1756
  integer, parameter :: nGC_248 = 1757
  integer, parameter :: nGC_22460 = 1758
  integer, parameter :: nGC_22730 = 1759
  integer, parameter :: nGC_36783 = 1760
  integer, parameter :: nGC_21033 = 1761
  integer, parameter :: nGC_21032 = 1762
  integer, parameter :: nGC_21031 = 1763
  integer, parameter :: nGC_37265 = 1764
  integer, parameter :: nGC_48940 = 1765
  integer, parameter :: nGC_53966 = 1766
  integer, parameter :: nGC_22736 = 1767
  integer, parameter :: nGC_37269 = 1768
  integer, parameter :: nGC_37268 = 1769
  integer, parameter :: nGC_54185 = 1770
  integer, parameter :: nGC_118 = 1771
  integer, parameter :: nGC_34321 = 1772
  integer, parameter :: nGC_21323 = 1773
  integer, parameter :: nGC_21322 = 1774
  integer, parameter :: nGC_21321 = 1775
  integer, parameter :: nGC_21320 = 1776
  integer, parameter :: nGC_21324 = 1777
  integer, parameter :: nGC_21329 = 1778
  integer, parameter :: nGC_21328 = 1779
  integer, parameter :: nGC_TS_GC_360_Hh = 1780
  integer, parameter :: nGC_119 = 1781
  integer, parameter :: nGC_21748 = 1782
  integer, parameter :: nGC_117 = 1783
  integer, parameter :: nGC_116 = 1784
  integer, parameter :: nGC_115 = 1785
  integer, parameter :: nGC_114 = 1786
  integer, parameter :: nGC_113 = 1787
  integer, parameter :: nGC_112 = 1788
  integer, parameter :: nGC_111 = 1789
  integer, parameter :: nGC_110 = 1790
  integer, parameter :: nGC_37134 = 1791
  integer, parameter :: nGC_1539 = 1792
  integer, parameter :: nGC_57294 = 1793
  integer, parameter :: nGC_57295 = 1794
  integer, parameter :: nGC_TS_GC_378_Hh = 1795
  integer, parameter :: nGC_32734 = 1796
  integer, parameter :: nGC_22213 = 1797
  integer, parameter :: nGC_22210 = 1798
  integer, parameter :: nGC_22211 = 1799
  integer, parameter :: nGC_22214 = 1800
  integer, parameter :: nGC_22215 = 1801
  integer, parameter :: nGC_22218 = 1802
  integer, parameter :: nGC_22219 = 1803
  integer, parameter :: nGC_TS_GC_47_Hh = 1804
  integer, parameter :: nGC_TS_GC_47_Hl = 1805
  integer, parameter :: nGC_32643 = 1806
  integer, parameter :: nGC_22367 = 1807
  integer, parameter :: nGC_22365 = 1808
  integer, parameter :: nGC_22362 = 1809
  integer, parameter :: nGC_44114 = 1810
  integer, parameter :: nGC_22360 = 1811
  integer, parameter :: nGC_22361 = 1812
  integer, parameter :: nGC_22369 = 1813
  integer, parameter :: nGC_22548 = 1814
  integer, parameter :: nGC_22549 = 1815
  integer, parameter :: nGC_22546 = 1816
  integer, parameter :: nGC_22547 = 1817
  integer, parameter :: nGC_22544 = 1818
  integer, parameter :: nGC_22545 = 1819
  integer, parameter :: nGC_22542 = 1820
  integer, parameter :: nGC_22543 = 1821
  integer, parameter :: nGC_22540 = 1822
  integer, parameter :: nGC_22541 = 1823
  integer, parameter :: nGC_TS_GC_52_Hh = 1824
  integer, parameter :: nGC_32346 = 1825
  integer, parameter :: nGC_TS_GC_52_Hl = 1826
  integer, parameter :: nGC_35420 = 1827
  integer, parameter :: nGC_32342 = 1828
  integer, parameter :: nGC_35429 = 1829
  integer, parameter :: nGC_35428 = 1830
  integer, parameter :: nGC_22148 = 1831
  integer, parameter :: nGC_22142 = 1832
  integer, parameter :: nGC_22143 = 1833
  integer, parameter :: nGC_22140 = 1834
  integer, parameter :: nGC_22141 = 1835
  integer, parameter :: nGC_22146 = 1836
  integer, parameter :: nGC_22147 = 1837
  integer, parameter :: nGC_22144 = 1838
  integer, parameter :: nGC_22145 = 1839
  integer, parameter :: nGC_22649 = 1840
  integer, parameter :: nGC_TS_GC_22_Hh = 1841
  integer, parameter :: nGC_22132 = 1842
  integer, parameter :: nGC_32235 = 1843
  integer, parameter :: nGC_22646 = 1844
  integer, parameter :: nGC_TS_GC_224_Hh = 1845
  integer, parameter :: nGC_22640 = 1846
  integer, parameter :: nGC_22642 = 1847
  integer, parameter :: nGC_36958 = 1848
  integer, parameter :: nGC_35605 = 1849
  integer, parameter :: nGC_39385 = 1850
  integer, parameter :: nGC_39387 = 1851
  integer, parameter :: nGC_35352 = 1852
  integer, parameter :: nGC_35351 = 1853
  integer, parameter :: nGC_39673 = 1854
  integer, parameter :: nGC_35773 = 1855
  integer, parameter :: nGC_35774 = 1856
  integer, parameter :: nGC_33343 = 1857
  integer, parameter :: nGC_33340 = 1858
  integer, parameter :: nGC_33344 = 1859
  integer, parameter :: nGC_34550 = 1860
  integer, parameter :: nGC_34551 = 1861
  integer, parameter :: nGC_32502 = 1862
  integer, parameter :: nGC_4113 = 1863
  integer, parameter :: nGC_35373 = 1864
  integer, parameter :: nGC_TS_GC_369_Hl = 1865
  integer, parameter :: nGC_4595 = 1866
  integer, parameter :: nGC_43629 = 1867
  integer, parameter :: nGC_TS_GC_49_Hl = 1868
  integer, parameter :: nGC_33121 = 1869
  integer, parameter :: nGC_33126 = 1870
  integer, parameter :: nGC_56572 = 1871
  integer, parameter :: nGC_56575 = 1872
  integer, parameter :: nGC_22205 = 1873
  integer, parameter :: nGC_32726 = 1874
  integer, parameter :: nGC_22207 = 1875
  integer, parameter :: nGC_22206 = 1876
  integer, parameter :: nGC_22201 = 1877
  integer, parameter :: nGC_22203 = 1878
  integer, parameter :: nGC_22202 = 1879
  integer, parameter :: nGC_21957 = 1880
  integer, parameter :: nGC_22209 = 1881
  integer, parameter :: nGC_22446 = 1882
  integer, parameter :: nGC_22444 = 1883
  integer, parameter :: nGC_33758 = 1884
  integer, parameter :: nGC_33748 = 1885
  integer, parameter :: nGC_33751 = 1886
  integer, parameter :: nGC_33756 = 1887
  integer, parameter :: nGC_TS_GC_213_Hl = 1888
  integer, parameter :: nGC_22378 = 1889
  integer, parameter :: nGC_32658 = 1890
  integer, parameter :: nGC_22370 = 1891
  integer, parameter :: nGC_45745 = 1892
  integer, parameter :: nGC_22374 = 1893
  integer, parameter :: nGC_22377 = 1894
  integer, parameter :: nGC_38299 = 1895
  integer, parameter :: nGC_TS_GC_179_Hl = 1896
  integer, parameter :: nGC_TS_GC_179_Hh = 1897
  integer, parameter :: nGC_22551 = 1898
  integer, parameter :: nGC_22550 = 1899
  integer, parameter :: nGC_22553 = 1900
  integer, parameter :: nGC_22552 = 1901
  integer, parameter :: nGC_22555 = 1902
  integer, parameter :: nGC_22554 = 1903
  integer, parameter :: nGC_22557 = 1904
  integer, parameter :: nGC_22556 = 1905
  integer, parameter :: nGC_22559 = 1906
  integer, parameter :: nGC_22558 = 1907
  integer, parameter :: nGC_22151 = 1908
  integer, parameter :: nGC_22150 = 1909
  integer, parameter :: nGC_22153 = 1910
  integer, parameter :: nGC_TS_GC_41_Hl = 1911
  integer, parameter :: nGC_2055 = 1912
  integer, parameter :: nGC_2053 = 1913
  integer, parameter :: nGC_32247 = 1914
  integer, parameter :: nGC_53872 = 1915
  integer, parameter :: nGC_53873 = 1916
  integer, parameter :: nGC_32883 = 1917
  integer, parameter :: nGC_TS_GC_241_Hl = 1918
  integer, parameter :: nGC_32396 = 1919
  integer, parameter :: nGC_32392 = 1920
  integer, parameter :: nGC_35388 = 1921
  integer, parameter :: nGC_32867 = 1922
  integer, parameter :: nGC_TS_GC_38_Hl = 1923
  integer, parameter :: nGC_TS_GC_77_Hl = 1924
  integer, parameter :: nGC_TS_GC_77_Hh = 1925
  integer, parameter :: nGC_34540 = 1926
  integer, parameter :: nGC_34549 = 1927
  integer, parameter :: nGC_34548 = 1928
  integer, parameter :: nGC_35013 = 1929
  integer, parameter :: nGC_35014 = 1930
  integer, parameter :: nGC_35015 = 1931
  integer, parameter :: nGC_35016 = 1932
  integer, parameter :: nGC_35017 = 1933
  integer, parameter :: nGC_32531 = 1934
  integer, parameter :: nGC_47332 = 1935
  integer, parameter :: nGC_33282 = 1936
  integer, parameter :: nGC_33281 = 1937
  integer, parameter :: nGC_22060 = 1938
  integer, parameter :: nGC_43632 = 1939
  integer, parameter :: nGC_43634 = 1940
  integer, parameter :: nGC_43325 = 1941
  integer, parameter :: nGC_43322 = 1942
  integer, parameter :: nGC_22065 = 1943
  integer, parameter :: nGC_22064 = 1944
  integer, parameter :: nGC_22066 = 1945
  integer, parameter :: nGC_34833 = 1946
  integer, parameter :: nGC_32401 = 1947
  integer, parameter :: nGC_33135 = 1948
  integer, parameter :: nGC_32409 = 1949
  integer, parameter :: nGC_40085 = 1950
  integer, parameter :: nGC_33072 = 1951
  integer, parameter :: nGC_1081 = 1952
  integer, parameter :: nGC_1649 = 1953
  integer, parameter :: nGC_32713 = 1954
  integer, parameter :: nGC_32710 = 1955
  integer, parameter :: nGC_32714 = 1956
  integer, parameter :: nGC_32715 = 1957
  integer, parameter :: nGC_40078 = 1958
  integer, parameter :: nGC_40079 = 1959
  integer, parameter :: nGC_21948 = 1960
  integer, parameter :: nGC_21947 = 1961
  integer, parameter :: nGC_40077 = 1962
  integer, parameter :: nGC_22096 = 1963
  integer, parameter :: nGC_1467 = 1964
  integer, parameter :: nGC_22304 = 1965
  integer, parameter :: nGC_22305 = 1966
  integer, parameter :: nGC_22306 = 1967
  integer, parameter :: nGC_32665 = 1968
  integer, parameter :: nGC_22301 = 1969
  integer, parameter :: nGC_22302 = 1970
  integer, parameter :: nGC_45178 = 1971
  integer, parameter :: nGC_22524 = 1972
  integer, parameter :: nGC_22525 = 1973
  integer, parameter :: nGC_22526 = 1974
  integer, parameter :: nGC_22527 = 1975
  integer, parameter :: nGC_22520 = 1976
  integer, parameter :: nGC_22522 = 1977
  integer, parameter :: nGC_22523 = 1978
  integer, parameter :: nGC_46195 = 1979
  integer, parameter :: nGC_22528 = 1980
  integer, parameter :: nGC_22529 = 1981
  integer, parameter :: nGC_46191 = 1982
  integer, parameter :: nGC_33435 = 1983
  integer, parameter :: nGC_36159 = 1984
  integer, parameter :: nGC_32236 = 1985
  integer, parameter :: nGC_41307 = 1986
  integer, parameter :: nGC_22638 = 1987
  integer, parameter :: nGC_22639 = 1988
  integer, parameter :: nGC_22630 = 1989
  integer, parameter :: nGC_22631 = 1990
  integer, parameter :: nGC_22632 = 1991
  integer, parameter :: nGC_22633 = 1992
  integer, parameter :: nGC_22634 = 1993
  integer, parameter :: nGC_22635 = 1994
  integer, parameter :: nGC_22636 = 1995
  integer, parameter :: nGC_22637 = 1996
  integer, parameter :: nGC_32257 = 1997
  integer, parameter :: nGC_32254 = 1998
  integer, parameter :: nGC_45229 = 1999
  integer, parameter :: nGC_39236 = 2000
  integer, parameter :: nGC_TS_GC_40_Hl = 2001
  integer, parameter :: nGC_TS_GC_333_Hl = 2002
  integer, parameter :: nGC_34710 = 2003
  integer, parameter :: nGC_34711 = 2004
  integer, parameter :: nGC_35376 = 2005
  integer, parameter :: nGC_TS_GC_53_Hh = 2006
  integer, parameter :: nGC_36572 = 2007
  integer, parameter :: nGC_32899 = 2008
  integer, parameter :: nGC_35378 = 2009
  integer, parameter :: nGC_32381 = 2010
  integer, parameter :: nGC_32384 = 2011
  integer, parameter :: nGC_32878 = 2012
  integer, parameter :: nGC_38297 = 2013
  integer, parameter :: nGC_35392 = 2014
  integer, parameter :: nGC_32877 = 2015
  integer, parameter :: nGC_46458 = 2016
  integer, parameter :: nGC_46459 = 2017
  integer, parameter :: nGC_34153 = 2018
  integer, parameter :: nGC_34156 = 2019
  integer, parameter :: nGC_TS_GC_250_Hh = 2020
  integer, parameter :: nGC_34538 = 2021
  integer, parameter :: nGC_34539 = 2022
  integer, parameter :: nGC_32418 = 2023
  integer, parameter :: nGC_32410 = 2024
  integer, parameter :: nGC_32415 = 2025
  integer, parameter :: nGC_32414 = 2026
  integer, parameter :: nGC_37368 = 2027
  integer, parameter :: nGC_37360 = 2028
  integer, parameter :: nGC_37363 = 2029
  integer, parameter :: nGC_32707 = 2030
  integer, parameter :: nGC_21970 = 2031
  integer, parameter :: nGC_33650 = 2032
  integer, parameter :: nGC_21977 = 2033
  integer, parameter :: nGC_21974 = 2034
  integer, parameter :: nGC_22198 = 2035
  integer, parameter :: nGC_21978 = 2036
  integer, parameter :: nGC_21979 = 2037
  integer, parameter :: nGC_21998 = 2038
  integer, parameter :: nGC_21999 = 2039
  integer, parameter :: nGC_1353 = 2040
  integer, parameter :: nGC_21990 = 2041
  integer, parameter :: nGC_21993 = 2042
  integer, parameter :: nGC_21996 = 2043
  integer, parameter :: nGC_21997 = 2044
  integer, parameter :: nGC_22082 = 2045
  integer, parameter :: nGC_22081 = 2046
  integer, parameter :: nGC_32673 = 2047
  integer, parameter :: nGC_32676 = 2048
  integer, parameter :: nGC_22314 = 2049
  integer, parameter :: nGC_22313 = 2050
  integer, parameter :: nGC_22312 = 2051
  integer, parameter :: nGC_22311 = 2052
  integer, parameter :: nGC_36164 = 2053
  integer, parameter :: nGC_36167 = 2054
  integer, parameter :: nGC_36166 = 2055
  integer, parameter :: nGC_22537 = 2056
  integer, parameter :: nGC_22536 = 2057
  integer, parameter :: nGC_22535 = 2058
  integer, parameter :: nGC_TS_GC_48_Hh = 2059
  integer, parameter :: nGC_22533 = 2060
  integer, parameter :: nGC_22532 = 2061
  integer, parameter :: nGC_22531 = 2062
  integer, parameter :: nGC_22530 = 2063
  integer, parameter :: nGC_22580 = 2064
  integer, parameter :: nGC_22539 = 2065
  integer, parameter :: nGC_22538 = 2066
  integer, parameter :: nGC_58239 = 2067
  integer, parameter :: nGC_33934 = 2068
  integer, parameter :: nGC_1079 = 2069
  integer, parameter :: nGC_22403 = 2070
  integer, parameter :: nGC_22402 = 2071
  integer, parameter :: nGC_22401 = 2072
  integer, parameter :: nGC_22407 = 2073
  integer, parameter :: nGC_22406 = 2074
  integer, parameter :: nGC_22405 = 2075
  integer, parameter :: nGC_22404 = 2076
  integer, parameter :: nGC_22409 = 2077
  integer, parameter :: nGC_22408 = 2078
  integer, parameter :: nGC_22629 = 2079
  integer, parameter :: nGC_22628 = 2080
  integer, parameter :: nGC_22621 = 2081
  integer, parameter :: nGC_22620 = 2082
  integer, parameter :: nGC_22627 = 2083
  integer, parameter :: nGC_22626 = 2084
  integer, parameter :: nGC_TS_GC_37_Hh = 2085
  integer, parameter :: nGC_TS_GC_18_Hl = 2086
  integer, parameter :: nGC_35546 = 2087
  integer, parameter :: nGC_32267 = 2088
  integer, parameter :: nGC_32264 = 2089
  integer, parameter :: nGC_32559 = 2090
  integer, parameter :: nGC_53385 = 2091
  integer, parameter :: nGC_36703 = 2092
  integer, parameter :: nGC_36702 = 2093
  integer, parameter :: nGC_36705 = 2094
  integer, parameter :: nGC_45232 = 2095
  integer, parameter :: nGC_46149 = 2096
  integer, parameter :: nGC_35495 = 2097
  integer, parameter :: nGC_35496 = 2098
  integer, parameter :: nGC_35142 = 2099
  integer, parameter :: nGC_35149 = 2100
  integer, parameter :: nGC_39359 = 2101
  integer, parameter :: nGC_39358 = 2102
  integer, parameter :: nGC_32848 = 2103
  integer, parameter :: nGC_34632 = 2104
  integer, parameter :: nGC_32289 = 2105
  integer, parameter :: nGC_32281 = 2106
  integer, parameter :: nGC_38171 = 2107
  integer, parameter :: nGC_35920 = 2108
  integer, parameter :: nGC_35402 = 2109
  integer, parameter :: nGC_TS_GC_261_Hl = 2110
  integer, parameter :: nGC_1711 = 2111
  integer, parameter :: nGC_33391 = 2112
  integer, parameter :: nGC_33392 = 2113
  integer, parameter :: nGC_33647 = 2114
  integer, parameter :: nGC_21964 = 2115
  integer, parameter :: nGC_21967 = 2116
  integer, parameter :: nGC_33643 = 2117
  integer, parameter :: nGC_21960 = 2118
  integer, parameter :: nGC_21963 = 2119
  integer, parameter :: nGC_21969 = 2120
  integer, parameter :: nGC_21968 = 2121
  integer, parameter :: nGC_33648 = 2122
  integer, parameter :: nGC_791 = 2123
  integer, parameter :: nGC_21989 = 2124
  integer, parameter :: nGC_21988 = 2125
  integer, parameter :: nGC_1913 = 2126
  integer, parameter :: nGC_21983 = 2127
  integer, parameter :: nGC_21982 = 2128
  integer, parameter :: nGC_21981 = 2129
  integer, parameter :: nGC_21980 = 2130
  integer, parameter :: nGC_21986 = 2131
  integer, parameter :: nGC_21985 = 2132
  integer, parameter :: nGC_21984 = 2133
  integer, parameter :: nGC_22515 = 2134
  integer, parameter :: nGC_22514 = 2135
  integer, parameter :: nGC_22517 = 2136
  integer, parameter :: nGC_22324 = 2137
  integer, parameter :: nGC_22047 = 2138
  integer, parameter :: nGC_22329 = 2139
  integer, parameter :: nGC_59910 = 2140
  integer, parameter :: nGC_22513 = 2141
  integer, parameter :: nGC_22512 = 2142
  integer, parameter :: nGC_TS_GC_332_Hh = 2143
  integer, parameter :: nGC_32118 = 2144
  integer, parameter :: nGC_22187 = 2145
  integer, parameter :: nGC_36174 = 2146
  integer, parameter :: nGC_36175 = 2147
  integer, parameter :: nGC_22182 = 2148
  integer, parameter :: nGC_22183 = 2149
  integer, parameter :: nGC_22180 = 2150
  integer, parameter :: nGC_22181 = 2151
  integer, parameter :: nGC_22188 = 2152
  integer, parameter :: nGC_22189 = 2153
  integer, parameter :: nGC_22436 = 2154
  integer, parameter :: nGC_22437 = 2155
  integer, parameter :: nGC_22434 = 2156
  integer, parameter :: nGC_22435 = 2157
  integer, parameter :: nGC_22433 = 2158
  integer, parameter :: nGC_22439 = 2159
  integer, parameter :: nGC_22618 = 2160
  integer, parameter :: nGC_22619 = 2161
  integer, parameter :: nGC_22616 = 2162
  integer, parameter :: nGC_22617 = 2163
  integer, parameter :: nGC_22614 = 2164
  integer, parameter :: nGC_22615 = 2165
  integer, parameter :: nGC_22612 = 2166
  integer, parameter :: nGC_22610 = 2167
  integer, parameter :: nGC_22611 = 2168
  integer, parameter :: nGC_32275 = 2169
  integer, parameter :: nGC_35556 = 2170
  integer, parameter :: nGC_35559 = 2171
  integer, parameter :: nGC_22058 = 2172
  integer, parameter :: nGC_22059 = 2173
  integer, parameter :: nGC_22508 = 2174
  integer, parameter :: nGC_22509 = 2175
  integer, parameter :: nGC_22050 = 2176
  integer, parameter :: nGC_22503 = 2177
  integer, parameter :: nGC_22500 = 2178
  integer, parameter :: nGC_22053 = 2179
  integer, parameter :: nGC_22506 = 2180
  integer, parameter :: nGC_22055 = 2181
  integer, parameter :: nGC_22504 = 2182
  integer, parameter :: nGC_22505 = 2183
  integer, parameter :: nGC_58860 = 2184
  integer, parameter :: nGC_39587 = 2185
  integer, parameter :: nGC_34738 = 2186
  integer, parameter :: nGC_34739 = 2187
  integer, parameter :: nGC_35158 = 2188
  integer, parameter :: nGC_35155 = 2189
  integer, parameter :: nGC_32852 = 2190
  integer, parameter :: nGC_39360 = 2191
  integer, parameter :: nGC_32223 = 2192
  integer, parameter :: nGC_34604 = 2193
  integer, parameter :: nGC_34602 = 2194
  integer, parameter :: nGC_34603 = 2195
  integer, parameter :: nGC_34601 = 2196
  integer, parameter :: nGC_38349 = 2197
  integer, parameter :: nGC_32294 = 2198
  integer, parameter :: nGC_38169 = 2199
  integer, parameter :: nGC_34199 = 2200
  integer, parameter :: nGC_34195 = 2201
  integer, parameter :: nGC_22697 = 2202
  integer, parameter :: nGC_34510 = 2203
  integer, parameter :: nGC_34511 = 2204
  integer, parameter :: nGC_33252 = 2205
  integer, parameter :: nGC_40465 = 2206
  integer, parameter :: nGC_43662 = 2207
  integer, parameter :: nGC_43667 = 2208
  integer, parameter :: nGC_43669 = 2209
  integer, parameter :: nGC_32477 = 2210
  integer, parameter :: nGC_32470 = 2211
  integer, parameter :: nGC_22056 = 2212
  integer, parameter :: nGC_22310 = 2213
  integer, parameter :: nGC_33670 = 2214
  integer, parameter :: nGC_33078 = 2215
  integer, parameter :: nGC_33079 = 2216
  integer, parameter :: nGC_40080 = 2217
  integer, parameter :: nGC_40087 = 2218
  integer, parameter :: nGC_TS_GC_246_Hl = 2219
  integer, parameter :: nGC_40089 = 2220
  integer, parameter :: nGC_40088 = 2221
  integer, parameter :: nGC_33075 = 2222
  integer, parameter :: nGC_33077 = 2223
  integer, parameter :: nGC_22534 = 2224
  integer, parameter :: nGC_22335 = 2225
  integer, parameter :: nGC_22331 = 2226
  integer, parameter :: nGC_22330 = 2227
  integer, parameter :: nGC_22333 = 2228
  integer, parameter :: nGC_22332 = 2229
  integer, parameter :: nGC_32619 = 2230
  integer, parameter :: nGC_22199 = 2231
  integer, parameter :: nGC_36168 = 2232
  integer, parameter :: nGC_22191 = 2233
  integer, parameter :: nGC_22190 = 2234
  integer, parameter :: nGC_22193 = 2235
  integer, parameter :: nGC_22195 = 2236
  integer, parameter :: nGC_22194 = 2237
  integer, parameter :: nGC_22197 = 2238
  integer, parameter :: nGC_22196 = 2239
  integer, parameter :: nGC_22421 = 2240
  integer, parameter :: nGC_1055 = 2241
  integer, parameter :: nGC_TS_GC_249_Hh = 2242
  integer, parameter :: nGC_22603 = 2243
  integer, parameter :: nGC_22602 = 2244
  integer, parameter :: nGC_22605 = 2245
  integer, parameter :: nGC_22604 = 2246
  integer, parameter :: nGC_22606 = 2247
  integer, parameter :: nGC_22609 = 2248
  integer, parameter :: nGC_22608 = 2249
  integer, parameter :: nGC_39028 = 2250
  integer, parameter :: nGC_22049 = 2251
  integer, parameter :: nGC_22048 = 2252
  integer, parameter :: nGC_22518 = 2253
  integer, parameter :: nGC_22043 = 2254
  integer, parameter :: nGC_22042 = 2255
  integer, parameter :: nGC_22041 = 2256
  integer, parameter :: nGC_22040 = 2257
  integer, parameter :: nGC_22511 = 2258
  integer, parameter :: nGC_22046 = 2259
  integer, parameter :: nGC_22044 = 2260
  integer, parameter :: nGC_36907 = 2261
  integer, parameter :: nGC_34727 = 2262
  integer, parameter :: nGC_34726 = 2263
  integer, parameter :: nGC_36611 = 2264
  integer, parameter :: nGC_36617 = 2265
  integer, parameter :: nGC_36616 = 2266
  integer, parameter :: nGC_36614 = 2267
  integer, parameter :: nGC_36619 = 2268
  integer, parameter :: nGC_36618 = 2269
  integer, parameter :: nGC_32827 = 2270
  integer, parameter :: nGC_33830 = 2271
  integer, parameter :: nGC_32828 = 2272
  integer, parameter :: nGC_32829 = 2273
  integer, parameter :: nGC_33831 = 2274
  integer, parameter :: nGC_48742 = 2275
  integer, parameter :: nGC_48743 = 2276
  integer, parameter :: nGC_33832 = 2277
  integer, parameter :: nGC_33833 = 2278
  integer, parameter :: nGC_TS_GC_252_Hl = 2279
  integer, parameter :: nGC_32910 = 2280
  integer, parameter :: nGC_34180 = 2281
  integer, parameter :: nGC_34509 = 2282
  integer, parameter :: nGC_34508 = 2283
  integer, parameter :: nGC_33081 = 2284
  integer, parameter :: nGC_33080 = 2285
  integer, parameter :: nGC_33246 = 2286
  integer, parameter :: nGC_43670 = 2287
  integer, parameter :: nGC_43672 = 2288
  integer, parameter :: nGC_34872 = 2289
  integer, parameter :: nGC_40251 = 2290
  integer, parameter :: nGC_40524 = 2291
  integer, parameter :: nGC_40525 = 2292
  integer, parameter :: nGC_40526 = 2293
  integer, parameter :: nGC_40528 = 2294
  integer, parameter :: nGC_40529 = 2295
  integer, parameter :: nGC_35547 = 2296
  integer, parameter :: nGC_35545 = 2297
  integer, parameter :: nGC_32590 = 2298
  integer, parameter :: nGC_33061 = 2299
  integer, parameter :: nGC_32622 = 2300
  integer, parameter :: nGC_3993 = 2301
  integer, parameter :: nGC_41690 = 2302
  integer, parameter :: nGC_36700 = 2303
  integer, parameter :: nGC_33478 = 2304
  integer, parameter :: nGC_33479 = 2305
  integer, parameter :: nGC_22458 = 2306
  integer, parameter :: nGC_22459 = 2307
  integer, parameter :: nGC_32136 = 2308
  integer, parameter :: nGC_22455 = 2309
  integer, parameter :: nGC_22456 = 2310
  integer, parameter :: nGC_22457 = 2311
  integer, parameter :: nGC_22450 = 2312
  integer, parameter :: nGC_22451 = 2313
  integer, parameter :: nGC_22452 = 2314
  integer, parameter :: nGC_22453 = 2315
  integer, parameter :: nGC_22298 = 2316
  integer, parameter :: nGC_22299 = 2317
  integer, parameter :: nGC_22292 = 2318
  integer, parameter :: nGC_22293 = 2319
  integer, parameter :: nGC_22290 = 2320
  integer, parameter :: nGC_22291 = 2321
  integer, parameter :: nGC_33985 = 2322
  integer, parameter :: nGC_22677 = 2323
  integer, parameter :: nGC_22672 = 2324
  integer, parameter :: nGC_22673 = 2325
  integer, parameter :: nGC_22678 = 2326
  integer, parameter :: nGC_22679 = 2327
  integer, parameter :: nGC_21958 = 2328
  integer, parameter :: nGC_21959 = 2329
  integer, parameter :: nGC_33875 = 2330
  integer, parameter :: nGC_22078 = 2331
  integer, parameter :: nGC_22079 = 2332
  integer, parameter :: nGC_22076 = 2333
  integer, parameter :: nGC_22077 = 2334
  integer, parameter :: nGC_22074 = 2335
  integer, parameter :: nGC_22075 = 2336
  integer, parameter :: nGC_22072 = 2337
  integer, parameter :: nGC_22073 = 2338
  integer, parameter :: nGC_22708 = 2339
  integer, parameter :: nGC_22709 = 2340
  integer, parameter :: nGC_22700 = 2341
  integer, parameter :: nGC_22701 = 2342
  integer, parameter :: nGC_22702 = 2343
  integer, parameter :: nGC_22703 = 2344
  integer, parameter :: nGC_22704 = 2345
  integer, parameter :: nGC_22705 = 2346
  integer, parameter :: nGC_22208 = 2347
  integer, parameter :: nGC_35132 = 2348
  integer, parameter :: nGC_52176 = 2349
  integer, parameter :: nGC_44885 = 2350
  integer, parameter :: nGC_44884 = 2351
  integer, parameter :: nGC_36701 = 2352
  integer, parameter :: nGC_36248 = 2353
  integer, parameter :: nGC_34268 = 2354
  integer, parameter :: nGC_34085 = 2355
  integer, parameter :: nGC_33271 = 2356
  integer, parameter :: nGC_55197 = 2357
  integer, parameter :: nGC_33278 = 2358
  integer, parameter :: nGC_43191 = 2359
  integer, parameter :: nGC_32455 = 2360
  integer, parameter :: nGC_32454 = 2361
  integer, parameter :: nGC_37509 = 2362
  integer, parameter :: nGC_34318 = 2363
  integer, parameter :: nGC_34313 = 2364
  integer, parameter :: nGC_22379 = 2365
  integer, parameter :: nGC_37326 = 2366
  integer, parameter :: nGC_41593 = 2367
  integer, parameter :: nGC_22471 = 2368
  integer, parameter :: nGC_33698 = 2369
  integer, parameter :: nGC_22477 = 2370
  integer, parameter :: nGC_32633 = 2371
  integer, parameter :: nGC_44185 = 2372
  integer, parameter :: nGC_41112 = 2373
  integer, parameter :: nGC_41113 = 2374
  integer, parameter :: nGC_33460 = 2375
  integer, parameter :: nGC_22449 = 2376
  integer, parameter :: nGC_22448 = 2377
  integer, parameter :: nGC_22447 = 2378
  integer, parameter :: nGC_32128 = 2379
  integer, parameter :: nGC_22445 = 2380
  integer, parameter :: nGC_1033 = 2381
  integer, parameter :: nGC_22443 = 2382
  integer, parameter :: nGC_22442 = 2383
  integer, parameter :: nGC_22441 = 2384
  integer, parameter :: nGC_22440 = 2385
  integer, parameter :: nGC_22289 = 2386
  integer, parameter :: nGC_22288 = 2387
  integer, parameter :: nGC_22285 = 2388
  integer, parameter :: nGC_22284 = 2389
  integer, parameter :: nGC_22287 = 2390
  integer, parameter :: nGC_22286 = 2391
  integer, parameter :: nGC_22283 = 2392
  integer, parameter :: nGC_22282 = 2393
  integer, parameter :: nGC_22667 = 2394
  integer, parameter :: nGC_22666 = 2395
  integer, parameter :: nGC_22665 = 2396
  integer, parameter :: nGC_22664 = 2397
  integer, parameter :: nGC_22662 = 2398
  integer, parameter :: nGC_22661 = 2399
  integer, parameter :: nGC_22660 = 2400
  integer, parameter :: nGC_22061 = 2401
  integer, parameter :: nGC_33862 = 2402
  integer, parameter :: nGC_22063 = 2403
  integer, parameter :: nGC_22062 = 2404
  integer, parameter :: nGC_33865 = 2405
  integer, parameter :: nGC_33864 = 2406
  integer, parameter :: nGC_22718 = 2407
  integer, parameter :: nGC_22713 = 2408
  integer, parameter :: nGC_22712 = 2409
  integer, parameter :: nGC_22710 = 2410
  integer, parameter :: nGC_22717 = 2411
  integer, parameter :: nGC_22716 = 2412
  integer, parameter :: nGC_22715 = 2413
  integer, parameter :: nGC_22714 = 2414
  integer, parameter :: nGC_35692 = 2415
  integer, parameter :: nGC_35693 = 2416
  integer, parameter :: nGC_35696 = 2417
  integer, parameter :: nGC_35697 = 2418
  integer, parameter :: nGC_35694 = 2419
  integer, parameter :: nGC_35698 = 2420
  integer, parameter :: nGC_35699 = 2421
  integer, parameter :: nGC_32331 = 2422
  integer, parameter :: nGC_32332 = 2423
  integer, parameter :: nGC_32333 = 2424
  integer, parameter :: nGC_32334 = 2425
  integer, parameter :: nGC_32339 = 2426
  integer, parameter :: nGC_36326 = 2427
  integer, parameter :: nGC_42127 = 2428
  integer, parameter :: nGC_2585 = 2429
  integer, parameter :: nGC_53967 = 2430
  integer, parameter :: nGC_47743 = 2431
  integer, parameter :: nGC_47744 = 2432
  integer, parameter :: nGC_36252 = 2433
  integer, parameter :: nGC_TS_GC_251_Hh = 2434
  integer, parameter :: nGC_34071 = 2435
  integer, parameter :: nGC_34078 = 2436
  integer, parameter :: nGC_34271 = 2437
  integer, parameter :: nGC_34275 = 2438
  integer, parameter :: nGC_32802 = 2439
  integer, parameter :: nGC_3763 = 2440
  integer, parameter :: nGC_40435 = 2441
  integer, parameter :: nGC_37513 = 2442
  integer, parameter :: nGC_37511 = 2443
  integer, parameter :: nGC_33042 = 2444
  integer, parameter :: nGC_33045 = 2445
  integer, parameter :: nGC_33048 = 2446
  integer, parameter :: nGC_22720 = 2447
  integer, parameter :: nGC_44190 = 2448
  integer, parameter :: nGC_45117 = 2449
  integer, parameter :: nGC_32484 = 2450
  integer, parameter :: nGC_40989 = 2451
  integer, parameter :: nGC_22384 = 2452
  integer, parameter :: nGC_22385 = 2453
  integer, parameter :: nGC_22386 = 2454
  integer, parameter :: nGC_22387 = 2455
  integer, parameter :: nGC_22380 = 2456
  integer, parameter :: nGC_22381 = 2457
  integer, parameter :: nGC_22382 = 2458
  integer, parameter :: nGC_22383 = 2459
  integer, parameter :: nGC_22388 = 2460
  integer, parameter :: nGC_22389 = 2461
  integer, parameter :: nGC_22472 = 2462
  integer, parameter :: nGC_22473 = 2463
  integer, parameter :: nGC_22470 = 2464
  integer, parameter :: nGC_32157 = 2465
  integer, parameter :: nGC_22476 = 2466
  integer, parameter :: nGC_22474 = 2467
  integer, parameter :: nGC_22475 = 2468
  integer, parameter :: nGC_22478 = 2469
  integer, parameter :: nGC_22479 = 2470
  integer, parameter :: nGC_22270 = 2471
  integer, parameter :: nGC_22271 = 2472
  integer, parameter :: nGC_22272 = 2473
  integer, parameter :: nGC_22275 = 2474
  integer, parameter :: nGC_22276 = 2475
  integer, parameter :: nGC_22277 = 2476
  integer, parameter :: nGC_22278 = 2477
  integer, parameter :: nGC_22279 = 2478
  integer, parameter :: nGC_22498 = 2479
  integer, parameter :: nGC_22499 = 2480
  integer, parameter :: nGC_22492 = 2481
  integer, parameter :: nGC_22497 = 2482
  integer, parameter :: nGC_33523 = 2483
  integer, parameter :: nGC_33528 = 2484
  integer, parameter :: nGC_22014 = 2485
  integer, parameter :: nGC_22015 = 2486
  integer, parameter :: nGC_22016 = 2487
  integer, parameter :: nGC_22017 = 2488
  integer, parameter :: nGC_22010 = 2489
  integer, parameter :: nGC_22011 = 2490
  integer, parameter :: nGC_22012 = 2491
  integer, parameter :: nGC_22013 = 2492
  integer, parameter :: nGC_22018 = 2493
  integer, parameter :: nGC_22019 = 2494
  integer, parameter :: nGC_33859 = 2495
  integer, parameter :: nGC_22724 = 2496
  integer, parameter :: nGC_22721 = 2497
  integer, parameter :: nGC_36648 = 2498
  integer, parameter :: nGC_36649 = 2499
  integer, parameter :: nGC_36488 = 2500
  integer, parameter :: nGC_22128 = 2501
  integer, parameter :: nGC_22129 = 2502
  integer, parameter :: nGC_22658 = 2503
  integer, parameter :: nGC_22120 = 2504
  integer, parameter :: nGC_22121 = 2505
  integer, parameter :: nGC_22122 = 2506
  integer, parameter :: nGC_22651 = 2507
  integer, parameter :: nGC_22656 = 2508
  integer, parameter :: nGC_22125 = 2509
  integer, parameter :: nGC_22126 = 2510
  integer, parameter :: nGC_22127 = 2511
  integer, parameter :: nGC_53977 = 2512
  integer, parameter :: nGC_22652 = 2513
  integer, parameter :: nGC_34641 = 2514
  integer, parameter :: nGC_53978 = 2515
  integer, parameter :: nGC_35208 = 2516
  integer, parameter :: nGC_22123 = 2517
  integer, parameter :: nGC_22124 = 2518
  integer, parameter :: nGC_35205 = 2519
  integer, parameter :: nGC_22657 = 2520
  integer, parameter :: nGC_22655 = 2521
  integer, parameter :: nGC_TS_GC_245_Hh = 2522
  integer, parameter :: nGC_41516 = 2523
  integer, parameter :: nGC_35065 = 2524
  integer, parameter :: nGC_35067 = 2525
  integer, parameter :: nGC_35066 = 2526
  integer, parameter :: nGC_38239 = 2527
  integer, parameter :: nGC_33218 = 2528
  integer, parameter :: nGC_34643 = 2529
  integer, parameter :: nGC_50581 = 2530
  integer, parameter :: nGC_22516 = 2531
  integer, parameter :: nGC_33035 = 2532
  integer, parameter :: nGC_22510 = 2533
  integer, parameter :: nGC_32490 = 2534
  integer, parameter :: nGC_37306 = 2535
  integer, parameter :: nGC_22397 = 2536
  integer, parameter :: nGC_22396 = 2537
  integer, parameter :: nGC_22395 = 2538
  integer, parameter :: nGC_22394 = 2539
  integer, parameter :: nGC_22393 = 2540
  integer, parameter :: nGC_22391 = 2541
  integer, parameter :: nGC_32460 = 2542
  integer, parameter :: nGC_22399 = 2543
  integer, parameter :: nGC_22398 = 2544
  integer, parameter :: nGC_33441 = 2545
  integer, parameter :: nGC_22464 = 2546
  integer, parameter :: nGC_32145 = 2547
  integer, parameter :: nGC_22461 = 2548
  integer, parameter :: nGC_22463 = 2549
  integer, parameter :: nGC_41397 = 2550
  integer, parameter :: nGC_22469 = 2551
  integer, parameter :: nGC_22468 = 2552
  integer, parameter :: nGC_22263 = 2553
  integer, parameter :: nGC_22454 = 2554
  integer, parameter :: nGC_22261 = 2555
  integer, parameter :: nGC_22265 = 2556
  integer, parameter :: nGC_22269 = 2557
  integer, parameter :: nGC_22268 = 2558
  integer, parameter :: nGC_22489 = 2559
  integer, parameter :: nGC_44702 = 2560
  integer, parameter :: nGC_22480 = 2561
  integer, parameter :: nGC_32131 = 2562
  integer, parameter :: nGC_33534 = 2563
  integer, parameter :: nGC_33537 = 2564
  integer, parameter :: nGC_36016 = 2565
  integer, parameter :: nGC_22007 = 2566
  integer, parameter :: nGC_22006 = 2567
  integer, parameter :: nGC_22004 = 2568
  integer, parameter :: nGC_22003 = 2569
  integer, parameter :: nGC_22001 = 2570
  integer, parameter :: nGC_22009 = 2571
  integer, parameter :: nGC_22008 = 2572
  integer, parameter :: nGC_22731 = 2573
  integer, parameter :: nGC_22737 = 2574
  integer, parameter :: nGC_48941 = 2575
  integer, parameter :: nGC_36789 = 2576
  integer, parameter :: nGC_36788 = 2577
  integer, parameter :: nGC_32316 = 2578
  integer, parameter :: nGC_32310 = 2579
  integer, parameter :: nGC_36304 = 2580
  integer, parameter :: nGC_36306 = 2581
  integer, parameter :: nGC_TS_GC_384_Hh = 2582
  integer, parameter :: nGC_58907 = 2583
  integer, parameter :: nGC_22648 = 2584
  integer, parameter :: nGC_22645 = 2585
  integer, parameter :: nGC_22644 = 2586
  integer, parameter :: nGC_22647 = 2587
  integer, parameter :: nGC_22130 = 2588
  integer, parameter :: nGC_22137 = 2589
  integer, parameter :: nGC_22136 = 2590
  integer, parameter :: nGC_22135 = 2591
  integer, parameter :: nGC_22134 = 2592
  integer, parameter :: nGC_38330 = 2593
  integer, parameter :: nGC_35278 = 2594
  integer, parameter :: nGC_35275 = 2595
  integer, parameter :: nGC_33983 = 2596
  integer, parameter :: nGC_38683 = 2597
  integer, parameter :: nGC_38684 = 2598
  integer, parameter :: nGC_34254 = 2599
  integer, parameter :: nGC_35301 = 2600
  integer, parameter :: nGC_33209 = 2601
  integer, parameter :: nGC_33204 = 2602
  integer, parameter :: nGC_TS_GC_272_Hh = 2603
  integer, parameter :: nGC_33337 = 2604
  integer, parameter :: nGC_33335 = 2605
  integer, parameter :: nGC_34320 = 2606
  integer, parameter :: nGC_34322 = 2607
  integer, parameter :: nGC_34324 = 2608
  integer, parameter :: nGC_32794 = 2609
  integer, parameter :: nGC_32795 = 2610
  integer, parameter :: nGC_33974 = 2611
  integer, parameter :: nGC_32551 = 2612
  integer, parameter :: nGC_37790 = 2613
  integer, parameter :: nGC_34920 = 2614
  integer, parameter :: nGC_49056 = 2615
  integer, parameter :: nGC_49053 = 2616
  integer, parameter :: nGC_37224 = 2617
  integer, parameter :: nGC_22501 = 2618
  integer, parameter :: nGC_60125 = 2619
  integer, parameter :: nGC_21961 = 2620
  integer, parameter :: nGC_57783 = 2621
  integer, parameter :: nGC_57890 = 2622
  integer, parameter :: nGC_60058 = 2623
  integer, parameter :: nGC_1579 = 2624
  integer, parameter :: nGC_32173 = 2625
  integer, parameter :: nGC_32176 = 2626
  integer, parameter :: nGC_22254 = 2627
  integer, parameter :: nGC_22252 = 2628
  integer, parameter :: nGC_22253 = 2629
  integer, parameter :: nGC_22250 = 2630
  integer, parameter :: nGC_22251 = 2631
  integer, parameter :: nGC_40011 = 2632
  integer, parameter :: nGC_22258 = 2633
  integer, parameter :: nGC_22259 = 2634
  integer, parameter :: nGC_47539 = 2635
  integer, parameter :: nGC_33549 = 2636
  integer, parameter :: nGC_33545 = 2637
  integer, parameter :: nGC_22707 = 2638
  integer, parameter :: nGC_22038 = 2639
  integer, parameter :: nGC_22039 = 2640
  integer, parameter :: nGC_22032 = 2641
  integer, parameter :: nGC_22033 = 2642
  integer, parameter :: nGC_22030 = 2643
  integer, parameter :: nGC_33837 = 2644
  integer, parameter :: nGC_22036 = 2645
  integer, parameter :: nGC_22037 = 2646
  integer, parameter :: nGC_22034 = 2647
  integer, parameter :: nGC_22035 = 2648
  integer, parameter :: nGC_TS_GC_244_Hh = 2649
  integer, parameter :: nGC_32302 = 2650
  integer, parameter :: nGC_34541 = 2651
  integer, parameter :: nGC_35019 = 2652
  integer, parameter :: nGC_36461 = 2653
  integer, parameter :: nGC_36464 = 2654
  integer, parameter :: nGC_22108 = 2655
  integer, parameter :: nGC_22109 = 2656
  integer, parameter :: nGC_22106 = 2657
  integer, parameter :: nGC_22107 = 2658
  integer, parameter :: nGC_22105 = 2659
  integer, parameter :: nGC_22102 = 2660
  integer, parameter :: nGC_22103 = 2661
  integer, parameter :: nGC_22101 = 2662
  integer, parameter :: nGC_57774 = 2663
  integer, parameter :: nGC_39632 = 2664
  integer, parameter :: nGC_39633 = 2665
  integer, parameter :: nGC_48714 = 2666
  integer, parameter :: nGC_14653 = 2667
  integer, parameter :: nGC_9303 = 2668
  integer, parameter :: nGC_38327 = 2669
  integer, parameter :: nGC_32947 = 2670
  integer, parameter :: nGC_32946 = 2671
  integer, parameter :: nGC_48822 = 2672
  integer, parameter :: nGC_39983 = 2673
  integer, parameter :: nGC_35084 = 2674
  integer, parameter :: nGC_49287 = 2675
  integer, parameter :: nGC_39851 = 2676
  integer, parameter :: nGC_39853 = 2677
  integer, parameter :: nGC_35886 = 2678
  integer, parameter :: nGC_34134 = 2679
  integer, parameter :: nGC_34683 = 2680
  integer, parameter :: nGC_32784 = 2681
  integer, parameter :: nGC_32787 = 2682
  integer, parameter :: nGC_32541 = 2683
  integer, parameter :: nGC_32547 = 2684
  integer, parameter :: nGC_32548 = 2685
  integer, parameter :: nGC_33016 = 2686
  integer, parameter :: nGC_37256 = 2687
  integer, parameter :: nGC_57407 = 2688
  integer, parameter :: nGC_32169 = 2689
  integer, parameter :: nGC_32165 = 2690
  integer, parameter :: nGC_32160 = 2691
  integer, parameter :: nGC_22249 = 2692
  integer, parameter :: nGC_22241 = 2693
  integer, parameter :: nGC_22242 = 2694
  integer, parameter :: nGC_22245 = 2695
  integer, parameter :: nGC_22244 = 2696
  integer, parameter :: nGC_22247 = 2697
  integer, parameter :: nGC_22246 = 2698
  integer, parameter :: nGC_TS_GC_254_Hh = 2699
  integer, parameter :: nGC_22029 = 2700
  integer, parameter :: nGC_22028 = 2701
  integer, parameter :: nGC_22025 = 2702
  integer, parameter :: nGC_22027 = 2703
  integer, parameter :: nGC_22026 = 2704
  integer, parameter :: nGC_22021 = 2705
  integer, parameter :: nGC_22020 = 2706
  integer, parameter :: nGC_22023 = 2707
  integer, parameter :: nGC_22022 = 2708
  integer, parameter :: nGC_TS_GC_253_Hl = 2709
  integer, parameter :: nGC_22186 = 2710
  integer, parameter :: nGC_22184 = 2711
  integer, parameter :: nGC_22185 = 2712
  integer, parameter :: nGC_36676 = 2713
  integer, parameter :: nGC_22111 = 2714
  integer, parameter :: nGC_22110 = 2715
  integer, parameter :: nGC_22113 = 2716
  integer, parameter :: nGC_22115 = 2717
  integer, parameter :: nGC_22114 = 2718
  integer, parameter :: nGC_22117 = 2719
  integer, parameter :: nGC_22119 = 2720
  integer, parameter :: nGC_22118 = 2721
  integer, parameter :: nGC_58184 = 2722
  integer, parameter :: nGC_36214 = 2723
  integer, parameter :: nGC_34232 = 2724
  integer, parameter :: nGC_34231 = 2725
  integer, parameter :: nGC_34230 = 2726
  integer, parameter :: nGC_34124 = 2727
  integer, parameter :: nGC_33311 = 2728
  integer, parameter :: nGC_49676 = 2729
  integer, parameter :: nGC_34349 = 2730
  integer, parameter :: nGC_34901 = 2731
  integer, parameter :: nGC_34900 = 2732
  integer, parameter :: nGC_34903 = 2733
  integer, parameter :: nGC_34902 = 2734
  integer, parameter :: nGC_32572 = 2735
  integer, parameter :: nGC_34904 = 2736
  integer, parameter :: nGC_33001 = 2737
  integer, parameter :: nGC_37480 = 2738
  integer, parameter :: nGC_32684 = 2739
  integer, parameter :: nGC_58143 = 2740
  integer, parameter :: nGC_22238 = 2741
  integer, parameter :: nGC_32755 = 2742
  integer, parameter :: nGC_32752 = 2743
  integer, parameter :: nGC_22233 = 2744
  integer, parameter :: nGC_41523 = 2745
  integer, parameter :: nGC_41521 = 2746
  integer, parameter :: nGC_33564 = 2747
  integer, parameter :: nGC_22051 = 2748
  integer, parameter :: nGC_36048 = 2749
  integer, parameter :: nGC_22583 = 2750
  integer, parameter :: nGC_33762 = 2751
  integer, parameter :: nGC_22581 = 2752
  integer, parameter :: nGC_22584 = 2753
  integer, parameter :: nGC_22588 = 2754
  integer, parameter :: nGC_33897 = 2755
  integer, parameter :: nGC_22340 = 2756
  integer, parameter :: nGC_22341 = 2757
  integer, parameter :: nGC_22342 = 2758
  integer, parameter :: nGC_22343 = 2759
  integer, parameter :: nGC_22344 = 2760
  integer, parameter :: nGC_22345 = 2761
  integer, parameter :: nGC_22346 = 2762
  integer, parameter :: nGC_22347 = 2763
  integer, parameter :: nGC_22348 = 2764
  integer, parameter :: nGC_22349 = 2765
  integer, parameter :: nGC_22560 = 2766
  integer, parameter :: nGC_22567 = 2767
  integer, parameter :: nGC_32367 = 2768
  integer, parameter :: nGC_35403 = 2769
  integer, parameter :: nGC_32362 = 2770
  integer, parameter :: nGC_32361 = 2771
  integer, parameter :: nGC_32360 = 2772
  integer, parameter :: nGC_58950 = 2773
  integer, parameter :: nGC_22696 = 2774
  integer, parameter :: nGC_42552 = 2775
  integer, parameter :: nGC_33965 = 2776
  integer, parameter :: nGC_42557 = 2777
  integer, parameter :: nGC_22690 = 2778
  integer, parameter :: nGC_22691 = 2779
  integer, parameter :: nGC_22169 = 2780
  integer, parameter :: nGC_22698 = 2781
  integer, parameter :: nGC_35533 = 2782
  integer, parameter :: nGC_35537 = 2783
  integer, parameter :: nGC_32214 = 2784
  integer, parameter :: nGC_59206 = 2785
  integer, parameter :: nGC_34750 = 2786
  integer, parameter :: nGC_34752 = 2787
  integer, parameter :: nGC_38013 = 2788
  integer, parameter :: nGC_38873 = 2789
  integer, parameter :: nGC_38872 = 2790
  integer, parameter :: nGC_38875 = 2791
  integer, parameter :: nGC_38874 = 2792
  integer, parameter :: nGC_22090 = 2793
  integer, parameter :: nGC_4267 = 2794
  integer, parameter :: nGC_32146 = 2795
  integer, parameter :: nGC_22467 = 2796
  integer, parameter :: nGC_34971 = 2797
  integer, parameter :: nGC_34972 = 2798
  integer, parameter :: nGC_37272 = 2799
  integer, parameter :: nGC_37271 = 2800
  integer, parameter :: nGC_54196 = 2801
  integer, parameter :: nGC_45778 = 2802
  integer, parameter :: nGC_22307 = 2803
  integer, parameter :: nGC_32660 = 2804
  integer, parameter :: nGC_TS_GC_381_Hl = 2805
  integer, parameter :: nGC_37616 = 2806
  integer, parameter :: nGC_22267 = 2807
  integer, parameter :: nGC_32182 = 2808
  integer, parameter :: nGC_32187 = 2809
  integer, parameter :: nGC_58018 = 2810
  integer, parameter :: nGC_32742 = 2811
  integer, parameter :: nGC_22229 = 2812
  integer, parameter :: nGC_22226 = 2813
  integer, parameter :: nGC_44031 = 2814
  integer, parameter :: nGC_22223 = 2815
  integer, parameter :: nGC_22221 = 2816
  integer, parameter :: nGC_41515 = 2817
  integer, parameter :: nGC_33572 = 2818
  integer, parameter :: nGC_22204 = 2819
  integer, parameter :: nGC_22353 = 2820
  integer, parameter :: nGC_22352 = 2821
  integer, parameter :: nGC_22357 = 2822
  integer, parameter :: nGC_22356 = 2823
  integer, parameter :: nGC_22354 = 2824
  integer, parameter :: nGC_22359 = 2825
  integer, parameter :: nGC_22358 = 2826
  integer, parameter :: nGC_35436 = 2827
  integer, parameter :: nGC_35437 = 2828
  integer, parameter :: nGC_35434 = 2829
  integer, parameter :: nGC_35435 = 2830
  integer, parameter :: nGC_35438 = 2831
  integer, parameter :: nGC_32359 = 2832
  integer, parameter :: nGC_22688 = 2833
  integer, parameter :: nGC_22685 = 2834
  integer, parameter :: nGC_22684 = 2835
  integer, parameter :: nGC_22175 = 2836
  integer, parameter :: nGC_36182 = 2837
  integer, parameter :: nGC_22171 = 2838
  integer, parameter :: nGC_36180 = 2839
  integer, parameter :: nGC_22179 = 2840
  integer, parameter :: nGC_22164 = 2841
  integer, parameter :: nGC_32224 = 2842
  integer, parameter :: nGC_32225 = 2843
  integer, parameter :: nGC_22165 = 2844
  integer, parameter :: nGC_36987 = 2845
  integer, parameter :: nGC_34741 = 2846
  integer, parameter :: nGC_34740 = 2847
  integer, parameter :: nGC_34218 = 2848
  integer, parameter :: nGC_36520 = 2849
  integer, parameter :: nGC_33693 = 2850
  integer, parameter :: nGC_34105 = 2851
  integer, parameter :: nGC_41309 = 2852
  integer, parameter :: nGC_35766 = 2853
  integer, parameter :: nGC_22417 = 2854
  integer, parameter :: nGC_22163 = 2855
  integer, parameter :: nGC_35964 = 2856
  integer, parameter :: nGC_32519 = 2857
  integer, parameter :: nGC_57981 = 2858
  integer, parameter :: nGC_41723 = 2859
  integer, parameter :: nGC_54187 = 2860
  integer, parameter :: nGC_54186 = 2861
  integer, parameter :: nGC_32422 = 2862
  integer, parameter :: nGC_32429 = 2863
  integer, parameter :: nGC_36044 = 2864
  integer, parameter :: nGC_22327 = 2865
  integer, parameter :: nGC_59112 = 2866
  integer, parameter :: nGC_33177 = 2867
  integer, parameter :: nGC_22281 = 2868
  integer, parameter :: nGC_32430 = 2869
  integer, parameter :: nGC_34323 = 2870
  integer, parameter :: nGC_57446 = 2871
  integer, parameter :: nGC_22212 = 2872
  integer, parameter :: nGC_33804 = 2873
  integer, parameter :: nGC_22294 = 2874
  integer, parameter :: nGC_32730 = 2875
  integer, parameter :: nGC_32731 = 2876
  integer, parameter :: nGC_33803 = 2877
  integer, parameter :: nGC_32738 = 2878
  integer, parameter :: nGC_33289 = 2879
  integer, parameter :: nGC_42126 = 2880
  integer, parameter :: nGC_41114 = 2881
  integer, parameter :: nGC_35022 = 2882
  integer, parameter :: nGC_46196 = 2883
  integer, parameter :: nGC_22432 = 2884
  integer, parameter :: nGC_34937 = 2885
  integer, parameter :: nGC_22296 = 2886
  integer, parameter :: nGC_22297 = 2887
  integer, parameter :: nGC_43934 = 2888
  integer, parameter :: nGC_22216 = 2889
  integer, parameter :: nGC_33984 = 2890
  integer, parameter :: nGC_36466 = 2891
  integer, parameter :: nGC_38170 = 2892
  integer, parameter :: nGC_36467 = 2893
  integer, parameter :: nGC_21991 = 2894
  integer, parameter :: nGC_34938 = 2895
  integer, parameter :: nGC_36468 = 2896
  integer, parameter :: nGC_56576 = 2897
  integer, parameter :: nGC_22326 = 2898
  integer, parameter :: nGC_35439 = 2899
  integer, parameter :: nGC_60072 = 2900
  integer, parameter :: nGC_35302 = 2901
  integer, parameter :: nGC_22200 = 2902
  integer, parameter :: nGC_32648 = 2903
  integer, parameter :: nGC_32649 = 2904
  integer, parameter :: nGC_33744 = 2905
  integer, parameter :: nGC_33745 = 2906
  integer, parameter :: nGC_33742 = 2907
  integer, parameter :: nGC_33743 = 2908
  integer, parameter :: nGC_32720 = 2909
  integer, parameter :: nGC_21954 = 2910
  integer, parameter :: nGC_21955 = 2911
  integer, parameter :: nGC_21956 = 2912
  integer, parameter :: nGC_22325 = 2913
  integer, parameter :: nGC_21950 = 2914
  integer, parameter :: nGC_21951 = 2915
  integer, parameter :: nGC_21952 = 2916
  integer, parameter :: nGC_21953 = 2917
  integer, parameter :: nGC_22366 = 2918
  integer, parameter :: nGC_44113 = 2919
  integer, parameter :: nGC_47540 = 2920
  integer, parameter :: nGC_22363 = 2921
  integer, parameter :: nGC_36181 = 2922
  integer, parameter :: nGC_35035 = 2923
  integer, parameter :: nGC_34444 = 2924
  integer, parameter :: nGC_22280 = 2925
  integer, parameter :: nGC_22368 = 2926
  integer, parameter :: nGC_34528 = 2927
  integer, parameter :: nGC_34233 = 2928
  integer, parameter :: nGC_35834 = 2929
  integer, parameter :: nGC_37154 = 2930
  integer, parameter :: nGC_35832 = 2931
  integer, parameter :: nGC_35833 = 2932
  integer, parameter :: nGC_36704 = 2933
  integer, parameter :: nGC_35936 = 2934
  integer, parameter :: nGC_32646 = 2935
  integer, parameter :: nGC_22256 = 2936
  integer, parameter :: nGC_34921 = 2937
  integer, parameter :: nGC_32647 = 2938
  integer, parameter :: nGC_32716 = 2939
  integer, parameter :: nGC_32717 = 2940
  integer, parameter :: nGC_22483 = 2941
  integer, parameter :: nGC_35938 = 2942
  integer, parameter :: nGC_33513 = 2943
  integer, parameter :: nGC_58735 = 2944
  integer, parameter :: nGC_22149 = 2945
  integer, parameter :: nGC_32495 = 2946
  integer, parameter :: nGC_32151 = 2947
  integer, parameter :: nGC_21949 = 2948
  integer, parameter :: nGC_22371 = 2949
  integer, parameter :: nGC_22373 = 2950
  integer, parameter :: nGC_22372 = 2951
  integer, parameter :: nGC_22375 = 2952
  integer, parameter :: nGC_22364 = 2953
  integer, parameter :: nGC_22376 = 2954
  integer, parameter :: nGC_22400 = 2955
  integer, parameter :: nGC_33867 = 2956
  integer, parameter :: nGC_33866 = 2957
  integer, parameter :: nGC_34125 = 2958
  integer, parameter :: nGC_32506 = 2959
  integer, parameter :: nGC_34281 = 2960
  integer, parameter :: nGC_35580 = 2961
  integer, parameter :: nGC_35581 = 2962
  integer, parameter :: nGC_33287 = 2963
  integer, parameter :: nGC_34990 = 2964
  integer, parameter :: nGC_34991 = 2965
  integer, parameter :: nGC_22490 = 2966
  integer, parameter :: nGC_37361 = 2967
  integer, parameter :: nGC_37362 = 2968
  integer, parameter :: nGC_22493 = 2969
  integer, parameter :: nGC_22494 = 2970
  integer, parameter :: nGC_22496 = 2971
  integer, parameter :: nGC_22495 = 2972
  integer, parameter :: nGC_32320 = 2973
  integer, parameter :: nGC_22098 = 2974
  integer, parameter :: nGC_22099 = 2975
  integer, parameter :: nGC_22094 = 2976
  integer, parameter :: nGC_22095 = 2977
  integer, parameter :: nGC_32465 = 2978
  integer, parameter :: nGC_22097 = 2979
  integer, parameter :: nGC_34883 = 2980
  integer, parameter :: nGC_22091 = 2981
  integer, parameter :: nGC_22092 = 2982
  integer, parameter :: nGC_22217 = 2983
  integer, parameter :: nGC_21972 = 2984
  integer, parameter :: nGC_21962 = 2985
  integer, parameter :: nGC_33393 = 2986
  integer, parameter :: nGC_21971 = 2987
  integer, parameter :: nGC_22159 = 2988
  integer, parameter :: nGC_22158 = 2989
  integer, parameter :: nGC_22155 = 2990
  integer, parameter :: nGC_22154 = 2991
  integer, parameter :: nGC_22157 = 2992
  integer, parameter :: nGC_22156 = 2993
  integer, parameter :: nGC_22300 = 2994
  integer, parameter :: nGC_22152 = 2995
  integer, parameter :: nGC_32598 = 2996
  integer, parameter :: nGC_22070 = 2997
  integer, parameter :: nGC_36088 = 2998
  integer, parameter :: nGC_45179 = 2999
  integer, parameter :: nGC_22071 = 3000
  integer, parameter :: nGC_22315 = 3001
  integer, parameter :: nGC_39984 = 3002
  integer, parameter :: nGC_35606 = 3003
  integer, parameter :: nGC_35799 = 3004
  integer, parameter :: nGC_42128 = 3005
  integer, parameter :: nGC_42129 = 3006
  integer, parameter :: nGC_46197 = 3007
  integer, parameter :: nGC_43635 = 3008
  integer, parameter :: nGC_21992 = 3009
  integer, parameter :: nGC_21994 = 3010
  integer, parameter :: nGC_21995 = 3011
  integer, parameter :: nGC_36790 = 3012
  integer, parameter :: nGC_36791 = 3013
  integer, parameter :: nGC_35835 = 3014
  integer, parameter :: nGC_44188 = 3015
  integer, parameter :: nGC_22089 = 3016
  integer, parameter :: nGC_22088 = 3017
  integer, parameter :: nGC_22087 = 3018
  integer, parameter :: nGC_22086 = 3019
  integer, parameter :: nGC_22085 = 3020
  integer, parameter :: nGC_22084 = 3021
  integer, parameter :: nGC_22083 = 3022
  integer, parameter :: nGC_22080 = 3023
  integer, parameter :: nGC_32670 = 3024
  integer, parameter :: nGC_22045 = 3025
  integer, parameter :: nGC_43671 = 3026
  integer, parameter :: nGC_22319 = 3027
  integer, parameter :: nGC_22318 = 3028
  integer, parameter :: nGC_22317 = 3029
  integer, parameter :: nGC_22316 = 3030
  integer, parameter :: nGC_35354 = 3031
  integer, parameter :: nGC_35353 = 3032
  integer, parameter :: nGC_36215 = 3033
  integer, parameter :: nGC_33649 = 3034
  integer, parameter :: nGC_22410 = 3035
  integer, parameter :: nGC_22411 = 3036
  integer, parameter :: nGC_22412 = 3037
  integer, parameter :: nGC_22413 = 3038
  integer, parameter :: nGC_36727 = 3039
  integer, parameter :: nGC_22415 = 3040
  integer, parameter :: nGC_22416 = 3041
  integer, parameter :: nGC_39380 = 3042
  integer, parameter :: nGC_22418 = 3043
  integer, parameter :: nGC_22414 = 3044
  integer, parameter :: nGC_22093 = 3045
  integer, parameter :: nGC_57454 = 3046
  integer, parameter :: nGC_33805 = 3047
  integer, parameter :: nGC_32147 = 3048
  integer, parameter :: nGC_44189 = 3049
  integer, parameter :: nGC_21973 = 3050
  integer, parameter :: nGC_32925 = 3051
  integer, parameter :: nGC_49562 = 3052
  integer, parameter :: nGC_22419 = 3053
  integer, parameter :: nGC_22308 = 3054
  integer, parameter :: nGC_33709 = 3055
  integer, parameter :: nGC_55196 = 3056
  integer, parameter :: nGC_34234 = 3057
  integer, parameter :: nGC_22309 = 3058
  integer, parameter :: nGC_22322 = 3059
  integer, parameter :: nGC_22323 = 3060
  integer, parameter :: nGC_22320 = 3061
  integer, parameter :: nGC_22321 = 3062
  integer, parameter :: nGC_32886 = 3063
  integer, parameter :: nGC_32887 = 3064
  integer, parameter :: nGC_32884 = 3065
  integer, parameter :: nGC_32885 = 3066
  integer, parameter :: nGC_22328 = 3067
  integer, parameter :: nGC_32948 = 3068
  integer, parameter :: nGC_58903 = 3069
  integer, parameter :: nGC_32324 = 3070
  integer, parameter :: nGC_22138 = 3071
  integer, parameter :: nGC_35775 = 3072
  integer, parameter :: nGC_32286 = 3073
  integer, parameter :: nGC_35776 = 3074
  integer, parameter :: nGC_32194 = 3075
  integer, parameter :: nGC_22295 = 3076
  integer, parameter :: nGC_22257 = 3077
  integer, parameter :: nGC_39237 = 3078
  integer, parameter :: nGC_33347 = 3079
  integer, parameter :: nGC_57852 = 3080
  integer, parameter :: nGC_33345 = 3081
  integer, parameter :: nGC_35380 = 3082
  integer, parameter :: nGC_34092 = 3083
  integer, parameter :: nGC_22339 = 3084
  integer, parameter :: nGC_39238 = 3085
  integer, parameter :: nGC_39239 = 3086
  integer, parameter :: nGC_41634 = 3087
  integer, parameter :: nGC_37512 = 3088
  integer, parameter :: nGC_32261 = 3089
  integer, parameter :: nGC_34715 = 3090
  integer, parameter :: nGC_35548 = 3091
  integer, parameter :: nGC_22303 = 3092
  integer, parameter :: nGC_33667 = 3093
  integer, parameter :: nGC_22334 = 3094
  integer, parameter :: nGC_35377 = 3095
  integer, parameter :: nGC_22336 = 3096
  integer, parameter :: nGC_35069 = 3097
  integer, parameter :: nGC_35068 = 3098
  integer, parameter :: nGC_32893 = 3099
  integer, parameter :: nGC_53384 = 3100
  integer, parameter :: nGC_22338 = 3101
  integer, parameter :: nGC_22482 = 3102
  integer, parameter :: nGC_35379 = 3103
  integer, parameter :: nGC_34162 = 3104
  integer, parameter :: nGC_34161 = 3105
  integer, parameter :: nGC_35497 = 3106
  integer, parameter :: nGC_35700 = 3107
  integer, parameter :: nGC_41522 = 3108
  integer, parameter :: nGC_22430 = 3109
  integer, parameter :: nGC_22431 = 3110
  integer, parameter :: nGC_32389 = 3111
  integer, parameter :: nGC_22255 = 3112
  integer, parameter :: nGC_34552 = 3113
  integer, parameter :: nGC_34553 = 3114
  integer, parameter :: nGC_22438 = 3115
  integer, parameter :: nGC_50429 = 3116
  integer, parameter :: nGC_57185 = 3117
  integer, parameter :: nGC_35393 = 3118
  integer, parameter :: nGC_38298 = 3119
  integer, parameter :: nGC_32871 = 3120
  integer, parameter :: nGC_22337 = 3121
  integer, parameter :: nGC_32303 = 3122
  integer, parameter :: nGC_32874 = 3123
  integer, parameter :: nGC_36169 = 3124
  integer, parameter :: nGC_32614 = 3125
  integer, parameter :: nGC_35551 = 3126
  integer, parameter :: nGC_35550 = 3127
  integer, parameter :: nGC_35553 = 3128
  integer, parameter :: nGC_35552 = 3129
  integer, parameter :: nGC_22192 = 3130
  integer, parameter :: nGC_33405 = 3131
  integer, parameter :: nGC_34701 = 3132
  integer, parameter :: nGC_22429 = 3133
  integer, parameter :: nGC_22428 = 3134
  integer, parameter :: nGC_36677 = 3135
  integer, parameter :: nGC_33763 = 3136
  integer, parameter :: nGC_34155 = 3137
  integer, parameter :: nGC_22420 = 3138
  integer, parameter :: nGC_22423 = 3139
  integer, parameter :: nGC_22422 = 3140
  integer, parameter :: nGC_22425 = 3141
  integer, parameter :: nGC_22424 = 3142
  integer, parameter :: nGC_22427 = 3143
  integer, parameter :: nGC_22426 = 3144
  integer, parameter :: nGC_35018 = 3145
  integer, parameter :: nGC_58208 = 3146
  integer, parameter :: nGC_34543 = 3147
  integer, parameter :: nGC_34542 = 3148
  integer, parameter :: nGC_41695 = 3149
  integer, parameter :: nGC_33794 = 3150
  integer, parameter :: nGC_35498 = 3151
  integer, parameter :: nGC_35499 = 3152
  integer, parameter :: nGC_22491 = 3153
  integer, parameter :: nGC_35836 = 3154
  integer, parameter :: nGC_57796 = 3155
  integer, parameter :: nGC_60371 = 3156
  integer, parameter :: nGC_33806 = 3157
  integer, parameter :: nGC_33346 = 3158
  integer, parameter :: nGC_35777 = 3159
  integer, parameter :: nGC_46181 = 3160
  integer, parameter :: nGC_58696 = 3161
  integer, parameter :: nGC_35355 = 3162
  integer, parameter :: nGC_57962 = 3163
  integer, parameter :: nGC_33807 = 3164
  integer, parameter :: nGC_33288 = 3165
  integer, parameter :: nGC_35937 = 3166
  integer, parameter :: nGC_59874 = 3167
  integer, parameter :: nGC_33668 = 3168
  integer, parameter :: nGC_35549 = 3169
  integer, parameter :: nGC_57692 = 3170
  integer, parameter :: nGC_33669 = 3171
  integer, parameter :: nGC_57690 = 3172
  integer, parameter :: nGC_57545 = 3173
  integer, parameter :: nGC_35582 = 3174
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
