!******************************************************************************!
!                                                                              !
!    fill_couplings1.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings1.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-10 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl1()
    coupl(nGC_21921) = -6d0*ca**2d0*cima*sa**2d0
    coupl(nGC_21920) = -3d0*cima*sa**4d0
    coupl(nGC_21922) = -6d0*ca**2d0*cima*sa**2d0
    coupl(nGC_21760) = -cima*(ca - sa)*(ca + sa)*(cb - sb)*(cb + sb)/2d0
    coupl(nGC_68) = -2d0*cb**4d0*cima*l1 - 4d0*cb**2d0*cima*l3*sb**2d0 - 4d0*cb&
                    **2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*sb**2d0 - 2d0* &
                    cima*l2*sb**4d0
    coupl(nGC_21649) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*( &
                       cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_21767) = -cima*(ca**2d0*cb**2d0 - ca**2d0*sb**2d0 + 2d0*ca*cb*sa*&
                       sb - cb**2d0*sa**2d0 + sa**2d0*sb**2d0)
    coupl(nGC_21811) = -sqrt(2d0)*(cb*ym2 - sb*ym1)/2d0
    coupl(nGC_21813) = -sqrt(2d0)*sb/2d0
    coupl(nGC_21928) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
    coupl(nGC_21681) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
    coupl(nGC_21923) = 12d0*ca*cima*sa*(ca**2d0*l1 - ca**2d0*l3 - ca**2d0*l4 - &
                       ca**2d0*l5 - l2*sa**2d0 + l3*sa**2d0 + l4*sa**2d0 + l5* &
                       sa**2d0)
    coupl(nGC_21787) = -ca**2d0*cima*sb**2d0
    coupl(nGC_21786) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
    coupl(nGC_20804) = cima*ee**2d0*(cb*vev2 - sb*vev1)/cw
    coupl(nGC_21789) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
    coupl(nGC_300) = -ca*cb**2d0*cima*l3*vev2 - ca*cb**2d0*cima*l4*vev2 + ca*cb&
                     **2d0*cima*l5*vev2 - ca*cb*cima*ee**2d0*sb*vev1/(2d0*sw** &
                     2d0) - 2d0*ca*cb*cima*l5*sb*vev1 - ca*cb*cima*ee**2d0*sb* &
                     vev1/(2d0*cw**2d0) - ca*cima*ee**2d0*sb**2d0*vev2/(2d0*sw &
                     **2d0) - ca*cima*l2*sb**2d0*vev2 - ca*cima*ee**2d0*sb**2d0&
                     *vev2/(2d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa*vev1/(2d0*sw&
                     **2d0) + cb**2d0*cima*l1*sa*vev1 + cb**2d0*cima*ee**2d0*sa&
                     *vev1/(2d0*cw**2d0) + cb*cima*ee**2d0*sa*sb*vev2/(2d0*sw**&
                     2d0) + 2d0*cb*cima*l5*sa*sb*vev2 + cb*cima*ee**2d0*sa*sb* &
                     vev2/(2d0*cw**2d0) + cima*l3*sa*sb**2d0*vev1 + cima*l4*sa*&
                     sb**2d0*vev1 - cima*l5*sa*sb**2d0*vev1
    coupl(nGC_21788) = 2d0*cima*(2d0*ca**2d0*cb*l5*sb - ca*cb**2d0*l2*sa + ca* &
                       cb**2d0*l3*sa + ca*cb**2d0*l4*sa - ca*cb**2d0*l5*sa + ca&
                       *l1*sa*sb**2d0 - ca*l3*sa*sb**2d0 - ca*l4*sa*sb**2d0 +  &
                       ca*l5*sa*sb**2d0 - 2d0*cb*l5*sa**2d0*sb)
    coupl(nGC_20806) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_306) = cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) - cb**3d0*l4*vev2/2d0  &
                      + cb**3d0*l5*vev2/2d0 - cb**2d0*ee**2d0*sb*vev1/(4d0*sw**&
                     2d0) + cb**2d0*l4*sb*vev1/2d0 - cb**2d0*l5*sb*vev1/2d0 +  &
                     cb*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) - cb*l4*sb**2d0*vev2&
                     /2d0 + cb*l5*sb**2d0*vev2/2d0 - ee**2d0*sb**3d0*vev1/(4d0*&
                     sw**2d0) + l4*sb**3d0*vev1/2d0 - l5*sb**3d0*vev1/2d0
    coupl(nGC_20776) = -cima*sb
    coupl(nGC_21491) = -cima*sb
    coupl(nGC_21490) = -cb*cima
    coupl(nGC_21493) = cb*cima
    coupl(nGC_21492) = cima*(cb*yup2 - sb*yup1)
    coupl(nGC_21495) = -2d0*cima*cw*ee/sw**2d0
    coupl(nGC_21494) = cima*sb
    coupl(nGC_21497) = 2d0*cima*cw*ee/sw
    coupl(nGC_74) = -2d0*cb**4d0*cima*l5 - 2d0*cb**2d0*cima*l1*sb**2d0 - 2d0*cb&
                    **2d0*cima*l2*sb**2d0 + 4d0*cb**2d0*cima*l3*sb**2d0 + 4d0* &
                    cb**2d0*cima*l4*sb**2d0 - 2d0*cima*l5*sb**4d0
    coupl(nGC_21499) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
    coupl(nGC_21498) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw**2d0)
    coupl(nGC_305) = cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) + cb**3d0*l4*vev2/2d0  &
                      - cb**3d0*l5*vev2/2d0 - cb**2d0*ee**2d0*sb*vev1/(4d0*sw**&
                     2d0) - cb**2d0*l4*sb*vev1/2d0 + cb**2d0*l5*sb*vev1/2d0 +  &
                     cb*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) + cb*l4*sb**2d0*vev2&
                     /2d0 - cb*l5*sb**2d0*vev2/2d0 - ee**2d0*sb**3d0*vev1/(4d0*&
                     sw**2d0) - l4*sb**3d0*vev1/2d0 + l5*sb**3d0*vev1/2d0
    coupl(nGC_21547) = cima*ee*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_21546) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_309) = ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0*  &
                     cima*l1*vev1 + ca*cb*cima*ee**2d0*sb*vev2/(4d0*sw**2d0) - &
                     ca*cb*cima*l4*sb*vev2 - ca*cb*cima*l5*sb*vev2 - ca*cima*l3&
                     *sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2 + cb*cima*ee**2d0*&
                     sa*sb*vev1/(4d0*sw**2d0) - cb*cima*l4*sa*sb*vev1 - cb*cima&
                     *l5*sa*sb*vev1 + cima*ee**2d0*sa*sb**2d0*vev2/(4d0*sw**2d0&
                     ) - cima*l2*sa*sb**2d0*vev2
    coupl(nGC_21544) = -4d0*cima*ee**2d0*(cb**2d0 + sb**2d0)
    coupl(nGC_232) = cb*cima*ee**2d0*vev2/(2d0*cw) - cima*ee**2d0*sb*vev1/(2d0*&
                     cw)
    coupl(nGC_233) = -ca**3d0*cima*l3*vev2 - ca**3d0*cima*l4*vev2 - ca**3d0*   &
                     cima*l5*vev2 + 3d0*ca**2d0*cima*l1*sa*vev1 - 2d0*ca**2d0* &
                     cima*l3*sa*vev1 - 2d0*ca**2d0*cima*l4*sa*vev1 - 2d0*ca**  &
                     2d0*cima*l5*sa*vev1 - 3d0*ca*cima*l2*sa**2d0*vev2 + 2d0*ca&
                     *cima*l3*sa**2d0*vev2 + 2d0*ca*cima*l4*sa**2d0*vev2 + 2d0*&
                     ca*cima*l5*sa**2d0*vev2 + cima*l3*sa**3d0*vev1 + cima*l4* &
                     sa**3d0*vev1 + cima*l5*sa**3d0*vev1
    coupl(nGC_230) = cb**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cb**2d0*cima*&
                     ee**2d0 + cb**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0) +    &
                     cima*cw**2d0*ee**2d0*sb**2d0/(2d0*sw**2d0) + cima*ee**2d0*&
                     sb**2d0 + cima*ee**2d0*sb**2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_231) = -cb*cima*ee**2d0*vev2/(2d0*cw) + cima*ee**2d0*sb*vev1/(2d0&
                     *cw)
    coupl(nGC_236) = -ca**3d0*cima*l3*vev1 - ca**3d0*cima*l4*vev1 - ca**3d0*   &
                     cima*l5*vev1 - 3d0*ca**2d0*cima*l2*sa*vev2 + 2d0*ca**2d0* &
                     cima*l3*sa*vev2 + 2d0*ca**2d0*cima*l4*sa*vev2 + 2d0*ca**  &
                     2d0*cima*l5*sa*vev2 - 3d0*ca*cima*l1*sa**2d0*vev1 + 2d0*ca&
                     *cima*l3*sa**2d0*vev1 + 2d0*ca*cima*l4*sa**2d0*vev1 + 2d0*&
                     ca*cima*l5*sa**2d0*vev1 - cima*l3*sa**3d0*vev2 - cima*l4* &
                     sa**3d0*vev2 - cima*l5*sa**3d0*vev2
    coupl(nGC_237) = -cb*cima*ee**2d0*vev1/(2d0*cw) - cima*ee**2d0*sb*vev2/(2d0&
                     *cw)
    coupl(nGC_234) = -3d0*ca**3d0*cima*l2*vev2 + 3d0*ca**2d0*cima*l3*sa*vev1 + &
                     3d0*ca**2d0*cima*l4*sa*vev1 + 3d0*ca**2d0*cima*l5*sa*vev1 &
                      - 3d0*ca*cima*l3*sa**2d0*vev2 - 3d0*ca*cima*l4*sa**2d0*  &
                     vev2 - 3d0*ca*cima*l5*sa**2d0*vev2 + 3d0*cima*l1*sa**3d0* &
                     vev1
    coupl(nGC_21140) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw)
    coupl(nGC_79) = -ca*ee**2d0*sb/(4d0*sw**2d0) + cb*ee**2d0*sa/(4d0*sw**2d0)
    coupl(nGC_238) = cb*cima*ee**2d0*vev1/(2d0*cw) + cima*ee**2d0*sb*vev2/(2d0*&
                     cw)
    coupl(nGC_239) = -cb**3d0*ee**2d0*vev2/(4d0*cw**2d0) + cb**2d0*ee**2d0*sb* &
                     vev1/(4d0*cw**2d0) - cb*ee**2d0*sb**2d0*vev2/(4d0*cw**2d0 &
                     ) + ee**2d0*sb**3d0*vev1/(4d0*cw**2d0)
    coupl(nGC_21149) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_78) = -ca*ee**2d0*sb/(2d0*sw**2d0) + cb*ee**2d0*sa/(2d0*sw**2d0)
    coupl(nGC_73) = -cb**4d0*cima*l3 - cb**4d0*cima*l4 - cb**4d0*cima*l5 - 3d0*&
                    cb**2d0*cima*l1*sb**2d0 - 3d0*cb**2d0*cima*l2*sb**2d0 + 4d0&
                    *cb**2d0*cima*l3*sb**2d0 + 4d0*cb**2d0*cima*l4*sb**2d0 +   &
                    4d0*cb**2d0*cima*l5*sb**2d0 - cima*l3*sb**4d0 - cima*l4*sb &
                    **4d0 - cima*l5*sb**4d0
    coupl(nGC_21002) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw)
    coupl(nGC_21003) = cima*ee**2d0*sb/(2d0*sw)
    coupl(nGC_21000) = -cb*cima*ee**2d0/(2d0*sw)
    coupl(nGC_21001) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw**2d0)
    coupl(nGC_21006) = 2d0*cima*ee**2d0/sw
    coupl(nGC_21007) = 4d0*cima*cw*ee**2d0/sw
    coupl(nGC_21004) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/sw
    coupl(nGC_21005) = -2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_21008) = cima*ee*(cb**2d0 + sb**2d0)
    coupl(nGC_20848) = -ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
    coupl(nGC_589) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw**&
                     2d0)
    coupl(nGC_587) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*vev2  &
                     )/(cw**2d0*sw**2d0)
    coupl(nGC_20845) = ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
    coupl(nGC_20844) = -ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw**2d0*sw)
    coupl(nGC_20847) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
    coupl(nGC_20846) = ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw*sw**2d0)
    coupl(nGC_348) = -sqrt(2d0)*ca*cima*ydo1/2d0 - sqrt(2d0)*cima*sa*ydo2/2d0
    coupl(nGC_349) = -cb*cima*ydo1 - cima*sb*ydo2
    coupl(nGC_346) = -cb*cima*ydo2 + cima*sb*ydo1
    coupl(nGC_347) = -sqrt(2d0)*cb*ydo2/2d0 + sqrt(2d0)*sb*ydo1/2d0
    coupl(nGC_344) = -sqrt(2d0)*cb*yb2/2d0 + sqrt(2d0)*sb*yd13x3/2d0
    coupl(nGC_345) = -sqrt(2d0)*ca*cima*ydo2/2d0 + sqrt(2d0)*cima*sa*ydo1/2d0
    coupl(nGC_342) = -sqrt(2d0)*ca*cima*yb2/2d0 + sqrt(2d0)*cima*sa*yd13x3/2d0
    coupl(nGC_343) = -cb*cima*yb2 + cima*sb*yd13x3
    coupl(nGC_340) = -cb*cima*yd13x3 - cima*sb*yb2
    coupl(nGC_567) = -cima*(ca*cb**2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 2d0*ca*cb&
                     *l2*sb*vev2 - 2d0*ca*cb*l3*sb*vev2 - ca*l4*sb**2d0*vev1 - &
                     ca*l5*sb**2d0*vev1 - cb**2d0*l4*sa*vev2 - cb**2d0*l5*sa*  &
                     vev2 + 2d0*cb*l1*sa*sb*vev1 - 2d0*cb*l3*sa*sb*vev1 + l4*sa&
                     *sb**2d0*vev2 + l5*sa*sb**2d0*vev2)/2d0
    coupl(nGC_565) = -cima*(ca*cb**2d0*l4 + ca*cb**2d0*l5 - ca*l4*sb**2d0 - ca*&
                     l5*sb**2d0 + 2d0*cb*l2*sa*sb - 2d0*cb*l3*sa*sb)/2d0
    coupl(nGC_563) = cima*(2d0*ca*cb*l1*sb - 2d0*ca*cb*l3*sb - cb**2d0*l4*sa - &
                     cb**2d0*l5*sa + l4*sa*sb**2d0 + l5*sa*sb**2d0)/2d0
    coupl(nGC_561) = ca*cb*cima*sb*vev1
    coupl(nGC_21316) = 2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21317) = 2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21314) = -cb**2d0*cima*sb**2d0
    coupl(nGC_21315) = -cb**2d0*cima*sb**2d0
    coupl(nGC_21312) = cima*sb
    coupl(nGC_21313) = -cima*(cb**4d0 + sb**4d0)
    coupl(nGC_21310) = cima*(cb*ye1 + sb*ye2)
    coupl(nGC_21311) = -cb*cima
    coupl(nGC_21318) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3 - &
                       2d0*l4 - 2d0*l5)
    coupl(nGC_21319) = -sqrt(2d0)*(cb*yc1 + sb*yc2)/2d0
    coupl(nGC_168) = -cb**4d0*cima*ee**2d0/(2d0*sw**2d0) - cb**4d0*cima*l2 - cb&
                     **2d0*cima*ee**2d0*sb**2d0/sw**2d0 - 2d0*cb**2d0*cima*l3* &
                     sb**2d0 - 2d0*cb**2d0*cima*l4*sb**2d0 - 2d0*cb**2d0*cima* &
                     l5*sb**2d0 - cima*ee**2d0*sb**4d0/(2d0*sw**2d0) - cima*l1*&
                     sb**4d0
    coupl(nGC_169) = -cb**4d0*cima*ee**2d0/(2d0*sw**2d0) - cb**4d0*cima*l1 - cb&
                     **2d0*cima*ee**2d0*sb**2d0/sw**2d0 - 2d0*cb**2d0*cima*l3* &
                     sb**2d0 - 2d0*cb**2d0*cima*l4*sb**2d0 - 2d0*cb**2d0*cima* &
                     l5*sb**2d0 - cima*ee**2d0*sb**4d0/(2d0*sw**2d0) - cima*l2*&
                     sb**4d0
    coupl(nGC_162) = -cb**4d0*cima*ee**2d0/(4d0*sw**2d0) - cb**4d0*cima*l3 - cb&
                     **4d0*cima*l4 - cb**4d0*cima*ee**2d0/(4d0*cw**2d0) - cb** &
                     2d0*cima*ee**2d0*sb**2d0/(2d0*sw**2d0) - 2d0*cb**2d0*cima*&
                     l1*sb**2d0 - 2d0*cb**2d0*cima*l2*sb**2d0 + 2d0*cb**2d0*   &
                     cima*l3*sb**2d0 + 2d0*cb**2d0*cima*l4*sb**2d0 + 4d0*cb**  &
                     2d0*cima*l5*sb**2d0 - cb**2d0*cima*ee**2d0*sb**2d0/(2d0*cw&
                     **2d0) - cima*ee**2d0*sb**4d0/(4d0*sw**2d0) - cima*l3*sb**&
                     4d0 - cima*l4*sb**4d0 - cima*ee**2d0*sb**4d0/(4d0*cw**2d0)
    coupl(nGC_163) = -cb**4d0*cima*ee**2d0/(4d0*sw**2d0) - cb**4d0*cima*l4/2d0 &
                      - cb**4d0*cima*l5/2d0 - cb**2d0*cima*ee**2d0*sb**2d0/(2d0&
                     *sw**2d0) - cb**2d0*cima*l1*sb**2d0 - cb**2d0*cima*l2*sb**&
                     2d0 + 2d0*cb**2d0*cima*l3*sb**2d0 + cb**2d0*cima*l4*sb**  &
                     2d0 + cb**2d0*cima*l5*sb**2d0 - cima*ee**2d0*sb**4d0/(4d0*&
                     sw**2d0) - cima*l4*sb**4d0/2d0 - cima*l5*sb**4d0/2d0
    coupl(nGC_160) = -cb**4d0*cima*ee**2d0/(4d0*sw**2d0) - 2d0*cb**4d0*cima*l2 &
                      - cb**4d0*cima*ee**2d0/(4d0*cw**2d0) - cb**2d0*cima*ee** &
                     2d0*sb**2d0/(2d0*sw**2d0) - 4d0*cb**2d0*cima*l3*sb**2d0 - &
                     4d0*cb**2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*sb**2d0 &
                      - cb**2d0*cima*ee**2d0*sb**2d0/(2d0*cw**2d0) - cima*ee** &
                     2d0*sb**4d0/(4d0*sw**2d0) - 2d0*cima*l1*sb**4d0 - cima*ee &
                     **2d0*sb**4d0/(4d0*cw**2d0)
    coupl(nGC_161) = -cb**4d0*cima*ee**2d0/(4d0*sw**2d0) - 2d0*cb**4d0*cima*l1 &
                      - cb**4d0*cima*ee**2d0/(4d0*cw**2d0) - cb**2d0*cima*ee** &
                     2d0*sb**2d0/(2d0*sw**2d0) - 4d0*cb**2d0*cima*l3*sb**2d0 - &
                     4d0*cb**2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*sb**2d0 &
                      - cb**2d0*cima*ee**2d0*sb**2d0/(2d0*cw**2d0) - cima*ee** &
                     2d0*sb**4d0/(4d0*sw**2d0) - 2d0*cima*l2*sb**4d0 - cima*ee &
                     **2d0*sb**4d0/(4d0*cw**2d0)
    coupl(nGC_166) = cb**4d0*cima*ee**2d0/(4d0*sw**2d0) - cb**4d0*cima*l3 - cb &
                     **4d0*cima*l4 + cb**4d0*cima*ee**2d0/(4d0*cw**2d0) + cb** &
                     2d0*cima*ee**2d0*sb**2d0/(2d0*sw**2d0) - 2d0*cb**2d0*cima*&
                     l1*sb**2d0 - 2d0*cb**2d0*cima*l2*sb**2d0 + 2d0*cb**2d0*   &
                     cima*l3*sb**2d0 + 2d0*cb**2d0*cima*l4*sb**2d0 + 4d0*cb**  &
                     2d0*cima*l5*sb**2d0 + cb**2d0*cima*ee**2d0*sb**2d0/(2d0*cw&
                     **2d0) + cima*ee**2d0*sb**4d0/(4d0*sw**2d0) - cima*l3*sb**&
                     4d0 - cima*l4*sb**4d0 + cima*ee**2d0*sb**4d0/(4d0*cw**2d0)
    coupl(nGC_167) = cb**4d0*cima*ee**2d0/(4d0*sw**2d0) - cb**4d0*cima*l4/2d0  &
                      - cb**4d0*cima*l5/2d0 + cb**2d0*cima*ee**2d0*sb**2d0/(2d0&
                     *sw**2d0) - cb**2d0*cima*l1*sb**2d0 - cb**2d0*cima*l2*sb**&
                     2d0 + 2d0*cb**2d0*cima*l3*sb**2d0 + cb**2d0*cima*l4*sb**  &
                     2d0 + cb**2d0*cima*l5*sb**2d0 + cima*ee**2d0*sb**4d0/(4d0*&
                     sw**2d0) - cima*l4*sb**4d0/2d0 - cima*l5*sb**4d0/2d0
    coupl(nGC_164) = cb**4d0*cima*ee**2d0/(4d0*sw**2d0) - cb**4d0*cima*l2 + cb &
                     **2d0*cima*ee**2d0*sb**2d0/(2d0*sw**2d0) - 2d0*cb**2d0*   &
                     cima*l3*sb**2d0 - 2d0*cb**2d0*cima*l4*sb**2d0 - 2d0*cb**  &
                     2d0*cima*l5*sb**2d0 + cima*ee**2d0*sb**4d0/(4d0*sw**2d0   &
                     ) - cima*l1*sb**4d0
    coupl(nGC_165) = cb**4d0*cima*ee**2d0/(4d0*sw**2d0) - cb**4d0*cima*l1 + cb &
                     **2d0*cima*ee**2d0*sb**2d0/(2d0*sw**2d0) - 2d0*cb**2d0*   &
                     cima*l3*sb**2d0 - 2d0*cb**2d0*cima*l4*sb**2d0 - 2d0*cb**  &
                     2d0*cima*l5*sb**2d0 + cima*ee**2d0*sb**4d0/(4d0*sw**2d0   &
                     ) - cima*l2*sb**4d0
    coupl(nGC_1415) = -coupl(nGC_344)
    coupl(nGC_21358) = -cima*ee**2d0*(ca**2d0 + sa**2d0)/sw**2d0
    coupl(nGC_MHA) = -cMHA**2d0*cima
    coupl(nGC_MHC) = -cMHC**2d0*cima
    coupl(nGC_MHL) = -cMHL**2d0*cima
    coupl(nGC_MHH) = -cMHH**2d0*cima
    coupl(nGC_21812) = -sqrt(2d0)*cb/2d0
    coupl(nGC_21792) = cima*(ca**2d0*cb**2d0 + 4d0*ca*cb*sa*sb + sa**2d0*sb**  &
                       2d0)
    coupl(nGC_21793) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
    coupl(nGC_21790) = 2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca**2d0&
                       *cb*l4*sb - ca**2d0*cb*l5*sb + 2d0*ca*cb**2d0*l5*sa -   &
                       2d0*ca*l5*sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**2d0*&
                       sb - cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
    coupl(nGC_21791) = -ca**2d0*cima*sb**2d0
    coupl(nGC_21796) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_21797) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_21794) = -cb**2d0*cima*sa**2d0
    coupl(nGC_21795) = -2d0*cima*(-2d0*ca**2d0*cb*l5*sb + ca*cb**2d0*l1*sa - ca&
                       *cb**2d0*l3*sa - ca*cb**2d0*l4*sa + ca*cb**2d0*l5*sa -  &
                       ca*l2*sa*sb**2d0 + ca*l3*sa*sb**2d0 + ca*l4*sa*sb**2d0  &
                        - ca*l5*sa*sb**2d0 + 2d0*cb*l5*sa**2d0*sb)
    coupl(nGC_21798) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_21555) = -cb*cima*sb*(ca*vev1 - sa*vev2)
    coupl(nGC_21556) = cima*(ca*cb**2d0*l1*vev1 - ca*cb**2d0*l3*vev1 - ca*cb** &
                       2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 4d0*ca*cb*l5*sb*vev2 &
                        - ca*l1*sb**2d0*vev1 + ca*l3*sb**2d0*vev1 + ca*l4*sb** &
                       2d0*vev1 - ca*l5*sb**2d0*vev1 - cb**2d0*l2*sa*vev2 + cb &
                       **2d0*l3*sa*vev2 + cb**2d0*l4*sa*vev2 - cb**2d0*l5*sa*  &
                       vev2 + 4d0*cb*l5*sa*sb*vev1 + l2*sa*sb**2d0*vev2 - l3*sa&
                       *sb**2d0*vev2 - l4*sa*sb**2d0*vev2 + l5*sa*sb**2d0*vev2)
    coupl(nGC_21557) = -cb*cima*sa*sb*vev2
    coupl(nGC_21558) = -cima*(ca*cb**2d0*vev2 - ca*cb*sb*vev1 - ca*sb**2d0*vev2&
                        + cb**2d0*sa*vev1 + cb*sa*sb*vev2 - sa*sb**2d0*vev1)
    coupl(nGC_21559) = -cima*(ca*cb**2d0*l5 - ca*l5*sb**2d0 + cb*l2*sa*sb - cb*&
                       l3*sa*sb - cb*l4*sa*sb + cb*l5*sa*sb)
    coupl(nGC_21172) = -sqrt(2d0)*cima*(ca*yup2 - sa*yup1)/2d0
    coupl(nGC_21173) = 4d0*cima*ee**2d0*(cb**2d0 + sb**2d0)
    coupl(nGC_21170) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_21171) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_21176) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
    coupl(nGC_21174) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_21175) = cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_21778) = -cima*(ca**2d0*cb*sb - 2d0*ca*cb**2d0*sa + 2d0*ca*sa*sb &
                       **2d0 - cb*sa**2d0*sb)
    coupl(nGC_220) = cb**2d0*cima*cw*ee**2d0/sw - cb**2d0*cima*ee**2d0*sw/cw + &
                     cima*cw*ee**2d0*sb**2d0/sw - cima*ee**2d0*sb**2d0*sw/cw
    coupl(nGC_223) = -ca**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - ca**2d0*cima&
                     *ee**2d0 - ca**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0) -   &
                     cima*cw**2d0*ee**2d0*sa**2d0/(2d0*sw**2d0) - cima*ee**2d0*&
                     sa**2d0 - cima*ee**2d0*sa**2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_222) = -ca**2d0*cima*cw**2d0*ee**2d0/(4d0*sw**2d0) - ca**2d0*cima&
                     *ee**2d0/2d0 - ca**2d0*cima*ee**2d0*sw**2d0/(4d0*cw**2d0  &
                     ) - cima*cw**2d0*ee**2d0*sa**2d0/(4d0*sw**2d0) - cima*ee**&
                     2d0*sa**2d0/2d0 - cima*ee**2d0*sa**2d0*sw**2d0/(4d0*cw**  &
                     2d0)
    coupl(nGC_225) = -cb**2d0*cima*cw**2d0*ee**2d0/(4d0*sw**2d0) - cb**2d0*cima&
                     *ee**2d0/2d0 - cb**2d0*cima*ee**2d0*sw**2d0/(4d0*cw**2d0  &
                     ) - cima*cw**2d0*ee**2d0*sb**2d0/(4d0*sw**2d0) - cima*ee**&
                     2d0*sb**2d0/2d0 - cima*ee**2d0*sb**2d0*sw**2d0/(4d0*cw**  &
                     2d0)
    coupl(nGC_224) = ca**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + ca**2d0*cima*&
                     ee**2d0 + ca**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0) +    &
                     cima*cw**2d0*ee**2d0*sa**2d0/(2d0*sw**2d0) + cima*ee**2d0*&
                     sa**2d0 + cima*ee**2d0*sa**2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_227) = -cb**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cb**2d0*cima&
                     *ee**2d0 - cb**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0) -   &
                     cima*cw**2d0*ee**2d0*sb**2d0/(2d0*sw**2d0) - cima*ee**2d0*&
                     sb**2d0 - cima*ee**2d0*sb**2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_226) = -cb**2d0*cima*cw**2d0*ee**2d0/(4d0*sw**2d0) + cb**2d0*cima&
                     *ee**2d0/2d0 - cb**2d0*cima*ee**2d0*sw**2d0/(4d0*cw**2d0  &
                     ) - cima*cw**2d0*ee**2d0*sb**2d0/(4d0*sw**2d0) + cima*ee**&
                     2d0*sb**2d0/2d0 - cima*ee**2d0*sb**2d0*sw**2d0/(4d0*cw**  &
                     2d0)
    coupl(nGC_229) = cb**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cb**2d0*cima*&
                     ee**2d0 + cb**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0) +    &
                     cima*cw**2d0*ee**2d0*sb**2d0/(2d0*sw**2d0) - cima*ee**2d0*&
                     sb**2d0 + cima*ee**2d0*sb**2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_228) = -cb**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) + cb**2d0*cima&
                     *ee**2d0 - cb**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0) -   &
                     cima*cw**2d0*ee**2d0*sb**2d0/(2d0*sw**2d0) + cima*ee**2d0*&
                     sb**2d0 - cima*ee**2d0*sb**2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_21774) = -gs
    coupl(nGC_21775) = cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_21776) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**2d0&
                       *cb**2d0*l4 - ca**2d0*cb**2d0*l5 + ca**2d0*l2*sb**2d0 - &
                       ca**2d0*l3*sb**2d0 - ca**2d0*l4*sb**2d0 + ca**2d0*l5*sb &
                       **2d0 - 8d0*ca*cb*l5*sa*sb + cb**2d0*l1*sa**2d0 - cb**  &
                       2d0*l3*sa**2d0 - cb**2d0*l4*sa**2d0 + cb**2d0*l5*sa**2d0&
                        - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0 + l4*sa**2d0*&
                       sb**2d0 - l5*sa**2d0*sb**2d0)
    coupl(nGC_21777) = -ca**2d0*cb*cima*sb
    coupl(nGC_21014) = cima*ee
    coupl(nGC_21011) = -sqrt(2d0)*cb/2d0
    coupl(nGC_21013) = -sqrt(2d0)*(cb*ys2 - sb*yd12x2)/2d0
    coupl(nGC_21012) = -sqrt(2d0)*sb/2d0
    coupl(nGC_593) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(ca* &
                     vev1 + sa*vev2)/(cw**3d0*sw**2d0)
    coupl(nGC_591) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa*vev1  &
                     )/(2d0*cw**2d0*sw**2d0)
    coupl(nGC_597) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(ca*&
                     vev1 + sa*vev2)/(cw**2d0*sw**3d0)
    coupl(nGC_595) = cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw**&
                     2d0)
    coupl(nGC_359) = -sqrt(2d0)*cb*ym2/2d0 + sqrt(2d0)*sb*ym1/2d0
    coupl(nGC_358) = -cb*cima*ym2 + cima*sb*ym1
    coupl(nGC_355) = -cb*cima*ye1 - cima*sb*ye2
    coupl(nGC_354) = -sqrt(2d0)*ca*cima*ye1/2d0 - sqrt(2d0)*cima*sa*ye2/2d0
    coupl(nGC_357) = -sqrt(2d0)*ca*cima*ym2/2d0 + sqrt(2d0)*cima*sa*ym1/2d0
    coupl(nGC_356) = -sqrt(2d0)*cb*ye1/2d0 - sqrt(2d0)*sb*ye2/2d0
    coupl(nGC_351) = -sqrt(2d0)*ca*cima*ye2/2d0 + sqrt(2d0)*cima*sa*ye1/2d0
    coupl(nGC_350) = -sqrt(2d0)*cb*ydo1/2d0 - sqrt(2d0)*sb*ydo2/2d0
    coupl(nGC_353) = -sqrt(2d0)*cb*ye2/2d0 + sqrt(2d0)*sb*ye1/2d0
    coupl(nGC_352) = -cb*cima*ye2 + cima*sb*ye1
    coupl(nGC_575) = sqrt(2d0)*cb/2d0
    coupl(nGC_571) = sqrt(2d0)*sb/2d0
    coupl(nGC_573) = sqrt(2d0)*(cb*yt2 - sb*yt1)/2d0
    coupl(nGC_579) = sqrt(2d0)*cb/2d0
    coupl(nGC_20830) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21309) = ee*(cb**2d0 + sb**2d0)/(2d0*sw)
    coupl(nGC_21308) = -ee*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
    coupl(nGC_21307) = -2d0*cima*ee
    coupl(nGC_179) = ca*cb*cima*ee/(2d0*sw) + cima*ee*sa*sb/(2d0*sw)
    coupl(nGC_178) = -ca*cb*cima*ee/(2d0*sw) - cima*ee*sa*sb/(2d0*sw)
    coupl(nGC_171) = cb**4d0*cima*ee**2d0/(2d0*sw**2d0) - 2d0*cb**4d0*cima*l1  &
                      + cb**4d0*cima*ee**2d0/(2d0*cw**2d0) + cb**2d0*cima*ee** &
                     2d0*sb**2d0/sw**2d0 - 4d0*cb**2d0*cima*l3*sb**2d0 - 4d0*cb&
                     **2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*sb**2d0 + cb**&
                     2d0*cima*ee**2d0*sb**2d0/cw**2d0 + cima*ee**2d0*sb**4d0/( &
                     2d0*sw**2d0) - 2d0*cima*l2*sb**4d0 + cima*ee**2d0*sb**4d0 &
                     /(2d0*cw**2d0)
    coupl(nGC_170) = cb**4d0*cima*ee**2d0/(2d0*sw**2d0) - 2d0*cb**4d0*cima*l2  &
                      + cb**4d0*cima*ee**2d0/(2d0*cw**2d0) + cb**2d0*cima*ee** &
                     2d0*sb**2d0/sw**2d0 - 4d0*cb**2d0*cima*l3*sb**2d0 - 4d0*cb&
                     **2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*sb**2d0 + cb**&
                     2d0*cima*ee**2d0*sb**2d0/cw**2d0 + cima*ee**2d0*sb**4d0/( &
                     2d0*sw**2d0) - 2d0*cima*l1*sb**4d0 + cima*ee**2d0*sb**4d0 &
                     /(2d0*cw**2d0)
    coupl(nGC_173) = ca*cima*ee*sb/(2d0*sw) - cb*cima*ee*sa/(2d0*sw)
    coupl(nGC_172) = -ca*cima*ee*sb/(2d0*sw) + cb*cima*ee*sa/(2d0*sw)
    coupl(nGC_175) = ca*cima*ee**2d0*sb/(2d0*sw) - cb*cima*ee**2d0*sa/(2d0*sw)
    coupl(nGC_174) = -ca*cima*ee**2d0*sb/(2d0*sw) + cb*cima*ee**2d0*sa/(2d0*sw)
    coupl(nGC_177) = ca*cima*ee**2d0*sb/sw - cb*cima*ee**2d0*sa/sw
    coupl(nGC_176) = -ca*cima*ee**2d0*sb/sw + cb*cima*ee**2d0*sa/sw
    coupl(nGC_20832) = -4d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4  &
                        + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 -  &
                       l5*sb**2d0)
    coupl(nGC_773) = cima/(2d0*cMW)
    coupl(nGC_777) = -cima/(2d0*cMW)
    coupl(nGC_21763) = -cima*(ca**2d0*cb*l1*sb + ca**2d0*cb*l2*sb - 2d0*ca**2d0&
                       *cb*l3*sb - 2d0*ca*cb**2d0*l4*sa - 2d0*ca*cb**2d0*l5*sa &
                        + 2d0*ca*l4*sa*sb**2d0 + 2d0*ca*l5*sa*sb**2d0 - cb*l1* &
                       sa**2d0*sb - cb*l2*sa**2d0*sb + 2d0*cb*l3*sa**2d0*sb)
    coupl(nGC_215) = -ca*cb*cw*ee/(2d0*sw) - ca*cb*ee*sw/(2d0*cw) - cw*ee*sa*sb&
                     /(2d0*sw) - ee*sa*sb*sw/(2d0*cw)
    coupl(nGC_21761) = -cima*(ca - sa)*(ca + sa)*(cb - sb)*(cb + sb)/2d0
    coupl(nGC_21766) = -ca*cb*cima*sa*sb
    coupl(nGC_21765) = -cima*(-4d0*ca**2d0*cb*l5*sb + ca*cb**2d0*l1*sa + ca*cb &
                       **2d0*l2*sa - 2d0*ca*cb**2d0*l3*sa - 2d0*ca*cb**2d0*l4* &
                       sa + 2d0*ca*cb**2d0*l5*sa - ca*l1*sa*sb**2d0 - ca*l2*sa*&
                       sb**2d0 + 2d0*ca*l3*sa*sb**2d0 + 2d0*ca*l4*sa*sb**2d0 - &
                       2d0*ca*l5*sa*sb**2d0 + 4d0*cb*l5*sa**2d0*sb)
    coupl(nGC_21764) = 2d0*ca*cb*cima*sa*sb
    coupl(nGC_20) = -ca**4d0*cima*l3 - ca**4d0*cima*l4 - ca**4d0*cima*l5 - 3d0*&
                    ca**2d0*cima*l1*sa**2d0 - 3d0*ca**2d0*cima*l2*sa**2d0 + 4d0&
                    *ca**2d0*cima*l3*sa**2d0 + 4d0*ca**2d0*cima*l4*sa**2d0 +   &
                    4d0*ca**2d0*cima*l5*sa**2d0 - cima*l3*sa**4d0 - cima*l4*sa &
                    **4d0 - cima*l5*sa**4d0
    coupl(nGC_99) = -cb**2d0*cima*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0*sb**2d0 &
                    /(2d0*sw**2d0)
    coupl(nGC_98) = -cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - cima*ee**2d0*sb**2d0 &
                    /(4d0*sw**2d0)
    coupl(nGC_97) = ca*cb*cima*cw*ee**2d0/(2d0*sw**2d0) - ca*cb*cima*ee**2d0/( &
                    2d0*cw) + cima*cw*ee**2d0*sa*sb/(2d0*sw**2d0) - cima*ee**  &
                    2d0*sa*sb/(2d0*cw)
    coupl(nGC_96) = -ca*cb*cima*cw*ee**2d0/(2d0*sw**2d0) - ca*cb*cima*ee**2d0/(&
                    2d0*cw) - cima*cw*ee**2d0*sa*sb/(2d0*sw**2d0) - cima*ee**  &
                    2d0*sa*sb/(2d0*cw)
    coupl(nGC_95) = ca*cb*cima*cw*ee**2d0/(4d0*sw**2d0) + ca*cb*cima*ee**2d0/( &
                    4d0*cw) + cima*cw*ee**2d0*sa*sb/(4d0*sw**2d0) + cima*ee**  &
                    2d0*sa*sb/(4d0*cw)
    coupl(nGC_94) = -ca*cb*cima*cw*ee**2d0/(4d0*sw**2d0) + ca*cb*cima*ee**2d0/(&
                    4d0*cw) - cima*cw*ee**2d0*sa*sb/(4d0*sw**2d0) + cima*ee**  &
                    2d0*sa*sb/(4d0*cw)
    coupl(nGC_93) = ca*cb*ee**2d0/(2d0*sw**2d0) + ee**2d0*sa*sb/(2d0*sw**2d0)
    coupl(nGC_92) = ca*cb*ee**2d0/(4d0*sw**2d0) + ee**2d0*sa*sb/(4d0*sw**2d0)
    coupl(nGC_91) = -ca*cb*ee**2d0/(4d0*sw**2d0) - ee**2d0*sa*sb/(4d0*sw**2d0)
    coupl(nGC_90) = -ca*cb*ee**2d0/(2d0*sw**2d0) - ee**2d0*sa*sb/(2d0*sw**2d0)
    coupl(nGC_21785) = cima*(ca**2d0*cb**2d0 + 4d0*ca*cb*sa*sb + sa**2d0*sb**  &
                       2d0)
    coupl(nGC_21784) = -cb**2d0*cima*sa**2d0
    coupl(nGC_21781) = 2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca* &
                       cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb - 2d0*&
                       ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa**2d0&
                        + l5*sa**2d0*sb**2d0)
    coupl(nGC_21780) = cb*cima*sa**2d0*sb
    coupl(nGC_21783) = -2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca**2d0&
                       *cb*l4*sb + ca**2d0*cb*l5*sb - 2d0*ca*cb**2d0*l5*sa +   &
                       2d0*ca*l5*sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**2d0*&
                       sb + cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
    coupl(nGC_21782) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
    coupl(nGC_75) = -ca**2d0*cima*ee**2d0/(4d0*sw**2d0) - cima*ee**2d0*sa**2d0 &
                    /(4d0*sw**2d0)
    coupl(nGC_77) = ca**2d0*cima*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0*sa**2d0/(&
                    2d0*sw**2d0)
    coupl(nGC_76) = -ca**2d0*cima*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0*sa**2d0 &
                    /(2d0*sw**2d0)
    coupl(nGC_71) = -cb**4d0*cima*l3 - cb**4d0*cima*l4 - 2d0*cb**2d0*cima*l1*sb&
                    **2d0 - 2d0*cb**2d0*cima*l2*sb**2d0 + 2d0*cb**2d0*cima*l3* &
                    sb**2d0 + 2d0*cb**2d0*cima*l4*sb**2d0 + 4d0*cb**2d0*cima*l5&
                    *sb**2d0 - cima*l3*sb**4d0 - cima*l4*sb**4d0
    coupl(nGC_70) = -cb**4d0*cima*l3 - cb**2d0*cima*l1*sb**2d0 - cb**2d0*cima* &
                    l2*sb**2d0 + 2d0*cb**2d0*cima*l4*sb**2d0 + 2d0*cb**2d0*cima&
                    *l5*sb**2d0 - cima*l3*sb**4d0
    coupl(nGC_21545) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw**2d0)
    coupl(nGC_72) = -cb**4d0*cima*l4/2d0 - cb**4d0*cima*l5/2d0 - cb**2d0*cima* &
                    l1*sb**2d0 - cb**2d0*cima*l2*sb**2d0 + 2d0*cb**2d0*cima*l3*&
                    sb**2d0 + cb**2d0*cima*l4*sb**2d0 + cb**2d0*cima*l5*sb**2d0&
                     - cima*l4*sb**4d0/2d0 - cima*l5*sb**4d0/2d0
    coupl(nGC_21548) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_21929) = -2d0*cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca*cb&
                       *l3*sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 - ca* &
                       l5*sb**2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb*vev1 &
                        - cb*l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa*sb*   &
                       vev1 + l5*sa*sb**2d0*vev2)
    coupl(nGC_21769) = -ca*cb*cima*sa*sb
    coupl(nGC_21768) = 2d0*ca*cb*cima*sa*sb
    coupl(nGC_218) = -cb**2d0*cima*cw*ee/(2d0*sw) + cb**2d0*cima*ee*sw/(2d0*cw &
                     ) - cima*cw*ee*sb**2d0/(2d0*sw) + cima*ee*sb**2d0*sw/(2d0*&
                     cw)
    coupl(nGC_219) = cb**2d0*cima*cw*ee**2d0/(2d0*sw) - cb**2d0*cima*ee**2d0*sw&
                     /(2d0*cw) + cima*cw*ee**2d0*sb**2d0/(2d0*sw) - cima*ee**  &
                     2d0*sb**2d0*sw/(2d0*cw)
    coupl(nGC_214) = ca*cw*ee*sb/(2d0*sw) + ca*ee*sb*sw/(2d0*cw) - cb*cw*ee*sa &
                     /(2d0*sw) - cb*ee*sa*sw/(2d0*cw)
    coupl(nGC_21762) = -ca*cb*cima*sa*sb
    coupl(nGC_216) = ca*cb*cw*ee/(2d0*sw) + ca*cb*ee*sw/(2d0*cw) + cw*ee*sa*sb &
                     /(2d0*sw) + ee*sa*sb*sw/(2d0*cw)
    coupl(nGC_217) = cb**2d0*cima*cw*ee/(2d0*sw) - cb**2d0*cima*ee*sw/(2d0*cw  &
                     ) + cima*cw*ee*sb**2d0/(2d0*sw) - cima*ee*sb**2d0*sw/(2d0*&
                     cw)
    coupl(nGC_210) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
    coupl(nGC_211) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
    coupl(nGC_212) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
    coupl(nGC_213) = -ca*cw*ee*sb/(2d0*sw) - ca*ee*sb*sw/(2d0*cw) + cb*cw*ee*sa&
                     /(2d0*sw) + cb*ee*sa*sw/(2d0*cw)
    coupl(nGC_333) = -sqrt(2d0)*ca*cima*yc2/2d0 + sqrt(2d0)*cima*sa*yc1/2d0
    coupl(nGC_21905) = 3d0*cb**3d0*cima*sb
    coupl(nGC_20829) = -cb**4d0*cima
    coupl(nGC_20828) = -cima*sb**4d0
    coupl(nGC_20827) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_20794) = -cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**2d0
    coupl(nGC_20791) = -sqrt(2d0)*(cb*ydo2 - sb*ydo1)/2d0
    coupl(nGC_20790) = -sqrt(2d0)*sb/2d0
    coupl(nGC_20793) = cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**3d0
    coupl(nGC_20792) = -sqrt(2d0)*cb/2d0
    coupl(nGC_368) = -sqrt(2d0)*cb*yd12x2/2d0 - sqrt(2d0)*sb*ys2/2d0
    coupl(nGC_369) = -sqrt(2d0)*ca*cima*yt2/2d0 + sqrt(2d0)*cima*sa*yt1/2d0
    coupl(nGC_360) = -sqrt(2d0)*ca*cima*ym1/2d0 - sqrt(2d0)*cima*sa*ym2/2d0
    coupl(nGC_361) = -cb*cima*ym1 - cima*sb*ym2
    coupl(nGC_362) = -sqrt(2d0)*cb*ym1/2d0 - sqrt(2d0)*sb*ym2/2d0
    coupl(nGC_363) = -sqrt(2d0)*ca*cima*ys2/2d0 + sqrt(2d0)*cima*sa*yd12x2/2d0
    coupl(nGC_364) = -cb*cima*ys2 + cima*sb*yd12x2
    coupl(nGC_365) = -sqrt(2d0)*cb*ys2/2d0 + sqrt(2d0)*sb*yd12x2/2d0
    coupl(nGC_366) = -sqrt(2d0)*ca*cima*yd12x2/2d0 - sqrt(2d0)*cima*sa*ys2/2d0
    coupl(nGC_367) = -cb*cima*yd12x2 - cima*sb*ys2
    coupl(nGC_543) = cima*(ca*cb*l4*sb + ca*cb*l5*sb + cb**2d0*l3*sa + l1*sa*sb&
                     **2d0)
    coupl(nGC_545) = -cima*(ca*cb**2d0*l2 + ca*l3*sb**2d0 + cb*l4*sa*sb + cb*l5&
                     *sa*sb)
    coupl(nGC_547) = cima*(ca*cb**2d0*l3*vev1 - ca*cb*l4*sb*vev2 - ca*cb*l5*sb*&
                     vev2 + ca*l1*sb**2d0*vev1 + cb**2d0*l2*sa*vev2 - cb*l4*sa*&
                     sb*vev1 - cb*l5*sa*sb*vev1 + l3*sa*sb**2d0*vev2)
    coupl(nGC_21378) = cima*ee**2d0/sw
    coupl(nGC_21379) = 2d0*cima*cw*ee**2d0/sw
    coupl(nGC_21377) = -cima*cw*ee**2d0/sw**2d0
    coupl(nGC_144) = -ca**2d0*cb**2d0*cima*ee**2d0/(2d0*sw**2d0) - ca**2d0*cb**&
                     2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 - ca*cb*cima*ee**2d0&
                     *sa*sb/sw**2d0 - 2d0*ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*&
                     l5*sa*sb - cb**2d0*cima*l3*sa**2d0 - cima*ee**2d0*sa**2d0*&
                     sb**2d0/(2d0*sw**2d0) - cima*l1*sa**2d0*sb**2d0
    coupl(nGC_146) = -ca**2d0*cb**2d0*cima*ee**2d0/(2d0*sw**2d0) - ca**2d0*cb**&
                     2d0*cima*l1 - ca**2d0*cima*l3*sb**2d0 - ca*cb*cima*ee**2d0&
                     *sa*sb/sw**2d0 - 2d0*ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*&
                     l5*sa*sb - cb**2d0*cima*l3*sa**2d0 - cima*ee**2d0*sa**2d0*&
                     sb**2d0/(2d0*sw**2d0) - cima*l2*sa**2d0*sb**2d0
    coupl(nGC_147) = -ca**2d0*cb**2d0*cima*ee**2d0/(2d0*sw**2d0) - ca**2d0*cb**&
                     2d0*cima*l1 - ca**2d0*cb**2d0*cima*ee**2d0/(2d0*cw**2d0   &
                     ) - ca**2d0*cima*l3*sb**2d0 - ca**2d0*cima*l4*sb**2d0 + ca&
                     **2d0*cima*l5*sb**2d0 - ca*cb*cima*ee**2d0*sa*sb/sw**2d0  &
                      - 4d0*ca*cb*cima*l5*sa*sb - ca*cb*cima*ee**2d0*sa*sb/cw**&
                     2d0 - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima*l4*sa**2d0 + &
                     cb**2d0*cima*l5*sa**2d0 - cima*ee**2d0*sa**2d0*sb**2d0/(  &
                     2d0*sw**2d0) - cima*l2*sa**2d0*sb**2d0 - cima*ee**2d0*sa**&
                     2d0*sb**2d0/(2d0*cw**2d0)
    coupl(nGC_140) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb** &
                     2d0*cima*l1 - ca**2d0*cima*l3*sb**2d0 + ca*cb*cima*ee**2d0&
                     *sa*sb/(2d0*sw**2d0) - 2d0*ca*cb*cima*l4*sa*sb - 2d0*ca*cb&
                     *cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 + cima*ee**2d0*sa&
                     **2d0*sb**2d0/(4d0*sw**2d0) - cima*l2*sa**2d0*sb**2d0
    coupl(nGC_141) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb** &
                     2d0*cima*l1 + ca**2d0*cb**2d0*cima*ee**2d0/(4d0*cw**2d0   &
                     ) - ca**2d0*cima*l3*sb**2d0 - ca**2d0*cima*l4*sb**2d0 + ca&
                     **2d0*cima*l5*sb**2d0 + ca*cb*cima*ee**2d0*sa*sb/(2d0*sw**&
                     2d0) - 4d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**2d0*sa*sb &
                     /(2d0*cw**2d0) - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima*l4&
                     *sa**2d0 + cb**2d0*cima*l5*sa**2d0 + cima*ee**2d0*sa**2d0*&
                     sb**2d0/(4d0*sw**2d0) - cima*l2*sa**2d0*sb**2d0 + cima*ee &
                     **2d0*sa**2d0*sb**2d0/(4d0*cw**2d0)
    coupl(nGC_148) = -ca*cb**2d0*ee**2d0*sb/(4d0*sw**2d0) + ca*cb**2d0*ee**2d0*&
                     sb/(4d0*cw**2d0) - ca*ee**2d0*sb**3d0/(4d0*sw**2d0) + ca* &
                     ee**2d0*sb**3d0/(4d0*cw**2d0) + cb**3d0*ee**2d0*sa/(4d0*sw&
                     **2d0) - cb**3d0*ee**2d0*sa/(4d0*cw**2d0) + cb*ee**2d0*sa*&
                     sb**2d0/(4d0*sw**2d0) - cb*ee**2d0*sa*sb**2d0/(4d0*cw**2d0&
                     )
    coupl(nGC_149) = -ca*cb**2d0*ee**2d0*sb/(4d0*sw**2d0) + ca*cb**2d0*l4*sb/  &
                     2d0 - ca*cb**2d0*l5*sb/2d0 - ca*ee**2d0*sb**3d0/(4d0*sw** &
                     2d0) + ca*l4*sb**3d0/2d0 - ca*l5*sb**3d0/2d0 + cb**3d0*ee &
                     **2d0*sa/(4d0*sw**2d0) - cb**3d0*l4*sa/2d0 + cb**3d0*l5*sa&
                     /2d0 + cb*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) - cb*l4*sa*sb**&
                     2d0/2d0 + cb*l5*sa*sb**2d0/2d0
    coupl(nGC_280) = -ca*cb**2d0*cima*l5*vev1 + ca*cb*cima*ee**2d0*sb*vev2/(4d0&
                     *sw**2d0) - ca*cb*cima*l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 &
                      + ca*cb*cima*l4*sb*vev2 - ca*cb*cima*l5*sb*vev2 + ca*cb* &
                     cima*ee**2d0*sb*vev2/(4d0*cw**2d0) - ca*cima*ee**2d0*sb** &
                     2d0*vev1/(4d0*sw**2d0) + ca*cima*l5*sb**2d0*vev1 - ca*cima&
                     *ee**2d0*sb**2d0*vev1/(4d0*cw**2d0) - cb**2d0*cima*ee**2d0&
                     *sa*vev2/(4d0*sw**2d0) + cb**2d0*cima*l5*sa*vev2 - cb**2d0&
                     *cima*ee**2d0*sa*vev2/(4d0*cw**2d0) + cb*cima*ee**2d0*sa* &
                     sb*vev1/(4d0*sw**2d0) - cb*cima*l1*sa*sb*vev1 + cb*cima*l3&
                     *sa*sb*vev1 + cb*cima*l4*sa*sb*vev1 - cb*cima*l5*sa*sb*   &
                     vev1 + cb*cima*ee**2d0*sa*sb*vev1/(4d0*cw**2d0) - cima*l5*&
                     sa*sb**2d0*vev2
    coupl(nGC_337) = cb*cima*yc1 + cima*sb*yc2
    coupl(nGC_286) = cb*cima*cw*ee**2d0*vev1/(2d0*sw**2d0) - cb*cima*ee**2d0*  &
                     vev1/(2d0*cw) + cima*cw*ee**2d0*sb*vev2/(2d0*sw**2d0) -   &
                     cima*ee**2d0*sb*vev2/(2d0*cw)
    coupl(nGC_21204) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
    coupl(nGC_21208) = -sqrt(2d0)*(cb*ytau2 - sb*ytau1)/2d0
    coupl(nGC_21209) = -sqrt(2d0)*cb/2d0
    coupl(nGC_781) = 1d0/(2d0*cMZ)
    coupl(nGC_MI) = -cima
    coupl(nGC_MM) = -cMM*cima
    coupl(nGC_541) = cima*sa*sb**2d0*vev1
    coupl(nGC_MB) = -cMB*cima
    coupl(nGC_MZ) = cMZ**2d0*cima
    coupl(nGC_334) = cb*cima*yc2 - cima*sb*yc1
    coupl(nGC_MS) = -cMS*cima
    coupl(nGC_MW) = cMW**2d0*cima
    coupl(nGC_89) = ca*cima*cw*ee**2d0*sb/(2d0*sw**2d0) + ca*cima*ee**2d0*sb/( &
                    2d0*cw) - cb*cima*cw*ee**2d0*sa/(2d0*sw**2d0) - cb*cima*ee &
                    **2d0*sa/(2d0*cw)
    coupl(nGC_80) = ca*ee**2d0*sb/(4d0*sw**2d0) - cb*ee**2d0*sa/(4d0*sw**2d0)
    coupl(nGC_81) = ca*ee**2d0*sb/(2d0*sw**2d0) - cb*ee**2d0*sa/(2d0*sw**2d0)
    coupl(nGC_82) = -ca*cima*cw*ee**2d0*sb/(4d0*sw**2d0) - ca*cima*ee**2d0*sb/(&
                    4d0*cw) + cb*cima*cw*ee**2d0*sa/(4d0*sw**2d0) + cb*cima*ee &
                    **2d0*sa/(4d0*cw)
    coupl(nGC_83) = -ca*cima*cw*ee**2d0*sb/(4d0*sw**2d0) + ca*cima*ee**2d0*sb/(&
                    4d0*cw) + cb*cima*cw*ee**2d0*sa/(4d0*sw**2d0) - cb*cima*ee &
                    **2d0*sa/(4d0*cw)
    coupl(nGC_84) = ca*cima*cw*ee**2d0*sb/(4d0*sw**2d0) - ca*cima*ee**2d0*sb/( &
                    4d0*cw) - cb*cima*cw*ee**2d0*sa/(4d0*sw**2d0) + cb*cima*ee &
                    **2d0*sa/(4d0*cw)
    coupl(nGC_85) = ca*cima*cw*ee**2d0*sb/(4d0*sw**2d0) + ca*cima*ee**2d0*sb/( &
                    4d0*cw) - cb*cima*cw*ee**2d0*sa/(4d0*sw**2d0) - cb*cima*ee &
                    **2d0*sa/(4d0*cw)
    coupl(nGC_86) = -ca*cima*cw*ee**2d0*sb/(2d0*sw**2d0) - ca*cima*ee**2d0*sb/(&
                    2d0*cw) + cb*cima*cw*ee**2d0*sa/(2d0*sw**2d0) + cb*cima*ee &
                    **2d0*sa/(2d0*cw)
    coupl(nGC_87) = -ca*cima*cw*ee**2d0*sb/(2d0*sw**2d0) + ca*cima*ee**2d0*sb/(&
                    2d0*cw) + cb*cima*cw*ee**2d0*sa/(2d0*sw**2d0) - cb*cima*ee &
                    **2d0*sa/(2d0*cw)
    coupl(nGC_145) = -ca**2d0*cb**2d0*cima*ee**2d0/(2d0*sw**2d0) - ca**2d0*cb**&
                     2d0*cima*l2 - ca**2d0*cb**2d0*cima*ee**2d0/(2d0*cw**2d0   &
                     ) - ca**2d0*cima*l3*sb**2d0 - ca**2d0*cima*l4*sb**2d0 + ca&
                     **2d0*cima*l5*sb**2d0 - ca*cb*cima*ee**2d0*sa*sb/sw**2d0  &
                      - 4d0*ca*cb*cima*l5*sa*sb - ca*cb*cima*ee**2d0*sa*sb/cw**&
                     2d0 - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima*l4*sa**2d0 + &
                     cb**2d0*cima*l5*sa**2d0 - cima*ee**2d0*sa**2d0*sb**2d0/(  &
                     2d0*sw**2d0) - cima*l1*sa**2d0*sb**2d0 - cima*ee**2d0*sa**&
                     2d0*sb**2d0/(2d0*cw**2d0)
    coupl(nGC_66) = -3d0*cb**4d0*cima*l2 - 6d0*cb**2d0*cima*l3*sb**2d0 - 6d0*cb&
                    **2d0*cima*l4*sb**2d0 - 6d0*cb**2d0*cima*l5*sb**2d0 - 3d0* &
                    cima*l1*sb**4d0
    coupl(nGC_67) = -cb**4d0*cima*l1 - 2d0*cb**2d0*cima*l3*sb**2d0 - 2d0*cb**  &
                    2d0*cima*l4*sb**2d0 - 2d0*cb**2d0*cima*l5*sb**2d0 - cima*l2&
                    *sb**4d0
    coupl(nGC_64) = -cb**4d0*cima*l2 - 2d0*cb**2d0*cima*l3*sb**2d0 - 2d0*cb**  &
                    2d0*cima*l4*sb**2d0 - 2d0*cb**2d0*cima*l5*sb**2d0 - cima*l1&
                    *sb**4d0
    coupl(nGC_65) = -2d0*cb**4d0*cima*l2 - 4d0*cb**2d0*cima*l3*sb**2d0 - 4d0*cb&
                    **2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*sb**2d0 - 2d0* &
                    cima*l1*sb**4d0
    coupl(nGC_62) = ca*cb**3d0*l4/2d0 - ca*cb**3d0*l5/2d0 + ca*cb*l4*sb**2d0/  &
                    2d0 - ca*cb*l5*sb**2d0/2d0 + cb**2d0*l4*sa*sb/2d0 - cb**2d0&
                    *l5*sa*sb/2d0 + l4*sa*sb**3d0/2d0 - l5*sa*sb**3d0/2d0
    coupl(nGC_63) = -ca*cb**3d0*l4/2d0 + ca*cb**3d0*l5/2d0 - ca*cb*l4*sb**2d0/ &
                    2d0 + ca*cb*l5*sb**2d0/2d0 - cb**2d0*l4*sa*sb/2d0 + cb**2d0&
                    *l5*sa*sb/2d0 - l4*sa*sb**3d0/2d0 + l5*sa*sb**3d0/2d0
    coupl(nGC_21570) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_61) = ca*cb**3d0*ee**2d0/(4d0*cw**2d0) + ca*cb*ee**2d0*sb**2d0/( &
                    4d0*cw**2d0) + cb**2d0*ee**2d0*sa*sb/(4d0*cw**2d0) + ee**  &
                    2d0*sa*sb**3d0/(4d0*cw**2d0)
    coupl(nGC_21578) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*(cw&
                       **2d0 + sw**2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_21579) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw**2d0 + sw**2d0)**  &
                       2d0/(cw**2d0*sw**2d0)
    coupl(nGC_142) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb** &
                     2d0*cima*l4/2d0 - ca**2d0*cb**2d0*cima*l5/2d0 + ca**2d0*  &
                     cima*l4*sb**2d0/2d0 + ca**2d0*cima*l5*sb**2d0/2d0 + ca*cb*&
                     cima*ee**2d0*sa*sb/(2d0*sw**2d0) - ca*cb*cima*l1*sa*sb -  &
                     ca*cb*cima*l2*sa*sb + 2d0*ca*cb*cima*l3*sa*sb + cb**2d0*  &
                     cima*l4*sa**2d0/2d0 + cb**2d0*cima*l5*sa**2d0/2d0 + cima* &
                     ee**2d0*sa**2d0*sb**2d0/(4d0*sw**2d0) - cima*l4*sa**2d0*sb&
                     **2d0/2d0 - cima*l5*sa**2d0*sb**2d0/2d0
    coupl(nGC_143) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb** &
                     2d0*cima*l5 + ca**2d0*cb**2d0*cima*ee**2d0/(4d0*cw**2d0   &
                     ) + ca**2d0*cima*l5*sb**2d0 + ca*cb*cima*ee**2d0*sa*sb/(  &
                     2d0*sw**2d0) - ca*cb*cima*l1*sa*sb - ca*cb*cima*l2*sa*sb  &
                      + 2d0*ca*cb*cima*l3*sa*sb + 2d0*ca*cb*cima*l4*sa*sb - 2d0&
                     *ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**2d0*sa*sb/(2d0*cw** &
                     2d0) + cb**2d0*cima*l5*sa**2d0 + cima*ee**2d0*sa**2d0*sb**&
                     2d0/(4d0*sw**2d0) - cima*l5*sa**2d0*sb**2d0 + cima*ee**2d0&
                     *sa**2d0*sb**2d0/(4d0*cw**2d0)
    coupl(nGC_21688) = -cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_21689) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0*&
                       l1*sb**2d0 + ca**2d0*l3*sb**2d0 + 4d0*ca*cb*l4*sa*sb +  &
                       4d0*ca*cb*l5*sa*sb - cb**2d0*l2*sa**2d0 + cb**2d0*l3*sa &
                       **2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0)
    coupl(nGC_21684) = -2d0*ca*cb*cima*sa*sb
    coupl(nGC_21685) = -2d0*ca*cb*cima*sa*sb
    coupl(nGC_21686) = -ca**2d0*cb**2d0*cima
    coupl(nGC_21687) = 2d0*cima*(-ca**2d0*cb*l4*sb - ca**2d0*cb*l5*sb + ca*cb**&
                       2d0*l1*sa - ca*cb**2d0*l3*sa - ca*l2*sa*sb**2d0 + ca*l3*&
                       sa*sb**2d0 + cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
    coupl(nGC_21683) = -cima*sa**2d0*sb**2d0
    coupl(nGC_21195) = cb*cima
    coupl(nGC_21196) = cima*sb
    coupl(nGC_209) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
    coupl(nGC_208) = cima*ee*sw/cw
    coupl(nGC_21758) = -cima*(-2d0*ca**2d0*cb*l4*sb - 2d0*ca**2d0*cb*l5*sb + ca&
                       *cb**2d0*l1*sa + ca*cb**2d0*l2*sa - 2d0*ca*cb**2d0*l3*sa&
                        - ca*l1*sa*sb**2d0 - ca*l2*sa*sb**2d0 + 2d0*ca*l3*sa*sb&
                       **2d0 + 2d0*cb*l4*sa**2d0*sb + 2d0*cb*l5*sa**2d0*sb)
    coupl(nGC_21759) = -ca*cb*cima*sa*sb
    coupl(nGC_203) = cima*cw*ee**2d0/sw
    coupl(nGC_202) = -cima*cw*ee**2d0/sw
    coupl(nGC_201) = 2d0*cima*cw*ee/sw
    coupl(nGC_200) = -2d0*cima*cw*ee/sw
    coupl(nGC_207) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_206) = cima*ee*sw/(3d0*cw)
    coupl(nGC_205) = 2d0*cima*cw*ee**2d0/sw
    coupl(nGC_204) = -2d0*cima*cw*ee**2d0/sw
    coupl(nGC_377) = -sqrt(2d0)*cb*ytau2/2d0 + sqrt(2d0)*sb*ytau1/2d0
    coupl(nGC_20761) = -ca*cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_375) = -sqrt(2d0)*ca*cima*ytau2/2d0 + sqrt(2d0)*cima*sa*ytau1/2d0
    coupl(nGC_20763) = -cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**2d0
    coupl(nGC_373) = cb*cima*yt1 + cima*sb*yt2
    coupl(nGC_372) = -sqrt(2d0)*ca*cima*yt1/2d0 - sqrt(2d0)*cima*sa*yt2/2d0
    coupl(nGC_371) = sqrt(2d0)*cb*yt2/2d0 - sqrt(2d0)*sb*yt1/2d0
    coupl(nGC_370) = cb*cima*yt2 - cima*sb*yt1
    coupl(nGC_20768) = cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**2d0
    coupl(nGC_20769) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/(2d0*sw**2d0)
    coupl(nGC_379) = -cb*cima*ytau1 - cima*sb*ytau2
    coupl(nGC_378) = -sqrt(2d0)*ca*cima*ytau1/2d0 - sqrt(2d0)*cima*sa*ytau2/2d0
    coupl(nGC_559) = -cima*(cb - sb)*(cb + sb)*(ca*vev2 + sa*vev1)/2d0
    coupl(nGC_557) = -cima*(cb - sb)*(cb + sb)*(ca*vev2 + sa*vev1)/2d0
    coupl(nGC_555) = -cb*cima*sb*(ca*vev1 - sa*vev2)
    coupl(nGC_551) = cima*(ca*cb**2d0*l1*vev1 - ca*cb**2d0*l3*vev1 + 2d0*ca*cb*&
                     l4*sb*vev2 + 2d0*ca*cb*l5*sb*vev2 - ca*l1*sb**2d0*vev1 +  &
                     ca*l3*sb**2d0*vev1 - cb**2d0*l2*sa*vev2 + cb**2d0*l3*sa*  &
                     vev2 + 2d0*cb*l4*sa*sb*vev1 + 2d0*cb*l5*sa*sb*vev1 + l2*sa&
                     *sb**2d0*vev2 - l3*sa*sb**2d0*vev2)
    coupl(nGC_102) = -ca**2d0*cb**2d0*cima*l4/2d0 - ca**2d0*cb**2d0*cima*l5/2d0&
                      - ca**2d0*cima*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca**2d0*  &
                     cima*l4*sb**2d0/2d0 + ca**2d0*cima*l5*sb**2d0/2d0 + ca*cb*&
                     cima*ee**2d0*sa*sb/(2d0*sw**2d0) - ca*cb*cima*l1*sa*sb -  &
                     ca*cb*cima*l2*sa*sb + 2d0*ca*cb*cima*l3*sa*sb - cb**2d0*  &
                     cima*ee**2d0*sa**2d0/(4d0*sw**2d0) + cb**2d0*cima*l4*sa** &
                     2d0/2d0 + cb**2d0*cima*l5*sa**2d0/2d0 - cima*l4*sa**2d0*sb&
                     **2d0/2d0 - cima*l5*sa**2d0*sb**2d0/2d0
    coupl(nGC_153) = ca*cb**2d0*ee**2d0*sb/(4d0*sw**2d0) - ca*cb**2d0*l4*sb/2d0&
                      + ca*cb**2d0*l5*sb/2d0 + ca*ee**2d0*sb**3d0/(4d0*sw**2d0 &
                     ) - ca*l4*sb**3d0/2d0 + ca*l5*sb**3d0/2d0 - cb**3d0*ee**  &
                     2d0*sa/(4d0*sw**2d0) + cb**3d0*l4*sa/2d0 - cb**3d0*l5*sa/ &
                     2d0 - cb*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) + cb*l4*sa*sb** &
                     2d0/2d0 - cb*l5*sa*sb**2d0/2d0
    coupl(nGC_152) = ca*cb**2d0*ee**2d0*sb/(4d0*sw**2d0) + ca*cb**2d0*l4*sb/2d0&
                      - ca*cb**2d0*l5*sb/2d0 + ca*ee**2d0*sb**3d0/(4d0*sw**2d0 &
                     ) + ca*l4*sb**3d0/2d0 - ca*l5*sb**3d0/2d0 - cb**3d0*ee**  &
                     2d0*sa/(4d0*sw**2d0) - cb**3d0*l4*sa/2d0 + cb**3d0*l5*sa/ &
                     2d0 - cb*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) - cb*l4*sa*sb** &
                     2d0/2d0 + cb*l5*sa*sb**2d0/2d0
    coupl(nGC_150) = -ca*cb**2d0*ee**2d0*sb/(4d0*sw**2d0) - ca*cb**2d0*l4*sb/  &
                     2d0 + ca*cb**2d0*l5*sb/2d0 - ca*ee**2d0*sb**3d0/(4d0*sw** &
                     2d0) - ca*l4*sb**3d0/2d0 + ca*l5*sb**3d0/2d0 + cb**3d0*ee &
                     **2d0*sa/(4d0*sw**2d0) + cb**3d0*l4*sa/2d0 - cb**3d0*l5*sa&
                     /2d0 + cb*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) + cb*l4*sa*sb**&
                     2d0/2d0 - cb*l5*sa*sb**2d0/2d0
    coupl(nGC_157) = ca*cb**3d0*ee**2d0/(4d0*sw**2d0) - ca*cb**3d0*ee**2d0/(4d0&
                     *cw**2d0) + ca*cb*ee**2d0*sb**2d0/(4d0*sw**2d0) - ca*cb*ee&
                     **2d0*sb**2d0/(4d0*cw**2d0) + cb**2d0*ee**2d0*sa*sb/(4d0* &
                     sw**2d0) - cb**2d0*ee**2d0*sa*sb/(4d0*cw**2d0) + ee**2d0* &
                     sa*sb**3d0/(4d0*sw**2d0) - ee**2d0*sa*sb**3d0/(4d0*cw**2d0&
                     )
    coupl(nGC_156) = -ca*cb**3d0*ee**2d0/(4d0*sw**2d0) - ca*cb**3d0*l4/2d0 + ca&
                     *cb**3d0*l5/2d0 - ca*cb*ee**2d0*sb**2d0/(4d0*sw**2d0) - ca&
                     *cb*l4*sb**2d0/2d0 + ca*cb*l5*sb**2d0/2d0 - cb**2d0*ee**  &
                     2d0*sa*sb/(4d0*sw**2d0) - cb**2d0*l4*sa*sb/2d0 + cb**2d0* &
                     l5*sa*sb/2d0 - ee**2d0*sa*sb**3d0/(4d0*sw**2d0) - l4*sa*sb&
                     **3d0/2d0 + l5*sa*sb**3d0/2d0
    coupl(nGC_155) = -ca*cb**3d0*ee**2d0/(4d0*sw**2d0) + ca*cb**3d0*l4/2d0 - ca&
                     *cb**3d0*l5/2d0 - ca*cb*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca&
                     *cb*l4*sb**2d0/2d0 - ca*cb*l5*sb**2d0/2d0 - cb**2d0*ee**  &
                     2d0*sa*sb/(4d0*sw**2d0) + cb**2d0*l4*sa*sb/2d0 - cb**2d0* &
                     l5*sa*sb/2d0 - ee**2d0*sa*sb**3d0/(4d0*sw**2d0) + l4*sa*sb&
                     **3d0/2d0 - l5*sa*sb**3d0/2d0
    coupl(nGC_154) = -ca*cb**3d0*ee**2d0/(4d0*sw**2d0) + ca*cb**3d0*ee**2d0/(  &
                     4d0*cw**2d0) - ca*cb*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca*cb&
                     *ee**2d0*sb**2d0/(4d0*cw**2d0) - cb**2d0*ee**2d0*sa*sb/(  &
                     4d0*sw**2d0) + cb**2d0*ee**2d0*sa*sb/(4d0*cw**2d0) - ee** &
                     2d0*sa*sb**3d0/(4d0*sw**2d0) + ee**2d0*sa*sb**3d0/(4d0*cw &
                     **2d0)
    coupl(nGC_159) = ca*cb**3d0*ee**2d0/(4d0*sw**2d0) - ca*cb**3d0*l4/2d0 + ca*&
                     cb**3d0*l5/2d0 + ca*cb*ee**2d0*sb**2d0/(4d0*sw**2d0) - ca*&
                     cb*l4*sb**2d0/2d0 + ca*cb*l5*sb**2d0/2d0 + cb**2d0*ee**2d0&
                     *sa*sb/(4d0*sw**2d0) - cb**2d0*l4*sa*sb/2d0 + cb**2d0*l5* &
                     sa*sb/2d0 + ee**2d0*sa*sb**3d0/(4d0*sw**2d0) - l4*sa*sb** &
                     3d0/2d0 + l5*sa*sb**3d0/2d0
    coupl(nGC_158) = ca*cb**3d0*ee**2d0/(4d0*sw**2d0) + ca*cb**3d0*l4/2d0 - ca*&
                     cb**3d0*l5/2d0 + ca*cb*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca*&
                     cb*l4*sb**2d0/2d0 - ca*cb*l5*sb**2d0/2d0 + cb**2d0*ee**2d0&
                     *sa*sb/(4d0*sw**2d0) + cb**2d0*l4*sa*sb/2d0 - cb**2d0*l5* &
                     sa*sb/2d0 + ee**2d0*sa*sb**3d0/(4d0*sw**2d0) + l4*sa*sb** &
                     3d0/2d0 - l5*sa*sb**3d0/2d0
    coupl(nGC_20962) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_20960) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_20961) = -sqrt(2d0)*cima*(ca*yt2 - sa*yt1)/2d0
    coupl(nGC_21212) = (cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
    coupl(nGC_21210) = -sqrt(2d0)*sb/2d0
    coupl(nGC_21214) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
    coupl(nGC_1449) = -coupl(nGC_365)
    coupl(nGC_21205) = -(cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
    coupl(nGC_339) = -sqrt(2d0)*ca*cima*yd13x3/2d0 - sqrt(2d0)*cima*sa*yb2/2d0
    coupl(nGC_21142) = cima*ee**2d0*(cb*vev2 - sb*vev1)/sw
    coupl(nGC_21141) = -cima*ee**2d0*sb/(2d0*sw)
    coupl(nGC_235) = -3d0*ca**3d0*cima*l1*vev1 - 3d0*ca**2d0*cima*l3*sa*vev2 - &
                     3d0*ca**2d0*cima*l4*sa*vev2 - 3d0*ca**2d0*cima*l5*sa*vev2 &
                      - 3d0*ca*cima*l3*sa**2d0*vev1 - 3d0*ca*cima*l4*sa**2d0*  &
                     vev1 - 3d0*ca*cima*l5*sa**2d0*vev1 - 3d0*cima*l2*sa**3d0* &
                     vev2
    coupl(nGC_332) = ca*cima*cw**2d0*ee**2d0*vev1/(2d0*sw**2d0) + ca*cima*ee** &
                     2d0*vev1 + ca*cima*ee**2d0*sw**2d0*vev1/(2d0*cw**2d0) +   &
                     cima*cw**2d0*ee**2d0*sa*vev2/(2d0*sw**2d0) + cima*ee**2d0*&
                     sa*vev2 + cima*ee**2d0*sa*sw**2d0*vev2/(2d0*cw**2d0)
    coupl(nGC_21569) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_21568) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)**  &
                       2d0/(cw**2d0*sw**2d0)
    coupl(nGC_330) = -ca*cima*cw**2d0*ee**2d0*vev1/(4d0*sw**2d0) - ca*cima*ee**&
                     2d0*vev1/2d0 - ca*cima*ee**2d0*sw**2d0*vev1/(4d0*cw**2d0  &
                     ) - cima*cw**2d0*ee**2d0*sa*vev2/(4d0*sw**2d0) - cima*ee**&
                     2d0*sa*vev2/2d0 - cima*ee**2d0*sa*sw**2d0*vev2/(4d0*cw**  &
                     2d0)
    coupl(nGC_21560) = cima*(ca*cb*l1*sb - ca*cb*l3*sb - ca*cb*l4*sb + ca*cb*l5&
                       *sb - cb**2d0*l5*sa + l5*sa*sb**2d0)
    coupl(nGC_21563) = -cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca*cb*l3*&
                       sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 - ca*l5*sb&
                       **2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb*vev1 - cb*&
                       l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa*sb*vev1 + l5&
                       *sa*sb**2d0*vev2)
    coupl(nGC_21562) = -cb*cima*sb*(ca*vev1 - sa*vev2)
    coupl(nGC_21565) = -ee**2d0*(cb**2d0 + sb**2d0)/cw
    coupl(nGC_21567) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(cw&
                       **2d0 + sw**2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_336) = -sqrt(2d0)*ca*cima*yc1/2d0 - sqrt(2d0)*cima*sa*yc2/2d0
    coupl(nGC_53) = -ca*cb**2d0*l4*sb/2d0 + ca*cb**2d0*l5*sb/2d0 - ca*l4*sb**  &
                    3d0/2d0 + ca*l5*sb**3d0/2d0 + cb**3d0*l4*sa/2d0 - cb**3d0* &
                    l5*sa/2d0 + cb*l4*sa*sb**2d0/2d0 - cb*l5*sa*sb**2d0/2d0
    coupl(nGC_52) = ca*cb**2d0*l4*sb/2d0 - ca*cb**2d0*l5*sb/2d0 + ca*l4*sb**3d0&
                    /2d0 - ca*l5*sb**3d0/2d0 - cb**3d0*l4*sa/2d0 + cb**3d0*l5* &
                    sa/2d0 - cb*l4*sa*sb**2d0/2d0 + cb*l5*sa*sb**2d0/2d0
    coupl(nGC_51) = ca*cb**2d0*ee**2d0*sb/(4d0*cw**2d0) + ca*ee**2d0*sb**3d0/( &
                    4d0*cw**2d0) - cb**3d0*ee**2d0*sa/(4d0*cw**2d0) - cb*ee**  &
                    2d0*sa*sb**2d0/(4d0*cw**2d0)
    coupl(nGC_50) = -ca*cb**2d0*ee**2d0*sb/(4d0*cw**2d0) - ca*ee**2d0*sb**3d0/(&
                    4d0*cw**2d0) + cb**3d0*ee**2d0*sa/(4d0*cw**2d0) + cb*ee**  &
                    2d0*sa*sb**2d0/(4d0*cw**2d0)
    coupl(nGC_57) = 2d0*cb**3d0*cima*l1*sb - 2d0*cb**3d0*cima*l3*sb - 2d0*cb** &
                    3d0*cima*l4*sb - 2d0*cb**3d0*cima*l5*sb - 2d0*cb*cima*l2*sb&
                    **3d0 + 2d0*cb*cima*l3*sb**3d0 + 2d0*cb*cima*l4*sb**3d0 +  &
                    2d0*cb*cima*l5*sb**3d0
    coupl(nGC_56) = -2d0*cb**3d0*cima*l2*sb + 2d0*cb**3d0*cima*l3*sb + 2d0*cb**&
                    3d0*cima*l4*sb + 2d0*cb**3d0*cima*l5*sb + 2d0*cb*cima*l1*sb&
                    **3d0 - 2d0*cb*cima*l3*sb**3d0 - 2d0*cb*cima*l4*sb**3d0 -  &
                    2d0*cb*cima*l5*sb**3d0
    coupl(nGC_55) = cb**3d0*cima*l1*sb - cb**3d0*cima*l3*sb - cb**3d0*cima*l4* &
                    sb - cb**3d0*cima*l5*sb - cb*cima*l2*sb**3d0 + cb*cima*l3* &
                    sb**3d0 + cb*cima*l4*sb**3d0 + cb*cima*l5*sb**3d0
    coupl(nGC_54) = -cb**3d0*cima*l2*sb + cb**3d0*cima*l3*sb + cb**3d0*cima*l4*&
                    sb + cb**3d0*cima*l5*sb + cb*cima*l1*sb**3d0 - cb*cima*l3* &
                    sb**3d0 - cb*cima*l4*sb**3d0 - cb*cima*l5*sb**3d0
    coupl(nGC_58) = -3d0*cb**3d0*cima*l2*sb + 3d0*cb**3d0*cima*l3*sb + 3d0*cb**&
                    3d0*cima*l4*sb + 3d0*cb**3d0*cima*l5*sb + 3d0*cb*cima*l1*sb&
                    **3d0 - 3d0*cb*cima*l3*sb**3d0 - 3d0*cb*cima*l4*sb**3d0 -  &
                    3d0*cb*cima*l5*sb**3d0
    coupl(nGC_21856) = -cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_MC) = -cMC*cima
    coupl(nGC_21699) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
    coupl(nGC_21698) = cima*(ca**2d0*sb**2d0 - 4d0*ca*cb*sa*sb + cb**2d0*sa**  &
                       2d0)
    coupl(nGC_21697) = -ca**2d0*cb**2d0*cima
    coupl(nGC_21696) = -2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca**  &
                       2d0*cb*l4*sb - ca**2d0*cb*l5*sb + 2d0*ca*cb**2d0*l5*sa  &
                        - 2d0*ca*l5*sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa** &
                       2d0*sb - cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
    coupl(nGC_21695) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
    coupl(nGC_21694) = -cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0&
                       *l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*sb + &
                       2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*l4*sa &
                       **2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + l5*sa &
                       **2d0*sb**2d0)
    coupl(nGC_21692) = -ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_ME) = -cME*cima
    coupl(nGC_MD) = -cMD*cima
    coupl(nGC_21183) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21187) = -4d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3 - &
                       2d0*l4 - 2d0*l5)
    coupl(nGC_21186) = -cima*(cb - sb)**2d0*(cb + sb)**2d0
    coupl(nGC_21185) = 4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21184) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21500) = cima*ee**2d0*(ca*cb + sa*sb)/cw
    coupl(nGC_21743) = -cima*sb
    coupl(nGC_21745) = -cb*cima
    coupl(nGC_21744) = -cima*(cb*ydo2 - sb*ydo1)
    coupl(nGC_21747) = (cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
    coupl(nGC_21746) = -(cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
    coupl(nGC_21749) = sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
    coupl(nGC_2011) = -coupl(nGC_172)
    coupl(nGC_MU) = -cMU*cima
    coupl(nGC_302) = -cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) + cb**3d0*l4*vev2/2d0 &
                      - cb**3d0*l5*vev2/2d0 + cb**2d0*ee**2d0*sb*vev1/(4d0*sw**&
                     2d0) - cb**2d0*l4*sb*vev1/2d0 + cb**2d0*l5*sb*vev1/2d0 -  &
                     cb*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) + cb*l4*sb**2d0*vev2&
                     /2d0 - cb*l5*sb**2d0*vev2/2d0 + ee**2d0*sb**3d0*vev1/(4d0*&
                     sw**2d0) - l4*sb**3d0*vev1/2d0 + l5*sb**3d0*vev1/2d0
    coupl(nGC_303) = -cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) - cb**3d0*l4*vev2/2d0 &
                      + cb**3d0*l5*vev2/2d0 + cb**2d0*ee**2d0*sb*vev1/(4d0*sw**&
                     2d0) + cb**2d0*l4*sb*vev1/2d0 - cb**2d0*l5*sb*vev1/2d0 -  &
                     cb*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) - cb*l4*sb**2d0*vev2&
                     /2d0 + cb*l5*sb**2d0*vev2/2d0 + ee**2d0*sb**3d0*vev1/(4d0*&
                     sw**2d0) + l4*sb**3d0*vev1/2d0 - l5*sb**3d0*vev1/2d0
  end subroutine fill_couplings_mdl1
end module fill_couplings1
