!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-10 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl2()
    coupl(nGC_20807) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_301) = -cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) + cb**3d0*ee**2d0*vev2&
                     /(4d0*cw**2d0) + cb**2d0*ee**2d0*sb*vev1/(4d0*sw**2d0) -  &
                     cb**2d0*ee**2d0*sb*vev1/(4d0*cw**2d0) - cb*ee**2d0*sb**2d0&
                     *vev2/(4d0*sw**2d0) + cb*ee**2d0*sb**2d0*vev2/(4d0*cw**2d0&
                     ) + ee**2d0*sb**3d0*vev1/(4d0*sw**2d0) - ee**2d0*sb**3d0* &
                     vev1/(4d0*cw**2d0)
    coupl(nGC_20801) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw**2d0)
    coupl(nGC_304) = cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) - cb**3d0*ee**2d0*vev2 &
                     /(4d0*cw**2d0) - cb**2d0*ee**2d0*sb*vev1/(4d0*sw**2d0) +  &
                     cb**2d0*ee**2d0*sb*vev1/(4d0*cw**2d0) + cb*ee**2d0*sb**2d0&
                     *vev2/(4d0*sw**2d0) - cb*ee**2d0*sb**2d0*vev2/(4d0*cw**2d0&
                     ) - ee**2d0*sb**3d0*vev1/(4d0*sw**2d0) + ee**2d0*sb**3d0* &
                     vev1/(4d0*cw**2d0)
    coupl(nGC_20802) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw)
    coupl(nGC_308) = -ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0* &
                     cima*l5*vev1 - ca*cb**2d0*cima*ee**2d0*vev1/(4d0*cw**2d0  &
                     ) - ca*cb*cima*ee**2d0*sb*vev2/(2d0*sw**2d0) - ca*cb*cima*&
                     l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 + ca*cb*cima*l4*sb*vev2&
                      - ca*cb*cima*l5*sb*vev2 - ca*cb*cima*ee**2d0*sb*vev2/(2d0&
                     *cw**2d0) + ca*cima*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) +  &
                     ca*cima*l5*sb**2d0*vev1 + ca*cima*ee**2d0*sb**2d0*vev1/(  &
                     4d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa*vev2/(4d0*sw**2d0  &
                     ) + cb**2d0*cima*l5*sa*vev2 + cb**2d0*cima*ee**2d0*sa*vev2&
                     /(4d0*cw**2d0) - cb*cima*ee**2d0*sa*sb*vev1/(2d0*sw**2d0  &
                     ) - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 + cb*   &
                     cima*l4*sa*sb*vev1 - cb*cima*l5*sa*sb*vev1 - cb*cima*ee** &
                     2d0*sa*sb*vev1/(2d0*cw**2d0) - cima*ee**2d0*sa*sb**2d0*   &
                     vev2/(4d0*sw**2d0) - cima*l5*sa*sb**2d0*vev2 - cima*ee**  &
                     2d0*sa*sb**2d0*vev2/(4d0*cw**2d0)
    coupl(nGC_20809) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
    coupl(nGC_20808) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw**2d0)
    coupl(nGC_523) = -cima*(ca*cb**2d0*l3 + ca*l1*sb**2d0 - cb*l4*sa*sb - cb*l5&
                     *sa*sb)
    coupl(nGC_521) = -ca*cima*sb**2d0*vev1
    coupl(nGC_527) = cima*(-ca*cb**2d0*l2*vev2 + ca*cb*l4*sb*vev1 + ca*cb*l5*sb&
                     *vev1 - ca*l3*sb**2d0*vev2 + cb**2d0*l3*sa*vev1 - cb*l4*sa&
                     *sb*vev2 - cb*l5*sa*sb*vev2 + l1*sa*sb**2d0*vev1)
    coupl(nGC_525) = -cima*(-ca*cb*l4*sb - ca*cb*l5*sb + cb**2d0*l2*sa + l3*sa*&
                     sb**2d0)
    coupl(nGC_21352) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21353) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21350) = -2d0*cima*cw*ee/sw
    coupl(nGC_21351) = 4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21356) = -4d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3 - &
                       2d0*l4 - 2d0*l5)
    coupl(nGC_21357) = cima*ee**2d0*(ca**2d0 + sa**2d0)/sw**3d0
    coupl(nGC_21354) = -2d0*cima*(cb**4d0 + sb**4d0)
    coupl(nGC_21355) = 4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_20979) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
    coupl(nGC_20978) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
    coupl(nGC_20975) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
    coupl(nGC_20977) = -3d0*cima*sa**3d0*vev2
    coupl(nGC_20976) = -3d0*ca**3d0*cima*vev1
    coupl(nGC_21423) = 3d0*cima*(-ca**4d0*l2 + ca**4d0*l3 + ca**4d0*l4 + ca**  &
                       4d0*l5 + 3d0*ca**2d0*l1*sa**2d0 + 3d0*ca**2d0*l2*sa**2d0&
                        - 6d0*ca**2d0*l3*sa**2d0 - 6d0*ca**2d0*l4*sa**2d0 - 6d0&
                       *ca**2d0*l5*sa**2d0 - l1*sa**4d0 + l3*sa**4d0 + l4*sa** &
                       4d0 + l5*sa**4d0)
    coupl(nGC_MW_GF) = cMW*cima
    coupl(nGC_581) = -sqrt(2d0)*(cb*yt1 + sb*yt2)/2d0
    coupl(nGC_583) = -sqrt(2d0)*sb/2d0
    coupl(nGC_341) = -sqrt(2d0)*cb*yd13x3/2d0 - sqrt(2d0)*sb*yb2/2d0
    coupl(nGC_21510) = 2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_21511) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_48) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca**  &
                    2d0*cb**2d0*cima*l5 - ca**2d0*cima*l1*sb**2d0 + 4d0*ca*cb* &
                    cima*l5*sa*sb - cb**2d0*cima*l2*sa**2d0 - cima*l3*sa**2d0* &
                    sb**2d0 - cima*l4*sa**2d0*sb**2d0 + cima*l5*sa**2d0*sb**2d0
    coupl(nGC_49) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca**  &
                    2d0*cb**2d0*cima*l5 - ca**2d0*cima*l2*sb**2d0 + 4d0*ca*cb* &
                    cima*l5*sa*sb - cb**2d0*cima*l1*sa**2d0 - cima*l3*sa**2d0* &
                    sb**2d0 - cima*l4*sa**2d0*sb**2d0 + cima*l5*sa**2d0*sb**2d0
    coupl(nGC_44) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*l1*sb**2d0 + 2d0*ca&
                    *cb*cima*l4*sa*sb + 2d0*ca*cb*cima*l5*sa*sb - cb**2d0*cima*&
                    l2*sa**2d0 - cima*l3*sa**2d0*sb**2d0
    coupl(nGC_45) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*l2*sb**2d0 + 2d0*ca&
                    *cb*cima*l4*sa*sb + 2d0*ca*cb*cima*l5*sa*sb - cb**2d0*cima*&
                    l1*sa**2d0 - cima*l3*sa**2d0*sb**2d0
    coupl(nGC_46) = -ca**2d0*cb**2d0*cima*l4/2d0 - ca**2d0*cb**2d0*cima*l5/2d0 &
                     + ca**2d0*cima*l4*sb**2d0/2d0 + ca**2d0*cima*l5*sb**2d0/  &
                    2d0 - ca*cb*cima*l1*sa*sb - ca*cb*cima*l2*sa*sb + 2d0*ca*cb&
                    *cima*l3*sa*sb + cb**2d0*cima*l4*sa**2d0/2d0 + cb**2d0*cima&
                    *l5*sa**2d0/2d0 - cima*l4*sa**2d0*sb**2d0/2d0 - cima*l5*sa &
                    **2d0*sb**2d0/2d0
    coupl(nGC_47) = -ca**2d0*cb**2d0*cima*l5 + ca**2d0*cima*l5*sb**2d0 - ca*cb*&
                    cima*l1*sa*sb - ca*cb*cima*l2*sa*sb + 2d0*ca*cb*cima*l3*sa*&
                    sb + 2d0*ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa*sb + cb&
                    **2d0*cima*l5*sa**2d0 - cima*l5*sa**2d0*sb**2d0
    coupl(nGC_40) = -ca**2d0*cb**2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 - 2d0*ca&
                    *cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa*sb - cb**2d0*cima*&
                    l3*sa**2d0 - cima*l1*sa**2d0*sb**2d0
    coupl(nGC_41) = -ca**2d0*cb**2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 - ca**  &
                    2d0*cima*l4*sb**2d0 + ca**2d0*cima*l5*sb**2d0 - 4d0*ca*cb* &
                    cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima*l4* &
                    sa**2d0 + cb**2d0*cima*l5*sa**2d0 - cima*l1*sa**2d0*sb**2d0
    coupl(nGC_42) = -ca**2d0*cb**2d0*cima*l1 - ca**2d0*cima*l3*sb**2d0 - 2d0*ca&
                    *cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa*sb - cb**2d0*cima*&
                    l3*sa**2d0 - cima*l2*sa**2d0*sb**2d0
    coupl(nGC_43) = -ca**2d0*cb**2d0*cima*l1 - ca**2d0*cima*l3*sb**2d0 - ca**  &
                    2d0*cima*l4*sb**2d0 + ca**2d0*cima*l5*sb**2d0 - 4d0*ca*cb* &
                    cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima*l4* &
                    sa**2d0 + cb**2d0*cima*l5*sa**2d0 - cima*l2*sa**2d0*sb**2d0
    coupl(nGC_21420) = -3d0*ca**3d0*cima*sa
    coupl(nGC_21421) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
    coupl(nGC_21424) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
    coupl(nGC_21425) = 3d0*ca**3d0*cima*sa
    coupl(nGC_21426) = -3d0*ca*cima*sa**3d0
    coupl(nGC_21427) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
    coupl(nGC_21428) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
    coupl(nGC_21429) = 3d0*cima*(ca**4d0*l1 - ca**4d0*l3 - ca**4d0*l4 - ca**4d0&
                       *l5 - 3d0*ca**2d0*l1*sa**2d0 - 3d0*ca**2d0*l2*sa**2d0 + &
                       6d0*ca**2d0*l3*sa**2d0 + 6d0*ca**2d0*l4*sa**2d0 + 6d0*ca&
                       **2d0*l5*sa**2d0 + l2*sa**4d0 - l3*sa**4d0 - l4*sa**4d0 &
                        - l5*sa**4d0)
    coupl(nGC_21734) = -ca**2d0*cima*sb**2d0
    coupl(nGC_21735) = 2d0*ca*cb*cima*sa*sb
    coupl(nGC_21736) = 2d0*ca*cb*cima*sa*sb
    coupl(nGC_21737) = -cb**2d0*cima*sa**2d0
    coupl(nGC_21730) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
    coupl(nGC_21732) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
    coupl(nGC_21733) = 2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca*cb**&
                       2d0*l4*sa + ca*cb**2d0*l5*sa - ca*l4*sa*sb**2d0 - ca*l5*&
                       sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**2d0*sb)
    coupl(nGC_21738) = -2d0*cima*(-ca**2d0*cb*l4*sb - ca**2d0*cb*l5*sb + ca*cb &
                       **2d0*l1*sa - ca*cb**2d0*l3*sa - ca*l2*sa*sb**2d0 + ca* &
                       l3*sa*sb**2d0 + cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
    coupl(nGC_311) = ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0*  &
                     cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/2d0 + ca*cb*   &
                     cima*ee**2d0*sb*vev2/(4d0*sw**2d0) - ca*cb*cima*l2*sb*vev2&
                      + ca*cb*cima*l3*sb*vev2 + ca*cima*l4*sb**2d0*vev1/2d0 +  &
                     ca*cima*l5*sb**2d0*vev1/2d0 + cb**2d0*cima*l4*sa*vev2/2d0 &
                      + cb**2d0*cima*l5*sa*vev2/2d0 + cb*cima*ee**2d0*sa*sb*   &
                     vev1/(4d0*sw**2d0) - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa&
                     *sb*vev1 + cima*ee**2d0*sa*sb**2d0*vev2/(4d0*sw**2d0) -   &
                     cima*l4*sa*sb**2d0*vev2/2d0 - cima*l5*sa*sb**2d0*vev2/2d0
    coupl(nGC_310) = ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0*  &
                     cima*l1*vev1 + ca*cb**2d0*cima*ee**2d0*vev1/(4d0*cw**2d0  &
                     ) + ca*cb*cima*ee**2d0*sb*vev2/(4d0*sw**2d0) - 2d0*ca*cb* &
                     cima*l5*sb*vev2 + ca*cb*cima*ee**2d0*sb*vev2/(4d0*cw**2d0 &
                     ) - ca*cima*l3*sb**2d0*vev1 - ca*cima*l4*sb**2d0*vev1 + ca&
                     *cima*l5*sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2 - cb**2d0*&
                     cima*l4*sa*vev2 + cb**2d0*cima*l5*sa*vev2 + cb*cima*ee**  &
                     2d0*sa*sb*vev1/(4d0*sw**2d0) - 2d0*cb*cima*l5*sa*sb*vev1  &
                      + cb*cima*ee**2d0*sa*sb*vev1/(4d0*cw**2d0) + cima*ee**2d0&
                     *sa*sb**2d0*vev2/(4d0*sw**2d0) - cima*l2*sa*sb**2d0*vev2  &
                      + cima*ee**2d0*sa*sb**2d0*vev2/(4d0*cw**2d0)
    coupl(nGC_313) = -ca*cb**2d0*cima*ee**2d0*vev1/(2d0*sw**2d0) - ca*cb**2d0* &
                     cima*l1*vev1 - ca*cb*cima*ee**2d0*sb*vev2/(2d0*sw**2d0) - &
                     ca*cb*cima*l4*sb*vev2 - ca*cb*cima*l5*sb*vev2 - ca*cima*l3&
                     *sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2 - cb*cima*ee**2d0*&
                     sa*sb*vev1/(2d0*sw**2d0) - cb*cima*l4*sa*sb*vev1 - cb*cima&
                     *l5*sa*sb*vev1 - cima*ee**2d0*sa*sb**2d0*vev2/(2d0*sw**2d0&
                     ) - cima*l2*sa*sb**2d0*vev2
    coupl(nGC_312) = ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0*  &
                     cima*l5*vev1 + ca*cb**2d0*cima*ee**2d0*vev1/(4d0*cw**2d0  &
                     ) + ca*cb*cima*ee**2d0*sb*vev2/(4d0*sw**2d0) - ca*cb*cima*&
                     l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 + ca*cb*cima*l4*sb*vev2&
                      - ca*cb*cima*l5*sb*vev2 + ca*cb*cima*ee**2d0*sb*vev2/(4d0&
                     *cw**2d0) + ca*cima*l5*sb**2d0*vev1 + cb**2d0*cima*l5*sa* &
                     vev2 + cb*cima*ee**2d0*sa*sb*vev1/(4d0*sw**2d0) - cb*cima*&
                     l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 + cb*cima*l4*sa*sb* &
                     vev1 - cb*cima*l5*sa*sb*vev1 + cb*cima*ee**2d0*sa*sb*vev1 &
                     /(4d0*cw**2d0) + cima*ee**2d0*sa*sb**2d0*vev2/(4d0*sw**2d0&
                     ) - cima*l5*sa*sb**2d0*vev2 + cima*ee**2d0*sa*sb**2d0*vev2&
                     /(4d0*cw**2d0)
    coupl(nGC_315) = -cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) + cb**3d0*ee**2d0*vev1&
                     /(4d0*cw**2d0) - cb**2d0*ee**2d0*sb*vev2/(4d0*sw**2d0) +  &
                     cb**2d0*ee**2d0*sb*vev2/(4d0*cw**2d0) - cb*ee**2d0*sb**2d0&
                     *vev1/(4d0*sw**2d0) + cb*ee**2d0*sb**2d0*vev1/(4d0*cw**2d0&
                     ) - ee**2d0*sb**3d0*vev2/(4d0*sw**2d0) + ee**2d0*sb**3d0* &
                     vev2/(4d0*cw**2d0)
    coupl(nGC_314) = -ca*cb**2d0*cima*ee**2d0*vev1/(2d0*sw**2d0) - ca*cb**2d0* &
                     cima*l1*vev1 - ca*cb**2d0*cima*ee**2d0*vev1/(2d0*cw**2d0  &
                     ) - ca*cb*cima*ee**2d0*sb*vev2/(2d0*sw**2d0) - 2d0*ca*cb* &
                     cima*l5*sb*vev2 - ca*cb*cima*ee**2d0*sb*vev2/(2d0*cw**2d0 &
                     ) - ca*cima*l3*sb**2d0*vev1 - ca*cima*l4*sb**2d0*vev1 + ca&
                     *cima*l5*sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2 - cb**2d0*&
                     cima*l4*sa*vev2 + cb**2d0*cima*l5*sa*vev2 - cb*cima*ee**  &
                     2d0*sa*sb*vev1/(2d0*sw**2d0) - 2d0*cb*cima*l5*sa*sb*vev1  &
                      - cb*cima*ee**2d0*sa*sb*vev1/(2d0*cw**2d0) - cima*ee**2d0&
                     *sa*sb**2d0*vev2/(2d0*sw**2d0) - cima*l2*sa*sb**2d0*vev2  &
                      - cima*ee**2d0*sa*sb**2d0*vev2/(2d0*cw**2d0)
    coupl(nGC_317) = -cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) - cb**3d0*l4*vev1/2d0 &
                      + cb**3d0*l5*vev1/2d0 - cb**2d0*ee**2d0*sb*vev2/(4d0*sw**&
                     2d0) - cb**2d0*l4*sb*vev2/2d0 + cb**2d0*l5*sb*vev2/2d0 -  &
                     cb*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) - cb*l4*sb**2d0*vev1&
                     /2d0 + cb*l5*sb**2d0*vev1/2d0 - ee**2d0*sb**3d0*vev2/(4d0*&
                     sw**2d0) - l4*sb**3d0*vev2/2d0 + l5*sb**3d0*vev2/2d0
    coupl(nGC_316) = -cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) + cb**3d0*l4*vev1/2d0 &
                      - cb**3d0*l5*vev1/2d0 - cb**2d0*ee**2d0*sb*vev2/(4d0*sw**&
                     2d0) + cb**2d0*l4*sb*vev2/2d0 - cb**2d0*l5*sb*vev2/2d0 -  &
                     cb*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) + cb*l4*sb**2d0*vev1&
                     /2d0 - cb*l5*sb**2d0*vev1/2d0 - ee**2d0*sb**3d0*vev2/(4d0*&
                     sw**2d0) + l4*sb**3d0*vev2/2d0 - l5*sb**3d0*vev2/2d0
    coupl(nGC_319) = cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) + cb**3d0*l4*vev1/2d0  &
                      - cb**3d0*l5*vev1/2d0 + cb**2d0*ee**2d0*sb*vev2/(4d0*sw**&
                     2d0) + cb**2d0*l4*sb*vev2/2d0 - cb**2d0*l5*sb*vev2/2d0 +  &
                     cb*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) + cb*l4*sb**2d0*vev1&
                     /2d0 - cb*l5*sb**2d0*vev1/2d0 + ee**2d0*sb**3d0*vev2/(4d0*&
                     sw**2d0) + l4*sb**3d0*vev2/2d0 - l5*sb**3d0*vev2/2d0
    coupl(nGC_318) = cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) - cb**3d0*ee**2d0*vev1 &
                     /(4d0*cw**2d0) + cb**2d0*ee**2d0*sb*vev2/(4d0*sw**2d0) -  &
                     cb**2d0*ee**2d0*sb*vev2/(4d0*cw**2d0) + cb*ee**2d0*sb**2d0&
                     *vev1/(4d0*sw**2d0) - cb*ee**2d0*sb**2d0*vev1/(4d0*cw**2d0&
                     ) + ee**2d0*sb**3d0*vev2/(4d0*sw**2d0) - ee**2d0*sb**3d0* &
                     vev2/(4d0*cw**2d0)
    coupl(nGC_21642) = cima*(cb*ym1 + sb*ym2)
    coupl(nGC_21643) = cima*sb
    coupl(nGC_21644) = -cb*cima
    coupl(nGC_21645) = sqrt(2d0)*(cb*ytau1 + sb*ytau2)/2d0
    coupl(nGC_21646) = sqrt(2d0)*sb/2d0
    coupl(nGC_21647) = -sqrt(2d0)*cb/2d0
    coupl(nGC_307) = -ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0* &
                     cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/2d0 - ca*cb*   &
                     cima*ee**2d0*sb*vev2/(2d0*sw**2d0) - ca*cb*cima*l2*sb*vev2&
                      + ca*cb*cima*l3*sb*vev2 + ca*cima*ee**2d0*sb**2d0*vev1/( &
                     4d0*sw**2d0) + ca*cima*l4*sb**2d0*vev1/2d0 + ca*cima*l5*sb&
                     **2d0*vev1/2d0 + cb**2d0*cima*ee**2d0*sa*vev2/(4d0*sw**2d0&
                     ) + cb**2d0*cima*l4*sa*vev2/2d0 + cb**2d0*cima*l5*sa*vev2/&
                     2d0 - cb*cima*ee**2d0*sa*sb*vev1/(2d0*sw**2d0) - cb*cima* &
                     l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 - cima*ee**2d0*sa*sb&
                     **2d0*vev2/(4d0*sw**2d0) - cima*l4*sa*sb**2d0*vev2/2d0 -  &
                     cima*l5*sa*sb**2d0*vev2/2d0
    coupl(nGC_539) = cb*cima*sb*(ca*vev1 - sa*vev2)
    coupl(nGC_531) = cima*(ca*cb**2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 2d0*ca*cb*&
                     l2*sb*vev2 - 2d0*ca*cb*l3*sb*vev2 - ca*l4*sb**2d0*vev1 -  &
                     ca*l5*sb**2d0*vev1 - cb**2d0*l4*sa*vev2 - cb**2d0*l5*sa*  &
                     vev2 + 2d0*cb*l1*sa*sb*vev1 - 2d0*cb*l3*sa*sb*vev1 + l4*sa&
                     *sb**2d0*vev2 + l5*sa*sb**2d0*vev2)
    coupl(nGC_535) = -cima*(ca*sb**2d0*vev2 - cb**2d0*sa*vev1)
    coupl(nGC_537) = cb*cima*sb*(ca*vev1 - sa*vev2)
    coupl(nGC_21345) = -6d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3 - &
                       2d0*l4 - 2d0*l5)
    coupl(nGC_21344) = -cima*(cb**4d0 - 4d0*cb**2d0*sb**2d0 + sb**4d0)
    coupl(nGC_21341) = -3d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21340) = -cima*(cb**4d0 - 4d0*cb**2d0*sb**2d0 + sb**4d0)
    coupl(nGC_21343) = -cima*(cb**4d0 - 4d0*cb**2d0*sb**2d0 + sb**4d0)
    coupl(nGC_21342) = -3d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21349) = -2d0*cima*ee/sw
    coupl(nGC_21348) = 2d0*cima*cw*ee/sw**2d0
    coupl(nGC_20909) = -sqrt(2d0)*(cb*yup1 + sb*yup2)/2d0
    coupl(nGC_20906) = cima*(cb*yd13x3 + sb*yb2)
    coupl(nGC_20907) = cima*sb
    coupl(nGC_20900) = ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
    coupl(nGC_21840) = cb*cima*sb**3d0
    coupl(nGC_240) = cb**3d0*ee**2d0*vev2/(4d0*cw**2d0) - cb**2d0*ee**2d0*sb*  &
                     vev1/(4d0*cw**2d0) + cb*ee**2d0*sb**2d0*vev2/(4d0*cw**2d0 &
                     ) - ee**2d0*sb**3d0*vev1/(4d0*cw**2d0)
    coupl(nGC_88) = ca*cima*cw*ee**2d0*sb/(2d0*sw**2d0) - ca*cima*ee**2d0*sb/( &
                    2d0*cw) - cb*cima*cw*ee**2d0*sa/(2d0*sw**2d0) + cb*cima*ee &
                    **2d0*sa/(2d0*cw)
    coupl(nGC_21505) = ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_21509) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_21508) = cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0*&
                       l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*sb +  &
                       2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*l4*sa &
                       **2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + l5*sa &
                       **2d0*sb**2d0)
    coupl(nGC_21507) = cb*cima*sa**2d0*sb
    coupl(nGC_21501) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
    coupl(nGC_39) = ca**2d0*cb*cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca**2d0*cb*&
                    cima*l4*sb + ca**2d0*cb*cima*l5*sb - 2d0*ca*cb**2d0*cima*l5&
                    *sa + 2d0*ca*cima*l5*sa*sb**2d0 - cb*cima*l2*sa**2d0*sb +  &
                    cb*cima*l3*sa**2d0*sb + cb*cima*l4*sa**2d0*sb - cb*cima*l5*&
                    sa**2d0*sb
    coupl(nGC_38) = -ca**2d0*cb*cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca**2d0*cb&
                    *cima*l4*sb - ca**2d0*cb*cima*l5*sb + 2d0*ca*cb**2d0*cima* &
                    l5*sa - 2d0*ca*cima*l5*sa*sb**2d0 + cb*cima*l1*sa**2d0*sb  &
                     - cb*cima*l3*sa**2d0*sb - cb*cima*l4*sa**2d0*sb + cb*cima*&
                    l5*sa**2d0*sb
    coupl(nGC_31) = cb**2d0*ee**2d0/(2d0*cw) + ee**2d0*sb**2d0/(2d0*cw)
    coupl(nGC_30) = -cb**2d0*ee**2d0/(2d0*cw) - ee**2d0*sb**2d0/(2d0*cw)
    coupl(nGC_33) = -ca**2d0*cb*cima*l4*sb - ca**2d0*cb*cima*l5*sb + ca*cb**2d0&
                    *cima*l1*sa - ca*cb**2d0*cima*l3*sa - ca*cima*l2*sa*sb**2d0&
                     + ca*cima*l3*sa*sb**2d0 + cb*cima*l4*sa**2d0*sb + cb*cima*&
                    l5*sa**2d0*sb
    coupl(nGC_32) = ca**2d0*cb*cima*l4*sb + ca**2d0*cb*cima*l5*sb - ca*cb**2d0*&
                    cima*l2*sa + ca*cb**2d0*cima*l3*sa + ca*cima*l1*sa*sb**2d0 &
                     - ca*cima*l3*sa*sb**2d0 - cb*cima*l4*sa**2d0*sb - cb*cima*&
                    l5*sa**2d0*sb
    coupl(nGC_35) = -2d0*ca**2d0*cb*cima*l5*sb + ca*cb**2d0*cima*l1*sa - ca*cb &
                    **2d0*cima*l3*sa - ca*cb**2d0*cima*l4*sa + ca*cb**2d0*cima*&
                    l5*sa - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 + ca*&
                    cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 + 2d0*cb*cima*l5&
                    *sa**2d0*sb
    coupl(nGC_34) = -ca**2d0*cb*cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca*cb**2d0&
                    *cima*l4*sa + ca*cb**2d0*cima*l5*sa - ca*cima*l4*sa*sb**2d0&
                     - ca*cima*l5*sa*sb**2d0 + cb*cima*l1*sa**2d0*sb - cb*cima*&
                    l3*sa**2d0*sb
    coupl(nGC_37) = ca**2d0*cb*cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca*cb**2d0*&
                    cima*l4*sa - ca*cb**2d0*cima*l5*sa + ca*cima*l4*sa*sb**2d0 &
                     + ca*cima*l5*sa*sb**2d0 - cb*cima*l2*sa**2d0*sb + cb*cima*&
                    l3*sa**2d0*sb
    coupl(nGC_36) = 2d0*ca**2d0*cb*cima*l5*sb - ca*cb**2d0*cima*l2*sa + ca*cb**&
                    2d0*cima*l3*sa + ca*cb**2d0*cima*l4*sa - ca*cb**2d0*cima*l5&
                    *sa + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 - ca*  &
                    cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 - 2d0*cb*cima*l5&
                    *sa**2d0*sb
    coupl(nGC_21648) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(cw&
                       **2d0 + sw**2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_20747) = -ca*cb*cima*sb*vev2
    coupl(nGC_20744) = -sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
    coupl(nGC_21433) = -cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                       sw**2d0)
    coupl(nGC_21432) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*( &
                       ca*vev1 + sa*vev2)/(cw**3d0*sw**2d0)
    coupl(nGC_21431) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(ca&
                       *vev1 + sa*vev2)/(cw**2d0*sw**3d0)
    coupl(nGC_20745) = cb*cima*sb*(ca*vev2 + sa*vev1)
    coupl(nGC_21437) = -cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0&
                       *l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*sb + &
                       2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*l4*sa &
                       **2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + l5*sa &
                       **2d0*sb**2d0)
    coupl(nGC_21436) = -ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_21435) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa*   &
                       vev1)/(2d0*cw**2d0*sw**2d0)
    coupl(nGC_21434) = -ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                       sw**2d0)
    coupl(nGC_20742) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev2 - sb*vev1)/2d0
    coupl(nGC_21439) = -cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_21438) = -ca*cima*sa*sb**2d0
    coupl(nGC_20743) = -cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
    coupl(nGC_MT) = -cMT*cima
    coupl(nGC_21576) = ee**2d0*(cb**2d0 + sb**2d0)/cw
    coupl(nGC_20740) = -(cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
    coupl(nGC_21577) = -cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*( &
                       cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_20741) = (cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
    coupl(nGC_21574) = -cima*sb
    coupl(nGC_21575) = -ee**2d0*(cb**2d0 + sb**2d0)/(2d0*cw**2d0)
    coupl(nGC_21572) = -cima*(cb*yb2 - sb*yd13x3)
    coupl(nGC_21573) = -cb*cima
    coupl(nGC_21571) = sqrt(2d0)*cima*(ca*yup1 + sa*yup2)/2d0
    coupl(nGC_20749) = -cima*(ca*cb*l2*sb - ca*cb*l3*sb - ca*cb*l4*sb + ca*cb* &
                       l5*sb - cb**2d0*l5*sa + l5*sa*sb**2d0)
    coupl(nGC_21727) = -cima*(2d0*ca*cb*l5*sb + cb**2d0*l3*sa + cb**2d0*l4*sa  &
                        - cb**2d0*l5*sa + l2*sa*sb**2d0)
    coupl(nGC_21726) = -cima*(2d0*ca*cb*sb*vev2 - ca*sb**2d0*vev1 - cb**2d0*sa*&
                       vev2 + 2d0*cb*sa*sb*vev1)
    coupl(nGC_21725) = -cima*sa*sb**2d0*vev2
    coupl(nGC_21724) = 2d0*cima*(-ca*cb**2d0*l5*vev2 + ca*cb*l1*sb*vev1 - ca*cb&
                       *l3*sb*vev1 - ca*cb*l4*sb*vev1 + ca*cb*l5*sb*vev1 + ca* &
                       l5*sb**2d0*vev2 - cb**2d0*l5*sa*vev1 - cb*l2*sa*sb*vev2 &
                        + cb*l3*sa*sb*vev2 + cb*l4*sa*sb*vev2 - cb*l5*sa*sb*   &
                       vev2 + l5*sa*sb**2d0*vev1)
    coupl(nGC_21723) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
    coupl(nGC_21722) = 2d0*cima*(ca**2d0*cb*l4*sb + ca**2d0*cb*l5*sb - ca*cb** &
                       2d0*l2*sa + ca*cb**2d0*l3*sa + ca*l1*sa*sb**2d0 - ca*l3*&
                       sa*sb**2d0 - cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
    coupl(nGC_21721) = -ca**2d0*cima*sb**2d0
    coupl(nGC_21720) = 2d0*ca*cb*cima*sa*sb
    coupl(nGC_21729) = -ca*cb**2d0*cima*vev1
    coupl(nGC_21728) = -cima*(ca*cb**2d0*l1 + ca*l3*sb**2d0 + ca*l4*sb**2d0 -  &
                       ca*l5*sb**2d0 + 2d0*cb*l5*sa*sb)
    coupl(nGC_69) = -3d0*cb**4d0*cima*l1 - 6d0*cb**2d0*cima*l3*sb**2d0 - 6d0*cb&
                    **2d0*cima*l4*sb**2d0 - 6d0*cb**2d0*cima*l5*sb**2d0 - 3d0* &
                    cima*l2*sb**4d0
    coupl(nGC_20759) = sqrt(2d0)*cima*(ca*ym1 + sa*ym2)/2d0
    coupl(nGC_20758) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_20751) = -cb*cima*sa*sb*vev1
    coupl(nGC_20750) = -cima*(ca*cb**2d0*l5 - ca*l5*sb**2d0 + cb*l1*sa*sb - cb*&
                       l3*sa*sb - cb*l4*sa*sb + cb*l5*sa*sb)
    coupl(nGC_20753) = -cima*(-ca*cb**2d0*l5*vev2 + ca*cb*l1*sb*vev1 - ca*cb*l3&
                       *sb*vev1 - ca*cb*l4*sb*vev1 + ca*cb*l5*sb*vev1 + ca*l5* &
                       sb**2d0*vev2 - cb**2d0*l5*sa*vev1 - cb*l2*sa*sb*vev2 +  &
                       cb*l3*sa*sb*vev2 + cb*l4*sa*sb*vev2 - cb*l5*sa*sb*vev2  &
                        + l5*sa*sb**2d0*vev1)
    coupl(nGC_20752) = cb*cima*sb*(ca*vev2 + sa*vev1)
    coupl(nGC_20757) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_20756) = -4d0*cima*cw*ee**2d0/sw
    coupl(nGC_21659) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(cw&
                       **2d0 + sw**2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_21658) = -sqrt(2d0)*cima*(ca*yc2 - sa*yc1)/2d0
    coupl(nGC_328) = -ca*cima*cw**2d0*ee**2d0*vev2/(2d0*sw**2d0) - ca*cima*ee**&
                     2d0*vev2 - ca*cima*ee**2d0*sw**2d0*vev2/(2d0*cw**2d0) +   &
                     cima*cw**2d0*ee**2d0*sa*vev1/(2d0*sw**2d0) + cima*ee**2d0*&
                     sa*vev1 + cima*ee**2d0*sa*sw**2d0*vev1/(2d0*cw**2d0)
    coupl(nGC_329) = ca*cima*cw**2d0*ee**2d0*vev2/(2d0*sw**2d0) + ca*cima*ee** &
                     2d0*vev2 + ca*cima*ee**2d0*sw**2d0*vev2/(2d0*cw**2d0) -   &
                     cima*cw**2d0*ee**2d0*sa*vev1/(2d0*sw**2d0) - cima*ee**2d0*&
                     sa*vev1 - cima*ee**2d0*sa*sw**2d0*vev1/(2d0*cw**2d0)
    coupl(nGC_324) = -cb*cima*ee**2d0*vev1/(2d0*sw) - cima*ee**2d0*sb*vev2/(2d0&
                     *sw)
    coupl(nGC_325) = cb*cima*ee**2d0*vev1/(2d0*sw) + cima*ee**2d0*sb*vev2/(2d0*&
                     sw)
    coupl(nGC_326) = -cb*cima*ee**2d0*vev1/sw - cima*ee**2d0*sb*vev2/sw
    coupl(nGC_327) = -ca*cima*cw**2d0*ee**2d0*vev2/(4d0*sw**2d0) - ca*cima*ee**&
                     2d0*vev2/2d0 - ca*cima*ee**2d0*sw**2d0*vev2/(4d0*cw**2d0  &
                     ) + cima*cw**2d0*ee**2d0*sa*vev1/(4d0*sw**2d0) + cima*ee**&
                     2d0*sa*vev1/2d0 + cima*ee**2d0*sa*sw**2d0*vev1/(4d0*cw**  &
                     2d0)
    coupl(nGC_21657) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_321) = -cb*cima*ee**2d0*vev2/(2d0*sw) + cima*ee**2d0*sb*vev1/(2d0&
                     *sw)
    coupl(nGC_322) = cb*cima*ee**2d0*vev2/(2d0*sw) - cima*ee**2d0*sb*vev1/(2d0*&
                     sw)
    coupl(nGC_323) = -cb*cima*ee**2d0*vev2/sw + cima*ee**2d0*sb*vev1/sw
    coupl(nGC_MTA) = -cMTA*cima
    coupl(nGC_188) = cb**2d0*ee**2d0/sw + ee**2d0*sb**2d0/sw
    coupl(nGC_189) = -cima*ee**2d0/sw**2d0
    coupl(nGC_20919) = 3d0*cima*(ca**3d0*l3*vev1 + ca**3d0*l4*vev1 + ca**3d0*l5&
                       *vev1 + 3d0*ca**2d0*l2*sa*vev2 - 2d0*ca**2d0*l3*sa*vev2 &
                        - 2d0*ca**2d0*l4*sa*vev2 - 2d0*ca**2d0*l5*sa*vev2 + 3d0&
                       *ca*l1*sa**2d0*vev1 - 2d0*ca*l3*sa**2d0*vev1 - 2d0*ca*l4&
                       *sa**2d0*vev1 - 2d0*ca*l5*sa**2d0*vev1 + l3*sa**3d0*vev2&
                        + l4*sa**3d0*vev2 + l5*sa**3d0*vev2)
    coupl(nGC_20918) = -3d0*ca*cima*(ca**2d0*l2 + l3*sa**2d0 + l4*sa**2d0 + l5*&
                       sa**2d0)
    coupl(nGC_180) = -ca*cb*cima*ee**2d0/(2d0*sw) - cima*ee**2d0*sa*sb/(2d0*sw)
    coupl(nGC_20916) = 3d0*ca*cima*sa*(ca*vev1 - sa*vev2)
    coupl(nGC_182) = -ca*cb*cima*ee**2d0/sw - cima*ee**2d0*sa*sb/sw
    coupl(nGC_183) = -cb**2d0*ee/(2d0*sw) - ee*sb**2d0/(2d0*sw)
    coupl(nGC_184) = cb**2d0*ee/(2d0*sw) + ee*sb**2d0/(2d0*sw)
    coupl(nGC_20912) = 3d0*ca*cima*sa*(ca*vev1 - sa*vev2)
    coupl(nGC_186) = -cb**2d0*ee**2d0/(2d0*sw) - ee**2d0*sb**2d0/(2d0*sw)
    coupl(nGC_20910) = -sqrt(2d0)*sb/2d0
    coupl(nGC_533) = -ca*cb**2d0*cima*vev2
    coupl(nGC_615) = cima*gs
    coupl(nGC_21248) = -4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21249) = -8d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4  &
                        + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 -  &
                       l5*sb**2d0)
    coupl(nGC_21245) = -2d0*cima*sb**4d0
    coupl(nGC_21246) = -2d0*cb**4d0*cima
    coupl(nGC_21247) = -4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21241) = cima*ee/(3d0*cw)
    coupl(nGC_21242) = -cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_21243) = cima*ee*sw/(3d0*cw)
    coupl(nGC_21848) = cima*(ca**2d0*cb*sb - 2d0*ca*cb**2d0*sa + 2d0*ca*sa*sb**&
                       2d0 - cb*sa**2d0*sb)
    coupl(nGC_21088) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_21089) = -sqrt(2d0)*cb/2d0
    coupl(nGC_21082) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_21083) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_21080) = -2d0*gs
    coupl(nGC_21081) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw**2d0)
    coupl(nGC_21086) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_21087) = cima*ee**2d0*(ca*sb - cb*sa)/sw
    coupl(nGC_21084) = cima*ee*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_21085) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw**2d0)
    coupl(nGC_20777) = -cima*(cb*ys2 - sb*yd12x2)
    coupl(nGC_21882) = 2d0*cb**3d0*cima*sb
    coupl(nGC_21883) = -2d0*cb*cima*sb**3d0
    coupl(nGC_21880) = cima*ee**2d0*(ca**2d0 + sa**2d0)/sw**2d0
    coupl(nGC_21881) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_21886) = 2d0*cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb**4d0&
                       *l5 - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb**2d0 + &
                       6d0*cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0 + 6d0*cb&
                       **2d0*l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 - l4*sb**4d0 &
                        - l5*sb**4d0)
    coupl(nGC_21887) = -ee**2d0*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
    coupl(nGC_21884) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_21885) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_21888) = ee**2d0*(cb**2d0 + sb**2d0)/sw
    coupl(nGC_21889) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_1583) = -coupl(nGC_213)
    coupl(nGC_21398) = cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0*ca*&
                       cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**2d0*   &
                       vev2 + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 - cb**2d0&
                       *l5*sa*vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*sa*sb*   &
                       vev2 + l4*sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)
    coupl(nGC_21399) = -cima*sa*sb**2d0*vev2
    coupl(nGC_21397) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
    coupl(nGC_21390) = cima*ee/3d0
    coupl(nGC_21868) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_21869) = sqrt(2d0)*cima*(ca*yc1 + sa*yc2)/2d0
    coupl(nGC_21860) = -ca*cb**2d0*cima*vev2
    coupl(nGC_21861) = cima*(2d0*ca*cb*sb*vev1 + ca*sb**2d0*vev2 - cb**2d0*sa* &
                       vev1 - 2d0*cb*sa*sb*vev2)
    coupl(nGC_21862) = -cima*(ca*cb**2d0*l2 + ca*l3*sb**2d0 + ca*l4*sb**2d0 -  &
                       ca*l5*sb**2d0 + 2d0*cb*l5*sa*sb)
    coupl(nGC_21863) = cima*(2d0*ca*cb*l5*sb + cb**2d0*l3*sa + cb**2d0*l4*sa - &
                       cb**2d0*l5*sa + l1*sa*sb**2d0)
    coupl(nGC_21864) = cima*sa*sb**2d0*vev1
    coupl(nGC_21865) = -cima*(ca*sb**2d0*vev2 - cb**2d0*sa*vev1)
    coupl(nGC_21866) = cima*(ca*cb**2d0*l3*vev1 + ca*cb**2d0*l4*vev1 - ca*cb** &
                       2d0*l5*vev1 - 2d0*ca*cb*l5*sb*vev2 + ca*l1*sb**2d0*vev1 &
                        + cb**2d0*l2*sa*vev2 - 2d0*cb*l5*sa*sb*vev1 + l3*sa*sb &
                       **2d0*vev2 + l4*sa*sb**2d0*vev2 - l5*sa*sb**2d0*vev2)
    coupl(nGC_21867) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_20775) = -cb*cima
    coupl(nGC_21682) = 2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca*cb** &
                       2d0*l4*sa - ca*cb**2d0*l5*sa + ca*l4*sa*sb**2d0 + ca*l5*&
                       sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**2d0*sb)
    coupl(nGC_20908) = -cb*cima
    coupl(nGC_28) = -2d0*cb**2d0*cima*ee**2d0 - 2d0*cima*ee**2d0*sb**2d0
    coupl(nGC_29) = 2d0*cb**2d0*cima*ee**2d0 + 2d0*cima*ee**2d0*sb**2d0
    coupl(nGC_22) = ca*cima*ee**2d0*sb/(2d0*cw) - cb*cima*ee**2d0*sa/(2d0*cw)
    coupl(nGC_23) = -ca*cb*cima*ee**2d0/(2d0*cw) - cima*ee**2d0*sa*sb/(2d0*cw)
    coupl(nGC_21) = -ca*cima*ee**2d0*sb/(2d0*cw) + cb*cima*ee**2d0*sa/(2d0*cw)
    coupl(nGC_26) = cb**2d0*cima*ee + cima*ee*sb**2d0
    coupl(nGC_27) = -cb**2d0*cima*ee**2d0 - cima*ee**2d0*sb**2d0
    coupl(nGC_24) = ca*cb*cima*ee**2d0/(2d0*cw) + cima*ee**2d0*sa*sb/(2d0*cw)
    coupl(nGC_25) = -cb**2d0*cima*ee - cima*ee*sb**2d0
    coupl(nGC_21841) = -cb**3d0*cima*sb
    coupl(nGC_3617) = -coupl(nGC_215)
    coupl(nGC_21406) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_21407) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_21404) = -cb*cima*sb*(ca*vev2 + sa*vev1)
    coupl(nGC_21405) = cima*(-ca*cb**2d0*l3*vev2 - ca*cb*l4*sb*vev1 - ca*cb*l5*&
                       sb*vev1 - ca*l2*sb**2d0*vev2 + cb**2d0*l1*sa*vev1 + cb* &
                       l4*sa*sb*vev2 + cb*l5*sa*sb*vev2 + l3*sa*sb**2d0*vev1)
    coupl(nGC_21402) = -cima*(ca*cb**2d0*l1 + ca*l3*sb**2d0 + cb*l4*sa*sb + cb*&
                       l5*sa*sb)
    coupl(nGC_21403) = -ca*cb**2d0*cima*vev1
    coupl(nGC_21400) = -cb*cima*sb*(ca*vev2 + sa*vev1)
    coupl(nGC_21401) = -cima*(ca*cb*l4*sb + ca*cb*l5*sb + cb**2d0*l3*sa + l2*sa&
                       *sb**2d0)
    coupl(nGC_21408) = -sqrt(2d0)*cima*(ca*ydo2 - sa*ydo1)/2d0
    coupl(nGC_21718) = -cb**2d0*cima*sa**2d0
    coupl(nGC_21719) = 2d0*ca*cb*cima*sa*sb
    coupl(nGC_21712) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_21713) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_21710) = -ca**2d0*cb**2d0*cima
    coupl(nGC_21711) = 2d0*cima*(-2d0*ca**2d0*cb*l5*sb + ca*cb**2d0*l1*sa - ca*&
                       cb**2d0*l3*sa - ca*cb**2d0*l4*sa + ca*cb**2d0*l5*sa - ca&
                       *l2*sa*sb**2d0 + ca*l3*sa*sb**2d0 + ca*l4*sa*sb**2d0 -  &
                       ca*l5*sa*sb**2d0 + 2d0*cb*l5*sa**2d0*sb)
    coupl(nGC_21716) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
    coupl(nGC_21717) = -2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca*cb**&
                       2d0*l4*sa - ca*cb**2d0*l5*sa + ca*l4*sa*sb**2d0 + ca*l5*&
                       sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**2d0*sb)
    coupl(nGC_21714) = -sqrt(2d0)*cima*(ca*ys2 - sa*yd12x2)/2d0
    coupl(nGC_21715) = -2d0*cima*ee/3d0
    coupl(nGC_20724) = -cima*(ca*cb**2d0*vev1 + sa*sb**2d0*vev2)
    coupl(nGC_20725) = cima*(-ca*cb**2d0*l2*vev2 + 2d0*ca*cb*l5*sb*vev1 - ca*l3&
                       *sb**2d0*vev2 - ca*l4*sb**2d0*vev2 + ca*l5*sb**2d0*vev2 &
                        + cb**2d0*l3*sa*vev1 + cb**2d0*l4*sa*vev1 - cb**2d0*l5*&
                       sa*vev1 - 2d0*cb*l5*sa*sb*vev2 + l1*sa*sb**2d0*vev1)
    coupl(nGC_20720) = cima*(ca*cb**2d0*vev1 + 2d0*ca*cb*sb*vev2 + 2d0*cb*sa*sb&
                       *vev1 + sa*sb**2d0*vev2)
    coupl(nGC_20721) = -cima*(-2d0*ca*cb*l5*sb + cb**2d0*l2*sa + l3*sa*sb**2d0 &
                        + l4*sa*sb**2d0 - l5*sa*sb**2d0)
    coupl(nGC_20722) = -cima*(ca*cb**2d0*l3 + ca*cb**2d0*l4 - ca*cb**2d0*l5 +  &
                       ca*l1*sb**2d0 - 2d0*cb*l5*sa*sb)
    coupl(nGC_20723) = -ca*cima*sb**2d0*vev1
    coupl(nGC_338) = sqrt(2d0)*cb*yc1/2d0 + sqrt(2d0)*sb*yc2/2d0
    coupl(nGC_21668) = -sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
    coupl(nGC_21669) = cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
    coupl(nGC_21666) = -(cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
    coupl(nGC_21667) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev1 + sb*vev2)/2d0
    coupl(nGC_21664) = 2d0*cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw &
                       )/(cw*sw)
    coupl(nGC_21665) = (cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
    coupl(nGC_21662) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/( &
                       cw*sw**2d0)
    coupl(nGC_21663) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(cw&
                       **2d0*sw)
    coupl(nGC_335) = sqrt(2d0)*cb*yc2/2d0 - sqrt(2d0)*sb*yc1/2d0
    coupl(nGC_21661) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)**2d0*(cw +  &
                       sw)**2d0/(cw**2d0*sw**2d0)
    coupl(nGC_197) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_196) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_195) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_194) = cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_193) = -cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_192) = 2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_191) = -2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_190) = cima*ee**2d0/sw**2d0
    coupl(nGC_199) = cima*cw*ee/sw
    coupl(nGC_198) = -cima*cw*ee/sw
    coupl(nGC_20922) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
    coupl(nGC_20920) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_20921) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_21194) = cima*(cb*yt2 - sb*yt1)
    coupl(nGC_17) = 3d0*ca**3d0*cima*l1*sa - 3d0*ca**3d0*cima*l3*sa - 3d0*ca** &
                    3d0*cima*l4*sa - 3d0*ca**3d0*cima*l5*sa - 3d0*ca*cima*l2*sa&
                    **3d0 + 3d0*ca*cima*l3*sa**3d0 + 3d0*ca*cima*l4*sa**3d0 +  &
                    3d0*ca*cima*l5*sa**3d0
    coupl(nGC_609) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw**&
                     2d0)
    coupl(nGC_16) = -3d0*ca**3d0*cima*l2*sa + 3d0*ca**3d0*cima*l3*sa + 3d0*ca**&
                    3d0*cima*l4*sa + 3d0*ca**3d0*cima*l5*sa + 3d0*ca*cima*l1*sa&
                    **3d0 - 3d0*ca*cima*l3*sa**3d0 - 3d0*ca*cima*l4*sa**3d0 -  &
                    3d0*ca*cima*l5*sa**3d0
    coupl(nGC_607) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(ca* &
                     vev2 - sa*vev1)/(cw**3d0*sw**2d0)
    coupl(nGC_605) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*vev2 &
                     )/(2d0*cw**2d0*sw**2d0)
    coupl(nGC_603) = -cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw &
                     **2d0)
    coupl(nGC_15) = cima*gs**2d0
    coupl(nGC_601) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa*vev1  &
                     )/(cw**2d0*sw**2d0)
    coupl(nGC_14) = -cima*gs**2d0
    coupl(nGC_21255) = -12d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4 &
                        + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 -  &
                       l5*sb**2d0)
    coupl(nGC_21254) = -6d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21253) = -6d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21252) = -3d0*cb**4d0*cima
    coupl(nGC_21251) = -3d0*cima*sb**4d0
    coupl(nGC_21250) = -6d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21099) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
    coupl(nGC_21098) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_21095) = cima*ee*(ca*sb - cb*sa)/(2d0*sw**2d0)
    coupl(nGC_21094) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_21097) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_21096) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_21091) = sqrt(2d0)*sb/2d0
    coupl(nGC_21090) = sqrt(2d0)*(cb*ydo1 + sb*ydo2)/2d0
    coupl(nGC_21093) = -sqrt(2d0)*cima*(ca*yb2 - sa*yd13x3)/2d0
    coupl(nGC_21092) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_513) = -cb**2d0*cima*sa*vev2
    coupl(nGC_511) = -cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0*ca* &
                     cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**2d0*vev2 &
                      + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 - cb**2d0*l5*sa&
                     *vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*sa*sb*vev2 + l4* &
                     sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)
    coupl(nGC_517) = cb*cima*sb*(ca*vev2 + sa*vev1)
    coupl(nGC_515) = -cima*(ca*cb**2d0*vev1 + sa*sb**2d0*vev2)
    coupl(nGC_519) = cb*cima*sb*(ca*vev2 + sa*vev1)
    coupl(nGC_1489) = -coupl(nGC_26)
    coupl(nGC_19) = -3d0*ca**4d0*cima*l1 - 6d0*ca**2d0*cima*l3*sa**2d0 - 6d0*ca&
                    **2d0*cima*l4*sa**2d0 - 6d0*ca**2d0*cima*l5*sa**2d0 - 3d0* &
                    cima*l2*sa**4d0
    coupl(nGC_109) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*ee**2d0*sb**2d0/( &
                     2d0*sw**2d0) - ca**2d0*cima*l2*sb**2d0 + ca*cb*cima*ee**  &
                     2d0*sa*sb/sw**2d0 + 2d0*ca*cb*cima*l4*sa*sb + 2d0*ca*cb*  &
                     cima*l5*sa*sb - cb**2d0*cima*ee**2d0*sa**2d0/(2d0*sw**2d0 &
                     ) - cb**2d0*cima*l1*sa**2d0 - cima*l3*sa**2d0*sb**2d0
    coupl(nGC_18) = -3d0*ca**4d0*cima*l2 - 6d0*ca**2d0*cima*l3*sa**2d0 - 6d0*ca&
                    **2d0*cima*l4*sa**2d0 - 6d0*ca**2d0*cima*l5*sa**2d0 - 3d0* &
                    cima*l1*sa**4d0
    coupl(nGC_21895) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_21894) = 3d0*cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb**  &
                       4d0*l5 + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb**2d0&
                        - 6d0*cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0 - 6d0&
                       *cb**2d0*l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 + l4*sb** &
                       4d0 + l5*sb**4d0)
    coupl(nGC_21897) = sqrt(2d0)*cima*(ca*ytau1 + sa*ytau2)/2d0
    coupl(nGC_21896) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_21893) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_21892) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_21899) = -cima*sb
    coupl(nGC_21898) = -cima*(cb*ye2 - sb*ye1)
    coupl(nGC_21381) = -sqrt(2d0)*cb/2d0
    coupl(nGC_21380) = sqrt(2d0)*sb/2d0
    coupl(nGC_21383) = ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_21382) = sqrt(2d0)*(cb*yd12x2 + sb*ys2)/2d0
    coupl(nGC_21385) = -ca*cb**2d0*cima*sa
    coupl(nGC_21384) = cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0*&
                       l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*sb +  &
                       2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*l4*sa &
                       **2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + l5*sa &
                       **2d0*sb**2d0)
    coupl(nGC_21387) = cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_21386) = cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_21389) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**2d0&
                       *l1*sb**2d0 - ca**2d0*l3*sb**2d0 - 4d0*ca*cb*l4*sa*sb - &
                       4d0*ca*cb*l5*sa*sb + cb**2d0*l2*sa**2d0 - cb**2d0*l3*sa &
                       **2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0)
    coupl(nGC_21388) = ca*cima*sa*sb**2d0
    coupl(nGC_21879) = -cima*ee**2d0*(ca**2d0 + sa**2d0)/sw**3d0
    coupl(nGC_21878) = 2d0*cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb**  &
                       4d0*l5 + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb**2d0&
                        - 6d0*cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0 - 6d0&
                       *cb**2d0*l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 + l4*sb** &
                       4d0 + l5*sb**4d0)
    coupl(nGC_21873) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_21872) = sqrt(2d0)*sb/2d0
    coupl(nGC_21871) = -sqrt(2d0)*cb/2d0
    coupl(nGC_21870) = sqrt(2d0)*(cb*ye1 + sb*ye2)/2d0
    coupl(nGC_21877) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_21876) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_21875) = -2d0*cb**3d0*cima*sb
    coupl(nGC_21874) = 2d0*cb*cima*sb**3d0
    coupl(nGC_21750) = -cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
    coupl(nGC_1313) = -coupl(nGC_356)
    coupl(nGC_21525) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*( &
                       ca*vev2 - sa*vev1)/(cw**3d0*sw**2d0)
    coupl(nGC_21524) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(ca&
                       *vev2 - sa*vev1)/(cw**2d0*sw**3d0)
    coupl(nGC_21527) = cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw&
                       **2d0)
    coupl(nGC_21526) = -ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                       sw**2d0)
    coupl(nGC_13) = cima*gs
    coupl(nGC_12) = -gs
    coupl(nGC_11) = -2d0*gs
    coupl(nGC_10) = 2d0*cima*ee**2d0
    coupl(nGC_21528) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*vev2&
                       )/(2d0*cw**2d0*sw**2d0)
    coupl(nGC_21206) = (cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
    coupl(nGC_21419) = 3d0*ca*cima*sa**3d0
    coupl(nGC_21418) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
    coupl(nGC_21207) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
    coupl(nGC_21709) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
    coupl(nGC_21708) = cima*(ca**2d0*sb**2d0 - 4d0*ca*cb*sa*sb + cb**2d0*sa**  &
                       2d0)
    coupl(nGC_21705) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
    coupl(nGC_21704) = cima*(cb*yd12x2 + sb*ys2)
    coupl(nGC_21707) = -cima*sa**2d0*sb**2d0
    coupl(nGC_21706) = 2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca**2d0*&
                       cb*l4*sb + ca**2d0*cb*l5*sb - 2d0*ca*cb**2d0*l5*sa + 2d0&
                       *ca*l5*sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**2d0*sb &
                        + cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
    coupl(nGC_21701) = -2d0*cima*(2d0*ca**2d0*cb*l5*sb - ca*cb**2d0*l2*sa + ca*&
                       cb**2d0*l3*sa + ca*cb**2d0*l4*sa - ca*cb**2d0*l5*sa + ca&
                       *l1*sa*sb**2d0 - ca*l3*sa*sb**2d0 - ca*l4*sa*sb**2d0 +  &
                       ca*l5*sa*sb**2d0 - 2d0*cb*l5*sa**2d0*sb)
    coupl(nGC_21700) = -cima*sa**2d0*sb**2d0
    coupl(nGC_21703) = -cb*cima
    coupl(nGC_21702) = cima*sb
    coupl(nGC_20760) = cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**3d0
    coupl(nGC_376) = -cb*cima*ytau2 + cima*sb*ytau1
    coupl(nGC_21931) = cima*(ca*cb**2d0*vev2 - 2d0*ca*cb*sb*vev1 + 2d0*cb*sa*sb&
                       *vev2 - sa*sb**2d0*vev1)
    coupl(nGC_20762) = cima*ee**2d0*sa/(2d0*sw**2d0)
    coupl(nGC_374) = sqrt(2d0)*cb*yt1/2d0 + sqrt(2d0)*sb*yt2/2d0
    coupl(nGC_20739) = -cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0*ca&
                       *cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**2d0*  &
                       vev2 + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 - cb**2d0&
                       *l5*sa*vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*sa*sb*   &
                       vev2 + l4*sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)/2d0
    coupl(nGC_20738) = -cima*(cb - sb)*(cb + sb)*(ca*vev1 - sa*vev2)/2d0
    coupl(nGC_20737) = -cb*cima*sa*sb*vev1
    coupl(nGC_20764) = cima*ee**2d0*(ca*vev1 + sa*vev2)/(2d0*sw**2d0)
    coupl(nGC_20735) = -cima*(2d0*ca*cb*l2*sb - 2d0*ca*cb*l3*sb - cb**2d0*l4*sa&
                        - cb**2d0*l5*sa + l4*sa*sb**2d0 + l5*sa*sb**2d0)/2d0
    coupl(nGC_20733) = -ca*cb*cima*sb*vev2
    coupl(nGC_20732) = -cima*(ca*cb**2d0*l2*vev2 - ca*cb**2d0*l3*vev2 - 2d0*ca*&
                       cb*l4*sb*vev1 - 2d0*ca*cb*l5*sb*vev1 - ca*l2*sb**2d0*   &
                       vev2 + ca*l3*sb**2d0*vev2 + cb**2d0*l1*sa*vev1 - cb**2d0&
                       *l3*sa*vev1 + 2d0*cb*l4*sa*sb*vev2 + 2d0*cb*l5*sa*sb*   &
                       vev2 - l1*sa*sb**2d0*vev1 + l3*sa*sb**2d0*vev1)
    coupl(nGC_20731) = cb*cima*sb*(ca*vev2 + sa*vev1)
    coupl(nGC_20765) = -cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**3d0
    coupl(nGC_21671) = -2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca*cb &
                       **2d0*l4*sa + ca*cb**2d0*l5*sa - ca*l4*sa*sb**2d0 - ca* &
                       l5*sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**2d0*sb)
    coupl(nGC_21673) = -2d0*ca*cb*cima*sa*sb
    coupl(nGC_21672) = -ca**2d0*cb**2d0*cima
    coupl(nGC_21675) = -cima*sa**2d0*sb**2d0
    coupl(nGC_20766) = ca*cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_20767) = -cima*ee**2d0*sa/(2d0*sw**2d0)
    coupl(nGC_331) = -ca*cima*cw**2d0*ee**2d0*vev1/(2d0*sw**2d0) - ca*cima*ee**&
                     2d0*vev1 - ca*cima*ee**2d0*sw**2d0*vev1/(2d0*cw**2d0) -   &
                     cima*cw**2d0*ee**2d0*sa*vev2/(2d0*sw**2d0) - cima*ee**2d0*&
                     sa*vev2 - cima*ee**2d0*sa*sw**2d0*vev2/(2d0*cw**2d0)
    coupl(nGC_20934) = cima*ee**2d0*(cb*vev1 + sb*vev2)/sw
    coupl(nGC_20931) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw**2d0)
  end subroutine fill_couplings_mdl2
end module fill_couplings2
