!******************************************************************************!
!                                                                              !
!    fill_couplings3.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings3.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-10 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl3()
    coupl(nGC_20930) = cima*ee**2d0*sb/(2d0*sw)
    coupl(nGC_20933) = cb*cima*ee**2d0/(2d0*sw)
    coupl(nGC_20932) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw)
    coupl(nGC_294) = -ca*cb**2d0*cima*l5*vev2 - ca*cb*cima*ee**2d0*sb*vev1/(4d0&
                     *sw**2d0) + ca*cb*cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 &
                      - ca*cb*cima*l4*sb*vev1 + ca*cb*cima*l5*sb*vev1 - ca*cb* &
                     cima*ee**2d0*sb*vev1/(4d0*cw**2d0) - ca*cima*ee**2d0*sb** &
                     2d0*vev2/(4d0*sw**2d0) + ca*cima*l5*sb**2d0*vev2 - ca*cima&
                     *ee**2d0*sb**2d0*vev2/(4d0*cw**2d0) + cb**2d0*cima*ee**2d0&
                     *sa*vev1/(4d0*sw**2d0) - cb**2d0*cima*l5*sa*vev1 + cb**2d0&
                     *cima*ee**2d0*sa*vev1/(4d0*cw**2d0) + cb*cima*ee**2d0*sa* &
                     sb*vev2/(4d0*sw**2d0) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3&
                     *sa*sb*vev2 + cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*sb*   &
                     vev2 + cb*cima*ee**2d0*sa*sb*vev2/(4d0*cw**2d0) + cima*l5*&
                     sa*sb**2d0*vev1
    coupl(nGC_295) = -ca*cb**2d0*cima*l3*vev2 + ca*cb*cima*ee**2d0*sb*vev1/(4d0&
                     *sw**2d0) - ca*cb*cima*l4*sb*vev1 - ca*cb*cima*l5*sb*vev1 &
                      + ca*cima*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) - ca*cima*l2&
                     *sb**2d0*vev2 - cb**2d0*cima*ee**2d0*sa*vev1/(4d0*sw**2d0 &
                     ) + cb**2d0*cima*l1*sa*vev1 - cb*cima*ee**2d0*sa*sb*vev2/(&
                     4d0*sw**2d0) + cb*cima*l4*sa*sb*vev2 + cb*cima*l5*sa*sb*  &
                     vev2 + cima*l3*sa*sb**2d0*vev1
    coupl(nGC_296) = -ca*cb**2d0*cima*l3*vev2 - ca*cb**2d0*cima*l4*vev2 + ca*cb&
                     **2d0*cima*l5*vev2 + ca*cb*cima*ee**2d0*sb*vev1/(4d0*sw** &
                     2d0) - 2d0*ca*cb*cima*l5*sb*vev1 + ca*cb*cima*ee**2d0*sb* &
                     vev1/(4d0*cw**2d0) + ca*cima*ee**2d0*sb**2d0*vev2/(4d0*sw &
                     **2d0) - ca*cima*l2*sb**2d0*vev2 + ca*cima*ee**2d0*sb**2d0&
                     *vev2/(4d0*cw**2d0) - cb**2d0*cima*ee**2d0*sa*vev1/(4d0*sw&
                     **2d0) + cb**2d0*cima*l1*sa*vev1 - cb**2d0*cima*ee**2d0*sa&
                     *vev1/(4d0*cw**2d0) - cb*cima*ee**2d0*sa*sb*vev2/(4d0*sw**&
                     2d0) + 2d0*cb*cima*l5*sa*sb*vev2 - cb*cima*ee**2d0*sa*sb* &
                     vev2/(4d0*cw**2d0) + cima*l3*sa*sb**2d0*vev1 + cima*l4*sa*&
                     sb**2d0*vev1 - cima*l5*sa*sb**2d0*vev1
    coupl(nGC_297) = -ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0* &
                     cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/2d0 + ca*cb*   &
                     cima*ee**2d0*sb*vev1/(2d0*sw**2d0) + ca*cb*cima*l1*sb*vev1&
                      - ca*cb*cima*l3*sb*vev1 + ca*cima*ee**2d0*sb**2d0*vev2/( &
                     4d0*sw**2d0) + ca*cima*l4*sb**2d0*vev2/2d0 + ca*cima*l5*sb&
                     **2d0*vev2/2d0 - cb**2d0*cima*ee**2d0*sa*vev1/(4d0*sw**2d0&
                     ) - cb**2d0*cima*l4*sa*vev1/2d0 - cb**2d0*cima*l5*sa*vev1/&
                     2d0 - cb*cima*ee**2d0*sa*sb*vev2/(2d0*sw**2d0) - cb*cima* &
                     l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 + cima*ee**2d0*sa*sb&
                     **2d0*vev1/(4d0*sw**2d0) + cima*l4*sa*sb**2d0*vev1/2d0 +  &
                     cima*l5*sa*sb**2d0*vev1/2d0
    coupl(nGC_290) = ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0*  &
                     cima*l2*vev2 + ca*cb**2d0*cima*ee**2d0*vev2/(4d0*cw**2d0  &
                     ) - ca*cb*cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + 2d0*ca*cb* &
                     cima*l5*sb*vev1 - ca*cb*cima*ee**2d0*sb*vev1/(4d0*cw**2d0 &
                     ) - ca*cima*l3*sb**2d0*vev2 - ca*cima*l4*sb**2d0*vev2 + ca&
                     *cima*l5*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 + cb**2d0*&
                     cima*l4*sa*vev1 - cb**2d0*cima*l5*sa*vev1 + cb*cima*ee**  &
                     2d0*sa*sb*vev2/(4d0*sw**2d0) - 2d0*cb*cima*l5*sa*sb*vev2  &
                      + cb*cima*ee**2d0*sa*sb*vev2/(4d0*cw**2d0) - cima*ee**2d0&
                     *sa*sb**2d0*vev1/(4d0*sw**2d0) + cima*l1*sa*sb**2d0*vev1  &
                      - cima*ee**2d0*sa*sb**2d0*vev1/(4d0*cw**2d0)
    coupl(nGC_291) = -ca*cb**2d0*cima*ee**2d0*vev2/(2d0*sw**2d0) - ca*cb**2d0* &
                     cima*l2*vev2 + ca*cb*cima*ee**2d0*sb*vev1/(2d0*sw**2d0) + &
                     ca*cb*cima*l4*sb*vev1 + ca*cb*cima*l5*sb*vev1 - ca*cima*l3&
                     *sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 - cb*cima*ee**2d0*&
                     sa*sb*vev2/(2d0*sw**2d0) - cb*cima*l4*sa*sb*vev2 - cb*cima&
                     *l5*sa*sb*vev2 + cima*ee**2d0*sa*sb**2d0*vev1/(2d0*sw**2d0&
                     ) + cima*l1*sa*sb**2d0*vev1
    coupl(nGC_292) = -ca*cb**2d0*cima*ee**2d0*vev2/(2d0*sw**2d0) - ca*cb**2d0* &
                     cima*l2*vev2 - ca*cb**2d0*cima*ee**2d0*vev2/(2d0*cw**2d0  &
                     ) + ca*cb*cima*ee**2d0*sb*vev1/(2d0*sw**2d0) + 2d0*ca*cb* &
                     cima*l5*sb*vev1 + ca*cb*cima*ee**2d0*sb*vev1/(2d0*cw**2d0 &
                     ) - ca*cima*l3*sb**2d0*vev2 - ca*cima*l4*sb**2d0*vev2 + ca&
                     *cima*l5*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 + cb**2d0*&
                     cima*l4*sa*vev1 - cb**2d0*cima*l5*sa*vev1 - cb*cima*ee**  &
                     2d0*sa*sb*vev2/(2d0*sw**2d0) - 2d0*cb*cima*l5*sa*sb*vev2  &
                      - cb*cima*ee**2d0*sa*sb*vev2/(2d0*cw**2d0) + cima*ee**2d0&
                     *sa*sb**2d0*vev1/(2d0*sw**2d0) + cima*l1*sa*sb**2d0*vev1  &
                      + cima*ee**2d0*sa*sb**2d0*vev1/(2d0*cw**2d0)
    coupl(nGC_293) = -ca*cb**2d0*cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/2d0&
                      - ca*cb*cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + ca*cb*cima* &
                     l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 - ca*cima*ee**2d0*sb** &
                     2d0*vev2/(4d0*sw**2d0) + ca*cima*l4*sb**2d0*vev2/2d0 + ca*&
                     cima*l5*sb**2d0*vev2/2d0 + cb**2d0*cima*ee**2d0*sa*vev1/( &
                     4d0*sw**2d0) - cb**2d0*cima*l4*sa*vev1/2d0 - cb**2d0*cima*&
                     l5*sa*vev1/2d0 + cb*cima*ee**2d0*sa*sb*vev2/(4d0*sw**2d0  &
                     ) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 + cima* &
                     l4*sa*sb**2d0*vev1/2d0 + cima*l5*sa*sb**2d0*vev1/2d0
    coupl(nGC_298) = -ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0* &
                     cima*l5*vev2 - ca*cb**2d0*cima*ee**2d0*vev2/(4d0*cw**2d0  &
                     ) + ca*cb*cima*ee**2d0*sb*vev1/(2d0*sw**2d0) + ca*cb*cima*&
                     l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 - ca*cb*cima*l4*sb*vev1&
                      + ca*cb*cima*l5*sb*vev1 + ca*cb*cima*ee**2d0*sb*vev1/(2d0&
                     *cw**2d0) + ca*cima*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) +  &
                     ca*cima*l5*sb**2d0*vev2 + ca*cima*ee**2d0*sb**2d0*vev2/(  &
                     4d0*cw**2d0) - cb**2d0*cima*ee**2d0*sa*vev1/(4d0*sw**2d0  &
                     ) - cb**2d0*cima*l5*sa*vev1 - cb**2d0*cima*ee**2d0*sa*vev1&
                     /(4d0*cw**2d0) - cb*cima*ee**2d0*sa*sb*vev2/(2d0*sw**2d0  &
                     ) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 + cb*   &
                     cima*l4*sa*sb*vev2 - cb*cima*l5*sa*sb*vev2 - cb*cima*ee** &
                     2d0*sa*sb*vev2/(2d0*cw**2d0) + cima*ee**2d0*sa*sb**2d0*   &
                     vev1/(4d0*sw**2d0) + cima*l5*sa*sb**2d0*vev1 + cima*ee**  &
                     2d0*sa*sb**2d0*vev1/(4d0*cw**2d0)
    coupl(nGC_299) = -ca*cb**2d0*cima*l3*vev2 - ca*cb*cima*ee**2d0*sb*vev1/(2d0&
                     *sw**2d0) - ca*cb*cima*l4*sb*vev1 - ca*cb*cima*l5*sb*vev1 &
                      - ca*cima*ee**2d0*sb**2d0*vev2/(2d0*sw**2d0) - ca*cima*l2&
                     *sb**2d0*vev2 + cb**2d0*cima*ee**2d0*sa*vev1/(2d0*sw**2d0 &
                     ) + cb**2d0*cima*l1*sa*vev1 + cb*cima*ee**2d0*sa*sb*vev2/(&
                     2d0*sw**2d0) + cb*cima*l4*sa*sb*vev2 + cb*cima*l5*sa*sb*  &
                     vev2 + cima*l3*sa*sb**2d0*vev1
    coupl(nGC_21060) = sqrt(2d0)*sb/2d0
    coupl(nGC_21062) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_21063) = -cima*ee**2d0*(ca*sb - cb*sa)/sw
    coupl(nGC_21064) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_21065) = -cima*cw*ee/sw**2d0
    coupl(nGC_21066) = cima*ee/sw
    coupl(nGC_21067) = cima*cw*ee/sw
    coupl(nGC_21068) = 2d0*cima*ee
    coupl(nGC_21148) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_MZ_GF) = cMZ
    coupl(nGC_259) = -ca*cima*ee**2d0*vev2/(4d0*sw**2d0) + cima*ee**2d0*sa*vev1&
                     /(4d0*sw**2d0)
    coupl(nGC_14649) = coupl(nGC_14) - coupl(nGC_15)
    coupl(nGC_21849) = -cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_21846) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0*&
                       cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0*l1*sb**2d0 +  &
                       ca**2d0*l3*sb**2d0 + ca**2d0*l4*sb**2d0 - ca**2d0*l5*sb &
                       **2d0 + 8d0*ca*cb*l5*sa*sb - cb**2d0*l2*sa**2d0 + cb**  &
                       2d0*l3*sa**2d0 + cb**2d0*l4*sa**2d0 - cb**2d0*l5*sa**2d0&
                        + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0 - l4*sa**2d0*&
                       sb**2d0 + l5*sa**2d0*sb**2d0)
    coupl(nGC_21844) = cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb**4d0*l5&
                        + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb**2d0 - 6d0&
                       *cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0 - 6d0*cb** &
                       2d0*l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 + l4*sb**4d0 + &
                       l5*sb**4d0)
    coupl(nGC_21845) = -cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_21842) = cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_21843) = cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_21288) = -4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21289) = -4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21280) = 2d0*cima*ee**2d0/sw**3d0
    coupl(nGC_21281) = -2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_21282) = sqrt(2d0)*(cb*yup2 - sb*yup1)/2d0
    coupl(nGC_21283) = sqrt(2d0)*cb/2d0
    coupl(nGC_21284) = sqrt(2d0)*sb/2d0
    coupl(nGC_21285) = -4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21286) = -2d0*cb**4d0*cima
    coupl(nGC_21287) = -2d0*cima*sb**4d0
    coupl(nGC_187) = cb**2d0*ee**2d0/(2d0*sw) + ee**2d0*sb**2d0/(2d0*sw)
    coupl(nGC_151) = ca*cb**2d0*ee**2d0*sb/(4d0*sw**2d0) - ca*cb**2d0*ee**2d0* &
                     sb/(4d0*cw**2d0) + ca*ee**2d0*sb**3d0/(4d0*sw**2d0) - ca* &
                     ee**2d0*sb**3d0/(4d0*cw**2d0) - cb**3d0*ee**2d0*sa/(4d0*sw&
                     **2d0) + cb**3d0*ee**2d0*sa/(4d0*cw**2d0) - cb*ee**2d0*sa*&
                     sb**2d0/(4d0*sw**2d0) + cb*ee**2d0*sa*sb**2d0/(4d0*cw**2d0&
                     )
    coupl(nGC_21468) = -3d0*ca**2d0*cima*sa**2d0
    coupl(nGC_21469) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
    coupl(nGC_21466) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
    coupl(nGC_21467) = -3d0*ca**2d0*cima*sa**2d0
    coupl(nGC_251) = -ca*cb**2d0*cima*l3*vev1 + ca*cb*cima*l4*sb*vev2 + ca*cb* &
                     cima*l5*sb*vev2 - ca*cima*l1*sb**2d0*vev1 - cb**2d0*cima* &
                     l2*sa*vev2 + cb*cima*l4*sa*sb*vev1 + cb*cima*l5*sa*sb*vev1&
                      - cima*l3*sa*sb**2d0*vev2
    coupl(nGC_3367) = -coupl(nGC_359)
    coupl(nGC_20746) = -cima*(ca*cb**2d0*l2*vev2 - ca*cb**2d0*l3*vev2 - ca*cb**&
                       2d0*l4*vev2 + ca*cb**2d0*l5*vev2 - 4d0*ca*cb*l5*sb*vev1 &
                        - ca*l2*sb**2d0*vev2 + ca*l3*sb**2d0*vev2 + ca*l4*sb** &
                       2d0*vev2 - ca*l5*sb**2d0*vev2 + cb**2d0*l1*sa*vev1 - cb &
                       **2d0*l3*sa*vev1 - cb**2d0*l4*sa*vev1 + cb**2d0*l5*sa*  &
                       vev1 + 4d0*cb*l5*sa*sb*vev2 - l1*sa*sb**2d0*vev1 + l3*sa&
                       *sb**2d0*vev1 + l4*sa*sb**2d0*vev1 - l5*sa*sb**2d0*vev1)
    coupl(nGC_20702) = cb*cima*ee**2d0/(2d0*cw)
    coupl(nGC_20703) = cima*ee**2d0*(cb*vev1 + sb*vev2)/cw
    coupl(nGC_20700) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw**2d0)
    coupl(nGC_20701) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw)
    coupl(nGC_3419) = -coupl(nGC_199)
    coupl(nGC_20709) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(cw&
                       *sw**2d0)
    coupl(nGC_3141) = -coupl(nGC_173)
    coupl(nGC_21604) = -cima*ee**2d0*(ca*cb + sa*sb)/sw
    coupl(nGC_21605) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_21606) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*(cw&
                       **2d0 + sw**2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_21607) = -cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*( &
                       cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_21602) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw**2d0)
    coupl(nGC_21603) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_21608) = -cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw**2d0 + sw**2d0)** &
                       2d0/(cw**2d0*sw**2d0)
    coupl(nGC_21609) = -ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_553) = -cb*cima*sa*sb*vev2
    coupl(nGC_21118) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw)
    coupl(nGC_21119) = -cb*cima*ee**2d0/(2d0*sw)
    coupl(nGC_21112) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw**2d0)
    coupl(nGC_21113) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
    coupl(nGC_21114) = cima*ee**2d0*(ca*sb - cb*sa)/cw
    coupl(nGC_21115) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
    coupl(nGC_21116) = -cima*ee**2d0*sb/(2d0*sw)
    coupl(nGC_21117) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw**2d0)
    coupl(nGC_283) = -cb*cima*cw*ee**2d0*vev1/(4d0*sw**2d0) + cb*cima*ee**2d0* &
                     vev1/(4d0*cw) - cima*cw*ee**2d0*sb*vev2/(4d0*sw**2d0) +   &
                     cima*ee**2d0*sb*vev2/(4d0*cw)
    coupl(nGC_282) = -ca*cb**2d0*cima*l3*vev1 - ca*cb**2d0*cima*l4*vev1 + ca*cb&
                     **2d0*cima*l5*vev1 + ca*cb*cima*ee**2d0*sb*vev2/(2d0*sw** &
                     2d0) + 2d0*ca*cb*cima*l5*sb*vev2 + ca*cb*cima*ee**2d0*sb* &
                     vev2/(2d0*cw**2d0) - ca*cima*ee**2d0*sb**2d0*vev1/(2d0*sw &
                     **2d0) - ca*cima*l1*sb**2d0*vev1 - ca*cima*ee**2d0*sb**2d0&
                     *vev1/(2d0*cw**2d0) - cb**2d0*cima*ee**2d0*sa*vev2/(2d0*sw&
                     **2d0) - cb**2d0*cima*l2*sa*vev2 - cb**2d0*cima*ee**2d0*sa&
                     *vev2/(2d0*cw**2d0) + cb*cima*ee**2d0*sa*sb*vev1/(2d0*sw**&
                     2d0) + 2d0*cb*cima*l5*sa*sb*vev1 + cb*cima*ee**2d0*sa*sb* &
                     vev1/(2d0*cw**2d0) - cima*l3*sa*sb**2d0*vev2 - cima*l4*sa*&
                     sb**2d0*vev2 + cima*l5*sa*sb**2d0*vev2
    coupl(nGC_281) = -ca*cb**2d0*cima*l3*vev1 + ca*cb*cima*ee**2d0*sb*vev2/(2d0&
                     *sw**2d0) + ca*cb*cima*l4*sb*vev2 + ca*cb*cima*l5*sb*vev2 &
                      - ca*cima*ee**2d0*sb**2d0*vev1/(2d0*sw**2d0) - ca*cima*l1&
                     *sb**2d0*vev1 - cb**2d0*cima*ee**2d0*sa*vev2/(2d0*sw**2d0 &
                     ) - cb**2d0*cima*l2*sa*vev2 + cb*cima*ee**2d0*sa*sb*vev1/(&
                     2d0*sw**2d0) + cb*cima*l4*sa*sb*vev1 + cb*cima*l5*sa*sb*  &
                     vev1 - cima*l3*sa*sb**2d0*vev2
    coupl(nGC_287) = ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0*  &
                     cima*l2*vev2 - ca*cb*cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + &
                     ca*cb*cima*l4*sb*vev1 + ca*cb*cima*l5*sb*vev1 - ca*cima*l3&
                     *sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 + cb*cima*ee**2d0*&
                     sa*sb*vev2/(4d0*sw**2d0) - cb*cima*l4*sa*sb*vev2 - cb*cima&
                     *l5*sa*sb*vev2 - cima*ee**2d0*sa*sb**2d0*vev1/(4d0*sw**2d0&
                     ) + cima*l1*sa*sb**2d0*vev1
    coupl(nGC_285) = -cb*cima*cw*ee**2d0*vev1/(2d0*sw**2d0) - cb*cima*ee**2d0* &
                     vev1/(2d0*cw) - cima*cw*ee**2d0*sb*vev2/(2d0*sw**2d0) -   &
                     cima*ee**2d0*sb*vev2/(2d0*cw)
    coupl(nGC_284) = cb*cima*cw*ee**2d0*vev1/(4d0*sw**2d0) + cb*cima*ee**2d0*  &
                     vev1/(4d0*cw) + cima*cw*ee**2d0*sb*vev2/(4d0*sw**2d0) +   &
                     cima*ee**2d0*sb*vev2/(4d0*cw)
    coupl(nGC_289) = ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0*  &
                     cima*l5*vev2 + ca*cb**2d0*cima*ee**2d0*vev2/(4d0*cw**2d0  &
                     ) - ca*cb*cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + ca*cb*cima*&
                     l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 - ca*cb*cima*l4*sb*vev1&
                      + ca*cb*cima*l5*sb*vev1 - ca*cb*cima*ee**2d0*sb*vev1/(4d0&
                     *cw**2d0) + ca*cima*l5*sb**2d0*vev2 - cb**2d0*cima*l5*sa* &
                     vev1 + cb*cima*ee**2d0*sa*sb*vev2/(4d0*sw**2d0) - cb*cima*&
                     l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 + cb*cima*l4*sa*sb* &
                     vev2 - cb*cima*l5*sa*sb*vev2 + cb*cima*ee**2d0*sa*sb*vev2 &
                     /(4d0*cw**2d0) - cima*ee**2d0*sa*sb**2d0*vev1/(4d0*sw**2d0&
                     ) + cima*l5*sa*sb**2d0*vev1 - cima*ee**2d0*sa*sb**2d0*vev1&
                     /(4d0*cw**2d0)
    coupl(nGC_288) = ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0*  &
                     cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/2d0 - ca*cb*   &
                     cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + ca*cb*cima*l1*sb*vev1&
                      - ca*cb*cima*l3*sb*vev1 + ca*cima*l4*sb**2d0*vev2/2d0 +  &
                     ca*cima*l5*sb**2d0*vev2/2d0 - cb**2d0*cima*l4*sa*vev1/2d0 &
                      - cb**2d0*cima*l5*sa*vev1/2d0 + cb*cima*ee**2d0*sa*sb*   &
                     vev2/(4d0*sw**2d0) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa&
                     *sb*vev2 - cima*ee**2d0*sa*sb**2d0*vev1/(4d0*sw**2d0) +   &
                     cima*l4*sa*sb**2d0*vev1/2d0 + cima*l5*sa*sb**2d0*vev1/2d0
    coupl(nGC_21275) = -cb**4d0*cima
    coupl(nGC_21274) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21277) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21276) = -cima*sb**4d0
    coupl(nGC_21279) = 4d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4 -  &
                       cb**2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0 + l5* &
                       sb**2d0)
    coupl(nGC_21278) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21077) = sqrt(2d0)*(cb*yd13x3 + sb*yb2)/2d0
    coupl(nGC_21076) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_21075) = sqrt(2d0)*cima*(ca*yt1 + sa*yt2)/2d0
    coupl(nGC_21074) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_21079) = -sqrt(2d0)*cb/2d0
    coupl(nGC_21078) = sqrt(2d0)*sb/2d0
    coupl(nGC_20898) = ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw*sw**2d0)
    coupl(nGC_20899) = -ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
    coupl(nGC_20893) = cima*(cb*ytau1 + sb*ytau2)
    coupl(nGC_20896) = -ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw**2d0*sw)
    coupl(nGC_20897) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
    coupl(nGC_20894) = cima*sb
    coupl(nGC_20895) = -cb*cima
    coupl(nGC_21213) = -(cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
    coupl(nGC_21211) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
    coupl(nGC_14651) = coupl(nGC_14) + coupl(nGC_15)
    coupl(nGC_21851) = -2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca*&
                       cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb - 2d0*&
                       ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa**2d0&
                        + l5*sa**2d0*sb**2d0)
    coupl(nGC_21850) = ca**2d0*cb*cima*sb
    coupl(nGC_21853) = cb**3d0*cima*sb
    coupl(nGC_21852) = -cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_21855) = -cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_21854) = -cb*cima*sb**3d0
    coupl(nGC_21857) = cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb**4d0*l5 &
                        - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb**2d0 + 6d0&
                       *cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0 + 6d0*cb** &
                       2d0*l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 - l4*sb**4d0 - &
                       l5*sb**4d0)
    coupl(nGC_21859) = 2d0*cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca*cb*&
                       l3*sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 - ca*l5&
                       *sb**2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb*vev1 - &
                       cb*l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa*sb*vev1  &
                        + l5*sa*sb**2d0*vev2)
    coupl(nGC_21858) = -cima*(ca*sb**2d0*vev2 - cb**2d0*sa*vev1)
    coupl(nGC_20736) = -cima*(ca*cb**2d0*l4 + ca*cb**2d0*l5 - ca*l4*sb**2d0 -  &
                       ca*l5*sb**2d0 + 2d0*cb*l1*sa*sb - 2d0*cb*l3*sa*sb)/2d0
    coupl(nGC_20734) = -cima*(cb - sb)*(cb + sb)*(ca*vev1 - sa*vev2)/2d0
    coupl(nGC_127) = ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) - ca**2d0*cb*cima&
                     *l2*sb + ca**2d0*cb*cima*l3*sb + ca**2d0*cb*cima*l4*sb -  &
                     ca**2d0*cb*cima*l5*sb + ca**2d0*cb*cima*ee**2d0*sb/(4d0*cw&
                     **2d0) - ca*cb**2d0*cima*ee**2d0*sa/(4d0*sw**2d0) + 2d0*ca&
                     *cb**2d0*cima*l5*sa - ca*cb**2d0*cima*ee**2d0*sa/(4d0*cw**&
                     2d0) + ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) - 2d0*ca* &
                     cima*l5*sa*sb**2d0 + ca*cima*ee**2d0*sa*sb**2d0/(4d0*cw** &
                     2d0) - cb*cima*ee**2d0*sa**2d0*sb/(4d0*sw**2d0) + cb*cima*&
                     l1*sa**2d0*sb - cb*cima*l3*sa**2d0*sb - cb*cima*l4*sa**2d0&
                     *sb + cb*cima*l5*sa**2d0*sb - cb*cima*ee**2d0*sa**2d0*sb/(&
                     4d0*cw**2d0)
    coupl(nGC_21506) = ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_21293) = -3d0*cima*sb**4d0
    coupl(nGC_21292) = -3d0*cb**4d0*cima
    coupl(nGC_21291) = -6d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21290) = 8d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4 -  &
                       cb**2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0 + l5* &
                       sb**2d0)
    coupl(nGC_21296) = 12d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4 - &
                       cb**2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0 + l5* &
                       sb**2d0)
    coupl(nGC_21295) = -6d0*cb**2d0*cima*sb**2d0
    coupl(nGC_221) = -cb**2d0*cima*cw*ee**2d0/sw + cb**2d0*cima*ee**2d0*sw/cw  &
                      - cima*cw*ee**2d0*sb**2d0/sw + cima*ee**2d0*sb**2d0*sw/cw
    coupl(nGC_21504) = -ca**2d0*cb*cima*sb
    coupl(nGC_21779) = cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_21503) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**2d0&
                       *l2*sb**2d0 - ca**2d0*l3*sb**2d0 - 4d0*ca*cb*l4*sa*sb - &
                       4d0*ca*cb*l5*sa*sb + cb**2d0*l1*sa**2d0 - cb**2d0*l3*sa &
                       **2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0)
    coupl(nGC_21502) = cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_849) = -coupl(nGC_335)
    coupl(nGC_21674) = -2d0*ca*cb*cima*sa*sb
    coupl(nGC_21770) = -cima*(ca**2d0*cb*l1*sb + ca**2d0*cb*l2*sb - 2d0*ca**2d0&
                       *cb*l3*sb - 2d0*ca**2d0*cb*l4*sb + 2d0*ca**2d0*cb*l5*sb &
                        - 4d0*ca*cb**2d0*l5*sa + 4d0*ca*l5*sa*sb**2d0 - cb*l1* &
                       sa**2d0*sb - cb*l2*sa**2d0*sb + 2d0*cb*l3*sa**2d0*sb +  &
                       2d0*cb*l4*sa**2d0*sb - 2d0*cb*l5*sa**2d0*sb)
    coupl(nGC_129) = -ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) - ca**2d0*cb*   &
                     cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca*cb**2d0*cima*ee** &
                     2d0*sa/(2d0*sw**2d0) + ca*cb**2d0*cima*l4*sa + ca*cb**2d0*&
                     cima*l5*sa - ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0) - ca&
                     *cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 + cb*cima*ee**&
                     2d0*sa**2d0*sb/(2d0*sw**2d0) + cb*cima*l1*sa**2d0*sb - cb*&
                     cima*l3*sa**2d0*sb
    coupl(nGC_1201) = -coupl(nGC_198)
    coupl(nGC_21479) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
    coupl(nGC_21478) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw**2d0)
    coupl(nGC_21471) = -6d0*ca*cima*sa*(ca - sa)*(ca + sa)*(l1 + l2 - 2d0*l3 - &
                       2d0*l4 - 2d0*l5)
    coupl(nGC_21470) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
    coupl(nGC_2573) = -coupl(nGC_347)
    coupl(nGC_20679) = 4d0*cima*ee**2d0/sw**3d0
    coupl(nGC_21731) = cima*(-ca*cb**2d0*l3*vev2 - ca*cb**2d0*l4*vev2 + ca*cb**&
                       2d0*l5*vev2 - 2d0*ca*cb*l5*sb*vev1 - ca*l2*sb**2d0*vev2 &
                        + cb**2d0*l1*sa*vev1 + 2d0*cb*l5*sa*sb*vev2 + l3*sa*sb &
                       **2d0*vev1 + l4*sa*sb**2d0*vev1 - l5*sa*sb**2d0*vev1)
    coupl(nGC_20715) = cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
    coupl(nGC_20714) = (cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev2 - sb*vev1)/2d0
    coupl(nGC_20717) = -cima*(ca*cb**2d0*vev1 + sa*sb**2d0*vev2)
    coupl(nGC_20716) = sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
    coupl(nGC_20711) = -2d0*cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw&
                       )/(cw*sw)
    coupl(nGC_20710) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/( &
                       cw**2d0*sw)
    coupl(nGC_20713) = -(cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
    coupl(nGC_20712) = (cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
    coupl(nGC_21655) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/cw
    coupl(nGC_20719) = -cb**2d0*cima*sa*vev2
    coupl(nGC_20718) = -2d0*cima*(-ca*cb**2d0*l5*vev2 + ca*cb*l1*sb*vev1 - ca* &
                       cb*l3*sb*vev1 - ca*cb*l4*sb*vev1 + ca*cb*l5*sb*vev1 + ca&
                       *l5*sb**2d0*vev2 - cb**2d0*l5*sa*vev1 - cb*l2*sa*sb*vev2&
                        + cb*l3*sa*sb*vev2 + cb*l4*sa*sb*vev2 - cb*l5*sa*sb*   &
                       vev2 + l5*sa*sb**2d0*vev1)
    coupl(nGC_21617) = -cima*sb
    coupl(nGC_21616) = -cima*(cb*yt1 + sb*yt2)
    coupl(nGC_21615) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0*&
                       cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0*l2*sb**2d0 +  &
                       ca**2d0*l3*sb**2d0 + ca**2d0*l4*sb**2d0 - ca**2d0*l5*sb &
                       **2d0 + 8d0*ca*cb*l5*sa*sb - cb**2d0*l1*sa**2d0 + cb**  &
                       2d0*l3*sa**2d0 + cb**2d0*l4*sa**2d0 - cb**2d0*l5*sa**2d0&
                        + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0 - l4*sa**2d0*&
                       sb**2d0 + l5*sa**2d0*sb**2d0)
    coupl(nGC_21614) = ca*cb**2d0*cima*sa
    coupl(nGC_21613) = -ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_21612) = -cima*(2d0*ca**2d0*cb*sb - ca*cb**2d0*sa + ca*sa*sb**2d0&
                        - 2d0*cb*sa**2d0*sb)
    coupl(nGC_21611) = -ca*cima*sa*sb**2d0
    coupl(nGC_21610) = -2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca*&
                       cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb - 2d0*&
                       ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa**2d0&
                        + l5*sa**2d0*sb**2d0)
    coupl(nGC_21619) = 2d0*cima*gs**2d0
    coupl(nGC_21618) = cb*cima
    coupl(nGC_382) = cb*cima*yup2 - cima*sb*yup1
    coupl(nGC_383) = sqrt(2d0)*cb*yup2/2d0 - sqrt(2d0)*sb*yup1/2d0
    coupl(nGC_380) = -sqrt(2d0)*cb*ytau1/2d0 - sqrt(2d0)*sb*ytau2/2d0
    coupl(nGC_381) = -sqrt(2d0)*ca*cima*yup2/2d0 + sqrt(2d0)*cima*sa*yup1/2d0
    coupl(nGC_386) = sqrt(2d0)*cb*yup1/2d0 + sqrt(2d0)*sb*yup2/2d0
    coupl(nGC_384) = -sqrt(2d0)*ca*cima*yup1/2d0 - sqrt(2d0)*cima*sa*yup2/2d0
    coupl(nGC_385) = cb*cima*yup1 + cima*sb*yup2
    coupl(nGC_4799) = -coupl(nGC_178)
    coupl(nGC_21100) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_279) = -ca*cb**2d0*cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/2d0&
                      + ca*cb*cima*ee**2d0*sb*vev2/(4d0*sw**2d0) - ca*cb*cima* &
                     l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 - ca*cima*ee**2d0*sb** &
                     2d0*vev1/(4d0*sw**2d0) + ca*cima*l4*sb**2d0*vev1/2d0 + ca*&
                     cima*l5*sb**2d0*vev1/2d0 - cb**2d0*cima*ee**2d0*sa*vev2/( &
                     4d0*sw**2d0) + cb**2d0*cima*l4*sa*vev2/2d0 + cb**2d0*cima*&
                     l5*sa*vev2/2d0 + cb*cima*ee**2d0*sa*sb*vev1/(4d0*sw**2d0  &
                     ) - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 - cima* &
                     l4*sa*sb**2d0*vev2/2d0 - cima*l5*sa*sb**2d0*vev2/2d0
    coupl(nGC_276) = cb*ee**2d0*vev1/(2d0*sw**2d0) + ee**2d0*sb*vev2/(2d0*sw** &
                     2d0)
    coupl(nGC_277) = -ca*cb**2d0*cima*l3*vev1 - ca*cb*cima*ee**2d0*sb*vev2/(4d0&
                     *sw**2d0) + ca*cb*cima*l4*sb*vev2 + ca*cb*cima*l5*sb*vev2 &
                      + ca*cima*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) - ca*cima*l1&
                     *sb**2d0*vev1 + cb**2d0*cima*ee**2d0*sa*vev2/(4d0*sw**2d0 &
                     ) - cb**2d0*cima*l2*sa*vev2 - cb*cima*ee**2d0*sa*sb*vev1/(&
                     4d0*sw**2d0) + cb*cima*l4*sa*sb*vev1 + cb*cima*l5*sa*sb*  &
                     vev1 - cima*l3*sa*sb**2d0*vev2
    coupl(nGC_274) = -cb*ee**2d0*vev1/(4d0*sw**2d0) - ee**2d0*sb*vev2/(4d0*sw**&
                     2d0)
    coupl(nGC_275) = cb*ee**2d0*vev1/(4d0*sw**2d0) + ee**2d0*sb*vev2/(4d0*sw** &
                     2d0)
    coupl(nGC_272) = ca*cima*ee**2d0*vev1/(2d0*sw**2d0) + cima*ee**2d0*sa*vev2 &
                     /(2d0*sw**2d0)
    coupl(nGC_273) = -cb*ee**2d0*vev1/(2d0*sw**2d0) - ee**2d0*sb*vev2/(2d0*sw**&
                     2d0)
    coupl(nGC_270) = -ca*cima*ee**2d0*vev1/(4d0*sw**2d0) - cima*ee**2d0*sa*vev2&
                     /(4d0*sw**2d0)
    coupl(nGC_271) = -ca*cima*ee**2d0*vev1/(2d0*sw**2d0) - cima*ee**2d0*sa*vev2&
                     /(2d0*sw**2d0)
    coupl(nGC_21046) = -cima*sb
    coupl(nGC_21047) = cb*cima
    coupl(nGC_21045) = -cima*(cb*yc1 + sb*yc2)
    coupl(nGC_21048) = -cima*(ca**3d0*vev1 - 2d0*ca**2d0*sa*vev2 - 2d0*ca*sa** &
                       2d0*vev1 + sa**3d0*vev2)
    coupl(nGC_21049) = -3d0*ca*cima*sa**2d0*vev1
    coupl(nGC_21430) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*   &
                       vev2)/(cw**2d0*sw**2d0)
    coupl(nGC_20885) = cima*sa*(3d0*ca**2d0*l1 - 2d0*ca**2d0*l3 - 2d0*ca**2d0* &
                       l4 - 2d0*ca**2d0*l5 + l3*sa**2d0 + l4*sa**2d0 + l5*sa** &
                       2d0)
    coupl(nGC_20884) = -cima*(ca**3d0*vev2 + 2d0*ca**2d0*sa*vev1 - 2d0*ca*sa** &
                       2d0*vev2 - sa**3d0*vev1)
    coupl(nGC_20887) = cima*(3d0*ca**3d0*l1*vev1 - 2d0*ca**3d0*l3*vev1 - 2d0*ca&
                       **3d0*l4*vev1 - 2d0*ca**3d0*l5*vev1 - 6d0*ca**2d0*l2*sa*&
                       vev2 + 7d0*ca**2d0*l3*sa*vev2 + 7d0*ca**2d0*l4*sa*vev2  &
                        + 7d0*ca**2d0*l5*sa*vev2 - 6d0*ca*l1*sa**2d0*vev1 + 7d0&
                       *ca*l3*sa**2d0*vev1 + 7d0*ca*l4*sa**2d0*vev1 + 7d0*ca*l5&
                       *sa**2d0*vev1 + 3d0*l2*sa**3d0*vev2 - 2d0*l3*sa**3d0*   &
                       vev2 - 2d0*l4*sa**3d0*vev2 - 2d0*l5*sa**3d0*vev2)
    coupl(nGC_20886) = -ca*cima*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + 3d0*l2*&
                       sa**2d0 - 2d0*l3*sa**2d0 - 2d0*l4*sa**2d0 - 2d0*l5*sa** &
                       2d0)
    coupl(nGC_20881) = 3d0*ca**2d0*cima*sa*vev1
    coupl(nGC_20880) = -cima*(ca**3d0*vev2 + 2d0*ca**2d0*sa*vev1 - 2d0*ca*sa** &
                       2d0*vev2 - sa**3d0*vev1)
    coupl(nGC_20883) = -cima*(ca**3d0*vev2 + 2d0*ca**2d0*sa*vev1 - 2d0*ca*sa** &
                       2d0*vev2 - sa**3d0*vev1)
    coupl(nGC_20882) = -3d0*ca*cima*sa**2d0*vev2
    coupl(nGC_21670) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
    coupl(nGC_20831) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21294) = -6d0*cb**2d0*cima*sb**2d0
    coupl(nGC_2221) = -coupl(nGC_362)
    coupl(nGC_126) = ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) - 2d0*ca**2d0*cb*&
                     cima*l5*sb + ca**2d0*cb*cima*ee**2d0*sb/(4d0*cw**2d0) - ca&
                     *cb**2d0*cima*ee**2d0*sa/(4d0*sw**2d0) + ca*cb**2d0*cima* &
                     l1*sa - ca*cb**2d0*cima*l3*sa - ca*cb**2d0*cima*l4*sa + ca&
                     *cb**2d0*cima*l5*sa - ca*cb**2d0*cima*ee**2d0*sa/(4d0*cw**&
                     2d0) + ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) - ca*cima*&
                     l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 + ca*cima*l4*sa*sb**&
                     2d0 - ca*cima*l5*sa*sb**2d0 + ca*cima*ee**2d0*sa*sb**2d0/(&
                     4d0*cw**2d0) - cb*cima*ee**2d0*sa**2d0*sb/(4d0*sw**2d0) + &
                     2d0*cb*cima*l5*sa**2d0*sb - cb*cima*ee**2d0*sa**2d0*sb/(  &
                     4d0*cw**2d0)
    coupl(nGC_14667) = -coupl(nGC_14) + coupl(nGC_15)
    coupl(nGC_124) = ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) - ca**2d0*cb*cima&
                     *l4*sb - ca**2d0*cb*cima*l5*sb - ca*cb**2d0*cima*ee**2d0* &
                     sa/(4d0*sw**2d0) + ca*cb**2d0*cima*l1*sa - ca*cb**2d0*cima&
                     *l3*sa + ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) - ca*   &
                     cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 - cb*cima*ee** &
                     2d0*sa**2d0*sb/(4d0*sw**2d0) + cb*cima*l4*sa**2d0*sb + cb*&
                     cima*l5*sa**2d0*sb
    coupl(nGC_125) = ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) - ca**2d0*cb*cima&
                     *l2*sb + ca**2d0*cb*cima*l3*sb - ca*cb**2d0*cima*ee**2d0* &
                     sa/(4d0*sw**2d0) + ca*cb**2d0*cima*l4*sa + ca*cb**2d0*cima&
                     *l5*sa + ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) - ca*   &
                     cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 - cb*cima*ee** &
                     2d0*sa**2d0*sb/(4d0*sw**2d0) + cb*cima*l1*sa**2d0*sb - cb*&
                     cima*l3*sa**2d0*sb
    coupl(nGC_122) = -ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) + ca**2d0*cb*   &
                     cima*l1*sb - ca**2d0*cb*cima*l3*sb + ca*cb**2d0*cima*ee** &
                     2d0*sa/(4d0*sw**2d0) - ca*cb**2d0*cima*l4*sa - ca*cb**2d0*&
                     cima*l5*sa - ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) + ca&
                     *cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 + cb*cima*ee**&
                     2d0*sa**2d0*sb/(4d0*sw**2d0) - cb*cima*l2*sa**2d0*sb + cb*&
                     cima*l3*sa**2d0*sb
    coupl(nGC_123) = -ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) + ca**2d0*cb*   &
                     cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca**2d0*cb*cima*l4*sb&
                      + ca**2d0*cb*cima*l5*sb - ca**2d0*cb*cima*ee**2d0*sb/(4d0&
                     *cw**2d0) + ca*cb**2d0*cima*ee**2d0*sa/(4d0*sw**2d0) - 2d0&
                     *ca*cb**2d0*cima*l5*sa + ca*cb**2d0*cima*ee**2d0*sa/(4d0* &
                     cw**2d0) - ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) + 2d0*&
                     ca*cima*l5*sa*sb**2d0 - ca*cima*ee**2d0*sa*sb**2d0/(4d0*cw&
                     **2d0) + cb*cima*ee**2d0*sa**2d0*sb/(4d0*sw**2d0) - cb*   &
                     cima*l2*sa**2d0*sb + cb*cima*l3*sa**2d0*sb + cb*cima*l4*sa&
                     **2d0*sb - cb*cima*l5*sa**2d0*sb + cb*cima*ee**2d0*sa**2d0&
                     *sb/(4d0*cw**2d0)
    coupl(nGC_120) = -ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) + ca**2d0*cb*   &
                     cima*l4*sb + ca**2d0*cb*cima*l5*sb + ca*cb**2d0*cima*ee** &
                     2d0*sa/(4d0*sw**2d0) - ca*cb**2d0*cima*l2*sa + ca*cb**2d0*&
                     cima*l3*sa - ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) + ca&
                     *cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 + cb*cima*ee**&
                     2d0*sa**2d0*sb/(4d0*sw**2d0) - cb*cima*l4*sa**2d0*sb - cb*&
                     cima*l5*sa**2d0*sb
    coupl(nGC_121) = -ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) + 2d0*ca**2d0*cb&
                     *cima*l5*sb - ca**2d0*cb*cima*ee**2d0*sb/(4d0*cw**2d0) +  &
                     ca*cb**2d0*cima*ee**2d0*sa/(4d0*sw**2d0) - ca*cb**2d0*cima&
                     *l2*sa + ca*cb**2d0*cima*l3*sa + ca*cb**2d0*cima*l4*sa -  &
                     ca*cb**2d0*cima*l5*sa + ca*cb**2d0*cima*ee**2d0*sa/(4d0*cw&
                     **2d0) - ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) + ca*   &
                     cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 - ca*cima*l4*sa&
                     *sb**2d0 + ca*cima*l5*sa*sb**2d0 - ca*cima*ee**2d0*sa*sb**&
                     2d0/(4d0*cw**2d0) + cb*cima*ee**2d0*sa**2d0*sb/(4d0*sw**  &
                     2d0) - 2d0*cb*cima*l5*sa**2d0*sb + cb*cima*ee**2d0*sa**2d0&
                     *sb/(4d0*cw**2d0)
    coupl(nGC_128) = -ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) - ca**2d0*cb*   &
                     cima*l4*sb - ca**2d0*cb*cima*l5*sb + ca*cb**2d0*cima*ee** &
                     2d0*sa/(2d0*sw**2d0) + ca*cb**2d0*cima*l1*sa - ca*cb**2d0*&
                     cima*l3*sa - ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0) - ca&
                     *cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 + cb*cima*ee**&
                     2d0*sa**2d0*sb/(2d0*sw**2d0) + cb*cima*l4*sa**2d0*sb + cb*&
                     cima*l5*sa**2d0*sb
    coupl(nGC_21828) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
    coupl(nGC_21829) = -(cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
    coupl(nGC_MMW_GF) = -cMW*cima
    coupl(nGC_21910) = -cima*(cb*yup1 + sb*yup2)
    coupl(nGC_21911) = -cima*sb
    coupl(nGC_21912) = cb*cima
    coupl(nGC_21913) = ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw**2d0*sw)
    coupl(nGC_21914) = ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
    coupl(nGC_21915) = -ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw*sw**2d0)
    coupl(nGC_21916) = ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
    coupl(nGC_21917) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
    coupl(nGC_21918) = -6d0*ca**2d0*cima*sa**2d0
    coupl(nGC_21919) = -3d0*ca**4d0*cima
    coupl(nGC_I) = cima
    coupl(nGC_21676) = -2d0*cima*(ca**2d0*cb*l4*sb + ca**2d0*cb*l5*sb - ca*cb**&
                       2d0*l2*sa + ca*cb**2d0*l3*sa + ca*l1*sa*sb**2d0 - ca*l3*&
                       sa*sb**2d0 - cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
    coupl(nGC_181) = ca*cb*cima*ee**2d0/(2d0*sw) + cima*ee**2d0*sa*sb/(2d0*sw)
    coupl(nGC_3) = -cima*ee
    coupl(nGC_2) = -2d0*cima*ee/3d0
    coupl(nGC_1) = cima*ee/3d0
    coupl(nGC_7) = -cima*ee**2d0
    coupl(nGC_6) = 2d0*cima*ee
    coupl(nGC_5) = -2d0*cima*ee
    coupl(nGC_4) = cima*ee
    coupl(nGC_9) = -2d0*cima*ee**2d0
    coupl(nGC_8) = cima*ee**2d0
    coupl(nGC_21442) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0*&
                       l2*sb**2d0 + ca**2d0*l3*sb**2d0 + 4d0*ca*cb*l4*sa*sb +  &
                       4d0*ca*cb*l5*sa*sb - cb**2d0*l1*sa**2d0 + cb**2d0*l3*sa &
                       **2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0)
    coupl(nGC_21443) = -6d0*ca**2d0*cima*sa**2d0
    coupl(nGC_21440) = -cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_21441) = ca*cb**2d0*cima*sa
    coupl(nGC_21446) = -6d0*ca**2d0*cima*sa**2d0
    coupl(nGC_21447) = -6d0*ca**2d0*cima*sa**2d0
    coupl(nGC_21444) = -3d0*cima*sa**4d0
    coupl(nGC_21445) = -3d0*ca**4d0*cima
    coupl(nGC_21448) = -12d0*ca*cima*sa*(-ca**2d0*l2 + ca**2d0*l3 + ca**2d0*l4 &
                        + ca**2d0*l5 + l1*sa**2d0 - l3*sa**2d0 - l4*sa**2d0 -  &
                       l5*sa**2d0)
    coupl(nGC_278) = -ca*cb**2d0*cima*l3*vev1 - ca*cb**2d0*cima*l4*vev1 + ca*cb&
                     **2d0*cima*l5*vev1 - ca*cb*cima*ee**2d0*sb*vev2/(4d0*sw** &
                     2d0) + 2d0*ca*cb*cima*l5*sb*vev2 - ca*cb*cima*ee**2d0*sb* &
                     vev2/(4d0*cw**2d0) + ca*cima*ee**2d0*sb**2d0*vev1/(4d0*sw &
                     **2d0) - ca*cima*l1*sb**2d0*vev1 + ca*cima*ee**2d0*sb**2d0&
                     *vev1/(4d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa*vev2/(4d0*sw&
                     **2d0) - cb**2d0*cima*l2*sa*vev2 + cb**2d0*cima*ee**2d0*sa&
                     *vev2/(4d0*cw**2d0) - cb*cima*ee**2d0*sa*sb*vev1/(4d0*sw**&
                     2d0) + 2d0*cb*cima*l5*sa*sb*vev1 - cb*cima*ee**2d0*sa*sb* &
                     vev1/(4d0*cw**2d0) - cima*l3*sa*sb**2d0*vev2 - cima*l4*sa*&
                     sb**2d0*vev2 + cima*l5*sa*sb**2d0*vev2
    coupl(nGC_1999) = -coupl(nGC_205)
    coupl(nGC_2147) = -coupl(nGC_386)
    coupl(nGC_21061) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw**2d0)
    coupl(nGC_21590) = -cb*cima*sb*(ca*vev1 - sa*vev2)
    coupl(nGC_21591) = cima*(ca*cb**2d0*l1*vev1 + ca*cb*l4*sb*vev2 + ca*cb*l5* &
                       sb*vev2 + ca*l3*sb**2d0*vev1 + cb**2d0*l3*sa*vev2 + cb* &
                       l4*sa*sb*vev1 + cb*l5*sa*sb*vev1 + l2*sa*sb**2d0*vev2)
    coupl(nGC_21592) = -2d0*cima*ee**2d0/sw**3d0
    coupl(nGC_21593) = 2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_3309) = -coupl(nGC_214)
    coupl(nGC_21138) = cb*cima*ee**2d0/(2d0*sw)
    coupl(nGC_21139) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw**2d0)
    coupl(nGC_269) = cb*cima*cw*ee**2d0*vev2/(2d0*sw**2d0) - cb*cima*ee**2d0*  &
                     vev2/(2d0*cw) - cima*cw*ee**2d0*sb*vev1/(2d0*sw**2d0) +   &
                     cima*ee**2d0*sb*vev1/(2d0*cw)
    coupl(nGC_268) = -cb*cima*cw*ee**2d0*vev2/(2d0*sw**2d0) - cb*cima*ee**2d0* &
                     vev2/(2d0*cw) + cima*cw*ee**2d0*sb*vev1/(2d0*sw**2d0) +   &
                     cima*ee**2d0*sb*vev1/(2d0*cw)
    coupl(nGC_265) = cb*ee**2d0*vev2/(2d0*sw**2d0) - ee**2d0*sb*vev1/(2d0*sw** &
                     2d0)
    coupl(nGC_264) = cb*ee**2d0*vev2/(4d0*sw**2d0) - ee**2d0*sb*vev1/(4d0*sw** &
                     2d0)
    coupl(nGC_267) = cb*cima*cw*ee**2d0*vev2/(4d0*sw**2d0) + cb*cima*ee**2d0*  &
                     vev2/(4d0*cw) - cima*cw*ee**2d0*sb*vev1/(4d0*sw**2d0) -   &
                     cima*ee**2d0*sb*vev1/(4d0*cw)
    coupl(nGC_266) = -cb*cima*cw*ee**2d0*vev2/(4d0*sw**2d0) + cb*cima*ee**2d0* &
                     vev2/(4d0*cw) + cima*cw*ee**2d0*sb*vev1/(4d0*sw**2d0) -   &
                     cima*ee**2d0*sb*vev1/(4d0*cw)
    coupl(nGC_261) = ca*cima*ee**2d0*vev2/(2d0*sw**2d0) - cima*ee**2d0*sa*vev1 &
                     /(2d0*sw**2d0)
    coupl(nGC_260) = -ca*cima*ee**2d0*vev2/(2d0*sw**2d0) + cima*ee**2d0*sa*vev1&
                     /(2d0*sw**2d0)
    coupl(nGC_263) = -cb*ee**2d0*vev2/(4d0*sw**2d0) + ee**2d0*sb*vev1/(4d0*sw**&
                     2d0)
    coupl(nGC_262) = -cb*ee**2d0*vev2/(2d0*sw**2d0) + ee**2d0*sb*vev1/(2d0*sw**&
                     2d0)
    coupl(nGC_20980) = -3d0*ca*cima*(ca**2d0*l1 + l3*sa**2d0 + l4*sa**2d0 + l5*&
                       sa**2d0)
    coupl(nGC_20981) = -3d0*cima*sa*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + l2*&
                       sa**2d0)
    coupl(nGC_20982) = 3d0*cima*(-ca**3d0*l3*vev2 - ca**3d0*l4*vev2 - ca**3d0* &
                       l5*vev2 + 3d0*ca**2d0*l1*sa*vev1 - 2d0*ca**2d0*l3*sa*   &
                       vev1 - 2d0*ca**2d0*l4*sa*vev1 - 2d0*ca**2d0*l5*sa*vev1  &
                        - 3d0*ca*l2*sa**2d0*vev2 + 2d0*ca*l3*sa**2d0*vev2 + 2d0&
                       *ca*l4*sa**2d0*vev2 + 2d0*ca*l5*sa**2d0*vev2 + l3*sa**  &
                       3d0*vev1 + l4*sa**3d0*vev1 + l5*sa**3d0*vev1)
    coupl(nGC_21059) = sqrt(2d0)*cb/2d0
    coupl(nGC_21058) = sqrt(2d0)*(cb*yc2 - sb*yc1)/2d0
    coupl(nGC_21051) = -cima*(ca**3d0*vev1 - 2d0*ca**2d0*sa*vev2 - 2d0*ca*sa** &
                       2d0*vev1 + sa**3d0*vev2)
    coupl(nGC_21050) = -3d0*ca**2d0*cima*sa*vev2
    coupl(nGC_21053) = -ca*cima*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + 3d0*l1*&
                       sa**2d0 - 2d0*l3*sa**2d0 - 2d0*l4*sa**2d0 - 2d0*l5*sa** &
                       2d0)
    coupl(nGC_21052) = -cima*(ca**3d0*vev1 - 2d0*ca**2d0*sa*vev2 - 2d0*ca*sa** &
                       2d0*vev1 + sa**3d0*vev2)
    coupl(nGC_21055) = -cima*(3d0*ca**3d0*l2*vev2 - 2d0*ca**3d0*l3*vev2 - 2d0* &
                       ca**3d0*l4*vev2 - 2d0*ca**3d0*l5*vev2 + 6d0*ca**2d0*l1* &
                       sa*vev1 - 7d0*ca**2d0*l3*sa*vev1 - 7d0*ca**2d0*l4*sa*   &
                       vev1 - 7d0*ca**2d0*l5*sa*vev1 - 6d0*ca*l2*sa**2d0*vev2  &
                        + 7d0*ca*l3*sa**2d0*vev2 + 7d0*ca*l4*sa**2d0*vev2 + 7d0&
                       *ca*l5*sa**2d0*vev2 - 3d0*l1*sa**3d0*vev1 + 2d0*l3*sa** &
                       3d0*vev1 + 2d0*l4*sa**3d0*vev1 + 2d0*l5*sa**3d0*vev1)
    coupl(nGC_21054) = -cima*sa*(3d0*ca**2d0*l2 - 2d0*ca**2d0*l3 - 2d0*ca**2d0*&
                       l4 - 2d0*ca**2d0*l5 + l3*sa**2d0 + l4*sa**2d0 + l5*sa** &
                       2d0)
    coupl(nGC_21057) = cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**2d0
    coupl(nGC_21056) = -cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**3d0
    coupl(nGC_20870) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**2d0
    coupl(nGC_20871) = -cima*ee**2d0*(ca*vev2 - sa*vev1)/(2d0*sw**2d0)
    coupl(nGC_20872) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**3d0
    coupl(nGC_20873) = cima*ee**2d0*sa/(2d0*sw**2d0)
    coupl(nGC_20874) = ca*cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_20875) = cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**2d0
    coupl(nGC_20876) = cima*ee**2d0*(ca*vev2 - sa*vev1)/(2d0*sw**2d0)
    coupl(nGC_21422) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
    coupl(nGC_21891) = -3d0*cb**3d0*cima*sb
    coupl(nGC_1213) = -coupl(nGC_205)/2d0
    coupl(nGC_21890) = 3d0*cb*cima*sb**3d0
    coupl(nGC_135) = ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) + ca**2d0*cb*cima&
                     *l1*sb - ca**2d0*cb*cima*l3*sb - ca**2d0*cb*cima*l4*sb +  &
                     ca**2d0*cb*cima*l5*sb + ca**2d0*cb*cima*ee**2d0*sb/(2d0*cw&
                     **2d0) - ca*cb**2d0*cima*ee**2d0*sa/(2d0*sw**2d0) - 2d0*ca&
                     *cb**2d0*cima*l5*sa - ca*cb**2d0*cima*ee**2d0*sa/(2d0*cw**&
                     2d0) + ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0) + 2d0*ca* &
                     cima*l5*sa*sb**2d0 + ca*cima*ee**2d0*sa*sb**2d0/(2d0*cw** &
                     2d0) - cb*cima*ee**2d0*sa**2d0*sb/(2d0*sw**2d0) - cb*cima*&
                     l2*sa**2d0*sb + cb*cima*l3*sa**2d0*sb + cb*cima*l4*sa**2d0&
                     *sb - cb*cima*l5*sa**2d0*sb - cb*cima*ee**2d0*sa**2d0*sb/(&
                     2d0*cw**2d0)
    coupl(nGC_134) = ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) + ca**2d0*cb*cima&
                     *l1*sb - ca**2d0*cb*cima*l3*sb - ca*cb**2d0*cima*ee**2d0* &
                     sa/(2d0*sw**2d0) - ca*cb**2d0*cima*l4*sa - ca*cb**2d0*cima&
                     *l5*sa + ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0) + ca*   &
                     cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 - cb*cima*ee** &
                     2d0*sa**2d0*sb/(2d0*sw**2d0) - cb*cima*l2*sa**2d0*sb + cb*&
                     cima*l3*sa**2d0*sb
    coupl(nGC_137) = -ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb**&
                     2d0*cima*l5 - ca**2d0*cb**2d0*cima*ee**2d0/(4d0*cw**2d0   &
                     ) + ca**2d0*cima*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca**2d0* &
                     cima*l5*sb**2d0 + ca**2d0*cima*ee**2d0*sb**2d0/(4d0*cw**  &
                     2d0) - ca*cb*cima*ee**2d0*sa*sb/sw**2d0 - ca*cb*cima*l1*sa&
                     *sb - ca*cb*cima*l2*sa*sb + 2d0*ca*cb*cima*l3*sa*sb + 2d0*&
                     ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa*sb - ca*cb*cima&
                     *ee**2d0*sa*sb/cw**2d0 + cb**2d0*cima*ee**2d0*sa**2d0/(4d0&
                     *sw**2d0) + cb**2d0*cima*l5*sa**2d0 + cb**2d0*cima*ee**2d0&
                     *sa**2d0/(4d0*cw**2d0) - cima*ee**2d0*sa**2d0*sb**2d0/(4d0&
                     *sw**2d0) - cima*l5*sa**2d0*sb**2d0 - cima*ee**2d0*sa**2d0&
                     *sb**2d0/(4d0*cw**2d0)
    coupl(nGC_136) = -ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb**&
                     2d0*cima*l4/2d0 - ca**2d0*cb**2d0*cima*l5/2d0 + ca**2d0*  &
                     cima*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca**2d0*cima*l4*sb** &
                     2d0/2d0 + ca**2d0*cima*l5*sb**2d0/2d0 - ca*cb*cima*ee**2d0&
                     *sa*sb/sw**2d0 - ca*cb*cima*l1*sa*sb - ca*cb*cima*l2*sa*sb&
                      + 2d0*ca*cb*cima*l3*sa*sb + cb**2d0*cima*ee**2d0*sa**2d0 &
                     /(4d0*sw**2d0) + cb**2d0*cima*l4*sa**2d0/2d0 + cb**2d0*   &
                     cima*l5*sa**2d0/2d0 - cima*ee**2d0*sa**2d0*sb**2d0/(4d0*sw&
                     **2d0) - cima*l4*sa**2d0*sb**2d0/2d0 - cima*l5*sa**2d0*sb &
                     **2d0/2d0
    coupl(nGC_131) = -ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) - ca**2d0*cb*   &
                     cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca**2d0*cb*cima*l4*sb&
                      - ca**2d0*cb*cima*l5*sb - ca**2d0*cb*cima*ee**2d0*sb/(2d0&
                     *cw**2d0) + ca*cb**2d0*cima*ee**2d0*sa/(2d0*sw**2d0) + 2d0&
                     *ca*cb**2d0*cima*l5*sa + ca*cb**2d0*cima*ee**2d0*sa/(2d0* &
                     cw**2d0) - ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0) - 2d0*&
                     ca*cima*l5*sa*sb**2d0 - ca*cima*ee**2d0*sa*sb**2d0/(2d0*cw&
                     **2d0) + cb*cima*ee**2d0*sa**2d0*sb/(2d0*sw**2d0) + cb*   &
                     cima*l1*sa**2d0*sb - cb*cima*l3*sa**2d0*sb - cb*cima*l4*sa&
                     **2d0*sb + cb*cima*l5*sa**2d0*sb + cb*cima*ee**2d0*sa**2d0&
                     *sb/(2d0*cw**2d0)
    coupl(nGC_130) = -ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) - 2d0*ca**2d0*cb&
                     *cima*l5*sb - ca**2d0*cb*cima*ee**2d0*sb/(2d0*cw**2d0) +  &
                     ca*cb**2d0*cima*ee**2d0*sa/(2d0*sw**2d0) + ca*cb**2d0*cima&
                     *l1*sa - ca*cb**2d0*cima*l3*sa - ca*cb**2d0*cima*l4*sa +  &
                     ca*cb**2d0*cima*l5*sa + ca*cb**2d0*cima*ee**2d0*sa/(2d0*cw&
                     **2d0) - ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0) - ca*   &
                     cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 + ca*cima*l4*sa&
                     *sb**2d0 - ca*cima*l5*sa*sb**2d0 - ca*cima*ee**2d0*sa*sb**&
                     2d0/(2d0*cw**2d0) + cb*cima*ee**2d0*sa**2d0*sb/(2d0*sw**  &
                     2d0) + 2d0*cb*cima*l5*sa**2d0*sb + cb*cima*ee**2d0*sa**2d0&
                     *sb/(2d0*cw**2d0)
    coupl(nGC_133) = ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) + 2d0*ca**2d0*cb*&
                     cima*l5*sb + ca**2d0*cb*cima*ee**2d0*sb/(2d0*cw**2d0) - ca&
                     *cb**2d0*cima*ee**2d0*sa/(2d0*sw**2d0) - ca*cb**2d0*cima* &
                     l2*sa + ca*cb**2d0*cima*l3*sa + ca*cb**2d0*cima*l4*sa - ca&
                     *cb**2d0*cima*l5*sa - ca*cb**2d0*cima*ee**2d0*sa/(2d0*cw**&
                     2d0) + ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0) + ca*cima*&
                     l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 - ca*cima*l4*sa*sb**&
                     2d0 + ca*cima*l5*sa*sb**2d0 + ca*cima*ee**2d0*sa*sb**2d0/(&
                     2d0*cw**2d0) - cb*cima*ee**2d0*sa**2d0*sb/(2d0*sw**2d0) - &
                     2d0*cb*cima*l5*sa**2d0*sb - cb*cima*ee**2d0*sa**2d0*sb/(  &
                     2d0*cw**2d0)
    coupl(nGC_132) = ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) + ca**2d0*cb*cima&
                     *l4*sb + ca**2d0*cb*cima*l5*sb - ca*cb**2d0*cima*ee**2d0* &
                     sa/(2d0*sw**2d0) - ca*cb**2d0*cima*l2*sa + ca*cb**2d0*cima&
                     *l3*sa + ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0) + ca*   &
                     cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 - cb*cima*ee** &
                     2d0*sa**2d0*sb/(2d0*sw**2d0) - cb*cima*l4*sa**2d0*sb - cb*&
                     cima*l5*sa**2d0*sb
    coupl(nGC_139) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb** &
                     2d0*cima*l2 + ca**2d0*cb**2d0*cima*ee**2d0/(4d0*cw**2d0   &
                     ) - ca**2d0*cima*l3*sb**2d0 - ca**2d0*cima*l4*sb**2d0 + ca&
                     **2d0*cima*l5*sb**2d0 + ca*cb*cima*ee**2d0*sa*sb/(2d0*sw**&
                     2d0) - 4d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**2d0*sa*sb &
                     /(2d0*cw**2d0) - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima*l4&
                     *sa**2d0 + cb**2d0*cima*l5*sa**2d0 + cima*ee**2d0*sa**2d0*&
                     sb**2d0/(4d0*sw**2d0) - cima*l1*sa**2d0*sb**2d0 + cima*ee &
                     **2d0*sa**2d0*sb**2d0/(4d0*cw**2d0)
    coupl(nGC_138) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb** &
                     2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 + ca*cb*cima*ee**2d0&
                     *sa*sb/(2d0*sw**2d0) - 2d0*ca*cb*cima*l4*sa*sb - 2d0*ca*cb&
                     *cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 + cima*ee**2d0*sa&
                     **2d0*sb**2d0/(4d0*sw**2d0) - cima*l1*sa**2d0*sb**2d0
    coupl(nGC_21837) = -(cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
    coupl(nGC_21836) = (cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
    coupl(nGC_21835) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
    coupl(nGC_21834) = sqrt(2d0)*cima*(ca*ydo1 + sa*ydo2)/2d0
    coupl(nGC_21833) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_21832) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_21831) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
    coupl(nGC_21830) = (cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
    coupl(nGC_21839) = cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_21838) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
    coupl(nGC_20805) = -sqrt(2d0)*cima*(ca*ye2 - sa*ye1)/2d0
    coupl(nGC_21903) = -sqrt(2d0)*cb/2d0
    coupl(nGC_21902) = sqrt(2d0)*sb/2d0
    coupl(nGC_21901) = sqrt(2d0)*(cb*ym1 + sb*ym2)/2d0
    coupl(nGC_21900) = -cb*cima
    coupl(nGC_21907) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_21906) = -3d0*cb*cima*sb**3d0
    coupl(nGC_21904) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_21909) = 3d0*cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb**4d0&
                       *l5 - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb**2d0 + &
                       6d0*cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0 + 6d0*cb&
                       **2d0*l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 - l4*sb**4d0 &
                        - l5*sb**4d0)
    coupl(nGC_21908) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_21496) = 2d0*cima*ee/sw
    coupl(nGC_20755) = -2d0*cima*ee**2d0/sw
    coupl(nGC_20754) = 2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_21561) = ca*cb*cima*sb*vev1
    coupl(nGC_20800) = cb*cima*ee**2d0/(2d0*cw)
    coupl(nGC_21455) = -cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(2d0*cw&
                       **2d0*sw)
    coupl(nGC_21454) = cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(2d0*cw*&
                       sw**2d0)
    coupl(nGC_21456) = -cima*ee*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)/(2d0*cw&
                       *sw)
    coupl(nGC_246) = -ca*cb**2d0*cima*l2*vev2 + 2d0*ca*cb*cima*l5*sb*vev1 - ca*&
                     cima*l3*sb**2d0*vev2 - ca*cima*l4*sb**2d0*vev2 + ca*cima* &
                     l5*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 + cb**2d0*cima* &
                     l4*sa*vev1 - cb**2d0*cima*l5*sa*vev1 - 2d0*cb*cima*l5*sa* &
                     sb*vev2 + cima*l1*sa*sb**2d0*vev1
    coupl(nGC_21564) = ee**2d0*(cb**2d0 + sb**2d0)/(2d0*cw**2d0)
    coupl(nGC_20803) = -cima*ee**2d0*sb/(2d0*cw)
    coupl(nGC_21523) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa*   &
                       vev1)/(cw**2d0*sw**2d0)
    coupl(nGC_243) = -ca*cb**2d0*cima*l2*vev2 + ca*cb*cima*l4*sb*vev1 + ca*cb* &
                     cima*l5*sb*vev1 - ca*cima*l3*sb**2d0*vev2 + cb**2d0*cima* &
                     l3*sa*vev1 - cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*sb*vev2&
                      + cima*l1*sa*sb**2d0*vev1
    coupl(nGC_21566) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*( &
                       cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_242) = -ca*cb**2d0*cima*l3*vev2 - ca*cb**2d0*cima*l4*vev2 + ca*cb&
                     **2d0*cima*l5*vev2 - 2d0*ca*cb*cima*l5*sb*vev1 - ca*cima* &
                     l2*sb**2d0*vev2 + cb**2d0*cima*l1*sa*vev1 + 2d0*cb*cima*l5&
                     *sa*sb*vev2 + cima*l3*sa*sb**2d0*vev1 + cima*l4*sa*sb**2d0&
                     *vev1 - cima*l5*sa*sb**2d0*vev1
    coupl(nGC_241) = -ca*cb**2d0*cima*l3*vev2 - ca*cb*cima*l4*sb*vev1 - ca*cb* &
                     cima*l5*sb*vev1 - ca*cima*l2*sb**2d0*vev2 + cb**2d0*cima* &
                     l1*sa*vev1 + cb*cima*l4*sa*sb*vev2 + cb*cima*l5*sa*sb*vev2&
                      + cima*l3*sa*sb**2d0*vev1
    coupl(nGC_21153) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_21653) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw)
    coupl(nGC_21652) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw**2d0)
    coupl(nGC_9313) = -2d0*coupl(nGC_15)
    coupl(nGC_21651) = -cima*ee**2d0*sb/(2d0*cw)
    coupl(nGC_21650) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)** &
                       2d0/(cw**2d0*sw**2d0)
    coupl(nGC_320) = cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) - cb**3d0*l4*vev1/2d0  &
                      + cb**3d0*l5*vev1/2d0 + cb**2d0*ee**2d0*sb*vev2/(4d0*sw**&
                     2d0) - cb**2d0*l4*sb*vev2/2d0 + cb**2d0*l5*sb*vev2/2d0 +  &
                     cb*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) - cb*l4*sb**2d0*vev1&
                     /2d0 + cb*l5*sb**2d0*vev1/2d0 + ee**2d0*sb**3d0*vev2/(4d0*&
                     sw**2d0) - l4*sb**3d0*vev2/2d0 + l5*sb**3d0*vev2/2d0
    coupl(nGC_21656) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_20690) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_20691) = sqrt(2d0)*cima*(ca*yd13x3 + sa*yb2)/2d0
    coupl(nGC_20692) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_20693) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_20694) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_20695) = -sqrt(2d0)*cima*(ca*ytau2 - sa*ytau1)/2d0
    coupl(nGC_20696) = cima*(cb*yc2 - sb*yc1)
    coupl(nGC_20697) = cb*cima
    coupl(nGC_20698) = cima*sb
    coupl(nGC_20699) = cima*ee**2d0*sb/(2d0*cw)
    coupl(nGC_21654) = -cb*cima*ee**2d0/(2d0*cw)
    coupl(nGC_59) = 3d0*cb**3d0*cima*l1*sb - 3d0*cb**3d0*cima*l3*sb - 3d0*cb** &
                    3d0*cima*l4*sb - 3d0*cb**3d0*cima*l5*sb - 3d0*cb*cima*l2*sb&
                    **3d0 + 3d0*cb*cima*l3*sb**3d0 + 3d0*cb*cima*l4*sb**3d0 +  &
                    3d0*cb*cima*l5*sb**3d0
    coupl(nGC_21587) = -cima*(ca*cb**2d0*l3 + ca*l2*sb**2d0 - cb*l4*sa*sb - cb*&
                       l5*sa*sb)
    coupl(nGC_21586) = -cb*cima*sb*(ca*vev1 - sa*vev2)
    coupl(nGC_21585) = -ca*cima*sb**2d0*vev2
    coupl(nGC_21584) = -cima*(ca*cb**2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 2d0*ca*&
                       cb*l2*sb*vev2 - 2d0*ca*cb*l3*sb*vev2 - ca*l4*sb**2d0*   &
                       vev1 - ca*l5*sb**2d0*vev1 - cb**2d0*l4*sa*vev2 - cb**2d0&
                       *l5*sa*vev2 + 2d0*cb*l1*sa*sb*vev1 - 2d0*cb*l3*sa*sb*   &
                       vev1 + l4*sa*sb**2d0*vev2 + l5*sa*sb**2d0*vev2)
    coupl(nGC_21583) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
    coupl(nGC_21582) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_21581) = 2d0*cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_21580) = -2d0*cima*ee/(3d0*cw)
    coupl(nGC_21589) = cb**2d0*cima*sa*vev1
    coupl(nGC_21588) = cima*(-ca*cb*l4*sb - ca*cb*l5*sb + cb**2d0*l1*sa + l3*sa&
                       *sb**2d0)
    coupl(nGC_21847) = -cb*cima*sa**2d0*sb
    coupl(nGC_21638) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**2d0&
                       *cb**2d0*l4 - ca**2d0*cb**2d0*l5 + ca**2d0*l1*sb**2d0 - &
                       ca**2d0*l3*sb**2d0 - ca**2d0*l4*sb**2d0 + ca**2d0*l5*sb &
                       **2d0 - 8d0*ca*cb*l5*sa*sb + cb**2d0*l2*sa**2d0 - cb**  &
                       2d0*l3*sa**2d0 - cb**2d0*l4*sa**2d0 + cb**2d0*l5*sa**2d0&
                        - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0 + l4*sa**2d0*&
                       sb**2d0 - l5*sa**2d0*sb**2d0)
    coupl(nGC_21635) = cima*(2d0*ca**2d0*cb*sb - ca*cb**2d0*sa + ca*sa*sb**2d0 &
                        - 2d0*cb*sa**2d0*sb)
    coupl(nGC_21634) = -ca*cb**2d0*cima*sa
    coupl(nGC_21637) = ca*cima*sa*sb**2d0
    coupl(nGC_21636) = ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_21633) = 2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca* &
                       cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb - 2d0*&
                       ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa**2d0&
                        + l5*sa**2d0*sb**2d0)
    coupl(nGC_21632) = ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_21660) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*( &
                       cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_21120) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/sw
    coupl(nGC_258) = -cb**3d0*l4*vev1/2d0 + cb**3d0*l5*vev1/2d0 - cb**2d0*l4*sb&
                     *vev2/2d0 + cb**2d0*l5*sb*vev2/2d0 - cb*l4*sb**2d0*vev1/  &
                     2d0 + cb*l5*sb**2d0*vev1/2d0 - l4*sb**3d0*vev2/2d0 + l5*sb&
                     **3d0*vev2/2d0
    coupl(nGC_250) = -ca*cb**2d0*cima*l1*vev1 - 2d0*ca*cb*cima*l5*sb*vev2 - ca*&
                     cima*l3*sb**2d0*vev1 - ca*cima*l4*sb**2d0*vev1 + ca*cima* &
                     l5*sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2 - cb**2d0*cima* &
                     l4*sa*vev2 + cb**2d0*cima*l5*sa*vev2 - 2d0*cb*cima*l5*sa* &
                     sb*vev1 - cima*l2*sa*sb**2d0*vev2
    coupl(nGC_20780) = -cima*ee
    coupl(nGC_252) = -ca*cb**2d0*cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/2d0&
                      - ca*cb*cima*l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 + ca*cima&
                     *l4*sb**2d0*vev1/2d0 + ca*cima*l5*sb**2d0*vev1/2d0 + cb** &
                     2d0*cima*l4*sa*vev2/2d0 + cb**2d0*cima*l5*sa*vev2/2d0 - cb&
                     *cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 - cima*l4*sa* &
                     sb**2d0*vev2/2d0 - cima*l5*sa*sb**2d0*vev2/2d0
    coupl(nGC_253) = -ca*cb**2d0*cima*l5*vev1 - ca*cb*cima*l2*sb*vev2 + ca*cb* &
                     cima*l3*sb*vev2 + ca*cb*cima*l4*sb*vev2 - ca*cb*cima*l5*sb&
                     *vev2 + ca*cima*l5*sb**2d0*vev1 + cb**2d0*cima*l5*sa*vev2 &
                      - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 + cb*cima&
                     *l4*sa*sb*vev1 - cb*cima*l5*sa*sb*vev1 - cima*l5*sa*sb**  &
                     2d0*vev2
    coupl(nGC_254) = -ca*cb**2d0*cima*l3*vev1 - ca*cb**2d0*cima*l4*vev1 + ca*cb&
                     **2d0*cima*l5*vev1 + 2d0*ca*cb*cima*l5*sb*vev2 - ca*cima* &
                     l1*sb**2d0*vev1 - cb**2d0*cima*l2*sa*vev2 + 2d0*cb*cima*l5&
                     *sa*sb*vev1 - cima*l3*sa*sb**2d0*vev2 - cima*l4*sa*sb**2d0&
                     *vev2 + cima*l5*sa*sb**2d0*vev2
    coupl(nGC_255) = -cb**3d0*ee**2d0*vev1/(4d0*cw**2d0) - cb**2d0*ee**2d0*sb* &
                     vev2/(4d0*cw**2d0) - cb*ee**2d0*sb**2d0*vev1/(4d0*cw**2d0 &
                     ) - ee**2d0*sb**3d0*vev2/(4d0*cw**2d0)
    coupl(nGC_256) = cb**3d0*ee**2d0*vev1/(4d0*cw**2d0) + cb**2d0*ee**2d0*sb*  &
                     vev2/(4d0*cw**2d0) + cb*ee**2d0*sb**2d0*vev1/(4d0*cw**2d0 &
                     ) + ee**2d0*sb**3d0*vev2/(4d0*cw**2d0)
    coupl(nGC_257) = cb**3d0*l4*vev1/2d0 - cb**3d0*l5*vev1/2d0 + cb**2d0*l4*sb*&
                     vev2/2d0 - cb**2d0*l5*sb*vev2/2d0 + cb*l4*sb**2d0*vev1/2d0&
                      - cb*l5*sb**2d0*vev1/2d0 + l4*sb**3d0*vev2/2d0 - l5*sb** &
                     3d0*vev2/2d0
    coupl(nGC_20997) = -cima*(cb*ytau2 - sb*ytau1)
    coupl(nGC_20995) = 4d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_20994) = -4d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_20992) = 2d0*cima*ee**2d0
    coupl(nGC_20999) = -cima*sb
    coupl(nGC_20998) = -cb*cima
    coupl(nGC_21024) = 2d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_21025) = -2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_21026) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_21027) = 4d0*cima*ee**2d0
    coupl(nGC_20863) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_20862) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_20861) = cima*ee*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_20860) = cima*ee*(ca*cb + sa*sb)/(2d0*sw**2d0)
    coupl(nGC_20867) = cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**3d0
    coupl(nGC_20866) = cima*sb
    coupl(nGC_20865) = cima*(cb*ydo1 + sb*ydo2)
    coupl(nGC_20864) = -cb*cima
    coupl(nGC_20869) = -ca*cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_20868) = -cima*ee**2d0*sa/(2d0*sw**2d0)
  end subroutine fill_couplings_mdl3
end module fill_couplings3
