!******************************************************************************!
!                                                                              !
!    fill_couplings4.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings4.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-10 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl4()
    coupl(nGC_3923) = -coupl(nGC_179)
    coupl(nGC_21757) = 2d0*ca*cb*cima*sa*sb
    coupl(nGC_21330) = -cb**2d0*cima*sb**2d0
    coupl(nGC_21331) = -cima*(cb - sb)**2d0*(cb + sb)**2d0/2d0
    coupl(nGC_21332) = -cima*(cb - sb)**2d0*(cb + sb)**2d0/2d0
    coupl(nGC_21333) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3 - &
                       2d0*l4 - 2d0*l5)
    coupl(nGC_100) = cb**2d0*cima*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0*sb**2d0 &
                     /(2d0*sw**2d0)
    coupl(nGC_101) = cb**2d0*cima*ee**2d0/sw**2d0 + cima*ee**2d0*sb**2d0/sw**2d0
    coupl(nGC_103) = -ca**2d0*cb**2d0*cima*l5 - ca**2d0*cima*ee**2d0*sb**2d0/( &
                     4d0*sw**2d0) + ca**2d0*cima*l5*sb**2d0 - ca**2d0*cima*ee**&
                     2d0*sb**2d0/(4d0*cw**2d0) + ca*cb*cima*ee**2d0*sa*sb/(2d0*&
                     sw**2d0) - ca*cb*cima*l1*sa*sb - ca*cb*cima*l2*sa*sb + 2d0&
                     *ca*cb*cima*l3*sa*sb + 2d0*ca*cb*cima*l4*sa*sb - 2d0*ca*cb&
                     *cima*l5*sa*sb + ca*cb*cima*ee**2d0*sa*sb/(2d0*cw**2d0) - &
                     cb**2d0*cima*ee**2d0*sa**2d0/(4d0*sw**2d0) + cb**2d0*cima*&
                     l5*sa**2d0 - cb**2d0*cima*ee**2d0*sa**2d0/(4d0*cw**2d0) - &
                     cima*l5*sa**2d0*sb**2d0
    coupl(nGC_104) = -ca**2d0*cb**2d0*cima*l3 + ca**2d0*cima*ee**2d0*sb**2d0/( &
                     4d0*sw**2d0) - ca**2d0*cima*l1*sb**2d0 - ca*cb*cima*ee**  &
                     2d0*sa*sb/(2d0*sw**2d0) + 2d0*ca*cb*cima*l4*sa*sb + 2d0*ca&
                     *cb*cima*l5*sa*sb + cb**2d0*cima*ee**2d0*sa**2d0/(4d0*sw**&
                     2d0) - cb**2d0*cima*l2*sa**2d0 - cima*l3*sa**2d0*sb**2d0
    coupl(nGC_105) = -ca**2d0*cb**2d0*cima*l3 + ca**2d0*cima*ee**2d0*sb**2d0/( &
                     4d0*sw**2d0) - ca**2d0*cima*l2*sb**2d0 - ca*cb*cima*ee**  &
                     2d0*sa*sb/(2d0*sw**2d0) + 2d0*ca*cb*cima*l4*sa*sb + 2d0*ca&
                     *cb*cima*l5*sa*sb + cb**2d0*cima*ee**2d0*sa**2d0/(4d0*sw**&
                     2d0) - cb**2d0*cima*l1*sa**2d0 - cima*l3*sa**2d0*sb**2d0
    coupl(nGC_106) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca** &
                     2d0*cb**2d0*cima*l5 + ca**2d0*cima*ee**2d0*sb**2d0/(4d0*sw&
                     **2d0) - ca**2d0*cima*l1*sb**2d0 + ca**2d0*cima*ee**2d0*sb&
                     **2d0/(4d0*cw**2d0) - ca*cb*cima*ee**2d0*sa*sb/(2d0*sw**  &
                     2d0) + 4d0*ca*cb*cima*l5*sa*sb - ca*cb*cima*ee**2d0*sa*sb &
                     /(2d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa**2d0/(4d0*sw**2d0&
                     ) - cb**2d0*cima*l2*sa**2d0 + cb**2d0*cima*ee**2d0*sa**2d0&
                     /(4d0*cw**2d0) - cima*l3*sa**2d0*sb**2d0 - cima*l4*sa**2d0&
                     *sb**2d0 + cima*l5*sa**2d0*sb**2d0
    coupl(nGC_107) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca** &
                     2d0*cb**2d0*cima*l5 + ca**2d0*cima*ee**2d0*sb**2d0/(4d0*sw&
                     **2d0) - ca**2d0*cima*l2*sb**2d0 + ca**2d0*cima*ee**2d0*sb&
                     **2d0/(4d0*cw**2d0) - ca*cb*cima*ee**2d0*sa*sb/(2d0*sw**  &
                     2d0) + 4d0*ca*cb*cima*l5*sa*sb - ca*cb*cima*ee**2d0*sa*sb &
                     /(2d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa**2d0/(4d0*sw**2d0&
                     ) - cb**2d0*cima*l1*sa**2d0 + cb**2d0*cima*ee**2d0*sa**2d0&
                     /(4d0*cw**2d0) - cima*l3*sa**2d0*sb**2d0 - cima*l4*sa**2d0&
                     *sb**2d0 + cima*l5*sa**2d0*sb**2d0
    coupl(nGC_108) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*ee**2d0*sb**2d0/( &
                     2d0*sw**2d0) - ca**2d0*cima*l1*sb**2d0 + ca*cb*cima*ee**  &
                     2d0*sa*sb/sw**2d0 + 2d0*ca*cb*cima*l4*sa*sb + 2d0*ca*cb*  &
                     cima*l5*sa*sb - cb**2d0*cima*ee**2d0*sa**2d0/(2d0*sw**2d0 &
                     ) - cb**2d0*cima*l2*sa**2d0 - cima*l3*sa**2d0*sb**2d0
    coupl(nGC_21693) = ca**2d0*cb*cima*sb
    coupl(nGC_21690) = -cb*cima*sa**2d0*sb
    coupl(nGC_21936) = cima*(ca*cb**2d0*l1*vev1 + 2d0*ca*cb*l5*sb*vev2 + ca*l3*&
                       sb**2d0*vev1 + ca*l4*sb**2d0*vev1 - ca*l5*sb**2d0*vev1  &
                        + cb**2d0*l3*sa*vev2 + cb**2d0*l4*sa*vev2 - cb**2d0*l5*&
                       sa*vev2 + 2d0*cb*l5*sa*sb*vev1 + l2*sa*sb**2d0*vev2)
    coupl(nGC_20917) = 3d0*cima*sa*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + l1* &
                       sa**2d0)
    coupl(nGC_21934) = cb**2d0*cima*sa*vev1
    coupl(nGC_21935) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
    coupl(nGC_21932) = -cima*(ca*cb**2d0*l3 + ca*cb**2d0*l4 - ca*cb**2d0*l5 +  &
                       ca*l2*sb**2d0 - 2d0*cb*l5*sa*sb)
    coupl(nGC_21933) = cima*(-2d0*ca*cb*l5*sb + cb**2d0*l1*sa + l3*sa*sb**2d0  &
                        + l4*sa*sb**2d0 - l5*sa*sb**2d0)
    coupl(nGC_21930) = -ca*cima*sb**2d0*vev2
    coupl(nGC_20915) = 3d0*ca*cima*sa*(ca*vev1 - sa*vev2)
    coupl(nGC_917) = -coupl(nGC_353)
    coupl(nGC_20914) = -3d0*ca**3d0*cima*vev2
    coupl(nGC_20913) = 3d0*cima*sa**3d0*vev1
    coupl(nGC_20812) = -sqrt(2d0)*(cb*yb2 - sb*yd13x3)/2d0
    coupl(nGC_185) = -cb**2d0*ee**2d0/sw - ee**2d0*sb**2d0/sw
    coupl(nGC_20911) = sqrt(2d0)*cb/2d0
    coupl(nGC_1185) = -coupl(nGC_371)
    coupl(nGC_20813) = -sqrt(2d0)*cb/2d0
    coupl(nGC_21803) = -cb*cima*ee**2d0/(2d0*cw)
    coupl(nGC_20748) = -cima*(ca*cb**2d0*vev1 + ca*cb*sb*vev2 - ca*sb**2d0*vev1&
                        - cb**2d0*sa*vev2 + cb*sa*sb*vev1 + sa*sb**2d0*vev2)
    coupl(nGC_21806) = cima*ee**2d0*sb/(2d0*cw)
    coupl(nGC_21807) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/cw
    coupl(nGC_21804) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw**2d0)
    coupl(nGC_21805) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw)
    coupl(nGC_20810) = -cima*ee**2d0*(ca*cb + sa*sb)/cw
    coupl(nGC_20811) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
    coupl(nGC_1233) = -coupl(nGC_377)
    coupl(nGC_21691) = -ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_611) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(ca*&
                     vev2 - sa*vev1)/(cw**2d0*sw**3d0)
    coupl(nGC_20814) = -sqrt(2d0)*sb/2d0
    coupl(nGC_20683) = -cima*ee*sw/cw**2d0
    coupl(nGC_20682) = cima*ee/cw
    coupl(nGC_20681) = -2d0*cima*ee**2d0
    coupl(nGC_20680) = -4d0*cima*ee**2d0/sw**2d0
    coupl(nGC_20687) = -sqrt(2d0)*cb/2d0
    coupl(nGC_20686) = -sqrt(2d0)*sb/2d0
    coupl(nGC_20685) = -sqrt(2d0)*(cb*ye2 - sb*ye1)/2d0
    coupl(nGC_20684) = cima*ee*sw/cw
    coupl(nGC_20689) = -ee**2d0*(cb**2d0 + sb**2d0)/sw
    coupl(nGC_20688) = ee**2d0*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
    coupl(nGC_20996) = 4d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_21244) = -4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21488) = sqrt(2d0)*cima*(ca*yd12x2 + sa*ys2)/2d0
    coupl(nGC_21489) = -cima*(cb*ym2 - sb*ym1)
    coupl(nGC_21486) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_21487) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_21484) = cima*ee**2d0*(ca*cb + sa*sb)/sw
    coupl(nGC_21485) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_21482) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw**2d0)
    coupl(nGC_21483) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_21480) = -cima*ee**2d0*(ca*sb - cb*sa)/cw
    coupl(nGC_21481) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
    coupl(nGC_60) = -ca*cb**3d0*ee**2d0/(4d0*cw**2d0) - ca*cb*ee**2d0*sb**2d0/(&
                    4d0*cw**2d0) - cb**2d0*ee**2d0*sa*sb/(4d0*cw**2d0) - ee**  &
                    2d0*sa*sb**3d0/(4d0*cw**2d0)
    coupl(nGC_247) = cb**3d0*l4*vev2/2d0 - cb**3d0*l5*vev2/2d0 - cb**2d0*l4*sb*&
                     vev1/2d0 + cb**2d0*l5*sb*vev1/2d0 + cb*l4*sb**2d0*vev2/2d0&
                      - cb*l5*sb**2d0*vev2/2d0 - l4*sb**3d0*vev1/2d0 + l5*sb** &
                     3d0*vev1/2d0
    coupl(nGC_245) = -ca*cb**2d0*cima*l5*vev2 + ca*cb*cima*l1*sb*vev1 - ca*cb* &
                     cima*l3*sb*vev1 - ca*cb*cima*l4*sb*vev1 + ca*cb*cima*l5*sb&
                     *vev1 + ca*cima*l5*sb**2d0*vev2 - cb**2d0*cima*l5*sa*vev1 &
                      - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 + cb*cima&
                     *l4*sa*sb*vev2 - cb*cima*l5*sa*sb*vev2 + cima*l5*sa*sb**  &
                     2d0*vev1
    coupl(nGC_244) = -ca*cb**2d0*cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/2d0&
                      + ca*cb*cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 + ca*cima&
                     *l4*sb**2d0*vev2/2d0 + ca*cima*l5*sb**2d0*vev2/2d0 - cb** &
                     2d0*cima*l4*sa*vev1/2d0 - cb**2d0*cima*l5*sa*vev1/2d0 - cb&
                     *cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 + cima*l4*sa* &
                     sb**2d0*vev1/2d0 + cima*l5*sa*sb**2d0*vev1/2d0
    coupl(nGC_21150) = -sqrt(2d0)*cima*(ca*ym2 - sa*ym1)/2d0
    coupl(nGC_21151) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_21152) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_21182) = -cima*(cb - sb)**2d0*(cb + sb)**2d0
    coupl(nGC_249) = -ca*cb**2d0*cima*l1*vev1 - ca*cb*cima*l4*sb*vev2 - ca*cb* &
                     cima*l5*sb*vev2 - ca*cima*l3*sb**2d0*vev1 - cb**2d0*cima* &
                     l3*sa*vev2 - cb*cima*l4*sa*sb*vev1 - cb*cima*l5*sa*sb*vev1&
                      - cima*l2*sa*sb**2d0*vev2
    coupl(nGC_248) = -cb**3d0*l4*vev2/2d0 + cb**3d0*l5*vev2/2d0 + cb**2d0*l4*sb&
                     *vev1/2d0 - cb**2d0*l5*sb*vev1/2d0 - cb*l4*sb**2d0*vev2/  &
                     2d0 + cb*l5*sb**2d0*vev2/2d0 + l4*sb**3d0*vev1/2d0 - l5*sb&
                     **3d0*vev1/2d0
    coupl(nGC_21033) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_21032) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_21031) = sqrt(2d0)*cima*(ca*ye1 + sa*ye2)/2d0
    coupl(nGC_118) = cb**2d0*cw*ee**2d0/(2d0*sw**2d0) - cb**2d0*ee**2d0/(2d0*cw&
                     ) + cw*ee**2d0*sb**2d0/(2d0*sw**2d0) - ee**2d0*sb**2d0/(  &
                     2d0*cw)
    coupl(nGC_21323) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(cw&
                       **2d0 + sw**2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_21322) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*( &
                       cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_21321) = sqrt(2d0)*cb/2d0
    coupl(nGC_21320) = -sqrt(2d0)*sb/2d0
    coupl(nGC_21324) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)**2d0*(cw + sw&
                       )**2d0/(cw**2d0*sw**2d0)
    coupl(nGC_21329) = -cb**2d0*cima*sb**2d0
    coupl(nGC_21328) = 2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_119) = cb**2d0*cw*ee**2d0/(2d0*sw**2d0) + cb**2d0*ee**2d0/(2d0*cw&
                     ) + cw*ee**2d0*sb**2d0/(2d0*sw**2d0) + ee**2d0*sb**2d0/(  &
                     2d0*cw)
    coupl(nGC_21748) = (cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev1 + sb*vev2)/2d0
    coupl(nGC_117) = cb**2d0*cw*ee**2d0/(4d0*sw**2d0) + cb**2d0*ee**2d0/(4d0*cw&
                     ) + cw*ee**2d0*sb**2d0/(4d0*sw**2d0) + ee**2d0*sb**2d0/(  &
                     4d0*cw)
    coupl(nGC_116) = cb**2d0*cw*ee**2d0/(4d0*sw**2d0) - cb**2d0*ee**2d0/(4d0*cw&
                     ) + cw*ee**2d0*sb**2d0/(4d0*sw**2d0) - ee**2d0*sb**2d0/(  &
                     4d0*cw)
    coupl(nGC_115) = -cb**2d0*cw*ee**2d0/(4d0*sw**2d0) + cb**2d0*ee**2d0/(4d0* &
                     cw) - cw*ee**2d0*sb**2d0/(4d0*sw**2d0) + ee**2d0*sb**2d0/(&
                     4d0*cw)
    coupl(nGC_114) = -cb**2d0*cw*ee**2d0/(4d0*sw**2d0) - cb**2d0*ee**2d0/(4d0* &
                     cw) - cw*ee**2d0*sb**2d0/(4d0*sw**2d0) - ee**2d0*sb**2d0/(&
                     4d0*cw)
    coupl(nGC_113) = -cb**2d0*cw*ee**2d0/(2d0*sw**2d0) + cb**2d0*ee**2d0/(2d0* &
                     cw) - cw*ee**2d0*sb**2d0/(2d0*sw**2d0) + ee**2d0*sb**2d0/(&
                     2d0*cw)
    coupl(nGC_112) = -cb**2d0*cw*ee**2d0/(2d0*sw**2d0) - cb**2d0*ee**2d0/(2d0* &
                     cw) - cw*ee**2d0*sb**2d0/(2d0*sw**2d0) - ee**2d0*sb**2d0/(&
                     2d0*cw)
    coupl(nGC_111) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca** &
                     2d0*cb**2d0*cima*l5 - ca**2d0*cima*ee**2d0*sb**2d0/(2d0*sw&
                     **2d0) - ca**2d0*cima*l2*sb**2d0 - ca**2d0*cima*ee**2d0*sb&
                     **2d0/(2d0*cw**2d0) + ca*cb*cima*ee**2d0*sa*sb/sw**2d0 +  &
                     4d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**2d0*sa*sb/cw**2d0&
                      - cb**2d0*cima*ee**2d0*sa**2d0/(2d0*sw**2d0) - cb**2d0*  &
                     cima*l1*sa**2d0 - cb**2d0*cima*ee**2d0*sa**2d0/(2d0*cw**  &
                     2d0) - cima*l3*sa**2d0*sb**2d0 - cima*l4*sa**2d0*sb**2d0  &
                      + cima*l5*sa**2d0*sb**2d0
    coupl(nGC_110) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca** &
                     2d0*cb**2d0*cima*l5 - ca**2d0*cima*ee**2d0*sb**2d0/(2d0*sw&
                     **2d0) - ca**2d0*cima*l1*sb**2d0 - ca**2d0*cima*ee**2d0*sb&
                     **2d0/(2d0*cw**2d0) + ca*cb*cima*ee**2d0*sa*sb/sw**2d0 +  &
                     4d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**2d0*sa*sb/cw**2d0&
                      - cb**2d0*cima*ee**2d0*sa**2d0/(2d0*sw**2d0) - cb**2d0*  &
                     cima*l2*sa**2d0 - cb**2d0*cima*ee**2d0*sa**2d0/(2d0*cw**  &
                     2d0) - cima*l3*sa**2d0*sb**2d0 - cima*l4*sa**2d0*sb**2d0  &
                      + cima*l5*sa**2d0*sb**2d0
    coupl(nGC_1539) = -2d0*coupl(nGC_189)
    coupl(nGC_4113) = -coupl(nGC_368)
    coupl(nGC_4595) = -coupl(nGC_218)
    coupl(nGC_2055) = -coupl(nGC_10)
    coupl(nGC_2053) = coupl(nGC_10)/2d0
    coupl(nGC_1081) = -coupl(nGC_191)
    coupl(nGC_1649) = -coupl(nGC_383)
    coupl(nGC_1467) = -coupl(nGC_374)
    coupl(nGC_1353) = 2d0*coupl(nGC_15)
    coupl(nGC_1079) = coupl(nGC_191)/2d0
    coupl(nGC_1711) = -coupl(nGC_341)
    coupl(nGC_791) = -coupl(nGC_338)
    coupl(nGC_1913) = -2d0*coupl(nGC_194)
    coupl(nGC_1055) = -coupl(nGC_3)
    coupl(nGC_3993) = -coupl(nGC_12)
    coupl(nGC_1033) = -coupl(nGC_350)
    coupl(nGC_2585) = -coupl(nGC_184)
    coupl(nGC_3763) = -coupl(nGC_380)
    coupl(nGC_1579) = -2d0*coupl(nGC_8)
    coupl(nGC_14653) = -coupl(nGC_14) - coupl(nGC_15)
    coupl(nGC_9303) = -coupl(nGC_15)
    coupl(nGC_4267) = -coupl(nGC_4)
  end subroutine fill_couplings_mdl4
end module fill_couplings4
