!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-10 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_TS_GC_236_Hh) = -coupl(nGC_236)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_236_Hl) = -coupl(nGC_236)*dtHl_QED1/cMHL**2d0
    coupl(nGC_22521) = coupl(nGC_21789)*dl3_QED4 + coupl(nGC_21790)*db_QED2 +  &
                       coupl(nGC_21791)*dl2_QED4 + coupl(nGC_21792)*dl5_QED4 + &
                       coupl(nGC_21793)*dl4_QED4 + coupl(nGC_21794)*dl1_QED4 + &
                       coupl(nGC_21795)*da_QED2
    coupl(nGC_33436) = coupl(nGC_179)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_35576) = coupl(nGC_359)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_32250) = coupl(nGC_174)*dZGMinus/2d0
    coupl(nGC_34714) = coupl(nGC_230)*dZG0
    coupl(nGC_36571) = coupl(nGC_70)*dZG0
    coupl(nGC_38294) = coupl(nGC_215)*dZG0/2d0
    coupl(nGC_TS_GC_345_Hl) = -coupl(nGC_345)*dtHl_QED1/cMHL**2d0
    coupl(nGC_32411) = coupl(nGC_215)*dZZA_QED2/2d0
    coupl(nGC_32826) = coupl(nGC_363)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_33389) = coupl(nGC_342)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_33404) = coupl(nGC_74)*dZGMinus
    coupl(nGC_22623) = coupl(nGC_20790)*dydo2_QED3 + coupl(nGC_20791)*db_QED2  &
                        + coupl(nGC_20792)*dydo1_QED3
    coupl(nGC_22622) = coupl(nGC_20790)*dydo2_QED1_QCD2 + coupl(nGC_20792)*    &
                       dydo1_QED1_QCD2
    coupl(nGC_22625) = coupl(nGC_21011)*dyd12x2_QED3 + coupl(nGC_21012)*       &
                       dys2_QED3 + coupl(nGC_21013)*db_QED2
    coupl(nGC_22624) = coupl(nGC_21011)*dyd12x2_QED1_QCD2 + coupl(nGC_21012)*  &
                       dys2_QED1_QCD2
    coupl(nGC_TS_GC_172_Hl) = -coupl(nGC_172)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_172_Hh) = -coupl(nGC_172)*dtHh_QED1/cMHH**2d0
    coupl(nGC_35491) = coupl(nGC_210)*dZuL_QCD2
    coupl(nGC_39357) = coupl(nGC_22625) + coupl(nGC_365)*dZHaG0_QED2/2d0
    coupl(nGC_39356) = coupl(nGC_368)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_39355) = coupl(nGC_368)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_22849) = -cima*dMM_QED2
    coupl(nGC_22848) = -cima*dME_QED2
    coupl(nGC_34638) = coupl(nGC_349)*dZGMinus/2d0
    coupl(nGC_32284) = coupl(nGC_361)*dZGMinus/2d0
    coupl(nGC_34175) = dZHMinusGMinus_QED2*(coupl(nGC_62) + coupl(nGC_63))/2d0
    coupl(nGC_TS_GC_366_Hh) = -coupl(nGC_366)*dtHh_QED1/cMHH**2d0
    coupl(nGC_32467) = coupl(nGC_99)*dZG0
    coupl(nGC_22695) = coupl(nGC_21545)*dsw_QED2 + coupl(nGC_21546)*db_QED2 +  &
                       coupl(nGC_21547)*dZee_QED2 + coupl(nGC_21548)*da_QED2
    coupl(nGC_22692) = coupl(nGC_21000)*dvev2_QED1 + coupl(nGC_21001)*dsw_QED2 &
                        + coupl(nGC_21002)*db_QED2 + coupl(nGC_21003)*         &
                       dvev1_QED1 + coupl(nGC_21004)*dZee_QED2
    coupl(nGC_22693) = coupl(nGC_21308)*dsw_QED2 + coupl(nGC_21309)*dZee_QED2
    coupl(nGC_22863) = cima*dMZ2_QED2
    coupl(nGC_22862) = -cima*dMB_QCD2
    coupl(nGC_22867) = coupl(nGC_781)*dMZ2_QED2
    coupl(nGC_32278) = coupl(nGC_223)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
    coupl(nGC_TS_GC_342_Hl) = -coupl(nGC_342)*dtHl_QED1/cMHL**2d0
    coupl(nGC_22502) = coupl(nGC_21544)*dZee_QED2
    coupl(nGC_39362) = coupl(nGC_22624) + coupl(nGC_39356)
    coupl(nGC_39361) = -coupl(nGC_22624) - coupl(nGC_39356)
    coupl(nGC_TS_GC_363_Hl) = -coupl(nGC_363)*dtHl_QED1/cMHL**2d0
    coupl(nGC_32297) = coupl(nGC_MM)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_32296) = coupl(nGC_MI)*dZmuMinusL_QED2
    coupl(nGC_38168) = coupl(nGC_MI)*dZdR_QCD2
    coupl(nGC_38162) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_38161) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_38167) = coupl(nGC_MI)*dZdR_QED2
    coupl(nGC_35935) = coupl(nGC_353)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_TS_GC_224_Hl) = -coupl(nGC_224)*dtHl_QED1/cMHL**2d0
    coupl(nGC_32478) = coupl(nGC_224)*dZZA_QED2/2d0
    coupl(nGC_32473) = coupl(nGC_77)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
    coupl(nGC_TS_GC_215_Hl) = -coupl(nGC_215)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_215_Hh) = -coupl(nGC_215)*dtHh_QED1/cMHH**2d0
    coupl(nGC_40086) = coupl(nGC_MI)*dZtR_QCD2
    coupl(nGC_47533) = coupl(nGC_MI)*dZeMinusL_QED2
    coupl(nGC_33548) = coupl(nGC_218)*(dZGMinusHMinus_QED2 +                   &
                       dZHMinusGMinus_QED2)/2d0
    coupl(nGC_22601) = coupl(nGC_21743)*dydo2_QED3 + coupl(nGC_21744)*db_QED2  &
                        + coupl(nGC_21745)*dydo1_QED3
    coupl(nGC_22600) = coupl(nGC_21743)*dydo2_QED1_QCD2 + coupl(nGC_21745)*    &
                       dydo1_QED1_QCD2
    coupl(nGC_22607) = coupl(nGC_21195)*dyt1_QED1_QCD2 + coupl(nGC_21196)*     &
                       dyt2_QED1_QCD2
    coupl(nGC_TS_GC_375_Hl) = -coupl(nGC_375)*dtHl_QED1/cMHL**2d0
    coupl(nGC_22519) = coupl(nGC_21313)*dl3_QED4 + coupl(nGC_21314)*dl1_QED4 + &
                       coupl(nGC_21315)*dl2_QED4 + coupl(nGC_21316)*dl5_QED4 + &
                       coupl(nGC_21317)*dl4_QED4 + coupl(nGC_21318)*db_QED2
    coupl(nGC_TS_GC_173_Hl) = -coupl(nGC_173)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_173_Hh) = -coupl(nGC_173)*dtHh_QED1/cMHH**2d0
    coupl(nGC_35129) = coupl(nGC_62)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_TS_GC_20_Hl) = -coupl(nGC_20)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_20_Hh) = -coupl(nGC_20)*dtHh_QED1/cMHH**2d0
    coupl(nGC_32825) = coupl(nGC_363)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_35830) = coupl(nGC_344)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_35831) = coupl(nGC_344)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_38159) = coupl(nGC_MI)*dZdL_QED2
    coupl(nGC_39976) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_39975) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_39974) = coupl(nGC_MI)*dZcL_QCD2
    coupl(nGC_39973) = coupl(nGC_MI)*dZcL_QED2
    coupl(nGC_33249) = coupl(nGC_58)*dZG0/2d0
    coupl(nGC_TS_GC_348_Hh) = -coupl(nGC_348)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_339_Hh) = -coupl(nGC_339)*dtHh_QED1/cMHH**2d0
    coupl(nGC_32447) = coupl(nGC_350)*dZG0/2d0
    coupl(nGC_32448) = coupl(nGC_350)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_32449) = coupl(nGC_350)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_TS_GC_234_Hl) = -coupl(nGC_234)*dtHl_QED1/cMHL**2d0
    coupl(nGC_40520) = coupl(nGC_341)*dZG0/2d0
    coupl(nGC_40250) = coupl(nGC_173)*dZHl_QED2/2d0 + coupl(nGC_173)*          &
                       dZWMinus_QED2/2d0 + coupl(nGC_179)*dZHhHl_QED2/2d0 +    &
                       coupl(nGC_22695)
    coupl(nGC_40527) = -coupl(nGC_40520)
    coupl(nGC_34986) = coupl(nGC_378)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_37355) = coupl(nGC_MI)*dZuL_QED2
    coupl(nGC_37357) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_37356) = coupl(nGC_MI)*dZuL_QCD2
    coupl(nGC_37359) = coupl(nGC_MI)*dZuR_QED2
    coupl(nGC_37358) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_33666) = coupl(nGC_356)*dZG0/2d0
    coupl(nGC_33663) = coupl(nGC_356)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_22676) = coupl(nGC_21569)*dyup2_QED1_QCD2 + coupl(nGC_21570)*    &
                       dyup1_QED1_QCD2
    coupl(nGC_22670) = coupl(nGC_21170)*dyup2_QED1_QCD2 + coupl(nGC_21171)*    &
                       dyup1_QED1_QCD2
    coupl(nGC_33981) = coupl(nGC_206)*dZsR_QCD2
    coupl(nGC_TS_GC_174_Hl) = -coupl(nGC_174)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_43_Hh) = -coupl(nGC_43)*dtHh_QED1/cMHH**2d0
    coupl(nGC_32902) = dZHMinusGMinus_QED2*(coupl(nGC_52) + coupl(nGC_53))/2d0
    coupl(nGC_32907) = coupl(nGC_175)*dZGMinus/2d0
    coupl(nGC_34709) = coupl(nGC_357)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_22850) = -cima*dMTA_QED2
    coupl(nGC_22851) = -cima*dMU_QED2
    coupl(nGC_22852) = -cima*dMU_QCD2
    coupl(nGC_22854) = -cima*dMC_QCD2
    coupl(nGC_22855) = -cima*dMT_QED2
    coupl(nGC_22856) = -cima*dMT_QCD2
    coupl(nGC_22857) = -cima*dMD_QED2
    coupl(nGC_22858) = -cima*dMD_QCD2
    coupl(nGC_22859) = -cima*dMS_QED2
    coupl(nGC_34081) = coupl(nGC_54)*dZG0/2d0
    coupl(nGC_33274) = coupl(nGC_34)*dZGMinus/2d0
    coupl(nGC_33270) = coupl(nGC_67)*(dZG0 + dZGMinus)
    coupl(nGC_32451) = coupl(nGC_22622) + coupl(nGC_32449)
    coupl(nGC_32450) = -coupl(nGC_22622) - coupl(nGC_32449)
    coupl(nGC_32453) = coupl(nGC_22623) + coupl(nGC_347)*dZHaG0_QED2/2d0
    coupl(nGC_32452) = -coupl(nGC_32447)
    coupl(nGC_35145) = coupl(nGC_33)*dZGMinus
    coupl(nGC_32586) = coupl(nGC_54)*dZGMinus/2d0
    coupl(nGC_32583) = coupl(nGC_99)*(dZGMinusHMinus_QED2 + dZHMinusGMinus_QED2&
                       )/2d0
    coupl(nGC_39985) = coupl(nGC_22854) + coupl(nGC_39976)
    coupl(nGC_32637) = coupl(nGC_337)*dZGMinus/2d0
    coupl(nGC_22728) = coupl(nGC_21390)*dZee_QED2
    coupl(nGC_40523) = coupl(nGC_341)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_39354) = coupl(nGC_368)*dZG0/2d0
    coupl(nGC_32123) = coupl(nGC_46)*dZGMinus/2d0
    coupl(nGC_22729) = coupl(nGC_615)*dZgs_QCD2
    coupl(nGC_22663) = coupl(nGC_21645)*db_QED2 + coupl(nGC_21646)*dytau1_QED3 &
                        + coupl(nGC_21647)*dytau2_QED3
    coupl(nGC_22669) = coupl(nGC_571)*dyt2_QED3 + coupl(nGC_573)*db_QED2 +     &
                       coupl(nGC_575)*dyt1_QED3
    coupl(nGC_22668) = coupl(nGC_571)*dyt2_QED1_QCD2 + coupl(nGC_575)*         &
                       dyt1_QED1_QCD2
    coupl(nGC_33512) = coupl(nGC_42)*dZGMinus
    coupl(nGC_22067) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_355)/(4d0*pi**  &
                       2d0)
    coupl(nGC_22069) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_379)/(4d0*pi**  &
                       2d0)
    coupl(nGC_22068) = coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_361)/(4d0*pi**  &
                       2d0)
    coupl(nGC_22719) = coupl(nGC_21005)*dsw_QED2 + coupl(nGC_21006)*dcw_QED2 + &
                       coupl(nGC_21007)*dZee_QED2
    coupl(nGC_22711) = coupl(nGC_20844)*dcw_QED2 + coupl(nGC_20845)*db_QED2 +  &
                       coupl(nGC_20846)*dsw_QED2 + coupl(nGC_20847)*dZee_QED2  &
                        + coupl(nGC_20848)*da_QED2
    coupl(nGC_35695) = coupl(nGC_22669) + coupl(nGC_371)*dZHaG0_QED2/2d0
    coupl(nGC_53968) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_53969) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_TS_GC_235_Hh) = -coupl(nGC_235)*dtHh_QED1/cMHH**2d0
    coupl(nGC_22843) = -cima*dMHC2_QED2
    coupl(nGC_22846) = -cima*dMHA2_QED2
    coupl(nGC_22845) = -cima*dMHH2_QED2
    coupl(nGC_22844) = -cima*dMHL2_QED2
    coupl(nGC_34074) = coupl(nGC_38)*dZG0/2d0
    coupl(nGC_32809) = coupl(nGC_31)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_34276) = coupl(nGC_230)*dZZA_QED2/2d0
    coupl(nGC_TS_GC_178_Hh) = -coupl(nGC_178)*dtHh_QED1/cMHH**2d0
    coupl(nGC_35675) = coupl(nGC_228)*dZGMinus
    coupl(nGC_34091) = coupl(nGC_229)*dZGMinus
    coupl(nGC_TS_GC_32_Hl) = -coupl(nGC_32)*dtHl_QED1/cMHL**2d0
    coupl(nGC_54425) = coupl(nGC_MI)*dZnu_tauL_QED2
    coupl(nGC_TS_GC_39_Hh) = -coupl(nGC_39)*dtHh_QED1/cMHH**2d0
    coupl(nGC_22723) = coupl(nGC_587)*dZee_QED2 + coupl(nGC_589)*dvev1_QED1 +  &
                       coupl(nGC_591)*da_QED2 + coupl(nGC_593)*dcw_QED2 + coupl&
                       (nGC_595)*dvev2_QED1 + coupl(nGC_597)*dsw_QED2
    coupl(nGC_45116) = coupl(nGC_29)*dZGMinus
    coupl(nGC_32487) = coupl(nGC_184)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
    coupl(nGC_41107) = coupl(nGC_333)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_41106) = coupl(nGC_333)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_33459) = coupl(nGC_45)*dZGMinus
    coupl(nGC_22273) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(    &
                       nGC_197)**2d0*coupl(nGC_211) + coupl(nGC_208)*coupl(    &
                       nGC_352)**2d0 + coupl(nGC_208)*coupl(nGC_355)**2d0 + 4d0&
                       *coupl(nGC_212)**3d0)/(32d0*pi**2d0)
    coupl(nGC_22274) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(    &
                       nGC_197)**2d0*coupl(nGC_211) + coupl(nGC_208)*coupl(    &
                       nGC_358)**2d0 + coupl(nGC_208)*coupl(nGC_361)**2d0 + 4d0&
                       *coupl(nGC_212)**3d0)/(32d0*pi**2d0)
    coupl(nGC_22726) = coupl(nGC_21014)*dZee_QED2
    coupl(nGC_22727) = coupl(nGC_21715)*dZee_QED2
    coupl(nGC_22725) = coupl(nGC_21509)*dsw_QED2 + coupl(nGC_21510)*dcw_QED2 + &
                       coupl(nGC_21511)*dZee_QED2
    coupl(nGC_22722) = coupl(nGC_21577)*dsw_QED2 + coupl(nGC_21578)*dcw_QED2 + &
                       coupl(nGC_21579)*dZee_QED2
    coupl(nGC_36644) = coupl(nGC_13)*dZsL_QED2
    coupl(nGC_36645) = coupl(nGC_13)*dZsL_QCD2
    coupl(nGC_36646) = coupl(nGC_13)*dZsR_QED2
    coupl(nGC_36647) = coupl(nGC_13)*dZsR_QCD2
    coupl(nGC_22659) = coupl(nGC_20757)*dym1_QED3 + coupl(nGC_20758)*dym2_QED3 &
                        + coupl(nGC_20759)*da_QED2
    coupl(nGC_22653) = coupl(nGC_21811)*db_QED2 + coupl(nGC_21812)*dym1_QED3 + &
                       coupl(nGC_21813)*dym2_QED3
    coupl(nGC_22650) = coupl(nGC_21642)*db_QED2 + coupl(nGC_21643)*dym1_QED3 + &
                       coupl(nGC_21644)*dym2_QED3
    coupl(nGC_22654) = coupl(nGC_21208)*db_QED2 + coupl(nGC_21209)*dytau1_QED3 &
                        + coupl(nGC_21210)*dytau2_QED3
    coupl(nGC_34642) = coupl(nGC_22601) + coupl(nGC_346)*dZHMinusGMinus_QED2/  &
                       2d0 + coupl(nGC_349)*dZdR_QED2/2d0 + coupl(nGC_349)*    &
                       dZuL_QED2/2d0
    coupl(nGC_53975) = coupl(nGC_MI)*dZsR_QCD2
    coupl(nGC_34644) = coupl(nGC_22600) + coupl(nGC_349)*dZdR_QCD2/2d0 + coupl(&
                       nGC_349)*dZuL_QCD2/2d0
    coupl(nGC_32922) = coupl(nGC_324)*dZGMinus/2d0
    coupl(nGC_35204) = coupl(nGC_213)*dZG0Ha_QED2/2d0 + coupl(nGC_214)*        &
                       dZHhHl_QED2/2d0 + coupl(nGC_215)*dZHa_QED2/2d0 + coupl( &
                       nGC_215)*dZHl_QED2/2d0 + coupl(nGC_215)*dZZ_QED2/2d0 +  &
                       coupl(nGC_22711)
    coupl(nGC_40522) = coupl(nGC_341)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_35064) = coupl(nGC_347)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_35063) = coupl(nGC_347)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_39326) = coupl(nGC_229)*(dZGMinusHMinus_QED2 +                   &
                       dZHMinusGMinus_QED2)/2d0
    coupl(nGC_34799) = coupl(nGC_332)*dZZA_QED2/2d0
    coupl(nGC_39893) = coupl(nGC_MI)*dZnu_muL_QED2
    coupl(nGC_TS_GC_44_Hh) = -coupl(nGC_44)*dtHh_QED1/cMHH**2d0
    coupl(nGC_53974) = coupl(nGC_MI)*dZsR_QED2
    coupl(nGC_36485) = coupl(nGC_237)*dZGMinus/2d0
    coupl(nGC_TS_GC_233_Hh) = -coupl(nGC_233)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_233_Hl) = -coupl(nGC_233)*dtHl_QED1/cMHL**2d0
    coupl(nGC_33328) = coupl(nGC_MI)*dZbL_QED2
    coupl(nGC_33329) = coupl(nGC_MI)*dZbL_QCD2
    coupl(nGC_35454) = coupl(nGC_22502) + coupl(nGC_28)*dZHMinus_QED2
    coupl(nGC_TS_GC_354_Hh) = -coupl(nGC_354)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_53_Hl) = -coupl(nGC_53)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_329_Hl) = -coupl(nGC_329)*dtHl_QED1/cMHL**2d0
    coupl(nGC_34936) = coupl(nGC_173)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_TS_GC_19_Hh) = -coupl(nGC_19)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_336_Hh) = -coupl(nGC_336)*dtHh_QED1/cMHH**2d0
    coupl(nGC_32499) = coupl(nGC_184)*dZWMinus_QED2/2d0 + coupl(nGC_22693)
    coupl(nGC_32498) = coupl(nGC_184)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_33390) = coupl(nGC_342)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_37304) = coupl(nGC_218)*dZGMinus
    coupl(nGC_33440) = coupl(nGC_173)*dZHMinus_QED2/2d0 + coupl(nGC_173)*      &
                       dZHh_QED2/2d0 + coupl(nGC_173)*dZWMinus_QED2/2d0 + coupl&
                       (nGC_178)*dZHlHh_QED2/2d0 + coupl(nGC_22695)
    coupl(nGC_33801) = coupl(nGC_335)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_32144) = coupl(nGC_369)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_32143) = coupl(nGC_369)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_41396) = 2d0*coupl(nGC_68)*dZGMinus
    coupl(nGC_33802) = coupl(nGC_335)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_22260) = coupl(nGC_13)**2d0*coupl(nGC_209)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_22266) = coupl(nGC_13)**2d0*coupl(nGC_207)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_22264) = coupl(nGC_13)**2d0*coupl(nGC_210)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_22488) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_206) + coupl&
                       (nGC_207) + coupl(nGC_209) + coupl(nGC_210))/(32d0*pi** &
                       2d0*Nc**2d0)
    coupl(nGC_44701) = coupl(nGC_MW_GF)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_22487) = cima*coupl(nGC_13)**3d0*sq2**3d0*(-coupl(nGC_206) -     &
                       coupl(nGC_207) - coupl(nGC_209) - coupl(nGC_210))/(64d0*&
                       pi**2d0*Nc)
    coupl(nGC_22486) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_206) + coupl&
                       (nGC_207) + coupl(nGC_209) + coupl(nGC_210))/(128d0*pi**&
                       2d0)
    coupl(nGC_22485) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_206)**2d0  &
                        - coupl(nGC_207)**2d0 - coupl(nGC_209)**2d0 - coupl(   &
                       nGC_210)**2d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_22484) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_206)**2d0 + &
                       coupl(nGC_207)**2d0 + coupl(nGC_209)**2d0 + coupl(      &
                       nGC_210)**2d0)/(32d0*pi**2d0)
    coupl(nGC_34915) = coupl(nGC_179)*dZHMinusGMinus_QED2/2d0
    coupl(nGC_22005) = cMU*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
    coupl(nGC_22002) = cMT*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
    coupl(nGC_22000) = cMS*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
    coupl(nGC_22733) = coupl(nGC_20920)*dsw_QED2 + coupl(nGC_20921)*dcw_QED2 + &
                       coupl(nGC_20922)*dZee_QED2
    coupl(nGC_22732) = coupl(nGC_21174)*dsw_QED2 + coupl(nGC_21175)*dcw_QED2 + &
                       coupl(nGC_21176)*dZee_QED2
    coupl(nGC_22735) = coupl(nGC_21796)*dsw_QED2 + coupl(nGC_21797)*dcw_QED2 + &
                       coupl(nGC_21798)*dZee_QED2
    coupl(nGC_22734) = coupl(nGC_21241)*dsw_QED2 + coupl(nGC_21242)*dcw_QED2 + &
                       coupl(nGC_21243)*dZee_QED2
    coupl(nGC_22139) = coupl(nGC_13)**2d0*coupl(nGC_346)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22133) = coupl(nGC_13)**2d0*coupl(nGC_370)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22131) = coupl(nGC_13)**2d0*coupl(nGC_343)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22641) = coupl(nGC_21089)*dydo2_QED3 + coupl(nGC_21090)*db_QED2  &
                        + coupl(nGC_21091)*dydo1_QED3
    coupl(nGC_22643) = coupl(nGC_21380)*dyd12x2_QED3 + coupl(nGC_21381)*       &
                       dys2_QED3 + coupl(nGC_21382)*db_QED2
    coupl(nGC_22674) = coupl(nGC_20960)*dyt1_QED1_QCD2 + coupl(nGC_20962)*     &
                       dyt2_QED1_QCD2
    coupl(nGC_22675) = coupl(nGC_20960)*dyt1_QED3 + coupl(nGC_20961)*da_QED2 + &
                       coupl(nGC_20962)*dyt2_QED3
    coupl(nGC_22671) = coupl(nGC_21170)*dyup2_QED3 + coupl(nGC_21171)*         &
                       dyup1_QED3 + coupl(nGC_21172)*da_QED2
    coupl(nGC_33982) = coupl(nGC_209)*dZZ_QED2/2d0 + coupl(nGC_209)*dZsL_QED2  &
                        + coupl(nGC_22733)
    coupl(nGC_TS_GC_33_Hl) = -coupl(nGC_33)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_33_Hh) = -coupl(nGC_33)*dtHh_QED1/cMHH**2d0
    coupl(nGC_22861) = -cima*dMB_QED2
    coupl(nGC_22860) = -cima*dMS_QCD2
    coupl(nGC_38680) = coupl(nGC_MZ_GF)*dZG0/2d0
    coupl(nGC_37886) = coupl(nGC_213)*dZZA_QED2/2d0
    coupl(nGC_22865) = coupl(nGC_773)*dMW2_QED2
    coupl(nGC_22864) = cima*dMW2_QED2
    coupl(nGC_22866) = coupl(nGC_777)*dMW2_QED2
    coupl(nGC_TS_GC_17_Hl) = -coupl(nGC_17)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_17_Hh) = -coupl(nGC_17)*dtHh_QED1/cMHH**2d0
    coupl(nGC_33206) = coupl(nGC_28)*dZGMinus
    coupl(nGC_38594) = -coupl(nGC_32498)
    coupl(nGC_38593) = -coupl(nGC_32499)
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
