!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-10 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl2()
    coupl(nGC_34435) = coupl(nGC_MI)*dZAZ_QED2/2d0
    coupl(nGC_34434) = coupl(nGC_MI)*dZZA_QED2/2d0
    coupl(nGC_34436) = coupl(nGC_MZ)*dZZA_QED2/2d0
    coupl(nGC_TS_GC_175_Hh) = -coupl(nGC_175)*dtHh_QED1/cMHH**2d0
    coupl(nGC_33333) = coupl(nGC_MI)*dZbR_QCD2
    coupl(nGC_33332) = coupl(nGC_MI)*dZbR_QED2
    coupl(nGC_33331) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_33330) = coupl(nGC_MB)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_33336) = coupl(nGC_22862) + coupl(nGC_33331)
    coupl(nGC_33334) = coupl(nGC_22861) + coupl(nGC_TS_GC_339_Hh) + coupl(     &
                       nGC_TS_GC_342_Hl)
    coupl(nGC_32799) = coupl(nGC_186)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_32554) = coupl(nGC_184)*dZHMinus_QED2/2d0 + coupl(nGC_184)*      &
                       dZHa_QED2/2d0 + coupl(nGC_184)*dZWMinus_QED2/2d0 + coupl&
                       (nGC_22693)
    coupl(nGC_33977) = coupl(nGC_209)*dZsL_QCD2
    coupl(nGC_33644) = coupl(nGC_13)*dZbL_QCD2
    coupl(nGC_22481) = (Nc*cima*coupl(nGC_206)**4d0 + Nc*cima*coupl(nGC_207)** &
                       4d0 + Nc*cima*coupl(nGC_209)**4d0 + Nc*cima*coupl(      &
                       nGC_210)**4d0 + cima*coupl(nGC_195)**2d0 - 2d0*cima*    &
                       coupl(nGC_199)**4d0 + cima*coupl(nGC_208)**4d0 + cima*  &
                       coupl(nGC_211)**4d0 + cima*coupl(nGC_212)**4d0 - 2d0*   &
                       cima*coupl(nGC_3419)**4d0 + 2d0*coupl(nGC_195)*coupl(   &
                       nGC_199)**2d0 + 2d0*coupl(nGC_195)*coupl(nGC_3419)**2d0 &
                       )/(8d0*pi**2d0)
    coupl(nGC_22507) = coupl(nGC_21274)*dl3_QED4 + coupl(nGC_21275)*dl1_QED4 + &
                       coupl(nGC_21276)*dl2_QED4 + coupl(nGC_21277)*dl5_QED4 + &
                       coupl(nGC_21278)*dl4_QED4 + coupl(nGC_21279)*db_QED2
    coupl(nGC_TS_GC_32_Hh) = -coupl(nGC_32)*dtHh_QED1/cMHH**2d0
    coupl(nGC_44187) = coupl(nGC_172)*dZHMinusGMinus_QED2/2d0
    coupl(nGC_32179) = coupl(nGC_22)*dZGMinus/2d0
    coupl(nGC_TS_GC_45_Hl) = -coupl(nGC_45)*dtHl_QED1/cMHL**2d0
    coupl(nGC_32771) = coupl(nGC_220)*dZGMinus
    coupl(nGC_47534) = coupl(nGC_ME)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_47538) = coupl(nGC_MI)*dZeMinusR_QED2
    coupl(nGC_22706) = coupl(nGC_20765)*dsw_QED2 + coupl(nGC_20766)*dvev2_QED1 &
                        + coupl(nGC_20767)*dvev1_QED1 + coupl(nGC_20768)*      &
                       dZee_QED2 + coupl(nGC_20769)*da_QED2
    coupl(nGC_33542) = coupl(nGC_53)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_32301) = coupl(nGC_MI)*dZmuMinusR_QED2
    coupl(nGC_32306) = coupl(nGC_39)*dZG0/2d0
    coupl(nGC_36465) = coupl(nGC_22654) + coupl(nGC_377)*dZHaG0_QED2/2d0
    coupl(nGC_22104) = coupl(nGC_13)**2d0*coupl(nGC_350)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22100) = coupl(nGC_13)**2d0*coupl(nGC_338)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_39631) = coupl(nGC_351)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_21987) = cMD*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
    coupl(nGC_32945) = coupl(nGC_348)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_32944) = coupl(nGC_348)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_39982) = coupl(nGC_MI)*dZcR_QCD2
    coupl(nGC_39981) = coupl(nGC_MI)*dZcR_QED2
    coupl(nGC_32228) = coupl(nGC_187)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
    coupl(nGC_35082) = coupl(nGC_379)*dZGMinus/2d0
    coupl(nGC_34228) = coupl(nGC_371)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_34229) = coupl(nGC_371)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_38210) = coupl(nGC_MW_GF)*dZGMinus/2d0
    coupl(nGC_38213) = coupl(nGC_22865) + coupl(nGC_MW_GF)*dZWMinus_QED2/2d0
    coupl(nGC_38214) = coupl(nGC_TS_GC_172_Hl) + coupl(nGC_TS_GC_178_Hh)
    coupl(nGC_33305) = coupl(nGC_99)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
    coupl(nGC_38160) = coupl(nGC_MI)*dZdL_QCD2
    coupl(nGC_32781) = coupl(nGC_372)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_32780) = coupl(nGC_372)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_32783) = coupl(nGC_22675) + coupl(nGC_369)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_372)*dZHh_QED2/2d0
    coupl(nGC_32782) = coupl(nGC_22674) + coupl(nGC_32781)
    coupl(nGC_32543) = coupl(nGC_354)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_34918) = coupl(nGC_172)*dZGMinus/2d0
    coupl(nGC_33012) = coupl(nGC_13)*dZuL_QED2
    coupl(nGC_33013) = coupl(nGC_13)*dZuL_QCD2
    coupl(nGC_33010) = coupl(nGC_13)*dZuR_QED2
    coupl(nGC_33011) = coupl(nGC_13)*dZuR_QCD2
    coupl(nGC_33014) = coupl(nGC_13)*dZg_QCD2/2d0 + coupl(nGC_22729)
    coupl(nGC_33015) = coupl(nGC_33011) + coupl(nGC_33014)
    coupl(nGC_22680) = coupl(nGC_21074)*dyt1_QED1_QCD2 + coupl(nGC_21076)*     &
                       dyt2_QED1_QCD2
    coupl(nGC_TS_GC_180_Hl) = -coupl(nGC_180)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_180_Hh) = -coupl(nGC_180)*dtHh_QED1/cMHH**2d0
    coupl(nGC_22248) = coupl(nGC_13)**2d0*coupl(nGC_381)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_32769) = coupl(nGC_22692) + coupl(nGC_231)*dZZA_QED2/2d0 + coupl(&
                       nGC_321)*dZA_QED2/2d0 + coupl(nGC_321)*dZHMinus_QED2/2d0&
                        + coupl(nGC_321)*dZWMinus_QED2/2d0 + coupl(nGC_324)*   &
                       dZGMinusHMinus_QED2/2d0 + coupl(nGC_TS_GC_175_Hh) +     &
                       coupl(nGC_TS_GC_180_Hl)
    coupl(nGC_22240) = coupl(nGC_13)**2d0*coupl(nGC_363)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22243) = coupl(nGC_13)**2d0*coupl(nGC_369)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_TS_GC_16_Hh) = -coupl(nGC_16)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_16_Hl) = -coupl(nGC_16)*dtHl_QED1/cMHL**2d0
    coupl(nGC_40248) = coupl(nGC_173)*dZGMinus/2d0
    coupl(nGC_TS_GC_62_Hl) = -coupl(nGC_62)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_62_Hh) = -coupl(nGC_62)*dtHh_QED1/cMHH**2d0
    coupl(nGC_35416) = coupl(nGC_37)*dZGMinus/2d0
    coupl(nGC_32370) = dZGMinusHMinus_QED2*(coupl(nGC_52) + coupl(nGC_53))/2d0
    coupl(nGC_32373) = coupl(nGC_224)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
    coupl(nGC_22112) = coupl(nGC_13)**2d0*coupl(nGC_368)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22024) = coupl(nGC_13)**2d0*coupl(nGC_2)*sq2**2d0*(Nc**2d0 - 1d0 &
                       )/(32d0*pi**2d0*Nc)
    coupl(nGC_TS_GC_34_Hl) = -coupl(nGC_34)*dtHl_QED1/cMHL**2d0
    coupl(nGC_32200) = coupl(nGC_22519) + coupl(nGC_54)*dZHMinusGMinus_QED2 +  &
                       coupl(nGC_55)*dZG0Ha_QED2 + coupl(nGC_70)*dZHa_QED2
    coupl(nGC_32975) = coupl(nGC_76)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
    coupl(nGC_22031) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(      &
                       nGC_197)**2d0*coupl(nGC_4) + coupl(nGC_352)**2d0*coupl( &
                       nGC_4) + coupl(nGC_355)**2d0*coupl(nGC_4))/(32d0*pi**2d0&
                       )
    coupl(nGC_22853) = -cima*dMC_QED2
    coupl(nGC_35632) = coupl(nGC_MHH)*dZHhHl_QED2/2d0 + coupl(nGC_MHL)*        &
                       dZHlHh_QED2/2d0 + coupl(nGC_TS_GC_233_Hh) + coupl(      &
                       nGC_TS_GC_236_Hl)
    coupl(nGC_TS_GC_36_Hh) = -coupl(nGC_36)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_36_Hl) = -coupl(nGC_36)*dtHl_QED1/cMHL**2d0
    coupl(nGC_34123) = coupl(nGC_MI)*dZtauMinusR_QED2
    coupl(nGC_34122) = coupl(nGC_MTA)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_34121) = coupl(nGC_MI)*dZtauMinusL_QED2
    coupl(nGC_TS_GC_372_Hh) = -coupl(nGC_372)*dtHh_QED1/cMHH**2d0
    coupl(nGC_22613) = coupl(nGC_21911)*dyup1_QED1_QCD2 + coupl(nGC_21912)*    &
                       dyup2_QED1_QCD2
    coupl(nGC_TS_GC_35_Hh) = -coupl(nGC_35)*dtHh_QED1/cMHH**2d0
    coupl(nGC_40816) = coupl(nGC_26)*(dZGMinusHMinus_QED2 + dZHMinusGMinus_QED2&
                       )/2d0
    coupl(nGC_33171) = -coupl(nGC_32411)
    coupl(nGC_35765) = coupl(nGC_238)*dZGMinus/2d0
    coupl(nGC_32190) = coupl(nGC_31)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
    coupl(nGC_TS_GC_23_Hl) = -coupl(nGC_23)*dtHl_QED1/cMHL**2d0
    coupl(nGC_32199) = coupl(nGC_70)*dZGMinus
    coupl(nGC_32481) = coupl(nGC_29)*(dZGMinusHMinus_QED2 + dZHMinusGMinus_QED2&
                       )/2d0
    coupl(nGC_TS_GC_23_Hh) = -coupl(nGC_23)*dtHh_QED1/cMHH**2d0
    coupl(nGC_22239) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_363) + 8d0*coupl(      &
                       nGC_206)*coupl(nGC_209)*coupl(nGC_363) - coupl(nGC_333)*&
                       coupl(nGC_334)*coupl(nGC_364) - coupl(nGC_333)*coupl(   &
                       nGC_337)*coupl(nGC_367) - coupl(nGC_363)**3d0 - coupl(  &
                       nGC_363)*coupl(nGC_365)**2d0 - coupl(nGC_363)*coupl(    &
                       nGC_366)**2d0 - coupl(nGC_363)*coupl(nGC_368)**2d0)/(   &
                       32d0*pi**2d0)
    coupl(nGC_22234) = coupl(nGC_357)*(8d0*coupl(nGC_208)*coupl(nGC_211) -     &
                       coupl(nGC_357)**2d0 - coupl(nGC_359)**2d0 - coupl(      &
                       nGC_360)**2d0 - coupl(nGC_362)**2d0 + 8d0*coupl(nGC_4)**&
                       2d0)/(32d0*pi**2d0)
    coupl(nGC_22235) = coupl(nGC_357)*(8d0*coupl(nGC_208)*coupl(nGC_211) -     &
                       coupl(nGC_2221)**2d0 - coupl(nGC_3367)**2d0 - coupl(    &
                       nGC_357)**2d0 - coupl(nGC_360)**2d0 + 8d0*coupl(nGC_4)**&
                       2d0)/(32d0*pi**2d0)
    coupl(nGC_22236) = coupl(nGC_13)**2d0*sq2**2d0*(-cMB*coupl(nGC_342) - cMC* &
                       coupl(nGC_333) - cMD*coupl(nGC_345) - cMS*coupl(nGC_363 &
                       ) - cMT*coupl(nGC_369) - cMU*coupl(nGC_381))/(16d0*pi** &
                       2d0)
    coupl(nGC_22237) = coupl(nGC_13)**2d0*sq2**2d0*(cMB*coupl(nGC_342) + cMC*  &
                       coupl(nGC_333) + cMD*coupl(nGC_345) + cMS*coupl(nGC_363 &
                       ) + cMT*coupl(nGC_369) + cMU*coupl(nGC_381))/(16d0*pi** &
                       2d0*Nc)
    coupl(nGC_22230) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_345) + 8d0*coupl(      &
                       nGC_206)*coupl(nGC_209)*coupl(nGC_345) - coupl(nGC_345  &
                       )**3d0 - coupl(nGC_345)*coupl(nGC_347)**2d0 - coupl(    &
                       nGC_345)*coupl(nGC_348)**2d0 - coupl(nGC_345)*coupl(    &
                       nGC_350)**2d0 - coupl(nGC_346)*coupl(nGC_381)*coupl(    &
                       nGC_382) - coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_385  &
                       ))/(32d0*pi**2d0)
    coupl(nGC_22231) = coupl(nGC_13)**2d0*coupl(nGC_345)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22232) = coupl(nGC_351)*(8d0*coupl(nGC_208)*coupl(nGC_211) -     &
                       coupl(nGC_351)**2d0 - coupl(nGC_353)**2d0 - coupl(      &
                       nGC_354)**2d0 - coupl(nGC_356)**2d0 + 8d0*coupl(nGC_4)**&
                       2d0)/(32d0*pi**2d0)
    coupl(nGC_TS_GC_46_Hh) = -coupl(nGC_46)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_46_Hl) = -coupl(nGC_46)*dtHl_QED1/cMHL**2d0
    coupl(nGC_22116) = coupl(nGC_13)**2d0*coupl(nGC_374)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_36043) = coupl(nGC_I)*dZG0Ha_QED2/2d0
    coupl(nGC_33569) = coupl(nGC_52)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_22052) = coupl(nGC_197)*(Nc*coupl(nGC_336)*coupl(nGC_337) - Nc*  &
                       coupl(nGC_339)*coupl(nGC_340) - Nc*coupl(nGC_348)*coupl(&
                       nGC_349) - Nc*coupl(nGC_366)*coupl(nGC_367) + Nc*coupl( &
                       nGC_372)*coupl(nGC_373) + Nc*coupl(nGC_384)*coupl(      &
                       nGC_385) - coupl(nGC_354)*coupl(nGC_355) - coupl(nGC_360&
                       )*coupl(nGC_361) - coupl(nGC_378)*coupl(nGC_379))/(24d0*&
                       pi**2d0)
    coupl(nGC_22582) = coupl(nGC_21665)*dl4_QED4 + coupl(nGC_21666)*dl5_QED4 + &
                       coupl(nGC_21667)*db_QED2 + coupl(nGC_21668)*dvev1_QED1  &
                        + coupl(nGC_21669)*dvev2_QED1
    coupl(nGC_22586) = coupl(nGC_20930)*dvev2_QED1 + coupl(nGC_20931)*dsw_QED2 &
                        + coupl(nGC_20932)*db_QED2 + coupl(nGC_20933)*         &
                       dvev1_QED1 + coupl(nGC_20934)*dZee_QED2
    coupl(nGC_22587) = coupl(nGC_21138)*dvev2_QED1 + coupl(nGC_21139)*dsw_QED2 &
                        + coupl(nGC_21140)*db_QED2 + coupl(nGC_21141)*         &
                       dvev1_QED1 + coupl(nGC_21142)*dZee_QED2
    coupl(nGC_22585) = coupl(nGC_20760)*dsw_QED2 + coupl(nGC_20761)*dvev2_QED1 &
                        + coupl(nGC_20762)*dvev1_QED1 + coupl(nGC_20763)*      &
                       dZee_QED2 + coupl(nGC_20764)*da_QED2
    coupl(nGC_22054) = (Nc*cMB*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_340) -  &
                       Nc*cMB*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_340) - Nc&
                       *cMB*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_340) + Nc* &
                       cMC*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_337) - Nc*  &
                       cMC*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_337) - Nc*  &
                       cMC*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_337) + Nc*  &
                       cMD*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_349) - Nc*  &
                       cMD*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_349) - Nc*  &
                       cMD*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_349) + Nc*  &
                       cMS*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_367) - Nc*  &
                       cMS*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_367) - Nc*  &
                       cMS*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_367) + Nc*  &
                       cMT*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_373) - Nc*  &
                       cMT*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_373) - Nc*  &
                       cMT*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_373) + Nc*  &
                       cMU*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_385) - Nc*  &
                       cMU*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_385) - Nc*  &
                       cMU*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_385) + cME* &
                       coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_355) - cME*coupl&
                       (nGC_197)*coupl(nGC_211)*coupl(nGC_355) - cME*coupl(    &
                       nGC_197)*coupl(nGC_212)*coupl(nGC_355) + cMM*coupl(     &
                       nGC_197)*coupl(nGC_208)*coupl(nGC_361) - cMM*coupl(     &
                       nGC_197)*coupl(nGC_211)*coupl(nGC_361) - cMM*coupl(     &
                       nGC_197)*coupl(nGC_212)*coupl(nGC_361) + cMTA*coupl(    &
                       nGC_197)*coupl(nGC_208)*coupl(nGC_379) - cMTA*coupl(    &
                       nGC_197)*coupl(nGC_211)*coupl(nGC_379) - cMTA*coupl(    &
                       nGC_197)*coupl(nGC_212)*coupl(nGC_379) + 2d0*cima*coupl(&
                       nGC_1213)*coupl(nGC_324) + 2d0*cima*coupl(nGC_194)*coupl&
                       (nGC_237) + 2d0*coupl(nGC_198)*coupl(nGC_199)*coupl(    &
                       nGC_237) + 2d0*coupl(nGC_199)*coupl(nGC_324)*coupl(nGC_4&
                       ))/(16d0*pi**2d0)
    coupl(nGC_22589) = coupl(nGC_21173)*dZee_QED2
    coupl(nGC_22057) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_373) + 8d0*    &
                       coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_373) - coupl(   &
                       nGC_339)*coupl(nGC_340)*coupl(nGC_372) - coupl(nGC_340)*&
                       coupl(nGC_341)*coupl(nGC_374) - coupl(nGC_340)*coupl(   &
                       nGC_342)*coupl(nGC_369) - coupl(nGC_340)*coupl(nGC_344)*&
                       coupl(nGC_371))/(32d0*pi**2d0)
    coupl(nGC_22568) = coupl(nGC_20740)*dl4_QED4 + coupl(nGC_20741)*dl5_QED4 + &
                       coupl(nGC_20742)*db_QED2 + coupl(nGC_20743)*dvev1_QED1  &
                        + coupl(nGC_20744)*dvev2_QED1
    coupl(nGC_22569) = coupl(nGC_20731)*dl3_QED4 + coupl(nGC_20732)*db_QED2 +  &
                       coupl(nGC_20733)*dl2_QED4 + coupl(nGC_20734)*dl5_QED4 + &
                       coupl(nGC_20735)*dvev2_QED1 + coupl(nGC_20736)*         &
                       dvev1_QED1 + coupl(nGC_20737)*dl1_QED4 + coupl(nGC_20738&
                       )*dl4_QED4 + coupl(nGC_20739)*da_QED2
    coupl(nGC_22561) = coupl(nGC_21430)*dZee_QED2 + coupl(nGC_21431)*dsw_QED2  &
                        + coupl(nGC_21432)*dcw_QED2 + coupl(nGC_21433)*        &
                       dvev2_QED1 + coupl(nGC_21434)*dvev1_QED1 + coupl(       &
                       nGC_21435)*da_QED2
    coupl(nGC_22562) = coupl(nGC_21723)*dl3_QED4 + coupl(nGC_21724)*db_QED2 +  &
                       coupl(nGC_21725)*dl2_QED4 + coupl(nGC_21726)*dl5_QED4 + &
                       coupl(nGC_21727)*dvev2_QED1 + coupl(nGC_21728)*         &
                       dvev1_QED1 + coupl(nGC_21729)*dl1_QED4 + coupl(nGC_21730&
                       )*dl4_QED4 + coupl(nGC_21731)*da_QED2
    coupl(nGC_22563) = coupl(nGC_21397)*dl3_QED4 + coupl(nGC_21398)*db_QED2 +  &
                       coupl(nGC_21399)*dl2_QED4 + coupl(nGC_21400)*dl5_QED4 + &
                       coupl(nGC_21401)*dvev2_QED1 + coupl(nGC_21402)*         &
                       dvev1_QED1 + coupl(nGC_21403)*dl1_QED4 + coupl(nGC_21404&
                       )*dl4_QED4 + coupl(nGC_21405)*da_QED2
    coupl(nGC_22564) = coupl(nGC_20975)*dl3_QED4 + coupl(nGC_20976)*dl1_QED4 + &
                       coupl(nGC_20977)*dl2_QED4 + coupl(nGC_20978)*dl5_QED4 + &
                       coupl(nGC_20979)*dl4_QED4 + coupl(nGC_20980)*dvev1_QED1 &
                        + coupl(nGC_20981)*dvev2_QED1 + coupl(nGC_20982)*      &
                       da_QED2
    coupl(nGC_22565) = coupl(nGC_20717)*dl3_QED4 + coupl(nGC_20718)*db_QED2 +  &
                       coupl(nGC_20719)*dl2_QED4 + coupl(nGC_20720)*dl5_QED4 + &
                       coupl(nGC_20721)*dvev2_QED1 + coupl(nGC_20722)*         &
                       dvev1_QED1 + coupl(nGC_20723)*dl1_QED4 + coupl(nGC_20724&
                       )*dl4_QED4 + coupl(nGC_20725)*da_QED2
    coupl(nGC_22566) = coupl(nGC_21048)*dl3_QED4 + coupl(nGC_21049)*dl1_QED4 + &
                       coupl(nGC_21050)*dl2_QED4 + coupl(nGC_21051)*dl5_QED4 + &
                       coupl(nGC_21052)*dl4_QED4 + coupl(nGC_21053)*dvev1_QED1 &
                        + coupl(nGC_21054)*dvev2_QED1 + coupl(nGC_21055)*      &
                       da_QED2
    coupl(nGC_21965) = cima*(Nc*coupl(nGC_336)**2d0 + Nc*coupl(nGC_339)**2d0 + &
                       Nc*coupl(nGC_348)**2d0 + Nc*coupl(nGC_366)**2d0 + Nc*   &
                       coupl(nGC_372)**2d0 + Nc*coupl(nGC_384)**2d0 + coupl(   &
                       nGC_354)**2d0 + coupl(nGC_360)**2d0 + coupl(nGC_378)**  &
                       2d0)/(24d0*pi**2d0)
    coupl(nGC_32366) = coupl(nGC_214)*dZZA_QED2/2d0
    coupl(nGC_32365) = coupl(nGC_31)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
    coupl(nGC_35401) = coupl(nGC_178)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_42553) = coupl(nGC_13)*dZcR_QCD2
    coupl(nGC_22694) = coupl(nGC_21081)*dsw_QED2 + coupl(nGC_21082)*db_QED2 +  &
                       coupl(nGC_21083)*dZee_QED2 + coupl(nGC_21084)*da_QED2
    coupl(nGC_42556) = coupl(nGC_33014) + coupl(nGC_42553)
    coupl(nGC_42555) = coupl(nGC_13)*dZcL_QCD2
    coupl(nGC_42554) = coupl(nGC_13)*dZcL_QED2
    coupl(nGC_22168) = coupl(nGC_13)**2d0*coupl(nGC_335)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22699) = coupl(nGC_21095)*dsw_QED2 + coupl(nGC_21096)*db_QED2 +  &
                       coupl(nGC_21097)*dZee_QED2 + coupl(nGC_21098)*da_QED2
    coupl(nGC_48737) = coupl(nGC_MI)*dZZ_QED2
    coupl(nGC_39586) = coupl(nGC_49)*dZG0
    coupl(nGC_32270) = coupl(nGC_72)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_TS_GC_21_Hl) = -coupl(nGC_21)*dtHl_QED1/cMHL**2d0
    coupl(nGC_43931) = coupl(nGC_213)*dZG0/2d0
    coupl(nGC_21966) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_339)**2d0 - 4d0*Nc*cMC &
                       **2d0*cima*coupl(nGC_336)**2d0 - 4d0*Nc*cMD**2d0*cima*  &
                       coupl(nGC_348)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_366&
                       )**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_372)**2d0 - 4d0*&
                       Nc*cMU**2d0*cima*coupl(nGC_384)**2d0 - 4d0*cME**2d0*cima&
                       *coupl(nGC_354)**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_360  &
                       )**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_378)**2d0 - 2d0*  &
                       cMW**2d0*coupl(nGC_77) - cMZ**2d0*coupl(nGC_224) + 2d0* &
                       cima*coupl(nGC_272)**2d0 + cima*coupl(nGC_332)**2d0)/(  &
                       16d0*pi**2d0)
    coupl(nGC_TS_GC_351_Hl) = -coupl(nGC_351)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_42_Hh) = -coupl(nGC_42)*dtHh_QED1/cMHH**2d0
    coupl(nGC_22392) = (5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_339&
                       )*coupl(nGC_340) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_206)*coupl(nGC_348)*coupl(nGC_349) + 5d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_366)*coupl(     &
                       nGC_367) + 5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*   &
                       coupl(nGC_336)*coupl(nGC_337) + 5d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_207)*coupl(nGC_372)*coupl(nGC_373) + &
                       5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_384 &
                       )*coupl(nGC_385) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_209)*coupl(nGC_336)*coupl(nGC_337) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_339)*coupl(     &
                       nGC_340) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*   &
                       coupl(nGC_348)*coupl(nGC_349) - 4d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_209)*coupl(nGC_366)*coupl(nGC_367) - &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_372 &
                       )*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_209)*coupl(nGC_384)*coupl(nGC_385) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_336)*coupl(     &
                       nGC_337) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*   &
                       coupl(nGC_339)*coupl(nGC_340) - 4d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_210)*coupl(nGC_348)*coupl(nGC_349) - &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_366 &
                       )*coupl(nGC_367) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_210)*coupl(nGC_372)*coupl(nGC_373) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_384)*coupl(     &
                       nGC_385) + 6d0*cima*coupl(nGC_1213)*coupl(nGC_180) + 6d0&
                       *cima*coupl(nGC_194)*coupl(nGC_23) + 5d0*cima*coupl(    &
                       nGC_197)*coupl(nGC_208)*coupl(nGC_354)*coupl(nGC_355) + &
                       5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_360)*  &
                       coupl(nGC_361) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*&
                       coupl(nGC_378)*coupl(nGC_379) - 4d0*cima*coupl(nGC_197)*&
                       coupl(nGC_211)*coupl(nGC_354)*coupl(nGC_355) - 4d0*cima*&
                       coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_360)*coupl(     &
                       nGC_361) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl(&
                       nGC_378)*coupl(nGC_379) - 4d0*cima*coupl(nGC_197)*coupl(&
                       nGC_212)*coupl(nGC_354)*coupl(nGC_355) - 4d0*cima*coupl(&
                       nGC_197)*coupl(nGC_212)*coupl(nGC_360)*coupl(nGC_361) - &
                       4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_378)*  &
                       coupl(nGC_379) + 6d0*coupl(nGC_180)*coupl(nGC_199)*coupl&
                       (nGC_4) + 6d0*coupl(nGC_198)*coupl(nGC_199)*coupl(nGC_23&
                       ))/(48d0*pi**2d0)
    coupl(nGC_22390) = cima*(-4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_340)*coupl( &
                       nGC_343) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(nGC_346)*   &
                       coupl(nGC_349) - 4d0*Nc*coupl(nGC_206)**2d0*coupl(      &
                       nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_206)*coupl(  &
                       nGC_210)*coupl(nGC_340)*coupl(nGC_343) + 5d0*Nc*coupl(  &
                       nGC_206)*coupl(nGC_210)*coupl(nGC_346)*coupl(nGC_349) + &
                       5d0*Nc*coupl(nGC_206)*coupl(nGC_210)*coupl(nGC_364)*    &
                       coupl(nGC_367) - 4d0*Nc*coupl(nGC_207)**2d0*coupl(      &
                       nGC_334)*coupl(nGC_337) - 4d0*Nc*coupl(nGC_207)**2d0*   &
                       coupl(nGC_370)*coupl(nGC_373) - 4d0*Nc*coupl(nGC_207)** &
                       2d0*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_207&
                       )*coupl(nGC_209)*coupl(nGC_334)*coupl(nGC_337) + 5d0*Nc*&
                       coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_370)*coupl(     &
                       nGC_373) + 5d0*Nc*coupl(nGC_207)*coupl(nGC_209)*coupl(  &
                       nGC_382)*coupl(nGC_385) - 4d0*Nc*coupl(nGC_209)**2d0*   &
                       coupl(nGC_334)*coupl(nGC_337) - 4d0*Nc*coupl(nGC_209)** &
                       2d0*coupl(nGC_370)*coupl(nGC_373) - 4d0*Nc*coupl(nGC_209&
                       )**2d0*coupl(nGC_382)*coupl(nGC_385) - 4d0*Nc*coupl(    &
                       nGC_210)**2d0*coupl(nGC_340)*coupl(nGC_343) - 4d0*Nc*   &
                       coupl(nGC_210)**2d0*coupl(nGC_346)*coupl(nGC_349) - 4d0*&
                       Nc*coupl(nGC_210)**2d0*coupl(nGC_364)*coupl(nGC_367) -  &
                       4d0*coupl(nGC_208)**2d0*coupl(nGC_352)*coupl(nGC_355) - &
                       4d0*coupl(nGC_208)**2d0*coupl(nGC_358)*coupl(nGC_361) - &
                       4d0*coupl(nGC_208)**2d0*coupl(nGC_376)*coupl(nGC_379) + &
                       5d0*coupl(nGC_208)*coupl(nGC_212)*coupl(nGC_352)*coupl( &
                       nGC_355) + 5d0*coupl(nGC_208)*coupl(nGC_212)*coupl(     &
                       nGC_358)*coupl(nGC_361) + 5d0*coupl(nGC_208)*coupl(     &
                       nGC_212)*coupl(nGC_376)*coupl(nGC_379) - 4d0*coupl(     &
                       nGC_212)**2d0*coupl(nGC_352)*coupl(nGC_355) - 4d0*coupl(&
                       nGC_212)**2d0*coupl(nGC_358)*coupl(nGC_361) - 4d0*coupl(&
                       nGC_212)**2d0*coupl(nGC_376)*coupl(nGC_379))/(24d0*pi** &
                       2d0)
    coupl(nGC_35627) = coupl(nGC_I)*dZHlHh_QED2/2d0
    coupl(nGC_35626) = coupl(nGC_I)*dZHhHl_QED2/2d0
    coupl(nGC_TS_GC_243_Hl) = -coupl(nGC_243)*dtHl_QED1/cMHL**2d0
    coupl(nGC_33368) = coupl(nGC_212)*dZZA_QED2/2d0
    coupl(nGC_37879) = coupl(nGC_227)*dZG0
    coupl(nGC_53976) = coupl(nGC_22859) + coupl(nGC_TS_GC_363_Hl) + coupl(     &
                       nGC_TS_GC_366_Hh)
    coupl(nGC_34579) = coupl(nGC_230)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
    coupl(nGC_22465) = 5d0*cima*(Nc*coupl(nGC_333)**3d0*coupl(nGC_336) + Nc*   &
                       coupl(nGC_339)*coupl(nGC_342)**3d0 + Nc*coupl(nGC_345)**&
                       3d0*coupl(nGC_348) + Nc*coupl(nGC_363)**3d0*coupl(      &
                       nGC_366) + Nc*coupl(nGC_369)**3d0*coupl(nGC_372) + Nc*  &
                       coupl(nGC_381)**3d0*coupl(nGC_384) + coupl(nGC_351)**3d0&
                       *coupl(nGC_354) + coupl(nGC_357)**3d0*coupl(nGC_360) +  &
                       coupl(nGC_375)**3d0*coupl(nGC_378))/(4d0*pi**2d0)
    coupl(nGC_22466) = (-8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_339)**2d0 - &
                       8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_348)**2d0 -   &
                       8d0*Nc*cima*coupl(nGC_206)**2d0*coupl(nGC_366)**2d0 +   &
                       10d0*Nc*cima*coupl(nGC_206)*coupl(nGC_209)*coupl(nGC_339&
                       )**2d0 + 10d0*Nc*cima*coupl(nGC_206)*coupl(nGC_209)*    &
                       coupl(nGC_348)**2d0 + 10d0*Nc*cima*coupl(nGC_206)*coupl(&
                       nGC_209)*coupl(nGC_366)**2d0 - 8d0*Nc*cima*coupl(nGC_207&
                       )**2d0*coupl(nGC_336)**2d0 - 8d0*Nc*cima*coupl(nGC_207  &
                       )**2d0*coupl(nGC_372)**2d0 - 8d0*Nc*cima*coupl(nGC_207  &
                       )**2d0*coupl(nGC_384)**2d0 + 10d0*Nc*cima*coupl(nGC_207 &
                       )*coupl(nGC_210)*coupl(nGC_336)**2d0 + 10d0*Nc*cima*    &
                       coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_372)**2d0 + 10d0&
                       *Nc*cima*coupl(nGC_207)*coupl(nGC_210)*coupl(nGC_384)** &
                       2d0 - 8d0*Nc*cima*coupl(nGC_209)**2d0*coupl(nGC_339)**  &
                       2d0 - 8d0*Nc*cima*coupl(nGC_209)**2d0*coupl(nGC_348)**  &
                       2d0 - 8d0*Nc*cima*coupl(nGC_209)**2d0*coupl(nGC_366)**  &
                       2d0 - 8d0*Nc*cima*coupl(nGC_210)**2d0*coupl(nGC_336)**  &
                       2d0 - 8d0*Nc*cima*coupl(nGC_210)**2d0*coupl(nGC_372)**  &
                       2d0 - 8d0*Nc*cima*coupl(nGC_210)**2d0*coupl(nGC_384)**  &
                       2d0 + 3d0*cima*coupl(nGC_195)*coupl(nGC_77) - 8d0*cima* &
                       coupl(nGC_208)**2d0*coupl(nGC_354)**2d0 - 8d0*cima*coupl&
                       (nGC_208)**2d0*coupl(nGC_360)**2d0 - 8d0*cima*coupl(    &
                       nGC_208)**2d0*coupl(nGC_378)**2d0 + 10d0*cima*coupl(    &
                       nGC_208)*coupl(nGC_211)*coupl(nGC_354)**2d0 + 10d0*cima*&
                       coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_360)**2d0 + 10d0&
                       *cima*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_378)**2d0 &
                        - 8d0*cima*coupl(nGC_211)**2d0*coupl(nGC_354)**2d0 -   &
                       8d0*cima*coupl(nGC_211)**2d0*coupl(nGC_360)**2d0 - 8d0* &
                       cima*coupl(nGC_211)**2d0*coupl(nGC_378)**2d0 + 3d0*coupl&
                       (nGC_199)**2d0*coupl(nGC_77) + 3d0*coupl(nGC_3419)**2d0*&
                       coupl(nGC_77))/(24d0*pi**2d0)
    coupl(nGC_37270) = coupl(nGC_209)*dZZ_QED2/2d0 + coupl(nGC_209)*dZbL_QED2  &
                        + coupl(nGC_22733)
    coupl(nGC_22462) = cima*coupl(nGC_197)**2d0*(-Nc*coupl(nGC_333)*coupl(     &
                       nGC_336) - Nc*coupl(nGC_339)*coupl(nGC_342) - Nc*coupl( &
                       nGC_345)*coupl(nGC_348) - Nc*coupl(nGC_363)*coupl(      &
                       nGC_366) - Nc*coupl(nGC_369)*coupl(nGC_372) - Nc*coupl( &
                       nGC_381)*coupl(nGC_384) - coupl(nGC_351)*coupl(nGC_354  &
                       ) - coupl(nGC_357)*coupl(nGC_360) - coupl(nGC_375)*coupl&
                       (nGC_378))/(6d0*pi**2d0)
    coupl(nGC_32694) = coupl(nGC_227)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
    coupl(nGC_TS_GC_63_Hh) = -coupl(nGC_63)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_63_Hl) = -coupl(nGC_63)*dtHl_QED1/cMHL**2d0
    coupl(nGC_22262) = coupl(nGC_13)**2d0*coupl(nGC_206)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_40245) = coupl(nGC_178)*dZHMinusGMinus_QED2/2d0
    coupl(nGC_22594) = coupl(nGC_21348)*dsw_QED2 + coupl(nGC_21349)*dcw_QED2 + &
                       coupl(nGC_21350)*dZee_QED2
    coupl(nGC_22228) = coupl(nGC_13)**2d0*coupl(nGC_333)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22227) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_333) + 8d0*coupl(      &
                       nGC_207)*coupl(nGC_210)*coupl(nGC_333) - coupl(nGC_333  &
                       )**3d0 - coupl(nGC_333)*coupl(nGC_335)**2d0 - coupl(    &
                       nGC_333)*coupl(nGC_336)**2d0 - coupl(nGC_333)*coupl(    &
                       nGC_338)**2d0 - coupl(nGC_334)*coupl(nGC_363)*coupl(    &
                       nGC_364) - coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_367  &
                       ))/(32d0*pi**2d0)
    coupl(nGC_22225) = coupl(nGC_13)**2d0*coupl(nGC_342)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22224) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_342) + 8d0*coupl(      &
                       nGC_206)*coupl(nGC_209)*coupl(nGC_342) - coupl(nGC_339  &
                       )**2d0*coupl(nGC_342) - coupl(nGC_340)*coupl(nGC_369)*  &
                       coupl(nGC_373) - coupl(nGC_341)**2d0*coupl(nGC_342) -   &
                       coupl(nGC_342)**3d0 - coupl(nGC_342)*coupl(nGC_344)**2d0&
                        - coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_370))/(32d0* &
                       pi**2d0)
    coupl(nGC_22222) = (-2d0*Nc*cMB*coupl(nGC_206)**2d0*coupl(nGC_342) + 2d0*Nc&
                       *cMB*coupl(nGC_206)*coupl(nGC_209)*coupl(nGC_342) - 2d0*&
                       Nc*cMB*coupl(nGC_209)**2d0*coupl(nGC_342) - 2d0*Nc*cMC* &
                       coupl(nGC_207)**2d0*coupl(nGC_333) + 2d0*Nc*cMC*coupl(  &
                       nGC_207)*coupl(nGC_210)*coupl(nGC_333) - 2d0*Nc*cMC*    &
                       coupl(nGC_210)**2d0*coupl(nGC_333) - 2d0*Nc*cMD*coupl(  &
                       nGC_206)**2d0*coupl(nGC_345) + 2d0*Nc*cMD*coupl(nGC_206 &
                       )*coupl(nGC_209)*coupl(nGC_345) - 2d0*Nc*cMD*coupl(     &
                       nGC_209)**2d0*coupl(nGC_345) - 2d0*Nc*cMS*coupl(nGC_206 &
                       )**2d0*coupl(nGC_363) + 2d0*Nc*cMS*coupl(nGC_206)*coupl(&
                       nGC_209)*coupl(nGC_363) - 2d0*Nc*cMS*coupl(nGC_209)**2d0&
                       *coupl(nGC_363) - 2d0*Nc*cMT*coupl(nGC_207)**2d0*coupl( &
                       nGC_369) + 2d0*Nc*cMT*coupl(nGC_207)*coupl(nGC_210)*    &
                       coupl(nGC_369) - 2d0*Nc*cMT*coupl(nGC_210)**2d0*coupl(  &
                       nGC_369) - 2d0*Nc*cMU*coupl(nGC_207)**2d0*coupl(nGC_381 &
                       ) + 2d0*Nc*cMU*coupl(nGC_207)*coupl(nGC_210)*coupl(     &
                       nGC_381) - 2d0*Nc*cMU*coupl(nGC_210)**2d0*coupl(nGC_381 &
                       ) - 2d0*cME*coupl(nGC_208)**2d0*coupl(nGC_351) + 2d0*cME&
                       *coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_351) - 2d0*cME*&
                       coupl(nGC_211)**2d0*coupl(nGC_351) - 2d0*cMM*coupl(     &
                       nGC_208)**2d0*coupl(nGC_357) + 2d0*cMM*coupl(nGC_208)*  &
                       coupl(nGC_211)*coupl(nGC_357) - 2d0*cMM*coupl(nGC_211)**&
                       2d0*coupl(nGC_357) - 2d0*cMTA*coupl(nGC_208)**2d0*coupl(&
                       nGC_375) + 2d0*cMTA*coupl(nGC_208)*coupl(nGC_211)*coupl(&
                       nGC_375) - 2d0*cMTA*coupl(nGC_211)**2d0*coupl(nGC_375   &
                       ) + cima*coupl(nGC_195)*coupl(nGC_261) + coupl(nGC_199  &
                       )**2d0*coupl(nGC_261) + coupl(nGC_261)*coupl(nGC_3419)**&
                       2d0)/(8d0*pi**2d0)
    coupl(nGC_22220) = 3d0*(4d0*Nc*cMB*coupl(nGC_342)**3d0 + 4d0*Nc*cMC*coupl( &
                       nGC_333)**3d0 + 4d0*Nc*cMD*coupl(nGC_345)**3d0 + 4d0*Nc*&
                       cMS*coupl(nGC_363)**3d0 + 4d0*Nc*cMT*coupl(nGC_369)**3d0&
                        + 4d0*Nc*cMU*coupl(nGC_381)**3d0 + 4d0*cME*coupl(      &
                       nGC_351)**3d0 + 4d0*cMM*coupl(nGC_357)**3d0 + 4d0*cMTA* &
                       coupl(nGC_375)**3d0 + cima*coupl(nGC_224)*coupl(nGC_329 &
                       ) + 2d0*cima*coupl(nGC_261)*coupl(nGC_77))/(16d0*pi**2d0&
                       )
    coupl(nGC_TS_GC_214_Hh) = -coupl(nGC_214)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_242_Hl) = -coupl(nGC_242)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_357_Hl) = -coupl(nGC_357)*dtHl_QED1/cMHL**2d0
    coupl(nGC_22595) = coupl(nGC_21774)*dZgs_QCD2
    coupl(nGC_22597) = coupl(nGC_21080)*dZgs_QCD2
    coupl(nGC_22596) = coupl(nGC_21619)*dZgs_QCD2
    coupl(nGC_22591) = coupl(nGC_21068)*dZee_QED2
    coupl(nGC_22590) = coupl(nGC_21307)*dZee_QED2
    coupl(nGC_22593) = coupl(nGC_21495)*dsw_QED2 + coupl(nGC_21496)*dcw_QED2 + &
                       coupl(nGC_21497)*dZee_QED2
    coupl(nGC_22592) = coupl(nGC_21008)*dZee_QED2
    coupl(nGC_22599) = coupl(nGC_21493)*dyup1_QED1_QCD2 + coupl(nGC_21494)*    &
                       dyup2_QED1_QCD2
    coupl(nGC_22598) = coupl(nGC_21492)*db_QED2 + coupl(nGC_21493)*dyup1_QED3  &
                        + coupl(nGC_21494)*dyup2_QED3
    coupl(nGC_22351) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 -  &
                       coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22350) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +   &
                       coupl(nGC_2)**2d0)/(16d0*pi**2d0)
    coupl(nGC_22355) = cima*(-Nc*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_339)*   &
                       coupl(nGC_342) - Nc*coupl(nGC_1)*coupl(nGC_206)*coupl(  &
                       nGC_345)*coupl(nGC_348) - Nc*coupl(nGC_1)*coupl(nGC_206 &
                       )*coupl(nGC_363)*coupl(nGC_366) - Nc*coupl(nGC_1)*coupl(&
                       nGC_209)*coupl(nGC_339)*coupl(nGC_342) - Nc*coupl(nGC_1 &
                       )*coupl(nGC_209)*coupl(nGC_345)*coupl(nGC_348) - Nc*    &
                       coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_363)*coupl(nGC_366&
                       ) - Nc*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_333)*coupl(&
                       nGC_336) - Nc*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_369 &
                       )*coupl(nGC_372) - Nc*coupl(nGC_2)*coupl(nGC_207)*coupl(&
                       nGC_381)*coupl(nGC_384) - Nc*coupl(nGC_2)*coupl(nGC_210 &
                       )*coupl(nGC_333)*coupl(nGC_336) - Nc*coupl(nGC_2)*coupl(&
                       nGC_210)*coupl(nGC_369)*coupl(nGC_372) - Nc*coupl(nGC_2 &
                       )*coupl(nGC_210)*coupl(nGC_381)*coupl(nGC_384) - coupl( &
                       nGC_208)*coupl(nGC_351)*coupl(nGC_354)*coupl(nGC_4) -   &
                       coupl(nGC_208)*coupl(nGC_357)*coupl(nGC_360)*coupl(nGC_4&
                       ) - coupl(nGC_208)*coupl(nGC_375)*coupl(nGC_378)*coupl( &
                       nGC_4) - coupl(nGC_211)*coupl(nGC_351)*coupl(nGC_354)*  &
                       coupl(nGC_4) - coupl(nGC_211)*coupl(nGC_357)*coupl(     &
                       nGC_360)*coupl(nGC_4) - coupl(nGC_211)*coupl(nGC_375)*  &
                       coupl(nGC_378)*coupl(nGC_4))/(8d0*pi**2d0)
    coupl(nGC_22579) = coupl(nGC_551)*db_QED2 + coupl(nGC_553)*dl2_QED4 + coupl&
                       (nGC_555)*dl3_QED4 + coupl(nGC_557)*dl5_QED4 + coupl(   &
                       nGC_559)*dl4_QED4 + coupl(nGC_561)*dl1_QED4 + coupl(    &
                       nGC_563)*dvev1_QED1 + coupl(nGC_565)*dvev2_QED1 + coupl(&
                       nGC_567)*da_QED2
    coupl(nGC_22578) = coupl(nGC_531)*db_QED2 + coupl(nGC_533)*dl2_QED4 + coupl&
                       (nGC_535)*dl3_QED4 + coupl(nGC_537)*dl5_QED4 + coupl(   &
                       nGC_539)*dl4_QED4 + coupl(nGC_541)*dl1_QED4 + coupl(    &
                       nGC_543)*dvev1_QED1 + coupl(nGC_545)*dvev2_QED1 + coupl(&
                       nGC_547)*da_QED2
    coupl(nGC_22573) = coupl(nGC_21928)*dl3_QED4 + coupl(nGC_21929)*db_QED2 +  &
                       coupl(nGC_21930)*dl2_QED4 + coupl(nGC_21931)*dl5_QED4 + &
                       coupl(nGC_21932)*dvev2_QED1 + coupl(nGC_21933)*         &
                       dvev1_QED1 + coupl(nGC_21934)*dl1_QED4 + coupl(nGC_21935&
                       )*dl4_QED4 + coupl(nGC_21936)*da_QED2
    coupl(nGC_22572) = coupl(nGC_21523)*dZee_QED2 + coupl(nGC_21524)*dsw_QED2  &
                        + coupl(nGC_21525)*dcw_QED2 + coupl(nGC_21526)*        &
                       dvev2_QED1 + coupl(nGC_21527)*dvev1_QED1 + coupl(       &
                       nGC_21528)*da_QED2
    coupl(nGC_22571) = coupl(nGC_20745)*dl3_QED4 + coupl(nGC_20746)*db_QED2 +  &
                       coupl(nGC_20747)*dl2_QED4 + coupl(nGC_20748)*dl5_QED4 + &
                       coupl(nGC_20749)*dvev2_QED1 + coupl(nGC_20750)*         &
                       dvev1_QED1 + coupl(nGC_20751)*dl1_QED4 + coupl(nGC_20752&
                       )*dl4_QED4 + coupl(nGC_20753)*da_QED2
    coupl(nGC_22570) = coupl(nGC_20712)*dl4_QED4 + coupl(nGC_20713)*dl5_QED4 + &
                       coupl(nGC_20714)*db_QED2 + coupl(nGC_20715)*dvev1_QED1  &
                        + coupl(nGC_20716)*dvev2_QED1
    coupl(nGC_22577) = coupl(nGC_20912)*dl3_QED4 + coupl(nGC_20913)*dl1_QED4 + &
                       coupl(nGC_20914)*dl2_QED4 + coupl(nGC_20915)*dl5_QED4 + &
                       coupl(nGC_20916)*dl4_QED4 + coupl(nGC_20917)*dvev1_QED1 &
                        + coupl(nGC_20918)*dvev2_QED1 + coupl(nGC_20919)*      &
                       da_QED2
    coupl(nGC_22576) = coupl(nGC_21858)*dl3_QED4 + coupl(nGC_21859)*db_QED2 +  &
                       coupl(nGC_21860)*dl2_QED4 + coupl(nGC_21861)*dl5_QED4 + &
                       coupl(nGC_21862)*dvev2_QED1 + coupl(nGC_21863)*         &
                       dvev1_QED1 + coupl(nGC_21864)*dl1_QED4 + coupl(nGC_21865&
                       )*dl4_QED4 + coupl(nGC_21866)*da_QED2
    coupl(nGC_22575) = coupl(nGC_20880)*dl3_QED4 + coupl(nGC_20881)*dl1_QED4 + &
                       coupl(nGC_20882)*dl2_QED4 + coupl(nGC_20883)*dl5_QED4 + &
                       coupl(nGC_20884)*dl4_QED4 + coupl(nGC_20885)*dvev1_QED1 &
                        + coupl(nGC_20886)*dvev2_QED1 + coupl(nGC_20887)*      &
                       da_QED2
    coupl(nGC_22574) = coupl(nGC_21583)*dl3_QED4 + coupl(nGC_21584)*db_QED2 +  &
                       coupl(nGC_21585)*dl2_QED4 + coupl(nGC_21586)*dl5_QED4 + &
                       coupl(nGC_21587)*dvev2_QED1 + coupl(nGC_21588)*         &
                       dvev1_QED1 + coupl(nGC_21589)*dl1_QED4 + coupl(nGC_21590&
                       )*dl4_QED4 + coupl(nGC_21591)*da_QED2
    coupl(nGC_35433) = coupl(nGC_386)*dZG0/2d0
    coupl(nGC_32350) = coupl(nGC_373)*dZGMinus/2d0
    coupl(nGC_32356) = coupl(nGC_340)*dZGMinus/2d0
    coupl(nGC_22689) = coupl(nGC_21377)*dsw_QED2 + coupl(nGC_21378)*dcw_QED2 + &
                       coupl(nGC_21379)*dZee_QED2
    coupl(nGC_22681) = coupl(nGC_21074)*dyt1_QED3 + coupl(nGC_21075)*da_QED2 + &
                       coupl(nGC_21076)*dyt2_QED3
    coupl(nGC_33970) = coupl(nGC_55)*(2d0*dZG0 + dZGMinus)/2d0
    coupl(nGC_22683) = coupl(nGC_20910)*dyup1_QED1_QCD2 + coupl(nGC_20911)*    &
                       dyup2_QED1_QCD2
    coupl(nGC_22682) = coupl(nGC_20909)*db_QED2 + coupl(nGC_20910)*dyup1_QED3  &
                        + coupl(nGC_20911)*dyup2_QED3
    coupl(nGC_22687) = coupl(nGC_579)*dyt2_QED3 + coupl(nGC_581)*db_QED2 +     &
                       coupl(nGC_583)*dyt1_QED3
    coupl(nGC_22686) = coupl(nGC_579)*dyt2_QED1_QCD2 + coupl(nGC_583)*         &
                       dyt1_QED1_QCD2
    coupl(nGC_22177) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_365) - coupl(nGC_1449)*&
                       coupl(nGC_363)**2d0 - coupl(nGC_1449)*coupl(nGC_365)**  &
                       2d0 - coupl(nGC_1449)*coupl(nGC_366)**2d0 - coupl(      &
                       nGC_1449)*coupl(nGC_368)**2d0 + 8d0*coupl(nGC_206)*coupl&
                       (nGC_209)*coupl(nGC_365) - coupl(nGC_334)*coupl(nGC_364 &
                       )*coupl(nGC_849) - coupl(nGC_337)*coupl(nGC_367)*coupl( &
                       nGC_849))/(32d0*pi**2d0)
    coupl(nGC_22176) = coupl(nGC_13)**2d0*coupl(nGC_1449)*sq2**2d0*(Nc**2d0 -  &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22174) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_3367) -    &
                       coupl(nGC_2221)**2d0*coupl(nGC_359) - coupl(nGC_3367)** &
                       2d0*coupl(nGC_359) + 8d0*coupl(nGC_3367)*coupl(nGC_4)** &
                       2d0 - coupl(nGC_357)**2d0*coupl(nGC_359) - coupl(nGC_359&
                       )*coupl(nGC_360)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22173) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_359) -     &
                       coupl(nGC_3367)*coupl(nGC_357)**2d0 - coupl(nGC_3367)*  &
                       coupl(nGC_359)**2d0 - coupl(nGC_3367)*coupl(nGC_360)**  &
                       2d0 - coupl(nGC_3367)*coupl(nGC_362)**2d0 + 8d0*coupl(  &
                       nGC_359)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22172) = coupl(nGC_13)**2d0*coupl(nGC_347)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22170) = coupl(nGC_13)**2d0*coupl(nGC_2573)*sq2**2d0*(Nc**2d0 -  &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22178) = coupl(nGC_13)**2d0*coupl(nGC_365)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_35506) = coupl(nGC_205)*dZAZ_QED2
    coupl(nGC_35507) = coupl(nGC_194)*dZWMinus_QED2 + coupl(nGC_194)*dZZ_QED2  &
                        + coupl(nGC_22725)
    coupl(nGC_32222) = coupl(nGC_22726) + coupl(nGC_4)*dZA_QED2/2d0
    coupl(nGC_32221) = coupl(nGC_208)*dZZA_QED2/2d0 + coupl(nGC_4)*            &
                       dZeMinusR_QED2
    coupl(nGC_36985) = coupl(nGC_355)*dZGMinus/2d0
    coupl(nGC_35508) = coupl(nGC_35506) - 2d0*coupl(nGC_35507)
    coupl(nGC_35509) = -coupl(nGC_35506)/2d0 + coupl(nGC_35507)
    coupl(nGC_22166) = coupl(nGC_13)**2d0*coupl(nGC_849)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_32630) = coupl(nGC_63)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_34215) = coupl(nGC_63)*dZGMinus/2d0
    coupl(nGC_22167) = (-coupl(nGC_1449)*coupl(nGC_334)*coupl(nGC_364) - coupl(&
                       nGC_1449)*coupl(nGC_337)*coupl(nGC_367) + 8d0*coupl(    &
                       nGC_2)**2d0*coupl(nGC_335) + 8d0*coupl(nGC_207)*coupl(  &
                       nGC_210)*coupl(nGC_335) - coupl(nGC_333)**2d0*coupl(    &
                       nGC_849) - coupl(nGC_335)**2d0*coupl(nGC_849) - coupl(  &
                       nGC_336)**2d0*coupl(nGC_849) - coupl(nGC_338)**2d0*coupl&
                       (nGC_849))/(32d0*pi**2d0)
    coupl(nGC_TS_GC_178_Hl) = -coupl(nGC_178)*dtHl_QED1/cMHL**2d0
    coupl(nGC_21976) = (Nc*cMB**2d0*cima*coupl(nGC_206)**2d0 + Nc*cMB**2d0*cima&
                       *coupl(nGC_209)**2d0 + Nc*cMC**2d0*cima*coupl(nGC_207)**&
                       2d0 + Nc*cMC**2d0*cima*coupl(nGC_210)**2d0 + Nc*cMD**2d0&
                       *cima*coupl(nGC_206)**2d0 + Nc*cMD**2d0*cima*coupl(     &
                       nGC_209)**2d0 + Nc*cMS**2d0*cima*coupl(nGC_206)**2d0 +  &
                       Nc*cMS**2d0*cima*coupl(nGC_209)**2d0 + Nc*cMT**2d0*cima*&
                       coupl(nGC_207)**2d0 + Nc*cMT**2d0*cima*coupl(nGC_210)** &
                       2d0 + Nc*cMU**2d0*cima*coupl(nGC_207)**2d0 + Nc*cMU**2d0&
                       *cima*coupl(nGC_210)**2d0 + cME**2d0*cima*coupl(nGC_208 &
                       )**2d0 + cME**2d0*cima*coupl(nGC_211)**2d0 + cMM**2d0*  &
                       cima*coupl(nGC_208)**2d0 + cMM**2d0*cima*coupl(nGC_211  &
                       )**2d0 + cMTA**2d0*cima*coupl(nGC_208)**2d0 + cMTA**2d0*&
                       cima*coupl(nGC_211)**2d0 + cMW**2d0*cima*coupl(nGC_199  &
                       )**2d0 + cMW**2d0*cima*coupl(nGC_3419)**2d0 - cMW**2d0* &
                       coupl(nGC_195))/(8d0*pi**2d0)
    coupl(nGC_35182) = -coupl(nGC_32554)
    coupl(nGC_41588) = coupl(nGC_I)*dZHh_QED2
    coupl(nGC_22160) = coupl(nGC_13)**2d0*coupl(nGC_1415)*sq2**2d0*(Nc**2d0 -  &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22161) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_344) - coupl(nGC_1185)*&
                       coupl(nGC_340)*coupl(nGC_373) - coupl(nGC_1185)*coupl(  &
                       nGC_343)*coupl(nGC_370) - coupl(nGC_1415)*coupl(nGC_339 &
                       )**2d0 - coupl(nGC_1415)*coupl(nGC_341)**2d0 - coupl(   &
                       nGC_1415)*coupl(nGC_342)**2d0 - coupl(nGC_1415)*coupl(  &
                       nGC_344)**2d0 + 8d0*coupl(nGC_206)*coupl(nGC_209)*coupl(&
                       nGC_344))/(32d0*pi**2d0)
    coupl(nGC_TS_GC_35_Hl) = -coupl(nGC_35)*dtHl_QED1/cMHL**2d0
    coupl(nGC_22162) = coupl(nGC_13)**2d0*coupl(nGC_344)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_33371) = coupl(nGC_228)*(dZGMinusHMinus_QED2 +                   &
                       dZHMinusGMinus_QED2)/2d0
    coupl(nGC_21975) = cima*(coupl(nGC_199)**2d0 + coupl(nGC_3419)**2d0)/(48d0*&
                       pi**2d0)
    coupl(nGC_35961) = coupl(nGC_52)*dZGMinus/2d0
    coupl(nGC_22460) = 5d0*cima*(Nc*coupl(nGC_333)*coupl(nGC_336)**3d0 + Nc*   &
                       coupl(nGC_339)**3d0*coupl(nGC_342) + Nc*coupl(nGC_345)* &
                       coupl(nGC_348)**3d0 + Nc*coupl(nGC_363)*coupl(nGC_366)**&
                       3d0 + Nc*coupl(nGC_369)*coupl(nGC_372)**3d0 + Nc*coupl( &
                       nGC_381)*coupl(nGC_384)**3d0 + coupl(nGC_351)*coupl(    &
                       nGC_354)**3d0 + coupl(nGC_357)*coupl(nGC_360)**3d0 +    &
                       coupl(nGC_375)*coupl(nGC_378)**3d0)/(4d0*pi**2d0)
    coupl(nGC_22730) = coupl(nGC_21099)*dsw_QED2 + coupl(nGC_21100)*dZee_QED2
    coupl(nGC_36783) = coupl(nGC_4)*dZAZ_QED2/2d0
    coupl(nGC_37265) = coupl(nGC_206)*dZbR_QCD2
    coupl(nGC_48940) = 2d0*coupl(nGC_69)*dZG0
    coupl(nGC_53966) = coupl(nGC_MI)*dZsL_QED2
    coupl(nGC_22736) = coupl(nGC_20682)*dsw_QED2 + coupl(nGC_20683)*dcw_QED2 + &
                       coupl(nGC_20684)*dZee_QED2
    coupl(nGC_37269) = coupl(nGC_206)*dZZ_QED2/2d0 + coupl(nGC_206)*dZbR_QED2  &
                        + coupl(nGC_22734)
    coupl(nGC_37268) = coupl(nGC_209)*dZbL_QCD2
    coupl(nGC_54185) = 2d0*coupl(nGC_15)*dZg_QCD2 + coupl(nGC_22596)
    coupl(nGC_34321) = coupl(nGC_2)*dZA_QED2/2d0 + coupl(nGC_22727)
    coupl(nGC_TS_GC_360_Hh) = -coupl(nGC_360)*dtHh_QED1/cMHH**2d0
    coupl(nGC_37134) = coupl(nGC_329)*dZZA_QED2/2d0
    coupl(nGC_57294) = coupl(nGC_MI)*dZA_QED2
    coupl(nGC_57295) = -coupl(nGC_57294)
    coupl(nGC_TS_GC_378_Hh) = -coupl(nGC_378)*dtHh_QED1/cMHH**2d0
    coupl(nGC_32734) = coupl(nGC_56)*dZGMinus/2d0
  end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
