!******************************************************************************!
!                                                                              !
!    fill_ctcouplings6.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings6.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-10 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings6
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl6()
    coupl(nGC_33537) = coupl(nGC_TS_GC_241_Hl) + coupl(nGC_TS_GC_249_Hh)
    coupl(nGC_36016) = coupl(nGC_22537) + coupl(nGC_36)*dZHa_QED2 + coupl(     &
                       nGC_36)*dZHh_QED2/2d0 + coupl(nGC_36)*dZHl_QED2/2d0 +   &
                       coupl(nGC_41)*dZHlHh_QED2/2d0 + coupl(nGC_47)*          &
                       dZG0Ha_QED2 + coupl(nGC_48)*dZHhHl_QED2/2d0
    coupl(nGC_22007) = (Nc*coupl(nGC_1)*coupl(nGC_334)*coupl(nGC_337) + Nc*    &
                       coupl(nGC_1)*coupl(nGC_340)*coupl(nGC_343) + Nc*coupl(  &
                       nGC_1)*coupl(nGC_346)*coupl(nGC_349) + Nc*coupl(nGC_1)* &
                       coupl(nGC_364)*coupl(nGC_367) + Nc*coupl(nGC_1)*coupl(  &
                       nGC_370)*coupl(nGC_373) + Nc*coupl(nGC_1)*coupl(nGC_382 &
                       )*coupl(nGC_385) - Nc*coupl(nGC_2)*coupl(nGC_334)*coupl(&
                       nGC_337) - Nc*coupl(nGC_2)*coupl(nGC_340)*coupl(nGC_343 &
                       ) - Nc*coupl(nGC_2)*coupl(nGC_346)*coupl(nGC_349) - Nc* &
                       coupl(nGC_2)*coupl(nGC_364)*coupl(nGC_367) - Nc*coupl(  &
                       nGC_2)*coupl(nGC_370)*coupl(nGC_373) - Nc*coupl(nGC_2)* &
                       coupl(nGC_382)*coupl(nGC_385) + coupl(nGC_352)*coupl(   &
                       nGC_355)*coupl(nGC_4) + coupl(nGC_358)*coupl(nGC_361)*  &
                       coupl(nGC_4) + coupl(nGC_376)*coupl(nGC_379)*coupl(nGC_4&
                       ))/(24d0*pi**2d0)
    coupl(nGC_22006) = (-Nc*coupl(nGC_1)*coupl(nGC_334)*coupl(nGC_337) - Nc*   &
                       coupl(nGC_1)*coupl(nGC_340)*coupl(nGC_343) - Nc*coupl(  &
                       nGC_1)*coupl(nGC_346)*coupl(nGC_349) - Nc*coupl(nGC_1)* &
                       coupl(nGC_364)*coupl(nGC_367) - Nc*coupl(nGC_1)*coupl(  &
                       nGC_370)*coupl(nGC_373) - Nc*coupl(nGC_1)*coupl(nGC_382 &
                       )*coupl(nGC_385) + Nc*coupl(nGC_2)*coupl(nGC_334)*coupl(&
                       nGC_337) + Nc*coupl(nGC_2)*coupl(nGC_340)*coupl(nGC_343 &
                       ) + Nc*coupl(nGC_2)*coupl(nGC_346)*coupl(nGC_349) + Nc* &
                       coupl(nGC_2)*coupl(nGC_364)*coupl(nGC_367) + Nc*coupl(  &
                       nGC_2)*coupl(nGC_370)*coupl(nGC_373) + Nc*coupl(nGC_2)* &
                       coupl(nGC_382)*coupl(nGC_385) - coupl(nGC_352)*coupl(   &
                       nGC_355)*coupl(nGC_4) - coupl(nGC_358)*coupl(nGC_361)*  &
                       coupl(nGC_4) - coupl(nGC_376)*coupl(nGC_379)*coupl(nGC_4&
                       ))/(24d0*pi**2d0)
    coupl(nGC_22004) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)*coupl(    &
                       nGC_210))/(8d0*pi**2d0)
    coupl(nGC_22003) = cMTA*cima*(-coupl(nGC_208)*coupl(nGC_211) - coupl(nGC_4 &
                       )**2d0)/(8d0*pi**2d0)
    coupl(nGC_22001) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)*coupl(    &
                       nGC_210))/(8d0*pi**2d0)
    coupl(nGC_22009) = (-Nc*cMB*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_340) - Nc&
                       *cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_337) - Nc*cMD&
                       *coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_349) - Nc*cMS*   &
                       coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_367) - Nc*cMT*    &
                       coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_373) - Nc*cMU*    &
                       coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_385) + 2d0*cima*  &
                       coupl(nGC_202)*coupl(nGC_237) + 2d0*cima*coupl(nGC_2053 &
                       )*coupl(nGC_324) + 2d0*coupl(nGC_198)*coupl(nGC_237)*   &
                       coupl(nGC_3) + 2d0*coupl(nGC_3)*coupl(nGC_324)*coupl(   &
                       nGC_4))/(16d0*pi**2d0)
    coupl(nGC_22008) = (Nc*coupl(nGC_1)*coupl(nGC_337)**2d0 + Nc*coupl(nGC_1)* &
                       coupl(nGC_340)**2d0 + Nc*coupl(nGC_1)*coupl(nGC_349)**  &
                       2d0 + Nc*coupl(nGC_1)*coupl(nGC_367)**2d0 + Nc*coupl(   &
                       nGC_1)*coupl(nGC_373)**2d0 + Nc*coupl(nGC_1)*coupl(     &
                       nGC_385)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_337)**2d0 - Nc&
                       *coupl(nGC_2)*coupl(nGC_340)**2d0 - Nc*coupl(nGC_2)*    &
                       coupl(nGC_349)**2d0 - Nc*coupl(nGC_2)*coupl(nGC_367)**  &
                       2d0 - Nc*coupl(nGC_2)*coupl(nGC_373)**2d0 - Nc*coupl(   &
                       nGC_2)*coupl(nGC_385)**2d0 + coupl(nGC_355)**2d0*coupl( &
                       nGC_4) + coupl(nGC_361)**2d0*coupl(nGC_4) + coupl(      &
                       nGC_379)**2d0*coupl(nGC_4))/(24d0*pi**2d0)
    coupl(nGC_22731) = coupl(nGC_21580)*dsw_QED2 + coupl(nGC_21581)*dcw_QED2 + &
                       coupl(nGC_21582)*dZee_QED2
    coupl(nGC_22737) = coupl(nGC_21151)*dsw_QED2 + coupl(nGC_21152)*dcw_QED2 + &
                       coupl(nGC_21153)*dZee_QED2
    coupl(nGC_48941) = coupl(nGC_22506) + 2d0*coupl(nGC_59)*dZHaG0_QED2
    coupl(nGC_36789) = coupl(nGC_211)*dZZ_QED2/2d0 + coupl(nGC_211)*           &
                       dZeMinusL_QED2 + coupl(nGC_22737)
    coupl(nGC_36788) = coupl(nGC_208)*dZZ_QED2/2d0 + coupl(nGC_208)*           &
                       dZeMinusR_QED2 + coupl(nGC_22736)
    coupl(nGC_32316) = coupl(nGC_175)*dZAZ_QED2/2d0 + coupl(nGC_22)*           &
                       dZHMinus_QED2/2d0 + coupl(nGC_22)*dZHh_QED2/2d0 + coupl(&
                       nGC_22)*dZWMinus_QED2/2d0 + coupl(nGC_22)*dZZ_QED2/2d0  &
                        + coupl(nGC_22532) + coupl(nGC_23)*dZGMinusHMinus_QED2/&
                       2d0 + coupl(nGC_23)*dZHlHh_QED2/2d0
    coupl(nGC_32310) = coupl(nGC_22544) + coupl(nGC_39)*dZHa_QED2/2d0 + coupl( &
                       nGC_39)*dZHh_QED2 + coupl(nGC_43)*dZG0Ha_QED2/2d0 +     &
                       coupl(nGC_47)*dZHlHh_QED2 + coupl(nGC_48)*dZHaG0_QED2/  &
                       2d0
    coupl(nGC_36304) = coupl(nGC_258)*dZGMinus/2d0
    coupl(nGC_36306) = coupl(nGC_22568) + coupl(nGC_247)*dZG0Ha_QED2/2d0 +     &
                       coupl(nGC_258)*dZHMinus_QED2/2d0 + coupl(nGC_258)*      &
                       dZHa_QED2/2d0 + coupl(nGC_TS_GC_53_Hl) + coupl(         &
                       nGC_TS_GC_63_Hh)
    coupl(nGC_TS_GC_384_Hh) = -coupl(nGC_384)*dtHh_QED1/cMHH**2d0
    coupl(nGC_58907) = -coupl(nGC_22127)
    coupl(nGC_22648) = coupl(nGC_20997)*db_QED2 + coupl(nGC_20998)*dytau1_QED3 &
                        + coupl(nGC_20999)*dytau2_QED3
    coupl(nGC_22645) = coupl(nGC_21078)*dyd13x3_QED1_QCD2 + coupl(nGC_21079)*  &
                       dyb2_QED1_QCD2
    coupl(nGC_22644) = coupl(nGC_21077)*db_QED2 + coupl(nGC_21078)*dyd13x3_QED3&
                        + coupl(nGC_21079)*dyb2_QED3
    coupl(nGC_22647) = coupl(nGC_21489)*db_QED2 + coupl(nGC_21490)*dym1_QED3 + &
                       coupl(nGC_21491)*dym2_QED3
    coupl(nGC_22130) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_343) - coupl(  &
                       nGC_1185)*coupl(nGC_1415)*coupl(nGC_370) - coupl(       &
                       nGC_1467)*coupl(nGC_1711)*coupl(nGC_370) + 8d0*coupl(   &
                       nGC_206)*coupl(nGC_210)*coupl(nGC_343) - coupl(nGC_339)*&
                       coupl(nGC_370)*coupl(nGC_372) - coupl(nGC_342)*coupl(   &
                       nGC_369)*coupl(nGC_370))/(32d0*pi**2d0)
    coupl(nGC_22137) = coupl(nGC_13)**2d0*coupl(nGC_364)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22136) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_364) - coupl(  &
                       nGC_1449)*coupl(nGC_334)*coupl(nGC_849) + 8d0*coupl(    &
                       nGC_206)*coupl(nGC_210)*coupl(nGC_364) - coupl(nGC_333)*&
                       coupl(nGC_334)*coupl(nGC_363) - coupl(nGC_334)*coupl(   &
                       nGC_336)*coupl(nGC_366) - coupl(nGC_334)*coupl(nGC_4113 &
                       )*coupl(nGC_791))/(32d0*pi**2d0)
    coupl(nGC_22135) = coupl(nGC_13)**2d0*coupl(nGC_334)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22134) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_334) + 8d0*    &
                       coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_334) - coupl(   &
                       nGC_333)*coupl(nGC_363)*coupl(nGC_364) - coupl(nGC_335)*&
                       coupl(nGC_364)*coupl(nGC_365) - coupl(nGC_336)*coupl(   &
                       nGC_364)*coupl(nGC_366) - coupl(nGC_338)*coupl(nGC_364)*&
                       coupl(nGC_368))/(32d0*pi**2d0)
    coupl(nGC_38330) = coupl(nGC_TS_GC_242_Hl) + coupl(nGC_TS_GC_250_Hh)
    coupl(nGC_35278) = coupl(nGC_22574) + coupl(nGC_241)*dZHl_QED2/2d0 + coupl(&
                       nGC_249)*dZHhHl_QED2/2d0 + coupl(nGC_252)*              &
                       dZHMinusGMinus_QED2 + coupl(nGC_TS_GC_33_Hh) + coupl(   &
                       nGC_TS_GC_45_Hl)
    coupl(nGC_35275) = coupl(nGC_241)*dZGMinus
    coupl(nGC_33983) = coupl(nGC_206)*dZZ_QED2/2d0 + coupl(nGC_206)*dZsR_QED2  &
                        + coupl(nGC_22734)
    coupl(nGC_38683) = coupl(nGC_22867) + coupl(nGC_MZ_GF)*dZZ_QED2/2d0
    coupl(nGC_38684) = coupl(nGC_TS_GC_213_Hl) + coupl(nGC_TS_GC_215_Hh)
    coupl(nGC_34254) = coupl(nGC_22515) + coupl(nGC_54)*dZG0Ha_QED2 + coupl(   &
                       nGC_54)*dZGMinusHMinus_QED2 + coupl(nGC_64)*            &
                       dZHMinus_QED2 + coupl(nGC_64)*dZHa_QED2
    coupl(nGC_35301) = coupl(nGC_I)*(dZGMinusHMinus_QED2 + dZHMinusGMinus_QED2 &
                       )/2d0
    coupl(nGC_33209) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*      &
                       dZnu_tauL_QED2/2d0 + coupl(nGC_197)*dZtauMinusL_QED2/2d0&
                        + coupl(nGC_22730)
    coupl(nGC_33204) = coupl(nGC_22591) + coupl(nGC_6)*dZWMinus_QED2/2d0
    coupl(nGC_TS_GC_272_Hh) = -coupl(nGC_272)*dtHh_QED1/cMHH**2d0
    coupl(nGC_33337) = coupl(nGC_2)*dZAZ_QED2/2d0
    coupl(nGC_33335) = coupl(nGC_33330) + coupl(nGC_33334)
    coupl(nGC_34320) = coupl(nGC_2)*dZuL_QED2 + coupl(nGC_210)*dZZA_QED2/2d0
    coupl(nGC_34322) = coupl(nGC_2)*dZuR_QED2 + coupl(nGC_207)*dZZA_QED2/2d0
    coupl(nGC_34324) = coupl(nGC_34320) + coupl(nGC_34321)
    coupl(nGC_32794) = coupl(nGC_100)*dZGMinus
    coupl(nGC_32795) = coupl(nGC_100)*dZWMinus_QED2 + coupl(nGC_22700)
    coupl(nGC_33974) = coupl(nGC_22547) + coupl(nGC_55)*dZHMinus_QED2/2d0 +    &
                       coupl(nGC_67)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_70)*  &
                       dZHMinusGMinus_QED2/2d0 + coupl(nGC_72)*dZHaG0_QED2
    coupl(nGC_32551) = coupl(nGC_186)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
    coupl(nGC_37790) = coupl(nGC_35388) - coupl(nGC_35392)
    coupl(nGC_34920) = coupl(nGC_172)*dZHl_QED2/2d0 + coupl(nGC_172)*          &
                       dZWMinus_QED2/2d0 + coupl(nGC_178)*dZHhHl_QED2/2d0 +    &
                       coupl(nGC_22699)
    coupl(nGC_49056) = coupl(nGC_22546) + coupl(nGC_59)*dZHa_QED2/2d0 + coupl( &
                       nGC_69)*dZG0Ha_QED2/2d0 + 3d0*coupl(nGC_73)*dZHaG0_QED2/&
                       2d0
    coupl(nGC_49053) = 3d0*coupl(nGC_59)*dZG0/2d0
    coupl(nGC_37224) = coupl(nGC_22575) + coupl(nGC_233)*dZHh_QED2 + coupl(    &
                       nGC_233)*dZHl_QED2/2d0 + coupl(nGC_235)*dZHhHl_QED2/2d0 &
                        + coupl(nGC_236)*dZHlHh_QED2 + coupl(nGC_TS_GC_17_Hh   &
                       ) + coupl(nGC_TS_GC_20_Hl)
    coupl(nGC_22501) = coupl(nGC_21564)*dcw_QED2 + coupl(nGC_21565)*dZee_QED2
    coupl(nGC_60125) = -coupl(nGC_22075)
    coupl(nGC_21961) = cima*(Nc*coupl(nGC_1033)*coupl(nGC_350) + Nc*coupl(     &
                       nGC_1467)*coupl(nGC_374) + Nc*coupl(nGC_1711)*coupl(    &
                       nGC_341) + Nc*coupl(nGC_2147)*coupl(nGC_386) + Nc*coupl(&
                       nGC_338)*coupl(nGC_791) + Nc*coupl(nGC_368)*coupl(      &
                       nGC_4113) + coupl(nGC_1313)*coupl(nGC_356) + coupl(     &
                       nGC_2221)*coupl(nGC_362) + coupl(nGC_3763)*coupl(nGC_380&
                       ))/(24d0*pi**2d0)
    coupl(nGC_57783) = -coupl(nGC_22126)
    coupl(nGC_57890) = -coupl(nGC_22008)
    coupl(nGC_60058) = -coupl(nGC_22146)
    coupl(nGC_32173) = coupl(nGC_203)*dZWMinus_QED2/2d0 + coupl(nGC_203)*      &
                       dZZ_QED2/2d0 + coupl(nGC_22689) + coupl(nGC_7)*dZAZ_QED2&
                       /2d0
    coupl(nGC_32176) = coupl(nGC_221)*(dZGMinusHMinus_QED2 +                   &
                       dZHMinusGMinus_QED2)/2d0
    coupl(nGC_22254) = coupl(nGC_197)*(-coupl(nGC_199)*coupl(nGC_211) + 2d0*   &
                       coupl(nGC_211)*coupl(nGC_212) - coupl(nGC_212)*coupl(   &
                       nGC_3419) - coupl(nGC_3)*coupl(nGC_4))/(16d0*pi**2d0)
    coupl(nGC_22252) = coupl(nGC_197)*(2d0*coupl(nGC_1)*coupl(nGC_2) - coupl(  &
                       nGC_1)*coupl(nGC_3) - coupl(nGC_1055)*coupl(nGC_2) -    &
                       coupl(nGC_199)*coupl(nGC_209) + 2d0*coupl(nGC_209)*coupl&
                       (nGC_210) - coupl(nGC_210)*coupl(nGC_3419))/(16d0*pi**  &
                       2d0)
    coupl(nGC_22253) = coupl(nGC_197)*(coupl(nGC_1055)*coupl(nGC_4) + coupl(   &
                       nGC_199)*coupl(nGC_212) + 2d0*coupl(nGC_211)*coupl(     &
                       nGC_212) + coupl(nGC_211)*coupl(nGC_3419))/(16d0*pi**2d0&
                       )
    coupl(nGC_22250) = coupl(nGC_197)*(coupl(nGC_1)*coupl(nGC_1055) + 2d0*coupl&
                       (nGC_1)*coupl(nGC_2) + coupl(nGC_199)*coupl(nGC_210) +  &
                       coupl(nGC_2)*coupl(nGC_3) + 2d0*coupl(nGC_209)*coupl(   &
                       nGC_210) + coupl(nGC_209)*coupl(nGC_3419))/(16d0*pi**2d0&
                       )
    coupl(nGC_22251) = coupl(nGC_13)**2d0*coupl(nGC_197)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_40011) = coupl(nGC_22520) + coupl(nGC_36)*dZHlHh_QED2 + coupl(   &
                       nGC_39)*dZG0Ha_QED2 + coupl(nGC_48)*dZHa_QED2 + coupl(  &
                       nGC_48)*dZHh_QED2
    coupl(nGC_22258) = coupl(nGC_197)*(coupl(nGC_1201)*coupl(nGC_212) + coupl( &
                       nGC_198)*coupl(nGC_211) + 2d0*coupl(nGC_211)*coupl(     &
                       nGC_212) + coupl(nGC_4)**2d0)/(16d0*pi**2d0)
    coupl(nGC_22259) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_209) + coupl(nGC_1415)*&
                       coupl(nGC_206)*coupl(nGC_344) + coupl(nGC_1711)*coupl(  &
                       nGC_206)*coupl(nGC_341) + 4d0*coupl(nGC_197)**2d0*coupl(&
                       nGC_210) + 2d0*coupl(nGC_197)**2d0*coupl(nGC_3419) +    &
                       coupl(nGC_206)*coupl(nGC_339)**2d0 + coupl(nGC_206)*    &
                       coupl(nGC_342)**2d0 + coupl(nGC_207)*coupl(nGC_370)**2d0&
                        + coupl(nGC_207)*coupl(nGC_373)**2d0 + 4d0*coupl(      &
                       nGC_209)**3d0)/(32d0*pi**2d0)
    coupl(nGC_47539) = coupl(nGC_22848) + coupl(nGC_TS_GC_351_Hl) + coupl(     &
                       nGC_TS_GC_354_Hh)
    coupl(nGC_33549) = -coupl(nGC_33548)
    coupl(nGC_33545) = coupl(nGC_22540) + coupl(nGC_53)*dZHMinus_QED2/2d0 +    &
                       coupl(nGC_53)*dZHh_QED2/2d0 + coupl(nGC_62)*dZHlHh_QED2/&
                       2d0 + coupl(nGC_63)*dZHaG0_QED2/2d0
    coupl(nGC_22707) = coupl(nGC_20992)*dZee_QED2
    coupl(nGC_22038) = coupl(nGC_4)*(coupl(nGC_1233)*coupl(nGC_377) + 4d0*coupl&
                       (nGC_208)**2d0 + coupl(nGC_375)**2d0 + coupl(nGC_3763)* &
                       coupl(nGC_380) + coupl(nGC_378)**2d0 + 4d0*coupl(nGC_4  &
                       )**2d0)/(32d0*pi**2d0)
    coupl(nGC_22039) = (coupl(nGC_1233)*coupl(nGC_377)*coupl(nGC_4) - 2d0*coupl&
                       (nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_211)**2d0*  &
                       coupl(nGC_4) + coupl(nGC_375)**2d0*coupl(nGC_4) + coupl(&
                       nGC_3763)*coupl(nGC_380)*coupl(nGC_4) + coupl(nGC_378)**&
                       2d0*coupl(nGC_4) + 4d0*coupl(nGC_4)**3d0)/(32d0*pi**2d0)
    coupl(nGC_22032) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(      &
                       nGC_197)**2d0*coupl(nGC_4) + coupl(nGC_358)**2d0*coupl( &
                       nGC_4) + coupl(nGC_361)**2d0*coupl(nGC_4))/(32d0*pi**2d0&
                       )
    coupl(nGC_22033) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(      &
                       nGC_197)**2d0*coupl(nGC_4) + coupl(nGC_376)**2d0*coupl( &
                       nGC_4) + coupl(nGC_379)**2d0*coupl(nGC_4))/(32d0*pi**2d0&
                       )
    coupl(nGC_22030) = (-2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(     &
                       nGC_211)**2d0*coupl(nGC_4) + coupl(nGC_2221)*coupl(     &
                       nGC_362)*coupl(nGC_4) + coupl(nGC_3367)*coupl(nGC_359)* &
                       coupl(nGC_4) + coupl(nGC_357)**2d0*coupl(nGC_4) + coupl(&
                       nGC_360)**2d0*coupl(nGC_4) + 4d0*coupl(nGC_4)**3d0)/(   &
                       32d0*pi**2d0)
    coupl(nGC_33837) = coupl(nGC_187)*dZAZ_QED2/2d0 + coupl(nGC_22500) + coupl(&
                       nGC_31)*dZHMinus_QED2/2d0 + coupl(nGC_31)*dZHa_QED2/2d0 &
                        + coupl(nGC_31)*dZWMinus_QED2/2d0 + coupl(nGC_31)*     &
                       dZZ_QED2/2d0
    coupl(nGC_22036) = (4d0*coupl(nGC_1)*coupl(nGC_197)**2d0 + coupl(nGC_1)*   &
                       coupl(nGC_340)**2d0 + coupl(nGC_1)*coupl(nGC_343)**2d0  &
                        + coupl(nGC_1185)*coupl(nGC_2)*coupl(nGC_371) + coupl( &
                       nGC_1467)*coupl(nGC_2)*coupl(nGC_374) + 2d0*coupl(      &
                       nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_2)**3d0 + 4d0&
                       *coupl(nGC_2)*coupl(nGC_210)**2d0 + coupl(nGC_2)*coupl( &
                       nGC_369)**2d0 + coupl(nGC_2)*coupl(nGC_372)**2d0)/(32d0*&
                       pi**2d0)
    coupl(nGC_22037) = (coupl(nGC_1)*coupl(nGC_370)**2d0 + coupl(nGC_1)*coupl( &
                       nGC_373)**2d0 + coupl(nGC_1185)*coupl(nGC_2)*coupl(     &
                       nGC_371) + coupl(nGC_1467)*coupl(nGC_2)*coupl(nGC_374   &
                       ) + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(     &
                       nGC_207)**2d0 + coupl(nGC_2)*coupl(nGC_369)**2d0 + coupl&
                       (nGC_2)*coupl(nGC_372)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22034) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_1449)*  &
                       coupl(nGC_365) + 4d0*coupl(nGC_1)*coupl(nGC_209)**2d0 + &
                       coupl(nGC_1)*coupl(nGC_363)**2d0 + coupl(nGC_1)*coupl(  &
                       nGC_366)**2d0 + coupl(nGC_1)*coupl(nGC_368)*coupl(      &
                       nGC_4113) + 2d0*coupl(nGC_1055)*coupl(nGC_197)**2d0 +   &
                       4d0*coupl(nGC_197)**2d0*coupl(nGC_2) + coupl(nGC_2)*    &
                       coupl(nGC_334)**2d0 + coupl(nGC_2)*coupl(nGC_337)**2d0  &
                       )/(32d0*pi**2d0)
    coupl(nGC_22035) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_1449)*  &
                       coupl(nGC_365) + 4d0*coupl(nGC_1)*coupl(nGC_206)**2d0 + &
                       coupl(nGC_1)*coupl(nGC_363)**2d0 + coupl(nGC_1)*coupl(  &
                       nGC_366)**2d0 + coupl(nGC_1)*coupl(nGC_368)*coupl(      &
                       nGC_4113) + coupl(nGC_2)*coupl(nGC_364)**2d0 + coupl(   &
                       nGC_2)*coupl(nGC_367)**2d0)/(32d0*pi**2d0)
    coupl(nGC_TS_GC_244_Hh) = -coupl(nGC_244)*dtHh_QED1/cMHH**2d0
    coupl(nGC_32302) = coupl(nGC_22849) + coupl(nGC_TS_GC_357_Hl) + coupl(     &
                       nGC_TS_GC_360_Hh)
    coupl(nGC_34541) = -coupl(nGC_34539) - coupl(nGC_34540)
    coupl(nGC_35019) = coupl(nGC_22642) + coupl(nGC_35014)
    coupl(nGC_36461) = coupl(nGC_380)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_36464) = coupl(nGC_380)*dZG0/2d0
    coupl(nGC_22108) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_2221) -    &
                       coupl(nGC_2221)**2d0*coupl(nGC_362) + 8d0*coupl(nGC_2221&
                       )*coupl(nGC_4)**2d0 - coupl(nGC_3367)**2d0*coupl(nGC_362&
                       ) - coupl(nGC_357)**2d0*coupl(nGC_362) - coupl(nGC_360  &
                       )**2d0*coupl(nGC_362))/(32d0*pi**2d0)
    coupl(nGC_22109) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_4113) - coupl(nGC_1449 &
                       )**2d0*coupl(nGC_368) + 8d0*coupl(nGC_206)*coupl(nGC_209&
                       )*coupl(nGC_4113) - coupl(nGC_334)*coupl(nGC_338)*coupl(&
                       nGC_364) - coupl(nGC_337)*coupl(nGC_338)*coupl(nGC_367  &
                       ) - coupl(nGC_363)**2d0*coupl(nGC_368) - coupl(nGC_366  &
                       )**2d0*coupl(nGC_368) - coupl(nGC_368)*coupl(nGC_4113)**&
                       2d0)/(32d0*pi**2d0)
    coupl(nGC_22106) = (-coupl(nGC_1313)**2d0*coupl(nGC_356) + 8d0*coupl(      &
                       nGC_1313)*coupl(nGC_208)*coupl(nGC_211) + 8d0*coupl(    &
                       nGC_1313)*coupl(nGC_4)**2d0 - coupl(nGC_351)**2d0*coupl(&
                       nGC_356) - coupl(nGC_354)**2d0*coupl(nGC_356) - coupl(  &
                       nGC_356)*coupl(nGC_917)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22107) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_362) -     &
                       coupl(nGC_2221)*coupl(nGC_357)**2d0 - coupl(nGC_2221)*  &
                       coupl(nGC_359)**2d0 - coupl(nGC_2221)*coupl(nGC_360)**  &
                       2d0 - coupl(nGC_2221)*coupl(nGC_362)**2d0 + 8d0*coupl(  &
                       nGC_362)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22105) = (-coupl(nGC_1313)*coupl(nGC_351)**2d0 - coupl(nGC_1313)*&
                       coupl(nGC_353)**2d0 - coupl(nGC_1313)*coupl(nGC_354)**  &
                       2d0 - coupl(nGC_1313)*coupl(nGC_356)**2d0 + 8d0*coupl(  &
                       nGC_208)*coupl(nGC_211)*coupl(nGC_356) + 8d0*coupl(     &
                       nGC_356)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22102) = coupl(nGC_1033)*coupl(nGC_13)**2d0*sq2**2d0*(Nc**2d0 -  &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22103) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_350) - coupl(nGC_1033)*&
                       coupl(nGC_345)**2d0 - coupl(nGC_1033)*coupl(nGC_347)**  &
                       2d0 - coupl(nGC_1033)*coupl(nGC_348)**2d0 - coupl(      &
                       nGC_1033)*coupl(nGC_350)**2d0 + 8d0*coupl(nGC_206)*coupl&
                       (nGC_209)*coupl(nGC_350) - coupl(nGC_2147)*coupl(nGC_346&
                       )*coupl(nGC_382) - coupl(nGC_2147)*coupl(nGC_349)*coupl(&
                       nGC_385))/(32d0*pi**2d0)
    coupl(nGC_22101) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_1033) - coupl(nGC_1033 &
                       )**2d0*coupl(nGC_350) + 8d0*coupl(nGC_1033)*coupl(      &
                       nGC_206)*coupl(nGC_209) - coupl(nGC_2573)**2d0*coupl(   &
                       nGC_350) - coupl(nGC_345)**2d0*coupl(nGC_350) - coupl(  &
                       nGC_346)*coupl(nGC_382)*coupl(nGC_386) - coupl(nGC_348  &
                       )**2d0*coupl(nGC_350) - coupl(nGC_349)*coupl(nGC_385)*  &
                       coupl(nGC_386))/(32d0*pi**2d0)
    coupl(nGC_57774) = -coupl(nGC_22007)
    coupl(nGC_39632) = coupl(nGC_22658) + coupl(nGC_351)*dZHl_QED2/2d0 + coupl(&
                       nGC_354)*dZHhHl_QED2/2d0
    coupl(nGC_39633) = coupl(nGC_39631) + coupl(nGC_39632)
    coupl(nGC_48714) = -coupl(nGC_44702)
    coupl(nGC_38327) = coupl(nGC_I)*dZG0
    coupl(nGC_32947) = coupl(nGC_22629) + coupl(nGC_345)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_348)*dZHh_QED2/2d0
    coupl(nGC_32946) = coupl(nGC_22628) + coupl(nGC_32945)
    coupl(nGC_48822) = coupl(nGC_22512) + 2d0*coupl(nGC_58)*dZG0Ha_QED2 + 2d0* &
                       coupl(nGC_66)*dZHa_QED2
    coupl(nGC_39983) = coupl(nGC_22853) + coupl(nGC_TS_GC_333_Hl) + coupl(     &
                       nGC_TS_GC_336_Hh)
    coupl(nGC_35084) = coupl(nGC_22648) + coupl(nGC_376)*dZHMinusGMinus_QED2/  &
                       2d0 + coupl(nGC_379)*dZnu_tauL_QED2/2d0 + coupl(nGC_379 &
                       )*dZtauMinusR_QED2/2d0
    coupl(nGC_49287) = 2d0*coupl(nGC_17)*dZHlHh_QED2 + 2d0*coupl(nGC_19)*      &
                       dZHh_QED2 + coupl(nGC_22511)
    coupl(nGC_39851) = coupl(nGC_249)*dZGMinus
    coupl(nGC_39853) = coupl(nGC_22563) + coupl(nGC_241)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_244)*dZHMinusGMinus_QED2 + coupl(nGC_249)*    &
                       dZHh_QED2/2d0 + coupl(nGC_TS_GC_33_Hl) + coupl(         &
                       nGC_TS_GC_42_Hh)
    coupl(nGC_35886) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*      &
                       dZmuMinusL_QED2/2d0 + coupl(nGC_197)*dZnu_muL_QED2/2d0  &
                        + coupl(nGC_22730)
    coupl(nGC_34134) = coupl(nGC_22723) + coupl(nGC_329)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_332)*dZHh_QED2/2d0 + coupl(nGC_332)*dZZ_QED2  &
                        + coupl(nGC_TS_GC_224_Hh)
    coupl(nGC_34683) = coupl(nGC_22539) + coupl(nGC_32)*dZHMinus_QED2 + coupl( &
                       nGC_32)*dZHh_QED2/2d0 + coupl(nGC_32)*dZHl_QED2/2d0 +   &
                       coupl(nGC_40)*dZHlHh_QED2/2d0 + coupl(nGC_44)*          &
                       dZHhHl_QED2/2d0 + coupl(nGC_46)*dZGMinusHMinus_QED2
    coupl(nGC_32784) = coupl(nGC_32780) + coupl(nGC_32783)
    coupl(nGC_32787) = coupl(nGC_22703) + coupl(nGC_77)*dZHl_QED2 + coupl(     &
                       nGC_77)*dZWMinus_QED2
    coupl(nGC_32541) = coupl(nGC_100)*dZHMinus_QED2 + coupl(nGC_100)*          &
                       dZWMinus_QED2 + coupl(nGC_22700)
    coupl(nGC_32547) = coupl(nGC_22655) + coupl(nGC_351)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_354)*dZHh_QED2/2d0
    coupl(nGC_32548) = coupl(nGC_32543) + coupl(nGC_32547)
    coupl(nGC_33016) = coupl(nGC_33013) + coupl(nGC_33014)
    coupl(nGC_37256) = coupl(nGC_200)*dZZ_QED2/2d0 + coupl(nGC_22594) + coupl( &
                       nGC_6)*dZAZ_QED2/2d0
    coupl(nGC_57407) = -coupl(nGC_22046)
    coupl(nGC_32169) = coupl(nGC_22579) + coupl(nGC_244)*dZHMinus_QED2/2d0 +   &
                       coupl(nGC_244)*dZHh_QED2/2d0 + coupl(nGC_249)*          &
                       dZGMinusHMinus_QED2/2d0 + coupl(nGC_251)*               &
                       dZHMinusGMinus_QED2/2d0 + coupl(nGC_252)*dZHlHh_QED2/2d0&
                        + coupl(nGC_TS_GC_37_Hh) + coupl(nGC_TS_GC_46_Hl)
    coupl(nGC_32165) = coupl(nGC_244)*dZGMinus/2d0
    coupl(nGC_32160) = coupl(nGC_22553) + coupl(nGC_76)*dZHl_QED2
    coupl(nGC_22249) = (3d0*Nc*coupl(nGC_197)**2d0*coupl(nGC_209) - 3d0*Nc*    &
                       coupl(nGC_197)**2d0*coupl(nGC_210) - coupl(nGC_1055)*   &
                       coupl(nGC_199)*coupl(nGC_4) + 3d0*coupl(nGC_197)**2d0*  &
                       coupl(nGC_211) - 3d0*coupl(nGC_197)**2d0*coupl(nGC_212  &
                       ) - coupl(nGC_198)*coupl(nGC_199)*coupl(nGC_3419))/(24d0&
                       *pi**2d0)
    coupl(nGC_22241) = (-coupl(nGC_1185)**2d0*coupl(nGC_369) - coupl(nGC_1467  &
                       )**2d0*coupl(nGC_369) + 8d0*coupl(nGC_2)**2d0*coupl(    &
                       nGC_369) + 8d0*coupl(nGC_207)*coupl(nGC_210)*coupl(     &
                       nGC_369) - coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_373  &
                       ) - coupl(nGC_342)*coupl(nGC_343)*coupl(nGC_370) - coupl&
                       (nGC_369)**3d0 - coupl(nGC_369)*coupl(nGC_372)**2d0)/(  &
                       32d0*pi**2d0)
    coupl(nGC_22242) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_369) + 8d0*coupl(      &
                       nGC_207)*coupl(nGC_210)*coupl(nGC_369) - coupl(nGC_340)*&
                       coupl(nGC_342)*coupl(nGC_373) - coupl(nGC_342)*coupl(   &
                       nGC_343)*coupl(nGC_370) - coupl(nGC_369)**3d0 - coupl(  &
                       nGC_369)*coupl(nGC_371)**2d0 - coupl(nGC_369)*coupl(    &
                       nGC_372)**2d0 - coupl(nGC_369)*coupl(nGC_374)**2d0)/(   &
                       32d0*pi**2d0)
    coupl(nGC_22245) = coupl(nGC_375)*(-coupl(nGC_1233)**2d0 + 8d0*coupl(      &
                       nGC_208)*coupl(nGC_211) - coupl(nGC_375)**2d0 - coupl(  &
                       nGC_3763)**2d0 - coupl(nGC_378)**2d0 + 8d0*coupl(nGC_4  &
                       )**2d0)/(32d0*pi**2d0)
    coupl(nGC_22244) = coupl(nGC_375)*(8d0*coupl(nGC_208)*coupl(nGC_211) -     &
                       coupl(nGC_375)**2d0 - coupl(nGC_377)**2d0 - coupl(      &
                       nGC_378)**2d0 - coupl(nGC_380)**2d0 + 8d0*coupl(nGC_4)**&
                       2d0)/(32d0*pi**2d0)
    coupl(nGC_22247) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_381) + 8d0*coupl(      &
                       nGC_207)*coupl(nGC_210)*coupl(nGC_381) - coupl(nGC_345)*&
                       coupl(nGC_346)*coupl(nGC_382) - coupl(nGC_345)*coupl(   &
                       nGC_349)*coupl(nGC_385) - coupl(nGC_381)**3d0 - coupl(  &
                       nGC_381)*coupl(nGC_383)**2d0 - coupl(nGC_381)*coupl(    &
                       nGC_384)**2d0 - coupl(nGC_381)*coupl(nGC_386)**2d0)/(   &
                       32d0*pi**2d0)
    coupl(nGC_22246) = (-coupl(nGC_1649)**2d0*coupl(nGC_381) + 8d0*coupl(nGC_2 &
                       )**2d0*coupl(nGC_381) + 8d0*coupl(nGC_207)*coupl(nGC_210&
                       )*coupl(nGC_381) - coupl(nGC_2147)**2d0*coupl(nGC_381   &
                       ) - coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_382) - coupl&
                       (nGC_345)*coupl(nGC_349)*coupl(nGC_385) - coupl(nGC_381 &
                       )**3d0 - coupl(nGC_381)*coupl(nGC_384)**2d0)/(32d0*pi** &
                       2d0)
    coupl(nGC_TS_GC_254_Hh) = -coupl(nGC_254)*dtHh_QED1/cMHH**2d0
    coupl(nGC_22029) = coupl(nGC_4)*(4d0*coupl(nGC_208)**2d0 + coupl(nGC_2221)*&
                       coupl(nGC_362) + coupl(nGC_3367)*coupl(nGC_359) + coupl(&
                       nGC_357)**2d0 + coupl(nGC_360)**2d0 + 4d0*coupl(nGC_4)**&
                       2d0)/(32d0*pi**2d0)
    coupl(nGC_22028) = (coupl(nGC_1313)*coupl(nGC_356)*coupl(nGC_4) - 2d0*coupl&
                       (nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_211)**2d0*  &
                       coupl(nGC_4) + coupl(nGC_351)**2d0*coupl(nGC_4) + coupl(&
                       nGC_353)*coupl(nGC_4)*coupl(nGC_917) + coupl(nGC_354)** &
                       2d0*coupl(nGC_4) + 4d0*coupl(nGC_4)**3d0)/(32d0*pi**2d0)
    coupl(nGC_22025) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_1033)*  &
                       coupl(nGC_350) + 4d0*coupl(nGC_1)*coupl(nGC_209)**2d0 + &
                       coupl(nGC_1)*coupl(nGC_2573)*coupl(nGC_347) + coupl(    &
                       nGC_1)*coupl(nGC_345)**2d0 + coupl(nGC_1)*coupl(nGC_348 &
                       )**2d0 + 2d0*coupl(nGC_1055)*coupl(nGC_197)**2d0 + 4d0* &
                       coupl(nGC_197)**2d0*coupl(nGC_2) + coupl(nGC_2)*coupl(  &
                       nGC_382)**2d0 + coupl(nGC_2)*coupl(nGC_385)**2d0)/(32d0*&
                       pi**2d0)
    coupl(nGC_22027) = coupl(nGC_4)*(coupl(nGC_1313)*coupl(nGC_356) + 4d0*coupl&
                       (nGC_208)**2d0 + coupl(nGC_351)**2d0 + coupl(nGC_353)*  &
                       coupl(nGC_917) + coupl(nGC_354)**2d0 + 4d0*coupl(nGC_4  &
                       )**2d0)/(32d0*pi**2d0)
    coupl(nGC_22026) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_1033)*  &
                       coupl(nGC_350) + 4d0*coupl(nGC_1)*coupl(nGC_206)**2d0 + &
                       coupl(nGC_1)*coupl(nGC_2573)*coupl(nGC_347) + coupl(    &
                       nGC_1)*coupl(nGC_345)**2d0 + coupl(nGC_1)*coupl(nGC_348 &
                       )**2d0 + coupl(nGC_2)*coupl(nGC_346)**2d0 + coupl(nGC_2 &
                       )*coupl(nGC_349)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22021) = coupl(nGC_1)*coupl(nGC_13)**2d0*sq2**2d0*(Nc**2d0 - 1d0 &
                       )/(32d0*pi**2d0*Nc)
    coupl(nGC_22020) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_1415)*  &
                       coupl(nGC_344) + coupl(nGC_1)*coupl(nGC_1711)*coupl(    &
                       nGC_341) + 4d0*coupl(nGC_1)*coupl(nGC_206)**2d0 + coupl(&
                       nGC_1)*coupl(nGC_339)**2d0 + coupl(nGC_1)*coupl(nGC_342 &
                       )**2d0 + coupl(nGC_2)*coupl(nGC_340)**2d0 + coupl(nGC_2 &
                       )*coupl(nGC_343)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22023) = (coupl(nGC_1)*coupl(nGC_334)**2d0 + coupl(nGC_1)*coupl( &
                       nGC_337)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2 &
                       )*coupl(nGC_207)**2d0 + coupl(nGC_2)*coupl(nGC_333)**2d0&
                        + coupl(nGC_2)*coupl(nGC_335)*coupl(nGC_849) + coupl(  &
                       nGC_2)*coupl(nGC_336)**2d0 + coupl(nGC_2)*coupl(nGC_338 &
                       )*coupl(nGC_791))/(32d0*pi**2d0)
    coupl(nGC_22022) = (4d0*coupl(nGC_1)*coupl(nGC_197)**2d0 + coupl(nGC_1)*   &
                       coupl(nGC_364)**2d0 + coupl(nGC_1)*coupl(nGC_367)**2d0  &
                        + 2d0*coupl(nGC_197)**2d0*coupl(nGC_3) + 4d0*coupl(    &
                       nGC_2)**3d0 + 4d0*coupl(nGC_2)*coupl(nGC_210)**2d0 +    &
                       coupl(nGC_2)*coupl(nGC_333)**2d0 + coupl(nGC_2)*coupl(  &
                       nGC_335)*coupl(nGC_849) + coupl(nGC_2)*coupl(nGC_336)** &
                       2d0 + coupl(nGC_2)*coupl(nGC_338)*coupl(nGC_791))/(32d0*&
                       pi**2d0)
    coupl(nGC_TS_GC_253_Hl) = -coupl(nGC_253)*dtHl_QED1/cMHL**2d0
    coupl(nGC_22186) = coupl(nGC_13)**2d0*coupl(nGC_1649)*sq2**2d0*(Nc**2d0 -  &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22184) = (-coupl(nGC_1233)**2d0*coupl(nGC_377) + 8d0*coupl(      &
                       nGC_1233)*coupl(nGC_208)*coupl(nGC_211) + 8d0*coupl(    &
                       nGC_1233)*coupl(nGC_4)**2d0 - coupl(nGC_375)**2d0*coupl(&
                       nGC_377) - coupl(nGC_3763)**2d0*coupl(nGC_377) - coupl( &
                       nGC_377)*coupl(nGC_378)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22185) = (-coupl(nGC_1649)**2d0*coupl(nGC_383) + 8d0*coupl(      &
                       nGC_1649)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_1649)*coupl(&
                       nGC_207)*coupl(nGC_210) - coupl(nGC_2147)**2d0*coupl(   &
                       nGC_383) - coupl(nGC_346)*coupl(nGC_347)*coupl(nGC_382  &
                       ) - coupl(nGC_347)*coupl(nGC_349)*coupl(nGC_385) - coupl&
                       (nGC_381)**2d0*coupl(nGC_383) - coupl(nGC_383)*coupl(   &
                       nGC_384)**2d0)/(32d0*pi**2d0)
    coupl(nGC_36676) = 2d0*coupl(nGC_189)*dZWMinus_QED2 + coupl(nGC_22709)
    coupl(nGC_22111) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_368) + 8d0*coupl(      &
                       nGC_206)*coupl(nGC_209)*coupl(nGC_368) - coupl(nGC_334)*&
                       coupl(nGC_364)*coupl(nGC_791) - coupl(nGC_337)*coupl(   &
                       nGC_367)*coupl(nGC_791) - coupl(nGC_363)**2d0*coupl(    &
                       nGC_4113) - coupl(nGC_365)**2d0*coupl(nGC_4113) - coupl(&
                       nGC_366)**2d0*coupl(nGC_4113) - coupl(nGC_368)**2d0*    &
                       coupl(nGC_4113))/(32d0*pi**2d0)
    coupl(nGC_22110) = coupl(nGC_13)**2d0*coupl(nGC_4113)*sq2**2d0*(Nc**2d0 -  &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22113) = (-coupl(nGC_1185)**2d0*coupl(nGC_374) - coupl(nGC_1467  &
                       )**2d0*coupl(nGC_374) + 8d0*coupl(nGC_1467)*coupl(nGC_2 &
                       )**2d0 + 8d0*coupl(nGC_1467)*coupl(nGC_207)*coupl(      &
                       nGC_210) - coupl(nGC_340)*coupl(nGC_341)*coupl(nGC_373  &
                       ) - coupl(nGC_341)*coupl(nGC_343)*coupl(nGC_370) - coupl&
                       (nGC_369)**2d0*coupl(nGC_374) - coupl(nGC_372)**2d0*    &
                       coupl(nGC_374))/(32d0*pi**2d0)
    coupl(nGC_22115) = (-coupl(nGC_1467)*coupl(nGC_369)**2d0 - coupl(nGC_1467)*&
                       coupl(nGC_371)**2d0 - coupl(nGC_1467)*coupl(nGC_372)**  &
                       2d0 - coupl(nGC_1467)*coupl(nGC_374)**2d0 - coupl(      &
                       nGC_1711)*coupl(nGC_340)*coupl(nGC_373) - coupl(nGC_1711&
                       )*coupl(nGC_343)*coupl(nGC_370) + 8d0*coupl(nGC_2)**2d0*&
                       coupl(nGC_374) + 8d0*coupl(nGC_207)*coupl(nGC_210)*coupl&
                       (nGC_374))/(32d0*pi**2d0)
    coupl(nGC_22114) = coupl(nGC_13)**2d0*coupl(nGC_1467)*sq2**2d0*(Nc**2d0 -  &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22117) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_380) -     &
                       coupl(nGC_375)**2d0*coupl(nGC_3763) - coupl(nGC_3763)*  &
                       coupl(nGC_377)**2d0 - coupl(nGC_3763)*coupl(nGC_378)**  &
                       2d0 - coupl(nGC_3763)*coupl(nGC_380)**2d0 + 8d0*coupl(  &
                       nGC_380)*coupl(nGC_4)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22119) = (-coupl(nGC_1649)**2d0*coupl(nGC_386) + 8d0*coupl(nGC_2 &
                       )**2d0*coupl(nGC_2147) + 8d0*coupl(nGC_207)*coupl(      &
                       nGC_210)*coupl(nGC_2147) - coupl(nGC_2147)**2d0*coupl(  &
                       nGC_386) - coupl(nGC_346)*coupl(nGC_350)*coupl(nGC_382  &
                       ) - coupl(nGC_349)*coupl(nGC_350)*coupl(nGC_385) - coupl&
                       (nGC_381)**2d0*coupl(nGC_386) - coupl(nGC_384)**2d0*    &
                       coupl(nGC_386))/(32d0*pi**2d0)
    coupl(nGC_22118) = (-coupl(nGC_1233)**2d0*coupl(nGC_380) + 8d0*coupl(      &
                       nGC_208)*coupl(nGC_211)*coupl(nGC_3763) - coupl(nGC_375 &
                       )**2d0*coupl(nGC_380) - coupl(nGC_3763)**2d0*coupl(     &
                       nGC_380) + 8d0*coupl(nGC_3763)*coupl(nGC_4)**2d0 - coupl&
                       (nGC_378)**2d0*coupl(nGC_380))/(32d0*pi**2d0)
    coupl(nGC_58184) = -coupl(nGC_22044)
    coupl(nGC_36214) = coupl(nGC_199)*dZZA_QED2/2d0 + coupl(nGC_22697) + coupl(&
                       nGC_3)*dZA_QED2/2d0 + coupl(nGC_3)*dZWMinus_QED2
    coupl(nGC_34232) = coupl(nGC_22687) + coupl(nGC_371)*dZHa_QED2/2d0 + coupl(&
                       nGC_374)*dZG0Ha_QED2/2d0
    coupl(nGC_34231) = coupl(nGC_22686) + coupl(nGC_34229)
    coupl(nGC_34230) = -coupl(nGC_22686) - coupl(nGC_34229)
    coupl(nGC_34124) = coupl(nGC_22850) + coupl(nGC_TS_GC_375_Hl) + coupl(     &
                       nGC_TS_GC_378_Hh)
    coupl(nGC_33311) = dZGMinusHMinus_QED2*(coupl(nGC_257) + coupl(nGC_258))/2d0
    coupl(nGC_49676) = -coupl(nGC_45232)
    coupl(nGC_34349) = coupl(nGC_22703) + coupl(nGC_77)*dZHh_QED2 + coupl(     &
                       nGC_77)*dZWMinus_QED2
    coupl(nGC_34901) = coupl(nGC_336)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_34900) = coupl(nGC_336)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_34903) = coupl(nGC_22673) + coupl(nGC_333)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_336)*dZHh_QED2/2d0
    coupl(nGC_34902) = coupl(nGC_22672) + coupl(nGC_34901)
    coupl(nGC_32572) = coupl(nGC_187)*dZHMinus_QED2/2d0 + coupl(nGC_187)*      &
                       dZHa_QED2/2d0 + coupl(nGC_22554)
    coupl(nGC_34904) = coupl(nGC_34900) + coupl(nGC_34903)
    coupl(nGC_33001) = coupl(nGC_186)*dZAZ_QED2/2d0 + coupl(nGC_22501) + coupl(&
                       nGC_30)*dZWMinus_QED2/2d0 + coupl(nGC_30)*dZZ_QED2/2d0
    coupl(nGC_37480) = dZHMinusGMinus_QED2*(coupl(nGC_247) + coupl(nGC_248))/2d0
    coupl(nGC_32684) = coupl(nGC_100)*(dZGMinusHMinus_QED2 +                   &
                       dZHMinusGMinus_QED2)/2d0
    coupl(nGC_58143) = -coupl(nGC_22052)
    coupl(nGC_22238) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_363) - coupl(nGC_1449  &
                       )**2d0*coupl(nGC_363) + 8d0*coupl(nGC_206)*coupl(nGC_209&
                       )*coupl(nGC_363) - coupl(nGC_333)*coupl(nGC_334)*coupl( &
                       nGC_364) - coupl(nGC_333)*coupl(nGC_337)*coupl(nGC_367  &
                       ) - coupl(nGC_363)**3d0 - coupl(nGC_363)*coupl(nGC_366  &
                       )**2d0 - coupl(nGC_363)*coupl(nGC_4113)**2d0)/(32d0*pi**&
                       2d0)
    coupl(nGC_32755) = coupl(nGC_22553) + coupl(nGC_76)*dZHh_QED2
    coupl(nGC_32752) = coupl(nGC_224)*dZHl_QED2 + coupl(nGC_224)*dZZ_QED2 +    &
                       coupl(nGC_22722)
    coupl(nGC_22233) = coupl(nGC_351)*(-coupl(nGC_1313)**2d0 + 8d0*coupl(      &
                       nGC_208)*coupl(nGC_211) - coupl(nGC_351)**2d0 - coupl(  &
                       nGC_354)**2d0 + 8d0*coupl(nGC_4)**2d0 - coupl(nGC_917)**&
                       2d0)/(32d0*pi**2d0)
    coupl(nGC_41523) = coupl(nGC_22676) + coupl(nGC_41516)
    coupl(nGC_41521) = coupl(nGC_22677) + coupl(nGC_381)*dZHl_QED2/2d0 + coupl(&
                       nGC_384)*dZHhHl_QED2/2d0
    coupl(nGC_33564) = coupl(nGC_196)*dZWMinus_QED2 + coupl(nGC_22702)
    coupl(nGC_22051) = coupl(nGC_197)*(Nc*coupl(nGC_1185)*coupl(nGC_373) + Nc* &
                       coupl(nGC_1649)*coupl(nGC_385) + Nc*coupl(nGC_337)*coupl&
                       (nGC_849) - Nc*coupl(nGC_340)*coupl(nGC_344) - Nc*coupl(&
                       nGC_347)*coupl(nGC_349) - Nc*coupl(nGC_365)*coupl(      &
                       nGC_367) - coupl(nGC_353)*coupl(nGC_355) - coupl(nGC_359&
                       )*coupl(nGC_361) - coupl(nGC_377)*coupl(nGC_379))/(24d0*&
                       pi**2d0)
    coupl(nGC_36048) = coupl(nGC_MHA)*dZHaG0_QED2/2d0 + coupl(nGC_TS_GC_245_Hh &
                       ) + coupl(nGC_TS_GC_253_Hl)
    coupl(nGC_22583) = coupl(nGC_21746)*dl4_QED4 + coupl(nGC_21747)*dl5_QED4 + &
                       coupl(nGC_21748)*db_QED2 + coupl(nGC_21749)*dvev1_QED1  &
                        + coupl(nGC_21750)*dvev2_QED1
    coupl(nGC_33762) = coupl(nGC_22656) + coupl(nGC_357)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_360)*dZHh_QED2/2d0
    coupl(nGC_22581) = coupl(nGC_20800)*dvev2_QED1 + coupl(nGC_20801)*dcw_QED2 &
                        + coupl(nGC_20802)*db_QED2 + coupl(nGC_20803)*         &
                       dvev1_QED1 + coupl(nGC_20804)*dZee_QED2
    coupl(nGC_22584) = coupl(nGC_20867)*dsw_QED2 + coupl(nGC_20868)*dvev2_QED1 &
                        + coupl(nGC_20869)*dvev1_QED1 + coupl(nGC_20870)*      &
                       dZee_QED2 + coupl(nGC_20871)*da_QED2
    coupl(nGC_22588) = coupl(nGC_21027)*dZee_QED2
    coupl(nGC_33897) = coupl(nGC_196)*dZZ_QED2 + coupl(nGC_204)*dZAZ_QED2 +    &
                       coupl(nGC_22702)
    coupl(nGC_22340) = cima*coupl(nGC_197)*(-4d0*Nc*coupl(nGC_1)*coupl(nGC_1467&
                       )*coupl(nGC_370) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_2147)* &
                       coupl(nGC_382) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_334)*    &
                       coupl(nGC_791) + Nc*coupl(nGC_1)*coupl(nGC_341)*coupl(  &
                       nGC_343) + Nc*coupl(nGC_1)*coupl(nGC_346)*coupl(nGC_350 &
                       ) + Nc*coupl(nGC_1)*coupl(nGC_364)*coupl(nGC_368) + Nc* &
                       coupl(nGC_1467)*coupl(nGC_2)*coupl(nGC_370) + Nc*coupl( &
                       nGC_2)*coupl(nGC_2147)*coupl(nGC_382) + Nc*coupl(nGC_2)*&
                       coupl(nGC_334)*coupl(nGC_791) - 4d0*Nc*coupl(nGC_2)*    &
                       coupl(nGC_341)*coupl(nGC_343) - 4d0*Nc*coupl(nGC_2)*    &
                       coupl(nGC_346)*coupl(nGC_350) - 4d0*Nc*coupl(nGC_2)*    &
                       coupl(nGC_364)*coupl(nGC_368) + coupl(nGC_352)*coupl(   &
                       nGC_356)*coupl(nGC_4) + coupl(nGC_358)*coupl(nGC_362)*  &
                       coupl(nGC_4) + coupl(nGC_376)*coupl(nGC_380)*coupl(nGC_4&
                       ))/(48d0*pi**2d0)
    coupl(nGC_22341) = cima*coupl(nGC_197)*(Nc*coupl(nGC_1)*coupl(nGC_1033)*   &
                       coupl(nGC_346) + Nc*coupl(nGC_1)*coupl(nGC_1711)*coupl( &
                       nGC_343) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_334)*coupl(    &
                       nGC_338) + Nc*coupl(nGC_1)*coupl(nGC_364)*coupl(nGC_4113&
                       ) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_370)*coupl(nGC_374) - &
                       4d0*Nc*coupl(nGC_1)*coupl(nGC_382)*coupl(nGC_386) - 4d0*&
                       Nc*coupl(nGC_1033)*coupl(nGC_2)*coupl(nGC_346) - 4d0*Nc*&
                       coupl(nGC_1711)*coupl(nGC_2)*coupl(nGC_343) + Nc*coupl( &
                       nGC_2)*coupl(nGC_334)*coupl(nGC_338) - 4d0*Nc*coupl(    &
                       nGC_2)*coupl(nGC_364)*coupl(nGC_4113) + Nc*coupl(nGC_2)*&
                       coupl(nGC_370)*coupl(nGC_374) + Nc*coupl(nGC_2)*coupl(  &
                       nGC_382)*coupl(nGC_386) + coupl(nGC_1313)*coupl(nGC_352 &
                       )*coupl(nGC_4) + coupl(nGC_2221)*coupl(nGC_358)*coupl(  &
                       nGC_4) + coupl(nGC_376)*coupl(nGC_3763)*coupl(nGC_4))/( &
                       48d0*pi**2d0)
    coupl(nGC_22342) = (-Nc*cima*coupl(nGC_1)*coupl(nGC_1033)*coupl(nGC_206)*  &
                       coupl(nGC_350) - Nc*cima*coupl(nGC_1)*coupl(nGC_1033)*  &
                       coupl(nGC_209)*coupl(nGC_350) - Nc*cima*coupl(nGC_1)*   &
                       coupl(nGC_1711)*coupl(nGC_206)*coupl(nGC_341) - Nc*cima*&
                       coupl(nGC_1)*coupl(nGC_1711)*coupl(nGC_209)*coupl(      &
                       nGC_341) - Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(   &
                       nGC_368)*coupl(nGC_4113) - Nc*cima*coupl(nGC_1)*coupl(  &
                       nGC_209)*coupl(nGC_368)*coupl(nGC_4113) - Nc*cima*coupl(&
                       nGC_1467)*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_374) -  &
                       Nc*cima*coupl(nGC_1467)*coupl(nGC_2)*coupl(nGC_210)*    &
                       coupl(nGC_374) - Nc*cima*coupl(nGC_2)*coupl(nGC_207)*   &
                       coupl(nGC_2147)*coupl(nGC_386) - Nc*cima*coupl(nGC_2)*  &
                       coupl(nGC_207)*coupl(nGC_338)*coupl(nGC_791) - Nc*cima* &
                       coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_2147)*coupl(      &
                       nGC_386) - Nc*cima*coupl(nGC_2)*coupl(nGC_210)*coupl(   &
                       nGC_338)*coupl(nGC_791) + cima*coupl(nGC_100)*coupl(    &
                       nGC_205) - cima*coupl(nGC_1313)*coupl(nGC_208)*coupl(   &
                       nGC_356)*coupl(nGC_4) - cima*coupl(nGC_1313)*coupl(     &
                       nGC_211)*coupl(nGC_356)*coupl(nGC_4) - cima*coupl(      &
                       nGC_208)*coupl(nGC_2221)*coupl(nGC_362)*coupl(nGC_4) -  &
                       cima*coupl(nGC_208)*coupl(nGC_3763)*coupl(nGC_380)*coupl&
                       (nGC_4) - cima*coupl(nGC_211)*coupl(nGC_2221)*coupl(    &
                       nGC_362)*coupl(nGC_4) - cima*coupl(nGC_211)*coupl(      &
                       nGC_3763)*coupl(nGC_380)*coupl(nGC_4) + coupl(nGC_100)* &
                       coupl(nGC_1055)*coupl(nGC_3419) + coupl(nGC_100)*coupl( &
                       nGC_199)*coupl(nGC_3))/(8d0*pi**2d0)
    coupl(nGC_22343) = (-8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl(nGC_343 &
                       )**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206)*coupl( &
                       nGC_346)**2d0 - 8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_206)*&
                       coupl(nGC_364)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(   &
                       nGC_207)*coupl(nGC_334)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*&
                       coupl(nGC_207)*coupl(nGC_370)**2d0 + 5d0*Nc*cima*coupl( &
                       nGC_1)*coupl(nGC_207)*coupl(nGC_382)**2d0 - 8d0*Nc*cima*&
                       coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_334)**2d0 - 8d0*Nc&
                       *cima*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_370)**2d0 - &
                       8d0*Nc*cima*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_382)**&
                       2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_210)*coupl(    &
                       nGC_343)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(nGC_210)*&
                       coupl(nGC_346)**2d0 + 5d0*Nc*cima*coupl(nGC_1)*coupl(   &
                       nGC_210)*coupl(nGC_364)**2d0 + 5d0*Nc*cima*coupl(nGC_2)*&
                       coupl(nGC_206)*coupl(nGC_343)**2d0 + 5d0*Nc*cima*coupl( &
                       nGC_2)*coupl(nGC_206)*coupl(nGC_346)**2d0 + 5d0*Nc*cima*&
                       coupl(nGC_2)*coupl(nGC_206)*coupl(nGC_364)**2d0 - 8d0*Nc&
                       *cima*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_334)**2d0 - &
                       8d0*Nc*cima*coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_370)**&
                       2d0 - 8d0*Nc*cima*coupl(nGC_2)*coupl(nGC_207)*coupl(    &
                       nGC_382)**2d0 + 5d0*Nc*cima*coupl(nGC_2)*coupl(nGC_209)*&
                       coupl(nGC_334)**2d0 + 5d0*Nc*cima*coupl(nGC_2)*coupl(   &
                       nGC_209)*coupl(nGC_370)**2d0 + 5d0*Nc*cima*coupl(nGC_2)*&
                       coupl(nGC_209)*coupl(nGC_382)**2d0 - 8d0*Nc*cima*coupl( &
                       nGC_2)*coupl(nGC_210)*coupl(nGC_343)**2d0 - 8d0*Nc*cima*&
                       coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_346)**2d0 - 8d0*Nc&
                       *cima*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_364)**2d0 + &
                       6d0*cima*coupl(nGC_100)*coupl(nGC_205) - 8d0*cima*coupl(&
                       nGC_208)*coupl(nGC_352)**2d0*coupl(nGC_4) - 8d0*cima*   &
                       coupl(nGC_208)*coupl(nGC_358)**2d0*coupl(nGC_4) - 8d0*  &
                       cima*coupl(nGC_208)*coupl(nGC_376)**2d0*coupl(nGC_4) +  &
                       5d0*cima*coupl(nGC_212)*coupl(nGC_352)**2d0*coupl(nGC_4 &
                       ) + 5d0*cima*coupl(nGC_212)*coupl(nGC_358)**2d0*coupl(  &
                       nGC_4) + 5d0*cima*coupl(nGC_212)*coupl(nGC_376)**2d0*   &
                       coupl(nGC_4) + 6d0*coupl(nGC_100)*coupl(nGC_1055)*coupl(&
                       nGC_3419) + 6d0*coupl(nGC_100)*coupl(nGC_199)*coupl(    &
                       nGC_3))/(48d0*pi**2d0)
    coupl(nGC_22344) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_1185)*coupl(nGC_197&
                       )*coupl(nGC_370) - 4d0*Nc*cima*coupl(nGC_1)*coupl(      &
                       nGC_1649)*coupl(nGC_197)*coupl(nGC_382) - 4d0*Nc*cima*  &
                       coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_334)*coupl(nGC_849&
                       ) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_343)* &
                       coupl(nGC_344) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*   &
                       coupl(nGC_346)*coupl(nGC_347) + Nc*cima*coupl(nGC_1)*   &
                       coupl(nGC_197)*coupl(nGC_364)*coupl(nGC_365) + Nc*cima* &
                       coupl(nGC_1185)*coupl(nGC_197)*coupl(nGC_2)*coupl(      &
                       nGC_370) + Nc*cima*coupl(nGC_1649)*coupl(nGC_197)*coupl(&
                       nGC_2)*coupl(nGC_382) + Nc*cima*coupl(nGC_197)*coupl(   &
                       nGC_2)*coupl(nGC_334)*coupl(nGC_849) - 4d0*Nc*cima*coupl&
                       (nGC_197)*coupl(nGC_2)*coupl(nGC_343)*coupl(nGC_344) -  &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_346)* &
                       coupl(nGC_347) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2 &
                       )*coupl(nGC_364)*coupl(nGC_365) + 6d0*cima*coupl(nGC_186&
                       )*coupl(nGC_2053) + cima*coupl(nGC_197)*coupl(nGC_352)* &
                       coupl(nGC_353)*coupl(nGC_4) + cima*coupl(nGC_197)*coupl(&
                       nGC_358)*coupl(nGC_359)*coupl(nGC_4) + cima*coupl(      &
                       nGC_197)*coupl(nGC_376)*coupl(nGC_377)*coupl(nGC_4) +   &
                       6d0*cima*coupl(nGC_202)*coupl(nGC_30) + 6d0*coupl(      &
                       nGC_186)*coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(nGC_198)*&
                       coupl(nGC_3)*coupl(nGC_30))/(48d0*pi**2d0)
    coupl(nGC_22345) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_334 &
                       )*coupl(nGC_336) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)* &
                       coupl(nGC_339)*coupl(nGC_343) + Nc*cima*coupl(nGC_1)*   &
                       coupl(nGC_197)*coupl(nGC_346)*coupl(nGC_348) + Nc*cima* &
                       coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_364)*coupl(nGC_366&
                       ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                       nGC_370)*coupl(nGC_372) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                       (nGC_197)*coupl(nGC_382)*coupl(nGC_384) + Nc*cima*coupl(&
                       nGC_197)*coupl(nGC_2)*coupl(nGC_334)*coupl(nGC_336) -   &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_339)* &
                       coupl(nGC_343) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2 &
                       )*coupl(nGC_346)*coupl(nGC_348) - 4d0*Nc*cima*coupl(    &
                       nGC_197)*coupl(nGC_2)*coupl(nGC_364)*coupl(nGC_366) + Nc&
                       *cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_370)*coupl( &
                       nGC_372) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(   &
                       nGC_382)*coupl(nGC_384) + 6d0*cima*coupl(nGC_175)*coupl(&
                       nGC_2053) + cima*coupl(nGC_197)*coupl(nGC_352)*coupl(   &
                       nGC_354)*coupl(nGC_4) + cima*coupl(nGC_197)*coupl(      &
                       nGC_358)*coupl(nGC_360)*coupl(nGC_4) + cima*coupl(      &
                       nGC_197)*coupl(nGC_376)*coupl(nGC_378)*coupl(nGC_4) +   &
                       6d0*cima*coupl(nGC_202)*coupl(nGC_22) + 6d0*coupl(      &
                       nGC_175)*coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(nGC_198)*&
                       coupl(nGC_22)*coupl(nGC_3))/(48d0*pi**2d0)
    coupl(nGC_22346) = cima*(-Nc*coupl(nGC_1)*coupl(nGC_1033)*coupl(nGC_206)*  &
                       coupl(nGC_347) - Nc*coupl(nGC_1)*coupl(nGC_1033)*coupl( &
                       nGC_209)*coupl(nGC_347) - Nc*coupl(nGC_1)*coupl(nGC_1415&
                       )*coupl(nGC_206)*coupl(nGC_341) - Nc*coupl(nGC_1)*coupl(&
                       nGC_1415)*coupl(nGC_209)*coupl(nGC_341) - Nc*coupl(nGC_1&
                       )*coupl(nGC_1449)*coupl(nGC_206)*coupl(nGC_368) - Nc*   &
                       coupl(nGC_1)*coupl(nGC_1449)*coupl(nGC_209)*coupl(      &
                       nGC_368) - Nc*coupl(nGC_1)*coupl(nGC_1711)*coupl(nGC_206&
                       )*coupl(nGC_344) - Nc*coupl(nGC_1)*coupl(nGC_1711)*coupl&
                       (nGC_209)*coupl(nGC_344) - Nc*coupl(nGC_1)*coupl(nGC_206&
                       )*coupl(nGC_2573)*coupl(nGC_350) - Nc*coupl(nGC_1)*coupl&
                       (nGC_206)*coupl(nGC_365)*coupl(nGC_4113) - Nc*coupl(    &
                       nGC_1)*coupl(nGC_209)*coupl(nGC_2573)*coupl(nGC_350) -  &
                       Nc*coupl(nGC_1)*coupl(nGC_209)*coupl(nGC_365)*coupl(    &
                       nGC_4113) - Nc*coupl(nGC_1185)*coupl(nGC_2)*coupl(      &
                       nGC_207)*coupl(nGC_374) - Nc*coupl(nGC_1185)*coupl(nGC_2&
                       )*coupl(nGC_210)*coupl(nGC_374) - Nc*coupl(nGC_1467)*   &
                       coupl(nGC_2)*coupl(nGC_207)*coupl(nGC_371) - Nc*coupl(  &
                       nGC_1467)*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_371) -  &
                       Nc*coupl(nGC_1649)*coupl(nGC_2)*coupl(nGC_207)*coupl(   &
                       nGC_386) - Nc*coupl(nGC_1649)*coupl(nGC_2)*coupl(nGC_210&
                       )*coupl(nGC_386) - Nc*coupl(nGC_2)*coupl(nGC_207)*coupl(&
                       nGC_2147)*coupl(nGC_383) - Nc*coupl(nGC_2)*coupl(nGC_207&
                       )*coupl(nGC_335)*coupl(nGC_791) - Nc*coupl(nGC_2)*coupl(&
                       nGC_207)*coupl(nGC_338)*coupl(nGC_849) - Nc*coupl(nGC_2 &
                       )*coupl(nGC_210)*coupl(nGC_2147)*coupl(nGC_383) - Nc*   &
                       coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_335)*coupl(nGC_791&
                       ) - Nc*coupl(nGC_2)*coupl(nGC_210)*coupl(nGC_338)*coupl(&
                       nGC_849) - coupl(nGC_1233)*coupl(nGC_208)*coupl(nGC_380 &
                       )*coupl(nGC_4) - coupl(nGC_1233)*coupl(nGC_211)*coupl(  &
                       nGC_380)*coupl(nGC_4) - coupl(nGC_1313)*coupl(nGC_208)* &
                       coupl(nGC_353)*coupl(nGC_4) - coupl(nGC_1313)*coupl(    &
                       nGC_211)*coupl(nGC_353)*coupl(nGC_4) - coupl(nGC_208)*  &
                       coupl(nGC_2221)*coupl(nGC_359)*coupl(nGC_4) - coupl(    &
                       nGC_208)*coupl(nGC_3367)*coupl(nGC_362)*coupl(nGC_4) -  &
                       coupl(nGC_208)*coupl(nGC_356)*coupl(nGC_4)*coupl(nGC_917&
                       ) - coupl(nGC_208)*coupl(nGC_3763)*coupl(nGC_377)*coupl(&
                       nGC_4) - coupl(nGC_211)*coupl(nGC_2221)*coupl(nGC_359)* &
                       coupl(nGC_4) - coupl(nGC_211)*coupl(nGC_3367)*coupl(    &
                       nGC_362)*coupl(nGC_4) - coupl(nGC_211)*coupl(nGC_356)*  &
                       coupl(nGC_4)*coupl(nGC_917) - coupl(nGC_211)*coupl(     &
                       nGC_3763)*coupl(nGC_377)*coupl(nGC_4))/(16d0*pi**2d0)
    coupl(nGC_22347) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_333 &
                       )*coupl(nGC_334) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)* &
                       coupl(nGC_342)*coupl(nGC_343) + Nc*cima*coupl(nGC_1)*   &
                       coupl(nGC_197)*coupl(nGC_345)*coupl(nGC_346) + Nc*cima* &
                       coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_363)*coupl(nGC_364&
                       ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                       nGC_369)*coupl(nGC_370) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                       (nGC_197)*coupl(nGC_381)*coupl(nGC_382) + Nc*cima*coupl(&
                       nGC_197)*coupl(nGC_2)*coupl(nGC_333)*coupl(nGC_334) -   &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_342)* &
                       coupl(nGC_343) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2 &
                       )*coupl(nGC_345)*coupl(nGC_346) - 4d0*Nc*cima*coupl(    &
                       nGC_197)*coupl(nGC_2)*coupl(nGC_363)*coupl(nGC_364) + Nc&
                       *cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_369)*coupl( &
                       nGC_370) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(   &
                       nGC_381)*coupl(nGC_382) + 6d0*cima*coupl(nGC_180)*coupl(&
                       nGC_2053) + cima*coupl(nGC_197)*coupl(nGC_351)*coupl(   &
                       nGC_352)*coupl(nGC_4) + cima*coupl(nGC_197)*coupl(      &
                       nGC_357)*coupl(nGC_358)*coupl(nGC_4) + cima*coupl(      &
                       nGC_197)*coupl(nGC_375)*coupl(nGC_376)*coupl(nGC_4) +   &
                       6d0*cima*coupl(nGC_202)*coupl(nGC_23) + 6d0*coupl(      &
                       nGC_180)*coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(nGC_198)*&
                       coupl(nGC_23)*coupl(nGC_3))/(48d0*pi**2d0)
    coupl(nGC_22348) = (Nc*cima*coupl(nGC_1)*coupl(nGC_1415)*coupl(nGC_197)*   &
                       coupl(nGC_343) + Nc*cima*coupl(nGC_1)*coupl(nGC_1449)*  &
                       coupl(nGC_197)*coupl(nGC_364) + Nc*cima*coupl(nGC_1)*   &
                       coupl(nGC_197)*coupl(nGC_2573)*coupl(nGC_346) - 4d0*Nc* &
                       cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_334)*coupl(  &
                       nGC_335) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl&
                       (nGC_370)*coupl(nGC_371) - 4d0*Nc*cima*coupl(nGC_1)*    &
                       coupl(nGC_197)*coupl(nGC_382)*coupl(nGC_383) - 4d0*Nc*  &
                       cima*coupl(nGC_1415)*coupl(nGC_197)*coupl(nGC_2)*coupl( &
                       nGC_343) - 4d0*Nc*cima*coupl(nGC_1449)*coupl(nGC_197)*  &
                       coupl(nGC_2)*coupl(nGC_364) - 4d0*Nc*cima*coupl(nGC_197 &
                       )*coupl(nGC_2)*coupl(nGC_2573)*coupl(nGC_346) + Nc*cima*&
                       coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_334)*coupl(nGC_335&
                       ) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_370)* &
                       coupl(nGC_371) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*   &
                       coupl(nGC_382)*coupl(nGC_383) + cima*coupl(nGC_1233)*   &
                       coupl(nGC_197)*coupl(nGC_376)*coupl(nGC_4) + 6d0*cima*  &
                       coupl(nGC_187)*coupl(nGC_2053) + cima*coupl(nGC_197)*   &
                       coupl(nGC_3367)*coupl(nGC_358)*coupl(nGC_4) + cima*coupl&
                       (nGC_197)*coupl(nGC_352)*coupl(nGC_4)*coupl(nGC_917) +  &
                       6d0*cima*coupl(nGC_202)*coupl(nGC_31) + 6d0*coupl(      &
                       nGC_1055)*coupl(nGC_187)*coupl(nGC_3) + 6d0*coupl(      &
                       nGC_1055)*coupl(nGC_199)*coupl(nGC_31))/(48d0*pi**2d0)
    coupl(nGC_22349) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_334 &
                       )*coupl(nGC_336) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)* &
                       coupl(nGC_339)*coupl(nGC_343) + Nc*cima*coupl(nGC_1)*   &
                       coupl(nGC_197)*coupl(nGC_346)*coupl(nGC_348) + Nc*cima* &
                       coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_364)*coupl(nGC_366&
                       ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                       nGC_370)*coupl(nGC_372) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                       (nGC_197)*coupl(nGC_382)*coupl(nGC_384) + Nc*cima*coupl(&
                       nGC_197)*coupl(nGC_2)*coupl(nGC_334)*coupl(nGC_336) -   &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_339)* &
                       coupl(nGC_343) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2 &
                       )*coupl(nGC_346)*coupl(nGC_348) - 4d0*Nc*cima*coupl(    &
                       nGC_197)*coupl(nGC_2)*coupl(nGC_364)*coupl(nGC_366) + Nc&
                       *cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_370)*coupl( &
                       nGC_372) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(   &
                       nGC_382)*coupl(nGC_384) + 6d0*cima*coupl(nGC_175)*coupl(&
                       nGC_2053) + cima*coupl(nGC_197)*coupl(nGC_352)*coupl(   &
                       nGC_354)*coupl(nGC_4) + cima*coupl(nGC_197)*coupl(      &
                       nGC_358)*coupl(nGC_360)*coupl(nGC_4) + cima*coupl(      &
                       nGC_197)*coupl(nGC_376)*coupl(nGC_378)*coupl(nGC_4) +   &
                       6d0*cima*coupl(nGC_202)*coupl(nGC_22) + 6d0*coupl(      &
                       nGC_1055)*coupl(nGC_175)*coupl(nGC_3) + 6d0*coupl(      &
                       nGC_1055)*coupl(nGC_199)*coupl(nGC_22))/(48d0*pi**2d0)
    coupl(nGC_22560) = coupl(nGC_20699)*dvev2_QED1 + coupl(nGC_20700)*dcw_QED2 &
                        + coupl(nGC_20701)*db_QED2 + coupl(nGC_20702)*         &
                       dvev1_QED1 + coupl(nGC_20703)*dZee_QED2
    coupl(nGC_22567) = coupl(nGC_511)*db_QED2 + coupl(nGC_513)*dl2_QED4 + coupl&
                       (nGC_515)*dl3_QED4 + coupl(nGC_517)*dl5_QED4 + coupl(   &
                       nGC_519)*dl4_QED4 + coupl(nGC_521)*dl1_QED4 + coupl(    &
                       nGC_523)*dvev1_QED1 + coupl(nGC_525)*dvev2_QED1 + coupl(&
                       nGC_527)*da_QED2
    coupl(nGC_32367) = -coupl(nGC_32366)
    coupl(nGC_35403) = coupl(nGC_35401) - coupl(nGC_35402)
    coupl(nGC_32362) = coupl(nGC_22609) + coupl(nGC_340)*dZbR_QCD2/2d0 + coupl(&
                       nGC_340)*dZtL_QCD2/2d0
    coupl(nGC_32361) = coupl(nGC_22607) + coupl(nGC_373)*dZbL_QCD2/2d0 + coupl(&
                       nGC_373)*dZtR_QCD2/2d0
    coupl(nGC_32360) = coupl(nGC_22608) + coupl(nGC_340)*dZbR_QED2/2d0 + coupl(&
                       nGC_340)*dZtL_QED2/2d0 + coupl(nGC_343)*                &
                       dZHMinusGMinus_QED2/2d0
    coupl(nGC_58950) = -coupl(nGC_22053)
    coupl(nGC_22696) = coupl(nGC_20860)*dsw_QED2 + coupl(nGC_20861)*db_QED2 +  &
                       coupl(nGC_20862)*dZee_QED2 + coupl(nGC_20863)*da_QED2
    coupl(nGC_42552) = coupl(nGC_13)*dZcR_QED2
    coupl(nGC_33965) = -coupl(nGC_32487)
    coupl(nGC_42557) = coupl(nGC_33014) + coupl(nGC_42555)
    coupl(nGC_22690) = coupl(nGC_21602)*dsw_QED2 + coupl(nGC_21603)*db_QED2 +  &
                       coupl(nGC_21604)*dZee_QED2 + coupl(nGC_21605)*da_QED2
    coupl(nGC_22691) = coupl(nGC_21116)*dvev2_QED1 + coupl(nGC_21117)*dsw_QED2 &
                        + coupl(nGC_21118)*db_QED2 + coupl(nGC_21119)*         &
                       dvev1_QED1 + coupl(nGC_21120)*dZee_QED2
    coupl(nGC_22169) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_2573) - coupl(nGC_1033 &
                       )**2d0*coupl(nGC_347) + 8d0*coupl(nGC_206)*coupl(nGC_209&
                       )*coupl(nGC_2573) - coupl(nGC_2573)**2d0*coupl(nGC_347  &
                       ) - coupl(nGC_345)**2d0*coupl(nGC_347) - coupl(nGC_346)*&
                       coupl(nGC_382)*coupl(nGC_383) - coupl(nGC_347)*coupl(   &
                       nGC_348)**2d0 - coupl(nGC_349)*coupl(nGC_383)*coupl(    &
                       nGC_385))/(32d0*pi**2d0)
    coupl(nGC_22698) = coupl(nGC_20679)*dsw_QED2 + coupl(nGC_20680)*dZee_QED2
    coupl(nGC_35533) = coupl(nGC_252)*dZGMinus/2d0
    coupl(nGC_35537) = coupl(nGC_22569) + coupl(nGC_241)*dZGMinusHMinus_QED2/  &
                       2d0 + coupl(nGC_243)*dZHMinusGMinus_QED2/2d0 + coupl(   &
                       nGC_244)*dZHhHl_QED2/2d0 + coupl(nGC_252)*dZHMinus_QED2/&
                       2d0 + coupl(nGC_252)*dZHl_QED2/2d0 + coupl(             &
                       nGC_TS_GC_34_Hl) + coupl(nGC_TS_GC_46_Hh)
    coupl(nGC_32214) = coupl(nGC_175)*dZA_QED2/2d0 + coupl(nGC_175)*           &
                       dZHMinus_QED2/2d0 + coupl(nGC_175)*dZHh_QED2/2d0 + coupl&
                       (nGC_175)*dZWMinus_QED2/2d0 + coupl(nGC_180)*           &
                       dZGMinusHMinus_QED2/2d0 + coupl(nGC_180)*dZHlHh_QED2/2d0&
                        + coupl(nGC_22)*dZZA_QED2/2d0 + coupl(nGC_22558)
    coupl(nGC_59206) = -coupl(nGC_22073)
    coupl(nGC_34750) = coupl(nGC_247)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_34752) = coupl(nGC_22582) + coupl(nGC_247)*dZHMinus_QED2/2d0 +   &
                       coupl(nGC_258)*dZHaG0_QED2/2d0 + coupl(nGC_TS_GC_53_Hh  &
                       ) + coupl(nGC_TS_GC_62_Hl)
    coupl(nGC_38013) = coupl(nGC_22513) + coupl(nGC_36)*dZHhHl_QED2 + coupl(   &
                       nGC_38)*dZG0Ha_QED2 + coupl(nGC_41)*dZHa_QED2 + coupl(  &
                       nGC_41)*dZHl_QED2
    coupl(nGC_38873) = coupl(nGC_208)*dZZ_QED2/2d0 + coupl(nGC_208)*           &
                       dZtauMinusR_QED2 + coupl(nGC_22736)
    coupl(nGC_38872) = coupl(nGC_211)*dZZ_QED2/2d0 + coupl(nGC_211)*           &
                       dZtauMinusL_QED2 + coupl(nGC_22737)
    coupl(nGC_38875) = coupl(nGC_36783) + coupl(nGC_38872)
    coupl(nGC_38874) = coupl(nGC_36783) + coupl(nGC_38873)
    coupl(nGC_22090) = (Nc*cMB*coupl(nGC_1415)*coupl(nGC_1711)*coupl(nGC_342   &
                       ) + 2d0*Nc*cMB*coupl(nGC_1415)*coupl(nGC_341)*coupl(    &
                       nGC_342) + 2d0*Nc*cMB*coupl(nGC_1711)*coupl(nGC_342)*   &
                       coupl(nGC_344) + Nc*cMB*coupl(nGC_341)*coupl(nGC_342)*  &
                       coupl(nGC_344) + Nc*cMC*coupl(nGC_333)*coupl(nGC_335)*  &
                       coupl(nGC_338) + 2d0*Nc*cMC*coupl(nGC_333)*coupl(nGC_335&
                       )*coupl(nGC_791) + 2d0*Nc*cMC*coupl(nGC_333)*coupl(     &
                       nGC_338)*coupl(nGC_849) + Nc*cMC*coupl(nGC_333)*coupl(  &
                       nGC_791)*coupl(nGC_849) + Nc*cMD*coupl(nGC_1033)*coupl( &
                       nGC_2573)*coupl(nGC_345) + 2d0*Nc*cMD*coupl(nGC_1033)*  &
                       coupl(nGC_345)*coupl(nGC_347) + 2d0*Nc*cMD*coupl(       &
                       nGC_2573)*coupl(nGC_345)*coupl(nGC_350) + Nc*cMD*coupl( &
                       nGC_345)*coupl(nGC_347)*coupl(nGC_350) + 2d0*Nc*cMS*    &
                       coupl(nGC_1449)*coupl(nGC_363)*coupl(nGC_368) + Nc*cMS* &
                       coupl(nGC_1449)*coupl(nGC_363)*coupl(nGC_4113) + Nc*cMS*&
                       coupl(nGC_363)*coupl(nGC_365)*coupl(nGC_368) + 2d0*Nc*  &
                       cMS*coupl(nGC_363)*coupl(nGC_365)*coupl(nGC_4113) + Nc* &
                       cMT*coupl(nGC_1185)*coupl(nGC_1467)*coupl(nGC_369) + 2d0&
                       *Nc*cMT*coupl(nGC_1185)*coupl(nGC_369)*coupl(nGC_374) + &
                       2d0*Nc*cMT*coupl(nGC_1467)*coupl(nGC_369)*coupl(nGC_371 &
                       ) + Nc*cMT*coupl(nGC_369)*coupl(nGC_371)*coupl(nGC_374  &
                       ) + Nc*cMU*coupl(nGC_1649)*coupl(nGC_2147)*coupl(nGC_381&
                       ) + 2d0*Nc*cMU*coupl(nGC_1649)*coupl(nGC_381)*coupl(    &
                       nGC_386) + 2d0*Nc*cMU*coupl(nGC_2147)*coupl(nGC_381)*   &
                       coupl(nGC_383) + Nc*cMU*coupl(nGC_381)*coupl(nGC_383)*  &
                       coupl(nGC_386) + 2d0*cME*coupl(nGC_1313)*coupl(nGC_351)*&
                       coupl(nGC_353) + cME*coupl(nGC_1313)*coupl(nGC_351)*    &
                       coupl(nGC_917) + cME*coupl(nGC_351)*coupl(nGC_353)*coupl&
                       (nGC_356) + 2d0*cME*coupl(nGC_351)*coupl(nGC_356)*coupl(&
                       nGC_917) + cMM*coupl(nGC_2221)*coupl(nGC_3367)*coupl(   &
                       nGC_357) + 2d0*cMM*coupl(nGC_2221)*coupl(nGC_357)*coupl(&
                       nGC_359) + 2d0*cMM*coupl(nGC_3367)*coupl(nGC_357)*coupl(&
                       nGC_362) + cMM*coupl(nGC_357)*coupl(nGC_359)*coupl(     &
                       nGC_362) + cMTA*coupl(nGC_1233)*coupl(nGC_375)*coupl(   &
                       nGC_3763) + 2d0*cMTA*coupl(nGC_1233)*coupl(nGC_375)*    &
                       coupl(nGC_380) + 2d0*cMTA*coupl(nGC_375)*coupl(nGC_3763 &
                       )*coupl(nGC_377) + cMTA*coupl(nGC_375)*coupl(nGC_377)*  &
                       coupl(nGC_380))/(8d0*pi**2d0)
    coupl(nGC_32146) = coupl(nGC_22681) + coupl(nGC_369)*dZHl_QED2/2d0 + coupl(&
                       nGC_372)*dZHhHl_QED2/2d0
    coupl(nGC_22467) = (-8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_333)**2d0 - &
                       8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_342)**2d0 -   &
                       8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_345)**2d0 -   &
                       8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_363)**2d0 -   &
                       8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_369)**2d0 -   &
                       8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_381)**2d0 +   &
                       6d0*cima*coupl(nGC_1079)*coupl(nGC_77) + 3d0*cima*coupl(&
                       nGC_195)*coupl(nGC_224) - 8d0*cima*coupl(nGC_197)**2d0* &
                       coupl(nGC_351)**2d0 - 8d0*cima*coupl(nGC_197)**2d0*coupl&
                       (nGC_357)**2d0 - 8d0*cima*coupl(nGC_197)**2d0*coupl(    &
                       nGC_375)**2d0 + 6d0*coupl(nGC_1055)*coupl(nGC_4)*coupl( &
                       nGC_77) + 6d0*coupl(nGC_1201)*coupl(nGC_199)*coupl(     &
                       nGC_224) + 6d0*coupl(nGC_198)*coupl(nGC_3419)*coupl(    &
                       nGC_77))/(48d0*pi**2d0)
    coupl(nGC_34971) = coupl(nGC_218)*dZZA_QED2/2d0 + coupl(nGC_22592) + coupl(&
                       nGC_26)*dZA_QED2/2d0 + coupl(nGC_26)*dZHMinus_QED2
    coupl(nGC_34972) = -coupl(nGC_34971)
    coupl(nGC_37272) = coupl(nGC_32707) + coupl(nGC_37270)
    coupl(nGC_37271) = coupl(nGC_32707) + coupl(nGC_37269)
    coupl(nGC_54196) = -2d0*coupl(nGC_54185)
    coupl(nGC_45778) = 3d0*coupl(nGC_12)*dZg_QCD2/2d0 + coupl(nGC_22595)
    coupl(nGC_22307) = coupl(nGC_13)*sq2*(coupl(nGC_1185)*coupl(nGC_371) +     &
                       coupl(nGC_1467)*coupl(nGC_374) + 4d0*coupl(nGC_2)**2d0  &
                        + 4d0*coupl(nGC_207)**2d0 + coupl(nGC_369)**2d0 + coupl&
                       (nGC_370)**2d0 + coupl(nGC_372)**2d0 + coupl(nGC_373)** &
                       2d0)/(64d0*pi**2d0)
    coupl(nGC_32660) = coupl(nGC_187)*dZA_QED2/2d0 + coupl(nGC_187)*           &
                       dZWMinus_QED2/2d0 + coupl(nGC_22554) + coupl(nGC_31)*   &
                       dZZA_QED2/2d0
    coupl(nGC_TS_GC_381_Hl) = -coupl(nGC_381)*dtHl_QED1/cMHL**2d0
    coupl(nGC_37616) = coupl(nGC_223)*dZHl_QED2 + coupl(nGC_22505)
    coupl(nGC_22267) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_209) + coupl(nGC_1033)*&
                       coupl(nGC_206)*coupl(nGC_350) + 4d0*coupl(nGC_197)**2d0*&
                       coupl(nGC_210) + 2d0*coupl(nGC_197)**2d0*coupl(nGC_3419 &
                       ) + coupl(nGC_206)*coupl(nGC_2573)*coupl(nGC_347) +     &
                       coupl(nGC_206)*coupl(nGC_345)**2d0 + coupl(nGC_206)*    &
                       coupl(nGC_348)**2d0 + coupl(nGC_207)*coupl(nGC_382)**2d0&
                        + coupl(nGC_207)*coupl(nGC_385)**2d0 + 4d0*coupl(      &
                       nGC_209)**3d0)/(32d0*pi**2d0)
    coupl(nGC_32182) = coupl(nGC_22)*dZHl_QED2/2d0 + coupl(nGC_22532) + coupl( &
                       nGC_24)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_24)*        &
                       dZHhHl_QED2/2d0
    coupl(nGC_32187) = coupl(nGC_174)*dZHhHl_QED2/2d0 + coupl(nGC_175)*        &
                       dZGMinusHMinus_QED2/2d0 + coupl(nGC_181)*dZHMinus_QED2/ &
                       2d0 + coupl(nGC_181)*dZHl_QED2/2d0 + coupl(nGC_22557)
    coupl(nGC_58018) = -coupl(nGC_22051)
    coupl(nGC_32742) = coupl(nGC_193)*dZWMinus_QED2/2d0 + coupl(nGC_193)*      &
                       dZZ_QED2/2d0 + coupl(nGC_203)*dZAZ_QED2/2d0 + coupl(    &
                       nGC_22716)
    coupl(nGC_22229) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_345) - coupl(nGC_1033  &
                       )**2d0*coupl(nGC_345) + 8d0*coupl(nGC_206)*coupl(nGC_209&
                       )*coupl(nGC_345) - coupl(nGC_2573)**2d0*coupl(nGC_345   &
                       ) - coupl(nGC_345)**3d0 - coupl(nGC_345)*coupl(nGC_348  &
                       )**2d0 - coupl(nGC_346)*coupl(nGC_381)*coupl(nGC_382) - &
                       coupl(nGC_349)*coupl(nGC_381)*coupl(nGC_385))/(32d0*pi**&
                       2d0)
    coupl(nGC_22226) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_333) + 8d0*coupl(      &
                       nGC_207)*coupl(nGC_210)*coupl(nGC_333) - coupl(nGC_333  &
                       )**3d0 - coupl(nGC_333)*coupl(nGC_336)**2d0 - coupl(    &
                       nGC_333)*coupl(nGC_791)**2d0 - coupl(nGC_333)*coupl(    &
                       nGC_849)**2d0 - coupl(nGC_334)*coupl(nGC_363)*coupl(    &
                       nGC_364) - coupl(nGC_337)*coupl(nGC_363)*coupl(nGC_367  &
                       ))/(32d0*pi**2d0)
    coupl(nGC_44031) = coupl(nGC_22720) + coupl(nGC_230)*dZHa_QED2 + coupl(    &
                       nGC_230)*dZZ_QED2
    coupl(nGC_22223) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_342) - coupl(nGC_1415  &
                       )**2d0*coupl(nGC_342) - coupl(nGC_1711)**2d0*coupl(     &
                       nGC_342) + 8d0*coupl(nGC_206)*coupl(nGC_209)*coupl(     &
                       nGC_342) - coupl(nGC_339)**2d0*coupl(nGC_342) - coupl(  &
                       nGC_340)*coupl(nGC_369)*coupl(nGC_373) - coupl(nGC_342  &
                       )**3d0 - coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_370))/(&
                       32d0*pi**2d0)
    coupl(nGC_22221) = (-2d0*Nc*cMB*coupl(nGC_197)**2d0*coupl(nGC_342) - 2d0*Nc&
                       *cMC*coupl(nGC_197)**2d0*coupl(nGC_333) - 2d0*Nc*cMD*   &
                       coupl(nGC_197)**2d0*coupl(nGC_345) - 2d0*Nc*cMS*coupl(  &
                       nGC_197)**2d0*coupl(nGC_363) - 2d0*Nc*cMT*coupl(nGC_197 &
                       )**2d0*coupl(nGC_369) - 2d0*Nc*cMU*coupl(nGC_197)**2d0* &
                       coupl(nGC_381) - 2d0*cME*coupl(nGC_197)**2d0*coupl(     &
                       nGC_351) - 2d0*cMM*coupl(nGC_197)**2d0*coupl(nGC_357) - &
                       2d0*cMTA*coupl(nGC_197)**2d0*coupl(nGC_375) + 2d0*cima* &
                       coupl(nGC_1079)*coupl(nGC_261) + cima*coupl(nGC_195)*   &
                       coupl(nGC_329) + 2d0*coupl(nGC_1055)*coupl(nGC_261)*    &
                       coupl(nGC_4) + 2d0*coupl(nGC_1201)*coupl(nGC_199)*coupl(&
                       nGC_329) + 2d0*coupl(nGC_198)*coupl(nGC_261)*coupl(     &
                       nGC_3419))/(16d0*pi**2d0)
    coupl(nGC_41515) = coupl(nGC_381)*(dZuL_QED2 + dZuR_QED2)/2d0
  end subroutine fill_CTcouplings_mdl6
end module fill_ctcouplings6
