!******************************************************************************!
!                                                                              !
!    ctparameter111.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter111.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-10 10:33             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter111
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter111()
  if (dZcR_QED2_scheme .eq. 2) then
    dZcR_QED2 = (Ten452*coupl(nGC_2)**2d0 + Ten513*(-2d0*coupl(nGC_207)**2d0 + &
                coupl(nGC_338)**2d0) + Ten514*coupl(nGC_335)**2d0 - Ten515*    &
                coupl(nGC_336)**2d0 - Ten516*coupl(nGC_333)**2d0 + Ten606*coupl&
                (nGC_337)**2d0 + Ten607*coupl(nGC_337)**2d0 - Ten608*coupl(    &
                nGC_334)**2d0 - coupl(nGC_207)**2d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZcR_QED2 = cone*real(dZcR_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter111
end module ctparameter111
