!******************************************************************************!
!                                                                              !
!    ctparameter136.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter136.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-10 10:33             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter136
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter136()
  DeltaUV = DeltaUV + log(muUV**2/muMS_BSM**2)
  dZHl_MS_BSM_QED2 = DeltaUV*(Nc*coupl(nGC_333)**2d0 + Nc*coupl(nGC_342)**2d0  &
                      + Nc*coupl(nGC_345)**2d0 + Nc*coupl(nGC_363)**2d0 + Nc*  &
                     coupl(nGC_369)**2d0 + Nc*coupl(nGC_381)**2d0 + 4d0*coupl( &
                     nGC_172)*coupl(nGC_173) + 4d0*coupl(nGC_178)*coupl(nGC_179&
                     ) + 2d0*coupl(nGC_213)**2d0 + 2d0*coupl(nGC_215)**2d0 +   &
                     coupl(nGC_351)**2d0 + coupl(nGC_357)**2d0 + coupl(nGC_375 &
                     )**2d0)/(8d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZHl_MS_BSM_QED2 = cone*real(dZHl_MS_BSM_QED2,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS_BSM**2)
end subroutine set_ctparameter136
end module ctparameter136
