!******************************************************************************!
!                                                                              !
!    ctparameter138.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter138.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-10 10:33             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter138
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter138()
  dZA_QED2 = (8d0*Nc*Ten465*cMU_reg**2d0*coupl(nGC_2)**2d0 + 8d0*Nc*Ten466*    &
             cMC_reg**2d0*coupl(nGC_2)**2d0 + 8d0*Nc*Ten467*cMT**2d0*coupl(    &
             nGC_2)**2d0 + 8d0*Nc*Ten468*cMD_reg**2d0*coupl(nGC_1)**2d0 + 8d0* &
             Nc*Ten469*cMS_reg**2d0*coupl(nGC_1)**2d0 + 8d0*Nc*Ten470*cMB_reg**&
             2d0*coupl(nGC_1)**2d0 - 16d0*Nc*Ten471*coupl(nGC_2)**2d0 - 16d0*Nc&
             *Ten472*coupl(nGC_2)**2d0 - 16d0*Nc*Ten473*coupl(nGC_2)**2d0 -    &
             16d0*Nc*Ten474*coupl(nGC_1)**2d0 - 16d0*Nc*Ten475*coupl(nGC_1)**  &
             2d0 - 16d0*Nc*Ten476*coupl(nGC_1)**2d0 - 4d0*Nc*Ten477*coupl(nGC_2&
             )**2d0/3d0 - 4d0*Nc*Ten478*coupl(nGC_2)**2d0/3d0 - 4d0*Nc*Ten479* &
             coupl(nGC_1)**2d0/3d0 - 4d0*Nc*Ten480*coupl(nGC_1)**2d0/3d0 - 4d0*&
             Nc*Ten481*coupl(nGC_1)**2d0/3d0 + Ten864*(-coupl(nGC_26)**2d0 -   &
             12d0*coupl(nGC_3)**2d0 + coupl(nGC_5)**2d0/4d0 + coupl(nGC_6)**2d0&
             /4d0) + Ten873*(-8d0*coupl(nGC_26)**2d0 - 32d0*coupl(nGC_3)**2d0  &
              + 2d0*coupl(nGC_5)**2d0 + 2d0*coupl(nGC_6)**2d0) + 8d0*Ten874*   &
             cME_reg**2d0*coupl(nGC_4)**2d0 + 8d0*Ten875*cMM_reg**2d0*coupl(   &
             nGC_4)**2d0 + 8d0*Ten876*cMTA_reg**2d0*coupl(nGC_4)**2d0 - 16d0*  &
             Ten877*coupl(nGC_4)**2d0 - 16d0*Ten878*coupl(nGC_4)**2d0 - 16d0*  &
             Ten879*coupl(nGC_4)**2d0 - 8d0*Ten880*coupl(nGC_26)**2d0 - 4d0*   &
             Ten881*coupl(nGC_4)**2d0/3d0 - 4d0*Ten882*coupl(nGC_4)**2d0/3d0 - &
             4d0*Ten883*coupl(nGC_4)**2d0/3d0 - Ten884*coupl(nGC_26)**2d0 +    &
             Ten885*(-4d0*coupl(nGC_26)**2d0 - 16d0*coupl(nGC_3)**2d0 + coupl( &
             nGC_5)**2d0 + coupl(nGC_6)**2d0) + Ten886*(-4d0*coupl(nGC_26)**2d0&
              - 16d0*coupl(nGC_3)**2d0 + coupl(nGC_5)**2d0 + coupl(nGC_6)**2d0 &
             ) - 4d0*Ten887*coupl(nGC_26)**2d0 - 4d0*Ten888*coupl(nGC_26)**2d0 &
              + pi**2d0*(-4d0*Nc*coupl(nGC_2)**2d0/(3d0*pi**2d0) - 2d0*coupl(  &
             nGC_3)**2d0/(3d0*pi**2d0)))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZA_QED2 = cone*real(dZA_QED2,kind=dp)
    end if 
end subroutine set_ctparameter138
end module ctparameter138
