!******************************************************************************!
!                                                                              !
!    ctparameter141.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter141.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-10 10:33             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter141
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter141()
  if (dZmuMinusR_QED2_scheme .eq. 1) then
    dZmuMinusR_QED2 = (2d0*Ten783*coupl(nGC_4)**2d0 + 2d0*Ten784*coupl(nGC_208 &
                      )**2d0 + 2d0*Ten788*coupl(nGC_4)**2d0 + 2d0*Ten791*coupl(&
                      nGC_208)**2d0 - 4d0*Ten798*cMM_reg**2d0*coupl(nGC_4)**2d0&
                       + 4d0*Ten803*cMM_reg**2d0*coupl(nGC_4)**2d0 + pi**2d0*(-&
                      coupl(nGC_208)**2d0/pi**2d0 - coupl(nGC_4)**2d0/pi**2d0  &
                      ))/(16d0*pi**2d0)
    dZmuMinusR_QED2 = cone*real(dZmuMinusR_QED2,kind=dp)
  end if 
end subroutine set_ctparameter141
end module ctparameter141
