!******************************************************************************!
!                                                                              !
!    ctparameter45.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter45.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-10 10:33             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter45
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter45()
  DeltaUV = DeltaUV + log(muUV**2/muMS_BSM**2)
  dMHA2_MS_BSM_QED2 = DeltaUV*(-4d0*Nc*cMB**2d0*coupl(nGC_344)**2d0 - 4d0*Nc*  &
                      cMC**2d0*coupl(nGC_335)**2d0 - 4d0*Nc*cMD**2d0*coupl(    &
                      nGC_347)**2d0 + 2d0*Nc*cMHA**2d0*coupl(nGC_335)**2d0 +   &
                      2d0*Nc*cMHA**2d0*coupl(nGC_344)**2d0 + 2d0*Nc*cMHA**2d0* &
                      coupl(nGC_347)**2d0 + 2d0*Nc*cMHA**2d0*coupl(nGC_365)**  &
                      2d0 + 2d0*Nc*cMHA**2d0*coupl(nGC_371)**2d0 + 2d0*Nc*cMHA &
                      **2d0*coupl(nGC_383)**2d0 - 4d0*Nc*cMS**2d0*coupl(nGC_365&
                      )**2d0 - 4d0*Nc*cMT**2d0*coupl(nGC_371)**2d0 - 4d0*Nc*cMU&
                      **2d0*coupl(nGC_383)**2d0 - 4d0*cME**2d0*coupl(nGC_353)**&
                      2d0 - 8d0*cMHA**2d0*coupl(nGC_183)**2d0 - 4d0*cMHA**2d0* &
                      coupl(nGC_213)**2d0 - 4d0*cMHA**2d0*coupl(nGC_216)**2d0  &
                       + 2d0*cMHA**2d0*coupl(nGC_353)**2d0 + 2d0*cMHA**2d0*    &
                      coupl(nGC_359)**2d0 + 2d0*cMHA**2d0*coupl(nGC_377)**2d0  &
                       + cima*cMHA**2d0*coupl(nGC_66)/2d0 + cima*cMHC**2d0*    &
                      coupl(nGC_168) + cima*cMHH**2d0*coupl(nGC_110)/2d0 + cima&
                      *cMHL**2d0*coupl(nGC_145)/2d0 - 4d0*cMM**2d0*coupl(      &
                      nGC_359)**2d0 - 4d0*cMTA**2d0*coupl(nGC_377)**2d0 - 4d0* &
                      cima*cMW**2d0*coupl(nGC_100) + cima*cMW**2d0*coupl(nGC_70&
                      ) - 2d0*cima*cMW**2d0*coupl(nGC_99) - cima*cMZ**2d0*coupl&
                      (nGC_227) - 2d0*cima*cMZ**2d0*coupl(nGC_230) + cima*cMZ**&
                      2d0*coupl(nGC_73)/2d0 - coupl(nGC_278)**2d0 - coupl(     &
                      nGC_290)**2d0 - coupl(nGC_294)**2d0 - coupl(nGC_312)**2d0&
                       - 2d0*coupl(nGC_317)*coupl(nGC_319))/(16d0*pi**2d0) +   &
                      cima*coupl(nGC_246)*dtHl_MS_BSM_QED1/cMHL**2d0 + cima*   &
                      coupl(nGC_254)*dtHh_MS_BSM_QED1/cMHH**2d0
    if (.not. complex_mass_scheme) then
      dMHA2_MS_BSM_QED2 = cone*real(dMHA2_MS_BSM_QED2,kind=dp)
    end if 
  DeltaUV = DeltaUV - log(muUV**2/muMS_BSM**2)
end subroutine set_ctparameter45
end module ctparameter45
