!******************************************************************************!
!                                                                              !
!    ctparameter60.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter60.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-10 10:33             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter60
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter60()
  if (dZgs_QCD2_scheme .eq. 1) then
    DeltaUV = DeltaUV + log(muUV**2/muMS**2)
    dZgs_QCD2 = (DeltaUV*coupl(nGC_13)*sq2**2d0*(cima*Nc*coupl(nGC_11)**2d0 +  &
                40d0*cima*Nc*coupl(nGC_12)**2d0 - 12d0*Nc*coupl(nGC_12)*coupl( &
                nGC_13) + 12d0*cima*Nc*coupl(nGC_13)**2d0 + 40d0*cima*coupl(   &
                nGC_13)**2d0)/(48d0*gs) + cima*Ten730*coupl(nGC_13)**3d0*sq2** &
                2d0/(6d0*gs))/(16d0*pi**2d0)
    dZgs_QCD2 = cone*real(dZgs_QCD2,kind=dp)
    DeltaUV = DeltaUV - log(muUV**2/muMS**2)
  end if 
end subroutine set_ctparameter60
end module ctparameter60
