!******************************************************************************!
!                                                                              !
!    ctparameter94.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter94.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-10 10:33             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter94
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter94()
  dMW2_QED2 = (Nc*Ten10*coupl(nGC_197)**2d0*(cMD**2d0*cMW**2d0 - cMD**2d0*rMW**&
              2d0 - cMU**2d0*cMW**2d0 + cMU**2d0*rMW**2d0)/(3d0*rMW**4d0) + Nc*&
              Ten1004*coupl(nGC_197)**2d0*(cMD**4d0*cMW**2d0 - cMD**4d0*rMW**  &
              2d0 - 2d0*cMD**2d0*cMU**2d0*cMW**2d0 + 2d0*cMD**2d0*cMU**2d0*rMW &
              **2d0 + cMD**2d0*cMW**2d0*rMW**2d0 - cMD**2d0*rMW**4d0 + cMU**4d0&
              *cMW**2d0 - cMU**4d0*rMW**2d0 + cMU**2d0*cMW**2d0*rMW**2d0 - cMU &
              **2d0*rMW**4d0 - 2d0*cMW**2d0*rMW**4d0 + 2d0*rMW**6d0)/(3d0*rMW**&
              2d0) + Nc*Ten1005*coupl(nGC_197)**2d0*(cMC**4d0*cMW**2d0 - cMC** &
              4d0*rMW**2d0 - 2d0*cMC**2d0*cMS**2d0*cMW**2d0 + 2d0*cMC**2d0*cMS &
              **2d0*rMW**2d0 + cMC**2d0*cMW**2d0*rMW**2d0 - cMC**2d0*rMW**4d0  &
               + cMS**4d0*cMW**2d0 - cMS**4d0*rMW**2d0 + cMS**2d0*cMW**2d0*rMW &
              **2d0 - cMS**2d0*rMW**4d0 - 2d0*cMW**2d0*rMW**4d0 + 2d0*rMW**6d0 &
              )/(3d0*rMW**2d0) + Nc*Ten1006*coupl(nGC_197)**2d0*(cMB**4d0*cMW**&
              2d0 - cMB**4d0*rMW**2d0 - 2d0*cMB**2d0*cMT**2d0*cMW**2d0 + 2d0*  &
              cMB**2d0*cMT**2d0*rMW**2d0 + cMB**2d0*cMW**2d0*rMW**2d0 - cMB**  &
              2d0*rMW**4d0 + cMT**4d0*cMW**2d0 - cMT**4d0*rMW**2d0 + cMT**2d0* &
              cMW**2d0*rMW**2d0 - cMT**2d0*rMW**4d0 - 2d0*cMW**2d0*rMW**4d0 +  &
              2d0*rMW**6d0)/(3d0*rMW**2d0) + Nc*Ten11*coupl(nGC_197)**2d0*(-cMC&
              **2d0*cMW**2d0 + cMC**2d0*rMW**2d0 + cMS**2d0*cMW**2d0 - cMS**2d0&
              *rMW**2d0)/(3d0*rMW**4d0) + Nc*Ten12*coupl(nGC_197)**2d0*(cMB**  &
              2d0*cMW**2d0 - cMB**2d0*rMW**2d0 - cMT**2d0*cMW**2d0 + cMT**2d0* &
              rMW**2d0)/(3d0*rMW**4d0) + Nc*Ten7*coupl(nGC_197)**2d0*(-cMD**2d0&
              *cMW**2d0 + cMD**2d0*rMW**2d0 + cMU**2d0*cMW**2d0 - cMU**2d0*rMW &
              **2d0)/(3d0*rMW**4d0) + Nc*Ten8*coupl(nGC_197)**2d0*(cMC**2d0*cMW&
              **2d0 - cMC**2d0*rMW**2d0 - cMS**2d0*cMW**2d0 + cMS**2d0*rMW**2d0&
              )/(3d0*rMW**4d0) + Nc*Ten9*coupl(nGC_197)**2d0*(-cMB**2d0*cMW**  &
              2d0 + cMB**2d0*rMW**2d0 + cMT**2d0*cMW**2d0 - cMT**2d0*rMW**2d0  &
              )/(3d0*rMW**4d0) + 4d0*Nc*Ten976*coupl(nGC_197)**2d0 + 4d0*Nc*   &
              Ten977*coupl(nGC_197)**2d0 + 4d0*Nc*Ten978*coupl(nGC_197)**2d0 + &
              2d0*Nc*Ten982*coupl(nGC_197)**2d0*rMW**2d0 + 2d0*Nc*Ten983*coupl(&
              nGC_197)**2d0*rMW**2d0 + 2d0*Nc*Ten984*coupl(nGC_197)**2d0*rMW** &
              2d0 + 2d0*Nc*Ten988*coupl(nGC_197)**2d0*rMW**2d0 + 2d0*Nc*Ten989*&
              coupl(nGC_197)**2d0*rMW**2d0 + 2d0*Nc*Ten990*coupl(nGC_197)**2d0*&
              rMW**2d0 + Nc*Ten994*coupl(nGC_197)**2d0*(-cMD**4d0*cMW**2d0 +   &
              cMD**4d0*rMW**2d0 + 2d0*cMD**2d0*cMU**2d0*cMW**2d0 - 2d0*cMD**2d0&
              *cMU**2d0*rMW**2d0 - cMU**4d0*cMW**2d0 + cMU**4d0*rMW**2d0 - 2d0*&
              cMW**2d0*rMW**4d0 + 2d0*rMW**6d0)/(3d0*rMW**4d0) + Nc*Ten995*    &
              coupl(nGC_197)**2d0*(-cMC**4d0*cMW**2d0 + cMC**4d0*rMW**2d0 + 2d0&
              *cMC**2d0*cMS**2d0*cMW**2d0 - 2d0*cMC**2d0*cMS**2d0*rMW**2d0 -   &
              cMS**4d0*cMW**2d0 + cMS**4d0*rMW**2d0 - 2d0*cMW**2d0*rMW**4d0 +  &
              2d0*rMW**6d0)/(3d0*rMW**4d0) + Nc*Ten996*coupl(nGC_197)**2d0*(-  &
              cMB**4d0*cMW**2d0 + cMB**4d0*rMW**2d0 + 2d0*cMB**2d0*cMT**2d0*cMW&
              **2d0 - 2d0*cMB**2d0*cMT**2d0*rMW**2d0 - cMT**4d0*cMW**2d0 + cMT &
              **4d0*rMW**2d0 - 2d0*cMW**2d0*rMW**4d0 + 2d0*rMW**6d0)/(3d0*rMW**&
              4d0) + Ten0*(-2d0*cMHC**2d0*cMW**2d0*coupl(nGC_178)*coupl(nGC_179&
              ) + 2d0*cMHC**2d0*coupl(nGC_178)*coupl(nGC_179)*rMW**2d0 + 2d0*  &
              cMHL**2d0*cMW**2d0*coupl(nGC_172)*coupl(nGC_173) + 2d0*cMHL**2d0*&
              cMW**2d0*coupl(nGC_178)*coupl(nGC_179) - 2d0*cMHL**2d0*coupl(    &
              nGC_172)*coupl(nGC_173)*rMW**2d0 - 2d0*cMHL**2d0*coupl(nGC_178)* &
              coupl(nGC_179)*rMW**2d0 - 2d0*cMW**4d0*coupl(nGC_172)*coupl(     &
              nGC_173) + 2d0*cMW**2d0*coupl(nGC_172)*coupl(nGC_173)*rMW**2d0 - &
              3d0*cima*coupl(nGC_77)*rMW**4d0)/(6d0*rMW**4d0) + Ten1*(-4d0*cMW &
              **4d0*coupl(nGC_184)**2d0 - 16d0*cMW**4d0*coupl(nGC_198)*coupl(  &
              nGC_199) - cMW**4d0*coupl(nGC_200)**2d0 - cMW**4d0*coupl(nGC_201 &
              )**2d0 + 4d0*cMW**2d0*cMZ**2d0*coupl(nGC_184)**2d0 + 16d0*cMW**  &
              2d0*cMZ**2d0*coupl(nGC_198)*coupl(nGC_199) + cMW**2d0*cMZ**2d0*  &
              coupl(nGC_200)**2d0 + cMW**2d0*cMZ**2d0*coupl(nGC_201)**2d0 + 4d0&
              *cMW**2d0*coupl(nGC_184)**2d0*rMW**2d0 + 16d0*cMW**2d0*coupl(    &
              nGC_198)*coupl(nGC_199)*rMW**2d0 + cMW**2d0*coupl(nGC_200)**2d0* &
              rMW**2d0 + cMW**2d0*coupl(nGC_201)**2d0*rMW**2d0 - 4d0*cMZ**2d0* &
              coupl(nGC_184)**2d0*rMW**2d0 - 16d0*cMZ**2d0*coupl(nGC_198)*coupl&
              (nGC_199)*rMW**2d0 - cMZ**2d0*coupl(nGC_200)**2d0*rMW**2d0 - cMZ &
              **2d0*coupl(nGC_201)**2d0*rMW**2d0 - 6d0*cima*coupl(nGC_100)*rMW &
              **4d0 + 24d0*cima*coupl(nGC_195)*rMW**4d0 + 12d0*cima*coupl(     &
              nGC_196)*rMW**4d0)/(12d0*rMW**4d0) + Ten1000*(16d0*cMW**6d0*coupl&
              (nGC_3)*coupl(nGC_4) + cMW**6d0*coupl(nGC_5)**2d0 + cMW**6d0*    &
              coupl(nGC_6)**2d0 - 48d0*cMW**4d0*coupl(nGC_3)*coupl(nGC_4)*rMW**&
              2d0 - 3d0*cMW**4d0*coupl(nGC_5)**2d0*rMW**2d0 - 3d0*cMW**4d0*    &
              coupl(nGC_6)**2d0*rMW**2d0 - 48d0*cMW**2d0*coupl(nGC_3)*coupl(   &
              nGC_4)*rMW**4d0 - 12d0*cMW**2d0*coupl(nGC_326)**2d0*rMW**2d0 +   &
              3d0*cMW**2d0*coupl(nGC_5)**2d0*rMW**4d0 + 3d0*cMW**2d0*coupl(    &
              nGC_6)**2d0*rMW**4d0 + 80d0*coupl(nGC_3)*coupl(nGC_4)*rMW**6d0 + &
              12d0*coupl(nGC_326)**2d0*rMW**4d0 - coupl(nGC_5)**2d0*rMW**6d0 - &
              coupl(nGC_6)**2d0*rMW**6d0)/(12d0*rMW**2d0) + Ten1001*coupl(     &
              nGC_197)**2d0*(cME**4d0*cMW**2d0 - cME**4d0*rMW**2d0 + cME**2d0* &
              cMW**2d0*rMW**2d0 - cME**2d0*rMW**4d0 - 2d0*cMW**2d0*rMW**4d0 +  &
              2d0*rMW**6d0)/(3d0*rMW**2d0) + Ten1002*coupl(nGC_197)**2d0*(cMM**&
              4d0*cMW**2d0 - cMM**4d0*rMW**2d0 + cMM**2d0*cMW**2d0*rMW**2d0 -  &
              cMM**2d0*rMW**4d0 - 2d0*cMW**2d0*rMW**4d0 + 2d0*rMW**6d0)/(3d0*  &
              rMW**2d0) + Ten1003*coupl(nGC_197)**2d0*(cMTA**4d0*cMW**2d0 -    &
              cMTA**4d0*rMW**2d0 + cMTA**2d0*cMW**2d0*rMW**2d0 - cMTA**2d0*rMW &
              **4d0 - 2d0*cMW**2d0*rMW**4d0 + 2d0*rMW**6d0)/(3d0*rMW**2d0) +   &
              Ten1007*(cMHL**4d0*cMW**2d0*coupl(nGC_172)*coupl(nGC_173) - cMHL &
              **4d0*coupl(nGC_172)*coupl(nGC_173)*rMW**2d0 - 2d0*cMHL**2d0*cMW &
              **4d0*coupl(nGC_172)*coupl(nGC_173) + 2d0*cMHL**2d0*coupl(nGC_172&
              )*coupl(nGC_173)*rMW**4d0 + cMW**6d0*coupl(nGC_172)*coupl(nGC_173&
              ) - 3d0*cMW**4d0*coupl(nGC_172)*coupl(nGC_173)*rMW**2d0 + 3d0*cMW&
              **2d0*coupl(nGC_172)*coupl(nGC_173)*rMW**4d0 - 3d0*cMW**2d0*coupl&
              (nGC_261)**2d0*rMW**2d0 - coupl(nGC_172)*coupl(nGC_173)*rMW**6d0 &
               + 3d0*coupl(nGC_261)**2d0*rMW**4d0)/(3d0*rMW**2d0) + Ten1008*   &
              coupl(nGC_172)*coupl(nGC_173)*(cMHC**4d0*cMW**2d0 - cMHC**4d0*rMW&
              **2d0 - 2d0*cMHC**2d0*cMHH**2d0*cMW**2d0 + 2d0*cMHC**2d0*cMHH**  &
              2d0*rMW**2d0 - 2d0*cMHC**2d0*cMW**2d0*rMW**2d0 + 2d0*cMHC**2d0*  &
              rMW**4d0 + cMHH**4d0*cMW**2d0 - cMHH**4d0*rMW**2d0 - 2d0*cMHH**  &
              2d0*cMW**2d0*rMW**2d0 + 2d0*cMHH**2d0*rMW**4d0 + cMW**2d0*rMW**  &
              4d0 - rMW**6d0)/(3d0*rMW**2d0) + Ten1009*(cMHH**4d0*cMW**2d0*    &
              coupl(nGC_178)*coupl(nGC_179) - cMHH**4d0*coupl(nGC_178)*coupl(  &
              nGC_179)*rMW**2d0 - 2d0*cMHH**2d0*cMW**4d0*coupl(nGC_178)*coupl( &
              nGC_179) + 2d0*cMHH**2d0*coupl(nGC_178)*coupl(nGC_179)*rMW**4d0  &
               + cMW**6d0*coupl(nGC_178)*coupl(nGC_179) - 3d0*cMW**4d0*coupl(  &
              nGC_178)*coupl(nGC_179)*rMW**2d0 + 3d0*cMW**2d0*coupl(nGC_178)*  &
              coupl(nGC_179)*rMW**4d0 - 3d0*cMW**2d0*coupl(nGC_272)**2d0*rMW** &
              2d0 - coupl(nGC_178)*coupl(nGC_179)*rMW**6d0 + 3d0*coupl(nGC_272 &
              )**2d0*rMW**4d0)/(3d0*rMW**2d0) + Ten1010*coupl(nGC_178)*coupl(  &
              nGC_179)*(cMHC**4d0*cMW**2d0 - cMHC**4d0*rMW**2d0 - 2d0*cMHC**2d0&
              *cMHL**2d0*cMW**2d0 + 2d0*cMHC**2d0*cMHL**2d0*rMW**2d0 - 2d0*cMHC&
              **2d0*cMW**2d0*rMW**2d0 + 2d0*cMHC**2d0*rMW**4d0 + cMHL**4d0*cMW &
              **2d0 - cMHL**4d0*rMW**2d0 - 2d0*cMHL**2d0*cMW**2d0*rMW**2d0 +   &
              2d0*cMHL**2d0*rMW**4d0 + cMW**2d0*rMW**4d0 - rMW**6d0)/(3d0*rMW**&
              2d0) + Ten1011*(4d0*cMW**6d0*coupl(nGC_184)**2d0 + 16d0*cMW**6d0*&
              coupl(nGC_198)*coupl(nGC_199) + cMW**6d0*coupl(nGC_200)**2d0 +   &
              cMW**6d0*coupl(nGC_201)**2d0 - 8d0*cMW**4d0*cMZ**2d0*coupl(      &
              nGC_184)**2d0 - 32d0*cMW**4d0*cMZ**2d0*coupl(nGC_198)*coupl(     &
              nGC_199) - 2d0*cMW**4d0*cMZ**2d0*coupl(nGC_200)**2d0 - 2d0*cMW** &
              4d0*cMZ**2d0*coupl(nGC_201)**2d0 - 12d0*cMW**4d0*coupl(nGC_184)**&
              2d0*rMW**2d0 - 48d0*cMW**4d0*coupl(nGC_198)*coupl(nGC_199)*rMW** &
              2d0 - 3d0*cMW**4d0*coupl(nGC_200)**2d0*rMW**2d0 - 3d0*cMW**4d0*  &
              coupl(nGC_201)**2d0*rMW**2d0 + 4d0*cMW**2d0*cMZ**4d0*coupl(      &
              nGC_184)**2d0 + 16d0*cMW**2d0*cMZ**4d0*coupl(nGC_198)*coupl(     &
              nGC_199) + cMW**2d0*cMZ**4d0*coupl(nGC_200)**2d0 + cMW**2d0*cMZ**&
              4d0*coupl(nGC_201)**2d0 + 12d0*cMW**2d0*coupl(nGC_184)**2d0*rMW**&
              4d0 - 48d0*cMW**2d0*coupl(nGC_198)*coupl(nGC_199)*rMW**4d0 + 3d0*&
              cMW**2d0*coupl(nGC_200)**2d0*rMW**4d0 + 3d0*cMW**2d0*coupl(      &
              nGC_201)**2d0*rMW**4d0 - 12d0*cMW**2d0*coupl(nGC_273)*coupl(     &
              nGC_276)*rMW**2d0 - 12d0*cMW**2d0*coupl(nGC_286)**2d0*rMW**2d0 - &
              4d0*cMZ**4d0*coupl(nGC_184)**2d0*rMW**2d0 - 16d0*cMZ**4d0*coupl( &
              nGC_198)*coupl(nGC_199)*rMW**2d0 - cMZ**4d0*coupl(nGC_200)**2d0* &
              rMW**2d0 - cMZ**4d0*coupl(nGC_201)**2d0*rMW**2d0 + 8d0*cMZ**2d0* &
              coupl(nGC_184)**2d0*rMW**4d0 + 32d0*cMZ**2d0*coupl(nGC_198)*coupl&
              (nGC_199)*rMW**4d0 + 2d0*cMZ**2d0*coupl(nGC_200)**2d0*rMW**4d0 + &
              2d0*cMZ**2d0*coupl(nGC_201)**2d0*rMW**4d0 - 4d0*coupl(nGC_184)** &
              2d0*rMW**6d0 + 80d0*coupl(nGC_198)*coupl(nGC_199)*rMW**6d0 -     &
              coupl(nGC_200)**2d0*rMW**6d0 - coupl(nGC_201)**2d0*rMW**6d0 +    &
              12d0*coupl(nGC_273)*coupl(nGC_276)*rMW**4d0 + 12d0*coupl(nGC_286 &
              )**2d0*rMW**4d0)/(12d0*rMW**2d0) + Ten1012*coupl(nGC_184)**2d0*( &
              cMHA**4d0*cMW**2d0 - cMHA**4d0*rMW**2d0 - 2d0*cMHA**2d0*cMHC**2d0&
              *cMW**2d0 + 2d0*cMHA**2d0*cMHC**2d0*rMW**2d0 - 2d0*cMHA**2d0*cMW &
              **2d0*rMW**2d0 + 2d0*cMHA**2d0*rMW**4d0 + cMHC**4d0*cMW**2d0 -   &
              cMHC**4d0*rMW**2d0 - 2d0*cMHC**2d0*cMW**2d0*rMW**2d0 + 2d0*cMHC**&
              2d0*rMW**4d0 + cMW**2d0*rMW**4d0 - rMW**6d0)/(3d0*rMW**2d0) +    &
              Ten1013*coupl(nGC_323)**2d0*(-cMW**2d0 + rMW**2d0) + Ten1014*    &
              coupl(nGC_262)*coupl(nGC_265)*(-cMW**2d0 + rMW**2d0) + Ten1015*  &
              coupl(nGC_269)**2d0*(-cMW**2d0 + rMW**2d0) + Ten13*(-cMHA**2d0*  &
              cMW**2d0*coupl(nGC_184)**2d0 + cMHA**2d0*coupl(nGC_184)**2d0*rMW &
              **2d0 + cMHC**2d0*cMW**2d0*coupl(nGC_172)*coupl(nGC_173) + cMHC**&
              2d0*cMW**2d0*coupl(nGC_178)*coupl(nGC_179) + cMHC**2d0*cMW**2d0* &
              coupl(nGC_184)**2d0 - cMHC**2d0*coupl(nGC_172)*coupl(nGC_173)*rMW&
              **2d0 - cMHC**2d0*coupl(nGC_178)*coupl(nGC_179)*rMW**2d0 - cMHC**&
              2d0*coupl(nGC_184)**2d0*rMW**2d0 - cMHH**2d0*cMW**2d0*coupl(     &
              nGC_172)*coupl(nGC_173) + cMHH**2d0*coupl(nGC_172)*coupl(nGC_173 &
              )*rMW**2d0 - cMHL**2d0*cMW**2d0*coupl(nGC_178)*coupl(nGC_179) +  &
              cMHL**2d0*coupl(nGC_178)*coupl(nGC_179)*rMW**2d0 - 3d0*cima*coupl&
              (nGC_100)*rMW**4d0)/(3d0*rMW**4d0) + Ten14*(2d0*cMHA**2d0*cMW**  &
              2d0*coupl(nGC_184)**2d0 - 2d0*cMHA**2d0*coupl(nGC_184)**2d0*rMW**&
              2d0 - 2d0*cMHC**2d0*cMW**2d0*coupl(nGC_184)**2d0 + 2d0*cMHC**2d0*&
              coupl(nGC_184)**2d0*rMW**2d0 - 3d0*cima*coupl(nGC_100)*rMW**4d0  &
              )/(6d0*rMW**4d0) + Ten195*(-4d0*cME**2d0*cMW**2d0*coupl(nGC_197  &
              )**2d0 + 4d0*cME**2d0*coupl(nGC_197)**2d0*rMW**2d0 - 4d0*cMM**2d0&
              *cMW**2d0*coupl(nGC_197)**2d0 + 4d0*cMM**2d0*coupl(nGC_197)**2d0*&
              rMW**2d0 - 4d0*cMTA**2d0*cMW**2d0*coupl(nGC_197)**2d0 + 4d0*cMTA &
              **2d0*coupl(nGC_197)**2d0*rMW**2d0 - 16d0*cMW**4d0*coupl(nGC_3)* &
              coupl(nGC_4) - cMW**4d0*coupl(nGC_5)**2d0 - cMW**4d0*coupl(nGC_6 &
              )**2d0 + 16d0*cMW**2d0*coupl(nGC_3)*coupl(nGC_4)*rMW**2d0 + cMW**&
              2d0*coupl(nGC_5)**2d0*rMW**2d0 + cMW**2d0*coupl(nGC_6)**2d0*rMW**&
              2d0 + 12d0*cima*coupl(nGC_10)*rMW**4d0 + 24d0*cima*coupl(nGC_9)* &
              rMW**4d0)/(12d0*rMW**4d0) + Ten2*(-2d0*cMHC**2d0*cMW**2d0*coupl( &
              nGC_172)*coupl(nGC_173) + 2d0*cMHC**2d0*coupl(nGC_172)*coupl(    &
              nGC_173)*rMW**2d0 + 2d0*cMHH**2d0*cMW**2d0*coupl(nGC_172)*coupl( &
              nGC_173) + 2d0*cMHH**2d0*cMW**2d0*coupl(nGC_178)*coupl(nGC_179   &
              ) - 2d0*cMHH**2d0*coupl(nGC_172)*coupl(nGC_173)*rMW**2d0 - 2d0*  &
              cMHH**2d0*coupl(nGC_178)*coupl(nGC_179)*rMW**2d0 - 2d0*cMW**4d0* &
              coupl(nGC_178)*coupl(nGC_179) + 2d0*cMW**2d0*coupl(nGC_178)*coupl&
              (nGC_179)*rMW**2d0 - 3d0*cima*coupl(nGC_77)*rMW**4d0)/(6d0*rMW** &
              4d0) + Ten3*(-4d0*cMHH**2d0*cMW**2d0*coupl(nGC_178)*coupl(nGC_179&
              ) + 4d0*cMHH**2d0*coupl(nGC_178)*coupl(nGC_179)*rMW**2d0 - 4d0*  &
              cMHL**2d0*cMW**2d0*coupl(nGC_172)*coupl(nGC_173) + 4d0*cMHL**2d0*&
              coupl(nGC_172)*coupl(nGC_173)*rMW**2d0 + 4d0*cMW**4d0*coupl(     &
              nGC_172)*coupl(nGC_173) + 4d0*cMW**4d0*coupl(nGC_178)*coupl(     &
              nGC_179) + 4d0*cMW**4d0*coupl(nGC_184)**2d0 + 16d0*cMW**4d0*coupl&
              (nGC_198)*coupl(nGC_199) + cMW**4d0*coupl(nGC_200)**2d0 + cMW**  &
              4d0*coupl(nGC_201)**2d0 + 16d0*cMW**4d0*coupl(nGC_3)*coupl(nGC_4 &
              ) + cMW**4d0*coupl(nGC_5)**2d0 + cMW**4d0*coupl(nGC_6)**2d0 - 4d0&
              *cMW**2d0*cMZ**2d0*coupl(nGC_184)**2d0 - 16d0*cMW**2d0*cMZ**2d0* &
              coupl(nGC_198)*coupl(nGC_199) - cMW**2d0*cMZ**2d0*coupl(nGC_200  &
              )**2d0 - cMW**2d0*cMZ**2d0*coupl(nGC_201)**2d0 - 4d0*cMW**2d0*   &
              coupl(nGC_172)*coupl(nGC_173)*rMW**2d0 - 4d0*cMW**2d0*coupl(     &
              nGC_178)*coupl(nGC_179)*rMW**2d0 - 4d0*cMW**2d0*coupl(nGC_184)** &
              2d0*rMW**2d0 - 16d0*cMW**2d0*coupl(nGC_198)*coupl(nGC_199)*rMW** &
              2d0 - cMW**2d0*coupl(nGC_200)**2d0*rMW**2d0 - cMW**2d0*coupl(    &
              nGC_201)**2d0*rMW**2d0 - 16d0*cMW**2d0*coupl(nGC_3)*coupl(nGC_4)*&
              rMW**2d0 - cMW**2d0*coupl(nGC_5)**2d0*rMW**2d0 - cMW**2d0*coupl( &
              nGC_6)**2d0*rMW**2d0 + 4d0*cMZ**2d0*coupl(nGC_184)**2d0*rMW**2d0 &
               + 16d0*cMZ**2d0*coupl(nGC_198)*coupl(nGC_199)*rMW**2d0 + cMZ**  &
              2d0*coupl(nGC_200)**2d0*rMW**2d0 + cMZ**2d0*coupl(nGC_201)**2d0* &
              rMW**2d0 - 12d0*cima*coupl(nGC_100)*rMW**4d0 + 24d0*cima*coupl(  &
              nGC_190)*rMW**4d0 + 24d0*cima*coupl(nGC_191)*rMW**4d0)/(12d0*rMW &
              **4d0) + Ten4*cME**2d0*coupl(nGC_197)**2d0*(cMW**2d0 - rMW**2d0  &
              )/(3d0*rMW**4d0) + Ten5*cMM**2d0*coupl(nGC_197)**2d0*(cMW**2d0 - &
              rMW**2d0)/(3d0*rMW**4d0) + Ten6*cMTA**2d0*coupl(nGC_197)**2d0*(  &
              cMW**2d0 - rMW**2d0)/(3d0*rMW**4d0) + Ten959*(-16d0*cMW**6d0*    &
              coupl(nGC_3)*coupl(nGC_4) - cMW**6d0*coupl(nGC_5)**2d0 - cMW**6d0&
              *coupl(nGC_6)**2d0 + 16d0*cMW**4d0*coupl(nGC_3)*coupl(nGC_4)*rMW &
              **2d0 + cMW**4d0*coupl(nGC_5)**2d0*rMW**2d0 + cMW**4d0*coupl(    &
              nGC_6)**2d0*rMW**2d0 - 80d0*cMW**2d0*coupl(nGC_3)*coupl(nGC_4)*  &
              rMW**4d0 + cMW**2d0*coupl(nGC_5)**2d0*rMW**4d0 + cMW**2d0*coupl( &
              nGC_6)**2d0*rMW**4d0 - 16d0*coupl(nGC_3)*coupl(nGC_4)*rMW**6d0 - &
              12d0*coupl(nGC_326)**2d0*rMW**4d0 - coupl(nGC_5)**2d0*rMW**6d0 - &
              coupl(nGC_6)**2d0*rMW**6d0)/(12d0*rMW**4d0) + Ten960*(-16d0*coupl&
              (nGC_3)*coupl(nGC_4) - coupl(nGC_5)**2d0 - coupl(nGC_6)**2d0) +  &
              Ten961*(-cMHL**4d0*cMW**2d0*coupl(nGC_172)*coupl(nGC_173) + cMHL &
              **4d0*coupl(nGC_172)*coupl(nGC_173)*rMW**2d0 + 2d0*cMHL**2d0*cMW &
              **4d0*coupl(nGC_172)*coupl(nGC_173) - 2d0*cMHL**2d0*cMW**2d0*    &
              coupl(nGC_172)*coupl(nGC_173)*rMW**2d0 - cMW**6d0*coupl(nGC_172)*&
              coupl(nGC_173) + cMW**4d0*coupl(nGC_172)*coupl(nGC_173)*rMW**2d0 &
               + cMW**2d0*coupl(nGC_172)*coupl(nGC_173)*rMW**4d0 - coupl(      &
              nGC_172)*coupl(nGC_173)*rMW**6d0 - 3d0*coupl(nGC_261)**2d0*rMW** &
              4d0)/(3d0*rMW**4d0) + Ten962*(-cMHH**4d0*cMW**2d0*coupl(nGC_178)*&
              coupl(nGC_179) + cMHH**4d0*coupl(nGC_178)*coupl(nGC_179)*rMW**2d0&
               + 2d0*cMHH**2d0*cMW**4d0*coupl(nGC_178)*coupl(nGC_179) - 2d0*   &
              cMHH**2d0*cMW**2d0*coupl(nGC_178)*coupl(nGC_179)*rMW**2d0 - cMW**&
              6d0*coupl(nGC_178)*coupl(nGC_179) + cMW**4d0*coupl(nGC_178)*coupl&
              (nGC_179)*rMW**2d0 + cMW**2d0*coupl(nGC_178)*coupl(nGC_179)*rMW**&
              4d0 - coupl(nGC_178)*coupl(nGC_179)*rMW**6d0 - 3d0*coupl(nGC_272 &
              )**2d0*rMW**4d0)/(3d0*rMW**4d0) + Ten965*(-4d0*cMW**6d0*coupl(   &
              nGC_184)**2d0 - 16d0*cMW**6d0*coupl(nGC_198)*coupl(nGC_199) - cMW&
              **6d0*coupl(nGC_200)**2d0 - cMW**6d0*coupl(nGC_201)**2d0 + 8d0*  &
              cMW**4d0*cMZ**2d0*coupl(nGC_184)**2d0 + 32d0*cMW**4d0*cMZ**2d0*  &
              coupl(nGC_198)*coupl(nGC_199) + 2d0*cMW**4d0*cMZ**2d0*coupl(     &
              nGC_200)**2d0 + 2d0*cMW**4d0*cMZ**2d0*coupl(nGC_201)**2d0 + 4d0* &
              cMW**4d0*coupl(nGC_184)**2d0*rMW**2d0 + 16d0*cMW**4d0*coupl(     &
              nGC_198)*coupl(nGC_199)*rMW**2d0 + cMW**4d0*coupl(nGC_200)**2d0* &
              rMW**2d0 + cMW**4d0*coupl(nGC_201)**2d0*rMW**2d0 - 4d0*cMW**2d0* &
              cMZ**4d0*coupl(nGC_184)**2d0 - 16d0*cMW**2d0*cMZ**4d0*coupl(     &
              nGC_198)*coupl(nGC_199) - cMW**2d0*cMZ**4d0*coupl(nGC_200)**2d0  &
               - cMW**2d0*cMZ**4d0*coupl(nGC_201)**2d0 - 8d0*cMW**2d0*cMZ**2d0*&
              coupl(nGC_184)**2d0*rMW**2d0 - 32d0*cMW**2d0*cMZ**2d0*coupl(     &
              nGC_198)*coupl(nGC_199)*rMW**2d0 - 2d0*cMW**2d0*cMZ**2d0*coupl(  &
              nGC_200)**2d0*rMW**2d0 - 2d0*cMW**2d0*cMZ**2d0*coupl(nGC_201)**  &
              2d0*rMW**2d0 + 4d0*cMW**2d0*coupl(nGC_184)**2d0*rMW**4d0 - 80d0* &
              cMW**2d0*coupl(nGC_198)*coupl(nGC_199)*rMW**4d0 + cMW**2d0*coupl(&
              nGC_200)**2d0*rMW**4d0 + cMW**2d0*coupl(nGC_201)**2d0*rMW**4d0 + &
              4d0*cMZ**4d0*coupl(nGC_184)**2d0*rMW**2d0 + 16d0*cMZ**4d0*coupl( &
              nGC_198)*coupl(nGC_199)*rMW**2d0 + cMZ**4d0*coupl(nGC_200)**2d0* &
              rMW**2d0 + cMZ**4d0*coupl(nGC_201)**2d0*rMW**2d0 - 4d0*coupl(    &
              nGC_184)**2d0*rMW**6d0 - 16d0*coupl(nGC_198)*coupl(nGC_199)*rMW**&
              6d0 - coupl(nGC_200)**2d0*rMW**6d0 - coupl(nGC_201)**2d0*rMW**6d0&
               - 12d0*coupl(nGC_273)*coupl(nGC_276)*rMW**4d0 - 12d0*coupl(     &
              nGC_286)**2d0*rMW**4d0)/(12d0*rMW**4d0) - 4d0*Ten967*coupl(      &
              nGC_172)*coupl(nGC_173) - 4d0*Ten968*coupl(nGC_178)*coupl(nGC_179&
              ) + 4d0*Ten969*coupl(nGC_197)**2d0 + 4d0*Ten970*coupl(nGC_197)** &
              2d0 + 4d0*Ten971*coupl(nGC_197)**2d0 - 4d0*Ten972*coupl(nGC_178)*&
              coupl(nGC_179) - 4d0*Ten973*coupl(nGC_172)*coupl(nGC_173) - 4d0* &
              Ten974*coupl(nGC_184)**2d0 + Ten975*(-4d0*coupl(nGC_184)**2d0 -  &
              16d0*coupl(nGC_198)*coupl(nGC_199) - coupl(nGC_200)**2d0 - coupl(&
              nGC_201)**2d0) + 2d0*Ten979*coupl(nGC_197)**2d0*rMW**2d0 + 2d0*  &
              Ten980*coupl(nGC_197)**2d0*rMW**2d0 + 2d0*Ten981*coupl(nGC_197)**&
              2d0*rMW**2d0 + 2d0*Ten985*coupl(nGC_197)**2d0*rMW**2d0 + 2d0*    &
              Ten986*coupl(nGC_197)**2d0*rMW**2d0 + 2d0*Ten987*coupl(nGC_197)**&
              2d0*rMW**2d0 + Ten991*coupl(nGC_197)**2d0*(-cME**4d0*cMW**2d0 +  &
              cME**4d0*rMW**2d0 - 2d0*cMW**2d0*rMW**4d0 + 2d0*rMW**6d0)/(3d0*  &
              rMW**4d0) + Ten992*coupl(nGC_197)**2d0*(-cMM**4d0*cMW**2d0 + cMM &
              **4d0*rMW**2d0 - 2d0*cMW**2d0*rMW**4d0 + 2d0*rMW**6d0)/(3d0*rMW**&
              4d0) + Ten993*coupl(nGC_197)**2d0*(-cMTA**4d0*cMW**2d0 + cMTA**  &
              4d0*rMW**2d0 - 2d0*cMW**2d0*rMW**4d0 + 2d0*rMW**6d0)/(3d0*rMW**  &
              4d0) + Ten997*coupl(nGC_178)*coupl(nGC_179)*(-cMHC**4d0*cMW**2d0 &
               + cMHC**4d0*rMW**2d0 + 2d0*cMHC**2d0*cMHL**2d0*cMW**2d0 - 2d0*  &
              cMHC**2d0*cMHL**2d0*rMW**2d0 - cMHL**4d0*cMW**2d0 + cMHL**4d0*rMW&
              **2d0 + cMW**2d0*rMW**4d0 - rMW**6d0)/(3d0*rMW**4d0) + Ten998*   &
              coupl(nGC_172)*coupl(nGC_173)*(-cMHC**4d0*cMW**2d0 + cMHC**4d0*  &
              rMW**2d0 + 2d0*cMHC**2d0*cMHH**2d0*cMW**2d0 - 2d0*cMHC**2d0*cMHH &
              **2d0*rMW**2d0 - cMHH**4d0*cMW**2d0 + cMHH**4d0*rMW**2d0 + cMW** &
              2d0*rMW**4d0 - rMW**6d0)/(3d0*rMW**4d0) + Ten999*coupl(nGC_184)**&
              2d0*(-cMHA**4d0*cMW**2d0 + cMHA**4d0*rMW**2d0 + 2d0*cMHA**2d0*   &
              cMHC**2d0*cMW**2d0 - 2d0*cMHA**2d0*cMHC**2d0*rMW**2d0 - cMHC**4d0&
              *cMW**2d0 + cMHC**4d0*rMW**2d0 + cMW**2d0*rMW**4d0 - rMW**6d0)/( &
              3d0*rMW**4d0) + pi**2d0*(-Nc*cMB**2d0*coupl(nGC_197)**2d0/pi**2d0&
               - Nc*cMC**2d0*coupl(nGC_197)**2d0/pi**2d0 - Nc*cMD**2d0*coupl(  &
              nGC_197)**2d0/pi**2d0 - Nc*cMS**2d0*coupl(nGC_197)**2d0/pi**2d0  &
               - Nc*cMT**2d0*coupl(nGC_197)**2d0/pi**2d0 - Nc*cMU**2d0*coupl(  &
              nGC_197)**2d0/pi**2d0 + 2d0*Nc*cMW**2d0*coupl(nGC_197)**2d0/(3d0*&
              pi**2d0) + Nc*coupl(nGC_197)**2d0*rMW**2d0/(3d0*pi**2d0) - 16d0* &
              aEW*cMW**2d0/pi + 16d0*aEW*rMW**2d0/pi - cME**2d0*coupl(nGC_197  &
              )**2d0/pi**2d0 - cMM**2d0*coupl(nGC_197)**2d0/pi**2d0 - cMTA**2d0&
              *coupl(nGC_197)**2d0/pi**2d0 + 4d0*cMW**2d0*coupl(nGC_172)*coupl(&
              nGC_173)/(9d0*pi**2d0) + 4d0*cMW**2d0*coupl(nGC_178)*coupl(      &
              nGC_179)/(9d0*pi**2d0) + 4d0*cMW**2d0*coupl(nGC_184)**2d0/(9d0*pi&
              **2d0) - cima*cMW**2d0*coupl(nGC_191)/pi**2d0 + 2d0*cMW**2d0*    &
              coupl(nGC_197)**2d0/(3d0*pi**2d0) + 20d0*cMW**2d0*coupl(nGC_198)*&
              coupl(nGC_199)/(9d0*pi**2d0) + cMW**2d0*coupl(nGC_200)**2d0/(18d0&
              *pi**2d0) + cMW**2d0*coupl(nGC_201)**2d0/(18d0*pi**2d0) + 20d0*  &
              cMW**2d0*coupl(nGC_3)*coupl(nGC_4)/(9d0*pi**2d0) + cMW**2d0*coupl&
              (nGC_5)**2d0/(18d0*pi**2d0) + cMW**2d0*coupl(nGC_6)**2d0/(18d0*pi&
              **2d0) - cima*cMZ**2d0*coupl(nGC_195)/pi**2d0 + 2d0*cMZ**2d0*    &
              coupl(nGC_198)*coupl(nGC_199)/pi**2d0 - 4d0*coupl(nGC_172)*coupl(&
              nGC_173)*rMW**2d0/(9d0*pi**2d0) - 4d0*coupl(nGC_178)*coupl(      &
              nGC_179)*rMW**2d0/(9d0*pi**2d0) - 4d0*coupl(nGC_184)**2d0*rMW**  &
              2d0/(9d0*pi**2d0) + coupl(nGC_197)**2d0*rMW**2d0/(3d0*pi**2d0) - &
              8d0*coupl(nGC_198)*coupl(nGC_199)*rMW**2d0/(9d0*pi**2d0) - coupl(&
              nGC_200)**2d0*rMW**2d0/(18d0*pi**2d0) - coupl(nGC_201)**2d0*rMW**&
              2d0/(18d0*pi**2d0) - 8d0*coupl(nGC_3)*coupl(nGC_4)*rMW**2d0/(9d0*&
              pi**2d0) - coupl(nGC_5)**2d0*rMW**2d0/(18d0*pi**2d0) - coupl(    &
              nGC_6)**2d0*rMW**2d0/(18d0*pi**2d0)))/(16d0*pi**2d0) - cima*coupl&
              (nGC_261)*dtHl_QED1/cMHL**2d0 - cima*coupl(nGC_272)*dtHh_QED1/   &
              cMHH**2d0
    if (.not. complex_mass_scheme) then
      dMW2_QED2 = cone*real(dMW2_QED2,kind=dp)
    end if 
end subroutine set_ctparameter94
end module ctparameter94
