!******************************************************************************!
!                                                                              !
!    lcFFVa.f90                                                                !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   lcFFVa.f90                                     |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-10 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module lcFFVa
  use class_vertices
  use constants_mdl
  implicit none
  complex (dp) :: x0, x1, x2, x3, x4, x5, x6, x7, x8, x9, x10, x11, x12, x13,  &
                  x14, x15, x16, x17, x18, x19, x20, x21, x22, x23, x24, x25,  &
                  x26, x27, x28, x29, x30
  complex (dp), dimension(0:3) :: x0vec
  contains
    subroutine loopFFVa(ty, co, wl, P1, PL1, w2, P2, PL2, m, wp, riMaxIn,      &
    riMaxOut, rankInc)
      use class_vertices
      integer, intent(in) :: riMaxIn, riMaxOut, rankInc
      complex (kind = dp), intent(in), dimension(0:3) :: P1, PL1
      complex (kind = dp), intent(in), dimension(0:3, 0:riMaxIn) :: wl
      complex (kind = dp), intent(in), dimension(0:3) :: P2, PL2
      complex (kind = dp), intent(in), dimension(0:3) :: w2
      complex (dp), intent(out), dimension(0:3,0:riMaxOut) :: wp
      complex (kind = dp), intent(in) :: m
      complex (kind = dp), dimension(0:3) :: pl, p
      integer, intent(in) :: ty
      complex (kind = dp), dimension(0:), intent(in) :: co
      complex (kind = dp), dimension(0:3) :: sp1
      complex (kind = dp), dimension(0:3,0:3) :: sp2
      complex (kind = dp), dimension(0:3,0:3,0:3) :: sp3
      complex (kind = dp), dimension(0:3,0:3,0:3,0:3) :: sp4
      character(len=3) :: ty_str
      integer :: riOut, j
      logical :: isFirstRI
      integer :: mu, nu, ro, ta, te, tu
      select case(ty)
      case(VFaF0)
!       GammaP(1,2,3)*c0
!       GammaM(1,2,3)*c1
        pl(:) = PL1(:) + PL2(:)
        x14 = pl(0)*w2(3)
        x15 = pl(2)*w2(2)
        x17 = co(1)*m
        x18 = pl(1)*w2(2)
        x19 = pl(3)*w2(3)
        do j = riMaxIn, 0, -1
          x0 = w2(0)*wl(1,j)
          x1 = wl(0,j) - wl(3,j)
          x2 = w2(1)*x1
          x3 = x0 + x2
          x4 = wl(0,j) + wl(3,j)
          x5 = w2(0)*x4
          x6 = w2(1)*wl(1,j)
          x7 = cima*(x5 + x6)
          x8 = w2(3)*wl(2,j)
          x9 = w2(2)*x1
          x10 = w2(3)*wl(1,j)
          x11 = co(0)*(-cima*x10 + cima*x9 + x8)
          x12 = w2(3)*x4
          x13 = co(0)*(cima*w2(2)*wl(1,j) - cima*x12 + w2(2)*wl(2,j))
          x16 = w2(1)*wl(2,j)
          x20 = co(1)*(cima*x0 + cima*x2 + w2(0)*wl(2,j))
          x21 = -co(1)*(cima*x5 + cima*x6 - x16)
          x22 = -x20
          x23 = -co(0)*(cima*(x10 - x9) - x8)
          x24 = cima*wl(2,j)
          x25 = -wl(1,j) + x24
          x26 = wl(1,j) + x24
          wp(0,j) = co(1)*(cima*pl(2)*x3 + pl(1)*w2(1)*wl(2,j) - pl(1)*x7 + pl(&
                    2)*w2(0)*wl(2,j)) - m*x11
          wp(1,j) = -co(1)*(-cima*pl(3)*(x5 + x6) + pl(0)*(cima*x3 + w2(0)*wl(2&
                    ,j)) + pl(3)*w2(1)*wl(2,j)) + m*x13
          wp(2,j) = cima*co(0)*(-pl(0)*x9 - pl(2)*x12 + wl(1,j)*(x14 + x15)) + &
                    co(0)*wl(2,j)*(-x14 + x15) + x17*(x16 - x7)
          wp(3,j) = cima*co(0)*(-pl(1)*x12 - pl(3)*x9 + wl(1,j)*(x18 + x19)) + &
                    co(0)*wl(2,j)*(x18 - x19) - m*x20
          if(rankInc .lt. 1) cycle
          sp2(0,0) = x21
          sp2(0,1) = x22
          sp2(0,2) = -x11
          sp2(0,3) = x13
          sp2(1,0) = x22
          sp2(1,1) = x21
          sp2(1,2) = -x13
          sp2(1,3) = x23
          sp2(2,0) = co(1)*(-w2(0)*x25 + x2)
          sp2(2,1) = -co(1)*(w2(1)*x26 + x5)
          sp2(2,2) = -co(0)*(w2(2)*x25 + x12)
          sp2(2,3) = co(0)*(-w2(3)*x26 + x9)
          sp2(3,0) = x21
          sp2(3,1) = x20
          sp2(3,2) = x23
          sp2(3,3) = x13
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(mu,:)
          end do 
        end do 
      case(VFaF1)
!       GammaM(1,2,3)*c0
        pl(:) = PL1(:) + PL2(:)
        do j = riMaxIn, 0, -1
          x0 = w2(0)*wl(1,j)
          x1 = w2(1)*(wl(0,j) - wl(3,j))
          x2 = x0 + x1
          x3 = w2(0)*(wl(0,j) + wl(3,j))
          x4 = w2(1)*wl(1,j)
          x5 = co(0)*(cima*x3 + cima*x4 - w2(1)*wl(2,j))
          x6 = co(0)*(cima*x0 + cima*x1 + w2(0)*wl(2,j))
          x7 = -x5
          x8 = -x6
          x9 = cima*wl(2,j)
          wp(0,j) = co(0)*(-cima*pl(1)*(x3 + x4) + cima*pl(2)*x2 + wl(2,j)*(pl(&
                    1)*w2(1) + pl(2)*w2(0)))
          wp(1,j) = co(0)*(-cima*pl(0)*x2 + cima*pl(3)*(x3 + x4) - wl(2,j)*(pl(&
                    0)*w2(0) + pl(3)*w2(1)))
          wp(2,j) = -m*x5
          wp(3,j) = -m*x6
          if(rankInc .lt. 1) cycle
          sp2(0,0) = x7
          sp2(0,1) = x8
          sp2(0,2) = 0
          sp2(0,3) = 0
          sp2(1,0) = x8
          sp2(1,1) = x7
          sp2(1,2) = 0
          sp2(1,3) = 0
          sp2(2,0) = co(0)*(w2(0)*(wl(1,j) - x9) + x1)
          sp2(2,1) = -co(0)*(w2(1)*(wl(1,j) + x9) + x3)
          sp2(2,2) = 0
          sp2(2,3) = 0
          sp2(3,0) = x7
          sp2(3,1) = x6
          sp2(3,2) = 0
          sp2(3,3) = 0
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(mu,:)
          end do 
        end do 
      case(FFaV0)
!       GammaP(3,2,1)*c0
!       GammaM(3,2,1)*c1
        do j = riMaxIn, 0, -1
          x0 = co(0)*w2(3)*wl(1,j)
          x1 = co(1)*w2(0)*wl(2,j)
          x2 = co(0)*w2(2)*wl(0,j) + co(1)*w2(1)*wl(3,j)
          x3 = w2(2)*wl(1,j)
          x4 = w2(3)*wl(0,j)
          x5 = w2(0)*wl(3,j)
          x6 = w2(1)*wl(2,j)
          wp(0,j) = cima*(x0 + x1 + x2)
          wp(1,j) = cima*(co(0)*(x3 + x4) - co(1)*(x5 + x6))
          wp(2,j) = co(0)*(x3 - x4) + co(1)*(-x5 + x6)
          wp(3,j) = -cima*(x0 + x1 - x2)
        end do 
      case(FFaV1)
!       GammaM(3,2,1)*c0
        x2 = cima*co(0)
        do j = riMaxIn, 0, -1
          x0 = w2(0)*wl(2,j)
          x1 = w2(1)*wl(3,j)
          x3 = w2(0)*wl(3,j)
          x4 = w2(1)*wl(2,j)
          wp(0,j) = x2*(x0 + x1)
          wp(1,j) = -x2*(x3 + x4)
          wp(2,j) = co(0)*(-x3 + x4)
          wp(3,j) = x2*(-x0 + x1)
        end do 
      case(FaVF0)
!       GammaM(2,1,3)*c0
        pl(:) = PL1(:) + PL2(:)
        do j = riMaxIn, 0, -1
          x0 = w2(1)*wl(0,j)
          x1 = wl(1,j)*(w2(0) - w2(3))
          x2 = x0 + x1
          x3 = w2(1)*wl(1,j)
          x4 = wl(0,j)*(w2(0) + w2(3))
          x5 = cima*(x3 + x4)
          x6 = w2(2)*wl(1,j)
          x7 = w2(2)*wl(0,j)
          x8 = co(0)*(cima*x0 + cima*x1 + x7)
          x9 = co(0)*(-x5 + x6)
          x10 = -x8
          wp(0,j) = co(0)*(cima*pl(2)*x2 + pl(1)*w2(2)*wl(1,j) - pl(1)*x5 + pl(&
                    2)*w2(2)*wl(0,j))
          wp(1,j) = co(0)*(-cima*pl(0)*(w2(0)*wl(1,j) - w2(3)*wl(1,j) + x0) +  &
                    cima*pl(3)*(x3 + x4) - w2(2)*(pl(0)*wl(0,j) + pl(3)*wl(1,j &
                    )))
          wp(2,j) = co(0)*m*(-x5 + x6)
          wp(3,j) = -m*x8
          if(rankInc .lt. 1) cycle
          sp2(0,0) = x9
          sp2(0,1) = x10
          sp2(0,2) = 0
          sp2(0,3) = 0
          sp2(1,0) = x10
          sp2(1,1) = x9
          sp2(1,2) = 0
          sp2(1,3) = 0
          sp2(2,0) = co(0)*(-cima*x7 + x2)
          sp2(2,1) = -co(0)*(cima*w2(2)*wl(1,j) + w2(1)*wl(1,j) + x4)
          sp2(2,2) = 0
          sp2(2,3) = 0
          sp2(3,0) = x9
          sp2(3,1) = x8
          sp2(3,2) = 0
          sp2(3,3) = 0
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(mu,:)
          end do 
        end do 
      case(FaVF1)
!       GammaP(2,1,3)*c0
!       GammaM(2,1,3)*c1
        pl(:) = PL1(:) + PL2(:)
        x1 = w2(0) - w2(3)
        x4 = w2(0) + w2(3)
        x20 = co(1)*m
        x22 = cima*w2(1)
        x29 = cima*w2(2)
        do j = riMaxIn, 0, -1
          x0 = w2(1)*wl(0,j)
          x2 = wl(1,j)*x1
          x3 = x0 + x2
          x5 = wl(0,j)*x4
          x6 = cima*(w2(1)*wl(1,j) + x5)
          x7 = w2(1)*wl(3,j)
          x8 = -w2(0)*wl(2,j) + w2(3)*wl(2,j)
          x9 = x7 + x8
          x10 = w2(2)*wl(3,j)
          x11 = co(0)*(cima*x9 - x10)
          x12 = pl(3)*wl(1,j)
          x13 = w2(2)*wl(2,j)
          x14 = w2(1)*wl(2,j)
          x15 = wl(3,j)*x4
          x16 = cima*x15
          x17 = co(0)*(cima*x14 + x13 - x16)
          x18 = pl(2)*wl(2,j)
          x19 = w2(2)*wl(1,j)
          x21 = cima*wl(2,j)
          x23 = w2(2) + x22
          x24 = cima*x2
          x25 = co(1)*(x19 - x6)
          x26 = co(1)*(cima*x0 + w2(2)*wl(0,j) + x24)
          x27 = -x26
          x28 = co(0)*(-wl(3,j)*(-w2(2) + x22) + x1*x21)
          x30 = w2(1) + x29
          wp(0,j) = co(1)*(cima*pl(2)*x3 + pl(1)*w2(2)*wl(1,j) - pl(1)*x6 + pl(&
                    2)*w2(2)*wl(0,j)) + m*x11
          wp(1,j) = cima*co(1)*(-pl(0)*(w2(0)*wl(1,j) - w2(3)*wl(1,j) + x0) +  &
                    pl(3)*x5 + w2(1)*x12) - co(1)*w2(2)*(pl(0)*wl(0,j) + x12   &
                    ) + m*x17
          wp(2,j) = co(0)*(cima*pl(0)*x9 - cima*pl(2)*x15 + cima*w2(1)*x18 - pl&
                    (0)*w2(2)*wl(3,j) + w2(2)*x18) + x20*(x19 - x6)
          wp(3,j) = co(0)*pl(1)*(w2(1)*x21 + x13 - x16) - co(0)*pl(3)*(-cima*x7&
                     + x1*x21 + x10) - x20*(wl(0,j)*x23 + x24)
          if(rankInc .lt. 1) cycle
          sp2(0,0) = x25
          sp2(0,1) = x27
          sp2(0,2) = x11
          sp2(0,3) = x17
          sp2(1,0) = x27
          sp2(1,1) = x25
          sp2(1,2) = co(0)*(-wl(2,j)*x23 + x16)
          sp2(1,3) = x28
          sp2(2,0) = co(1)*(-wl(0,j)*x29 + x3)
          sp2(2,1) = -co(1)*(wl(1,j)*x30 + x5)
          sp2(2,2) = co(0)*(-wl(2,j)*x29 + x14 - x15)
          sp2(2,3) = -co(0)*(wl(3,j)*x30 + x8)
          sp2(3,0) = x25
          sp2(3,1) = x26
          sp2(3,2) = x28
          sp2(3,3) = x17
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(mu,:)
          end do 
        end do 
      case(FVFa0)
!       GammaP(2,3,1)*c0
!       GammaM(2,3,1)*c1
        pl(:) = PL1(:) + PL2(:)
        x1 = cima*w2(1)
        x2 = w2(0) + w2(3)
        x3 = cima*x2
        x7 = co(1)*m
        x11 = w2(0) - w2(3)
        x19 = co(0)*m
        x25 = w2(2) + x1
        x29 = cima*w2(2)
        do j = riMaxIn, 0, -1
          x0 = co(0)*wl(0,j)
          x4 = co(0)*wl(1,j)
          x5 = wl(2,j)*x2
          x6 = cima*x5
          x8 = w2(1)*wl(2,j)
          x9 = w2(0)*wl(3,j) - w2(3)*wl(3,j) + x8
          x10 = -w2(2)*wl(2,j)
          x12 = wl(3,j)*x11
          x13 = x12 + x8
          x14 = pl(1)*wl(3,j)
          x15 = w2(1)*wl(1,j)
          x16 = w2(3)*wl(0,j)
          x17 = w2(0)*wl(0,j)
          x18 = cima*(x15 + x16 - x17)
          x20 = w2(2)*wl(1,j)
          x21 = pl(2)*wl(3,j)
          x22 = wl(1,j)*x2
          x23 = w2(1)*wl(0,j)
          x24 = co(0)*(cima*x22 - cima*x23 + w2(2)*wl(0,j))
          x26 = co(1)*(wl(3,j)*x25 + x6)
          x27 = co(1)*(cima*x12 + cima*x8 + x10)
          x28 = co(0)*(x18 + x20)
          wp(0,j) = -cima*x0*(pl(0)*(-w2(0) + w2(3)) + pl(3)*w2(1)) - pl(0)*x4 &
                    *(w2(2) + x1) + pl(3)*w2(2)*x0 + pl(3)*x3*x4 - x7*(wl(3,j  &
                    )*(w2(2) + x1) + x6)
          wp(1,j) = -cima*x0*(pl(1)*w2(1) + pl(2)*(-w2(0) + w2(3))) + pl(1)*w2(&
                    2)*x0 + pl(1)*x3*x4 - pl(2)*x4*(w2(2) + x1) - x7*(cima*x9  &
                     + x10)
          wp(2,j) = co(1)*(cima*pl(1)*x5 - cima*pl(3)*x13 + cima*w2(1)*x14 + pl&
                    (3)*w2(2)*wl(2,j) + w2(2)*x14) + x19*(x18 + x20)
          wp(3,j) = -co(1)*(-cima*pl(0)*x9 + cima*pl(2)*x5 + cima*w2(1)*x21 +  &
                    pl(0)*w2(2)*wl(2,j) + w2(2)*x21) - m*x24
          if(rankInc .lt. 1) cycle
          sp2(0,0) = co(0)*(cima*wl(0,j)*x11 - wl(1,j)*x25)
          sp2(0,1) = x24
          sp2(0,2) = x26
          sp2(0,3) = x27
          sp2(1,0) = -x24
          sp2(1,1) = x28
          sp2(1,2) = x27
          sp2(1,3) = x26
          sp2(2,0) = co(0)*(wl(0,j)*x29 - x22 + x23)
          sp2(2,1) = co(0)*(wl(1,j)*x29 - x15 - x16 + x17)
          sp2(2,2) = co(1)*(wl(2,j)*x29 + x13)
          sp2(2,3) = -co(1)*(w2(1)*wl(3,j) - wl(3,j)*x29 + x5)
          sp2(3,0) = x28
          sp2(3,1) = x24
          sp2(3,2) = x26
          sp2(3,3) = -co(1)*(cima*x13 + x10)
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(mu,:)
          end do 
        end do 
      case(FVFa1)
!       GammaM(2,3,1)*c0
        pl(:) = PL1(:) + PL2(:)
        x0 = cima*w2(1)
        x13 = cima*w2(2)
        do j = riMaxIn, 0, -1
          x1 = wl(2,j)*(w2(0) + w2(3))
          x2 = cima*x1
          x3 = w2(1)*wl(2,j)
          x4 = wl(3,j)*(w2(0) - w2(3))
          x5 = x3 + x4
          x6 = -w2(2)*wl(2,j)
          x7 = co(0)*(cima*x5 + x6)
          x8 = w2(0)*wl(3,j) - w2(3)*wl(3,j) + x3
          x9 = pl(1)*wl(3,j)
          x10 = pl(2)*wl(3,j)
          x11 = co(0)*(wl(3,j)*(w2(2) + x0) + x2)
          x12 = co(0)*(cima*x3 + cima*x4 + x6)
          wp(0,j) = -co(0)*m*(wl(3,j)*(w2(2) + x0) + x2)
          wp(1,j) = -m*x7
          wp(2,j) = co(0)*(cima*pl(1)*x1 - cima*pl(3)*x8 + cima*w2(1)*x9 + pl(3&
                    )*w2(2)*wl(2,j) + w2(2)*x9)
          wp(3,j) = -co(0)*(-cima*pl(0)*x8 + cima*pl(2)*x1 + cima*w2(1)*x10 +  &
                    pl(0)*w2(2)*wl(2,j) + w2(2)*x10)
          if(rankInc .lt. 1) cycle
          sp2(0,0) = 0
          sp2(0,1) = 0
          sp2(0,2) = x11
          sp2(0,3) = x12
          sp2(1,0) = 0
          sp2(1,1) = 0
          sp2(1,2) = x12
          sp2(1,3) = x11
          sp2(2,0) = 0
          sp2(2,1) = 0
          sp2(2,2) = co(0)*(wl(2,j)*x13 + x5)
          sp2(2,3) = -co(0)*(w2(1)*wl(3,j) - wl(3,j)*x13 + x1)
          sp2(3,0) = 0
          sp2(3,1) = 0
          sp2(3,2) = x11
          sp2(3,3) = -x7
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(mu,:)
          end do 
        end do 
      case(FaFV0)
!       GammaP(3,1,2)*c0
!       GammaM(3,1,2)*c1
        do j = riMaxIn, 0, -1
          x0 = co(0)*w2(1)*wl(3,j)
          x1 = co(1)*w2(2)*wl(0,j)
          x2 = co(0)*w2(0)*wl(2,j) + co(1)*w2(3)*wl(1,j)
          x3 = w2(0)*wl(3,j)
          x4 = w2(1)*wl(2,j)
          x5 = w2(2)*wl(1,j)
          x6 = w2(3)*wl(0,j)
          wp(0,j) = cima*(x0 + x1 + x2)
          wp(1,j) = cima*(co(0)*(x3 + x4) - co(1)*(x5 + x6))
          wp(2,j) = co(0)*(-x3 + x4) + co(1)*(x5 - x6)
          wp(3,j) = -cima*(x0 + x1 - x2)
        end do 
      case(FaFV1)
!       GammaM(3,1,2)*c0
        x2 = cima*co(0)
        do j = riMaxIn, 0, -1
          x0 = w2(2)*wl(0,j)
          x1 = w2(3)*wl(1,j)
          x3 = w2(2)*wl(1,j)
          x4 = w2(3)*wl(0,j)
          wp(0,j) = x2*(x0 + x1)
          wp(1,j) = -x2*(x3 + x4)
          wp(2,j) = co(0)*(x3 - x4)
          wp(3,j) = x2*(-x0 + x1)
        end do 
      case(VFFa0)
!       GammaP(1,3,2)*c0
!       GammaM(1,3,2)*c1
        pl(:) = PL1(:) + PL2(:)
        x2 = pl(3)*w2(0)
        x8 = pl(1)*w2(0)
        x9 = cima*co(0)
        x11 = co(1)*m
        x17 = pl(1)*w2(3)
        x21 = pl(2)*w2(3)
        do j = riMaxIn, 0, -1
          x0 = w2(1)*wl(1,j)
          x1 = w2(0)*(-wl(0,j) + wl(3,j)) + x0
          x3 = wl(0,j) + wl(3,j)
          x4 = w2(1)*x3
          x5 = w2(2)*x3
          x6 = cima*wl(1,j)
          x7 = co(1)*(cima*x5 + w2(3)*wl(2,j) + w2(3)*x6)
          x10 = w2(2)*wl(2,j)
          x12 = w2(2)*wl(1,j)
          x13 = wl(0,j) - wl(3,j)
          x14 = w2(3)*x13
          x15 = x12 + x14
          x16 = cima*x15
          x18 = w2(1)*wl(2,j)
          x19 = w2(0)*x13
          x20 = -x0
          x22 = co(0)*(cima*x4 + w2(0)*wl(2,j) - w2(0)*x6)
          x23 = co(0)*(cima*x0 - cima*x19 + x18)
          x24 = -x10
          x25 = co(1)*(cima*x12 + cima*x14 + x24)
          x26 = cima*wl(2,j)
          x27 = wl(1,j) + x26
          wp(0,j) = -co(0)*(cima*pl(0)*x1 - cima*pl(3)*x4 + cima*wl(1,j)*x2 +  &
                    pl(0)*w2(1)*wl(2,j) - wl(2,j)*x2) - m*x7
          wp(1,j) = co(0)*wl(2,j)*(-pl(2)*w2(1) + x8) + pl(1)*x4*x9 - pl(2)*x1*&
                    x9 - wl(1,j)*x8*x9 + x10*x11 - x11*x16
          wp(2,j) = cima*co(1)*(pl(1)*x5 - pl(3)*x15 + wl(1,j)*x17) + co(0)*m* &
                    x18 + co(1)*wl(2,j)*(pl(3)*w2(2) + x17) - m*x9*(x19 + x20)
          wp(3,j) = -co(1)*(-cima*pl(0)*x15 + cima*pl(2)*x5 + cima*wl(1,j)*x21 &
                     + pl(0)*w2(2)*wl(2,j) + wl(2,j)*x21) - m*x22
          if(rankInc .lt. 1) cycle
          sp2(0,0) = -x23
          sp2(0,1) = x22
          sp2(0,2) = x7
          sp2(0,3) = x25
          sp2(1,0) = -x22
          sp2(1,1) = x23
          sp2(1,2) = x25
          sp2(1,3) = x7
          sp2(2,0) = co(0)*(w2(0)*x27 - x4)
          sp2(2,1) = co(0)*(cima*x18 + w2(0)*(wl(0,j) - wl(3,j)) + x20)
          sp2(2,2) = co(1)*(w2(2)*x27 + x14)
          sp2(2,3) = -co(1)*(w2(3)*(wl(1,j) - x26) + x5)
          sp2(3,0) = x23
          sp2(3,1) = x22
          sp2(3,2) = x7
          sp2(3,3) = -co(1)*(x16 + x24)
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(mu,:)
          end do 
        end do 
      case(VFFa1)
!       GammaM(1,3,2)*c0
        pl(:) = PL1(:) + PL2(:)
        x7 = pl(1)*w2(3)
        x8 = pl(2)*w2(3)
        do j = riMaxIn, 0, -1
          x0 = w2(2)*(wl(0,j) + wl(3,j))
          x1 = co(0)*(cima*w2(3)*wl(1,j) + cima*x0 + w2(3)*wl(2,j))
          x2 = w2(2)*wl(1,j)
          x3 = w2(3)*(wl(0,j) - wl(3,j))
          x4 = x2 + x3
          x5 = -w2(2)*wl(2,j)
          x6 = co(0)*(cima*x4 + x5)
          x9 = co(0)*(cima*x2 + cima*x3 + x5)
          x10 = cima*wl(2,j)
          wp(0,j) = -m*x1
          wp(1,j) = -m*x6
          wp(2,j) = co(0)*(cima*pl(1)*x0 - cima*pl(3)*x4 + cima*wl(1,j)*x7 + pl&
                    (3)*w2(2)*wl(2,j) + wl(2,j)*x7)
          wp(3,j) = -co(0)*(-cima*pl(0)*x4 + cima*pl(2)*x0 + cima*wl(1,j)*x8 + &
                    pl(0)*w2(2)*wl(2,j) + wl(2,j)*x8)
          if(rankInc .lt. 1) cycle
          sp2(0,0) = 0
          sp2(0,1) = 0
          sp2(0,2) = x1
          sp2(0,3) = x9
          sp2(1,0) = 0
          sp2(1,1) = 0
          sp2(1,2) = x9
          sp2(1,3) = x1
          sp2(2,0) = 0
          sp2(2,1) = 0
          sp2(2,2) = co(0)*(w2(2)*(wl(1,j) + x10) + x3)
          sp2(2,3) = -co(0)*(w2(3)*(wl(1,j) - x10) + x0)
          sp2(3,0) = 0
          sp2(3,1) = 0
          sp2(3,2) = x1
          sp2(3,3) = -x6
          do mu = 0, 3
            riOut = incRI(mu, j)
            wp(:,riOut) = wp(:,riOut) + sp2(mu,:)
          end do 
        end do 
      end select 
    end subroutine loopFFVa
end module lcFFVa
