!******************************************************************************!
!                                                                              !
!    currents_info3.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info3.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-10 10:32             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info3
  implicit none
  contains
  subroutine fill_current_3(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_GPlus, P_A, P_HMinus, P_A, 9611, check)
    call createCurrent(P_AQ, P_Hh, P_WMinus, P_GQPlus, 2388, check)
    call createCurrent(P_G0, P_ghWpAnti, P_G0, P_ghWp, 2172, check)
    call createCurrent(P_ghAAnti, P_HMinus, P_ghWp, P_HaQ, 6397, check)
    call createCurrent(P_HPlus, P_Ha, P_Ha, P_GMinus, 144, check)
    call createCurrent(P_tAnti, P_A, P_t, 1370, check)
    call createCurrent(P_HQMinus, P_Hh, P_WQPlus, 6378, check)
    call createCurrent(P_GQPlus, P_Hl, P_Hl, P_GQMinus, 2721, check)
    call createCurrent(P_HlQ, P_ghAAnti, P_HMinus, P_ghWp, 8552, check)
    call createCurrent(P_ZQ, P_tauPlus, P_tauMinus, 3478, check)
    call createCurrent(P_ghWp, P_HMinus, P_ghZAnti, P_HhQ, 1269, check)
    call createCurrent(P_u, P_Z, P_uAnti, 6161, check)
    call createCurrent(P_Ha, P_G0, P_ghWpAnti, P_ghWp, 8904, check)
    call createCurrent(P_ghA, P_GPlus, P_Hl, P_ghWpAnti, 8807, check)
    call createCurrent(P_HQMinus, P_Ha, P_Ha, P_GQPlus, 6583, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_A, 6200, check)
    call createCurrent(P_WMinus, P_G0, P_HPlus, P_A, 10165, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_Z, P_ghA, 463, check)
    call createCurrent(P_HQPlus, P_G0, P_Hh, P_GQMinus, 2889, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, P_G0, 8117, check)
    call createCurrent(P_GPlus, P_ghA, P_ghWpAnti, 8278, check)
    call createCurrent(P_ghWp, P_G0, P_ghWpAnti, P_GQ0, 3525, check)
    call createCurrent(P_GQPlus, P_G0, P_HMinus, P_GQ0, 1470, check)
    call createCurrent(P_WQPlus, P_HMinus, P_Hl, P_AQ, 6737, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_HMinus, P_HaQ, 6524, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_A, 3894, check)
    call createCurrent(P_ZQ, P_Ha, P_WPlus, P_HQMinus, 6012, check)
    call createCurrent(P_Z, P_dAnti, P_d, 3789, check)
    call createCurrent(P_HMinus, P_Hh, P_Ha, P_HPlus, 10430, check)
    call createCurrent(P_g, P_Ha, P_g, P_G0, 10520, check)
    call createCurrent(P_HMinus, P_ghZAnti, P_ghZ, P_GPlus, 9810, check)
    call createCurrent(P_WPlus, P_Z, P_ghA, P_ghWpAnti, 245, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WQPlus, 3806, check)
    call createCurrent(P_ePlus, P_eMinus, P_HhQ, 7037, check)
    call createCurrent(P_HPlus, P_Hl, P_G0, P_HMinus, 10341, check)
    call createCurrent(P_G0, P_Hl, P_GMinus, P_HPlus, 3996, check)
    call createCurrent(P_GPlus, P_GMinus, P_ghWp, P_ghWpAnti, 389, check)
    call createCurrent(P_HQMinus, P_Ha, P_WPlus, P_ZQ, 8126, check)
    call createCurrent(P_GMinus, P_GPlus, P_g, P_g, 10490, check)
    call createCurrent(P_HQPlus, P_Hh, P_ghZ, P_ghWpAnti, 3836, check)
    call createCurrent(P_GQPlus, P_Hl, P_HMinus, P_GQ0, 2087, check)
    call createCurrent(P_HlQ, P_uAnti, P_u, 6092, check)
    call createCurrent(P_ghZ, P_HPlus, P_HMinus, P_ghAAnti, 7058, check)
    call createCurrent(P_Ha, P_HMinus, P_WPlus, 7850, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghA, P_A, 1796, check)
    call createCurrent(P_HQMinus, P_GPlus, P_G0, P_HhQ, 4949, check)
    call createCurrent(P_Ha, P_Ha, P_G0, P_G0, 6671, check)
    call createCurrent(P_ghA, P_WMinus, P_WPlus, P_ghZAnti, 6733, check)
    call createCurrent(P_Z, P_g, P_Z, P_g, 10542, check)
    call createCurrent(P_Ha, P_ghWp, P_ghZAnti, P_HMinus, 4295, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_WPlus, 4233, check)
    call createCurrent(P_ghA, P_ghZAnti, P_WMinus, P_WQPlus, 3992, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_ZQ, 7790, check)
    call createCurrent(P_s, P_g, P_sAnti, 2579, check)
    call createCurrent(P_ghZAnti, P_HPlus, P_Ha, P_ghWm, 256, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_Ha, P_ghWp, 9975, check)
    call createCurrent(P_GPlus, P_HMinus, P_Hh, P_Ha, 4346, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, P_ZQ, 5037, check)
    call createCurrent(P_A, P_g, P_g, P_g, 10627, check)
    call createCurrent(P_ZQ, P_WMinus, P_Ha, P_HQPlus, 3469, check)
    call createCurrent(P_ghZ, P_Hh, P_ghWpAnti, P_HQPlus, 2664, check)
    call createCurrent(P_s, P_cAnti, P_GQPlus, 2131, check)
    call createCurrent(P_Hh, P_GPlus, P_GMinus, P_G0, 9282, check)
    call createCurrent(P_HaQ, P_Hh, P_G0, P_HlQ, 8275, check)
    call createCurrent(P_G0, P_Hh, P_Hh, P_G0, 7595, check)
    call createCurrent(P_HQMinus, P_ePlus, P_nu_e, 4899, check)
    call createCurrent(P_WPlus, P_ghWp, P_ghWpAnti, P_WMinus, 5567, check)
    call createCurrent(P_Hl, P_G0, P_Ha, P_G0, 10703, check)
    call createCurrent(P_HaQ, P_GMinus, P_Hl, P_HQPlus, 6728, check)
    call createCurrent(P_Hh, P_WPlus, P_WMinus, 925, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghWmAnti, P_G0, 3239, check)
    call createCurrent(P_HPlus, P_Hl, P_Z, P_WMinus, 2659, check)
    call createCurrent(P_GQPlus, P_Hh, P_GMinus, P_HlQ, 2669, check)
    call createCurrent(P_HQMinus, P_ghWmAnti, P_Hh, P_ghA, 1216, check)
    call createCurrent(P_A, P_Hl, P_Ha, 8893, check)
    call createCurrent(P_HhQ, P_Hh, P_Hl, P_HlQ, 422, check)
    call createCurrent(P_ghZAnti, P_HMinus, P_ghA, P_GPlus, 9907, check)
    call createCurrent(P_Hl, P_Hl, P_G0, P_Hl, 10668, check)
    call createCurrent(P_WPlus, P_HMinus, P_Hh, P_Z, 3314, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_WMinus, P_Z, 7111, check)
    call createCurrent(P_WMinus, P_Z, P_ghWmAnti, P_ghZ, 2568, check)
    call createCurrent(P_ghA, P_ghZAnti, P_HMinus, P_HQPlus, 182, check)
    call createCurrent(P_Hh, P_G0, P_Hh, P_G0, 3214, check)
    call createCurrent(P_ghA, P_Hh, P_HPlus, P_ghWpAnti, 6400, check)
    call createCurrent(P_HMinus, P_GPlus, P_Hl, P_Ha, 5101, check)
    call createCurrent(P_Z, P_Z, P_G0, P_Ha, 10365, check)
    call createCurrent(P_ghZ, P_ghAAnti, P_HMinus, P_HPlus, 4332, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_Ha, P_GPlus, 9183, check)
    call createCurrent(P_WQPlus, P_WMinus, P_HlQ, 7745, check)
    call createCurrent(P_HPlus, P_ghWpAnti, P_ghWp, P_GMinus, 9085, check)
    call createCurrent(P_HlQ, P_Ha, P_Hl, P_HaQ, 2210, check)
    call createCurrent(P_HQMinus, P_HPlus, P_ghAAnti, P_ghZ, 8589, check)
    call createCurrent(P_ghZAnti, P_Hl, P_HMinus, P_ghWp, 7292, check)
    call createCurrent(P_ePlus, P_Z, P_eMinus, 2417, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_A, 7503, check)
    call createCurrent(P_HlQ, P_GMinus, P_GPlus, P_HlQ, 1205, check)
    call createCurrent(P_HPlus, P_ghZAnti, P_ghWm, P_Hl, 1915, check)
    call createCurrent(P_Hl, P_ghZAnti, P_ghZ, P_Hh, 9557, check)
    call createCurrent(P_ghWp, P_Z, P_WMinus, P_ghZAnti, 1962, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_HMinus, P_G0, 9165, check)
    call createCurrent(P_GQMinus, P_Hh, P_HPlus, P_HhQ, 1886, check)
    call createCurrent(P_ZQ, P_GMinus, P_WPlus, P_HhQ, 5434, check)
    call createCurrent(P_Z, P_Z, P_Z, P_Z, 10757, check)
    call createCurrent(P_ZQ, P_Hl, P_HPlus, P_WQMinus, 2631, check)
    call createCurrent(P_AQ, P_Z, P_WPlus, P_WQMinus, 1761, check)
    call createCurrent(P_HlQ, P_Ha, P_GQ0, 1526, check)
    call createCurrent(P_GQPlus, P_GPlus, P_HMinus, P_HQMinus, 4819, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_HaQ, 1480, check)
    call createCurrent(P_t, P_g, P_tAnti, 4418, check)
    call createCurrent(P_AQ, P_WPlus, P_Hl, P_GQMinus, 8282, check)
    call createCurrent(P_Hl, P_ghWm, P_Hl, P_ghWmAnti, 6788, check)
    call createCurrent(P_Hl, P_Z, P_HMinus, P_WPlus, 5498, check)
    call createCurrent(P_Hl, P_ghAAnti, P_ghWm, P_HPlus, 1696, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_WMinus, P_WPlus, 4900, check)
    call createCurrent(P_GMinus, P_G0, P_ghWmAnti, P_ghZ, 2582, check)
    call createCurrent(P_GMinus, P_G0, P_GPlus, 9141, check)
    call createCurrent(P_WQMinus, P_HPlus, P_Hh, P_ZQ, 5541, check)
    call createCurrent(P_ghA, P_WPlus, P_ghWpAnti, 8251, check)
    call createCurrent(P_G0, P_ghWpAnti, P_ghZ, P_HPlus, 9573, check)
    call createCurrent(P_G0, P_u, P_uAnti, 3233, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Hh, P_HhQ, 4434, check)
    call createCurrent(P_A, P_WMinus, P_HPlus, P_Ha, 4821, check)
    call createCurrent(P_ghWp, P_Ha, P_Ha, P_ghWpAnti, 6952, check)
    call createCurrent(P_GQPlus, P_ghZAnti, P_Hh, P_ghWm, 4465, check)
    call createCurrent(P_Z, P_nu_muAnti, P_nu_mu, 3426, check)
    call createCurrent(P_G0, P_G0, P_Ha, P_G0, 6095, check)
    call createCurrent(P_HlQ, P_Hh, P_HPlus, P_HQMinus, 3352, check)
    call createCurrent(P_HQMinus, P_HPlus, P_Hh, P_GQ0, 306, check)
    call createCurrent(P_HhQ, P_HMinus, P_Hl, P_HQPlus, 8186, check)
    call createCurrent(P_GQ0, P_GMinus, P_WPlus, P_ZQ, 548, check)
    call createCurrent(P_GQMinus, P_GPlus, P_Z, P_ZQ, 2470, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_GMinus, P_GPlus, 8199, check)
    call createCurrent(P_ghWp, P_HMinus, P_ghZAnti, P_Ha, 216, check)
    call createCurrent(P_ghA, P_G0, P_ghWmAnti, P_HMinus, 10056, check)
    call createCurrent(P_HPlus, P_HMinus, P_GMinus, P_GPlus, 7217, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghAAnti, P_GQMinus, 1767, check)
    call createCurrent(P_HQMinus, P_Hh, P_HPlus, P_HlQ, 2374, check)
    call createCurrent(P_ghWp, P_Z, P_ghAAnti, P_WMinus, 3910, check)
    call createCurrent(P_Hh, P_A, P_Hl, P_A, 10572, check)
    call createCurrent(P_Hl, P_u, P_uAnti, 1933, check)
    call createCurrent(P_WPlus, P_WMinus, P_g, P_g, 10632, check)
    call createCurrent(P_WQMinus, P_WPlus, P_Hh, P_HhQ, 7096, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_GMinus, P_Hl, 3031, check)
    call createCurrent(P_WPlus, P_Ha, P_HMinus, 8593, check)
    call createCurrent(P_ghWp, P_HMinus, P_G0, P_ghAAnti, 8883, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Hh, P_GQ0, 2962, check)
    call createCurrent(P_HMinus, P_GMinus, P_GPlus, P_GPlus, 2345, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghA, P_WPlus, 3732, check)
    call createCurrent(P_HMinus, P_Hl, P_Hl, P_GPlus, 1023, check)
    call createCurrent(P_HPlus, P_Hh, P_G0, P_HMinus, 9215, check)
    call createCurrent(P_HaQ, P_HMinus, P_WQPlus, 2184, check)
    call createCurrent(P_WMinus, P_A, P_ghA, P_ghWmAnti, 755, check)
    call createCurrent(P_HMinus, P_WMinus, P_HPlus, P_WPlus, 5687, check)
    call createCurrent(P_g, P_u, P_uAnti, 5761, check)
    call createCurrent(P_Hl, P_HPlus, P_GMinus, P_G0, 7587, check)
    call createCurrent(P_AQ, P_GPlus, P_GMinus, P_ZQ, 4690, check)
    call createCurrent(P_A, P_Z, P_GMinus, P_HPlus, 9731, check)
    call createCurrent(P_HPlus, P_WMinus, P_G0, P_Z, 9808, check)
    call createCurrent(P_ghZ, P_Hl, P_ghZAnti, P_Hl, 5955, check)
    call createCurrent(P_nu_muAnti, P_GPlus, P_muMinus, 333, check)
    call createCurrent(P_WQPlus, P_Hl, P_GMinus, P_ZQ, 3431, check)
    call createCurrent(P_ghZ, P_WPlus, P_Z, P_ghWpAnti, 7315, check)
    call createCurrent(P_ghZAnti, P_ghA, P_HMinus, P_HQPlus, 770, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_ghWp, P_HMinus, 8145, check)
    call createCurrent(P_ghZ, P_GMinus, P_Hh, P_ghWmAnti, 4158, check)
    call createCurrent(P_HMinus, P_GPlus, P_Hl, P_G0, 620, check)
    call createCurrent(P_HhQ, P_HMinus, P_GPlus, P_HhQ, 3531, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, P_G0, 5055, check)
    call createCurrent(P_A, P_GMinus, P_A, P_GPlus, 7019, check)
    call createCurrent(P_Z, P_GMinus, P_Ha, P_WPlus, 10067, check)
    call createCurrent(P_Ha, P_Hh, P_Ha, P_Hh, 110, check)
    call createCurrent(P_HQMinus, P_G0, P_Ha, P_HQPlus, 7378, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_GMinus, P_Ha, 9435, check)
    call createCurrent(P_eMinus, P_ePlus, P_Z, 5830, check)
    call createCurrent(P_HQPlus, P_Ha, P_GMinus, P_GQ0, 6140, check)
    call createCurrent(P_G0, P_Z, P_Ha, P_A, 10669, check)
    call createCurrent(P_HPlus, P_WMinus, P_Hh, P_A, 1442, check)
    call createCurrent(P_t, P_tAnti, P_Hh, 8208, check)
    call createCurrent(P_AQ, P_WMinus, P_ghAAnti, P_ghWp, 5803, check)
    call createCurrent(P_HPlus, P_GMinus, P_ghZAnti, P_ghA, 9420, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_A, P_WQMinus, 4639, check)
    call createCurrent(P_HPlus, P_WPlus, P_GMinus, P_WMinus, 10416, check)
    call createCurrent(P_ZQ, P_WPlus, P_Hl, P_GQMinus, 7479, check)
    call createCurrent(P_Hh, P_HPlus, P_WMinus, P_Z, 2728, check)
    call createCurrent(P_g, P_g, P_Z, P_A, 10592, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, P_G0, 2942, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_HPlus, P_HMinus, 2893, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_Hh, P_ghWm, 7720, check)
    call createCurrent(P_HPlus, P_ghAAnti, P_ghWm, 7426, check)
    call createCurrent(P_HQMinus, P_Hl, P_ghZAnti, P_ghWp, 4270, check)
    call createCurrent(P_WQMinus, P_A, P_ghWmAnti, P_ghA, 2768, check)
    call createCurrent(P_GMinus, P_G0, P_G0, P_GPlus, 7228, check)
    call createCurrent(P_G0, P_G0, P_GPlus, P_HMinus, 7353, check)
    call createCurrent(P_HPlus, P_Hl, P_HMinus, P_G0, 9164, check)
    call createCurrent(P_ghWp, P_HPlus, P_HMinus, P_ghWpAnti, 8144, check)
    call createCurrent(P_WQMinus, P_GPlus, P_A, P_HhQ, 5256, check)
    call createCurrent(P_Hh, P_Hl, P_HMinus, P_GPlus, 4257, check)
    call createCurrent(P_HPlus, P_Z, P_GMinus, P_Z, 9525, check)
    call createCurrent(P_Hh, P_Hl, P_GPlus, P_HMinus, 90, check)
    call createCurrent(P_ghZAnti, P_HPlus, P_GMinus, P_ghA, 9530, check)
    call createCurrent(P_WQPlus, P_GPlus, P_GMinus, P_WQMinus, 4847, check)
    call createCurrent(P_ghWpAnti, P_Hl, P_ghA, P_GQPlus, 2439, check)
    call createCurrent(P_HPlus, P_Ha, P_ghWm, P_ghAAnti, 4141, check)
    call createCurrent(P_ghWmAnti, P_Hl, P_ghA, P_HMinus, 6872, check)
    call createCurrent(P_ZQ, P_A, P_HMinus, P_HQPlus, 2443, check)
    call createCurrent(P_HaQ, P_WMinus, P_HQPlus, 3488, check)
    call createCurrent(P_WPlus, P_ghWp, P_WMinus, P_ghWpAnti, 4218, check)
    call createCurrent(P_Z, P_ghWp, P_ghWpAnti, 5065, check)
    call createCurrent(P_d, P_dAnti, P_Z, 5083, check)
    call createCurrent(P_WQMinus, P_HPlus, P_HhQ, 5377, check)
    call createCurrent(P_ZQ, P_Hh, P_Hh, P_ZQ, 1854, check)
    call createCurrent(P_WPlus, P_A, P_ghWm, P_ghZAnti, 4395, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_G0, P_GPlus, 2933, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghA, P_Z, 7236, check)
    call createCurrent(P_G0, P_HPlus, P_ghAAnti, P_ghWm, 10254, check)
    call createCurrent(P_Hh, P_d, P_dAnti, 8598, check)
    call createCurrent(P_Ha, P_ghZAnti, P_ghWp, P_HMinus, 7885, check)
    call createCurrent(P_HPlus, P_WPlus, P_WMinus, P_HMinus, 7712, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GMinus, P_Hh, 72, check)
    call createCurrent(P_AQ, P_A, P_ghWpAnti, P_ghWp, 4807, check)
    call createCurrent(P_A, P_Z, P_A, P_A, 10545, check)
    call createCurrent(P_WMinus, P_ghA, P_ghWmAnti, P_Z, 2100, check)
    call createCurrent(P_ZQ, P_G0, P_HhQ, 3763, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_HMinus, P_Hh, 8701, check)
    call createCurrent(P_GQ0, P_HMinus, P_Hl, P_HQPlus, 2267, check)
    call createCurrent(P_HaQ, P_HMinus, P_Hl, P_GQPlus, 1893, check)
    call createCurrent(P_HlQ, P_WPlus, P_HMinus, P_ZQ, 4842, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghWp, 8031, check)
    call createCurrent(P_ghA, P_HPlus, P_GMinus, P_ghAAnti, 8998, check)
    call createCurrent(P_ghWp, P_WMinus, P_Z, P_ghZAnti, 3532, check)
    call createCurrent(P_GPlus, P_G0, P_ghAAnti, P_ghWm, 4333, check)
    call createCurrent(P_Hh, P_Z, P_Hl, P_Z, 10246, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_GMinus, P_ghA, 8372, check)
    call createCurrent(P_Hh, P_Hh, P_Hh, P_Hl, 59, check)
    call createCurrent(P_HhQ, P_ghWmAnti, P_GMinus, P_ghZ, 7283, check)
    call createCurrent(P_ghWm, P_Hl, P_GPlus, P_ghAAnti, 2286, check)
    call createCurrent(P_Hl, P_g, P_Hl, P_g, 10569, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_ghWp, P_GQ0, 8622, check)
    call createCurrent(P_ghWp, P_Ha, P_HMinus, P_ghAAnti, 3021, check)
    call createCurrent(P_HQMinus, P_ghZ, P_HPlus, P_ghZAnti, 8751, check)
    call createCurrent(P_HPlus, P_HPlus, P_GMinus, P_HMinus, 496, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_Hl, P_GMinus, 3734, check)
    call createCurrent(P_HhQ, P_WMinus, P_HPlus, P_ZQ, 8508, check)
    call createCurrent(P_HMinus, P_Hl, P_ghWp, P_ghZAnti, 5209, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_HPlus, 8703, check)
    call createCurrent(P_ghWp, P_A, P_ghWpAnti, P_AQ, 2111, check)
    call createCurrent(P_GMinus, P_G0, P_Hl, P_HPlus, 3919, check)
    call createCurrent(P_Ha, P_WPlus, P_Z, P_HMinus, 8179, check)
    call createCurrent(P_HPlus, P_g, P_GMinus, P_g, 10656, check)
    call createCurrent(P_Hl, P_Hl, P_ghWmAnti, P_ghWm, 8819, check)
    call createCurrent(P_HhQ, P_WPlus, P_Z, P_GQMinus, 4482, check)
    call createCurrent(P_GPlus, P_GMinus, P_HMinus, P_HPlus, 5235, check)
    call createCurrent(P_GQMinus, P_tauPlus, P_nu_tau, 2332, check)
    call createCurrent(P_Ha, P_Hl, P_A, 9930, check)
    call createCurrent(P_HlQ, P_Hl, P_ghZAnti, P_ghZ, 5006, check)
    call createCurrent(P_HlQ, P_G0, P_WMinus, P_WQPlus, 2462, check)
    call createCurrent(P_HPlus, P_Ha, P_GMinus, P_G0, 4560, check)
    call createCurrent(P_ZQ, P_Hh, P_HaQ, 811, check)
    call createCurrent(P_HPlus, P_WPlus, P_HMinus, P_WMinus, 5198, check)
    call createCurrent(P_WMinus, P_Hl, P_HPlus, 4727, check)
    call createCurrent(P_WMinus, P_WPlus, P_Ha, P_Ha, 1457, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghZAnti, P_GPlus, 997, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_HPlus, P_Hh, 5192, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_G0, P_GQMinus, 3010, check)
    call createCurrent(P_HaQ, P_ghWp, P_Hh, P_ghWpAnti, 666, check)
    call createCurrent(P_A, P_A, P_A, P_A, 10782, check)
    call createCurrent(P_Hh, P_WMinus, P_Hl, P_WPlus, 10108, check)
    call createCurrent(P_HPlus, P_GMinus, P_Ha, P_Hl, 6242, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_Hl, P_HMinus, 8168, check)
    call createCurrent(P_b, P_bAnti, P_gQ, 6418, check)
    call createCurrent(P_ghZAnti, P_G0, P_ghWp, P_HMinus, 10027, check)
    call createCurrent(P_t, P_tAnti, P_Ha, 7715, check)
    call createCurrent(P_HPlus, P_WMinus, P_G0, P_A, 9588, check)
    call createCurrent(P_gQ, P_b, P_bAnti, 6624, check)
    call createCurrent(P_GQPlus, P_G0, P_Hh, P_HQMinus, 4740, check)
    call createCurrent(P_ghA, P_Ha, P_GMinus, P_ghWmAnti, 9040, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, 7836, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghWm, P_HhQ, 2146, check)
    call createCurrent(P_GQMinus, P_GPlus, P_GMinus, P_HQPlus, 7367, check)
    call createCurrent(P_HPlus, P_Z, P_WMinus, P_G0, 8868, check)
    call createCurrent(P_u, P_dAnti, P_HQMinus, 3332, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghAAnti, P_Z, 5239, check)
    call createCurrent(P_ghZ, P_GMinus, P_GPlus, P_ghAAnti, 2611, check)
    call createCurrent(P_A, P_A, P_A, P_Z, 10515, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_GMinus, P_ghA, 460, check)
    call createCurrent(P_Hl, P_HMinus, P_Hh, P_GPlus, 7194, check)
    call createCurrent(P_u, P_dAnti, P_HMinus, 8732, check)
    call createCurrent(P_WPlus, P_WMinus, P_ghWpAnti, P_ghWp, 5179, check)
    call createCurrent(P_cAnti, P_c, P_G0, 524, check)
    call createCurrent(P_ghWp, P_HMinus, P_ghAAnti, P_HlQ, 3655, check)
    call createCurrent(P_GMinus, P_ghAAnti, P_ghWp, P_Hl, 3762, check)
    call createCurrent(P_Hh, P_g, P_Hl, P_g, 10738, check)
    call createCurrent(P_HMinus, P_A, P_HPlus, P_Z, 7262, check)
    call createCurrent(P_WPlus, P_WPlus, P_ghWm, P_ghWpAnti, 1837, check)
    call createCurrent(P_GMinus, P_GMinus, P_HPlus, P_GPlus, 3815, check)
    call createCurrent(P_ghWpAnti, P_Hh, P_ghWp, P_HaQ, 2457, check)
    call createCurrent(P_HhQ, P_Hh, P_Ha, P_HaQ, 508, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_Hh, P_ghWm, 6375, check)
    call createCurrent(P_HMinus, P_G0, P_WPlus, P_Z, 9142, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghA, P_GMinus, 3591, check)
    call createCurrent(P_ghAAnti, P_HPlus, P_HMinus, P_ghZ, 166, check)
    call createCurrent(P_GQMinus, P_GPlus, P_ghZ, P_ghAAnti, 8650, check)
    call createCurrent(P_GQ0, P_Z, P_GPlus, P_WQMinus, 7477, check)
    call createCurrent(P_ghA, P_HMinus, P_ghWmAnti, P_Ha, 7652, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, P_Ha, 5918, check)
    call createCurrent(P_Ha, P_Hh, P_G0, 4249, check)
    call createCurrent(P_HlQ, P_tAnti, P_t, 5784, check)
    call createCurrent(P_HQPlus, P_Hl, P_G0, P_GQMinus, 4744, check)
    call createCurrent(P_HMinus, P_WPlus, P_G0, P_Z, 9967, check)
    call createCurrent(P_GQ0, P_ghWpAnti, P_Hl, P_ghWp, 3983, check)
    call createCurrent(P_Hl, P_HMinus, P_ghWp, P_ghZAnti, 1673, check)
    call createCurrent(P_GQPlus, P_Hl, P_ghA, P_ghWpAnti, 5347, check)
    call createCurrent(P_HlQ, P_sAnti, P_s, 6202, check)
    call createCurrent(P_Hh, P_ghZAnti, P_ghWp, P_GMinus, 2024, check)
    call createCurrent(P_WMinus, P_A, P_Ha, P_HPlus, 7655, check)
    call createCurrent(P_nu_mu, P_GMinus, P_muPlus, 3378, check)
    call createCurrent(P_GMinus, P_Hl, P_ghWmAnti, P_ghZ, 6888, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, 5152, check)
    call createCurrent(P_Hh, P_bAnti, P_b, 7874, check)
    call createCurrent(P_ghA, P_Hh, P_HMinus, P_ghWmAnti, 3918, check)
    call createCurrent(P_ghWp, P_G0, P_GMinus, P_ghAAnti, 2160, check)
    call createCurrent(P_HhQ, P_Hl, P_GMinus, P_HQPlus, 3513, check)
    call createCurrent(P_HhQ, P_GPlus, P_WMinus, P_ZQ, 2652, check)
    call createCurrent(P_HPlus, P_GMinus, P_WMinus, P_WPlus, 9966, check)
    call createCurrent(P_GQPlus, P_Hh, P_HQMinus, 5461, check)
    call createCurrent(P_Hh, P_Hh, P_G0, P_Ha, 2401, check)
    call createCurrent(P_GMinus, P_Z, P_Z, P_GPlus, 3940, check)
    call createCurrent(P_A, P_A, P_Z, P_A, 10753, check)
    call createCurrent(P_GQMinus, P_Ha, P_G0, P_GQPlus, 2556, check)
    call createCurrent(P_g, P_WMinus, P_WPlus, P_g, 10550, check)
    call createCurrent(P_Hl, P_GMinus, P_WPlus, P_Z, 1511, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_ZQ, 4088, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Hh, 1744, check)
    call createCurrent(P_HMinus, P_GPlus, P_Z, P_Z, 10387, check)
    call createCurrent(P_HQPlus, P_HMinus, P_G0, P_HlQ, 2173, check)
    call createCurrent(P_ghZAnti, P_ghA, P_GMinus, P_GPlus, 6374, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_WQPlus, 7296, check)
    call createCurrent(P_Hl, P_Hl, P_Hl, P_Hl, 5753, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_HPlus, P_Hh, 562, check)
    call createCurrent(P_GPlus, P_Hh, P_GMinus, P_Hl, 6233, check)
    call createCurrent(P_HMinus, P_ghZAnti, P_ghZ, P_HPlus, 1474, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_GMinus, P_Hl, 2249, check)
    call createCurrent(P_HhQ, P_GPlus, P_ghZAnti, P_ghWm, 1501, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghZ, P_A, 7856, check)
    call createCurrent(P_Hl, P_ghZ, P_ghZAnti, 1616, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_HMinus, 1984, check)
    call createCurrent(P_AQ, P_GMinus, P_Hh, P_WQPlus, 8316, check)
    call createCurrent(P_G0, P_GPlus, P_ghWpAnti, P_ghZ, 5773, check)
    call createCurrent(P_nu_tauAnti, P_WPlus, P_tauMinus, 8632, check)
    call createCurrent(P_Z, P_ghA, P_ghWpAnti, P_WPlus, 1450, check)
    call createCurrent(P_eMinus, P_ePlus, P_HaQ, 6820, check)
    call createCurrent(P_HQMinus, P_ghWmAnti, P_Hl, P_ghA, 3862, check)
    call createCurrent(P_GMinus, P_ghA, P_ghWmAnti, P_Ha, 8872, check)
    call createCurrent(P_WQMinus, P_WPlus, P_ghZAnti, P_ghZ, 1792, check)
    call createCurrent(P_HlQ, P_HMinus, P_Hl, P_HQPlus, 1730, check)
    call createCurrent(P_G0, P_GMinus, P_HPlus, P_G0, 7651, check)
    call createCurrent(P_s, P_cAnti, P_GPlus, 5886, check)
    call createCurrent(P_cAnti, P_c, P_A, 2124, check)
    call createCurrent(P_WMinus, P_Hl, P_A, P_GPlus, 3244, check)
    call createCurrent(P_HaQ, P_Ha, P_ghWmAnti, P_ghWm, 8569, check)
    call createCurrent(P_ghAAnti, P_HPlus, P_ghWm, P_G0, 9790, check)
    call createCurrent(P_G0, P_Ha, P_ghWpAnti, P_ghWp, 9549, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_Hh, 728, check)
    call createCurrent(P_GMinus, P_HPlus, P_WPlus, P_WMinus, 10107, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GQPlus, 734, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, 7679, check)
    call createCurrent(P_Hl, P_Hl, P_A, P_A, 10649, check)
    call createCurrent(P_GQMinus, P_muPlus, P_nu_mu, 3194, check)
    call createCurrent(P_GQMinus, P_ghZ, P_Hl, P_ghWmAnti, 7999, check)
    call createCurrent(P_Ha, P_WPlus, P_A, P_GMinus, 9911, check)
    call createCurrent(P_A, P_HPlus, P_WMinus, P_Ha, 6475, check)
    call createCurrent(P_WPlus, P_HMinus, P_Hh, P_A, 1208, check)
    call createCurrent(P_Hh, P_WPlus, P_HMinus, P_Z, 2560, check)
    call createCurrent(P_ghWp, P_HMinus, P_ghAAnti, P_G0, 10393, check)
    call createCurrent(P_HlQ, P_ghWpAnti, P_ghWp, 1309, check)
    call createCurrent(P_ghWp, P_HMinus, P_Hl, P_ghAAnti, 1464, check)
    call createCurrent(P_HPlus, P_HMinus, P_Hh, P_Ha, 9884, check)
    call createCurrent(P_ZQ, P_HMinus, P_Z, P_HQPlus, 4033, check)
    call createCurrent(P_WMinus, P_Ha, P_Ha, P_WPlus, 4086, check)
    call createCurrent(P_GMinus, P_Ha, P_HPlus, P_Ha, 3411, check)
    call createCurrent(P_WQPlus, P_Z, P_ghWpAnti, P_ghZ, 7704, check)
    call createCurrent(P_Hh, P_HMinus, P_Hl, P_GPlus, 2988, check)
    call createCurrent(P_t, P_tAnti, 9315, check)
    call createCurrent(P_G0, P_Ha, P_GMinus, P_GPlus, 286, check)
    call createCurrent(P_ghWpAnti, P_HMinus, P_HPlus, P_ghWp, 251, check)
    call createCurrent(P_eMinus, P_ePlus, P_AQ, 3925, check)
    call createCurrent(P_WQPlus, P_HMinus, P_HPlus, P_WQMinus, 3451, check)
    call createCurrent(P_HMinus, P_ghWpAnti, P_ghWp, P_GPlus, 9567, check)
    call createCurrent(P_Ha, P_ghZAnti, P_GMinus, P_ghWp, 10279, check)
    call createCurrent(P_sAnti, P_s, P_ZQ, 8810, check)
    call createCurrent(P_Z, P_G0, P_Hh, 232, check)
    call createCurrent(P_WQMinus, P_ghWp, P_WMinus, P_ghWmAnti, 4379, check)
    call createCurrent(P_GMinus, P_ghAAnti, P_ghWp, 7767, check)
    call createCurrent(P_GQPlus, P_HMinus, P_HhQ, 3187, check)
    call createCurrent(P_Ha, P_ghWm, P_GPlus, P_ghAAnti, 9012, check)
    call createCurrent(P_GMinus, P_Ha, P_ghZ, P_ghWmAnti, 8882, check)
    call createCurrent(P_WMinus, P_A, P_ghWmAnti, P_ghA, 6009, check)
    call createCurrent(P_WQMinus, P_Hh, P_GQPlus, 936, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_GPlus, P_HMinus, 9613, check)
    call createCurrent(P_WQMinus, P_ghWp, P_ghZAnti, 832, check)
    call createCurrent(P_ZQ, P_WPlus, P_WQMinus, 4982, check)
    call createCurrent(P_HPlus, P_GMinus, P_G0, P_Hl, 975, check)
    call createCurrent(P_muPlus, P_muMinus, P_ZQ, 4143, check)
    call createCurrent(P_HhQ, P_GPlus, P_ghAAnti, P_ghWm, 78, check)
    call createCurrent(P_WMinus, P_HPlus, P_A, P_Hh, 7568, check)
    call createCurrent(P_WQMinus, P_WPlus, P_Ha, P_HhQ, 5211, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, P_Hl, 5143, check)
    call createCurrent(P_uAnti, P_u, P_A, 2930, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, P_Hh, 6757, check)
    call createCurrent(P_ghWp, P_Hl, P_ghZAnti, P_HQMinus, 2426, check)
    call createCurrent(P_Hl, P_ghWmAnti, P_ghWm, 2399, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_Ha, P_GMinus, 9375, check)
    call createCurrent(P_HhQ, P_A, P_WMinus, P_GQPlus, 5704, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghWmAnti, P_WMinus, 1990, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, 706, check)
    call createCurrent(P_GQMinus, P_Hh, P_ghZ, P_ghWmAnti, 3483, check)
    call createCurrent(P_WQMinus, P_ghZAnti, P_WPlus, P_ghZ, 5332, check)
    call createCurrent(P_G0, P_Ha, P_Hh, P_Hl, 4254, check)
    call createCurrent(P_HQMinus, P_Ha, P_ghA, P_ghWmAnti, 715, check)
    call createCurrent(P_HlQ, P_GPlus, P_GQMinus, 4454, check)
    call createCurrent(P_ghZAnti, P_HMinus, P_ghWp, P_Hh, 880, check)
    call createCurrent(P_ghWp, P_Ha, P_HMinus, P_ghZAnti, 5648, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Z, 1361, check)
    call createCurrent(P_ghZ, P_HMinus, P_Ha, P_ghWmAnti, 4072, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_Hh, P_GPlus, 5581, check)
    call createCurrent(P_AQ, P_WPlus, P_ghWm, P_ghZAnti, 4644, check)
    call createCurrent(P_Hl, P_GPlus, P_ghZAnti, P_ghWm, 8311, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_HMinus, P_HQPlus, 4172, check)
    call createCurrent(P_GQMinus, P_G0, P_Hh, P_HQPlus, 6309, check)
    call createCurrent(P_GQMinus, P_Z, P_WPlus, P_GQ0, 6649, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_Hl, P_HQMinus, 5123, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghZAnti, P_G0, 4598, check)
    call createCurrent(P_GMinus, P_HPlus, P_GPlus, P_GMinus, 29, check)
    call createCurrent(P_ZQ, P_s, P_sAnti, 2599, check)
    call createCurrent(P_HMinus, P_A, P_A, P_HPlus, 5860, check)
    call createCurrent(P_ghWmAnti, P_Ha, P_HMinus, P_ghA, 6015, check)
    call createCurrent(P_GQ0, P_tAnti, P_t, 5417, check)
    call createCurrent(P_ghA, P_Z, P_ghWmAnti, P_WQMinus, 5522, check)
    call createCurrent(P_ghAAnti, P_A, P_ghWp, P_WMinus, 7578, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghZAnti, P_Z, 3700, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_HPlus, P_HQMinus, 1924, check)
    call createCurrent(P_WQMinus, P_ghZ, P_Z, P_ghWmAnti, 7563, check)
    call createCurrent(P_GQ0, P_G0, P_ghZ, P_ghZAnti, 6687, check)
    call createCurrent(P_HQPlus, P_HMinus, P_ghAAnti, P_ghZ, 4596, check)
    call createCurrent(P_GQPlus, P_Hl, P_ghZ, P_ghWpAnti, 4453, check)
    call createCurrent(P_G0, P_Ha, P_G0, 10770, check)
    call createCurrent(P_sAnti, P_Z, P_s, 6859, check)
    call createCurrent(P_g, P_g, P_WMinus, P_WPlus, 10674, check)
    call createCurrent(P_Hh, P_GMinus, P_GPlus, 8097, check)
    call createCurrent(P_GQPlus, P_ghWm, P_Hh, P_ghZAnti, 6831, check)
    call createCurrent(P_G0, P_Ha, P_Hh, 7437, check)
    call createCurrent(P_Z, P_muMinus, P_muPlus, 2715, check)
    call createCurrent(P_Ha, P_Hh, P_HMinus, P_GPlus, 82, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_ghWm, P_HaQ, 6476, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GQPlus, 966, check)
    call createCurrent(P_HQMinus, P_ghA, P_Hl, P_ghWmAnti, 7212, check)
    call createCurrent(P_b, P_tAnti, P_GPlus, 3090, check)
    call createCurrent(P_HMinus, P_HMinus, P_GPlus, P_GPlus, 6317, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_A, 5232, check)
    call createCurrent(P_GQMinus, P_HPlus, P_G0, P_GQ0, 5589, check)
    call createCurrent(P_WMinus, P_G0, P_A, P_HPlus, 9788, check)
    call createCurrent(P_A, P_Hl, P_Z, P_Hh, 10521, check)
    call createCurrent(P_WQPlus, P_WMinus, P_HhQ, 6138, check)
    call createCurrent(P_Hl, P_ghA, P_ghWmAnti, P_GMinus, 5846, check)
    call createCurrent(P_HhQ, P_WMinus, P_Ha, P_WQPlus, 2054, check)
    call createCurrent(P_Ha, P_WMinus, P_Z, P_HPlus, 5733, check)
    call createCurrent(P_HaQ, P_GPlus, P_GMinus, P_HaQ, 8242, check)
    call createCurrent(P_Hl, P_ghWpAnti, P_ghA, P_GPlus, 3365, check)
    call createCurrent(P_HlQ, P_ghWp, P_Ha, P_ghWpAnti, 5207, check)
    call createCurrent(P_A, P_A, P_Z, P_Z, 10683, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, 6538, check)
    call createCurrent(P_WQPlus, P_A, P_Z, P_WQMinus, 8228, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_WQPlus, 4113, check)
    call createCurrent(P_ghZ, P_G0, P_ghZAnti, P_G0, 1471, check)
    call createCurrent(P_A, P_ghZAnti, P_ghWp, P_WMinus, 6177, check)
    call createCurrent(P_GPlus, P_HMinus, P_Ha, P_Hl, 3773, check)
    call createCurrent(P_HPlus, P_ghA, P_ghZAnti, P_GMinus, 9297, check)
    call createCurrent(P_WMinus, P_ghA, P_A, P_ghWmAnti, 3930, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_Ha, P_ghA, 9457, check)
    call createCurrent(P_WMinus, P_GPlus, P_Hl, 4633, check)
    call createCurrent(P_HMinus, P_HPlus, P_HPlus, P_HMinus, 3829, check)
    call createCurrent(P_GQMinus, P_Z, P_GPlus, P_AQ, 512, check)
    call createCurrent(P_GQMinus, P_G0, P_WQPlus, 7389, check)
    call createCurrent(P_HMinus, P_ghWmAnti, P_ghWm, P_HPlus, 2783, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghA, P_WMinus, 5288, check)
    call createCurrent(P_GQ0, P_ghWp, P_Hh, P_ghWpAnti, 5342, check)
    call createCurrent(P_WMinus, P_Z, P_G0, P_HPlus, 9355, check)
    call createCurrent(P_GQMinus, P_Hl, P_ghWp, P_ghZAnti, 6646, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghWp, P_Z, 6455, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_HPlus, P_G0, 10051, check)
    call createCurrent(P_u, P_uAnti, P_HlQ, 8783, check)
    call createCurrent(P_HMinus, P_ghWmAnti, P_Ha, P_ghZ, 7977, check)
    call createCurrent(P_ghWpAnti, P_GMinus, P_ghWp, P_HPlus, 9035, check)
    call createCurrent(P_GQMinus, P_Hh, P_GQPlus, 382, check)
    call createCurrent(P_ghZAnti, P_HMinus, P_Hl, P_ghWp, 2441, check)
    call createCurrent(P_WQMinus, P_sAnti, P_c, 3514, check)
    call createCurrent(P_ghZAnti, P_Ha, P_ghWm, P_HQPlus, 7635, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghZ, P_WQMinus, 2640, check)
    call createCurrent(P_HQMinus, P_Hh, P_HPlus, P_GQ0, 3137, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, 6665, check)
    call createCurrent(P_GQMinus, P_ghWp, P_ghZAnti, 2465, check)
    call createCurrent(P_ghZ, P_HPlus, P_ghZAnti, P_HQMinus, 3185, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_Hl, P_GQMinus, 215, check)
    call createCurrent(P_HhQ, P_GPlus, P_HMinus, P_HlQ, 4827, check)
    call createCurrent(P_Z, P_A, P_GMinus, P_HPlus, 8989, check)
    call createCurrent(P_WPlus, P_Hh, P_Z, P_GMinus, 8739, check)
    call createCurrent(P_HaQ, P_HPlus, P_Hh, P_GQMinus, 3121, check)
    call createCurrent(P_GQ0, P_Z, P_GMinus, P_WQPlus, 4986, check)
    call createCurrent(P_GQ0, P_A, P_WPlus, P_GQMinus, 5927, check)
    call createCurrent(P_A, P_Hh, P_WMinus, P_GPlus, 833, check)
    call createCurrent(P_ghZ, P_Ha, P_GPlus, P_ghWpAnti, 8896, check)
    call createCurrent(P_Ha, P_HPlus, P_HMinus, P_Ha, 4304, check)
    call createCurrent(P_WMinus, P_bAnti, P_t, 7954, check)
    call createCurrent(P_ghAAnti, P_A, P_WMinus, P_ghWp, 585, check)
    call createCurrent(P_Hh, P_WPlus, P_A, P_HMinus, 2996, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_ghWp, P_HQMinus, 6329, check)
    call createCurrent(P_HlQ, P_WPlus, P_WQMinus, 3701, check)
    call createCurrent(P_G0, P_Z, P_A, P_Ha, 10667, check)
    call createCurrent(P_G0, P_ghA, P_ghWpAnti, P_HPlus, 8900, check)
    call createCurrent(P_AQ, P_WMinus, P_Z, P_WQPlus, 254, check)
    call createCurrent(P_ghAAnti, P_ghZ, P_GMinus, P_GPlus, 5647, check)
    call createCurrent(P_ZQ, P_HMinus, P_WPlus, P_HhQ, 6376, check)
    call createCurrent(P_GQMinus, P_HPlus, P_GQ0, 2707, check)
    call createCurrent(P_Hl, P_HMinus, P_GPlus, P_Ha, 7581, check)
    call createCurrent(P_Z, P_HMinus, P_Hh, P_WPlus, 410, check)
    call createCurrent(P_GQ0, P_ghAAnti, P_GMinus, P_ghWp, 2302, check)
    call createCurrent(P_AQ, P_HMinus, P_Hh, P_WQPlus, 7509, check)
    call createCurrent(P_Z, P_HMinus, P_Hl, P_WPlus, 1698, check)
    call createCurrent(P_WQMinus, P_HPlus, P_Ha, P_ZQ, 3929, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_Z, P_WMinus, 241, check)
    call createCurrent(P_GMinus, P_ghA, P_G0, P_ghWmAnti, 819, check)
    call createCurrent(P_HMinus, P_ghA, P_ghZAnti, P_GPlus, 9251, check)
    call createCurrent(P_G0, P_WPlus, P_A, P_HMinus, 9936, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghWmAnti, 1536, check)
    call createCurrent(P_Hh, P_HPlus, P_HMinus, 6611, check)
    call createCurrent(P_HMinus, P_ghWmAnti, P_ghWm, P_GPlus, 9293, check)
    call createCurrent(P_Ha, P_GPlus, P_A, P_WMinus, 9336, check)
    call createCurrent(P_HMinus, P_G0, P_GPlus, P_G0, 1130, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GPlus, 4412, check)
    call createCurrent(P_ghZAnti, P_Hl, P_ghWm, P_GQPlus, 7831, check)
    call createCurrent(P_ghA, P_Hl, P_ghWmAnti, P_GQMinus, 5158, check)
    call createCurrent(P_nu_eAnti, P_GPlus, P_eMinus, 5765, check)
    call createCurrent(P_GQ0, P_GMinus, P_ghWmAnti, P_ghZ, 5059, check)
    call createCurrent(P_HQMinus, P_Ha, P_WQPlus, 6440, check)
    call createCurrent(P_HMinus, P_HPlus, P_A, P_Z, 2290, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_A, 778, check)
    call createCurrent(P_GPlus, P_ghWm, P_Hl, P_ghZAnti, 1896, check)
    call createCurrent(P_HaQ, P_ghWmAnti, P_Ha, P_ghWm, 6812, check)
    call createCurrent(P_GPlus, P_G0, P_Hh, P_GMinus, 8914, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_HPlus, P_HQMinus, 6541, check)
    call createCurrent(P_Hh, P_Hh, P_Ha, P_Ha, 5563, check)
    call createCurrent(P_GQMinus, P_Hh, P_GPlus, P_HlQ, 3104, check)
    call createCurrent(P_GQPlus, P_WMinus, P_Hl, P_ZQ, 5685, check)
    call createCurrent(P_HhQ, P_WMinus, P_G0, P_WQPlus, 7101, check)
    call createCurrent(P_t, P_tAnti, P_g, 786, check)
    call createCurrent(P_ghA, P_A, P_ghWpAnti, P_WPlus, 5671, check)
    call createCurrent(P_g, P_bAnti, P_b, 3661, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_Hh, P_ghWm, 4190, check)
    call createCurrent(P_WQMinus, P_WPlus, P_AQ, 6488, check)
    call createCurrent(P_ghZ, P_GPlus, P_G0, P_ghWpAnti, 6324, check)
    call createCurrent(P_GQPlus, P_Hl, P_HQMinus, 846, check)
    call createCurrent(P_ghA, P_WMinus, P_ghWmAnti, 1245, check)
    call createCurrent(P_HQPlus, P_HMinus, P_GMinus, P_HQPlus, 3774, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_WMinus, P_Z, 5082, check)
    call createCurrent(P_WPlus, P_HMinus, P_Z, 8320, check)
    call createCurrent(P_HQPlus, P_GMinus, P_Ha, P_HaQ, 91, check)
    call createCurrent(P_GQ0, P_A, P_WMinus, P_GQPlus, 3816, check)
    call createCurrent(P_GPlus, P_ghA, P_ghZAnti, P_GMinus, 3757, check)
    call createCurrent(P_G0, P_Ha, P_Hl, P_Hl, 7455, check)
    call createCurrent(P_Ha, P_G0, P_Ha, P_G0, 557, check)
    call createCurrent(P_HPlus, P_ghZAnti, P_GMinus, P_ghZ, 10144, check)
    call createCurrent(P_c, P_sAnti, P_WQMinus, 1042, check)
    call createCurrent(P_WMinus, P_sAnti, P_c, 3454, check)
    call createCurrent(P_Hl, P_G0, P_Hl, P_G0, 7665, check)
    call createCurrent(P_Hh, P_ghZAnti, P_ghZ, P_Hh, 1243, check)
    call createCurrent(P_ghA, P_WPlus, P_WMinus, P_ghZAnti, 3132, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_Hh, P_ghWp, 6419, check)
    call createCurrent(P_Ha, P_HMinus, P_ghA, P_ghWmAnti, 6075, check)
    call createCurrent(P_GPlus, P_GMinus, P_G0, 10017, check)
    call createCurrent(P_ghAAnti, P_ghA, P_GPlus, P_GMinus, 2009, check)
    call createCurrent(P_GQ0, P_Hh, P_WPlus, P_WQMinus, 2382, check)
    call createCurrent(P_HQMinus, P_WPlus, P_HaQ, 1622, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_HMinus, P_GPlus, 9105, check)
    call createCurrent(P_ghWp, P_Hh, P_ghAAnti, P_HMinus, 38, check)
    call createCurrent(P_HQPlus, P_ghZ, P_Ha, P_ghWpAnti, 5806, check)
    call createCurrent(P_G0, P_muPlus, P_muMinus, 3405, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghWm, P_Z, 3363, check)
    call createCurrent(P_GPlus, P_ghWm, P_G0, P_ghZAnti, 4376, check)
    call createCurrent(P_HQMinus, P_WPlus, P_Hl, P_AQ, 7988, check)
    call createCurrent(P_Ha, P_Z, P_A, P_Ha, 9828, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_HPlus, P_G0, 9980, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, 4582, check)
    call createCurrent(P_HlQ, P_G0, P_GMinus, P_HQPlus, 3785, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_WMinus, 424, check)
    call createCurrent(P_ZQ, P_u, P_uAnti, 2692, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_Hl, P_ghZ, 4438, check)
    call createCurrent(P_Hh, P_G0, P_Ha, P_G0, 10653, check)
    call createCurrent(P_HQPlus, P_ghWpAnti, P_Hl, P_ghA, 3414, check)
    call createCurrent(P_HlQ, P_GPlus, P_HMinus, P_HaQ, 5766, check)
    call createCurrent(P_HhQ, P_G0, P_Hl, P_GQ0, 6781, check)
    call createCurrent(P_Ha, P_Hh, P_HPlus, P_GMinus, 1026, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghZAnti, P_G0, 5709, check)
    call createCurrent(P_HhQ, P_Hl, P_HPlus, P_HQMinus, 2207, check)
    call createCurrent(P_ghWpAnti, P_GMinus, P_GPlus, P_ghWp, 289, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_Hl, P_ghWm, 2722, check)
    call createCurrent(P_WQMinus, P_WPlus, P_ghWp, P_ghWpAnti, 6548, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghAAnti, P_GMinus, 694, check)
    call createCurrent(P_HhQ, P_ghWpAnti, P_Hh, P_ghWp, 595, check)
    call createCurrent(P_HPlus, P_Ha, P_Z, P_WMinus, 1507, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_WPlus, P_WMinus, 2015, check)
    call createCurrent(P_ghWmAnti, P_A, P_Z, P_ghWm, 3627, check)
    call createCurrent(P_ghWm, P_Ha, P_GPlus, P_ghZAnti, 8895, check)
    call createCurrent(P_G0, P_GMinus, P_A, P_WPlus, 8452, check)
    call createCurrent(P_A, P_WPlus, P_HMinus, P_Hh, 7223, check)
    call createCurrent(P_WQPlus, P_Z, P_HMinus, P_HlQ, 1746, check)
    call createCurrent(P_A, P_HPlus, P_WMinus, P_Hl, 2380, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_G0, 6137, check)
    call createCurrent(P_ghZ, P_ghAAnti, P_WPlus, P_WMinus, 2763, check)
    call createCurrent(P_WMinus, P_Hh, P_WPlus, P_Hl, 10449, check)
    call createCurrent(P_HMinus, P_ghAAnti, P_HPlus, P_ghZ, 6216, check)
    call createCurrent(P_HhQ, P_Hh, P_GMinus, P_HQPlus, 4697, check)
    call createCurrent(P_HPlus, P_ghZ, P_HMinus, P_ghAAnti, 8544, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghA, P_Ha, 10260, check)
    call createCurrent(P_ghWp, P_HPlus, P_ghWpAnti, P_GMinus, 9221, check)
    call createCurrent(P_ghZ, P_HMinus, P_ghWmAnti, P_HhQ, 3076, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_Ha, 10441, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghWm, P_A, 2079, check)
    call createCurrent(P_WPlus, P_G0, P_A, P_HMinus, 10383, check)
    call createCurrent(P_HaQ, P_GPlus, P_HMinus, P_HlQ, 4814, check)
    call createCurrent(P_WMinus, P_Hl, P_HPlus, P_A, 3438, check)
    call createCurrent(P_ZQ, P_GMinus, P_WPlus, P_HlQ, 461, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghZ, P_WPlus, 4779, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghZ, P_WPlus, 4487, check)
    call createCurrent(P_A, P_GPlus, P_HMinus, P_Z, 9279, check)
    call createCurrent(P_ghZ, P_G0, P_ghWmAnti, P_GMinus, 2784, check)
    call createCurrent(P_Ha, P_HMinus, P_GPlus, P_G0, 3657, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_HMinus, P_Ha, 4287, check)
    call createCurrent(P_HMinus, P_ghWmAnti, P_ghA, 5624, check)
    call createCurrent(P_GPlus, P_A, P_Ha, P_WMinus, 9332, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghWp, P_G0, 1516, check)
    call createCurrent(P_GQPlus, P_HMinus, P_G0, P_HhQ, 7514, check)
    call createCurrent(P_ghWm, P_WPlus, P_WMinus, P_ghWmAnti, 1851, check)
    call createCurrent(P_GMinus, P_GPlus, P_G0, P_G0, 6285, check)
    call createCurrent(P_HMinus, P_ghAAnti, P_Hl, P_ghWp, 3624, check)
    call createCurrent(P_GQPlus, P_Hl, P_WMinus, P_AQ, 2541, check)
    call createCurrent(P_GPlus, P_GMinus, P_GMinus, P_HPlus, 227, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghA, P_WPlus, 6487, check)
    call createCurrent(P_Z, P_Ha, P_WPlus, P_HMinus, 2179, check)
    call createCurrent(P_A, P_WPlus, P_ghAAnti, P_ghWm, 6616, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_Hl, P_HQMinus, 2925, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghZAnti, P_A, 5003, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_G0, P_HPlus, 9329, check)
    call createCurrent(P_tAnti, P_t, P_HhQ, 5273, check)
    call createCurrent(P_GQMinus, P_GPlus, P_Hl, P_HhQ, 2767, check)
    call createCurrent(P_HQPlus, P_HMinus, P_G0, P_GQ0, 950, check)
    call createCurrent(P_Ha, P_bAnti, P_b, 7306, check)
    call createCurrent(P_GMinus, P_G0, P_ghWp, P_ghZAnti, 1299, check)
    call createCurrent(P_WQMinus, P_Z, P_ghZ, P_ghWmAnti, 829, check)
    call createCurrent(P_GQMinus, P_WPlus, P_A, P_HhQ, 199, check)
    call createCurrent(P_Z, P_muPlus, P_muMinus, 2182, check)
    call createCurrent(P_b, P_Ha, P_bAnti, 2097, check)
    call createCurrent(P_A, P_Hh, P_WPlus, P_HMinus, 7014, check)
    call createCurrent(P_GPlus, P_A, P_Hh, P_WMinus, 2552, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hh, P_Hl, 2041, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_Ha, P_HQMinus, 1610, check)
    call createCurrent(P_ZQ, P_GPlus, P_G0, P_WQMinus, 4326, check)
    call createCurrent(P_G0, P_Hh, P_Hh, P_Ha, 6897, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghA, P_WPlus, 8448, check)
    call createCurrent(P_dAnti, P_d, P_G0, 275, check)
    call createCurrent(P_Hh, P_HMinus, P_WPlus, P_A, 4413, check)
    call createCurrent(P_G0, P_cAnti, P_c, 582, check)
    call createCurrent(P_G0, P_ghWp, P_ghZAnti, P_GMinus, 3499, check)
    call createCurrent(P_G0, P_ghA, P_ghWpAnti, P_GPlus, 8244, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Z, P_Z, 641, check)
    call createCurrent(P_HMinus, P_HPlus, P_ghA, P_ghAAnti, 4525, check)
    call createCurrent(P_ZQ, P_HPlus, P_Z, P_HQMinus, 3880, check)
    call createCurrent(P_GQ0, P_ghWm, P_Hl, P_ghWmAnti, 7962, check)
    call createCurrent(P_ghWpAnti, P_Ha, P_ghA, P_GPlus, 10427, check)
    call createCurrent(P_WPlus, P_WPlus, P_ghWpAnti, P_ghWm, 487, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_Z, P_WPlus, 6240, check)
    call createCurrent(P_HhQ, P_Hh, P_Hh, P_HhQ, 9, check)
    call createCurrent(P_HPlus, P_Hl, P_ghWpAnti, P_ghA, 2026, check)
    call createCurrent(P_WPlus, P_Hl, P_HMinus, 1275, check)
    call createCurrent(P_ghWp, P_HMinus, P_ghZAnti, P_Hl, 5734, check)
    call createCurrent(P_ghAAnti, P_ghA, P_WPlus, P_WQMinus, 2088, check)
    call createCurrent(P_Z, P_HPlus, P_WMinus, P_Hl, 2456, check)
    call createCurrent(P_WQPlus, P_Z, P_HMinus, P_HhQ, 1025, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_Hl, 4392, check)
    call createCurrent(P_Hl, P_ghZAnti, P_Hh, P_ghZ, 9857, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_ZQ, 6700, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghWm, P_ZQ, 7598, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_ghWm, P_Z, 2166, check)
    call createCurrent(P_HPlus, P_ghZAnti, P_ghA, P_HMinus, 3489, check)
    call createCurrent(P_HQMinus, P_A, P_WPlus, P_HlQ, 7738, check)
    call createCurrent(P_Hl, P_Ha, P_G0, P_Hh, 6107, check)
    call createCurrent(P_Z, P_HPlus, P_GMinus, P_A, 9197, check)
    call createCurrent(P_Ha, P_WMinus, P_GPlus, P_Z, 9262, check)
    call createCurrent(P_G0, P_G0, P_A, P_A, 10534, check)
    call createCurrent(P_HPlus, P_Hl, P_ghZAnti, P_ghWm, 5797, check)
    call createCurrent(P_uAnti, P_d, P_WPlus, 6760, check)
    call createCurrent(P_GMinus, P_WPlus, P_WMinus, P_GPlus, 6474, check)
    call createCurrent(P_AQ, P_sAnti, P_s, 7669, check)
    call createCurrent(P_ghWp, P_Hl, P_ghWpAnti, P_HlQ, 2350, check)
    call createCurrent(P_ghA, P_GPlus, P_ghWpAnti, P_Hh, 651, check)
    call createCurrent(P_GQ0, P_A, P_GPlus, P_WQMinus, 6359, check)
    call createCurrent(P_G0, P_WMinus, P_WPlus, P_Ha, 9537, check)
    call createCurrent(P_Ha, P_ghZAnti, P_ghWm, P_HPlus, 6889, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghA, P_Hl, 4652, check)
    call createCurrent(P_WMinus, P_A, P_Hh, P_GPlus, 3011, check)
    call createCurrent(P_Ha, P_Z, P_Hh, 2507, check)
    call createCurrent(P_g, P_g, P_g, P_A, 10570, check)
    call createCurrent(P_d, P_Z, P_dAnti, 86, check)
    call createCurrent(P_GQPlus, P_Hl, P_GMinus, P_HlQ, 1135, check)
    call createCurrent(P_ghZ, P_ghAAnti, P_GMinus, P_HPlus, 9287, check)
    call createCurrent(P_HQPlus, P_Hh, P_Hh, P_GQMinus, 7932, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghZ, P_HMinus, 9461, check)
    call createCurrent(P_A, P_Z, P_HPlus, P_HMinus, 4467, check)
    call createCurrent(P_Hl, P_Z, P_Z, P_Hl, 8754, check)
    call createCurrent(P_GQ0, P_GMinus, P_G0, P_HQPlus, 7272, check)
    call createCurrent(P_A, P_G0, P_Ha, P_A, 10768, check)
    call createCurrent(P_Hl, P_ghWm, P_ghAAnti, P_HPlus, 7883, check)
    call createCurrent(P_Hl, P_Hl, P_G0, P_G0, 756, check)
    call createCurrent(P_GQPlus, P_GMinus, P_G0, P_HlQ, 790, check)
    call createCurrent(P_cAnti, P_c, P_Hl, 8254, check)
    call createCurrent(P_GPlus, P_GPlus, P_GMinus, P_GMinus, 7270, check)
    call createCurrent(P_GQPlus, P_Hh, P_Z, P_WQMinus, 1489, check)
    call createCurrent(P_gQ, P_c, P_cAnti, 7516, check)
    call createCurrent(P_ZQ, P_HMinus, P_Hh, P_WQPlus, 1785, check)
    call createCurrent(P_Hl, P_ghWmAnti, P_Hh, P_ghWm, 9162, check)
    call createCurrent(P_HQMinus, P_HPlus, P_ZQ, 6204, check)
    call createCurrent(P_GQPlus, P_Hl, P_WMinus, P_ZQ, 7768, check)
    call createCurrent(P_HlQ, P_Z, P_WMinus, P_GQPlus, 3317, check)
    call createCurrent(P_Z, P_ghWmAnti, P_WMinus, P_ghZ, 7970, check)
    call createCurrent(P_WQMinus, P_HPlus, P_Ha, P_AQ, 3240, check)
    call createCurrent(P_eMinus, P_HPlus, P_nu_eAnti, 2352, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_Hh, P_HQPlus, 7938, check)
    call createCurrent(P_HaQ, P_HPlus, P_GMinus, P_GQ0, 5233, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_G0, P_GQMinus, 8464, check)
    call createCurrent(P_Hl, P_GMinus, P_ghZ, P_ghWmAnti, 195, check)
    call createCurrent(P_ghWm, P_A, P_ghWmAnti, P_Z, 7016, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, P_AQ, 3495, check)
    call createCurrent(P_t, P_G0, P_tAnti, 5879, check)
    call createCurrent(P_g, P_Hl, P_g, 10575, check)
    call createCurrent(P_d, P_Ha, P_dAnti, 1433, check)
    call createCurrent(P_WQPlus, P_WMinus, P_ghWmAnti, P_ghWm, 6578, check)
    call createCurrent(P_ghZ, P_Hl, P_ghWpAnti, P_GPlus, 7233, check)
    call createCurrent(P_HQMinus, P_Z, P_WPlus, P_HaQ, 1290, check)
    call createCurrent(P_HPlus, P_WMinus, P_Z, P_G0, 9648, check)
    call createCurrent(P_Hh, P_HMinus, P_GPlus, P_Hh, 7753, check)
    call createCurrent(P_WMinus, P_Ha, P_GPlus, P_Z, 10188, check)
    call createCurrent(P_ghA, P_GPlus, P_GMinus, P_ghZAnti, 5378, check)
    call createCurrent(P_Ha, P_ghWmAnti, P_ghA, P_GMinus, 8870, check)
    call createCurrent(P_A, P_Z, P_Ha, P_G0, 10526, check)
    call createCurrent(P_AQ, P_WPlus, P_Ha, P_HQMinus, 4167, check)
    call createCurrent(P_AQ, P_ghWpAnti, P_ghWp, 7030, check)
    call createCurrent(P_Hl, P_Hh, P_Ha, P_G0, 2711, check)
    call createCurrent(P_GPlus, P_ghA, P_GMinus, P_ghAAnti, 8482, check)
    call createCurrent(P_GQMinus, P_WPlus, P_WMinus, P_GQPlus, 7010, check)
    call createCurrent(P_HQMinus, P_Hh, P_Hl, P_HQPlus, 2445, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, 9406, check)
    call createCurrent(P_G0, P_ghWm, P_ghAAnti, P_GPlus, 7462, check)
    call createCurrent(P_HPlus, P_G0, P_G0, P_HMinus, 513, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_Hh, P_ghA, 937, check)
    call createCurrent(P_Ha, P_Z, P_Z, P_G0, 10015, check)
    call createCurrent(P_GQMinus, P_ghA, P_G0, P_ghWmAnti, 8159, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_HPlus, P_ghA, 10198, check)
    call createCurrent(P_ZQ, P_GPlus, P_A, P_GQMinus, 1426, check)
    call createCurrent(P_A, P_Hh, P_Ha, 8884, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, 146, check)
    call createCurrent(P_HQMinus, P_ghWpAnti, P_HPlus, P_ghWp, 8376, check)
    call createCurrent(P_WPlus, P_HMinus, P_Z, P_Ha, 1813, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_HPlus, P_Ha, 1076, check)
    call createCurrent(P_G0, P_ghZAnti, P_ghZ, P_Ha, 9908, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghWp, P_ZQ, 8773, check)
    call createCurrent(P_t, P_GMinus, P_bAnti, 3837, check)
    call createCurrent(P_HaQ, P_ghWpAnti, P_Ha, P_ghWp, 8397, check)
    call createCurrent(P_ghWp, P_Hh, P_HMinus, P_ghAAnti, 7148, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghA, P_WPlus, 210, check)
    call createCurrent(P_HPlus, P_ghZ, P_ghZAnti, P_HMinus, 1201, check)
    call createCurrent(P_HPlus, P_HMinus, P_ghZ, P_ghZAnti, 4310, check)
    call createCurrent(P_A, P_Ha, P_Ha, P_Z, 9792, check)
    call createCurrent(P_HlQ, P_HMinus, P_WQPlus, 4995, check)
    call createCurrent(P_G0, P_WPlus, P_WMinus, P_Ha, 9783, check)
    call createCurrent(P_G0, P_WPlus, P_A, P_GMinus, 3335, check)
    call createCurrent(P_Ha, P_ghAAnti, P_HMinus, P_ghWp, 7331, check)
    call createCurrent(P_GQMinus, P_Z, P_GQPlus, 2517, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_AQ, 4622, check)
    call createCurrent(P_tAnti, P_t, P_GQ0, 1752, check)
    call createCurrent(P_GQPlus, P_ghWpAnti, P_Hl, P_ghZ, 7906, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, 6222, check)
    call createCurrent(P_HMinus, P_Z, P_WPlus, P_Hh, 647, check)
    call createCurrent(P_GQMinus, P_ghWmAnti, P_Hh, P_ghZ, 5931, check)
    call createCurrent(P_WPlus, P_G0, P_HMinus, P_A, 8862, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_Hh, 6281, check)
    call createCurrent(P_Hl, P_Hh, P_Hh, P_Hh, 4499, check)
    call createCurrent(P_WMinus, P_HPlus, P_Z, P_Hh, 7394, check)
    call createCurrent(P_HhQ, P_GMinus, P_WPlus, P_ZQ, 6996, check)
    call createCurrent(P_G0, P_HPlus, P_HMinus, P_Hh, 9829, check)
    call createCurrent(P_HhQ, P_WPlus, P_A, P_HQMinus, 4087, check)
    call createCurrent(P_G0, P_Ha, P_Ha, P_Ha, 1056, check)
    call createCurrent(P_HQMinus, P_Hl, P_WPlus, P_AQ, 1388, check)
    call createCurrent(P_HMinus, P_HPlus, P_G0, P_Hl, 9120, check)
    call createCurrent(P_GQPlus, P_GMinus, P_Hh, P_HaQ, 178, check)
    call createCurrent(P_Ha, P_G0, P_A, P_A, 10606, check)
    call createCurrent(P_gQ, P_g, P_ghGAnti, P_ghG, 3354, check)
    call createCurrent(P_G0, P_HMinus, P_HPlus, 9154, check)
    call createCurrent(P_HaQ, P_Ha, P_GMinus, P_GQPlus, 7182, check)
    call createCurrent(P_Hl, P_ghZAnti, P_GPlus, P_ghWm, 5098, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_Hl, P_HMinus, 1148, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_WQPlus, 2854, check)
    call createCurrent(P_Hl, P_HPlus, P_ghZAnti, P_ghWm, 5225, check)
    call createCurrent(P_Hh, P_Hh, P_Ha, P_G0, 4090, check)
    call createCurrent(P_HaQ, P_Ha, P_ghZ, P_ghZAnti, 8473, check)
    call createCurrent(P_ghWmAnti, P_G0, P_GMinus, P_ghA, 5808, check)
    call createCurrent(P_WPlus, P_Z, P_Z, P_WMinus, 4402, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_Z, 7064, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_GMinus, P_HhQ, 1986, check)
    call createCurrent(P_WPlus, P_Z, P_G0, P_HMinus, 9254, check)
    call createCurrent(P_GQMinus, P_G0, P_ghZAnti, P_ghWp, 7125, check)
    call createCurrent(P_GQPlus, P_Hh, P_ghWpAnti, P_ghA, 2368, check)
    call createCurrent(P_HlQ, P_Hl, P_HMinus, P_GQPlus, 4363, check)
    call createCurrent(P_G0, P_muMinus, P_muPlus, 2819, check)
    call createCurrent(P_A, P_A, P_HMinus, P_HPlus, 843, check)
    call createCurrent(P_GPlus, P_Hh, P_Hh, P_GMinus, 8003, check)
    call createCurrent(P_HMinus, P_ghZ, P_ghWmAnti, P_Hh, 1949, check)
    call createCurrent(P_Z, P_ghWm, P_ghAAnti, P_WPlus, 5103, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_Hl, P_GQMinus, 3667, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_Z, 6096, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GPlus, P_G0, 792, check)
    call createCurrent(P_HQMinus, P_ghWp, P_Hl, P_ghZAnti, 3577, check)
    call createCurrent(P_WMinus, P_WPlus, P_HMinus, P_HPlus, 7898, check)
    call createCurrent(P_Hh, P_ghAAnti, P_ghWm, P_GPlus, 8256, check)
    call createCurrent(P_ghZ, P_WPlus, P_A, P_ghWpAnti, 2769, check)
    call createCurrent(P_HMinus, P_Ha, P_ghAAnti, P_ghWp, 2451, check)
    call createCurrent(P_WPlus, P_Z, P_HMinus, P_Ha, 785, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghZ, P_A, 2990, check)
    call createCurrent(P_HMinus, P_HPlus, P_HMinus, P_GPlus, 5400, check)
    call createCurrent(P_ghA, P_HMinus, P_ghWmAnti, P_Hl, 6084, check)
    call createCurrent(P_GQ0, P_HPlus, P_GMinus, P_HaQ, 3116, check)
    call createCurrent(P_GQ0, P_Ha, P_HMinus, P_HQPlus, 7075, check)
    call createCurrent(P_HPlus, P_Ha, P_HMinus, P_Hh, 10351, check)
    call createCurrent(P_AQ, P_muMinus, P_muPlus, 6509, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_GPlus, P_HMinus, 9768, check)
    call createCurrent(P_GQ0, P_cAnti, P_c, 5626, check)
    call createCurrent(P_ghWpAnti, P_Ha, P_G0, P_ghWp, 10151, check)
    call createCurrent(P_AQ, P_GPlus, P_Hh, P_WQMinus, 6754, check)
    call createCurrent(P_GQPlus, P_G0, P_HMinus, P_HlQ, 5051, check)
    call createCurrent(P_Z, P_GPlus, P_Z, P_HMinus, 10266, check)
    call createCurrent(P_HQPlus, P_GPlus, P_HMinus, P_GQMinus, 8699, check)
    call createCurrent(P_HhQ, P_Hh, P_G0, P_HaQ, 7015, check)
    call createCurrent(P_ZQ, P_WMinus, P_Hh, P_GQPlus, 7344, check)
    call createCurrent(P_HMinus, P_A, P_Hl, P_WPlus, 393, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_ghA, P_WPlus, 1683, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_Hl, P_GQMinus, 4367, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Hh, P_Hh, 2006, check)
    call createCurrent(P_Ha, P_G0, P_G0, P_Ha, 5531, check)
    call createCurrent(P_uAnti, P_u, P_gQ, 7491, check)
    call createCurrent(P_HPlus, P_Hl, P_HMinus, P_Hl, 1523, check)
    call createCurrent(P_G0, P_HMinus, P_ghAAnti, P_ghWp, 9952, check)
    call createCurrent(P_HPlus, P_Z, P_HMinus, P_Z, 3294, check)
    call createCurrent(P_HlQ, P_HPlus, P_GMinus, P_HaQ, 2682, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, 4157, check)
    call createCurrent(P_GQPlus, P_ghZ, P_G0, P_ghWpAnti, 1911, check)
    call createCurrent(P_HQMinus, P_HPlus, P_ghZ, P_ghZAnti, 5675, check)
    call createCurrent(P_muPlus, P_muMinus, P_AQ, 5969, check)
    call createCurrent(P_AQ, P_WMinus, P_Ha, P_HQPlus, 2153, check)
    call createCurrent(P_HQPlus, P_HMinus, P_Z, P_ZQ, 8074, check)
    call createCurrent(P_Hh, P_Z, P_Hl, P_A, 10613, check)
    call createCurrent(P_HQMinus, P_WPlus, P_HhQ, 2050, check)
    call createCurrent(P_Hl, P_Hl, P_ghWp, P_ghWpAnti, 3505, check)
    call createCurrent(P_bAnti, P_t, P_HMinus, 6739, check)
    call createCurrent(P_ghZ, P_G0, P_ghWmAnti, P_HMinus, 9638, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_G0, P_HPlus, 9352, check)
    call createCurrent(P_GQMinus, P_GPlus, P_A, P_AQ, 2952, check)
    call createCurrent(P_HlQ, P_GMinus, P_Ha, P_HQPlus, 138, check)
    call createCurrent(P_WMinus, P_Hl, P_Hl, P_WPlus, 3699, check)
    call createCurrent(P_ePlus, P_WMinus, P_nu_e, 8355, check)
    call createCurrent(P_t, P_tAnti, P_AQ, 3329, check)
    call createCurrent(P_g, P_HPlus, P_g, P_HMinus, 10538, check)
    call createCurrent(P_Z, P_Hh, P_GMinus, P_WPlus, 1605, check)
    call createCurrent(P_ghZAnti, P_Ha, P_ghWm, P_HPlus, 3899, check)
    call createCurrent(P_ghZAnti, P_Hh, P_GPlus, P_ghWm, 5308, check)
    call createCurrent(P_ghAAnti, P_HMinus, P_ghA, P_HQPlus, 7980, check)
    call createCurrent(P_G0, P_GPlus, P_G0, P_HMinus, 5965, check)
    call createCurrent(P_HMinus, P_ghWp, P_ghAAnti, P_G0, 10363, check)
    call createCurrent(P_ghZ, P_HPlus, P_ghZAnti, P_HMinus, 6863, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_A, 2835, check)
    call createCurrent(P_HaQ, P_ghAAnti, P_HPlus, P_ghWm, 1946, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghWp, P_Z, 1059, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_Ha, 10127, check)
    call createCurrent(P_GMinus, P_HPlus, P_ghAAnti, P_ghA, 9390, check)
    call createCurrent(P_HhQ, P_GMinus, P_Hl, P_HQPlus, 6089, check)
    call createCurrent(P_HhQ, P_GPlus, P_Ha, P_HQMinus, 8460, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_Hh, P_GPlus, 5030, check)
    call createCurrent(P_HQMinus, P_nu_e, P_ePlus, 3675, check)
    call createCurrent(P_HPlus, P_ghWm, P_ghWmAnti, P_HMinus, 3888, check)
    call createCurrent(P_GPlus, P_Hl, P_HMinus, P_Hl, 6600, check)
    call createCurrent(P_A, P_Z, P_Hl, P_Hh, 10647, check)
    call createCurrent(P_Hh, P_ghWp, P_HMinus, P_ghAAnti, 4279, check)
    call createCurrent(P_muPlus, P_G0, P_muMinus, 8813, check)
    call createCurrent(P_GQ0, P_WPlus, P_G0, P_WQMinus, 857, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_HMinus, P_HPlus, 269, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_HMinus, P_HaQ, 1323, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_Ha, P_ghZ, 9184, check)
    call createCurrent(P_WQPlus, P_WMinus, P_ZQ, 8415, check)
    call createCurrent(P_GPlus, P_GMinus, 9971, check)
    call createCurrent(P_ghWm, P_Z, P_ghAAnti, P_WPlus, 1387, check)
    call createCurrent(P_c, P_g, P_cAnti, 3400, check)
    call createCurrent(P_GPlus, P_HMinus, P_Hh, P_Hl, 5858, check)
    call createCurrent(P_Ha, P_WPlus, P_HMinus, P_Z, 7045, check)
    call createCurrent(P_HhQ, P_A, P_GPlus, P_WQMinus, 1114, check)
    call createCurrent(P_Ha, P_G0, P_G0, 10645, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ghA, P_ghAAnti, 3946, check)
    call createCurrent(P_GQPlus, P_HPlus, P_GMinus, P_GQMinus, 4313, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_Ha, P_ghZ, 10481, check)
    call createCurrent(P_Hl, P_Hl, P_Hl, 1581, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Hh, P_GQ0, 6776, check)
    call createCurrent(P_ghAAnti, P_HPlus, P_ghWm, P_Hh, 7499, check)
    call createCurrent(P_GMinus, P_Hh, P_ghWp, P_ghAAnti, 5319, check)
    call createCurrent(P_GPlus, P_Hl, P_HMinus, P_Ha, 8198, check)
    call createCurrent(P_G0, P_ghWm, P_HPlus, P_ghAAnti, 9826, check)
    call createCurrent(P_u, P_Ha, P_uAnti, 7725, check)
    call createCurrent(P_ghZAnti, P_ghA, P_HMinus, P_GPlus, 9981, check)
    call createCurrent(P_HPlus, P_WMinus, P_Z, 3141, check)
    call createCurrent(P_HMinus, P_HPlus, P_ghZAnti, P_ghZ, 3112, check)
    call createCurrent(P_Hl, P_HMinus, P_ghWmAnti, P_ghA, 8537, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_A, 7036, check)
    call createCurrent(P_Ha, P_ghWpAnti, P_HPlus, P_ghA, 6025, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_Z, P_ghWm, 2147, check)
    call createCurrent(P_HaQ, P_HMinus, P_GQPlus, 5842, check)
    call createCurrent(P_cAnti, P_c, P_ZQ, 6685, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghWmAnti, P_GMinus, 1451, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_HMinus, P_G0, 9797, check)
    call createCurrent(P_Hl, P_HMinus, P_GPlus, 6429, check)
    call createCurrent(P_WMinus, P_Z, P_ghWp, P_ghAAnti, 4119, check)
    call createCurrent(P_ghA, P_HMinus, P_ghAAnti, P_GPlus, 9707, check)
    call createCurrent(P_Hh, P_HPlus, P_GMinus, P_Hl, 3432, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghWpAnti, 7156, check)
    call createCurrent(P_WQPlus, P_ghWpAnti, P_WPlus, P_ghWm, 6470, check)
    call createCurrent(P_GQMinus, P_WMinus, P_WPlus, P_GQPlus, 8172, check)
    call createCurrent(P_HQPlus, P_tAnti, P_b, 2240, check)
    call createCurrent(P_ghWmAnti, P_ghWp, P_WMinus, P_WMinus, 4354, check)
    call createCurrent(P_ghWm, P_Hl, P_Hh, P_ghWmAnti, 9494, check)
    call createCurrent(P_HPlus, P_Hh, P_GMinus, P_Hh, 5371, check)
    call createCurrent(P_GMinus, P_dAnti, P_u, 6930, check)
    call createCurrent(P_AQ, P_ghWp, P_ghWpAnti, 979, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_Hl, P_HPlus, 4890, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_WMinus, P_A, 4002, check)
    call createCurrent(P_GMinus, P_HPlus, P_HPlus, P_GMinus, 4177, check)
    call createCurrent(P_HlQ, P_HPlus, P_GMinus, P_HhQ, 7893, check)
    call createCurrent(P_HPlus, P_HMinus, P_Hh, P_Hl, 7170, check)
    call createCurrent(P_G0, P_G0, P_Hh, P_Hl, 1465, check)
    call createCurrent(P_ghWpAnti, P_Hl, P_ghZ, P_HPlus, 4855, check)
    call createCurrent(P_HQPlus, P_Hh, P_HMinus, P_HlQ, 6995, check)
    call createCurrent(P_s, P_sAnti, P_ZQ, 2364, check)
    call createCurrent(P_ghWm, P_HPlus, P_GMinus, P_ghWmAnti, 9016, check)
    call createCurrent(P_WQMinus, P_WPlus, P_Ha, P_HlQ, 1714, check)
    call createCurrent(P_HMinus, P_Ha, P_Hl, P_HPlus, 9246, check)
    call createCurrent(P_GPlus, P_Hh, P_Ha, P_HMinus, 2269, check)
    call createCurrent(P_ghWm, P_Z, P_ghWmAnti, P_AQ, 8627, check)
    call createCurrent(P_GQMinus, P_Hl, P_Ha, P_HQPlus, 3621, check)
    call createCurrent(P_Z, P_WPlus, P_Ha, P_HMinus, 8756, check)
    call createCurrent(P_ghWmAnti, P_HMinus, P_ghZ, 5774, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_GMinus, P_GPlus, 2069, check)
    call createCurrent(P_AQ, P_ghWp, P_WMinus, P_ghAAnti, 6861, check)
    call createCurrent(P_Hl, P_Hl, P_Hh, P_Hl, 8178, check)
    call createCurrent(P_WMinus, P_Z, P_Z, P_WPlus, 3331, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_GPlus, P_ghWm, 7404, check)
    call createCurrent(P_HaQ, P_Hh, P_ZQ, 3896, check)
    call createCurrent(P_Ha, P_ghZ, P_HPlus, P_ghWpAnti, 4101, check)
    call createCurrent(P_ghWp, P_G0, P_ghAAnti, P_HMinus, 9172, check)
    call createCurrent(P_ghZ, P_HMinus, P_ghZAnti, P_GPlus, 9486, check)
    call createCurrent(P_Hh, P_ghWp, P_Hl, P_ghWpAnti, 10043, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Hh, P_HaQ, 1264, check)
    call createCurrent(P_HPlus, P_Z, P_G0, P_WMinus, 9687, check)
    call createCurrent(P_Hl, P_HPlus, P_HMinus, 135, check)
    call createCurrent(P_ghZ, P_Hl, P_ghWpAnti, P_HPlus, 2584, check)
    call createCurrent(P_HQPlus, P_HMinus, P_WPlus, P_WQMinus, 2874, check)
    call createCurrent(P_WMinus, P_GMinus, P_WPlus, P_GPlus, 4961, check)
    call createCurrent(P_GQPlus, P_GMinus, P_HMinus, P_GQPlus, 4054, check)
    call createCurrent(P_ghZAnti, P_Hh, P_ghWm, P_GPlus, 5991, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Hh, 3424, check)
    call createCurrent(P_WPlus, P_Z, P_Ha, P_HMinus, 6911, check)
    call createCurrent(P_Ha, P_ghWm, P_ghWmAnti, P_Ha, 1589, check)
    call createCurrent(P_G0, P_ghWp, P_ghAAnti, P_GMinus, 3911, check)
    call createCurrent(P_s, P_Hl, P_sAnti, 104, check)
    call createCurrent(P_cAnti, P_s, P_GQPlus, 4173, check)
    call createCurrent(P_Hh, P_GMinus, P_ghWmAnti, P_ghZ, 4263, check)
    call createCurrent(P_ghA, P_ghZAnti, P_GMinus, P_GQPlus, 535, check)
    call createCurrent(P_b, P_bAnti, P_Z, 1644, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_G0, P_GQ0, 5023, check)
    call createCurrent(P_Hl, P_Hl, P_GMinus, P_HPlus, 6970, check)
    call createCurrent(P_Hl, P_Ha, P_Ha, P_Hh, 8652, check)
    call createCurrent(P_HQPlus, P_Hl, P_GMinus, P_HhQ, 5735, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, 8211, check)
    call createCurrent(P_uAnti, P_d, P_WQPlus, 1867, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_ghA, P_HMinus, 10088, check)
    call createCurrent(P_Hl, P_WPlus, P_A, P_HMinus, 3954, check)
    call createCurrent(P_HPlus, P_Hl, P_ghWpAnti, P_ghZ, 2730, check)
    call createCurrent(P_Hl, P_HPlus, P_GMinus, 5817, check)
    call createCurrent(P_G0, P_GPlus, P_HMinus, 4518, check)
    call createCurrent(P_Hh, P_Z, P_WPlus, P_GMinus, 6042, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, P_Hl, 7955, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghAAnti, P_GPlus, 5202, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_Ha, P_ghZ, 10091, check)
    call createCurrent(P_ghAAnti, P_ghZ, P_HPlus, P_HQMinus, 5740, check)
    call createCurrent(P_ghWmAnti, P_Ha, P_ghZ, P_HMinus, 7616, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_G0, P_GQMinus, 2230, check)
    call createCurrent(P_GPlus, P_GMinus, P_ghZ, P_ghAAnti, 3797, check)
    call createCurrent(P_WPlus, P_WMinus, P_ghZAnti, P_ghA, 3963, check)
    call createCurrent(P_Hl, P_WMinus, P_HPlus, P_A, 3167, check)
    call createCurrent(P_Ha, P_HMinus, P_Hl, P_GPlus, 3441, check)
    call createCurrent(P_GQ0, P_GMinus, P_GPlus, P_HaQ, 7792, check)
    call createCurrent(P_HQMinus, P_Hh, P_GPlus, P_HhQ, 8359, check)
    call createCurrent(P_ghZAnti, P_Hl, P_ghWm, P_GPlus, 4047, check)
    call createCurrent(P_Hl, P_GPlus, P_HMinus, 6717, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_Hh, P_ghZ, 3143, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghZAnti, P_A, 449, check)
    call createCurrent(P_WMinus, P_ghA, P_ghWmAnti, 7717, check)
    call createCurrent(P_Hh, P_HPlus, P_ghZ, P_ghWpAnti, 8524, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_Ha, P_HMinus, 6658, check)
    call createCurrent(P_HQPlus, P_GPlus, P_GMinus, P_GQMinus, 2030, check)
    call createCurrent(P_Hl, P_eMinus, P_ePlus, 2501, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghWp, P_WMinus, 2028, check)
    call createCurrent(P_HlQ, P_Hh, P_Hl, P_HhQ, 1502, check)
    call createCurrent(P_HlQ, P_GPlus, P_Ha, P_GQMinus, 3552, check)
    call createCurrent(P_Hh, P_tauMinus, P_tauPlus, 806, check)
    call createCurrent(P_GQPlus, P_GMinus, P_HPlus, P_GQMinus, 1702, check)
    call createCurrent(P_Z, P_Ha, P_Hl, 1162, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, 7145, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_A, 6067, check)
    call createCurrent(P_AQ, P_HPlus, P_WQMinus, 2204, check)
    call createCurrent(P_Z, P_Z, P_WPlus, P_WMinus, 5769, check)
    call createCurrent(P_HlQ, P_HMinus, P_G0, P_GQPlus, 2150, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghZ, P_WPlus, 5875, check)
    call createCurrent(P_g, P_g, P_HPlus, P_GMinus, 10685, check)
    call createCurrent(P_ghAAnti, P_Hl, P_HPlus, P_ghWm, 3206, check)
    call createCurrent(P_WPlus, P_HMinus, P_Hh, 6451, check)
    call createCurrent(P_ghWp, P_Hl, P_ghWpAnti, P_HaQ, 6667, check)
    call createCurrent(P_Ha, P_Ha, P_Hl, 1853, check)
    call createCurrent(P_HMinus, P_ghWmAnti, P_ghA, P_Ha, 933, check)
    call createCurrent(P_HaQ, P_HPlus, P_WQMinus, 1158, check)
    call createCurrent(P_WMinus, P_g, P_g, P_WPlus, 10707, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_Hh, P_ghZ, 6391, check)
    call createCurrent(P_tAnti, P_t, P_HlQ, 7597, check)
    call createCurrent(P_Z, P_WMinus, P_ghWmAnti, P_ghZ, 4466, check)
    call createCurrent(P_sAnti, P_s, P_AQ, 5633, check)
    call createCurrent(P_HPlus, P_HMinus, P_Z, 3903, check)
    call createCurrent(P_WQPlus, P_WPlus, P_WMinus, P_WQMinus, 2074, check)
    call createCurrent(P_G0, P_A, P_HPlus, P_WMinus, 9022, check)
    call createCurrent(P_GMinus, P_Hh, P_HPlus, P_Hl, 5496, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_WPlus, 1445, check)
    call createCurrent(P_ghWp, P_A, P_ghZAnti, P_WMinus, 6679, check)
    call createCurrent(P_GQ0, P_G0, P_GMinus, P_HQPlus, 6154, check)
    call createCurrent(P_GPlus, P_ghWmAnti, P_ghWm, P_HMinus, 8886, check)
    call createCurrent(P_Hl, P_A, P_Hl, P_Z, 8973, check)
    call createCurrent(P_WMinus, P_HPlus, P_A, P_Hl, 6205, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_G0, P_G0, 273, check)
    call createCurrent(P_GPlus, P_GMinus, P_Hh, 5535, check)
    call createCurrent(P_Hh, P_HMinus, P_ghWmAnti, P_ghZ, 2018, check)
    call createCurrent(P_A, P_Hh, P_HMinus, P_WPlus, 5993, check)
    call createCurrent(P_HaQ, P_Hl, P_ghWpAnti, P_ghWp, 6119, check)
    call createCurrent(P_Z, P_HMinus, P_Z, P_HPlus, 8362, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_Hl, 4677, check)
    call createCurrent(P_ZQ, P_Ha, P_WMinus, P_HQPlus, 1109, check)
    call createCurrent(P_HMinus, P_HPlus, P_ghWp, P_ghWpAnti, 6104, check)
    call createCurrent(P_WQPlus, P_ghWpAnti, P_A, P_ghA, 4965, check)
    call createCurrent(P_ghWmAnti, P_HMinus, P_ghA, P_Ha, 2486, check)
    call createCurrent(P_nu_e, P_ePlus, P_GQMinus, 8017, check)
    call createCurrent(P_G0, P_GPlus, P_ghWpAnti, P_ghA, 5027, check)
    call createCurrent(P_Z, P_A, P_A, P_Z, 10625, check)
    call createCurrent(P_Ha, P_Hl, P_Hl, P_Hl, 10617, check)
    call createCurrent(P_HMinus, P_HPlus, P_ghAAnti, P_ghZ, 1541, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_HPlus, P_HaQ, 617, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, P_G0, 5326, check)
    call createCurrent(P_WMinus, P_A, P_HPlus, P_Hl, 1142, check)
    call createCurrent(P_GQ0, P_GPlus, P_ghAAnti, P_ghWm, 5370, check)
    call createCurrent(P_Ha, P_A, P_HPlus, P_WMinus, 6855, check)
    call createCurrent(P_Ha, P_Hl, P_HMinus, P_HPlus, 9330, check)
    call createCurrent(P_A, P_GMinus, P_HPlus, P_Z, 9837, check)
    call createCurrent(P_HQPlus, P_HMinus, P_HMinus, P_HQPlus, 1629, check)
    call createCurrent(P_ghA, P_HPlus, P_ghAAnti, P_HQMinus, 2454, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_ghZ, P_GMinus, 3278, check)
    call createCurrent(P_GMinus, P_G0, P_ghZAnti, P_ghWp, 7592, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, 2480, check)
    call createCurrent(P_HPlus, P_Hh, P_HMinus, P_Hh, 4369, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_G0, P_GQMinus, 2360, check)
    call createCurrent(P_HlQ, P_HMinus, P_ghWp, P_ghAAnti, 2466, check)
    call createCurrent(P_HMinus, P_WPlus, P_G0, 10167, check)
    call createCurrent(P_WQMinus, P_WPlus, P_G0, P_HlQ, 8689, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_G0, P_GMinus, 5121, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_A, 6673, check)
    call createCurrent(P_G0, P_Z, 9218, check)
    call createCurrent(P_muPlus, P_muMinus, P_Ha, 8193, check)
    call createCurrent(P_A, P_G0, P_GPlus, P_WMinus, 4488, check)
    call createCurrent(P_HhQ, P_GPlus, P_Hl, P_HQMinus, 7729, check)
    call createCurrent(P_GQMinus, P_HPlus, P_Hh, P_HlQ, 8574, check)
    call createCurrent(P_bAnti, P_b, 8906, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghA, P_WQMinus, 1046, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_Z, P_ghA, 1916, check)
    call createCurrent(P_HMinus, P_HPlus, P_GMinus, P_HPlus, 5329, check)
    call createCurrent(P_Z, P_Ha, P_A, P_G0, 10510, check)
    call createCurrent(P_GQ0, P_G0, P_HhQ, 4476, check)
    call createCurrent(P_WMinus, P_A, P_ghWp, P_ghAAnti, 6761, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_WQPlus, 1328, check)
    call createCurrent(P_HMinus, P_ghZ, P_GPlus, P_ghZAnti, 9314, check)
    call createCurrent(P_GQMinus, P_WPlus, P_G0, P_ZQ, 5500, check)
    call createCurrent(P_ghAAnti, P_Hh, P_ghWm, P_GPlus, 8272, check)
    call createCurrent(P_GQMinus, P_HPlus, P_Ha, P_HhQ, 3724, check)
    call createCurrent(P_ghWp, P_WPlus, P_ghWpAnti, P_WMinus, 4517, check)
    call createCurrent(P_WPlus, P_HMinus, P_Ha, P_Z, 2743, check)
    call createCurrent(P_HhQ, P_HPlus, P_Hh, P_HQMinus, 6890, check)
    call createCurrent(P_HQPlus, P_Hh, P_GMinus, P_HhQ, 8516, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_Z, P_WMinus, 5792, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_HPlus, P_GMinus, 9383, check)
    call createCurrent(P_GPlus, P_GMinus, P_G0, P_Hl, 9554, check)
    call createCurrent(P_GQMinus, P_Hl, P_WQPlus, 8662, check)
    call createCurrent(P_HMinus, P_g, P_g, P_GPlus, 10789, check)
    call createCurrent(P_Hl, P_GPlus, P_WMinus, P_A, 2980, check)
    call createCurrent(P_ZQ, P_WPlus, P_ghWm, P_ghAAnti, 8672, check)
    call createCurrent(P_A, P_ghWp, P_A, P_ghWpAnti, 4923, check)
    call createCurrent(P_ZQ, P_nu_eAnti, P_nu_e, 3669, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_G0, P_HMinus, 10118, check)
    call createCurrent(P_WMinus, P_A, P_Hl, P_HPlus, 4341, check)
    call createCurrent(P_GQ0, P_Hh, P_HaQ, 8823, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, P_A, 7919, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hh, P_Hh, 1034, check)
    call createCurrent(P_HPlus, P_ghWm, P_Hl, P_ghZAnti, 8430, check)
    call createCurrent(P_WQMinus, P_GPlus, P_Z, P_HhQ, 696, check)
    call createCurrent(P_GMinus, P_ghAAnti, P_ghA, P_HPlus, 10412, check)
    call createCurrent(P_GMinus, P_Hh, P_Ha, P_GPlus, 10431, check)
    call createCurrent(P_ghWpAnti, P_Hl, P_ghWp, 3302, check)
    call createCurrent(P_GPlus, P_ghAAnti, P_ghA, P_HMinus, 10337, check)
    call createCurrent(P_ZQ, P_Hl, P_GMinus, P_WQPlus, 6243, check)
    call createCurrent(P_HMinus, P_Ha, P_G0, P_HPlus, 4665, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_Hl, P_Hl, 2123, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_A, P_ghWp, 4892, check)
    call createCurrent(P_Ha, P_ghZAnti, P_ghZ, P_Ha, 746, check)
    call createCurrent(P_nu_e, P_ePlus, P_HQMinus, 2973, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_Hh, P_ghWp, 3205, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_Hl, P_ghWm, 10405, check)
    call createCurrent(P_GPlus, P_WMinus, P_Ha, 9846, check)
    call createCurrent(P_b, P_bAnti, P_GQ0, 71, check)
    call createCurrent(P_Z, P_ghWm, P_WPlus, P_ghAAnti, 7339, check)
    call createCurrent(P_Hl, P_tauPlus, P_tauMinus, 1759, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_Ha, 9123, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghWmAnti, 1606, check)
    call createCurrent(P_GQMinus, P_HPlus, P_Ha, P_HlQ, 8743, check)
    call createCurrent(P_d, P_dAnti, P_HaQ, 8118, check)
    call createCurrent(P_GQPlus, P_GMinus, P_A, P_AQ, 3593, check)
    call createCurrent(P_ghZAnti, P_HMinus, P_G0, P_ghWp, 10438, check)
    call createCurrent(P_G0, P_ghWp, P_ghWpAnti, P_Ha, 9083, check)
    call createCurrent(P_GQPlus, P_Hh, P_G0, P_HQMinus, 5062, check)
    call createCurrent(P_Ha, P_HMinus, P_Z, P_WPlus, 2459, check)
    call createCurrent(P_HQPlus, P_tauMinus, P_nu_tauAnti, 959, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_GMinus, 3685, check)
    call createCurrent(P_HPlus, P_HMinus, P_ghZAnti, P_ghA, 896, check)
    call createCurrent(P_ghWp, P_Ha, P_ghWpAnti, P_HhQ, 5364, check)
    call createCurrent(P_HaQ, P_WPlus, P_Hl, P_WQMinus, 2478, check)
    call createCurrent(P_WPlus, P_WMinus, P_HPlus, P_HMinus, 2051, check)
    call createCurrent(P_WQMinus, P_WPlus, P_G0, P_HhQ, 664, check)
    call createCurrent(P_HaQ, P_GPlus, P_HMinus, P_HhQ, 8184, check)
    call createCurrent(P_nu_e, P_ePlus, P_GMinus, 5157, check)
    call createCurrent(P_HhQ, P_HMinus, P_HPlus, P_HlQ, 609, check)
    call createCurrent(P_Ha, P_GPlus, P_ghWm, P_ghAAnti, 9182, check)
    call createCurrent(P_A, P_GMinus, P_Ha, P_WPlus, 10180, check)
    call createCurrent(P_WQPlus, P_ghWm, P_WMinus, P_ghWmAnti, 7863, check)
    call createCurrent(P_sAnti, P_Ha, P_s, 7876, check)
    call createCurrent(P_Hl, P_HMinus, P_WPlus, 723, check)
    call createCurrent(P_Ha, P_HMinus, P_ghWmAnti, P_ghA, 2448, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_Hh, P_ghZ, 299, check)
    call createCurrent(P_g, P_g, P_Ha, P_Ha, 10655, check)
    call createCurrent(P_g, P_Z, P_A, P_g, 10596, check)
    call createCurrent(P_ghWp, P_Hh, P_ghZAnti, P_GMinus, 993, check)
    call createCurrent(P_GMinus, P_ghWp, P_Ha, P_ghZAnti, 9504, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_GMinus, 8712, check)
    call createCurrent(P_Hh, P_HPlus, P_ghWm, P_ghAAnti, 6866, check)
    call createCurrent(P_b, P_g, P_bAnti, 823, check)
    call createCurrent(P_HPlus, P_Hl, P_Hh, P_GMinus, 5591, check)
    call createCurrent(P_ghA, P_GPlus, P_Hh, P_ghWpAnti, 910, check)
    call createCurrent(P_WQMinus, P_Z, P_WPlus, P_AQ, 124, check)
    call createCurrent(P_HPlus, P_ghWpAnti, P_ghA, P_Hh, 7316, check)
    call createCurrent(P_ghG, P_g, P_ghGAnti, P_gQ, 7007, check)
    call createCurrent(P_ePlus, P_G0, P_eMinus, 5440, check)
    call createCurrent(P_HPlus, P_HMinus, P_G0, P_Hl, 9697, check)
    call createCurrent(P_Ha, P_ghAAnti, P_GPlus, P_ghWm, 9362, check)
    call createCurrent(P_GMinus, P_G0, P_ghAAnti, P_ghWp, 7157, check)
    call createCurrent(P_WMinus, P_WPlus, P_Hh, 6076, check)
    call createCurrent(P_GQPlus, P_GMinus, P_Hh, P_GQ0, 8141, check)
    call createCurrent(P_GQMinus, P_GPlus, P_Hl, P_HlQ, 3895, check)
    call createCurrent(P_ZQ, P_WMinus, P_Hh, P_HQPlus, 3035, check)
    call createCurrent(P_g, P_Hh, P_Hl, P_g, 10557, check)
    call createCurrent(P_GMinus, P_ghWp, P_GPlus, P_ghWpAnti, 2751, check)
    call createCurrent(P_G0, P_GMinus, P_HPlus, 2543, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghZ, P_Hh, 384, check)
    call createCurrent(P_G0, P_HPlus, P_ghWpAnti, P_ghA, 10304, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_Ha, P_ghWm, 9275, check)
    call createCurrent(P_HMinus, P_G0, P_GPlus, P_Hl, 6118, check)
    call createCurrent(P_HQMinus, P_WPlus, P_AQ, 7171, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Hh, P_Hl, 9233, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_GPlus, P_Hl, 8194, check)
    call createCurrent(P_Hl, P_g, P_g, P_Hl, 10579, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_Ha, P_ghZ, 2733, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_HMinus, P_G0, 8985, check)
    call createCurrent(P_WQPlus, P_Z, P_Ha, P_HQMinus, 6577, check)
    call createCurrent(P_WPlus, P_WMinus, P_HMinus, P_HPlus, 7127, check)
    call createCurrent(P_WPlus, P_Z, P_HMinus, P_Hl, 5001, check)
    call createCurrent(P_WQPlus, P_uAnti, P_d, 8053, check)
    call createCurrent(P_A, P_Hh, P_Hl, P_Z, 10724, check)
    call createCurrent(P_WPlus, P_Z, P_ghWm, P_ghAAnti, 1151, check)
    call createCurrent(P_HQPlus, P_ghA, P_Ha, P_ghWpAnti, 2056, check)
    call createCurrent(P_GQMinus, P_HPlus, P_Hh, P_HhQ, 4683, check)
    call createCurrent(P_G0, P_Hl, P_HMinus, P_GPlus, 1031, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_G0, P_GQ0, 2754, check)
    call createCurrent(P_GQMinus, P_GPlus, P_ghWpAnti, P_ghWp, 3630, check)
    call createCurrent(P_HaQ, P_Hl, P_Hl, P_GQ0, 1909, check)
    call createCurrent(P_WMinus, P_GPlus, P_Ha, P_Z, 9088, check)
    call createCurrent(P_ZQ, P_ghAAnti, P_WMinus, P_ghWp, 6133, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_WPlus, P_WQMinus, 2144, check)
    call createCurrent(P_AQ, P_WPlus, P_GQMinus, 8335, check)
    call createCurrent(P_WMinus, P_ghWpAnti, P_WPlus, P_ghWp, 7366, check)
    call createCurrent(P_WPlus, P_HMinus, P_G0, 8949, check)
    call createCurrent(P_GMinus, P_g, P_GPlus, P_g, 10701, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ghZ, P_ghAAnti, 7239, check)
    call createCurrent(P_HaQ, P_b, P_bAnti, 3282, check)
    call createCurrent(P_Hh, P_GPlus, P_ghWm, P_ghZAnti, 6350, check)
    call createCurrent(P_ghZ, P_HPlus, P_HMinus, P_ghZAnti, 7271, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghA, P_GQMinus, 379, check)
    call createCurrent(P_HaQ, P_Ha, P_Ha, P_GQ0, 4626, check)
    call createCurrent(P_WPlus, P_ghWmAnti, P_ghWm, P_WMinus, 8396, check)
    call createCurrent(P_WQPlus, P_tauMinus, P_nu_tauAnti, 4185, check)
    call createCurrent(P_ghAAnti, P_Hl, P_GPlus, P_ghWm, 4810, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_Hh, P_ghZ, 7787, check)
    call createCurrent(P_GMinus, P_t, P_bAnti, 2274, check)
    call createCurrent(P_HhQ, P_b, P_bAnti, 3796, check)
    call createCurrent(P_WQPlus, P_HMinus, P_A, P_HlQ, 7511, check)
    call createCurrent(P_GQPlus, P_Hh, P_Ha, P_HQMinus, 3175, check)
    call createCurrent(P_HhQ, P_GPlus, P_G0, P_GQMinus, 6023, check)
    call createCurrent(P_HQMinus, P_ghA, P_HPlus, P_ghZAnti, 6298, check)
    call createCurrent(P_HQPlus, P_HMinus, P_Ha, P_HhQ, 65, check)
    call createCurrent(P_A, P_ghZ, P_WPlus, P_ghWpAnti, 4952, check)
    call createCurrent(P_HMinus, P_ghAAnti, P_ghWp, P_Hh, 3125, check)
    call createCurrent(P_HlQ, P_HPlus, P_Ha, P_HQMinus, 4299, check)
    call createCurrent(P_HlQ, P_ghWm, P_G0, P_ghWmAnti, 6416, check)
    call createCurrent(P_WQPlus, P_Ha, P_WMinus, P_HhQ, 5280, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Hl, P_GQ0, 1941, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, P_A, 772, check)
    call createCurrent(P_A, P_ghWp, P_ghWpAnti, P_A, 3410, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_G0, P_G0, 2479, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, P_A, 2325, check)
    call createCurrent(P_HlQ, P_ghZ, P_HMinus, P_ghWmAnti, 1400, check)
    call createCurrent(P_ghWpAnti, P_Hh, P_ghWp, P_HhQ, 354, check)
    call createCurrent(P_G0, P_GPlus, P_ghWm, P_ghAAnti, 6396, check)
    call createCurrent(P_Z, P_Z, P_A, P_A, 10533, check)
    call createCurrent(P_HQMinus, P_GMinus, P_HPlus, P_GQPlus, 6838, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, 4019, check)
    call createCurrent(P_HQMinus, P_A, P_WPlus, P_HaQ, 455, check)
    call createCurrent(P_WPlus, P_WMinus, P_ghZ, P_ghZAnti, 5669, check)
    call createCurrent(P_HQPlus, P_Hh, P_WMinus, P_ZQ, 5901, check)
    call createCurrent(P_GPlus, P_Ha, P_HMinus, P_Hh, 1729, check)
    call createCurrent(P_HMinus, P_GPlus, P_ghA, P_ghAAnti, 10125, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ghWmAnti, P_ghWm, 4817, check)
    call createCurrent(P_GMinus, P_HPlus, P_Hl, 2538, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_Z, 2499, check)
    call createCurrent(P_GMinus, P_Hh, P_A, P_WPlus, 627, check)
    call createCurrent(P_AQ, P_WPlus, P_Hl, P_HQMinus, 1029, check)
    call createCurrent(P_A, P_HMinus, P_HPlus, P_A, 277, check)
    call createCurrent(P_GPlus, P_HMinus, P_A, 9363, check)
    call createCurrent(P_Hh, P_ghA, P_HPlus, P_ghWpAnti, 426, check)
    call createCurrent(P_GQPlus, P_WMinus, P_AQ, 4882, check)
    call createCurrent(P_ghA, P_ghAAnti, P_GMinus, P_GQPlus, 6574, check)
    call createCurrent(P_g, P_ghGAnti, P_ghG, 5138, check)
    call createCurrent(P_G0, P_G0, P_g, P_g, 10634, check)
    call createCurrent(P_Hh, P_A, P_GPlus, P_WMinus, 1005, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_G0, P_ghWp, 5976, check)
    call createCurrent(P_ghZ, P_Hl, P_Hh, P_ghZAnti, 10331, check)
    call createCurrent(P_Hh, P_muPlus, P_muMinus, 258, check)
    call createCurrent(P_ghAAnti, P_Ha, P_ghWp, P_HMinus, 5449, check)
    call createCurrent(P_HPlus, P_GMinus, P_A, P_Z, 9385, check)
    call createCurrent(P_HlQ, P_GPlus, P_WMinus, P_ZQ, 4635, check)
    call createCurrent(P_Hh, P_WMinus, P_A, P_HPlus, 2531, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_HPlus, P_HlQ, 8720, check)
    call createCurrent(P_ghWp, P_WMinus, P_WPlus, P_ghWpAnti, 5084, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, P_G0, 5962, check)
    call createCurrent(P_Hh, P_t, P_tAnti, 8369, check)
    call createCurrent(P_cAnti, P_G0, P_c, 1635, check)
    call createCurrent(P_ZQ, P_A, P_GPlus, P_GQMinus, 662, check)
    call createCurrent(P_G0, P_Z, P_Z, P_G0, 3301, check)
    call createCurrent(P_ePlus, P_nu_e, P_GQMinus, 2391, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_Z, P_ghWp, 547, check)
    call createCurrent(P_GQMinus, P_G0, P_HPlus, P_GQ0, 8225, check)
    call createCurrent(P_HMinus, P_ghAAnti, P_ghA, P_HPlus, 1741, check)
    call createCurrent(P_Hl, P_HMinus, P_HPlus, P_G0, 9576, check)
    call createCurrent(P_HQPlus, P_ghZ, P_Hh, P_ghWpAnti, 4873, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghAAnti, P_Z, 6493, check)
    call createCurrent(P_HaQ, P_Hh, P_GQ0, 7440, check)
    call createCurrent(P_GPlus, P_Z, P_Hl, P_WMinus, 771, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_A, P_ghWp, 4470, check)
    call createCurrent(P_GMinus, P_ghWp, P_Hl, P_ghAAnti, 7295, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Hh, P_HaQ, 8276, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghA, P_GQMinus, 7928, check)
    call createCurrent(P_ghWm, P_GPlus, P_Ha, P_ghAAnti, 10404, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Hl, 3169, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghWp, P_WQMinus, 1381, check)
    call createCurrent(P_WQMinus, P_Z, P_HPlus, P_HhQ, 6536, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_ghWm, P_Ha, 9433, check)
    call createCurrent(P_GMinus, P_ghWm, P_GPlus, P_ghWmAnti, 8506, check)
    call createCurrent(P_ghA, P_WMinus, P_Z, P_ghWmAnti, 1116, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghZAnti, P_G0, 5446, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_G0, P_HlQ, 3516, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghA, P_WQMinus, 4358, check)
    call createCurrent(P_GPlus, P_ghAAnti, P_ghWm, 5473, check)
    call createCurrent(P_Ha, P_ghA, P_GMinus, P_ghWmAnti, 10149, check)
    call createCurrent(P_sAnti, P_s, P_GQ0, 5935, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_HMinus, P_HaQ, 2746, check)
    call createCurrent(P_HQPlus, P_ghWpAnti, P_Ha, P_ghA, 2293, check)
    call createCurrent(P_GMinus, P_Hl, P_Hl, P_HPlus, 2304, check)
    call createCurrent(P_GQMinus, P_Hl, P_ghZ, P_ghWmAnti, 8543, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ghAAnti, P_ghZ, 3818, check)
    call createCurrent(P_ghWmAnti, P_Hl, P_HMinus, P_ghA, 3328, check)
    call createCurrent(P_Ha, P_GMinus, P_HPlus, P_Hh, 4600, check)
    call createCurrent(P_Hl, P_ghZ, P_ghWmAnti, P_HMinus, 489, check)
    call createCurrent(P_GPlus, P_GMinus, P_Hl, P_Hl, 8447, check)
    call createCurrent(P_HPlus, P_ghWm, P_Ha, P_ghAAnti, 1444, check)
    call createCurrent(P_HPlus, P_Hh, P_ghAAnti, P_ghWm, 7601, check)
    call createCurrent(P_ghZ, P_Hh, P_ghWpAnti, P_GQPlus, 7085, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghZ, P_GMinus, 4771, check)
    call createCurrent(P_HQPlus, P_Ha, P_G0, P_HQMinus, 2832, check)
    call createCurrent(P_HQMinus, P_Hh, P_Hh, P_HQPlus, 5475, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Ha, P_Ha, 8107, check)
    call createCurrent(P_Ha, P_ghWpAnti, P_ghWp, P_G0, 9453, check)
    call createCurrent(P_WPlus, P_HPlus, P_WMinus, P_HMinus, 840, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_ghZ, P_Hh, 8503, check)
    call createCurrent(P_WPlus, P_GPlus, P_GMinus, P_WMinus, 4298, check)
    call createCurrent(P_b, P_bAnti, P_g, 4443, check)
    call createCurrent(P_GQ0, P_ghWmAnti, P_Hl, P_ghWm, 3064, check)
    call createCurrent(P_WQMinus, P_WPlus, P_ghZAnti, P_ghA, 6101, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GMinus, P_G0, 112, check)
    call createCurrent(P_WMinus, P_Z, P_Hl, P_HPlus, 844, check)
    call createCurrent(P_Z, P_GPlus, P_HMinus, 9250, check)
    call createCurrent(P_ghA, P_Hl, P_ghWpAnti, P_GQPlus, 7284, check)
    call createCurrent(P_GPlus, P_Hl, P_GMinus, 6549, check)
    call createCurrent(P_HQPlus, P_Hl, P_Z, P_WQMinus, 6567, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_ghZ, P_HPlus, 9213, check)
    call createCurrent(P_Hl, P_WMinus, P_A, P_GPlus, 814, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_GMinus, P_Hh, 8015, check)
    call createCurrent(P_WQMinus, P_HMinus, P_WPlus, P_HQPlus, 4866, check)
    call createCurrent(P_HQPlus, P_Z, P_WMinus, P_HaQ, 4522, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_A, P_WPlus, 5154, check)
    call createCurrent(P_Z, P_Z, P_GPlus, P_HMinus, 9691, check)
    call createCurrent(P_AQ, P_WPlus, P_WMinus, P_AQ, 4922, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_Ha, 9133, check)
    call createCurrent(P_ghZ, P_G0, P_ghWpAnti, P_GPlus, 3310, check)
    call createCurrent(P_HPlus, P_G0, P_Ha, P_GMinus, 2520, check)
    call createCurrent(P_ghAAnti, P_ghA, P_WPlus, P_WMinus, 5649, check)
    call createCurrent(P_G0, P_ghWpAnti, P_Ha, P_ghWp, 9528, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GPlus, P_Hh, 4930, check)
    call createCurrent(P_HlQ, P_Ha, P_GMinus, P_HQPlus, 1329, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_Ha, P_HaQ, 398, check)
    call createCurrent(P_GMinus, P_ghWp, P_G0, P_ghAAnti, 981, check)
    call createCurrent(P_ghWp, P_G0, P_HMinus, P_ghZAnti, 10230, check)
    call createCurrent(P_HPlus, P_GMinus, P_Hh, P_Hh, 1053, check)
    call createCurrent(P_ghWm, P_HPlus, P_ghZAnti, P_Ha, 1576, check)
    call createCurrent(P_HaQ, P_HPlus, P_GMinus, P_HlQ, 437, check)
    call createCurrent(P_Z, P_GPlus, P_Ha, P_WMinus, 10030, check)
    call createCurrent(P_Hl, P_G0, P_G0, P_Hh, 5526, check)
    call createCurrent(P_Hh, P_ghWpAnti, P_ghZ, P_HPlus, 8480, check)
    call createCurrent(P_muPlus, P_muMinus, P_HhQ, 2785, check)
    call createCurrent(P_sAnti, P_g, P_s, 1900, check)
    call createCurrent(P_Ha, P_HMinus, P_HPlus, P_Ha, 6819, check)
    call createCurrent(P_A, P_ePlus, P_eMinus, 189, check)
    call createCurrent(P_A, P_G0, P_Z, P_G0, 9968, check)
    call createCurrent(P_HMinus, P_G0, P_Ha, P_GPlus, 4217, check)
    call createCurrent(P_HPlus, P_ghZAnti, P_HMinus, P_ghA, 1912, check)
    call createCurrent(P_A, P_GMinus, P_A, P_HPlus, 10101, check)
    call createCurrent(P_G0, P_GMinus, P_ghAAnti, P_ghWp, 5601, check)
    call createCurrent(P_ghWm, P_ghWpAnti, P_WPlus, P_WQPlus, 3971, check)
    call createCurrent(P_AQ, P_HMinus, P_HQPlus, 7808, check)
    call createCurrent(P_GQMinus, P_Ha, P_GPlus, P_HhQ, 7114, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_HMinus, P_ghA, 10462, check)
    call createCurrent(P_ghWmAnti, P_HMinus, P_ghA, P_G0, 9513, check)
    call createCurrent(P_ghWp, P_G0, P_ghWpAnti, P_HlQ, 8793, check)
    call createCurrent(P_GPlus, P_HMinus, P_HMinus, P_HPlus, 8308, check)
    call createCurrent(P_Ha, P_ghWp, P_HMinus, P_ghAAnti, 1535, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_HPlus, P_HhQ, 1727, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_WPlus, 7574, check)
    call createCurrent(P_G0, P_Hl, P_HMinus, P_HPlus, 9311, check)
    call createCurrent(P_ghWmAnti, P_WPlus, P_WMinus, P_ghWm, 5867, check)
    call createCurrent(P_WMinus, P_dAnti, P_u, 2396, check)
    call createCurrent(P_G0, P_G0, 9193, check)
    call createCurrent(P_ghWm, P_Ha, P_ghWmAnti, P_G0, 8947, check)
    call createCurrent(P_ghZ, P_Ha, P_HMinus, P_ghWmAnti, 4542, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghA, 8512, check)
    call createCurrent(P_HPlus, P_ghWp, P_GMinus, P_ghWpAnti, 10095, check)
    call createCurrent(P_Z, P_WPlus, P_A, P_WMinus, 7550, check)
    call createCurrent(P_GQPlus, P_ghZAnti, P_ghWm, 4699, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_GQPlus, 5303, check)
    call createCurrent(P_GQPlus, P_ghA, P_ghWpAnti, 3180, check)
    call createCurrent(P_Z, P_Hh, P_WPlus, P_GMinus, 821, check)
    call createCurrent(P_HlQ, P_Ha, P_G0, P_HlQ, 5674, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, P_A, 5425, check)
    call createCurrent(P_GMinus, P_Hh, P_WPlus, 6229, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_A, 9216, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghA, P_Hl, 3751, check)
    call createCurrent(P_HPlus, P_ghAAnti, P_ghZ, P_GMinus, 9134, check)
    call createCurrent(P_G0, P_G0, P_GMinus, P_HPlus, 1625, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_WMinus, P_Z, 5315, check)
    call createCurrent(P_ghWmAnti, P_HMinus, P_ghZ, P_G0, 9027, check)
    call createCurrent(P_Hl, P_ghWm, P_GPlus, P_ghAAnti, 3500, check)
    call createCurrent(P_GQ0, P_WMinus, P_GQPlus, 6641, check)
    call createCurrent(P_HaQ, P_Hl, P_GQ0, 3344, check)
    call createCurrent(P_Hl, P_ghZAnti, P_ghWm, P_GPlus, 886, check)
    call createCurrent(P_ghZAnti, P_G0, P_G0, P_ghZ, 7510, check)
    call createCurrent(P_HlQ, P_ghWmAnti, P_HMinus, P_ghZ, 1975, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_GMinus, P_HPlus, 8913, check)
    call createCurrent(P_HQMinus, P_Ha, P_ghWmAnti, P_ghA, 4920, check)
    call createCurrent(P_s, P_cAnti, P_HPlus, 3089, check)
    call createCurrent(P_WQMinus, P_A, P_ghA, P_ghWmAnti, 7412, check)
    call createCurrent(P_Hl, P_HMinus, P_Ha, P_HPlus, 9033, check)
    call createCurrent(P_dAnti, P_d, P_Hl, 1435, check)
    call createCurrent(P_HMinus, P_HPlus, P_ghWmAnti, P_ghWm, 1339, check)
    call createCurrent(P_HaQ, P_G0, P_GPlus, P_GQMinus, 2534, check)
    call createCurrent(P_nu_eAnti, P_WPlus, P_eMinus, 7803, check)
    call createCurrent(P_HMinus, P_Ha, P_HPlus, P_Hh, 10243, check)
    call createCurrent(P_HQMinus, P_ghA, P_ghWmAnti, 6387, check)
    call createCurrent(P_uAnti, P_u, P_Hl, 4968, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghAAnti, P_GMinus, 8349, check)
    call createCurrent(P_HlQ, P_Z, P_HaQ, 971, check)
    call createCurrent(P_A, P_tauPlus, P_tauMinus, 5600, check)
    call createCurrent(P_Ha, P_Z, P_Z, P_Ha, 1060, check)
    call createCurrent(P_HPlus, P_ghWm, P_ghZAnti, P_Hl, 2705, check)
    call createCurrent(P_Hh, P_ghZAnti, P_ghWm, P_HPlus, 867, check)
    call createCurrent(P_A, P_Hh, P_A, 10764, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_Z, 6511, check)
    call createCurrent(P_HQMinus, P_GPlus, P_HMinus, P_HQPlus, 8688, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, P_HlQ, 3014, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, 2513, check)
    call createCurrent(P_GPlus, P_Hl, P_A, P_WMinus, 5160, check)
    call createCurrent(P_HaQ, P_ghZAnti, P_Ha, P_ghZ, 5651, check)
    call createCurrent(P_GMinus, P_G0, P_GPlus, P_Hh, 10024, check)
    call createCurrent(P_HaQ, P_Hh, P_ghWm, P_ghWmAnti, 3065, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghA, P_WQPlus, 8270, check)
    call createCurrent(P_A, P_Ha, P_Ha, P_A, 10658, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, P_AQ, 4870, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghWpAnti, P_HPlus, 10010, check)
    call createCurrent(P_WQPlus, P_A, P_WMinus, P_ZQ, 4146, check)
    call createCurrent(P_WQMinus, P_Hl, P_Hl, P_WQPlus, 3857, check)
    call createCurrent(P_GQ0, P_Ha, P_GMinus, P_GQPlus, 4091, check)
    call createCurrent(P_GPlus, P_Hh, P_ghAAnti, P_ghWm, 5285, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_HMinus, P_Hh, 3096, check)
    call createCurrent(P_HQMinus, P_Hl, P_GPlus, P_HhQ, 6990, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_Hh, P_GQMinus, 8811, check)
    call createCurrent(P_Ha, P_G0, P_ghZAnti, P_ghZ, 8902, check)
    call createCurrent(P_ghWpAnti, P_Ha, P_GPlus, P_ghZ, 10478, check)
    call createCurrent(P_t, P_Hl, P_tAnti, 1721, check)
    call createCurrent(P_Hh, P_G0, P_Ha, P_Hh, 3254, check)
    call createCurrent(P_HMinus, P_ghZ, P_Ha, P_ghWmAnti, 3900, check)
    call createCurrent(P_G0, P_HPlus, P_GMinus, P_G0, 684, check)
    call createCurrent(P_WMinus, P_GMinus, P_GPlus, P_WPlus, 3047, check)
    call createCurrent(P_HQPlus, P_ghZAnti, P_ghWm, 2888, check)
    call createCurrent(P_WQPlus, P_ghWpAnti, P_ghZ, 7853, check)
    call createCurrent(P_HlQ, P_G0, P_ZQ, 5964, check)
    call createCurrent(P_HhQ, P_Hl, P_GPlus, P_GQMinus, 7870, check)
    call createCurrent(P_GQ0, P_HMinus, P_GPlus, P_HaQ, 8626, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_Hl, P_GQPlus, 4396, check)
    call createCurrent(P_GQMinus, P_Hh, P_HPlus, P_HaQ, 6966, check)
    call createCurrent(P_HMinus, P_Z, P_HPlus, 5046, check)
    call createCurrent(P_ghA, P_GPlus, P_ghAAnti, P_HMinus, 9599, check)
    call createCurrent(P_Hh, P_Hl, P_Hl, P_Hl, 3825, check)
    call createCurrent(P_GMinus, P_HPlus, P_ghZAnti, P_ghZ, 10466, check)
    call createCurrent(P_Z, P_GMinus, P_HPlus, P_A, 9626, check)
    call createCurrent(P_HlQ, P_HPlus, P_Hh, P_HQMinus, 6282, check)
    call createCurrent(P_HlQ, P_Hl, P_HPlus, P_HQMinus, 4111, check)
    call createCurrent(P_HPlus, P_Hh, P_GMinus, P_G0, 5322, check)
    call createCurrent(P_HhQ, P_GPlus, P_Ha, P_GQMinus, 2817, check)
    call createCurrent(P_GQMinus, P_HPlus, P_GMinus, P_GQPlus, 8747, check)
    call createCurrent(P_HMinus, P_WPlus, P_Hh, 6037, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_Hh, 5667, check)
    call createCurrent(P_A, P_G0, P_Hh, 10050, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_WPlus, P_A, 5970, check)
    call createCurrent(P_WQPlus, P_ghWm, P_WPlus, P_ghWpAnti, 7186, check)
    call createCurrent(P_HhQ, P_G0, P_Ha, P_HlQ, 49, check)
    call createCurrent(P_HQMinus, P_Hl, P_ghWmAnti, P_ghA, 6148, check)
    call createCurrent(P_GMinus, P_ghZ, P_Hh, P_ghWmAnti, 7028, check)
    call createCurrent(P_Hh, P_ghA, P_ghWpAnti, P_HPlus, 7969, check)
    call createCurrent(P_WQMinus, P_Z, P_ghWmAnti, P_ghA, 1935, check)
    call createCurrent(P_ghA, P_GMinus, P_ghWmAnti, P_Ha, 10293, check)
    call createCurrent(P_Z, P_ghZ, P_ghWpAnti, P_WPlus, 4154, check)
    call createCurrent(P_Z, P_uAnti, P_u, 2557, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_Z, 8213, check)
    call createCurrent(P_ghWm, P_A, P_ghAAnti, P_WPlus, 140, check)
    call createCurrent(P_G0, P_GMinus, P_HPlus, P_Hl, 5248, check)
    call createCurrent(P_GQMinus, P_GMinus, P_HPlus, P_HQPlus, 8790, check)
    call createCurrent(P_muMinus, P_GPlus, P_nu_muAnti, 20, check)
    call createCurrent(P_HMinus, P_ghZAnti, P_Hh, P_ghWp, 8675, check)
    call createCurrent(P_Ha, P_ghZ, P_ghZAnti, P_G0, 9025, check)
    call createCurrent(P_ZQ, P_GMinus, P_GPlus, P_ZQ, 6280, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghZ, P_Ha, 10072, check)
    call createCurrent(P_dAnti, P_g, P_d, 3128, check)
    call createCurrent(P_Ha, P_dAnti, P_d, 6867, check)
    call createCurrent(P_Hl, P_ghAAnti, P_HMinus, P_ghWp, 206, check)
    call createCurrent(P_HPlus, P_nu_tauAnti, P_tauMinus, 2025, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_A, P_ghWm, 1945, check)
    call createCurrent(P_HhQ, P_Ha, P_ghWpAnti, P_ghWp, 7176, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_HMinus, P_HlQ, 7159, check)
    call createCurrent(P_ghAAnti, P_ghA, P_GPlus, P_GQMinus, 7113, check)
    call createCurrent(P_ghA, P_G0, P_ghWpAnti, P_HPlus, 9509, check)
    call createCurrent(P_Hl, P_HPlus, P_Z, P_WMinus, 7265, check)
    call createCurrent(P_HQPlus, P_Hh, P_WQMinus, 8064, check)
    call createCurrent(P_G0, P_A, P_Hh, 8964, check)
    call createCurrent(P_WPlus, P_Hl, P_Hl, P_WMinus, 2082, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, P_HhQ, 7485, check)
    call createCurrent(P_GMinus, P_HMinus, P_GPlus, P_GPlus, 6905, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_ZQ, 3511, check)
    call createCurrent(P_nu_mu, P_HMinus, P_muPlus, 7040, check)
    call createCurrent(P_Z, P_HPlus, P_Ha, P_WMinus, 27, check)
    call createCurrent(P_HQMinus, P_GPlus, P_HPlus, P_GQMinus, 3961, check)
    call createCurrent(P_ghAAnti, P_HPlus, P_GMinus, P_ghA, 9379, check)
    call createCurrent(P_GQMinus, P_HPlus, P_GMinus, P_HQPlus, 1953, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghZAnti, P_AQ, 1227, check)
    call createCurrent(P_HMinus, P_Ha, P_Hh, P_HPlus, 10435, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, 6383, check)
    call createCurrent(P_HPlus, P_Hh, P_A, P_WMinus, 3277, check)
    call createCurrent(P_HhQ, P_Hh, P_HlQ, 6791, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghWm, P_A, 1940, check)
    call createCurrent(P_WPlus, P_HPlus, P_HMinus, P_WMinus, 1252, check)
    call createCurrent(P_Ha, P_Hl, P_HMinus, P_GPlus, 4308, check)
    call createCurrent(P_HlQ, P_Ha, P_GMinus, P_GQPlus, 4868, check)
    call createCurrent(P_HlQ, P_GPlus, P_ghWpAnti, P_ghZ, 2718, check)
    call createCurrent(P_GQMinus, P_Ha, P_HPlus, P_HhQ, 1073, check)
    call createCurrent(P_ghZ, P_A, P_WPlus, P_ghWpAnti, 4504, check)
    call createCurrent(P_HQPlus, P_WMinus, P_Z, P_HhQ, 1103, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghZAnti, P_GMinus, 5333, check)
    call createCurrent(P_GQ0, P_d, P_dAnti, 5663, check)
    call createCurrent(P_GPlus, P_HMinus, P_HPlus, P_HMinus, 2782, check)
    call createCurrent(P_HMinus, P_WMinus, P_GPlus, P_WPlus, 9456, check)
    call createCurrent(P_Hl, P_Z, P_G0, 1983, check)
    call createCurrent(P_GMinus, P_HPlus, P_G0, P_G0, 7345, check)
    call createCurrent(P_HMinus, P_A, P_HPlus, P_A, 705, check)
    call createCurrent(P_Hh, P_GMinus, P_HPlus, P_Hh, 791, check)
    call createCurrent(P_WQMinus, P_WPlus, P_A, P_AQ, 7431, check)
    call createCurrent(P_HMinus, P_Hl, P_Hl, P_HPlus, 343, check)
    call createCurrent(P_Hh, P_GMinus, P_Hh, P_HPlus, 1101, check)
    call createCurrent(P_ghA, P_HPlus, P_Hl, P_ghWpAnti, 7354, check)
    call createCurrent(P_HMinus, P_Z, P_GPlus, 9595, check)
    call createCurrent(P_WPlus, P_A, P_ghWm, P_ghAAnti, 7399, check)
    call createCurrent(P_sAnti, P_A, P_s, 2811, check)
    call createCurrent(P_HlQ, P_GPlus, P_G0, P_HQMinus, 1482, check)
    call createCurrent(P_HMinus, P_GPlus, P_A, P_A, 9717, check)
    call createCurrent(P_WMinus, P_GPlus, P_WPlus, P_GMinus, 1084, check)
    call createCurrent(P_A, P_ghWmAnti, P_Z, P_ghWm, 8237, check)
    call createCurrent(P_WQMinus, P_Z, P_WQPlus, 3642, check)
    call createCurrent(P_HQPlus, P_G0, P_HMinus, P_HhQ, 3615, check)
    call createCurrent(P_HaQ, P_GMinus, P_G0, P_GQPlus, 8345, check)
    call createCurrent(P_GPlus, P_Ha, P_ghAAnti, P_ghWm, 8992, check)
    call createCurrent(P_HaQ, P_ghWpAnti, P_ghWp, 7888, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_Hh, 421, check)
    call createCurrent(P_ghZ, P_HMinus, P_ghWmAnti, P_Ha, 5180, check)
    call createCurrent(P_AQ, P_G0, P_WMinus, P_GQPlus, 6234, check)
    call createCurrent(P_G0, P_A, P_A, P_G0, 10487, check)
    call createCurrent(P_WQPlus, P_WMinus, P_Ha, P_HlQ, 3448, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_Ha, 10052, check)
    call createCurrent(P_ghWp, P_HMinus, P_ghAAnti, P_HhQ, 797, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_ghZ, P_GQMinus, 8566, check)
    call createCurrent(P_HlQ, P_ghWmAnti, P_G0, P_ghWm, 5714, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghWp, 741, check)
    call createCurrent(P_Ha, P_Hh, P_Hl, P_Ha, 983, check)
    call createCurrent(P_GMinus, P_ghWpAnti, P_ghWp, P_GPlus, 1771, check)
    call createCurrent(P_HaQ, P_Hh, P_Hl, P_GQ0, 3947, check)
    call createCurrent(P_HMinus, P_ghA, P_Hh, P_ghWmAnti, 3759, check)
    call createCurrent(P_uAnti, P_u, P_g, 8477, check)
    call createCurrent(P_WMinus, P_Hh, P_HPlus, P_A, 767, check)
    call createCurrent(P_HQMinus, P_G0, P_HPlus, P_HhQ, 441, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghWm, P_G0, 2402, check)
    call createCurrent(P_A, P_Ha, P_G0, P_Z, 10696, check)
    call createCurrent(P_g, P_ghG, P_g, P_ghGAnti, 776, check)
    call createCurrent(P_Hh, P_Hh, P_GPlus, P_HMinus, 5977, check)
    call createCurrent(P_ZQ, P_GMinus, P_GPlus, P_AQ, 334, check)
    call createCurrent(P_HMinus, P_WPlus, P_Ha, 8094, check)
    call createCurrent(P_HhQ, P_GMinus, P_G0, P_GQPlus, 6547, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_HMinus, P_HQPlus, 8313, check)
    call createCurrent(P_HMinus, P_ghWmAnti, P_ghA, P_Hl, 8290, check)
    call createCurrent(P_HQMinus, P_GPlus, P_HPlus, P_HQMinus, 391, check)
    call createCurrent(P_gQ, P_g, P_gQ, 154, check)
    call createCurrent(P_A, P_A, P_GPlus, P_HMinus, 9941, check)
    call createCurrent(P_HMinus, P_ghZ, P_ghZAnti, P_GPlus, 10473, check)
    call createCurrent(P_A, P_WPlus, P_ghWm, P_ghAAnti, 3530, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_Hl, P_ghWp, 6907, check)
    call createCurrent(P_Ha, P_GMinus, P_Z, P_WPlus, 9421, check)
    call createCurrent(P_HlQ, P_G0, P_HMinus, P_HQPlus, 1756, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_Z, P_WMinus, 2048, check)
    call createCurrent(P_WPlus, P_HMinus, P_Hl, 1571, check)
    call createCurrent(P_AQ, P_A, P_WMinus, P_WQPlus, 7269, check)
    call createCurrent(P_WPlus, P_ghWm, P_A, P_ghAAnti, 7490, check)
    call createCurrent(P_WPlus, P_GMinus, P_WMinus, P_GPlus, 815, check)
    call createCurrent(P_Hl, P_A, P_Hh, P_Z, 10615, check)
    call createCurrent(P_HMinus, P_GPlus, P_Ha, 8342, check)
    call createCurrent(P_HhQ, P_ghWm, P_GPlus, P_ghAAnti, 4550, check)
    call createCurrent(P_Ha, P_GPlus, P_GMinus, P_Hh, 9479, check)
    call createCurrent(P_A, P_Hl, P_WMinus, P_GPlus, 6217, check)
    call createCurrent(P_ZQ, P_HMinus, P_WQPlus, 454, check)
    call createCurrent(P_GPlus, P_HMinus, P_G0, P_G0, 3186, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, P_Hh, 903, check)
    call createCurrent(P_Hl, P_Ha, P_GMinus, P_HPlus, 4156, check)
    call createCurrent(P_HQMinus, P_Z, P_Hh, P_WQPlus, 6836, check)
    call createCurrent(P_GQMinus, P_HPlus, P_Hl, P_HaQ, 8399, check)
    call createCurrent(P_Hh, P_Hh, P_ghZAnti, P_ghZ, 1027, check)
    call createCurrent(P_HMinus, P_ghZAnti, P_HPlus, P_ghZ, 6068, check)
    call createCurrent(P_Ha, P_ghWm, P_GPlus, P_ghZAnti, 9347, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_HlQ, 6666, check)
    call createCurrent(P_Z, P_Hl, P_Z, P_Hh, 9954, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghA, P_WMinus, 6058, check)
    call createCurrent(P_GMinus, P_HPlus, P_Ha, P_G0, 2522, check)
    call createCurrent(P_WMinus, P_A, P_HPlus, P_Ha, 5433, check)
    call createCurrent(P_G0, P_ghA, P_ghWmAnti, P_GMinus, 4435, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_GMinus, P_Hh, 7380, check)
    call createCurrent(P_HaQ, P_Ha, P_Hh, P_HlQ, 3193, check)
    call createCurrent(P_HPlus, P_WMinus, P_Hh, 8413, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, P_AQ, 1797, check)
    call createCurrent(P_HMinus, P_ghZ, P_ghWmAnti, 8129, check)
    call createCurrent(P_Hh, P_ghZAnti, P_ghZ, 5100, check)
    call createCurrent(P_HPlus, P_ghZ, P_Hh, P_ghWpAnti, 5732, check)
    call createCurrent(P_Hh, P_Hh, P_WPlus, P_WMinus, 264, check)
    call createCurrent(P_G0, P_Z, P_WPlus, P_GMinus, 4911, check)
    call createCurrent(P_GMinus, P_G0, P_HPlus, P_Hl, 4874, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, P_Hl, 1691, check)
    call createCurrent(P_HPlus, P_ghWpAnti, P_Ha, P_ghZ, 8315, check)
    call createCurrent(P_HlQ, P_HMinus, P_ghZ, P_ghWmAnti, 8273, check)
    call createCurrent(P_HlQ, P_Z, P_HPlus, P_WQMinus, 6117, check)
    call createCurrent(P_HQPlus, P_Ha, P_ghWpAnti, P_ghA, 208, check)
    call createCurrent(P_Hl, P_ghWmAnti, P_ghZ, P_HMinus, 8465, check)
    call createCurrent(P_GQMinus, P_Hl, P_GPlus, P_HhQ, 927, check)
    call createCurrent(P_WMinus, P_Z, P_ghA, P_ghWmAnti, 8021, check)
    call createCurrent(P_WQPlus, P_WMinus, P_WMinus, P_WQPlus, 1157, check)
    call createCurrent(P_Hh, P_Ha, P_A, 8844, check)
    call createCurrent(P_HQMinus, P_WPlus, P_A, P_HaQ, 4773, check)
    call createCurrent(P_HQPlus, P_G0, P_HMinus, P_HlQ, 7785, check)
    call createCurrent(P_ghZ, P_HPlus, P_ghWpAnti, P_Hh, 7363, check)
    call createCurrent(P_Z, P_Hh, P_Hl, P_A, 10763, check)
    call createCurrent(P_HPlus, P_HMinus, P_ghWm, P_ghWmAnti, 2901, check)
    call createCurrent(P_ghWp, P_Z, P_ghZAnti, P_WMinus, 4020, check)
    call createCurrent(P_Hl, P_Z, P_GMinus, P_WPlus, 7718, check)
    call createCurrent(P_ghWp, P_Hh, P_GMinus, P_ghZAnti, 5480, check)
    call createCurrent(P_HQMinus, P_HPlus, P_Hl, P_HaQ, 6875, check)
    call createCurrent(P_HaQ, P_Hl, P_GPlus, P_GQMinus, 7625, check)
    call createCurrent(P_WMinus, P_G0, P_A, P_GPlus, 2872, check)
    call createCurrent(P_A, P_ghA, P_WPlus, P_ghWpAnti, 3286, check)
    call createCurrent(P_HQMinus, P_HPlus, P_G0, P_HaQ, 5693, check)
    call createCurrent(P_GQMinus, P_G0, P_ghZ, P_ghWmAnti, 1230, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghZAnti, P_Z, 425, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghZ, P_WQPlus, 6689, check)
    call createCurrent(P_Hh, P_A, P_WPlus, P_HMinus, 7759, check)
    call createCurrent(P_HQMinus, P_Z, P_WPlus, P_HhQ, 3390, check)
    call createCurrent(P_ZQ, P_A, P_ghWpAnti, P_ghWp, 3456, check)
    call createCurrent(P_HPlus, P_Z, P_Z, P_GMinus, 10289, check)
    call createCurrent(P_HlQ, P_GMinus, P_Z, P_WQPlus, 1111, check)
    call createCurrent(P_uAnti, P_GPlus, P_d, 1693, check)
    call createCurrent(P_HlQ, P_Hh, P_GMinus, P_HQPlus, 3209, check)
    call createCurrent(P_HaQ, P_G0, P_HPlus, P_HQMinus, 2335, check)
    call createCurrent(P_HPlus, P_ghA, P_ghAAnti, P_HMinus, 4563, check)
    call createCurrent(P_GMinus, P_Hl, P_Z, P_WPlus, 122, check)
    call createCurrent(P_Ha, P_Ha, P_GPlus, P_HMinus, 123, check)
    call createCurrent(P_Hh, P_Hl, P_A, P_A, 10547, check)
    call createCurrent(P_d, P_dAnti, P_HhQ, 6431, check)
    call createCurrent(P_ghWm, P_WMinus, P_WPlus, P_ghWmAnti, 1748, check)
    call createCurrent(P_HMinus, P_GPlus, P_Ha, P_Ha, 3417, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_ZQ, 4988, check)
    call createCurrent(P_HaQ, P_HMinus, P_GPlus, P_HhQ, 4364, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_Hl, P_HPlus, 8633, check)
    call createCurrent(P_HhQ, P_Hh, P_WPlus, P_WQMinus, 8489, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_HQPlus, 5783, check)
    call createCurrent(P_GQ0, P_Ha, P_HhQ, 560, check)
    call createCurrent(P_HhQ, P_ghZ, P_Hh, P_ghZAnti, 6834, check)
    call createCurrent(P_G0, P_GPlus, P_Ha, P_HMinus, 1780, check)
    call createCurrent(P_WQMinus, P_Z, P_Ha, P_HQPlus, 6215, check)
    call createCurrent(P_Hh, P_ghWp, P_ghWpAnti, P_Hh, 2435, check)
    call createCurrent(P_A, P_Ha, P_GPlus, P_WMinus, 9481, check)
    call createCurrent(P_Z, P_nu_e, P_nu_eAnti, 1954, check)
    call createCurrent(P_ghWmAnti, P_Z, P_WMinus, P_ghA, 5031, check)
    call createCurrent(P_ghWp, P_Ha, P_ghWpAnti, P_HlQ, 405, check)
    call createCurrent(P_HlQ, P_Hh, P_GPlus, P_GQMinus, 2849, check)
    call createCurrent(P_WMinus, P_A, P_Hh, P_HPlus, 984, check)
    call createCurrent(P_GPlus, P_G0, P_ghWpAnti, P_ghZ, 1668, check)
    call createCurrent(P_Ha, P_Z, P_G0, P_Z, 9443, check)
    call createCurrent(P_GQ0, P_GMinus, P_HPlus, P_HlQ, 7102, check)
    call createCurrent(P_GPlus, P_Ha, P_GMinus, 9131, check)
    call createCurrent(P_ZQ, P_Ha, P_HhQ, 8643, check)
    call createCurrent(P_Ha, P_HPlus, P_G0, P_GMinus, 313, check)
    call createCurrent(P_GQ0, P_Z, P_HhQ, 3965, check)
    call createCurrent(P_ghWm, P_G0, P_GPlus, P_ghAAnti, 5661, check)
    call createCurrent(P_HQPlus, P_Hh, P_ghWpAnti, P_ghA, 8491, check)
    call createCurrent(P_HaQ, P_WMinus, P_Ha, P_WQPlus, 7721, check)
    call createCurrent(P_Hl, P_HMinus, P_A, P_WPlus, 32, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_HQPlus, 5757, check)
    call createCurrent(P_WQPlus, P_HPlus, P_WMinus, P_HQMinus, 262, check)
    call createCurrent(P_ghZ, P_HPlus, P_GMinus, P_ghAAnti, 9897, check)
    call createCurrent(P_HaQ, P_HMinus, P_ghZ, P_ghWmAnti, 3113, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_G0, P_GPlus, 4852, check)
    call createCurrent(P_ghWmAnti, P_GPlus, P_HMinus, P_ghWm, 10210, check)
    call createCurrent(P_u, P_uAnti, P_A, 6513, check)
    call createCurrent(P_HlQ, P_ghWp, P_GMinus, P_ghZAnti, 4071, check)
    call createCurrent(P_GQMinus, P_GPlus, P_ghA, P_ghZAnti, 8806, check)
    call createCurrent(P_HMinus, P_GPlus, P_G0, P_Hl, 7152, check)
    call createCurrent(P_A, P_Z, P_Hl, P_Hl, 10426, check)
    call createCurrent(P_HQMinus, P_GPlus, P_Ha, P_HlQ, 332, check)
    call createCurrent(P_GQMinus, P_GPlus, P_ghZ, P_ghZAnti, 3357, check)
    call createCurrent(P_Hh, P_ghWm, P_Hh, P_ghWmAnti, 576, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghAAnti, P_G0, 6827, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghWm, P_A, 3782, check)
    call createCurrent(P_Hh, P_Ha, P_Ha, P_Hl, 1043, check)
    call createCurrent(P_HQMinus, P_HPlus, P_ghZAnti, P_ghZ, 6802, check)
    call createCurrent(P_ghWm, P_GMinus, P_ghWmAnti, P_GQPlus, 3060, check)
    call createCurrent(P_WPlus, P_G0, P_WMinus, P_Ha, 10329, check)
    call createCurrent(P_ghG, P_ghGAnti, P_gQ, 3638, check)
    call createCurrent(P_HMinus, P_WPlus, 10026, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_HQMinus, 527, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_ghZ, P_HlQ, 428, check)
    call createCurrent(P_ghWpAnti, P_HMinus, P_ghWp, P_HPlus, 7867, check)
    call createCurrent(P_WQMinus, P_A, P_WQPlus, 532, check)
    call createCurrent(P_GQMinus, P_WPlus, P_ZQ, 1405, check)
    call createCurrent(P_GQMinus, P_G0, P_ghWmAnti, P_ghA, 5812, check)
    call createCurrent(P_GPlus, P_G0, P_GMinus, P_Hl, 9815, check)
    call createCurrent(P_HlQ, P_G0, P_Hh, P_HaQ, 2252, check)
    call createCurrent(P_HPlus, P_HMinus, P_Hh, P_Hh, 8501, check)
    call createCurrent(P_g, P_GPlus, P_g, P_HMinus, 10672, check)
    call createCurrent(P_HPlus, P_WMinus, P_Ha, 58, check)
    call createCurrent(P_G0, P_Hl, P_GPlus, P_GMinus, 9947, check)
    call createCurrent(P_G0, P_G0, P_ghWp, P_ghWpAnti, 2156, check)
    call createCurrent(P_WPlus, P_WMinus, 8999, check)
    call createCurrent(P_GQPlus, P_Ha, P_HMinus, P_GQ0, 2920, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghZAnti, P_HhQ, 8167, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, P_Hh, 9772, check)
    call createCurrent(P_HQPlus, P_G0, P_HMinus, P_HaQ, 5780, check)
    call createCurrent(P_HhQ, P_Hh, P_G0, P_GQ0, 2895, check)
    call createCurrent(P_muPlus, P_Hh, P_muMinus, 4493, check)
    call createCurrent(P_c, P_cAnti, P_HaQ, 2107, check)
    call createCurrent(P_GMinus, P_Hl, P_Ha, P_HPlus, 7401, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_Ha, 10119, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, P_ZQ, 7143, check)
    call createCurrent(P_WPlus, P_Z, P_A, P_WMinus, 4242, check)
    call createCurrent(P_Hl, P_GMinus, P_Ha, P_HPlus, 7023, check)
    call createCurrent(P_Ha, P_ghWm, P_Ha, P_ghWmAnti, 5788, check)
    call createCurrent(P_G0, P_Ha, P_ghWmAnti, P_ghWm, 10191, check)
    call createCurrent(P_WQPlus, P_Hl, P_HMinus, P_AQ, 8341, check)
    call createCurrent(P_HlQ, P_HMinus, P_WPlus, P_ZQ, 8240, check)
    call createCurrent(P_HhQ, P_Ha, P_ghWp, P_ghWpAnti, 4219, check)
    call createCurrent(P_d, P_G0, P_dAnti, 5859, check)
    call createCurrent(P_HMinus, P_GPlus, P_WMinus, P_WPlus, 9919, check)
    call createCurrent(P_s, P_WPlus, P_cAnti, 5946, check)
    call createCurrent(P_WQPlus, P_WMinus, P_Hl, P_HlQ, 8298, check)
    call createCurrent(P_ghZAnti, P_ghA, P_HPlus, P_HQMinus, 1991, check)
    call createCurrent(P_HPlus, P_Hh, P_Hh, P_HMinus, 5980, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_Hl, 2571, check)
    call createCurrent(P_WPlus, P_G0, P_G0, P_WMinus, 4082, check)
    call createCurrent(P_Hh, P_g, P_g, P_Hh, 10657, check)
    call createCurrent(P_HMinus, P_GPlus, P_ghZ, P_ghAAnti, 10215, check)
    call createCurrent(P_GQPlus, P_ghZ, P_Hl, P_ghWpAnti, 2614, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_Hh, 8472, check)
    call createCurrent(P_ghZ, P_HMinus, P_HPlus, P_ghAAnti, 7526, check)
    call createCurrent(P_G0, P_ghWpAnti, P_ghA, P_GPlus, 2803, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_Hh, P_HMinus, 3155, check)
    call createCurrent(P_GQ0, P_ePlus, P_eMinus, 7488, check)
    call createCurrent(P_Ha, P_A, P_A, P_Ha, 10531, check)
    call createCurrent(P_HQPlus, P_Hl, P_ghA, P_ghWpAnti, 7234, check)
    call createCurrent(P_GQPlus, P_Ha, P_GMinus, P_HaQ, 4015, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Ha, P_HaQ, 1843, check)
    call createCurrent(P_Ha, P_Ha, 9404, check)
    call createCurrent(P_Ha, P_G0, 9719, check)
    call createCurrent(P_GPlus, P_ghAAnti, P_ghWm, P_Hh, 7647, check)
    call createCurrent(P_WMinus, P_Hl, P_Z, P_HPlus, 4541, check)
    call createCurrent(P_sAnti, P_s, P_gQ, 3656, check)
    call createCurrent(P_Ha, P_GMinus, P_Hh, P_GPlus, 9680, check)
    call createCurrent(P_G0, P_A, P_HMinus, P_WPlus, 9842, check)
    call createCurrent(P_HMinus, P_HPlus, P_Hh, P_Hl, 6878, check)
    call createCurrent(P_HMinus, P_Hh, P_HPlus, P_Hh, 8412, check)
    call createCurrent(P_GMinus, P_A, P_G0, P_WPlus, 5441, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghWm, P_Hl, 7165, check)
    call createCurrent(P_WQPlus, P_ghWpAnti, P_ghA, 6167, check)
    call createCurrent(P_WPlus, P_G0, P_Ha, P_WMinus, 10321, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghA, P_HPlus, 9645, check)
    call createCurrent(P_HQMinus, P_WMinus, P_HPlus, P_WQPlus, 2318, check)
    call createCurrent(P_Hh, P_Z, P_GPlus, P_WMinus, 3764, check)
    call createCurrent(P_Hh, P_GMinus, P_G0, P_HPlus, 1066, check)
    call createCurrent(P_WMinus, P_HPlus, P_G0, 9880, check)
    call createCurrent(P_HQPlus, P_WMinus, P_Z, P_HaQ, 7689, check)
    call createCurrent(P_AQ, P_WMinus, P_Hl, P_GQPlus, 5309, check)
    call createCurrent(P_WQPlus, P_Hh, P_Z, P_HQMinus, 3817, check)
    call createCurrent(P_HQMinus, P_HPlus, P_G0, P_GQ0, 2212, check)
    call createCurrent(P_A, P_Z, P_WMinus, P_WPlus, 3595, check)
    call createCurrent(P_HMinus, P_c, P_sAnti, 5534, check)
    call createCurrent(P_GQPlus, P_HMinus, P_Hh, P_HlQ, 7230, check)
    call createCurrent(P_WQMinus, P_HPlus, P_HlQ, 1680, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghWm, P_WPlus, 8612, check)
    call createCurrent(P_HQMinus, P_GPlus, P_Ha, P_HhQ, 7736, check)
    call createCurrent(P_Ha, P_HPlus, P_ghAAnti, P_ghWm, 2052, check)
    call createCurrent(P_Z, P_ghWpAnti, P_Z, P_ghWp, 5147, check)
    call createCurrent(P_HMinus, P_HPlus, P_A, P_A, 4360, check)
    call createCurrent(P_Hl, P_G0, P_GPlus, P_HMinus, 4424, check)
    call createCurrent(P_GQPlus, P_Hh, P_Hl, P_GQMinus, 7979, check)
    call createCurrent(P_Hl, P_A, P_WPlus, P_HMinus, 3922, check)
    call createCurrent(P_HQMinus, P_GMinus, P_GPlus, P_HQPlus, 134, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GQPlus, 3536, check)
    call createCurrent(P_G0, P_Z, P_G0, P_Z, 1544, check)
    call createCurrent(P_Ha, P_Ha, P_g, P_g, 10643, check)
    call createCurrent(P_G0, P_HPlus, P_GMinus, P_Hh, 3449, check)
    call createCurrent(P_HQMinus, P_HMinus, P_GPlus, P_HQPlus, 2906, check)
    call createCurrent(P_Hh, P_Hl, P_Hh, P_Hl, 2667, check)
    call createCurrent(P_HhQ, P_d, P_dAnti, 4977, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, 9300, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghAAnti, P_Hh, 1733, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, 676, check)
    call createCurrent(P_GMinus, P_WMinus, P_WPlus, P_HPlus, 9735, check)
    call createCurrent(P_g, P_Z, P_g, P_g, 10530, check)
    call createCurrent(P_HMinus, P_ghWm, P_ghWmAnti, P_HPlus, 719, check)
    call createCurrent(P_u, P_uAnti, P_Z, 516, check)
    call createCurrent(P_GPlus, P_GMinus, P_Hh, P_G0, 9257, check)
    call createCurrent(P_ghZ, P_Ha, P_G0, P_ghZAnti, 8938, check)
    call createCurrent(P_HPlus, P_WMinus, P_A, 5804, check)
    call createCurrent(P_GQPlus, P_HPlus, P_HMinus, P_GQMinus, 6043, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_Z, 1701, check)
    call createCurrent(P_HPlus, P_ghZ, P_ghZAnti, P_GMinus, 10103, check)
    call createCurrent(P_GQPlus, P_cAnti, P_s, 5292, check)
    call createCurrent(P_HMinus, P_ghWmAnti, P_G0, P_ghZ, 10316, check)
    call createCurrent(P_Hh, P_c, P_cAnti, 8142, check)
    call createCurrent(P_GQ0, P_GMinus, P_ghZAnti, P_ghWp, 8555, check)
    call createCurrent(P_GPlus, P_G0, P_ghZ, P_ghWpAnti, 635, check)
    call createCurrent(P_A, P_b, P_bAnti, 7608, check)
    call createCurrent(P_WMinus, P_ghWp, P_Z, P_ghZAnti, 8048, check)
    call createCurrent(P_G0, P_HMinus, P_GPlus, 7978, check)
    call createCurrent(P_HQMinus, P_HPlus, P_Z, P_ZQ, 2554, check)
    call createCurrent(P_HMinus, P_ghA, P_ghWmAnti, 4410, check)
    call createCurrent(P_Z, P_Hl, P_Ha, 764, check)
    call createCurrent(P_Hl, P_ghWmAnti, P_ghA, P_GMinus, 8056, check)
    call createCurrent(P_HPlus, P_GMinus, P_G0, P_G0, 372, check)
    call createCurrent(P_cAnti, P_c, 10132, check)
    call createCurrent(P_HaQ, P_GMinus, P_HQPlus, 1209, check)
    call createCurrent(P_ghWpAnti, P_Z, P_Z, P_ghWp, 5081, check)
    call createCurrent(P_WQPlus, P_ghZ, P_WMinus, P_ghZAnti, 787, check)
    call createCurrent(P_HhQ, P_GMinus, P_Hh, P_GQPlus, 4176, check)
    call createCurrent(P_ZQ, P_Hh, P_WMinus, P_GQPlus, 5705, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_GPlus, P_G0, 3736, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_Hh, P_HPlus, 1646, check)
    call createCurrent(P_HPlus, P_ghWm, P_ghAAnti, P_G0, 9679, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_Ha, P_GPlus, 10444, check)
    call createCurrent(P_u, P_uAnti, P_ZQ, 2377, check)
    call createCurrent(P_g, P_GPlus, P_GMinus, P_g, 10488, check)
    call createCurrent(P_WQPlus, P_s, P_cAnti, 6729, check)
    call createCurrent(P_A, P_HMinus, P_Ha, P_WPlus, 6159, check)
    call createCurrent(P_Hh, P_ghWpAnti, P_Hh, P_ghWp, 4537, check)
    call createCurrent(P_HPlus, P_A, P_GMinus, P_Z, 10008, check)
    call createCurrent(P_Ha, P_Hh, P_HMinus, P_HPlus, 10181, check)
    call createCurrent(P_GQPlus, P_d, P_uAnti, 4371, check)
    call createCurrent(P_HPlus, P_WMinus, P_Z, P_Hh, 2256, check)
    call createCurrent(P_A, P_Z, P_ghWpAnti, P_ghWp, 3932, check)
    call createCurrent(P_WQMinus, P_ghA, P_WPlus, P_ghZAnti, 8697, check)
    call createCurrent(P_HPlus, P_WMinus, P_Hl, P_A, 2642, check)
    call createCurrent(P_HMinus, P_HMinus, P_HPlus, P_HPlus, 5877, check)
    call createCurrent(P_WPlus, P_A, P_Ha, P_HMinus, 4534, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, P_G0, 6647, check)
    call createCurrent(P_AQ, P_Z, P_ghWp, P_ghWpAnti, 8166, check)
    call createCurrent(P_Hl, P_ghWm, P_Hh, P_ghWmAnti, 9111, check)
    call createCurrent(P_GQPlus, P_GMinus, P_Ha, P_GQ0, 7504, check)
    call createCurrent(P_HlQ, P_bAnti, P_b, 6426, check)
    call createCurrent(P_G0, P_HMinus, P_Hl, P_HPlus, 9720, check)
    call createCurrent(P_ghWm, P_Hl, P_ghZAnti, P_HQPlus, 6480, check)
    call createCurrent(P_HQMinus, P_Hl, P_GPlus, P_HaQ, 4698, check)
    call createCurrent(P_A, P_G0, P_G0, P_Z, 10018, check)
    call createCurrent(P_WPlus, P_WMinus, P_ghWp, P_ghWpAnti, 4714, check)
    call createCurrent(P_WQPlus, P_Ha, P_HMinus, P_AQ, 1079, check)
    call createCurrent(P_HMinus, P_ghWpAnti, P_GPlus, P_ghWp, 9224, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Hh, P_Hh, 4989, check)
    call createCurrent(P_ghZAnti, P_Ha, P_G0, P_ghZ, 9544, check)
    call createCurrent(P_G0, P_Ha, P_Hl, P_G0, 10614, check)
    call createCurrent(P_WQPlus, P_G0, P_GMinus, P_AQ, 2734, check)
    call createCurrent(P_HlQ, P_Ha, P_WMinus, P_WQPlus, 5438, check)
    call createCurrent(P_ghWp, P_A, P_ghWpAnti, P_Z, 8428, check)
    call createCurrent(P_ghWpAnti, P_A, P_WPlus, P_ghZ, 5760, check)
    call createCurrent(P_GMinus, P_G0, P_Hl, P_GPlus, 9477, check)
    call createCurrent(P_A, P_HMinus, P_WPlus, P_Hh, 3935, check)
    call createCurrent(P_HMinus, P_Hh, P_WPlus, 1384, check)
    call createCurrent(P_Hh, P_WMinus, P_HPlus, P_Z, 3325, check)
    call createCurrent(P_g, P_g, P_GMinus, P_HPlus, 10506, check)
    call createCurrent(P_HaQ, P_HPlus, P_ghWpAnti, P_ghZ, 4802, check)
    call createCurrent(P_HMinus, P_nu_e, P_ePlus, 2781, check)
    call createCurrent(P_Ha, P_G0, P_Z, P_Z, 9754, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Ha, P_G0, 9931, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_HPlus, P_HlQ, 7917, check)
    call createCurrent(P_HQPlus, P_Hl, P_HQMinus, 2710, check)
    call createCurrent(P_GQPlus, P_ghZAnti, P_GMinus, P_ghA, 4096, check)
    call createCurrent(P_HMinus, P_u, P_dAnti, 5777, check)
    call createCurrent(P_G0, P_Hh, P_Hl, P_Ha, 8202, check)
    call createCurrent(P_ZQ, P_WPlus, P_HMinus, P_HlQ, 7012, check)
    call createCurrent(P_HQPlus, P_GMinus, P_G0, P_HhQ, 4380, check)
    call createCurrent(P_Hl, P_dAnti, P_d, 1658, check)
    call createCurrent(P_ghAAnti, P_Hl, P_ghWp, P_HMinus, 1642, check)
    call createCurrent(P_Z, P_GMinus, P_Z, P_GPlus, 6586, check)
    call createCurrent(P_ZQ, P_ghWmAnti, P_Z, P_ghWm, 2924, check)
    call createCurrent(P_d, P_dAnti, P_G0, 6534, check)
    call createCurrent(P_WMinus, P_Z, P_ghZ, P_ghWmAnti, 5019, check)
    call createCurrent(P_HMinus, P_WPlus, P_Ha, P_A, 45, check)
    call createCurrent(P_HlQ, P_WMinus, P_G0, P_WQPlus, 44, check)
    call createCurrent(P_Hl, P_HMinus, P_G0, P_HPlus, 10171, check)
    call createCurrent(P_HaQ, P_HPlus, P_GMinus, P_HhQ, 6523, check)
    call createCurrent(P_WQMinus, P_WPlus, P_Hh, P_GQ0, 4964, check)
    call createCurrent(P_HPlus, P_Ha, P_GMinus, 5208, check)
    call createCurrent(P_A, P_GPlus, P_Hh, P_WMinus, 8139, check)
    call createCurrent(P_HPlus, P_Hh, P_WMinus, P_A, 8099, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_Hh, P_HPlus, 344, check)
    call createCurrent(P_GPlus, P_GMinus, P_WPlus, P_WMinus, 4557, check)
    call createCurrent(P_HPlus, P_HMinus, P_G0, 9292, check)
    call createCurrent(P_GQ0, P_ghAAnti, P_GPlus, P_ghWm, 2057, check)
    call createCurrent(P_HlQ, P_tauPlus, P_tauMinus, 5898, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_HMinus, P_HhQ, 4658, check)
    call createCurrent(P_Hl, P_HPlus, P_ghZ, P_ghWpAnti, 7913, check)
    call createCurrent(P_GPlus, P_Hl, P_ghA, P_ghWpAnti, 2826, check)
    call createCurrent(P_Z, P_eMinus, P_ePlus, 2916, check)
    call createCurrent(P_Hl, P_GMinus, P_HPlus, P_Ha, 4651, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_WPlus, P_WMinus, 1699, check)
    call createCurrent(P_ghWm, P_Z, P_WPlus, P_ghZAnti, 1274, check)
    call createCurrent(P_GQMinus, P_Hl, P_G0, P_HQPlus, 5074, check)
    call createCurrent(P_HMinus, P_Z, P_GPlus, P_Z, 9357, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_Z, P_WQMinus, 2679, check)
    call createCurrent(P_Hh, P_Ha, P_HMinus, P_GPlus, 2948, check)
    call createCurrent(P_G0, P_Hh, P_HMinus, P_GPlus, 266, check)
    call createCurrent(P_GQMinus, P_Ha, P_GPlus, P_HlQ, 2011, check)
    call createCurrent(P_WMinus, P_Hh, P_Hh, P_WPlus, 2324, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_ghZ, P_GQPlus, 7579, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghAAnti, P_WPlus, 4901, check)
    call createCurrent(P_HhQ, P_WPlus, P_G0, P_WQMinus, 87, check)
    call createCurrent(P_Z, P_A, P_Z, P_Z, 10762, check)
    call createCurrent(P_Hh, P_GPlus, P_G0, P_HMinus, 3270, check)
    call createCurrent(P_GQ0, P_WMinus, P_Hh, P_WQPlus, 1799, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghA, P_G0, 7322, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_Hh, P_HPlus, 1397, check)
    call createCurrent(P_GQ0, P_GPlus, P_HMinus, P_HhQ, 692, check)
    call createCurrent(P_sAnti, P_GMinus, P_c, 274, check)
    call createCurrent(P_GPlus, P_ghAAnti, P_HMinus, P_ghZ, 9700, check)
    call createCurrent(P_HQPlus, P_Ha, P_ghWpAnti, P_ghZ, 2319, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, 3826, check)
    call createCurrent(P_ghGAnti, P_g, P_ghG, P_g, 5873, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_HQMinus, 2795, check)
    call createCurrent(P_Hh, P_HMinus, P_HPlus, 6727, check)
    call createCurrent(P_ghWm, P_Z, P_A, P_ghWmAnti, 3238, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_GQPlus, 1003, check)
    call createCurrent(P_AQ, P_A, P_GMinus, P_GQPlus, 944, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_Z, 5762, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_WMinus, P_ZQ, 6466, check)
    call createCurrent(P_A, P_Hl, P_Hl, P_A, 10516, check)
    call createCurrent(P_Ha, P_Z, P_WMinus, P_GPlus, 9135, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_Ha, 9816, check)
    call createCurrent(P_HPlus, P_G0, P_Ha, P_HMinus, 492, check)
    call createCurrent(P_t, P_tAnti, P_gQ, 8280, check)
    call createCurrent(P_GQ0, P_Hl, P_ghWm, P_ghWmAnti, 4060, check)
    call createCurrent(P_HQMinus, P_Hh, P_WPlus, P_AQ, 6141, check)
    call createCurrent(P_Hh, P_ghZ, P_ghWpAnti, P_GPlus, 571, check)
    call createCurrent(P_GPlus, P_GMinus, P_Ha, 9147, check)
    call createCurrent(P_WQMinus, P_A, P_ghZ, P_ghWmAnti, 8573, check)
    call createCurrent(P_Hh, P_Hl, P_ghWp, P_ghWpAnti, 9240, check)
    call createCurrent(P_GPlus, P_Ha, P_ghWpAnti, P_ghZ, 10345, check)
    call createCurrent(P_HQPlus, P_GMinus, P_Hl, P_GQ0, 7871, check)
    call createCurrent(P_HlQ, P_WPlus, P_A, P_GQMinus, 953, check)
    call createCurrent(P_WPlus, P_Ha, P_GMinus, P_A, 10399, check)
    call createCurrent(P_ghA, P_ghZAnti, P_GPlus, P_GQMinus, 701, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_ZQ, 5407, check)
    call createCurrent(P_GQPlus, P_ghWpAnti, P_G0, P_ghZ, 7191, check)
    call createCurrent(P_WPlus, P_ghA, P_ghWpAnti, 5022, check)
    call createCurrent(P_HMinus, P_HPlus, P_GMinus, P_GPlus, 6368, check)
    call createCurrent(P_GQMinus, P_G0, P_Ha, P_HQPlus, 3715, check)
    call createCurrent(P_Z, P_WPlus, P_ghAAnti, P_ghWm, 6303, check)
    call createCurrent(P_GQMinus, P_Hh, P_G0, P_HQPlus, 6919, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_HPlus, P_Hh, 5866, check)
    call createCurrent(P_WQMinus, P_Z, P_HQPlus, 3364, check)
    call createCurrent(P_HQMinus, P_Ha, P_HPlus, P_GQ0, 3345, check)
    call createCurrent(P_HQPlus, P_WMinus, P_HaQ, 3802, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghWm, P_WPlus, 8043, check)
    call createCurrent(P_HaQ, P_HMinus, P_A, P_WQPlus, 7890, check)
    call createCurrent(P_GPlus, P_ghWm, P_Ha, P_ghAAnti, 9780, check)
    call createCurrent(P_ghWm, P_Ha, P_ghWmAnti, P_HaQ, 6390, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_WPlus, P_ghZ, 1403, check)
    call createCurrent(P_Hh, P_ghWm, P_GPlus, P_ghAAnti, 1550, check)
    call createCurrent(P_HPlus, P_HMinus, P_Hl, P_G0, 9119, check)
    call createCurrent(P_GQ0, P_Hl, P_HaQ, 4935, check)
    call createCurrent(P_HQMinus, P_HPlus, P_A, P_ZQ, 3184, check)
    call createCurrent(P_GMinus, P_GMinus, P_GPlus, P_HPlus, 8293, check)
    call createCurrent(P_HQPlus, P_WMinus, P_Ha, P_ZQ, 4841, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghWp, P_WMinus, 7644, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ghZAnti, P_ghZ, 5420, check)
    call createCurrent(P_Hl, P_HPlus, P_HMinus, P_G0, 9736, check)
    call createCurrent(P_Hh, P_g, P_g, 10529, check)
    call createCurrent(P_HPlus, P_GMinus, P_Hl, 2650, check)
    call createCurrent(P_Hl, P_GPlus, P_Ha, P_GMinus, 9534, check)
    call createCurrent(P_GQMinus, P_Hh, P_Hl, P_GQPlus, 2472, check)
    call createCurrent(P_Z, P_Ha, P_GMinus, P_WPlus, 10166, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_G0, P_HMinus, 9760, check)
    call createCurrent(P_ghA, P_ghAAnti, P_HPlus, P_GMinus, 9303, check)
    call createCurrent(P_HaQ, P_Hl, P_HMinus, P_GQPlus, 6071, check)
    call createCurrent(P_Hl, P_G0, P_G0, 1959, check)
    call createCurrent(P_Hl, P_ghA, P_ghWpAnti, P_GPlus, 2977, check)
    call createCurrent(P_HMinus, P_Hl, P_ghZ, P_ghWmAnti, 656, check)
    call createCurrent(P_Z, P_WMinus, P_Hh, P_HPlus, 377, check)
  end subroutine fill_current_3
end module currents_info3
